eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * The bootstrapping module for brackets. This module sets up the require\n * configuration and loads the brackets module.\n */\nrequire.config({\n    paths: {\n        "text"              : "thirdparty/text/text",\n        "i18n"              : "thirdparty/i18n/i18n",\n        "react"             : "thirdparty/react",\n\n        // The file system implementation. Change this value to use different\n        // implementations (e.g. cloud-based storage).\n        "fileSystemImpl"    : "filesystem/impls/appshell/AppshellFileSystem"\n    },\n    map: {\n        "*": {\n            "thirdparty/CodeMirror2": "thirdparty/CodeMirror",\n            "thirdparty/react":       "react"\n        }\n    }\n});\n\nif (window.location.search.indexOf("testEnvironment") > -1) {\n    require.config({\n        paths: {\n            "preferences/PreferencesImpl": "../test/TestPreferencesImpl"\n        },\n        locale: "en" // force English (US)\n    });\n} else {\n    /**\n     * hack for r.js optimization, move locale to another config call\n     *\n     * Use custom brackets property until CEF sets the correct navigator.language\n     * NOTE: When we change to navigator.language here, we also should change to\n     * navigator.language in ExtensionLoader (when making require contexts for each\n     * extension).\n     */\n    require.config({\n        locale: window.localStorage.getItem("locale") || (typeof (brackets) !== "undefined" ? brackets.app.language : window.navigator.language)\n    });\n}\n\ndefine(\'main\',[\'require\'],function (require) {\n    "use strict";\n\n    // Load compatibility shims--these need to load early, be careful moving this\n    require(["utils/Compatibility"], function () {\n        // Load the brackets module. This is a self-running module that loads and runs the entire application.\n        require(["brackets"]);\n    });\n});\n\n//# sourceURL=/main.js'),eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Compatibility shims for running Brackets in various environments, browsers.\n */\ndefine(\'utils/Compatibility\',[],function () {\n    "use strict";\n\n    // [IE10] String.prototype missing trimRight() and trimLeft()\n    if (!String.prototype.trimRight) {\n        String.prototype.trimRight = function () { return this.replace(/\\s+$/, ""); };\n    }\n    if (!String.prototype.trimLeft) {\n        String.prototype.trimLeft = function () { return this.replace(/^\\s+/, ""); };\n    }\n\n    // Feature detection for Error.stack. Not all browsers expose it\n    // and Brackets assumes it will be a non-null string.\n    if (typeof (new Error()).stack === "undefined") {\n        Error.prototype.stack = "";\n    }\n\n});\n\n//# sourceURL=/utils/Compatibility.js'),eval("/* ============================================================\n * bootstrap-dropdown.js v2.3.1\n * http://twitter.github.com/bootstrap/javascript.html#dropdowns\n * ============================================================\n * Copyright 2012 Twitter, Inc.\n *\n * Licensed under the Apache License, Version 2.0 (the \"License\");\n * you may not use this file except in compliance with the License.\n * You may obtain a copy of the License at\n *\n * http://www.apache.org/licenses/LICENSE-2.0\n *\n * Unless required by applicable law or agreed to in writing, software\n * distributed under the License is distributed on an \"AS IS\" BASIS,\n * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n * See the License for the specific language governing permissions and\n * limitations under the License.\n * ============================================================ */\n\n\n!function ($) {\n\n  \"use strict\"; // jshint ;_;\n\n\n /* DROPDOWN CLASS DEFINITION\n  * ========================= */\n\n  var toggle = '[data-toggle=dropdown]'\n    , Dropdown = function (element) {\n        var $el = $(element).on('click.dropdown.data-api', this.toggle)\n        $('html').on('click.dropdown.data-api', function () {\n          $el.parent().removeClass('open')\n        })\n      }\n\n  Dropdown.prototype = {\n\n    constructor: Dropdown\n\n  , toggle: function (e) {\n      var $this = $(this)\n        , $parent\n        , isActive\n\n      if ($this.is('.disabled, :disabled')) return\n\n      $parent = getParent($this)\n\n      isActive = $parent.hasClass('open')\n\n      clearMenus()\n\n      if (!isActive) {\n        $parent.toggleClass('open')\n      }\n\n      $this.focus()\n\n      return false\n    }\n\n  , keydown: function (e) {\n      var $this\n        , $items\n        , $active\n        , $parent\n        , isActive\n        , index\n\n      if (!/(38|40|27)/.test(e.keyCode)) return\n\n      $this = $(this)\n\n      e.preventDefault()\n      e.stopPropagation()\n\n      if ($this.is('.disabled, :disabled')) return\n\n      $parent = getParent($this)\n\n      isActive = $parent.hasClass('open')\n\n      if (!isActive || (isActive && e.keyCode == 27)) {\n        if (e.which == 27) $parent.find(toggle).focus()\n        return $this.click()\n      }\n\n      $items = $('[role=menu] li:not(.divider):visible a', $parent)\n\n      if (!$items.length) return\n\n      index = $items.index($items.filter(':focus'))\n\n      if (e.keyCode == 38 && index > 0) index--                                        // up\n      if (e.keyCode == 40 && index < $items.length - 1) index++                        // down\n      if (!~index) index = 0\n\n      $items\n        .eq(index)\n        .focus()\n    }\n\n  }\n\n  function clearMenus() {\n    $(toggle).each(function () {\n      getParent($(this)).removeClass('open')\n    })\n  }\n\n  function getParent($this) {\n    var selector = $this.attr('data-target')\n      , $parent\n\n    if (!selector) {\n      selector = $this.attr('href')\n      selector = selector && /#/.test(selector) && selector.replace(/.*(?=#[^\\s]*$)/, '') //strip for ie7\n    }\n\n    $parent = selector && $(selector)\n\n    if (!$parent || !$parent.length) $parent = $this.parent()\n\n    return $parent\n  }\n\n\n  /* DROPDOWN PLUGIN DEFINITION\n   * ========================== */\n\n  var old = $.fn.dropdown\n\n  $.fn.dropdown = function (option) {\n    return this.each(function () {\n      var $this = $(this)\n        , data = $this.data('dropdown')\n      if (!data) $this.data('dropdown', (data = new Dropdown(this)))\n      if (typeof option == 'string') data[option].call($this)\n    })\n  }\n\n  $.fn.dropdown.Constructor = Dropdown\n\n\n /* DROPDOWN NO CONFLICT\n  * ==================== */\n\n  $.fn.dropdown.noConflict = function () {\n    $.fn.dropdown = old\n    return this\n  }\n\n\n  /* APPLY TO STANDARD DROPDOWN ELEMENTS\n   * =================================== */\n\n  $(document)\n    .on('click.dropdown.data-api', clearMenus)\n    .on('click.dropdown.data-api', '.dropdown form', function (e) { e.stopPropagation() })\n    .on('click.dropdown-menu', function (e) { e.stopPropagation() })\n    .on('click.dropdown.data-api'  , toggle, Dropdown.prototype.toggle)\n    .on('keydown.dropdown.data-api', toggle + ', [role=menu]' , Dropdown.prototype.keydown)\n\n}(window.jQuery);\n\n//# sourceURL=/widgets/bootstrap-dropdown.js"),define("widgets/bootstrap-dropdown",function(){}),eval("/* =========================================================\n * bootstrap-modal.js v2.3.1\n * http://twitter.github.com/bootstrap/javascript.html#modals\n * =========================================================\n * Copyright 2012 Twitter, Inc.\n *\n * Licensed under the Apache License, Version 2.0 (the \"License\");\n * you may not use this file except in compliance with the License.\n * You may obtain a copy of the License at\n *\n * http://www.apache.org/licenses/LICENSE-2.0\n *\n * Unless required by applicable law or agreed to in writing, software\n * distributed under the License is distributed on an \"AS IS\" BASIS,\n * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n * See the License for the specific language governing permissions and\n * limitations under the License.\n * ========================================================= */\n\n\n!function ($) {\n\n  \"use strict\"; // jshint ;_;\n\n\n /* MODAL CLASS DEFINITION\n  * ====================== */\n\n  var Modal = function (element, options) {\n    this.options = options\n    this.$element = $(element)\n      .delegate('[data-dismiss=\"modal\"]', 'click.dismiss.modal', $.proxy(this.hide, this))\n    this.options.remote && this.$element.find('.modal-body').load(this.options.remote)\n  }\n\n  Modal.prototype = {\n\n      constructor: Modal\n\n    , toggle: function () {\n        return this[!this.isShown ? 'show' : 'hide']()\n      }\n\n    , show: function () {\n        var that = this\n          , e = $.Event('show')\n\n        this.$element.trigger(e)\n\n        if (this.isShown || e.isDefaultPrevented()) return\n\n        this.isShown = true\n\n        this.escape()\n\n        this.backdrop(function () {\n          var transition = $.support.transition && that.$element.hasClass('fade')\n\n          if (!that.$element.parent().length) {\n            that.$element.appendTo(this.options.selector) //don't move modals dom position\n          }\n\n          that.$element.show()\n\n          if (transition) {\n            that.$element[0].offsetWidth // force reflow\n          }\n\n          that.$element\n            .addClass('in')\n            .attr('aria-hidden', false)\n\n          that.enforceFocus()\n\n          transition ?\n            that.$element.one($.support.transition.end, function () { that.$element.focus().trigger('shown') }) :\n            that.$element.focus().trigger('shown')\n\n        })\n      }\n\n    , hide: function (e) {\n        e && e.preventDefault()\n\n        var that = this\n\n        e = $.Event('hide')\n\n        this.$element.trigger(e)\n\n        if (!this.isShown || e.isDefaultPrevented()) return\n\n        this.isShown = false\n\n        this.escape()\n\n        $(document).off('focusin.modal')\n\n        this.$element\n          .removeClass('in')\n          .attr('aria-hidden', true)\n\n        $.support.transition && this.$element.hasClass('fade') ?\n          this.hideWithTransition() :\n          this.hideModal()\n      }\n\n    , enforceFocus: function () {\n        var that = this\n        $(document).on('focusin.modal', function (e) {\n          if (that.$element[0] !== e.target && !that.$element.has(e.target).length) {\n            that.$element.focus()\n          }\n        })\n      }\n\n    , escape: function () {\n        var that = this\n        if (this.isShown && this.options.keyboard) {\n          this.$element.on('keyup.dismiss.modal', function ( e ) {\n            e.which == 27 && that.hide()\n          })\n        } else if (!this.isShown) {\n          this.$element.off('keyup.dismiss.modal')\n        }\n      }\n\n    , hideWithTransition: function () {\n        var that = this\n          , timeout = setTimeout(function () {\n              that.$element.off($.support.transition.end)\n              that.hideModal()\n            }, 500)\n\n        this.$element.one($.support.transition.end, function () {\n          clearTimeout(timeout)\n          that.hideModal()\n        })\n      }\n\n    , hideModal: function () {\n        var that = this\n        this.$element.hide()\n        this.backdrop(function () {\n          that.removeBackdrop()\n          that.$element.trigger('hidden')\n        })\n      }\n\n    , removeBackdrop: function () {\n        this.$backdrop && this.$backdrop.remove()\n        this.$backdrop = null\n      }\n\n    , backdrop: function (callback) {\n        var that = this\n          , animate = this.$element.hasClass('fade') ? 'fade' : ''\n\n        if (this.isShown && this.options.backdrop) {\n          var doAnimate = $.support.transition && animate\n\n          this.$backdrop = $('<div class=\"modal-backdrop ' + animate + '\" />')\n            .appendTo(this.options.selector)\n\n          this.$backdrop.click(\n            this.options.backdrop == 'static' ?\n              $.proxy(this.$element[0].focus, this.$element[0])\n            : $.proxy(this.hide, this)\n          )\n\n          if (doAnimate) this.$backdrop[0].offsetWidth // force reflow\n\n          this.$backdrop.addClass('in')\n\n          if (!callback) return\n\n          doAnimate ?\n            this.$backdrop.one($.support.transition.end, callback) :\n            callback()\n\n        } else if (!this.isShown && this.$backdrop) {\n          this.$backdrop.removeClass('in')\n\n          $.support.transition && this.$element.hasClass('fade')?\n            this.$backdrop.one($.support.transition.end, callback) :\n            callback()\n\n        } else if (callback) {\n          callback()\n        }\n      }\n  }\n\n\n /* MODAL PLUGIN DEFINITION\n  * ======================= */\n\n  var old = $.fn.modal\n\n  $.fn.modal = function (option) {\n    return this.each(function () {\n      var $this = $(this)\n        , data = $this.data('modal')\n        , options = $.extend({}, $.fn.modal.defaults, $this.data(), typeof option == 'object' && option)\n      if (!data) $this.data('modal', (data = new Modal(this, options)))\n      if (typeof option == 'string') data[option]()\n      else if (options.show) data.show()\n    })\n  }\n\n  $.fn.modal.defaults = {\n      backdrop: true\n    , keyboard: true\n    , show: true\n    , selector: \"body\"\n  }\n\n  $.fn.modal.Constructor = Modal\n\n\n /* MODAL NO CONFLICT\n  * ================= */\n\n  $.fn.modal.noConflict = function () {\n    $.fn.modal = old\n    return this\n  }\n\n\n /* MODAL DATA-API\n  * ============== */\n\n  $(document).on('click.modal.data-api', '[data-toggle=\"modal\"]', function (e) {\n    var $this = $(this)\n      , href = $this.attr('href')\n      , $target = $($this.attr('data-target') || (href && href.replace(/.*(?=#[^\\s]+$)/, ''))) //strip for ie7\n      , option = $target.data('modal') ? 'toggle' : $.extend({ remote:!/#/.test(href) && href }, $target.data(), $this.data())\n\n    e.preventDefault()\n\n    $target\n      .modal(option)\n      .one('hide', function () {\n        $this.focus()\n      })\n  })\n\n}(window.jQuery);\n\n//# sourceURL=/widgets/bootstrap-modal.js"),define("widgets/bootstrap-modal",function(){}),eval("/* ==========================================================\n * bootstrap-twipsy.js v1.4.0\n * http://twitter.github.com/bootstrap/javascript.html#twipsy\n * Adapted from the original jQuery.tipsy by Jason Frame\n * Adjusted for Brackets\n * ==========================================================\n * Copyright 2011 Twitter, Inc.\n *\n * Licensed under the Apache License, Version 2.0 (the \"License\");\n * you may not use this file except in compliance with the License.\n * You may obtain a copy of the License at\n *\n * http://www.apache.org/licenses/LICENSE-2.0\n *\n * Unless required by applicable law or agreed to in writing, software\n * distributed under the License is distributed on an \"AS IS\" BASIS,\n * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n * See the License for the specific language governing permissions and\n * limitations under the License.\n * ========================================================== */\n\n\n!function( $ ) {\n\n  \"use strict\"\n\n  /***** [changed for Brackets] *****/\n  // Undefined until the focus state changed once\n  var _windowHasFocus;\n\n  $(window)\n    .focus(function _onWindowGainedFocus() {\n      _windowHasFocus = true;\n    })\n    .blur(function _onWindowLostFocus() {\n      _windowHasFocus = false;\n    });\n  /***** [/changed for Brackets] *****/\n\n /* CSS TRANSITION SUPPORT (https://gist.github.com/373874)\n  * ======================================================= */\n\n  var transitionEnd\n\n  $(document).ready(function () {\n\n    $.support.transition = (function () {\n\n      var transitionEnd = (function () {\n\n        var el = document.createElement('bootstrap')\n          , transEndEventNames = {\n               'WebkitTransition' : 'webkitTransitionEnd'\n            ,  'MozTransition'    : 'transitionend'\n            ,  'OTransition'      : 'oTransitionEnd'\n            ,  'msTransition'     : 'MSTransitionEnd'\n            ,  'transition'       : 'transitionend'\n            }\n          , name\n\n        for (name in transEndEventNames){\n          if (el.style[name] !== undefined) {\n            return transEndEventNames[name]\n          }\n        }\n\n      }())\n\n      return transitionEnd && {\n        end: transitionEnd\n      }\n\n    })()\n\n    // set CSS transition event type\n    if ( $.support.transition ) {\n      transitionEnd = $.support.transition.end\n    }\n\n  })\n\n\n /* TWIPSY PUBLIC CLASS DEFINITION\n  * ============================== */\n\n  var Twipsy = function ( element, options ) {\n    this.$element = $(element)\n    this.options = options\n    this.enabled = true\n    /***** [changed for Brackets] *****/\n    this.autoHideTimeout = null;\n    /***** [/changed for Brackets] *****/\n    this.fixTitle()\n  }\n\n  Twipsy.prototype = {\n\n    show: function() {\n      /***** [changed for Brackets: moved some variables to updatePosition()] *****/\n      var $tip\n        , that = this;\n      /***** [/changed for Brackets] *****/\n\n      if (this.hasContent() && this.enabled) {\n        $tip = this.tip()\n        this.setContent()\n\n        if (this.options.animate) {\n          $tip.addClass('fade')\n        }\n\n        $tip\n          .remove()\n          .css({ top: 0, left: 0, display: 'block' })\n          .prependTo(document.body)\n\n/***** [changed for Brackets] *****/\n        this.updatePosition();\n\n        $(window).off(\"resize\", this.resizeHandler);\n        this.resizeHandler = function(e) {\n          that.updatePosition();\n        };\n        $(window).on(\"resize\", this.resizeHandler);\n\n        if (this.options.autoHideDelay) {\n          var startAutoHide = function () {\n            window.clearTimeout(that.autoHideTimeout);\n            that.autoHideTimeout = window.setTimeout(function () {\n              that.hide();\n            }, that.options.autoHideDelay);\n          }\n          if (_windowHasFocus) {\n            startAutoHide();\n          } else {\n            $(window).one(\"focus\", startAutoHide);\n          }\n        }\n\n        $tip.addClass('in');\n      }\n    }\n\n  , updatePosition: function () {\n      var pos\n        , actualWidth\n        , actualHeight\n        , paddingLeft\n        , paddingRight\n        , surplusRight\n        , shiftArrow\n        , placement\n        , $tip\n        , $arrow\n        , tp\n        , that = this\n\n      $tip = this.tip()\n\n      pos = $.extend({}, this.$element.offset(), {\n        width: this.$element[0].offsetWidth\n      , height: this.$element[0].offsetHeight\n      })\n\n      paddingLeft  = parseInt(this.$element.css(\"padding-left\"),  10);\n      paddingRight = parseInt(this.$element.css(\"padding-right\"), 10);\n\n      pos.left += paddingLeft;\n      pos.width -= (paddingLeft + paddingRight);\n\n      actualWidth = $tip[0].offsetWidth\n      actualHeight = $tip[0].offsetHeight\n\n      placement = maybeCall(this.options.placement, this, [ $tip[0], this.$element[0] ])\n      // Add the placement class so the arrow's margin can be determined\n      $tip.addClass(placement)\n\n      switch (placement) {\n        case 'below':\n          tp = {top: pos.top + pos.height + this.options.offset, left: pos.left + pos.width / 2 - actualWidth / 2}\n          break\n        case 'above':\n          tp = {top: pos.top - actualHeight - this.options.offset, left: pos.left + pos.width / 2 - actualWidth / 2}\n          break\n        case 'left':\n          /***** [changed for Brackets] *****/\n          tp = {top: pos.top + pos.height + 20 - actualHeight, left: pos.left - actualWidth - this.options.offset}\n          break\n        case 'right':\n          /***** [changed for Brackets] *****/\n          tp = {top: pos.top + pos.height + 20 - actualHeight, left: pos.left + pos.width + this.options.offset}\n          break\n      }\n\n      shiftArrow = 0;\n\n      surplusRight = (tp.left + actualWidth - $(document.body).width());\n      if (surplusRight > 0) {\n        shiftArrow = surplusRight;\n        tp.left -= surplusRight;\n      } else if (tp.left < 0) {\n        shiftArrow = tp.left;\n        tp.left = 0;\n      }\n\n      if (surplusRight > 0) {\n        $arrow = $tip.find(\".tooltip-arrow\");\n        if (! this.defaultMargin) {\n          this.defaultMargin = parseInt($arrow.css(\"margin-left\"), 10);\n        }\n        $arrow.css(\"margin-left\", this.defaultMargin + shiftArrow);\n      }\n\n      $tip.css(tp);\n    }\n/***** [/changed for Brackets] *****/\n\n  , setContent: function () {\n      var $tip = this.tip()\n      $tip.find('.tooltip-inner')[this.options.html ? 'html' : 'text'](this.getTitle())\n      $tip[0].className = 'tooltip'\n    }\n\n  , hide: function() {\n      var that = this\n        , $tip = this.tip()\n\n      $tip.removeClass('in')\n\n      function removeElement () {\n        $tip.remove()\n      }\n\n      $.support.transition && this.$tip.hasClass('fade') ?\n        $tip.bind(transitionEnd, removeElement) :\n        removeElement()\n\n      /***** [changed for Brackets] *****/\n      window.clearTimeout(this.autoHideTimeout);\n      $(window).off(\"resize\", this.resizeHandler)\n      /***** [/changed for Brackets] *****/\n    }\n\n  , fixTitle: function() {\n      var $e = this.$element\n      if ($e.attr('title') || typeof($e.attr('data-original-title')) != 'string') {\n        $e.attr('data-original-title', $e.attr('title') || '').removeAttr('title')\n      }\n    }\n\n  , hasContent: function () {\n      return this.getTitle()\n    }\n\n  , getTitle: function() {\n      var title\n        , $e = this.$element\n        , o = this.options\n\n        this.fixTitle()\n\n        if (typeof o.title == 'string') {\n          title = $e.attr(o.title == 'title' ? 'data-original-title' : o.title)\n        } else if (typeof o.title == 'function') {\n          title = o.title.call($e[0])\n        }\n\n        title = ('' + title).replace(/(^\\s*|\\s*$)/, \"\")\n\n        return title || o.fallback\n    }\n\n  , tip: function() {\n      return this.$tip = this.$tip || $('<div class=\"tooltip\" />').html(this.options.template)\n    }\n\n  , validate: function() {\n      if (!this.$element[0].parentNode) {\n        this.hide()\n        this.$element = null\n        this.options = null\n      }\n    }\n\n  , enable: function() {\n      this.enabled = true\n    }\n\n  , disable: function() {\n      this.enabled = false\n    }\n\n  , toggleEnabled: function() {\n      this.enabled = !this.enabled\n    }\n\n  , toggle: function () {\n      this[this.tip().hasClass('in') ? 'hide' : 'show']()\n    }\n\n  }\n\n\n /* TWIPSY PRIVATE METHODS\n  * ====================== */\n\n   function maybeCall ( thing, ctx, args ) {\n     return typeof thing == 'function' ? thing.apply(ctx, args) : thing\n   }\n\n /* TWIPSY PLUGIN DEFINITION\n  * ======================== */\n\n  $.fn.twipsy = function (options) {\n    $.fn.twipsy.initWith.call(this, options, Twipsy, 'twipsy')\n    return this\n  }\n\n  $.fn.twipsy.initWith = function (options, Constructor, name) {\n    var twipsy\n      , binder\n      , eventIn\n      , eventOut\n\n    if (options === true) {\n      return this.data(name)\n    } else if (typeof options == 'string') {\n      twipsy = this.data(name)\n      if (twipsy) {\n        twipsy[options]()\n      }\n      return this\n    }\n\n    options = $.extend({}, $.fn[name].defaults, options)\n\n    function get(ele) {\n      var twipsy = $.data(ele, name)\n\n      if (!twipsy) {\n        twipsy = new Constructor(ele, $.fn.twipsy.elementOptions(ele, options))\n        $.data(ele, name, twipsy)\n      }\n\n      return twipsy\n    }\n\n    function enter() {\n      var twipsy = get(this)\n      twipsy.hoverState = 'in'\n\n      if (options.delayIn == 0) {\n        twipsy.show()\n      } else {\n        twipsy.fixTitle()\n        setTimeout(function() {\n          if (twipsy.hoverState == 'in') {\n            twipsy.show()\n          }\n        }, options.delayIn)\n      }\n    }\n\n    function leave() {\n      var twipsy = get(this)\n      twipsy.hoverState = 'out'\n      if (options.delayOut == 0) {\n        twipsy.hide()\n      } else {\n        setTimeout(function() {\n          if (twipsy.hoverState == 'out') {\n            twipsy.hide()\n          }\n        }, options.delayOut)\n      }\n    }\n\n    if (!options.live) {\n      this.each(function() {\n        get(this)\n      })\n    }\n\n    if (options.trigger != 'manual') {\n      binder   = options.live ? 'live' : 'bind'\n      eventIn  = options.trigger == 'hover' ? 'mouseenter' : 'focus'\n      eventOut = options.trigger == 'hover' ? 'mouseleave' : 'blur'\n      this[binder](eventIn, enter)[binder](eventOut, leave)\n    }\n\n    return this\n  }\n\n  $.fn.twipsy.Twipsy = Twipsy\n\n  $.fn.twipsy.defaults = {\n    animate: true\n  , delayIn: 0\n  , delayOut: 0\n  , fallback: ''\n  , placement: 'above'\n  , html: false\n  , live: false\n  , offset: 0\n  , title: 'title'\n  , trigger: 'hover'\n  , template: '<div class=\"tooltip-arrow\"></div><div class=\"tooltip-inner\"></div>'\n  }\n\n  $.fn.twipsy.rejectAttrOptions = [ 'title' ]\n\n  $.fn.twipsy.elementOptions = function(ele, options) {\n    var data = $(ele).data()\n      , rejects = $.fn.twipsy.rejectAttrOptions\n      , i = rejects.length\n\n    while (i--) {\n      delete data[rejects[i]]\n    }\n\n    return $.extend({}, options, data)\n  }\n\n}( window.jQuery || window.ender );\n\n//# sourceURL=/widgets/bootstrap-twipsy-mod.js"),define("widgets/bootstrap-twipsy-mod",function(){}),eval('// CodeMirror, copyright (c) by Marijn Haverbeke and others\n// Distributed under an MIT license: http://codemirror.net/LICENSE\n\n// This is CodeMirror (http://codemirror.net), a code editor\n// implemented in JavaScript on top of the browser\'s DOM.\n//\n// You can find some technical background for some of the code below\n// at http://marijnhaverbeke.nl/blog/#cm-internals .\n\n(function (global, factory) {\n  typeof exports === \'object\' && typeof module !== \'undefined\' ? module.exports = factory() :\n  typeof define === \'function\' && define.amd ? define(\'thirdparty/CodeMirror/lib/codemirror\',factory) :\n  (global.CodeMirror = factory());\n}(this, (function () { \'use strict\';\n\n// Kludges for bugs and behavior differences that can\'t be feature\n// detected are enabled based on userAgent etc sniffing.\nvar userAgent = navigator.userAgent\nvar platform = navigator.platform\n\nvar gecko = /gecko\\/\\d/i.test(userAgent)\nvar ie_upto10 = /MSIE \\d/.test(userAgent)\nvar ie_11up = /Trident\\/(?:[7-9]|\\d{2,})\\..*rv:(\\d+)/.exec(userAgent)\nvar edge = /Edge\\/(\\d+)/.exec(userAgent)\nvar ie = ie_upto10 || ie_11up || edge\nvar ie_version = ie && (ie_upto10 ? document.documentMode || 6 : +(edge || ie_11up)[1])\nvar webkit = !edge && /WebKit\\//.test(userAgent)\nvar qtwebkit = webkit && /Qt\\/\\d+\\.\\d+/.test(userAgent)\nvar chrome = !edge && /Chrome\\//.test(userAgent)\nvar presto = /Opera\\//.test(userAgent)\nvar safari = /Apple Computer/.test(navigator.vendor)\nvar mac_geMountainLion = /Mac OS X 1\\d\\D([8-9]|\\d\\d)\\D/.test(userAgent)\nvar phantom = /PhantomJS/.test(userAgent)\n\nvar ios = !edge && /AppleWebKit/.test(userAgent) && /Mobile\\/\\w+/.test(userAgent)\n// This is woefully incomplete. Suggestions for alternative methods welcome.\nvar mobile = ios || /Android|webOS|BlackBerry|Opera Mini|Opera Mobi|IEMobile/i.test(userAgent)\nvar mac = ios || /Mac/.test(platform)\nvar chromeOS = /\\bCrOS\\b/.test(userAgent)\nvar windows = /win/i.test(platform)\n\nvar presto_version = presto && userAgent.match(/Version\\/(\\d*\\.\\d*)/)\nif (presto_version) { presto_version = Number(presto_version[1]) }\nif (presto_version && presto_version >= 15) { presto = false; webkit = true }\n// Some browsers use the wrong event properties to signal cmd/ctrl on OS X\nvar flipCtrlCmd = mac && (qtwebkit || presto && (presto_version == null || presto_version < 12.11))\nvar captureRightClick = gecko || (ie && ie_version >= 9)\n\nfunction classTest(cls) { return new RegExp("(^|\\\\s)" + cls + "(?:$|\\\\s)\\\\s*") }\n\nvar rmClass = function(node, cls) {\n  var current = node.className\n  var match = classTest(cls).exec(current)\n  if (match) {\n    var after = current.slice(match.index + match[0].length)\n    node.className = current.slice(0, match.index) + (after ? match[1] + after : "")\n  }\n}\n\nfunction removeChildren(e) {\n  for (var count = e.childNodes.length; count > 0; --count)\n    { e.removeChild(e.firstChild) }\n  return e\n}\n\nfunction removeChildrenAndAdd(parent, e) {\n  return removeChildren(parent).appendChild(e)\n}\n\nfunction elt(tag, content, className, style) {\n  var e = document.createElement(tag)\n  if (className) { e.className = className }\n  if (style) { e.style.cssText = style }\n  if (typeof content == "string") { e.appendChild(document.createTextNode(content)) }\n  else if (content) { for (var i = 0; i < content.length; ++i) { e.appendChild(content[i]) } }\n  return e\n}\n\nvar range\nif (document.createRange) { range = function(node, start, end, endNode) {\n  var r = document.createRange()\n  r.setEnd(endNode || node, end)\n  r.setStart(node, start)\n  return r\n} }\nelse { range = function(node, start, end) {\n  var r = document.body.createTextRange()\n  try { r.moveToElementText(node.parentNode) }\n  catch(e) { return r }\n  r.collapse(true)\n  r.moveEnd("character", end)\n  r.moveStart("character", start)\n  return r\n} }\n\nfunction contains(parent, child) {\n  if (child.nodeType == 3) // Android browser always returns false when child is a textnode\n    { child = child.parentNode }\n  if (parent.contains)\n    { return parent.contains(child) }\n  do {\n    if (child.nodeType == 11) { child = child.host }\n    if (child == parent) { return true }\n  } while (child = child.parentNode)\n}\n\nfunction activeElt() {\n  // IE and Edge may throw an "Unspecified Error" when accessing document.activeElement.\n  // IE < 10 will throw when accessed while the page is loading or in an iframe.\n  // IE > 9 and Edge will throw when accessed in an iframe if document.body is unavailable.\n  var activeElement\n  try {\n    activeElement = document.activeElement\n  } catch(e) {\n    activeElement = document.body || null\n  }\n  while (activeElement && activeElement.root && activeElement.root.activeElement)\n    { activeElement = activeElement.root.activeElement }\n  return activeElement\n}\n\nfunction addClass(node, cls) {\n  var current = node.className\n  if (!classTest(cls).test(current)) { node.className += (current ? " " : "") + cls }\n}\nfunction joinClasses(a, b) {\n  var as = a.split(" ")\n  for (var i = 0; i < as.length; i++)\n    { if (as[i] && !classTest(as[i]).test(b)) { b += " " + as[i] } }\n  return b\n}\n\nvar selectInput = function(node) { node.select() }\nif (ios) // Mobile Safari apparently has a bug where select() is broken.\n  { selectInput = function(node) { node.selectionStart = 0; node.selectionEnd = node.value.length } }\nelse if (ie) // Suppress mysterious IE10 errors\n  { selectInput = function(node) { try { node.select() } catch(_e) {} } }\n\nfunction bind(f) {\n  var args = Array.prototype.slice.call(arguments, 1)\n  return function(){return f.apply(null, args)}\n}\n\nfunction copyObj(obj, target, overwrite) {\n  if (!target) { target = {} }\n  for (var prop in obj)\n    { if (obj.hasOwnProperty(prop) && (overwrite !== false || !target.hasOwnProperty(prop)))\n      { target[prop] = obj[prop] } }\n  return target\n}\n\n// Counts the column offset in a string, taking tabs into account.\n// Used mostly to find indentation.\nfunction countColumn(string, end, tabSize, startIndex, startValue) {\n  if (end == null) {\n    end = string.search(/[^\\s\\u00a0]/)\n    if (end == -1) { end = string.length }\n  }\n  for (var i = startIndex || 0, n = startValue || 0;;) {\n    var nextTab = string.indexOf("\\t", i)\n    if (nextTab < 0 || nextTab >= end)\n      { return n + (end - i) }\n    n += nextTab - i\n    n += tabSize - (n % tabSize)\n    i = nextTab + 1\n  }\n}\n\nvar Delayed = function() {this.id = null};\nDelayed.prototype.set = function (ms, f) {\n  clearTimeout(this.id)\n  this.id = setTimeout(f, ms)\n};\n\nfunction indexOf(array, elt) {\n  for (var i = 0; i < array.length; ++i)\n    { if (array[i] == elt) { return i } }\n  return -1\n}\n\n// Number of pixels added to scroller and sizer to hide scrollbar\nvar scrollerGap = 30\n\n// Returned or thrown by various protocols to signal \'I\'m not\n// handling this\'.\nvar Pass = {toString: function(){return "CodeMirror.Pass"}}\n\n// Reused option objects for setSelection & friends\nvar sel_dontScroll = {scroll: false};\nvar sel_mouse = {origin: "*mouse"};\nvar sel_move = {origin: "+move"};\n// The inverse of countColumn -- find the offset that corresponds to\n// a particular column.\nfunction findColumn(string, goal, tabSize) {\n  for (var pos = 0, col = 0;;) {\n    var nextTab = string.indexOf("\\t", pos)\n    if (nextTab == -1) { nextTab = string.length }\n    var skipped = nextTab - pos\n    if (nextTab == string.length || col + skipped >= goal)\n      { return pos + Math.min(skipped, goal - col) }\n    col += nextTab - pos\n    col += tabSize - (col % tabSize)\n    pos = nextTab + 1\n    if (col >= goal) { return pos }\n  }\n}\n\nvar spaceStrs = [""]\nfunction spaceStr(n) {\n  while (spaceStrs.length <= n)\n    { spaceStrs.push(lst(spaceStrs) + " ") }\n  return spaceStrs[n]\n}\n\nfunction lst(arr) { return arr[arr.length-1] }\n\nfunction map(array, f) {\n  var out = []\n  for (var i = 0; i < array.length; i++) { out[i] = f(array[i], i) }\n  return out\n}\n\nfunction insertSorted(array, value, score) {\n  var pos = 0, priority = score(value)\n  while (pos < array.length && score(array[pos]) <= priority) { pos++ }\n  array.splice(pos, 0, value)\n}\n\nfunction nothing() {}\n\nfunction createObj(base, props) {\n  var inst\n  if (Object.create) {\n    inst = Object.create(base)\n  } else {\n    nothing.prototype = base\n    inst = new nothing()\n  }\n  if (props) { copyObj(props, inst) }\n  return inst\n}\n\nvar nonASCIISingleCaseWordChar = /[\\u00df\\u0587\\u0590-\\u05f4\\u0600-\\u06ff\\u3040-\\u309f\\u30a0-\\u30ff\\u3400-\\u4db5\\u4e00-\\u9fcc\\uac00-\\ud7af]/\nfunction isWordCharBasic(ch) {\n  return /\\w/.test(ch) || ch > "\\x80" &&\n    (ch.toUpperCase() != ch.toLowerCase() || nonASCIISingleCaseWordChar.test(ch))\n}\nfunction isWordChar(ch, helper) {\n  if (!helper) { return isWordCharBasic(ch) }\n  if (helper.source.indexOf("\\\\w") > -1 && isWordCharBasic(ch)) { return true }\n  return helper.test(ch)\n}\n\nfunction isEmpty(obj) {\n  for (var n in obj) { if (obj.hasOwnProperty(n) && obj[n]) { return false } }\n  return true\n}\n\n// Extending unicode characters. A series of a non-extending char +\n// any number of extending chars is treated as a single unit as far\n// as editing and measuring is concerned. This is not fully correct,\n// since some scripts/fonts/browsers also treat other configurations\n// of code points as a group.\nvar extendingChars = /[\\u0300-\\u036f\\u0483-\\u0489\\u0591-\\u05bd\\u05bf\\u05c1\\u05c2\\u05c4\\u05c5\\u05c7\\u0610-\\u061a\\u064b-\\u065e\\u0670\\u06d6-\\u06dc\\u06de-\\u06e4\\u06e7\\u06e8\\u06ea-\\u06ed\\u0711\\u0730-\\u074a\\u07a6-\\u07b0\\u07eb-\\u07f3\\u0816-\\u0819\\u081b-\\u0823\\u0825-\\u0827\\u0829-\\u082d\\u0900-\\u0902\\u093c\\u0941-\\u0948\\u094d\\u0951-\\u0955\\u0962\\u0963\\u0981\\u09bc\\u09be\\u09c1-\\u09c4\\u09cd\\u09d7\\u09e2\\u09e3\\u0a01\\u0a02\\u0a3c\\u0a41\\u0a42\\u0a47\\u0a48\\u0a4b-\\u0a4d\\u0a51\\u0a70\\u0a71\\u0a75\\u0a81\\u0a82\\u0abc\\u0ac1-\\u0ac5\\u0ac7\\u0ac8\\u0acd\\u0ae2\\u0ae3\\u0b01\\u0b3c\\u0b3e\\u0b3f\\u0b41-\\u0b44\\u0b4d\\u0b56\\u0b57\\u0b62\\u0b63\\u0b82\\u0bbe\\u0bc0\\u0bcd\\u0bd7\\u0c3e-\\u0c40\\u0c46-\\u0c48\\u0c4a-\\u0c4d\\u0c55\\u0c56\\u0c62\\u0c63\\u0cbc\\u0cbf\\u0cc2\\u0cc6\\u0ccc\\u0ccd\\u0cd5\\u0cd6\\u0ce2\\u0ce3\\u0d3e\\u0d41-\\u0d44\\u0d4d\\u0d57\\u0d62\\u0d63\\u0dca\\u0dcf\\u0dd2-\\u0dd4\\u0dd6\\u0ddf\\u0e31\\u0e34-\\u0e3a\\u0e47-\\u0e4e\\u0eb1\\u0eb4-\\u0eb9\\u0ebb\\u0ebc\\u0ec8-\\u0ecd\\u0f18\\u0f19\\u0f35\\u0f37\\u0f39\\u0f71-\\u0f7e\\u0f80-\\u0f84\\u0f86\\u0f87\\u0f90-\\u0f97\\u0f99-\\u0fbc\\u0fc6\\u102d-\\u1030\\u1032-\\u1037\\u1039\\u103a\\u103d\\u103e\\u1058\\u1059\\u105e-\\u1060\\u1071-\\u1074\\u1082\\u1085\\u1086\\u108d\\u109d\\u135f\\u1712-\\u1714\\u1732-\\u1734\\u1752\\u1753\\u1772\\u1773\\u17b7-\\u17bd\\u17c6\\u17c9-\\u17d3\\u17dd\\u180b-\\u180d\\u18a9\\u1920-\\u1922\\u1927\\u1928\\u1932\\u1939-\\u193b\\u1a17\\u1a18\\u1a56\\u1a58-\\u1a5e\\u1a60\\u1a62\\u1a65-\\u1a6c\\u1a73-\\u1a7c\\u1a7f\\u1b00-\\u1b03\\u1b34\\u1b36-\\u1b3a\\u1b3c\\u1b42\\u1b6b-\\u1b73\\u1b80\\u1b81\\u1ba2-\\u1ba5\\u1ba8\\u1ba9\\u1c2c-\\u1c33\\u1c36\\u1c37\\u1cd0-\\u1cd2\\u1cd4-\\u1ce0\\u1ce2-\\u1ce8\\u1ced\\u1dc0-\\u1de6\\u1dfd-\\u1dff\\u200c\\u200d\\u20d0-\\u20f0\\u2cef-\\u2cf1\\u2de0-\\u2dff\\u302a-\\u302f\\u3099\\u309a\\ua66f-\\ua672\\ua67c\\ua67d\\ua6f0\\ua6f1\\ua802\\ua806\\ua80b\\ua825\\ua826\\ua8c4\\ua8e0-\\ua8f1\\ua926-\\ua92d\\ua947-\\ua951\\ua980-\\ua982\\ua9b3\\ua9b6-\\ua9b9\\ua9bc\\uaa29-\\uaa2e\\uaa31\\uaa32\\uaa35\\uaa36\\uaa43\\uaa4c\\uaab0\\uaab2-\\uaab4\\uaab7\\uaab8\\uaabe\\uaabf\\uaac1\\uabe5\\uabe8\\uabed\\udc00-\\udfff\\ufb1e\\ufe00-\\ufe0f\\ufe20-\\ufe26\\uff9e\\uff9f]/\nfunction isExtendingChar(ch) { return ch.charCodeAt(0) >= 768 && extendingChars.test(ch) }\n\n// Returns a number from the range [`0`; `str.length`] unless `pos` is outside that range.\nfunction skipExtendingChars(str, pos, dir) {\n  while ((dir < 0 ? pos > 0 : pos < str.length) && isExtendingChar(str.charAt(pos))) { pos += dir }\n  return pos\n}\n\n// Returns the value from the range [`from`; `to`] that satisfies\n// `pred` and is closest to `from`. Assumes that at least `to` satisfies `pred`.\nfunction findFirst(pred, from, to) {\n  for (;;) {\n    if (Math.abs(from - to) <= 1) { return pred(from) ? from : to }\n    var mid = Math.floor((from + to) / 2)\n    if (pred(mid)) { to = mid }\n    else { from = mid }\n  }\n}\n\n// The display handles the DOM integration, both for input reading\n// and content drawing. It holds references to DOM nodes and\n// display-related state.\n\nfunction Display(place, doc, input) {\n  var d = this\n  this.input = input\n\n  // Covers bottom-right square when both scrollbars are present.\n  d.scrollbarFiller = elt("div", null, "CodeMirror-scrollbar-filler")\n  d.scrollbarFiller.setAttribute("cm-not-content", "true")\n  // Covers bottom of gutter when coverGutterNextToScrollbar is on\n  // and h scrollbar is present.\n  d.gutterFiller = elt("div", null, "CodeMirror-gutter-filler")\n  d.gutterFiller.setAttribute("cm-not-content", "true")\n  // Will contain the actual code, positioned to cover the viewport.\n  d.lineDiv = elt("div", null, "CodeMirror-code")\n  // Elements are added to these to represent selection and cursors.\n  d.selectionDiv = elt("div", null, null, "position: relative; z-index: 1")\n  d.cursorDiv = elt("div", null, "CodeMirror-cursors")\n  // A visibility: hidden element used to find the size of things.\n  d.measure = elt("div", null, "CodeMirror-measure")\n  // When lines outside of the viewport are measured, they are drawn in this.\n  d.lineMeasure = elt("div", null, "CodeMirror-measure")\n  // Wraps everything that needs to exist inside the vertically-padded coordinate system\n  d.lineSpace = elt("div", [d.measure, d.lineMeasure, d.selectionDiv, d.cursorDiv, d.lineDiv],\n                    null, "position: relative; outline: none")\n  // Moved around its parent to cover visible view.\n  d.mover = elt("div", [elt("div", [d.lineSpace], "CodeMirror-lines")], null, "position: relative")\n  // Set to the height of the document, allowing scrolling.\n  d.sizer = elt("div", [d.mover], "CodeMirror-sizer")\n  d.sizerWidth = null\n  // Behavior of elts with overflow: auto and padding is\n  // inconsistent across browsers. This is used to ensure the\n  // scrollable area is big enough.\n  d.heightForcer = elt("div", null, null, "position: absolute; height: " + scrollerGap + "px; width: 1px;")\n  // Will contain the gutters, if any.\n  d.gutters = elt("div", null, "CodeMirror-gutters")\n  d.lineGutter = null\n  // Actual scrollable element.\n  d.scroller = elt("div", [d.sizer, d.heightForcer, d.gutters], "CodeMirror-scroll")\n  d.scroller.setAttribute("tabIndex", "-1")\n  // The element in which the editor lives.\n  d.wrapper = elt("div", [d.scrollbarFiller, d.gutterFiller, d.scroller], "CodeMirror")\n\n  // Work around IE7 z-index bug (not perfect, hence IE7 not really being supported)\n  if (ie && ie_version < 8) { d.gutters.style.zIndex = -1; d.scroller.style.paddingRight = 0 }\n  if (!webkit && !(gecko && mobile)) { d.scroller.draggable = true }\n\n  if (place) {\n    if (place.appendChild) { place.appendChild(d.wrapper) }\n    else { place(d.wrapper) }\n  }\n\n  // Current rendered range (may be bigger than the view window).\n  d.viewFrom = d.viewTo = doc.first\n  d.reportedViewFrom = d.reportedViewTo = doc.first\n  // Information about the rendered lines.\n  d.view = []\n  d.renderedView = null\n  // Holds info about a single rendered line when it was rendered\n  // for measurement, while not in view.\n  d.externalMeasured = null\n  // Empty space (in pixels) above the view\n  d.viewOffset = 0\n  d.lastWrapHeight = d.lastWrapWidth = 0\n  d.updateLineNumbers = null\n\n  d.nativeBarWidth = d.barHeight = d.barWidth = 0\n  d.scrollbarsClipped = false\n\n  // Used to only resize the line number gutter when necessary (when\n  // the amount of lines crosses a boundary that makes its width change)\n  d.lineNumWidth = d.lineNumInnerWidth = d.lineNumChars = null\n  // Set to true when a non-horizontal-scrolling line widget is\n  // added. As an optimization, line widget aligning is skipped when\n  // this is false.\n  d.alignWidgets = false\n\n  d.cachedCharWidth = d.cachedTextHeight = d.cachedPaddingH = null\n\n  // Tracks the maximum line length so that the horizontal scrollbar\n  // can be kept static when scrolling.\n  d.maxLine = null\n  d.maxLineLength = 0\n  d.maxLineChanged = false\n\n  // Used for measuring wheel scrolling granularity\n  d.wheelDX = d.wheelDY = d.wheelStartX = d.wheelStartY = null\n\n  // True when shift is held down.\n  d.shift = false\n\n  // Used to track whether anything happened since the context menu\n  // was opened.\n  d.selForContextMenu = null\n\n  d.activeTouch = null\n\n  input.init(d)\n}\n\n// Find the line object corresponding to the given line number.\nfunction getLine(doc, n) {\n  n -= doc.first\n  if (n < 0 || n >= doc.size) { throw new Error("There is no line " + (n + doc.first) + " in the document.") }\n  var chunk = doc\n  while (!chunk.lines) {\n    for (var i = 0;; ++i) {\n      var child = chunk.children[i], sz = child.chunkSize()\n      if (n < sz) { chunk = child; break }\n      n -= sz\n    }\n  }\n  return chunk.lines[n]\n}\n\n// Get the part of a document between two positions, as an array of\n// strings.\nfunction getBetween(doc, start, end) {\n  var out = [], n = start.line\n  doc.iter(start.line, end.line + 1, function (line) {\n    var text = line.text\n    if (n == end.line) { text = text.slice(0, end.ch) }\n    if (n == start.line) { text = text.slice(start.ch) }\n    out.push(text)\n    ++n\n  })\n  return out\n}\n// Get the lines between from and to, as array of strings.\nfunction getLines(doc, from, to) {\n  var out = []\n  doc.iter(from, to, function (line) { out.push(line.text) }) // iter aborts when callback returns truthy value\n  return out\n}\n\n// Update the height of a line, propagating the height change\n// upwards to parent nodes.\nfunction updateLineHeight(line, height) {\n  var diff = height - line.height\n  if (diff) { for (var n = line; n; n = n.parent) { n.height += diff } }\n}\n\n// Given a line object, find its line number by walking up through\n// its parent links.\nfunction lineNo(line) {\n  if (line.parent == null) { return null }\n  var cur = line.parent, no = indexOf(cur.lines, line)\n  for (var chunk = cur.parent; chunk; cur = chunk, chunk = chunk.parent) {\n    for (var i = 0;; ++i) {\n      if (chunk.children[i] == cur) { break }\n      no += chunk.children[i].chunkSize()\n    }\n  }\n  return no + cur.first\n}\n\n// Find the line at the given vertical position, using the height\n// information in the document tree.\nfunction lineAtHeight(chunk, h) {\n  var n = chunk.first\n  outer: do {\n    for (var i$1 = 0; i$1 < chunk.children.length; ++i$1) {\n      var child = chunk.children[i$1], ch = child.height\n      if (h < ch) { chunk = child; continue outer }\n      h -= ch\n      n += child.chunkSize()\n    }\n    return n\n  } while (!chunk.lines)\n  var i = 0\n  for (; i < chunk.lines.length; ++i) {\n    var line = chunk.lines[i], lh = line.height\n    if (h < lh) { break }\n    h -= lh\n  }\n  return n + i\n}\n\nfunction isLine(doc, l) {return l >= doc.first && l < doc.first + doc.size}\n\nfunction lineNumberFor(options, i) {\n  return String(options.lineNumberFormatter(i + options.firstLineNumber))\n}\n\n// A Pos instance represents a position within the text.\nfunction Pos(line, ch, sticky) {\n  if ( sticky === void 0 ) sticky = null;\n\n  if (!(this instanceof Pos)) { return new Pos(line, ch, sticky) }\n  this.line = line\n  this.ch = ch\n  this.sticky = sticky\n}\n\n// Compare two positions, return 0 if they are the same, a negative\n// number when a is less, and a positive number otherwise.\nfunction cmp(a, b) { return a.line - b.line || a.ch - b.ch }\n\nfunction equalCursorPos(a, b) { return a.sticky == b.sticky && cmp(a, b) == 0 }\n\nfunction copyPos(x) {return Pos(x.line, x.ch)}\nfunction maxPos(a, b) { return cmp(a, b) < 0 ? b : a }\nfunction minPos(a, b) { return cmp(a, b) < 0 ? a : b }\n\n// Most of the external API clips given positions to make sure they\n// actually exist within the document.\nfunction clipLine(doc, n) {return Math.max(doc.first, Math.min(n, doc.first + doc.size - 1))}\nfunction clipPos(doc, pos) {\n  if (pos.line < doc.first) { return Pos(doc.first, 0) }\n  var last = doc.first + doc.size - 1\n  if (pos.line > last) { return Pos(last, getLine(doc, last).text.length) }\n  return clipToLen(pos, getLine(doc, pos.line).text.length)\n}\nfunction clipToLen(pos, linelen) {\n  var ch = pos.ch\n  if (ch == null || ch > linelen) { return Pos(pos.line, linelen) }\n  else if (ch < 0) { return Pos(pos.line, 0) }\n  else { return pos }\n}\nfunction clipPosArray(doc, array) {\n  var out = []\n  for (var i = 0; i < array.length; i++) { out[i] = clipPos(doc, array[i]) }\n  return out\n}\n\n// Optimize some code when these features are not used.\nvar sawReadOnlySpans = false;\nvar sawCollapsedSpans = false;\nfunction seeReadOnlySpans() {\n  sawReadOnlySpans = true\n}\n\nfunction seeCollapsedSpans() {\n  sawCollapsedSpans = true\n}\n\n// TEXTMARKER SPANS\n\nfunction MarkedSpan(marker, from, to) {\n  this.marker = marker\n  this.from = from; this.to = to\n}\n\n// Search an array of spans for a span matching the given marker.\nfunction getMarkedSpanFor(spans, marker) {\n  if (spans) { for (var i = 0; i < spans.length; ++i) {\n    var span = spans[i]\n    if (span.marker == marker) { return span }\n  } }\n}\n// Remove a span from an array, returning undefined if no spans are\n// left (we don\'t store arrays for lines without spans).\nfunction removeMarkedSpan(spans, span) {\n  var r\n  for (var i = 0; i < spans.length; ++i)\n    { if (spans[i] != span) { (r || (r = [])).push(spans[i]) } }\n  return r\n}\n// Add a span to a line.\nfunction addMarkedSpan(line, span) {\n  line.markedSpans = line.markedSpans ? line.markedSpans.concat([span]) : [span]\n  span.marker.attachLine(line)\n}\n\n// Used for the algorithm that adjusts markers for a change in the\n// document. These functions cut an array of spans at a given\n// character position, returning an array of remaining chunks (or\n// undefined if nothing remains).\nfunction markedSpansBefore(old, startCh, isInsert) {\n  var nw\n  if (old) { for (var i = 0; i < old.length; ++i) {\n    var span = old[i], marker = span.marker\n    var startsBefore = span.from == null || (marker.inclusiveLeft ? span.from <= startCh : span.from < startCh)\n    if (startsBefore || span.from == startCh && marker.type == "bookmark" && (!isInsert || !span.marker.insertLeft)) {\n      var endsAfter = span.to == null || (marker.inclusiveRight ? span.to >= startCh : span.to > startCh)\n      ;(nw || (nw = [])).push(new MarkedSpan(marker, span.from, endsAfter ? null : span.to))\n    }\n  } }\n  return nw\n}\nfunction markedSpansAfter(old, endCh, isInsert) {\n  var nw\n  if (old) { for (var i = 0; i < old.length; ++i) {\n    var span = old[i], marker = span.marker\n    var endsAfter = span.to == null || (marker.inclusiveRight ? span.to >= endCh : span.to > endCh)\n    if (endsAfter || span.from == endCh && marker.type == "bookmark" && (!isInsert || span.marker.insertLeft)) {\n      var startsBefore = span.from == null || (marker.inclusiveLeft ? span.from <= endCh : span.from < endCh)\n      ;(nw || (nw = [])).push(new MarkedSpan(marker, startsBefore ? null : span.from - endCh,\n                                            span.to == null ? null : span.to - endCh))\n    }\n  } }\n  return nw\n}\n\n// Given a change object, compute the new set of marker spans that\n// cover the line in which the change took place. Removes spans\n// entirely within the change, reconnects spans belonging to the\n// same marker that appear on both sides of the change, and cuts off\n// spans partially within the change. Returns an array of span\n// arrays with one element for each line in (after) the change.\nfunction stretchSpansOverChange(doc, change) {\n  if (change.full) { return null }\n  var oldFirst = isLine(doc, change.from.line) && getLine(doc, change.from.line).markedSpans\n  var oldLast = isLine(doc, change.to.line) && getLine(doc, change.to.line).markedSpans\n  if (!oldFirst && !oldLast) { return null }\n\n  var startCh = change.from.ch, endCh = change.to.ch, isInsert = cmp(change.from, change.to) == 0\n  // Get the spans that \'stick out\' on both sides\n  var first = markedSpansBefore(oldFirst, startCh, isInsert)\n  var last = markedSpansAfter(oldLast, endCh, isInsert)\n\n  // Next, merge those two ends\n  var sameLine = change.text.length == 1, offset = lst(change.text).length + (sameLine ? startCh : 0)\n  if (first) {\n    // Fix up .to properties of first\n    for (var i = 0; i < first.length; ++i) {\n      var span = first[i]\n      if (span.to == null) {\n        var found = getMarkedSpanFor(last, span.marker)\n        if (!found) { span.to = startCh }\n        else if (sameLine) { span.to = found.to == null ? null : found.to + offset }\n      }\n    }\n  }\n  if (last) {\n    // Fix up .from in last (or move them into first in case of sameLine)\n    for (var i$1 = 0; i$1 < last.length; ++i$1) {\n      var span$1 = last[i$1]\n      if (span$1.to != null) { span$1.to += offset }\n      if (span$1.from == null) {\n        var found$1 = getMarkedSpanFor(first, span$1.marker)\n        if (!found$1) {\n          span$1.from = offset\n          if (sameLine) { (first || (first = [])).push(span$1) }\n        }\n      } else {\n        span$1.from += offset\n        if (sameLine) { (first || (first = [])).push(span$1) }\n      }\n    }\n  }\n  // Make sure we didn\'t create any zero-length spans\n  if (first) { first = clearEmptySpans(first) }\n  if (last && last != first) { last = clearEmptySpans(last) }\n\n  var newMarkers = [first]\n  if (!sameLine) {\n    // Fill gap with whole-line-spans\n    var gap = change.text.length - 2, gapMarkers\n    if (gap > 0 && first)\n      { for (var i$2 = 0; i$2 < first.length; ++i$2)\n        { if (first[i$2].to == null)\n          { (gapMarkers || (gapMarkers = [])).push(new MarkedSpan(first[i$2].marker, null, null)) } } }\n    for (var i$3 = 0; i$3 < gap; ++i$3)\n      { newMarkers.push(gapMarkers) }\n    newMarkers.push(last)\n  }\n  return newMarkers\n}\n\n// Remove spans that are empty and don\'t have a clearWhenEmpty\n// option of false.\nfunction clearEmptySpans(spans) {\n  for (var i = 0; i < spans.length; ++i) {\n    var span = spans[i]\n    if (span.from != null && span.from == span.to && span.marker.clearWhenEmpty !== false)\n      { spans.splice(i--, 1) }\n  }\n  if (!spans.length) { return null }\n  return spans\n}\n\n// Used to \'clip\' out readOnly ranges when making a change.\nfunction removeReadOnlyRanges(doc, from, to) {\n  var markers = null\n  doc.iter(from.line, to.line + 1, function (line) {\n    if (line.markedSpans) { for (var i = 0; i < line.markedSpans.length; ++i) {\n      var mark = line.markedSpans[i].marker\n      if (mark.readOnly && (!markers || indexOf(markers, mark) == -1))\n        { (markers || (markers = [])).push(mark) }\n    } }\n  })\n  if (!markers) { return null }\n  var parts = [{from: from, to: to}]\n  for (var i = 0; i < markers.length; ++i) {\n    var mk = markers[i], m = mk.find(0)\n    for (var j = 0; j < parts.length; ++j) {\n      var p = parts[j]\n      if (cmp(p.to, m.from) < 0 || cmp(p.from, m.to) > 0) { continue }\n      var newParts = [j, 1], dfrom = cmp(p.from, m.from), dto = cmp(p.to, m.to)\n      if (dfrom < 0 || !mk.inclusiveLeft && !dfrom)\n        { newParts.push({from: p.from, to: m.from}) }\n      if (dto > 0 || !mk.inclusiveRight && !dto)\n        { newParts.push({from: m.to, to: p.to}) }\n      parts.splice.apply(parts, newParts)\n      j += newParts.length - 3\n    }\n  }\n  return parts\n}\n\n// Connect or disconnect spans from a line.\nfunction detachMarkedSpans(line) {\n  var spans = line.markedSpans\n  if (!spans) { return }\n  for (var i = 0; i < spans.length; ++i)\n    { spans[i].marker.detachLine(line) }\n  line.markedSpans = null\n}\nfunction attachMarkedSpans(line, spans) {\n  if (!spans) { return }\n  for (var i = 0; i < spans.length; ++i)\n    { spans[i].marker.attachLine(line) }\n  line.markedSpans = spans\n}\n\n// Helpers used when computing which overlapping collapsed span\n// counts as the larger one.\nfunction extraLeft(marker) { return marker.inclusiveLeft ? -1 : 0 }\nfunction extraRight(marker) { return marker.inclusiveRight ? 1 : 0 }\n\n// Returns a number indicating which of two overlapping collapsed\n// spans is larger (and thus includes the other). Falls back to\n// comparing ids when the spans cover exactly the same range.\nfunction compareCollapsedMarkers(a, b) {\n  var lenDiff = a.lines.length - b.lines.length\n  if (lenDiff != 0) { return lenDiff }\n  var aPos = a.find(), bPos = b.find()\n  var fromCmp = cmp(aPos.from, bPos.from) || extraLeft(a) - extraLeft(b)\n  if (fromCmp) { return -fromCmp }\n  var toCmp = cmp(aPos.to, bPos.to) || extraRight(a) - extraRight(b)\n  if (toCmp) { return toCmp }\n  return b.id - a.id\n}\n\n// Find out whether a line ends or starts in a collapsed span. If\n// so, return the marker for that span.\nfunction collapsedSpanAtSide(line, start) {\n  var sps = sawCollapsedSpans && line.markedSpans, found\n  if (sps) { for (var sp = (void 0), i = 0; i < sps.length; ++i) {\n    sp = sps[i]\n    if (sp.marker.collapsed && (start ? sp.from : sp.to) == null &&\n        (!found || compareCollapsedMarkers(found, sp.marker) < 0))\n      { found = sp.marker }\n  } }\n  return found\n}\nfunction collapsedSpanAtStart(line) { return collapsedSpanAtSide(line, true) }\nfunction collapsedSpanAtEnd(line) { return collapsedSpanAtSide(line, false) }\n\n// Test whether there exists a collapsed span that partially\n// overlaps (covers the start or end, but not both) of a new span.\n// Such overlap is not allowed.\nfunction conflictingCollapsedRange(doc, lineNo, from, to, marker) {\n  var line = getLine(doc, lineNo)\n  var sps = sawCollapsedSpans && line.markedSpans\n  if (sps) { for (var i = 0; i < sps.length; ++i) {\n    var sp = sps[i]\n    if (!sp.marker.collapsed) { continue }\n    var found = sp.marker.find(0)\n    var fromCmp = cmp(found.from, from) || extraLeft(sp.marker) - extraLeft(marker)\n    var toCmp = cmp(found.to, to) || extraRight(sp.marker) - extraRight(marker)\n    if (fromCmp >= 0 && toCmp <= 0 || fromCmp <= 0 && toCmp >= 0) { continue }\n    if (fromCmp <= 0 && (sp.marker.inclusiveRight && marker.inclusiveLeft ? cmp(found.to, from) >= 0 : cmp(found.to, from) > 0) ||\n        fromCmp >= 0 && (sp.marker.inclusiveRight && marker.inclusiveLeft ? cmp(found.from, to) <= 0 : cmp(found.from, to) < 0))\n      { return true }\n  } }\n}\n\n// A visual line is a line as drawn on the screen. Folding, for\n// example, can cause multiple logical lines to appear on the same\n// visual line. This finds the start of the visual line that the\n// given line is part of (usually that is the line itself).\nfunction visualLine(line) {\n  var merged\n  while (merged = collapsedSpanAtStart(line))\n    { line = merged.find(-1, true).line }\n  return line\n}\n\nfunction visualLineEnd(line) {\n  var merged\n  while (merged = collapsedSpanAtEnd(line))\n    { line = merged.find(1, true).line }\n  return line\n}\n\n// Returns an array of logical lines that continue the visual line\n// started by the argument, or undefined if there are no such lines.\nfunction visualLineContinued(line) {\n  var merged, lines\n  while (merged = collapsedSpanAtEnd(line)) {\n    line = merged.find(1, true).line\n    ;(lines || (lines = [])).push(line)\n  }\n  return lines\n}\n\n// Get the line number of the start of the visual line that the\n// given line number is part of.\nfunction visualLineNo(doc, lineN) {\n  var line = getLine(doc, lineN), vis = visualLine(line)\n  if (line == vis) { return lineN }\n  return lineNo(vis)\n}\n\n// Get the line number of the start of the next visual line after\n// the given line.\nfunction visualLineEndNo(doc, lineN) {\n  if (lineN > doc.lastLine()) { return lineN }\n  var line = getLine(doc, lineN), merged\n  if (!lineIsHidden(doc, line)) { return lineN }\n  while (merged = collapsedSpanAtEnd(line))\n    { line = merged.find(1, true).line }\n  return lineNo(line) + 1\n}\n\n// Compute whether a line is hidden. Lines count as hidden when they\n// are part of a visual line that starts with another line, or when\n// they are entirely covered by collapsed, non-widget span.\nfunction lineIsHidden(doc, line) {\n  var sps = sawCollapsedSpans && line.markedSpans\n  if (sps) { for (var sp = (void 0), i = 0; i < sps.length; ++i) {\n    sp = sps[i]\n    if (!sp.marker.collapsed) { continue }\n    if (sp.from == null) { return true }\n    if (sp.marker.widgetNode) { continue }\n    if (sp.from == 0 && sp.marker.inclusiveLeft && lineIsHiddenInner(doc, line, sp))\n      { return true }\n  } }\n}\nfunction lineIsHiddenInner(doc, line, span) {\n  if (span.to == null) {\n    var end = span.marker.find(1, true)\n    return lineIsHiddenInner(doc, end.line, getMarkedSpanFor(end.line.markedSpans, span.marker))\n  }\n  if (span.marker.inclusiveRight && span.to == line.text.length)\n    { return true }\n  for (var sp = (void 0), i = 0; i < line.markedSpans.length; ++i) {\n    sp = line.markedSpans[i]\n    if (sp.marker.collapsed && !sp.marker.widgetNode && sp.from == span.to &&\n        (sp.to == null || sp.to != span.from) &&\n        (sp.marker.inclusiveLeft || span.marker.inclusiveRight) &&\n        lineIsHiddenInner(doc, line, sp)) { return true }\n  }\n}\n\n// Find the height above the given line.\nfunction heightAtLine(lineObj) {\n  lineObj = visualLine(lineObj)\n\n  var h = 0, chunk = lineObj.parent\n  for (var i = 0; i < chunk.lines.length; ++i) {\n    var line = chunk.lines[i]\n    if (line == lineObj) { break }\n    else { h += line.height }\n  }\n  for (var p = chunk.parent; p; chunk = p, p = chunk.parent) {\n    for (var i$1 = 0; i$1 < p.children.length; ++i$1) {\n      var cur = p.children[i$1]\n      if (cur == chunk) { break }\n      else { h += cur.height }\n    }\n  }\n  return h\n}\n\n// Compute the character length of a line, taking into account\n// collapsed ranges (see markText) that might hide parts, and join\n// other lines onto it.\nfunction lineLength(line) {\n  if (line.height == 0) { return 0 }\n  var len = line.text.length, merged, cur = line\n  while (merged = collapsedSpanAtStart(cur)) {\n    var found = merged.find(0, true)\n    cur = found.from.line\n    len += found.from.ch - found.to.ch\n  }\n  cur = line\n  while (merged = collapsedSpanAtEnd(cur)) {\n    var found$1 = merged.find(0, true)\n    len -= cur.text.length - found$1.from.ch\n    cur = found$1.to.line\n    len += cur.text.length - found$1.to.ch\n  }\n  return len\n}\n\n// Find the longest line in the document.\nfunction findMaxLine(cm) {\n  var d = cm.display, doc = cm.doc\n  d.maxLine = getLine(doc, doc.first)\n  d.maxLineLength = lineLength(d.maxLine)\n  d.maxLineChanged = true\n  doc.iter(function (line) {\n    var len = lineLength(line)\n    if (len > d.maxLineLength) {\n      d.maxLineLength = len\n      d.maxLine = line\n    }\n  })\n}\n\n// BIDI HELPERS\n\nfunction iterateBidiSections(order, from, to, f) {\n  if (!order) { return f(from, to, "ltr") }\n  var found = false\n  for (var i = 0; i < order.length; ++i) {\n    var part = order[i]\n    if (part.from < to && part.to > from || from == to && part.to == from) {\n      f(Math.max(part.from, from), Math.min(part.to, to), part.level == 1 ? "rtl" : "ltr")\n      found = true\n    }\n  }\n  if (!found) { f(from, to, "ltr") }\n}\n\nvar bidiOther = null\nfunction getBidiPartAt(order, ch, sticky) {\n  var found\n  bidiOther = null\n  for (var i = 0; i < order.length; ++i) {\n    var cur = order[i]\n    if (cur.from < ch && cur.to > ch) { return i }\n    if (cur.to == ch) {\n      if (cur.from != cur.to && sticky == "before") { found = i }\n      else { bidiOther = i }\n    }\n    if (cur.from == ch) {\n      if (cur.from != cur.to && sticky != "before") { found = i }\n      else { bidiOther = i }\n    }\n  }\n  return found != null ? found : bidiOther\n}\n\n// Bidirectional ordering algorithm\n// See http://unicode.org/reports/tr9/tr9-13.html for the algorithm\n// that this (partially) implements.\n\n// One-char codes used for character types:\n// L (L):   Left-to-Right\n// R (R):   Right-to-Left\n// r (AL):  Right-to-Left Arabic\n// 1 (EN):  European Number\n// + (ES):  European Number Separator\n// % (ET):  European Number Terminator\n// n (AN):  Arabic Number\n// , (CS):  Common Number Separator\n// m (NSM): Non-Spacing Mark\n// b (BN):  Boundary Neutral\n// s (B):   Paragraph Separator\n// t (S):   Segment Separator\n// w (WS):  Whitespace\n// N (ON):  Other Neutrals\n\n// Returns null if characters are ordered as they appear\n// (left-to-right), or an array of sections ({from, to, level}\n// objects) in the order in which they occur visually.\nvar bidiOrdering = (function() {\n  // Character types for codepoints 0 to 0xff\n  var lowTypes = "bbbbbbbbbtstwsbbbbbbbbbbbbbbssstwNN%%%NNNNNN,N,N1111111111NNNNNNNLLLLLLLLLLLLLLLLLLLLLLLLLLNNNNNNLLLLLLLLLLLLLLLLLLLLLLLLLLNNNNbbbbbbsbbbbbbbbbbbbbbbbbbbbbbbbbb,N%%%%NNNNLNNNNN%%11NLNNN1LNNNNNLLLLLLLLLLLLLLLLLLLLLLLNLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLLN"\n  // Character types for codepoints 0x600 to 0x6f9\n  var arabicTypes = "nnnnnnNNr%%r,rNNmmmmmmmmmmmrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrmmmmmmmmmmmmmmmmmmmmmnnnnnnnnnn%nnrrrmrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrrmmmmmmmnNmmmmmmrrmmNmmmmrr1111111111"\n  function charType(code) {\n    if (code <= 0xf7) { return lowTypes.charAt(code) }\n    else if (0x590 <= code && code <= 0x5f4) { return "R" }\n    else if (0x600 <= code && code <= 0x6f9) { return arabicTypes.charAt(code - 0x600) }\n    else if (0x6ee <= code && code <= 0x8ac) { return "r" }\n    else if (0x2000 <= code && code <= 0x200b) { return "w" }\n    else if (code == 0x200c) { return "b" }\n    else { return "L" }\n  }\n\n  var bidiRE = /[\\u0590-\\u05f4\\u0600-\\u06ff\\u0700-\\u08ac]/\n  var isNeutral = /[stwN]/, isStrong = /[LRr]/, countsAsLeft = /[Lb1n]/, countsAsNum = /[1n]/\n  // Browsers seem to always treat the boundaries of block elements as being L.\n  var outerType = "L"\n\n  function BidiSpan(level, from, to) {\n    this.level = level\n    this.from = from; this.to = to\n  }\n\n  return function(str) {\n    if (!bidiRE.test(str)) { return false }\n    var len = str.length, types = []\n    for (var i = 0; i < len; ++i)\n      { types.push(charType(str.charCodeAt(i))) }\n\n    // W1. Examine each non-spacing mark (NSM) in the level run, and\n    // change the type of the NSM to the type of the previous\n    // character. If the NSM is at the start of the level run, it will\n    // get the type of sor.\n    for (var i$1 = 0, prev = outerType; i$1 < len; ++i$1) {\n      var type = types[i$1]\n      if (type == "m") { types[i$1] = prev }\n      else { prev = type }\n    }\n\n    // W2. Search backwards from each instance of a European number\n    // until the first strong type (R, L, AL, or sor) is found. If an\n    // AL is found, change the type of the European number to Arabic\n    // number.\n    // W3. Change all ALs to R.\n    for (var i$2 = 0, cur = outerType; i$2 < len; ++i$2) {\n      var type$1 = types[i$2]\n      if (type$1 == "1" && cur == "r") { types[i$2] = "n" }\n      else if (isStrong.test(type$1)) { cur = type$1; if (type$1 == "r") { types[i$2] = "R" } }\n    }\n\n    // W4. A single European separator between two European numbers\n    // changes to a European number. A single common separator between\n    // two numbers of the same type changes to that type.\n    for (var i$3 = 1, prev$1 = types[0]; i$3 < len - 1; ++i$3) {\n      var type$2 = types[i$3]\n      if (type$2 == "+" && prev$1 == "1" && types[i$3+1] == "1") { types[i$3] = "1" }\n      else if (type$2 == "," && prev$1 == types[i$3+1] &&\n               (prev$1 == "1" || prev$1 == "n")) { types[i$3] = prev$1 }\n      prev$1 = type$2\n    }\n\n    // W5. A sequence of European terminators adjacent to European\n    // numbers changes to all European numbers.\n    // W6. Otherwise, separators and terminators change to Other\n    // Neutral.\n    for (var i$4 = 0; i$4 < len; ++i$4) {\n      var type$3 = types[i$4]\n      if (type$3 == ",") { types[i$4] = "N" }\n      else if (type$3 == "%") {\n        var end = (void 0)\n        for (end = i$4 + 1; end < len && types[end] == "%"; ++end) {}\n        var replace = (i$4 && types[i$4-1] == "!") || (end < len && types[end] == "1") ? "1" : "N"\n        for (var j = i$4; j < end; ++j) { types[j] = replace }\n        i$4 = end - 1\n      }\n    }\n\n    // W7. Search backwards from each instance of a European number\n    // until the first strong type (R, L, or sor) is found. If an L is\n    // found, then change the type of the European number to L.\n    for (var i$5 = 0, cur$1 = outerType; i$5 < len; ++i$5) {\n      var type$4 = types[i$5]\n      if (cur$1 == "L" && type$4 == "1") { types[i$5] = "L" }\n      else if (isStrong.test(type$4)) { cur$1 = type$4 }\n    }\n\n    // N1. A sequence of neutrals takes the direction of the\n    // surrounding strong text if the text on both sides has the same\n    // direction. European and Arabic numbers act as if they were R in\n    // terms of their influence on neutrals. Start-of-level-run (sor)\n    // and end-of-level-run (eor) are used at level run boundaries.\n    // N2. Any remaining neutrals take the embedding direction.\n    for (var i$6 = 0; i$6 < len; ++i$6) {\n      if (isNeutral.test(types[i$6])) {\n        var end$1 = (void 0)\n        for (end$1 = i$6 + 1; end$1 < len && isNeutral.test(types[end$1]); ++end$1) {}\n        var before = (i$6 ? types[i$6-1] : outerType) == "L"\n        var after = (end$1 < len ? types[end$1] : outerType) == "L"\n        var replace$1 = before || after ? "L" : "R"\n        for (var j$1 = i$6; j$1 < end$1; ++j$1) { types[j$1] = replace$1 }\n        i$6 = end$1 - 1\n      }\n    }\n\n    // Here we depart from the documented algorithm, in order to avoid\n    // building up an actual levels array. Since there are only three\n    // levels (0, 1, 2) in an implementation that doesn\'t take\n    // explicit embedding into account, we can build up the order on\n    // the fly, without following the level-based algorithm.\n    var order = [], m\n    for (var i$7 = 0; i$7 < len;) {\n      if (countsAsLeft.test(types[i$7])) {\n        var start = i$7\n        for (++i$7; i$7 < len && countsAsLeft.test(types[i$7]); ++i$7) {}\n        order.push(new BidiSpan(0, start, i$7))\n      } else {\n        var pos = i$7, at = order.length\n        for (++i$7; i$7 < len && types[i$7] != "L"; ++i$7) {}\n        for (var j$2 = pos; j$2 < i$7;) {\n          if (countsAsNum.test(types[j$2])) {\n            if (pos < j$2) { order.splice(at, 0, new BidiSpan(1, pos, j$2)) }\n            var nstart = j$2\n            for (++j$2; j$2 < i$7 && countsAsNum.test(types[j$2]); ++j$2) {}\n            order.splice(at, 0, new BidiSpan(2, nstart, j$2))\n            pos = j$2\n          } else { ++j$2 }\n        }\n        if (pos < i$7) { order.splice(at, 0, new BidiSpan(1, pos, i$7)) }\n      }\n    }\n    if (order[0].level == 1 && (m = str.match(/^\\s+/))) {\n      order[0].from = m[0].length\n      order.unshift(new BidiSpan(0, 0, m[0].length))\n    }\n    if (lst(order).level == 1 && (m = str.match(/\\s+$/))) {\n      lst(order).to -= m[0].length\n      order.push(new BidiSpan(0, len - m[0].length, len))\n    }\n\n    return order\n  }\n})()\n\n// Get the bidi ordering for the given line (and cache it). Returns\n// false for lines that are fully left-to-right, and an array of\n// BidiSpan objects otherwise.\nfunction getOrder(line) {\n  var order = line.order\n  if (order == null) { order = line.order = bidiOrdering(line.text) }\n  return order\n}\n\nfunction moveCharLogically(line, ch, dir) {\n  var target = skipExtendingChars(line.text, ch + dir, dir)\n  return target < 0 || target > line.text.length ? null : target\n}\n\nfunction moveLogically(line, start, dir) {\n  var ch = moveCharLogically(line, start.ch, dir)\n  return ch == null ? null : new Pos(start.line, ch, dir < 0 ? "after" : "before")\n}\n\nfunction endOfLine(visually, cm, lineObj, lineNo, dir) {\n  if (visually) {\n    var order = getOrder(lineObj)\n    if (order) {\n      var part = dir < 0 ? lst(order) : order[0]\n      var moveInStorageOrder = (dir < 0) == (part.level == 1)\n      var sticky = moveInStorageOrder ? "after" : "before"\n      var ch\n      // With a wrapped rtl chunk (possibly spanning multiple bidi parts),\n      // it could be that the last bidi part is not on the last visual line,\n      // since visual lines contain content order-consecutive chunks.\n      // Thus, in rtl, we are looking for the first (content-order) character\n      // in the rtl chunk that is on the last line (that is, the same line\n      // as the last (content-order) character).\n      if (part.level > 0) {\n        var prep = prepareMeasureForLine(cm, lineObj)\n        ch = dir < 0 ? lineObj.text.length - 1 : 0\n        var targetTop = measureCharPrepared(cm, prep, ch).top\n        ch = findFirst(function (ch) { return measureCharPrepared(cm, prep, ch).top == targetTop; }, (dir < 0) == (part.level == 1) ? part.from : part.to - 1, ch)\n        if (sticky == "before") { ch = moveCharLogically(lineObj, ch, 1, true) }\n      } else { ch = dir < 0 ? part.to : part.from }\n      return new Pos(lineNo, ch, sticky)\n    }\n  }\n  return new Pos(lineNo, dir < 0 ? lineObj.text.length : 0, dir < 0 ? "before" : "after")\n}\n\nfunction moveVisually(cm, line, start, dir) {\n  var bidi = getOrder(line)\n  if (!bidi) { return moveLogically(line, start, dir) }\n  if (start.ch >= line.text.length) {\n    start.ch = line.text.length\n    start.sticky = "before"\n  } else if (start.ch <= 0) {\n    start.ch = 0\n    start.sticky = "after"\n  }\n  var partPos = getBidiPartAt(bidi, start.ch, start.sticky), part = bidi[partPos]\n  if (part.level % 2 == 0 && (dir > 0 ? part.to > start.ch : part.from < start.ch)) {\n    // Case 1: We move within an ltr part. Even with wrapped lines,\n    // nothing interesting happens.\n    return moveLogically(line, start, dir)\n  }\n\n  var mv = function (pos, dir) { return moveCharLogically(line, pos instanceof Pos ? pos.ch : pos, dir); }\n  var prep\n  var getWrappedLineExtent = function (ch) {\n    if (!cm.options.lineWrapping) { return {begin: 0, end: line.text.length} }\n    prep = prep || prepareMeasureForLine(cm, line)\n    return wrappedLineExtentChar(cm, line, prep, ch)\n  }\n  var wrappedLineExtent = getWrappedLineExtent(start.sticky == "before" ? mv(start, -1) : start.ch)\n\n  if (part.level % 2 == 1) {\n    var ch = mv(start, -dir)\n    if (ch != null && (dir > 0 ? ch >= part.from && ch >= wrappedLineExtent.begin : ch <= part.to && ch <= wrappedLineExtent.end)) {\n      // Case 2: We move within an rtl part on the same visual line\n      var sticky = dir < 0 ? "before" : "after"\n      return new Pos(start.line, ch, sticky)\n    }\n  }\n\n  // Case 3: Could not move within this bidi part in this visual line, so leave\n  // the current bidi part\n\n  var searchInVisualLine = function (partPos, dir, wrappedLineExtent) {\n    var getRes = function (ch, moveInStorageOrder) { return moveInStorageOrder\n      ? new Pos(start.line, mv(ch, 1), "before")\n      : new Pos(start.line, ch, "after"); }\n\n    for (; partPos >= 0 && partPos < bidi.length; partPos += dir) {\n      var part = bidi[partPos]\n      var moveInStorageOrder = (dir > 0) == (part.level != 1)\n      var ch = moveInStorageOrder ? wrappedLineExtent.begin : mv(wrappedLineExtent.end, -1)\n      if (part.from <= ch && ch < part.to) { return getRes(ch, moveInStorageOrder) }\n      ch = moveInStorageOrder ? part.from : mv(part.to, -1)\n      if (wrappedLineExtent.begin <= ch && ch < wrappedLineExtent.end) { return getRes(ch, moveInStorageOrder) }\n    }\n  }\n\n  // Case 3a: Look for other bidi parts on the same visual line\n  var res = searchInVisualLine(partPos + dir, dir, wrappedLineExtent)\n  if (res) { return res }\n\n  // Case 3b: Look for other bidi parts on the next visual line\n  var nextCh = dir > 0 ? wrappedLineExtent.end : mv(wrappedLineExtent.begin, -1)\n  if (nextCh != null && !(dir > 0 && nextCh == line.text.length)) {\n    res = searchInVisualLine(dir > 0 ? 0 : bidi.length - 1, dir, getWrappedLineExtent(nextCh))\n    if (res) { return res }\n  }\n\n  // Case 4: Nowhere to move\n  return null\n}\n\n// EVENT HANDLING\n\n// Lightweight event framework. on/off also work on DOM nodes,\n// registering native DOM handlers.\n\nvar noHandlers = []\n\nvar on = function(emitter, type, f) {\n  if (emitter.addEventListener) {\n    emitter.addEventListener(type, f, false)\n  } else if (emitter.attachEvent) {\n    emitter.attachEvent("on" + type, f)\n  } else {\n    var map = emitter._handlers || (emitter._handlers = {})\n    map[type] = (map[type] || noHandlers).concat(f)\n  }\n}\n\nfunction getHandlers(emitter, type) {\n  return emitter._handlers && emitter._handlers[type] || noHandlers\n}\n\nfunction off(emitter, type, f) {\n  if (emitter.removeEventListener) {\n    emitter.removeEventListener(type, f, false)\n  } else if (emitter.detachEvent) {\n    emitter.detachEvent("on" + type, f)\n  } else {\n    var map = emitter._handlers, arr = map && map[type]\n    if (arr) {\n      var index = indexOf(arr, f)\n      if (index > -1)\n        { map[type] = arr.slice(0, index).concat(arr.slice(index + 1)) }\n    }\n  }\n}\n\nfunction signal(emitter, type /*, values...*/) {\n  var handlers = getHandlers(emitter, type)\n  if (!handlers.length) { return }\n  var args = Array.prototype.slice.call(arguments, 2)\n  for (var i = 0; i < handlers.length; ++i) { handlers[i].apply(null, args) }\n}\n\n// The DOM events that CodeMirror handles can be overridden by\n// registering a (non-DOM) handler on the editor for the event name,\n// and preventDefault-ing the event in that handler.\nfunction signalDOMEvent(cm, e, override) {\n  if (typeof e == "string")\n    { e = {type: e, preventDefault: function() { this.defaultPrevented = true }} }\n  signal(cm, override || e.type, cm, e)\n  return e_defaultPrevented(e) || e.codemirrorIgnore\n}\n\nfunction signalCursorActivity(cm) {\n  var arr = cm._handlers && cm._handlers.cursorActivity\n  if (!arr) { return }\n  var set = cm.curOp.cursorActivityHandlers || (cm.curOp.cursorActivityHandlers = [])\n  for (var i = 0; i < arr.length; ++i) { if (indexOf(set, arr[i]) == -1)\n    { set.push(arr[i]) } }\n}\n\nfunction hasHandler(emitter, type) {\n  return getHandlers(emitter, type).length > 0\n}\n\n// Add on and off methods to a constructor\'s prototype, to make\n// registering events on such objects more convenient.\nfunction eventMixin(ctor) {\n  ctor.prototype.on = function(type, f) {on(this, type, f)}\n  ctor.prototype.off = function(type, f) {off(this, type, f)}\n}\n\n// Due to the fact that we still support jurassic IE versions, some\n// compatibility wrappers are needed.\n\nfunction e_preventDefault(e) {\n  if (e.preventDefault) { e.preventDefault() }\n  else { e.returnValue = false }\n}\nfunction e_stopPropagation(e) {\n  if (e.stopPropagation) { e.stopPropagation() }\n  else { e.cancelBubble = true }\n}\nfunction e_defaultPrevented(e) {\n  return e.defaultPrevented != null ? e.defaultPrevented : e.returnValue == false\n}\nfunction e_stop(e) {e_preventDefault(e); e_stopPropagation(e)}\n\nfunction e_target(e) {return e.target || e.srcElement}\nfunction e_button(e) {\n  var b = e.which\n  if (b == null) {\n    if (e.button & 1) { b = 1 }\n    else if (e.button & 2) { b = 3 }\n    else if (e.button & 4) { b = 2 }\n  }\n  if (mac && e.ctrlKey && b == 1) { b = 3 }\n  return b\n}\n\n// Detect drag-and-drop\nvar dragAndDrop = function() {\n  // There is *some* kind of drag-and-drop support in IE6-8, but I\n  // couldn\'t get it to work yet.\n  if (ie && ie_version < 9) { return false }\n  var div = elt(\'div\')\n  return "draggable" in div || "dragDrop" in div\n}()\n\nvar zwspSupported\nfunction zeroWidthElement(measure) {\n  if (zwspSupported == null) {\n    var test = elt("span", "\\u200b")\n    removeChildrenAndAdd(measure, elt("span", [test, document.createTextNode("x")]))\n    if (measure.firstChild.offsetHeight != 0)\n      { zwspSupported = test.offsetWidth <= 1 && test.offsetHeight > 2 && !(ie && ie_version < 8) }\n  }\n  var node = zwspSupported ? elt("span", "\\u200b") :\n    elt("span", "\\u00a0", null, "display: inline-block; width: 1px; margin-right: -1px")\n  node.setAttribute("cm-text", "")\n  return node\n}\n\n// Feature-detect IE\'s crummy client rect reporting for bidi text\nvar badBidiRects\nfunction hasBadBidiRects(measure) {\n  if (badBidiRects != null) { return badBidiRects }\n  var txt = removeChildrenAndAdd(measure, document.createTextNode("A\\u062eA"))\n  var r0 = range(txt, 0, 1).getBoundingClientRect()\n  var r1 = range(txt, 1, 2).getBoundingClientRect()\n  removeChildren(measure)\n  if (!r0 || r0.left == r0.right) { return false } // Safari returns null in some cases (#2780)\n  return badBidiRects = (r1.right - r0.right < 3)\n}\n\n// See if "".split is the broken IE version, if so, provide an\n// alternative way to split lines.\nvar splitLinesAuto = "\\n\\nb".split(/\\n/).length != 3 ? function (string) {\n  var pos = 0, result = [], l = string.length\n  while (pos <= l) {\n    var nl = string.indexOf("\\n", pos)\n    if (nl == -1) { nl = string.length }\n    var line = string.slice(pos, string.charAt(nl - 1) == "\\r" ? nl - 1 : nl)\n    var rt = line.indexOf("\\r")\n    if (rt != -1) {\n      result.push(line.slice(0, rt))\n      pos += rt + 1\n    } else {\n      result.push(line)\n      pos = nl + 1\n    }\n  }\n  return result\n} : function (string) { return string.split(/\\r\\n?|\\n/); }\n\nvar hasSelection = window.getSelection ? function (te) {\n  try { return te.selectionStart != te.selectionEnd }\n  catch(e) { return false }\n} : function (te) {\n  var range\n  try {range = te.ownerDocument.selection.createRange()}\n  catch(e) {}\n  if (!range || range.parentElement() != te) { return false }\n  return range.compareEndPoints("StartToEnd", range) != 0\n}\n\nvar hasCopyEvent = (function () {\n  var e = elt("div")\n  if ("oncopy" in e) { return true }\n  e.setAttribute("oncopy", "return;")\n  return typeof e.oncopy == "function"\n})()\n\nvar badZoomedRects = null\nfunction hasBadZoomedRects(measure) {\n  if (badZoomedRects != null) { return badZoomedRects }\n  var node = removeChildrenAndAdd(measure, elt("span", "x"))\n  var normal = node.getBoundingClientRect()\n  var fromRange = range(node, 0, 1).getBoundingClientRect()\n  return badZoomedRects = Math.abs(normal.left - fromRange.left) > 1\n}\n\nvar modes = {};\nvar mimeModes = {};\n// Extra arguments are stored as the mode\'s dependencies, which is\n// used by (legacy) mechanisms like loadmode.js to automatically\n// load a mode. (Preferred mechanism is the require/define calls.)\nfunction defineMode(name, mode) {\n  if (arguments.length > 2)\n    { mode.dependencies = Array.prototype.slice.call(arguments, 2) }\n  modes[name] = mode\n}\n\nfunction defineMIME(mime, spec) {\n  mimeModes[mime] = spec\n}\n\n// Given a MIME type, a {name, ...options} config object, or a name\n// string, return a mode config object.\nfunction resolveMode(spec) {\n  if (typeof spec == "string" && mimeModes.hasOwnProperty(spec)) {\n    spec = mimeModes[spec]\n  } else if (spec && typeof spec.name == "string" && mimeModes.hasOwnProperty(spec.name)) {\n    var found = mimeModes[spec.name]\n    if (typeof found == "string") { found = {name: found} }\n    spec = createObj(found, spec)\n    spec.name = found.name\n  } else if (typeof spec == "string" && /^[\\w\\-]+\\/[\\w\\-]+\\+xml$/.test(spec)) {\n    return resolveMode("application/xml")\n  } else if (typeof spec == "string" && /^[\\w\\-]+\\/[\\w\\-]+\\+json$/.test(spec)) {\n    return resolveMode("application/json")\n  }\n  if (typeof spec == "string") { return {name: spec} }\n  else { return spec || {name: "null"} }\n}\n\n// Given a mode spec (anything that resolveMode accepts), find and\n// initialize an actual mode object.\nfunction getMode(options, spec) {\n  spec = resolveMode(spec)\n  var mfactory = modes[spec.name]\n  if (!mfactory) { return getMode(options, "text/plain") }\n  var modeObj = mfactory(options, spec)\n  if (modeExtensions.hasOwnProperty(spec.name)) {\n    var exts = modeExtensions[spec.name]\n    for (var prop in exts) {\n      if (!exts.hasOwnProperty(prop)) { continue }\n      if (modeObj.hasOwnProperty(prop)) { modeObj["_" + prop] = modeObj[prop] }\n      modeObj[prop] = exts[prop]\n    }\n  }\n  modeObj.name = spec.name\n  if (spec.helperType) { modeObj.helperType = spec.helperType }\n  if (spec.modeProps) { for (var prop$1 in spec.modeProps)\n    { modeObj[prop$1] = spec.modeProps[prop$1] } }\n\n  return modeObj\n}\n\n// This can be used to attach properties to mode objects from\n// outside the actual mode definition.\nvar modeExtensions = {}\nfunction extendMode(mode, properties) {\n  var exts = modeExtensions.hasOwnProperty(mode) ? modeExtensions[mode] : (modeExtensions[mode] = {})\n  copyObj(properties, exts)\n}\n\nfunction copyState(mode, state) {\n  if (state === true) { return state }\n  if (mode.copyState) { return mode.copyState(state) }\n  var nstate = {}\n  for (var n in state) {\n    var val = state[n]\n    if (val instanceof Array) { val = val.concat([]) }\n    nstate[n] = val\n  }\n  return nstate\n}\n\n// Given a mode and a state (for that mode), find the inner mode and\n// state at the position that the state refers to.\nfunction innerMode(mode, state) {\n  var info\n  while (mode.innerMode) {\n    info = mode.innerMode(state)\n    if (!info || info.mode == mode) { break }\n    state = info.state\n    mode = info.mode\n  }\n  return info || {mode: mode, state: state}\n}\n\nfunction startState(mode, a1, a2) {\n  return mode.startState ? mode.startState(a1, a2) : true\n}\n\n// STRING STREAM\n\n// Fed to the mode parsers, provides helper functions to make\n// parsers more succinct.\n\nvar StringStream = function(string, tabSize) {\n  this.pos = this.start = 0\n  this.string = string\n  this.tabSize = tabSize || 8\n  this.lastColumnPos = this.lastColumnValue = 0\n  this.lineStart = 0\n};\n\nStringStream.prototype.eol = function () {return this.pos >= this.string.length};\nStringStream.prototype.sol = function () {return this.pos == this.lineStart};\nStringStream.prototype.peek = function () {return this.string.charAt(this.pos) || undefined};\nStringStream.prototype.next = function () {\n  if (this.pos < this.string.length)\n    { return this.string.charAt(this.pos++) }\n};\nStringStream.prototype.eat = function (match) {\n  var ch = this.string.charAt(this.pos)\n  var ok\n  if (typeof match == "string") { ok = ch == match }\n  else { ok = ch && (match.test ? match.test(ch) : match(ch)) }\n  if (ok) {++this.pos; return ch}\n};\nStringStream.prototype.eatWhile = function (match) {\n  var start = this.pos\n  while (this.eat(match)){}\n  return this.pos > start\n};\nStringStream.prototype.eatSpace = function () {\n    var this$1 = this;\n\n  var start = this.pos\n  while (/[\\s\\u00a0]/.test(this.string.charAt(this.pos))) { ++this$1.pos }\n  return this.pos > start\n};\nStringStream.prototype.skipToEnd = function () {this.pos = this.string.length};\nStringStream.prototype.skipTo = function (ch) {\n  var found = this.string.indexOf(ch, this.pos)\n  if (found > -1) {this.pos = found; return true}\n};\nStringStream.prototype.backUp = function (n) {this.pos -= n};\nStringStream.prototype.column = function () {\n  if (this.lastColumnPos < this.start) {\n    this.lastColumnValue = countColumn(this.string, this.start, this.tabSize, this.lastColumnPos, this.lastColumnValue)\n    this.lastColumnPos = this.start\n  }\n  return this.lastColumnValue - (this.lineStart ? countColumn(this.string, this.lineStart, this.tabSize) : 0)\n};\nStringStream.prototype.indentation = function () {\n  return countColumn(this.string, null, this.tabSize) -\n    (this.lineStart ? countColumn(this.string, this.lineStart, this.tabSize) : 0)\n};\nStringStream.prototype.match = function (pattern, consume, caseInsensitive) {\n  if (typeof pattern == "string") {\n    var cased = function (str) { return caseInsensitive ? str.toLowerCase() : str; }\n    var substr = this.string.substr(this.pos, pattern.length)\n    if (cased(substr) == cased(pattern)) {\n      if (consume !== false) { this.pos += pattern.length }\n      return true\n    }\n  } else {\n    var match = this.string.slice(this.pos).match(pattern)\n    if (match && match.index > 0) { return null }\n    if (match && consume !== false) { this.pos += match[0].length }\n    return match\n  }\n};\nStringStream.prototype.current = function (){return this.string.slice(this.start, this.pos)};\nStringStream.prototype.hideFirstChars = function (n, inner) {\n  this.lineStart += n\n  try { return inner() }\n  finally { this.lineStart -= n }\n};\n\n// Compute a style array (an array starting with a mode generation\n// -- for invalidation -- followed by pairs of end positions and\n// style strings), which is used to highlight the tokens on the\n// line.\nfunction highlightLine(cm, line, state, forceToEnd) {\n  // A styles array always starts with a number identifying the\n  // mode/overlays that it is based on (for easy invalidation).\n  var st = [cm.state.modeGen], lineClasses = {}\n  // Compute the base array of styles\n  runMode(cm, line.text, cm.doc.mode, state, function (end, style) { return st.push(end, style); },\n    lineClasses, forceToEnd)\n\n  // Run overlays, adjust style array.\n  var loop = function ( o ) {\n    var overlay = cm.state.overlays[o], i = 1, at = 0\n    runMode(cm, line.text, overlay.mode, true, function (end, style) {\n      var start = i\n      // Ensure there\'s a token end at the current position, and that i points at it\n      while (at < end) {\n        var i_end = st[i]\n        if (i_end > end)\n          { st.splice(i, 1, end, st[i+1], i_end) }\n        i += 2\n        at = Math.min(end, i_end)\n      }\n      if (!style) { return }\n      if (overlay.opaque) {\n        st.splice(start, i - start, end, "overlay " + style)\n        i = start + 2\n      } else {\n        for (; start < i; start += 2) {\n          var cur = st[start+1]\n          st[start+1] = (cur ? cur + " " : "") + "overlay " + style\n        }\n      }\n    }, lineClasses)\n  };\n\n  for (var o = 0; o < cm.state.overlays.length; ++o) loop( o );\n\n  return {styles: st, classes: lineClasses.bgClass || lineClasses.textClass ? lineClasses : null}\n}\n\nfunction getLineStyles(cm, line, updateFrontier) {\n  if (!line.styles || line.styles[0] != cm.state.modeGen) {\n    var state = getStateBefore(cm, lineNo(line))\n    var result = highlightLine(cm, line, line.text.length > cm.options.maxHighlightLength ? copyState(cm.doc.mode, state) : state)\n    line.stateAfter = state\n    line.styles = result.styles\n    if (result.classes) { line.styleClasses = result.classes }\n    else if (line.styleClasses) { line.styleClasses = null }\n    if (updateFrontier === cm.doc.frontier) { cm.doc.frontier++ }\n  }\n  return line.styles\n}\n\nfunction getStateBefore(cm, n, precise) {\n  var doc = cm.doc, display = cm.display\n  if (!doc.mode.startState) { return true }\n  var pos = findStartLine(cm, n, precise), state = pos > doc.first && getLine(doc, pos-1).stateAfter\n  if (!state) { state = startState(doc.mode) }\n  else { state = copyState(doc.mode, state) }\n  doc.iter(pos, n, function (line) {\n    processLine(cm, line.text, state)\n    var save = pos == n - 1 || pos % 5 == 0 || pos >= display.viewFrom && pos < display.viewTo\n    line.stateAfter = save ? copyState(doc.mode, state) : null\n    ++pos\n  })\n  if (precise) { doc.frontier = pos }\n  return state\n}\n\n// Lightweight form of highlight -- proceed over this line and\n// update state, but don\'t save a style array. Used for lines that\n// aren\'t currently visible.\nfunction processLine(cm, text, state, startAt) {\n  var mode = cm.doc.mode\n  var stream = new StringStream(text, cm.options.tabSize)\n  stream.start = stream.pos = startAt || 0\n  if (text == "") { callBlankLine(mode, state) }\n  while (!stream.eol()) {\n    readToken(mode, stream, state)\n    stream.start = stream.pos\n  }\n}\n\nfunction callBlankLine(mode, state) {\n  if (mode.blankLine) { return mode.blankLine(state) }\n  if (!mode.innerMode) { return }\n  var inner = innerMode(mode, state)\n  if (inner.mode.blankLine) { return inner.mode.blankLine(inner.state) }\n}\n\nfunction readToken(mode, stream, state, inner) {\n  for (var i = 0; i < 10; i++) {\n    if (inner) { inner[0] = innerMode(mode, state).mode }\n    var style = mode.token(stream, state)\n    if (stream.pos > stream.start) { return style }\n  }\n  throw new Error("Mode " + mode.name + " failed to advance stream.")\n}\n\n// Utility for getTokenAt and getLineTokens\nfunction takeToken(cm, pos, precise, asArray) {\n  var getObj = function (copy) { return ({\n    start: stream.start, end: stream.pos,\n    string: stream.current(),\n    type: style || null,\n    state: copy ? copyState(doc.mode, state) : state\n  }); }\n\n  var doc = cm.doc, mode = doc.mode, style\n  pos = clipPos(doc, pos)\n  var line = getLine(doc, pos.line), state = getStateBefore(cm, pos.line, precise)\n  var stream = new StringStream(line.text, cm.options.tabSize), tokens\n  if (asArray) { tokens = [] }\n  while ((asArray || stream.pos < pos.ch) && !stream.eol()) {\n    stream.start = stream.pos\n    style = readToken(mode, stream, state)\n    if (asArray) { tokens.push(getObj(true)) }\n  }\n  return asArray ? tokens : getObj()\n}\n\nfunction extractLineClasses(type, output) {\n  if (type) { for (;;) {\n    var lineClass = type.match(/(?:^|\\s+)line-(background-)?(\\S+)/)\n    if (!lineClass) { break }\n    type = type.slice(0, lineClass.index) + type.slice(lineClass.index + lineClass[0].length)\n    var prop = lineClass[1] ? "bgClass" : "textClass"\n    if (output[prop] == null)\n      { output[prop] = lineClass[2] }\n    else if (!(new RegExp("(?:^|\\s)" + lineClass[2] + "(?:$|\\s)")).test(output[prop]))\n      { output[prop] += " " + lineClass[2] }\n  } }\n  return type\n}\n\n// Run the given mode\'s parser over a line, calling f for each token.\nfunction runMode(cm, text, mode, state, f, lineClasses, forceToEnd) {\n  var flattenSpans = mode.flattenSpans\n  if (flattenSpans == null) { flattenSpans = cm.options.flattenSpans }\n  var curStart = 0, curStyle = null\n  var stream = new StringStream(text, cm.options.tabSize), style\n  var inner = cm.options.addModeClass && [null]\n  if (text == "") { extractLineClasses(callBlankLine(mode, state), lineClasses) }\n  while (!stream.eol()) {\n    if (stream.pos > cm.options.maxHighlightLength) {\n      flattenSpans = false\n      if (forceToEnd) { processLine(cm, text, state, stream.pos) }\n      stream.pos = text.length\n      style = null\n    } else {\n      style = extractLineClasses(readToken(mode, stream, state, inner), lineClasses)\n    }\n    if (inner) {\n      var mName = inner[0].name\n      if (mName) { style = "m-" + (style ? mName + " " + style : mName) }\n    }\n    if (!flattenSpans || curStyle != style) {\n      while (curStart < stream.start) {\n        curStart = Math.min(stream.start, curStart + 5000)\n        f(curStart, curStyle)\n      }\n      curStyle = style\n    }\n    stream.start = stream.pos\n  }\n  while (curStart < stream.pos) {\n    // Webkit seems to refuse to render text nodes longer than 57444\n    // characters, and returns inaccurate measurements in nodes\n    // starting around 5000 chars.\n    var pos = Math.min(stream.pos, curStart + 5000)\n    f(pos, curStyle)\n    curStart = pos\n  }\n}\n\n// Finds the line to start with when starting a parse. Tries to\n// find a line with a stateAfter, so that it can start with a\n// valid state. If that fails, it returns the line with the\n// smallest indentation, which tends to need the least context to\n// parse correctly.\nfunction findStartLine(cm, n, precise) {\n  var minindent, minline, doc = cm.doc\n  var lim = precise ? -1 : n - (cm.doc.mode.innerMode ? 1000 : 100)\n  for (var search = n; search > lim; --search) {\n    if (search <= doc.first) { return doc.first }\n    var line = getLine(doc, search - 1)\n    if (line.stateAfter && (!precise || search <= doc.frontier)) { return search }\n    var indented = countColumn(line.text, null, cm.options.tabSize)\n    if (minline == null || minindent > indented) {\n      minline = search - 1\n      minindent = indented\n    }\n  }\n  return minline\n}\n\n// LINE DATA STRUCTURE\n\n// Line objects. These hold state related to a line, including\n// highlighting info (the styles array).\nvar Line = function(text, markedSpans, estimateHeight) {\n  this.text = text\n  attachMarkedSpans(this, markedSpans)\n  this.height = estimateHeight ? estimateHeight(this) : 1\n};\n\nLine.prototype.lineNo = function () { return lineNo(this) };\neventMixin(Line)\n\n// Change the content (text, markers) of a line. Automatically\n// invalidates cached information and tries to re-estimate the\n// line\'s height.\nfunction updateLine(line, text, markedSpans, estimateHeight) {\n  line.text = text\n  if (line.stateAfter) { line.stateAfter = null }\n  if (line.styles) { line.styles = null }\n  if (line.order != null) { line.order = null }\n  detachMarkedSpans(line)\n  attachMarkedSpans(line, markedSpans)\n  var estHeight = estimateHeight ? estimateHeight(line) : 1\n  if (estHeight != line.height) { updateLineHeight(line, estHeight) }\n}\n\n// Detach a line from the document tree and its markers.\nfunction cleanUpLine(line) {\n  line.parent = null\n  detachMarkedSpans(line)\n}\n\n// Convert a style as returned by a mode (either null, or a string\n// containing one or more styles) to a CSS style. This is cached,\n// and also looks for line-wide styles.\nvar styleToClassCache = {};\nvar styleToClassCacheWithMode = {};\nfunction interpretTokenStyle(style, options) {\n  if (!style || /^\\s*$/.test(style)) { return null }\n  var cache = options.addModeClass ? styleToClassCacheWithMode : styleToClassCache\n  return cache[style] ||\n    (cache[style] = style.replace(/\\S+/g, "cm-$&"))\n}\n\n// Render the DOM representation of the text of a line. Also builds\n// up a \'line map\', which points at the DOM nodes that represent\n// specific stretches of text, and is used by the measuring code.\n// The returned object contains the DOM node, this map, and\n// information about line-wide styles that were set by the mode.\nfunction buildLineContent(cm, lineView) {\n  // The padding-right forces the element to have a \'border\', which\n  // is needed on Webkit to be able to get line-level bounding\n  // rectangles for it (in measureChar).\n  var content = elt("span", null, null, webkit ? "padding-right: .1px" : null)\n  var builder = {pre: elt("pre", [content], "CodeMirror-line"), content: content,\n                 col: 0, pos: 0, cm: cm,\n                 trailingSpace: false,\n                 splitSpaces: (ie || webkit) && cm.getOption("lineWrapping")}\n  // hide from accessibility tree\n  content.setAttribute("role", "presentation")\n  builder.pre.setAttribute("role", "presentation")\n  lineView.measure = {}\n\n  // Iterate over the logical lines that make up this visual line.\n  for (var i = 0; i <= (lineView.rest ? lineView.rest.length : 0); i++) {\n    var line = i ? lineView.rest[i - 1] : lineView.line, order = (void 0)\n    builder.pos = 0\n    builder.addToken = buildToken\n    // Optionally wire in some hacks into the token-rendering\n    // algorithm, to deal with browser quirks.\n    if (hasBadBidiRects(cm.display.measure) && (order = getOrder(line)))\n      { builder.addToken = buildTokenBadBidi(builder.addToken, order) }\n    builder.map = []\n    var allowFrontierUpdate = lineView != cm.display.externalMeasured && lineNo(line)\n    insertLineContent(line, builder, getLineStyles(cm, line, allowFrontierUpdate))\n    if (line.styleClasses) {\n      if (line.styleClasses.bgClass)\n        { builder.bgClass = joinClasses(line.styleClasses.bgClass, builder.bgClass || "") }\n      if (line.styleClasses.textClass)\n        { builder.textClass = joinClasses(line.styleClasses.textClass, builder.textClass || "") }\n    }\n\n    // Ensure at least a single node is present, for measuring.\n    if (builder.map.length == 0)\n      { builder.map.push(0, 0, builder.content.appendChild(zeroWidthElement(cm.display.measure))) }\n\n    // Store the map and a cache object for the current logical line\n    if (i == 0) {\n      lineView.measure.map = builder.map\n      lineView.measure.cache = {}\n    } else {\n      ;(lineView.measure.maps || (lineView.measure.maps = [])).push(builder.map)\n      ;(lineView.measure.caches || (lineView.measure.caches = [])).push({})\n    }\n  }\n\n  // See issue #2901\n  if (webkit) {\n    var last = builder.content.lastChild\n    if (/\\bcm-tab\\b/.test(last.className) || (last.querySelector && last.querySelector(".cm-tab")))\n      { builder.content.className = "cm-tab-wrap-hack" }\n  }\n\n  signal(cm, "renderLine", cm, lineView.line, builder.pre)\n  if (builder.pre.className)\n    { builder.textClass = joinClasses(builder.pre.className, builder.textClass || "") }\n\n  return builder\n}\n\nfunction defaultSpecialCharPlaceholder(ch) {\n  var token = elt("span", "\\u2022", "cm-invalidchar")\n  token.title = "\\\\u" + ch.charCodeAt(0).toString(16)\n  token.setAttribute("aria-label", token.title)\n  return token\n}\n\n// Build up the DOM representation for a single token, and add it to\n// the line map. Takes care to render special characters separately.\nfunction buildToken(builder, text, style, startStyle, endStyle, title, css) {\n  if (!text) { return }\n  var displayText = builder.splitSpaces ? splitSpaces(text, builder.trailingSpace) : text\n  var special = builder.cm.state.specialChars, mustWrap = false\n  var content\n  if (!special.test(text)) {\n    builder.col += text.length\n    content = document.createTextNode(displayText)\n    builder.map.push(builder.pos, builder.pos + text.length, content)\n    if (ie && ie_version < 9) { mustWrap = true }\n    builder.pos += text.length\n  } else {\n    content = document.createDocumentFragment()\n    var pos = 0\n    while (true) {\n      special.lastIndex = pos\n      var m = special.exec(text)\n      var skipped = m ? m.index - pos : text.length - pos\n      if (skipped) {\n        var txt = document.createTextNode(displayText.slice(pos, pos + skipped))\n        if (ie && ie_version < 9) { content.appendChild(elt("span", [txt])) }\n        else { content.appendChild(txt) }\n        builder.map.push(builder.pos, builder.pos + skipped, txt)\n        builder.col += skipped\n        builder.pos += skipped\n      }\n      if (!m) { break }\n      pos += skipped + 1\n      var txt$1 = (void 0)\n      if (m[0] == "\\t") {\n        var tabSize = builder.cm.options.tabSize, tabWidth = tabSize - builder.col % tabSize\n        txt$1 = content.appendChild(elt("span", spaceStr(tabWidth), "cm-tab"))\n        txt$1.setAttribute("role", "presentation")\n        txt$1.setAttribute("cm-text", "\\t")\n        builder.col += tabWidth\n      } else if (m[0] == "\\r" || m[0] == "\\n") {\n        txt$1 = content.appendChild(elt("span", m[0] == "\\r" ? "\\u240d" : "\\u2424", "cm-invalidchar"))\n        txt$1.setAttribute("cm-text", m[0])\n        builder.col += 1\n      } else {\n        txt$1 = builder.cm.options.specialCharPlaceholder(m[0])\n        txt$1.setAttribute("cm-text", m[0])\n        if (ie && ie_version < 9) { content.appendChild(elt("span", [txt$1])) }\n        else { content.appendChild(txt$1) }\n        builder.col += 1\n      }\n      builder.map.push(builder.pos, builder.pos + 1, txt$1)\n      builder.pos++\n    }\n  }\n  builder.trailingSpace = displayText.charCodeAt(text.length - 1) == 32\n  if (style || startStyle || endStyle || mustWrap || css) {\n    var fullStyle = style || ""\n    if (startStyle) { fullStyle += startStyle }\n    if (endStyle) { fullStyle += endStyle }\n    var token = elt("span", [content], fullStyle, css)\n    if (title) { token.title = title }\n    return builder.content.appendChild(token)\n  }\n  builder.content.appendChild(content)\n}\n\nfunction splitSpaces(text, trailingBefore) {\n  if (text.length > 1 && !/  /.test(text)) { return text }\n  var spaceBefore = trailingBefore, result = ""\n  for (var i = 0; i < text.length; i++) {\n    var ch = text.charAt(i)\n    if (ch == " " && spaceBefore && (i == text.length - 1 || text.charCodeAt(i + 1) == 32))\n      { ch = "\\u00a0" }\n    result += ch\n    spaceBefore = ch == " "\n  }\n  return result\n}\n\n// Work around nonsense dimensions being reported for stretches of\n// right-to-left text.\nfunction buildTokenBadBidi(inner, order) {\n  return function (builder, text, style, startStyle, endStyle, title, css) {\n    style = style ? style + " cm-force-border" : "cm-force-border"\n    var start = builder.pos, end = start + text.length\n    for (;;) {\n      // Find the part that overlaps with the start of this text\n      var part = (void 0)\n      for (var i = 0; i < order.length; i++) {\n        part = order[i]\n        if (part.to > start && part.from <= start) { break }\n      }\n      if (part.to >= end) { return inner(builder, text, style, startStyle, endStyle, title, css) }\n      inner(builder, text.slice(0, part.to - start), style, startStyle, null, title, css)\n      startStyle = null\n      text = text.slice(part.to - start)\n      start = part.to\n    }\n  }\n}\n\nfunction buildCollapsedSpan(builder, size, marker, ignoreWidget) {\n  var widget = !ignoreWidget && marker.widgetNode\n  if (widget) { builder.map.push(builder.pos, builder.pos + size, widget) }\n  if (!ignoreWidget && builder.cm.display.input.needsContentAttribute) {\n    if (!widget)\n      { widget = builder.content.appendChild(document.createElement("span")) }\n    widget.setAttribute("cm-marker", marker.id)\n  }\n  if (widget) {\n    builder.cm.display.input.setUneditable(widget)\n    builder.content.appendChild(widget)\n  }\n  builder.pos += size\n  builder.trailingSpace = false\n}\n\n// Outputs a number of spans to make up a line, taking highlighting\n// and marked text into account.\nfunction insertLineContent(line, builder, styles) {\n  var spans = line.markedSpans, allText = line.text, at = 0\n  if (!spans) {\n    for (var i$1 = 1; i$1 < styles.length; i$1+=2)\n      { builder.addToken(builder, allText.slice(at, at = styles[i$1]), interpretTokenStyle(styles[i$1+1], builder.cm.options)) }\n    return\n  }\n\n  var len = allText.length, pos = 0, i = 1, text = "", style, css\n  var nextChange = 0, spanStyle, spanEndStyle, spanStartStyle, title, collapsed\n  for (;;) {\n    if (nextChange == pos) { // Update current marker set\n      spanStyle = spanEndStyle = spanStartStyle = title = css = ""\n      collapsed = null; nextChange = Infinity\n      var foundBookmarks = [], endStyles = (void 0)\n      for (var j = 0; j < spans.length; ++j) {\n        var sp = spans[j], m = sp.marker\n        if (m.type == "bookmark" && sp.from == pos && m.widgetNode) {\n          foundBookmarks.push(m)\n        } else if (sp.from <= pos && (sp.to == null || sp.to > pos || m.collapsed && sp.to == pos && sp.from == pos)) {\n          if (sp.to != null && sp.to != pos && nextChange > sp.to) {\n            nextChange = sp.to\n            spanEndStyle = ""\n          }\n          if (m.className) { spanStyle += " " + m.className }\n          if (m.css) { css = (css ? css + ";" : "") + m.css }\n          if (m.startStyle && sp.from == pos) { spanStartStyle += " " + m.startStyle }\n          if (m.endStyle && sp.to == nextChange) { (endStyles || (endStyles = [])).push(m.endStyle, sp.to) }\n          if (m.title && !title) { title = m.title }\n          if (m.collapsed && (!collapsed || compareCollapsedMarkers(collapsed.marker, m) < 0))\n            { collapsed = sp }\n        } else if (sp.from > pos && nextChange > sp.from) {\n          nextChange = sp.from\n        }\n      }\n      if (endStyles) { for (var j$1 = 0; j$1 < endStyles.length; j$1 += 2)\n        { if (endStyles[j$1 + 1] == nextChange) { spanEndStyle += " " + endStyles[j$1] } } }\n\n      if (!collapsed || collapsed.from == pos) { for (var j$2 = 0; j$2 < foundBookmarks.length; ++j$2)\n        { buildCollapsedSpan(builder, 0, foundBookmarks[j$2]) } }\n      if (collapsed && (collapsed.from || 0) == pos) {\n        buildCollapsedSpan(builder, (collapsed.to == null ? len + 1 : collapsed.to) - pos,\n                           collapsed.marker, collapsed.from == null)\n        if (collapsed.to == null) { return }\n        if (collapsed.to == pos) { collapsed = false }\n      }\n    }\n    if (pos >= len) { break }\n\n    var upto = Math.min(len, nextChange)\n    while (true) {\n      if (text) {\n        var end = pos + text.length\n        if (!collapsed) {\n          var tokenText = end > upto ? text.slice(0, upto - pos) : text\n          builder.addToken(builder, tokenText, style ? style + spanStyle : spanStyle,\n                           spanStartStyle, pos + tokenText.length == nextChange ? spanEndStyle : "", title, css)\n        }\n        if (end >= upto) {text = text.slice(upto - pos); pos = upto; break}\n        pos = end\n        spanStartStyle = ""\n      }\n      text = allText.slice(at, at = styles[i++])\n      style = interpretTokenStyle(styles[i++], builder.cm.options)\n    }\n  }\n}\n\n\n// These objects are used to represent the visible (currently drawn)\n// part of the document. A LineView may correspond to multiple\n// logical lines, if those are connected by collapsed ranges.\nfunction LineView(doc, line, lineN) {\n  // The starting line\n  this.line = line\n  // Continuing lines, if any\n  this.rest = visualLineContinued(line)\n  // Number of logical lines in this visual line\n  this.size = this.rest ? lineNo(lst(this.rest)) - lineN + 1 : 1\n  this.node = this.text = null\n  this.hidden = lineIsHidden(doc, line)\n}\n\n// Create a range of LineView objects for the given lines.\nfunction buildViewArray(cm, from, to) {\n  var array = [], nextPos\n  for (var pos = from; pos < to; pos = nextPos) {\n    var view = new LineView(cm.doc, getLine(cm.doc, pos), pos)\n    nextPos = pos + view.size\n    array.push(view)\n  }\n  return array\n}\n\nvar operationGroup = null\n\nfunction pushOperation(op) {\n  if (operationGroup) {\n    operationGroup.ops.push(op)\n  } else {\n    op.ownsGroup = operationGroup = {\n      ops: [op],\n      delayedCallbacks: []\n    }\n  }\n}\n\nfunction fireCallbacksForOps(group) {\n  // Calls delayed callbacks and cursorActivity handlers until no\n  // new ones appear\n  var callbacks = group.delayedCallbacks, i = 0\n  do {\n    for (; i < callbacks.length; i++)\n      { callbacks[i].call(null) }\n    for (var j = 0; j < group.ops.length; j++) {\n      var op = group.ops[j]\n      if (op.cursorActivityHandlers)\n        { while (op.cursorActivityCalled < op.cursorActivityHandlers.length)\n          { op.cursorActivityHandlers[op.cursorActivityCalled++].call(null, op.cm) } }\n    }\n  } while (i < callbacks.length)\n}\n\nfunction finishOperation(op, endCb) {\n  var group = op.ownsGroup\n  if (!group) { return }\n\n  try { fireCallbacksForOps(group) }\n  finally {\n    operationGroup = null\n    endCb(group)\n  }\n}\n\nvar orphanDelayedCallbacks = null\n\n// Often, we want to signal events at a point where we are in the\n// middle of some work, but don\'t want the handler to start calling\n// other methods on the editor, which might be in an inconsistent\n// state or simply not expect any other events to happen.\n// signalLater looks whether there are any handlers, and schedules\n// them to be executed when the last operation ends, or, if no\n// operation is active, when a timeout fires.\nfunction signalLater(emitter, type /*, values...*/) {\n  var arr = getHandlers(emitter, type)\n  if (!arr.length) { return }\n  var args = Array.prototype.slice.call(arguments, 2), list\n  if (operationGroup) {\n    list = operationGroup.delayedCallbacks\n  } else if (orphanDelayedCallbacks) {\n    list = orphanDelayedCallbacks\n  } else {\n    list = orphanDelayedCallbacks = []\n    setTimeout(fireOrphanDelayed, 0)\n  }\n  var loop = function ( i ) {\n    list.push(function () { return arr[i].apply(null, args); })\n  };\n\n  for (var i = 0; i < arr.length; ++i)\n    loop( i );\n}\n\nfunction fireOrphanDelayed() {\n  var delayed = orphanDelayedCallbacks\n  orphanDelayedCallbacks = null\n  for (var i = 0; i < delayed.length; ++i) { delayed[i]() }\n}\n\n// When an aspect of a line changes, a string is added to\n// lineView.changes. This updates the relevant part of the line\'s\n// DOM structure.\nfunction updateLineForChanges(cm, lineView, lineN, dims) {\n  for (var j = 0; j < lineView.changes.length; j++) {\n    var type = lineView.changes[j]\n    if (type == "text") { updateLineText(cm, lineView) }\n    else if (type == "gutter") { updateLineGutter(cm, lineView, lineN, dims) }\n    else if (type == "class") { updateLineClasses(lineView) }\n    else if (type == "widget") { updateLineWidgets(cm, lineView, dims) }\n  }\n  lineView.changes = null\n}\n\n// Lines with gutter elements, widgets or a background class need to\n// be wrapped, and have the extra elements added to the wrapper div\nfunction ensureLineWrapped(lineView) {\n  if (lineView.node == lineView.text) {\n    lineView.node = elt("div", null, null, "position: relative")\n    if (lineView.text.parentNode)\n      { lineView.text.parentNode.replaceChild(lineView.node, lineView.text) }\n    lineView.node.appendChild(lineView.text)\n    if (ie && ie_version < 8) { lineView.node.style.zIndex = 2 }\n  }\n  return lineView.node\n}\n\nfunction updateLineBackground(lineView) {\n  var cls = lineView.bgClass ? lineView.bgClass + " " + (lineView.line.bgClass || "") : lineView.line.bgClass\n  if (cls) { cls += " CodeMirror-linebackground" }\n  if (lineView.background) {\n    if (cls) { lineView.background.className = cls }\n    else { lineView.background.parentNode.removeChild(lineView.background); lineView.background = null }\n  } else if (cls) {\n    var wrap = ensureLineWrapped(lineView)\n    lineView.background = wrap.insertBefore(elt("div", null, cls), wrap.firstChild)\n  }\n}\n\n// Wrapper around buildLineContent which will reuse the structure\n// in display.externalMeasured when possible.\nfunction getLineContent(cm, lineView) {\n  var ext = cm.display.externalMeasured\n  if (ext && ext.line == lineView.line) {\n    cm.display.externalMeasured = null\n    lineView.measure = ext.measure\n    return ext.built\n  }\n  return buildLineContent(cm, lineView)\n}\n\n// Redraw the line\'s text. Interacts with the background and text\n// classes because the mode may output tokens that influence these\n// classes.\nfunction updateLineText(cm, lineView) {\n  var cls = lineView.text.className\n  var built = getLineContent(cm, lineView)\n  if (lineView.text == lineView.node) { lineView.node = built.pre }\n  lineView.text.parentNode.replaceChild(built.pre, lineView.text)\n  lineView.text = built.pre\n  if (built.bgClass != lineView.bgClass || built.textClass != lineView.textClass) {\n    lineView.bgClass = built.bgClass\n    lineView.textClass = built.textClass\n    updateLineClasses(lineView)\n  } else if (cls) {\n    lineView.text.className = cls\n  }\n}\n\nfunction updateLineClasses(lineView) {\n  updateLineBackground(lineView)\n  if (lineView.line.wrapClass)\n    { ensureLineWrapped(lineView).className = lineView.line.wrapClass }\n  else if (lineView.node != lineView.text)\n    { lineView.node.className = "" }\n  var textClass = lineView.textClass ? lineView.textClass + " " + (lineView.line.textClass || "") : lineView.line.textClass\n  lineView.text.className = textClass || ""\n}\n\nfunction updateLineGutter(cm, lineView, lineN, dims) {\n  if (lineView.gutter) {\n    lineView.node.removeChild(lineView.gutter)\n    lineView.gutter = null\n  }\n  if (lineView.gutterBackground) {\n    lineView.node.removeChild(lineView.gutterBackground)\n    lineView.gutterBackground = null\n  }\n  if (lineView.line.gutterClass) {\n    var wrap = ensureLineWrapped(lineView)\n    lineView.gutterBackground = elt("div", null, "CodeMirror-gutter-background " + lineView.line.gutterClass,\n                                    ("left: " + (cm.options.fixedGutter ? dims.fixedPos : -dims.gutterTotalWidth) + "px; width: " + (dims.gutterTotalWidth) + "px"))\n    wrap.insertBefore(lineView.gutterBackground, lineView.text)\n  }\n  var markers = lineView.line.gutterMarkers\n  if (cm.options.lineNumbers || markers) {\n    var wrap$1 = ensureLineWrapped(lineView)\n    var gutterWrap = lineView.gutter = elt("div", null, "CodeMirror-gutter-wrapper", ("left: " + (cm.options.fixedGutter ? dims.fixedPos : -dims.gutterTotalWidth) + "px"))\n    cm.display.input.setUneditable(gutterWrap)\n    wrap$1.insertBefore(gutterWrap, lineView.text)\n    if (lineView.line.gutterClass)\n      { gutterWrap.className += " " + lineView.line.gutterClass }\n    if (cm.options.lineNumbers && (!markers || !markers["CodeMirror-linenumbers"]))\n      { lineView.lineNumber = gutterWrap.appendChild(\n        elt("div", lineNumberFor(cm.options, lineN),\n            "CodeMirror-linenumber CodeMirror-gutter-elt",\n            ("left: " + (dims.gutterLeft["CodeMirror-linenumbers"]) + "px; width: " + (cm.display.lineNumInnerWidth) + "px"))) }\n    if (markers) { for (var k = 0; k < cm.options.gutters.length; ++k) {\n      var id = cm.options.gutters[k], found = markers.hasOwnProperty(id) && markers[id]\n      if (found)\n        { gutterWrap.appendChild(elt("div", [found], "CodeMirror-gutter-elt",\n                                   ("left: " + (dims.gutterLeft[id]) + "px; width: " + (dims.gutterWidth[id]) + "px"))) }\n    } }\n  }\n}\n\nfunction updateLineWidgets(cm, lineView, dims) {\n  if (lineView.alignable) { lineView.alignable = null }\n  for (var node = lineView.node.firstChild, next = (void 0); node; node = next) {\n    next = node.nextSibling\n    if (node.className == "CodeMirror-linewidget")\n      { lineView.node.removeChild(node) }\n  }\n  insertLineWidgets(cm, lineView, dims)\n}\n\n// Build a line\'s DOM representation from scratch\nfunction buildLineElement(cm, lineView, lineN, dims) {\n  var built = getLineContent(cm, lineView)\n  lineView.text = lineView.node = built.pre\n  if (built.bgClass) { lineView.bgClass = built.bgClass }\n  if (built.textClass) { lineView.textClass = built.textClass }\n\n  updateLineClasses(lineView)\n  updateLineGutter(cm, lineView, lineN, dims)\n  insertLineWidgets(cm, lineView, dims)\n  return lineView.node\n}\n\n// A lineView may contain multiple logical lines (when merged by\n// collapsed spans). The widgets for all of them need to be drawn.\nfunction insertLineWidgets(cm, lineView, dims) {\n  insertLineWidgetsFor(cm, lineView.line, lineView, dims, true)\n  if (lineView.rest) { for (var i = 0; i < lineView.rest.length; i++)\n    { insertLineWidgetsFor(cm, lineView.rest[i], lineView, dims, false) } }\n}\n\nfunction insertLineWidgetsFor(cm, line, lineView, dims, allowAbove) {\n  if (!line.widgets) { return }\n  var wrap = ensureLineWrapped(lineView)\n  for (var i = 0, ws = line.widgets; i < ws.length; ++i) {\n    var widget = ws[i], node = elt("div", [widget.node], "CodeMirror-linewidget")\n    if (!widget.handleMouseEvents) { node.setAttribute("cm-ignore-events", "true") }\n    positionLineWidget(widget, node, lineView, dims)\n    cm.display.input.setUneditable(node)\n    if (allowAbove && widget.above)\n      { wrap.insertBefore(node, lineView.gutter || lineView.text) }\n    else\n      { wrap.appendChild(node) }\n    signalLater(widget, "redraw")\n  }\n}\n\nfunction positionLineWidget(widget, node, lineView, dims) {\n  if (widget.noHScroll) {\n    ;(lineView.alignable || (lineView.alignable = [])).push(node)\n    var width = dims.wrapperWidth\n    node.style.left = dims.fixedPos + "px"\n    if (!widget.coverGutter) {\n      width -= dims.gutterTotalWidth\n      node.style.paddingLeft = dims.gutterTotalWidth + "px"\n    }\n    node.style.width = width + "px"\n  }\n  if (widget.coverGutter) {\n    node.style.zIndex = 5\n    node.style.position = "relative"\n    if (!widget.noHScroll) { node.style.marginLeft = -dims.gutterTotalWidth + "px" }\n  }\n}\n\nfunction widgetHeight(widget) {\n  if (widget.height != null) { return widget.height }\n  var cm = widget.doc.cm\n  if (!cm) { return 0 }\n  if (!contains(document.body, widget.node)) {\n    var parentStyle = "position: relative;"\n    if (widget.coverGutter)\n      { parentStyle += "margin-left: -" + cm.display.gutters.offsetWidth + "px;" }\n    if (widget.noHScroll)\n      { parentStyle += "width: " + cm.display.wrapper.clientWidth + "px;" }\n    removeChildrenAndAdd(cm.display.measure, elt("div", [widget.node], null, parentStyle))\n  }\n  return widget.height = widget.node.parentNode.offsetHeight\n}\n\n// Return true when the given mouse event happened in a widget\nfunction eventInWidget(display, e) {\n  for (var n = e_target(e); n != display.wrapper; n = n.parentNode) {\n    if (!n || (n.nodeType == 1 && n.getAttribute("cm-ignore-events") == "true") ||\n        (n.parentNode == display.sizer && n != display.mover))\n      { return true }\n  }\n}\n\n// POSITION MEASUREMENT\n\nfunction paddingTop(display) {return display.lineSpace.offsetTop}\nfunction paddingVert(display) {return display.mover.offsetHeight - display.lineSpace.offsetHeight}\nfunction paddingH(display) {\n  if (display.cachedPaddingH) { return display.cachedPaddingH }\n  var e = removeChildrenAndAdd(display.measure, elt("pre", "x"))\n  var style = window.getComputedStyle ? window.getComputedStyle(e) : e.currentStyle\n  var data = {left: parseInt(style.paddingLeft), right: parseInt(style.paddingRight)}\n  if (!isNaN(data.left) && !isNaN(data.right)) { display.cachedPaddingH = data }\n  return data\n}\n\nfunction scrollGap(cm) { return scrollerGap - cm.display.nativeBarWidth }\nfunction displayWidth(cm) {\n  return cm.display.scroller.clientWidth - scrollGap(cm) - cm.display.barWidth\n}\nfunction displayHeight(cm) {\n  return cm.display.scroller.clientHeight - scrollGap(cm) - cm.display.barHeight\n}\n\n// Ensure the lineView.wrapping.heights array is populated. This is\n// an array of bottom offsets for the lines that make up a drawn\n// line. When lineWrapping is on, there might be more than one\n// height.\nfunction ensureLineHeights(cm, lineView, rect) {\n  var wrapping = cm.options.lineWrapping\n  var curWidth = wrapping && displayWidth(cm)\n  if (!lineView.measure.heights || wrapping && lineView.measure.width != curWidth) {\n    var heights = lineView.measure.heights = []\n    if (wrapping) {\n      lineView.measure.width = curWidth\n      var rects = lineView.text.firstChild.getClientRects()\n      for (var i = 0; i < rects.length - 1; i++) {\n        var cur = rects[i], next = rects[i + 1]\n        if (Math.abs(cur.bottom - next.bottom) > 2)\n          { heights.push((cur.bottom + next.top) / 2 - rect.top) }\n      }\n    }\n    heights.push(rect.bottom - rect.top)\n  }\n}\n\n// Find a line map (mapping character offsets to text nodes) and a\n// measurement cache for the given line number. (A line view might\n// contain multiple lines when collapsed ranges are present.)\nfunction mapFromLineView(lineView, line, lineN) {\n  if (lineView.line == line)\n    { return {map: lineView.measure.map, cache: lineView.measure.cache} }\n  for (var i = 0; i < lineView.rest.length; i++)\n    { if (lineView.rest[i] == line)\n      { return {map: lineView.measure.maps[i], cache: lineView.measure.caches[i]} } }\n  for (var i$1 = 0; i$1 < lineView.rest.length; i$1++)\n    { if (lineNo(lineView.rest[i$1]) > lineN)\n      { return {map: lineView.measure.maps[i$1], cache: lineView.measure.caches[i$1], before: true} } }\n}\n\n// Render a line into the hidden node display.externalMeasured. Used\n// when measurement is needed for a line that\'s not in the viewport.\nfunction updateExternalMeasurement(cm, line) {\n  line = visualLine(line)\n  var lineN = lineNo(line)\n  var view = cm.display.externalMeasured = new LineView(cm.doc, line, lineN)\n  view.lineN = lineN\n  var built = view.built = buildLineContent(cm, view)\n  view.text = built.pre\n  removeChildrenAndAdd(cm.display.lineMeasure, built.pre)\n  return view\n}\n\n// Get a {top, bottom, left, right} box (in line-local coordinates)\n// for a given character.\nfunction measureChar(cm, line, ch, bias) {\n  return measureCharPrepared(cm, prepareMeasureForLine(cm, line), ch, bias)\n}\n\n// Find a line view that corresponds to the given line number.\nfunction findViewForLine(cm, lineN) {\n  if (lineN >= cm.display.viewFrom && lineN < cm.display.viewTo)\n    { return cm.display.view[findViewIndex(cm, lineN)] }\n  var ext = cm.display.externalMeasured\n  if (ext && lineN >= ext.lineN && lineN < ext.lineN + ext.size)\n    { return ext }\n}\n\n// Measurement can be split in two steps, the set-up work that\n// applies to the whole line, and the measurement of the actual\n// character. Functions like coordsChar, that need to do a lot of\n// measurements in a row, can thus ensure that the set-up work is\n// only done once.\nfunction prepareMeasureForLine(cm, line) {\n  var lineN = lineNo(line)\n  var view = findViewForLine(cm, lineN)\n  if (view && !view.text) {\n    view = null\n  } else if (view && view.changes) {\n    updateLineForChanges(cm, view, lineN, getDimensions(cm))\n    cm.curOp.forceUpdate = true\n  }\n  if (!view)\n    { view = updateExternalMeasurement(cm, line) }\n\n  var info = mapFromLineView(view, line, lineN)\n  return {\n    line: line, view: view, rect: null,\n    map: info.map, cache: info.cache, before: info.before,\n    hasHeights: false\n  }\n}\n\n// Given a prepared measurement object, measures the position of an\n// actual character (or fetches it from the cache).\nfunction measureCharPrepared(cm, prepared, ch, bias, varHeight) {\n  if (prepared.before) { ch = -1 }\n  var key = ch + (bias || ""), found\n  if (prepared.cache.hasOwnProperty(key)) {\n    found = prepared.cache[key]\n  } else {\n    if (!prepared.rect)\n      { prepared.rect = prepared.view.text.getBoundingClientRect() }\n    if (!prepared.hasHeights) {\n      ensureLineHeights(cm, prepared.view, prepared.rect)\n      prepared.hasHeights = true\n    }\n    found = measureCharInner(cm, prepared, ch, bias)\n    if (!found.bogus) { prepared.cache[key] = found }\n  }\n  return {left: found.left, right: found.right,\n          top: varHeight ? found.rtop : found.top,\n          bottom: varHeight ? found.rbottom : found.bottom}\n}\n\nvar nullRect = {left: 0, right: 0, top: 0, bottom: 0}\n\nfunction nodeAndOffsetInLineMap(map, ch, bias) {\n  var node, start, end, collapse, mStart, mEnd\n  // First, search the line map for the text node corresponding to,\n  // or closest to, the target character.\n  for (var i = 0; i < map.length; i += 3) {\n    mStart = map[i]\n    mEnd = map[i + 1]\n    if (ch < mStart) {\n      start = 0; end = 1\n      collapse = "left"\n    } else if (ch < mEnd) {\n      start = ch - mStart\n      end = start + 1\n    } else if (i == map.length - 3 || ch == mEnd && map[i + 3] > ch) {\n      end = mEnd - mStart\n      start = end - 1\n      if (ch >= mEnd) { collapse = "right" }\n    }\n    if (start != null) {\n      node = map[i + 2]\n      if (mStart == mEnd && bias == (node.insertLeft ? "left" : "right"))\n        { collapse = bias }\n      if (bias == "left" && start == 0)\n        { while (i && map[i - 2] == map[i - 3] && map[i - 1].insertLeft) {\n          node = map[(i -= 3) + 2]\n          collapse = "left"\n        } }\n      if (bias == "right" && start == mEnd - mStart)\n        { while (i < map.length - 3 && map[i + 3] == map[i + 4] && !map[i + 5].insertLeft) {\n          node = map[(i += 3) + 2]\n          collapse = "right"\n        } }\n      break\n    }\n  }\n  return {node: node, start: start, end: end, collapse: collapse, coverStart: mStart, coverEnd: mEnd}\n}\n\nfunction getUsefulRect(rects, bias) {\n  var rect = nullRect\n  if (bias == "left") { for (var i = 0; i < rects.length; i++) {\n    if ((rect = rects[i]).left != rect.right) { break }\n  } } else { for (var i$1 = rects.length - 1; i$1 >= 0; i$1--) {\n    if ((rect = rects[i$1]).left != rect.right) { break }\n  } }\n  return rect\n}\n\nfunction measureCharInner(cm, prepared, ch, bias) {\n  var place = nodeAndOffsetInLineMap(prepared.map, ch, bias)\n  var node = place.node, start = place.start, end = place.end, collapse = place.collapse\n\n  var rect\n  if (node.nodeType == 3) { // If it is a text node, use a range to retrieve the coordinates.\n    for (var i$1 = 0; i$1 < 4; i$1++) { // Retry a maximum of 4 times when nonsense rectangles are returned\n      while (start && isExtendingChar(prepared.line.text.charAt(place.coverStart + start))) { --start }\n      while (place.coverStart + end < place.coverEnd && isExtendingChar(prepared.line.text.charAt(place.coverStart + end))) { ++end }\n      if (ie && ie_version < 9 && start == 0 && end == place.coverEnd - place.coverStart)\n        { rect = node.parentNode.getBoundingClientRect() }\n      else\n        { rect = getUsefulRect(range(node, start, end).getClientRects(), bias) }\n      if (rect.left || rect.right || start == 0) { break }\n      end = start\n      start = start - 1\n      collapse = "right"\n    }\n    if (ie && ie_version < 11) { rect = maybeUpdateRectForZooming(cm.display.measure, rect) }\n  } else { // If it is a widget, simply get the box for the whole widget.\n    if (start > 0) { collapse = bias = "right" }\n    var rects\n    if (cm.options.lineWrapping && (rects = node.getClientRects()).length > 1)\n      { rect = rects[bias == "right" ? rects.length - 1 : 0] }\n    else\n      { rect = node.getBoundingClientRect() }\n  }\n  if (ie && ie_version < 9 && !start && (!rect || !rect.left && !rect.right)) {\n    var rSpan = node.parentNode.getClientRects()[0]\n    if (rSpan)\n      { rect = {left: rSpan.left, right: rSpan.left + charWidth(cm.display), top: rSpan.top, bottom: rSpan.bottom} }\n    else\n      { rect = nullRect }\n  }\n\n  var rtop = rect.top - prepared.rect.top, rbot = rect.bottom - prepared.rect.top\n  var mid = (rtop + rbot) / 2\n  var heights = prepared.view.measure.heights\n  var i = 0\n  for (; i < heights.length - 1; i++)\n    { if (mid < heights[i]) { break } }\n  var top = i ? heights[i - 1] : 0, bot = heights[i]\n  var result = {left: (collapse == "right" ? rect.right : rect.left) - prepared.rect.left,\n                right: (collapse == "left" ? rect.left : rect.right) - prepared.rect.left,\n                top: top, bottom: bot}\n  if (!rect.left && !rect.right) { result.bogus = true }\n  if (!cm.options.singleCursorHeightPerLine) { result.rtop = rtop; result.rbottom = rbot }\n\n  return result\n}\n\n// Work around problem with bounding client rects on ranges being\n// returned incorrectly when zoomed on IE10 and below.\nfunction maybeUpdateRectForZooming(measure, rect) {\n  if (!window.screen || screen.logicalXDPI == null ||\n      screen.logicalXDPI == screen.deviceXDPI || !hasBadZoomedRects(measure))\n    { return rect }\n  var scaleX = screen.logicalXDPI / screen.deviceXDPI\n  var scaleY = screen.logicalYDPI / screen.deviceYDPI\n  return {left: rect.left * scaleX, right: rect.right * scaleX,\n          top: rect.top * scaleY, bottom: rect.bottom * scaleY}\n}\n\nfunction clearLineMeasurementCacheFor(lineView) {\n  if (lineView.measure) {\n    lineView.measure.cache = {}\n    lineView.measure.heights = null\n    if (lineView.rest) { for (var i = 0; i < lineView.rest.length; i++)\n      { lineView.measure.caches[i] = {} } }\n  }\n}\n\nfunction clearLineMeasurementCache(cm) {\n  cm.display.externalMeasure = null\n  removeChildren(cm.display.lineMeasure)\n  for (var i = 0; i < cm.display.view.length; i++)\n    { clearLineMeasurementCacheFor(cm.display.view[i]) }\n}\n\nfunction clearCaches(cm) {\n  clearLineMeasurementCache(cm)\n  cm.display.cachedCharWidth = cm.display.cachedTextHeight = cm.display.cachedPaddingH = null\n  if (!cm.options.lineWrapping) { cm.display.maxLineChanged = true }\n  cm.display.lineNumChars = null\n}\n\nfunction pageScrollX() { return window.pageXOffset || (document.documentElement || document.body).scrollLeft }\nfunction pageScrollY() { return window.pageYOffset || (document.documentElement || document.body).scrollTop }\n\n// Converts a {top, bottom, left, right} box from line-local\n// coordinates into another coordinate system. Context may be one of\n// "line", "div" (display.lineDiv), "local"./null (editor), "window",\n// or "page".\nfunction intoCoordSystem(cm, lineObj, rect, context, includeWidgets) {\n  if (!includeWidgets && lineObj.widgets) { for (var i = 0; i < lineObj.widgets.length; ++i) { if (lineObj.widgets[i].above) {\n    var size = widgetHeight(lineObj.widgets[i])\n    rect.top += size; rect.bottom += size\n  } } }\n  if (context == "line") { return rect }\n  if (!context) { context = "local" }\n  var yOff = heightAtLine(lineObj)\n  if (context == "local") { yOff += paddingTop(cm.display) }\n  else { yOff -= cm.display.viewOffset }\n  if (context == "page" || context == "window") {\n    var lOff = cm.display.lineSpace.getBoundingClientRect()\n    yOff += lOff.top + (context == "window" ? 0 : pageScrollY())\n    var xOff = lOff.left + (context == "window" ? 0 : pageScrollX())\n    rect.left += xOff; rect.right += xOff\n  }\n  rect.top += yOff; rect.bottom += yOff\n  return rect\n}\n\n// Coverts a box from "div" coords to another coordinate system.\n// Context may be "window", "page", "div", or "local"./null.\nfunction fromCoordSystem(cm, coords, context) {\n  if (context == "div") { return coords }\n  var left = coords.left, top = coords.top\n  // First move into "page" coordinate system\n  if (context == "page") {\n    left -= pageScrollX()\n    top -= pageScrollY()\n  } else if (context == "local" || !context) {\n    var localBox = cm.display.sizer.getBoundingClientRect()\n    left += localBox.left\n    top += localBox.top\n  }\n\n  var lineSpaceBox = cm.display.lineSpace.getBoundingClientRect()\n  return {left: left - lineSpaceBox.left, top: top - lineSpaceBox.top}\n}\n\nfunction charCoords(cm, pos, context, lineObj, bias) {\n  if (!lineObj) { lineObj = getLine(cm.doc, pos.line) }\n  return intoCoordSystem(cm, lineObj, measureChar(cm, lineObj, pos.ch, bias), context)\n}\n\n// Returns a box for a given cursor position, which may have an\n// \'other\' property containing the position of the secondary cursor\n// on a bidi boundary.\n// A cursor Pos(line, char, "before") is on the same visual line as `char - 1`\n// and after `char - 1` in writing order of `char - 1`\n// A cursor Pos(line, char, "after") is on the same visual line as `char`\n// and before `char` in writing order of `char`\n// Examples (upper-case letters are RTL, lower-case are LTR):\n//     Pos(0, 1, ...)\n//     before   after\n// ab     a|b     a|b\n// aB     a|B     aB|\n// Ab     |Ab     A|b\n// AB     B|A     B|A\n// Every position after the last character on a line is considered to stick\n// to the last character on the line.\nfunction cursorCoords(cm, pos, context, lineObj, preparedMeasure, varHeight) {\n  lineObj = lineObj || getLine(cm.doc, pos.line)\n  if (!preparedMeasure) { preparedMeasure = prepareMeasureForLine(cm, lineObj) }\n  function get(ch, right) {\n    var m = measureCharPrepared(cm, preparedMeasure, ch, right ? "right" : "left", varHeight)\n    if (right) { m.left = m.right; } else { m.right = m.left }\n    return intoCoordSystem(cm, lineObj, m, context)\n  }\n  var order = getOrder(lineObj), ch = pos.ch, sticky = pos.sticky\n  if (ch >= lineObj.text.length) {\n    ch = lineObj.text.length\n    sticky = "before"\n  } else if (ch <= 0) {\n    ch = 0\n    sticky = "after"\n  }\n  if (!order) { return get(sticky == "before" ? ch - 1 : ch, sticky == "before") }\n\n  function getBidi(ch, partPos, invert) {\n    var part = order[partPos], right = (part.level % 2) != 0\n    return get(invert ? ch - 1 : ch, right != invert)\n  }\n  var partPos = getBidiPartAt(order, ch, sticky)\n  var other = bidiOther\n  var val = getBidi(ch, partPos, sticky == "before")\n  if (other != null) { val.other = getBidi(ch, other, sticky != "before") }\n  return val\n}\n\n// Used to cheaply estimate the coordinates for a position. Used for\n// intermediate scroll updates.\nfunction estimateCoords(cm, pos) {\n  var left = 0\n  pos = clipPos(cm.doc, pos)\n  if (!cm.options.lineWrapping) { left = charWidth(cm.display) * pos.ch }\n  var lineObj = getLine(cm.doc, pos.line)\n  var top = heightAtLine(lineObj) + paddingTop(cm.display)\n  return {left: left, right: left, top: top, bottom: top + lineObj.height}\n}\n\n// Positions returned by coordsChar contain some extra information.\n// xRel is the relative x position of the input coordinates compared\n// to the found position (so xRel > 0 means the coordinates are to\n// the right of the character position, for example). When outside\n// is true, that means the coordinates lie outside the line\'s\n// vertical range.\nfunction PosWithInfo(line, ch, sticky, outside, xRel) {\n  var pos = Pos(line, ch, sticky)\n  pos.xRel = xRel\n  if (outside) { pos.outside = true }\n  return pos\n}\n\n// Compute the character position closest to the given coordinates.\n// Input must be lineSpace-local ("div" coordinate system).\nfunction coordsChar(cm, x, y) {\n  var doc = cm.doc\n  y += cm.display.viewOffset\n  if (y < 0) { return PosWithInfo(doc.first, 0, null, true, -1) }\n  var lineN = lineAtHeight(doc, y), last = doc.first + doc.size - 1\n  if (lineN > last)\n    { return PosWithInfo(doc.first + doc.size - 1, getLine(doc, last).text.length, null, true, 1) }\n  if (x < 0) { x = 0 }\n\n  var lineObj = getLine(doc, lineN)\n  for (;;) {\n    var found = coordsCharInner(cm, lineObj, lineN, x, y)\n    var merged = collapsedSpanAtEnd(lineObj)\n    var mergedPos = merged && merged.find(0, true)\n    if (merged && (found.ch > mergedPos.from.ch || found.ch == mergedPos.from.ch && found.xRel > 0))\n      { lineN = lineNo(lineObj = mergedPos.to.line) }\n    else\n      { return found }\n  }\n}\n\nfunction wrappedLineExtent(cm, lineObj, preparedMeasure, y) {\n  var measure = function (ch) { return intoCoordSystem(cm, lineObj, measureCharPrepared(cm, preparedMeasure, ch), "line"); }\n  var end = lineObj.text.length\n  var begin = findFirst(function (ch) { return measure(ch - 1).bottom <= y; }, end, 0)\n  end = findFirst(function (ch) { return measure(ch).top > y; }, begin, end)\n  return {begin: begin, end: end}\n}\n\nfunction wrappedLineExtentChar(cm, lineObj, preparedMeasure, target) {\n  var targetTop = intoCoordSystem(cm, lineObj, measureCharPrepared(cm, preparedMeasure, target), "line").top\n  return wrappedLineExtent(cm, lineObj, preparedMeasure, targetTop)\n}\n\nfunction coordsCharInner(cm, lineObj, lineNo, x, y) {\n  y -= heightAtLine(lineObj)\n  var begin = 0, end = lineObj.text.length\n  var preparedMeasure = prepareMeasureForLine(cm, lineObj)\n  var pos\n  var order = getOrder(lineObj)\n  if (order) {\n    if (cm.options.lineWrapping) {\n      ;var assign;\n      ((assign = wrappedLineExtent(cm, lineObj, preparedMeasure, y), begin = assign.begin, end = assign.end, assign))\n    }\n    pos = new Pos(lineNo, begin)\n    var beginLeft = cursorCoords(cm, pos, "line", lineObj, preparedMeasure).left\n    var dir = beginLeft < x ? 1 : -1\n    var prevDiff, diff = beginLeft - x, prevPos\n    do {\n      prevDiff = diff\n      prevPos = pos\n      pos = moveVisually(cm, lineObj, pos, dir)\n      if (pos == null || pos.ch < begin || end <= (pos.sticky == "before" ? pos.ch - 1 : pos.ch)) {\n        pos = prevPos\n        break\n      }\n      diff = cursorCoords(cm, pos, "line", lineObj, preparedMeasure).left - x\n    } while ((dir < 0) != (diff < 0) && (Math.abs(diff) <= Math.abs(prevDiff)))\n    if (Math.abs(diff) > Math.abs(prevDiff)) {\n      if ((diff < 0) == (prevDiff < 0)) { throw new Error("Broke out of infinite loop in coordsCharInner") }\n      pos = prevPos\n    }\n  } else {\n    var ch = findFirst(function (ch) {\n      var box = intoCoordSystem(cm, lineObj, measureCharPrepared(cm, preparedMeasure, ch), "line")\n      if (box.top > y) {\n        // For the cursor stickiness\n        end = Math.min(ch, end)\n        return true\n      }\n      else if (box.bottom <= y) { return false }\n      else if (box.left > x) { return true }\n      else if (box.right < x) { return false }\n      else { return (x - box.left < box.right - x) }\n    }, begin, end)\n    ch = skipExtendingChars(lineObj.text, ch, 1)\n    pos = new Pos(lineNo, ch, ch == end ? "before" : "after")\n  }\n  var coords = cursorCoords(cm, pos, "line", lineObj, preparedMeasure)\n  if (y < coords.top || coords.bottom < y) { pos.outside = true }\n  pos.xRel = x < coords.left ? -1 : (x > coords.right ? 1 : 0)\n  return pos\n}\n\nvar measureText\n// Compute the default text height.\nfunction textHeight(display) {\n  if (display.cachedTextHeight != null) { return display.cachedTextHeight }\n  if (measureText == null) {\n    measureText = elt("pre")\n    // Measure a bunch of lines, for browsers that compute\n    // fractional heights.\n    for (var i = 0; i < 49; ++i) {\n      measureText.appendChild(document.createTextNode("x"))\n      measureText.appendChild(elt("br"))\n    }\n    measureText.appendChild(document.createTextNode("x"))\n  }\n  removeChildrenAndAdd(display.measure, measureText)\n  var height = measureText.offsetHeight / 50\n  if (height > 3) { display.cachedTextHeight = height }\n  removeChildren(display.measure)\n  return height || 1\n}\n\n// Compute the default character width.\nfunction charWidth(display) {\n  if (display.cachedCharWidth != null) { return display.cachedCharWidth }\n  var anchor = elt("span", "xxxxxxxxxx")\n  var pre = elt("pre", [anchor])\n  removeChildrenAndAdd(display.measure, pre)\n  var rect = anchor.getBoundingClientRect(), width = (rect.right - rect.left) / 10\n  if (width > 2) { display.cachedCharWidth = width }\n  return width || 10\n}\n\n// Do a bulk-read of the DOM positions and sizes needed to draw the\n// view, so that we don\'t interleave reading and writing to the DOM.\nfunction getDimensions(cm) {\n  var d = cm.display, left = {}, width = {}\n  var gutterLeft = d.gutters.clientLeft\n  for (var n = d.gutters.firstChild, i = 0; n; n = n.nextSibling, ++i) {\n    left[cm.options.gutters[i]] = n.offsetLeft + n.clientLeft + gutterLeft\n    width[cm.options.gutters[i]] = n.clientWidth\n  }\n  return {fixedPos: compensateForHScroll(d),\n          gutterTotalWidth: d.gutters.offsetWidth,\n          gutterLeft: left,\n          gutterWidth: width,\n          wrapperWidth: d.wrapper.clientWidth}\n}\n\n// Computes display.scroller.scrollLeft + display.gutters.offsetWidth,\n// but using getBoundingClientRect to get a sub-pixel-accurate\n// result.\nfunction compensateForHScroll(display) {\n  return display.scroller.getBoundingClientRect().left - display.sizer.getBoundingClientRect().left\n}\n\n// Returns a function that estimates the height of a line, to use as\n// first approximation until the line becomes visible (and is thus\n// properly measurable).\nfunction estimateHeight(cm) {\n  var th = textHeight(cm.display), wrapping = cm.options.lineWrapping\n  var perLine = wrapping && Math.max(5, cm.display.scroller.clientWidth / charWidth(cm.display) - 3)\n  return function (line) {\n    if (lineIsHidden(cm.doc, line)) { return 0 }\n\n    var widgetsHeight = 0\n    if (line.widgets) { for (var i = 0; i < line.widgets.length; i++) {\n      if (line.widgets[i].height) { widgetsHeight += line.widgets[i].height }\n    } }\n\n    if (wrapping)\n      { return widgetsHeight + (Math.ceil(line.text.length / perLine) || 1) * th }\n    else\n      { return widgetsHeight + th }\n  }\n}\n\nfunction estimateLineHeights(cm) {\n  var doc = cm.doc, est = estimateHeight(cm)\n  doc.iter(function (line) {\n    var estHeight = est(line)\n    if (estHeight != line.height) { updateLineHeight(line, estHeight) }\n  })\n}\n\n// Given a mouse event, find the corresponding position. If liberal\n// is false, it checks whether a gutter or scrollbar was clicked,\n// and returns null if it was. forRect is used by rectangular\n// selections, and tries to estimate a character position even for\n// coordinates beyond the right of the text.\nfunction posFromMouse(cm, e, liberal, forRect) {\n  var display = cm.display\n  if (!liberal && e_target(e).getAttribute("cm-not-content") == "true") { return null }\n\n  var x, y, space = display.lineSpace.getBoundingClientRect()\n  // Fails unpredictably on IE[67] when mouse is dragged around quickly.\n  try { x = e.clientX - space.left; y = e.clientY - space.top }\n  catch (e) { return null }\n  var coords = coordsChar(cm, x, y), line\n  if (forRect && coords.xRel == 1 && (line = getLine(cm.doc, coords.line).text).length == coords.ch) {\n    var colDiff = countColumn(line, line.length, cm.options.tabSize) - line.length\n    coords = Pos(coords.line, Math.max(0, Math.round((x - paddingH(cm.display).left) / charWidth(cm.display)) - colDiff))\n  }\n  return coords\n}\n\n// Find the view element corresponding to a given line. Return null\n// when the line isn\'t visible.\nfunction findViewIndex(cm, n) {\n  if (n >= cm.display.viewTo) { return null }\n  n -= cm.display.viewFrom\n  if (n < 0) { return null }\n  var view = cm.display.view\n  for (var i = 0; i < view.length; i++) {\n    n -= view[i].size\n    if (n < 0) { return i }\n  }\n}\n\nfunction updateSelection(cm) {\n  cm.display.input.showSelection(cm.display.input.prepareSelection())\n}\n\nfunction prepareSelection(cm, primary) {\n  var doc = cm.doc, result = {}\n  var curFragment = result.cursors = document.createDocumentFragment()\n  var selFragment = result.selection = document.createDocumentFragment()\n\n  for (var i = 0; i < doc.sel.ranges.length; i++) {\n    if (primary === false && i == doc.sel.primIndex) { continue }\n    var range = doc.sel.ranges[i]\n    if (range.from().line >= cm.display.viewTo || range.to().line < cm.display.viewFrom) { continue }\n    var collapsed = range.empty()\n    if (collapsed || cm.options.showCursorWhenSelecting)\n      { drawSelectionCursor(cm, range.head, curFragment) }\n    if (!collapsed)\n      { drawSelectionRange(cm, range, selFragment) }\n  }\n  return result\n}\n\n// Draws a cursor for the given range\nfunction drawSelectionCursor(cm, head, output) {\n  var pos = cursorCoords(cm, head, "div", null, null, !cm.options.singleCursorHeightPerLine)\n\n  var cursor = output.appendChild(elt("div", "\\u00a0", "CodeMirror-cursor"))\n  cursor.style.left = pos.left + "px"\n  cursor.style.top = pos.top + "px"\n  cursor.style.height = Math.max(0, pos.bottom - pos.top) * cm.options.cursorHeight + "px"\n\n  if (pos.other) {\n    // Secondary cursor, shown when on a \'jump\' in bi-directional text\n    var otherCursor = output.appendChild(elt("div", "\\u00a0", "CodeMirror-cursor CodeMirror-secondarycursor"))\n    otherCursor.style.display = ""\n    otherCursor.style.left = pos.other.left + "px"\n    otherCursor.style.top = pos.other.top + "px"\n    otherCursor.style.height = (pos.other.bottom - pos.other.top) * .85 + "px"\n  }\n}\n\n// Draws the given range as a highlighted selection\nfunction drawSelectionRange(cm, range, output) {\n  var display = cm.display, doc = cm.doc\n  var fragment = document.createDocumentFragment()\n  var padding = paddingH(cm.display), leftSide = padding.left\n  var rightSide = Math.max(display.sizerWidth, displayWidth(cm) - display.sizer.offsetLeft) - padding.right\n\n  function add(left, top, width, bottom) {\n    if (top < 0) { top = 0 }\n    top = Math.round(top)\n    bottom = Math.round(bottom)\n    fragment.appendChild(elt("div", null, "CodeMirror-selected", ("position: absolute; left: " + left + "px;\\n                             top: " + top + "px; width: " + (width == null ? rightSide - left : width) + "px;\\n                             height: " + (bottom - top) + "px")))\n  }\n\n  function drawForLine(line, fromArg, toArg) {\n    var lineObj = getLine(doc, line)\n    var lineLen = lineObj.text.length\n    var start, end\n    function coords(ch, bias) {\n      return charCoords(cm, Pos(line, ch), "div", lineObj, bias)\n    }\n\n    iterateBidiSections(getOrder(lineObj), fromArg || 0, toArg == null ? lineLen : toArg, function (from, to, dir) {\n      var leftPos = coords(from, "left"), rightPos, left, right\n      if (from == to) {\n        rightPos = leftPos\n        left = right = leftPos.left\n      } else {\n        rightPos = coords(to - 1, "right")\n        if (dir == "rtl") { var tmp = leftPos; leftPos = rightPos; rightPos = tmp }\n        left = leftPos.left\n        right = rightPos.right\n      }\n      if (fromArg == null && from == 0) { left = leftSide }\n      if (rightPos.top - leftPos.top > 3) { // Different lines, draw top part\n        add(left, leftPos.top, null, leftPos.bottom)\n        left = leftSide\n        if (leftPos.bottom < rightPos.top) { add(left, leftPos.bottom, null, rightPos.top) }\n      }\n      if (toArg == null && to == lineLen) { right = rightSide }\n      if (!start || leftPos.top < start.top || leftPos.top == start.top && leftPos.left < start.left)\n        { start = leftPos }\n      if (!end || rightPos.bottom > end.bottom || rightPos.bottom == end.bottom && rightPos.right > end.right)\n        { end = rightPos }\n      if (left < leftSide + 1) { left = leftSide }\n      add(left, rightPos.top, right - left, rightPos.bottom)\n    })\n    return {start: start, end: end}\n  }\n\n  var sFrom = range.from(), sTo = range.to()\n  if (sFrom.line == sTo.line) {\n    drawForLine(sFrom.line, sFrom.ch, sTo.ch)\n  } else {\n    var fromLine = getLine(doc, sFrom.line), toLine = getLine(doc, sTo.line)\n    var singleVLine = visualLine(fromLine) == visualLine(toLine)\n    var leftEnd = drawForLine(sFrom.line, sFrom.ch, singleVLine ? fromLine.text.length + 1 : null).end\n    var rightStart = drawForLine(sTo.line, singleVLine ? 0 : null, sTo.ch).start\n    if (singleVLine) {\n      if (leftEnd.top < rightStart.top - 2) {\n        add(leftEnd.right, leftEnd.top, null, leftEnd.bottom)\n        add(leftSide, rightStart.top, rightStart.left, rightStart.bottom)\n      } else {\n        add(leftEnd.right, leftEnd.top, rightStart.left - leftEnd.right, leftEnd.bottom)\n      }\n    }\n    if (leftEnd.bottom < rightStart.top)\n      { add(leftSide, leftEnd.bottom, null, rightStart.top) }\n  }\n\n  output.appendChild(fragment)\n}\n\n// Cursor-blinking\nfunction restartBlink(cm) {\n  if (!cm.state.focused) { return }\n  var display = cm.display\n  clearInterval(display.blinker)\n  var on = true\n  display.cursorDiv.style.visibility = ""\n  if (cm.options.cursorBlinkRate > 0)\n    { display.blinker = setInterval(function () { return display.cursorDiv.style.visibility = (on = !on) ? "" : "hidden"; },\n      cm.options.cursorBlinkRate) }\n  else if (cm.options.cursorBlinkRate < 0)\n    { display.cursorDiv.style.visibility = "hidden" }\n}\n\nfunction ensureFocus(cm) {\n  if (!cm.state.focused) { cm.display.input.focus(); onFocus(cm) }\n}\n\nfunction delayBlurEvent(cm) {\n  cm.state.delayingBlurEvent = true\n  setTimeout(function () { if (cm.state.delayingBlurEvent) {\n    cm.state.delayingBlurEvent = false\n    onBlur(cm)\n  } }, 100)\n}\n\nfunction onFocus(cm, e) {\n  if (cm.state.delayingBlurEvent) { cm.state.delayingBlurEvent = false }\n\n  if (cm.options.readOnly == "nocursor") { return }\n  if (!cm.state.focused) {\n    signal(cm, "focus", cm, e)\n    cm.state.focused = true\n    addClass(cm.display.wrapper, "CodeMirror-focused")\n    // This test prevents this from firing when a context\n    // menu is closed (since the input reset would kill the\n    // select-all detection hack)\n    if (!cm.curOp && cm.display.selForContextMenu != cm.doc.sel) {\n      cm.display.input.reset()\n      if (webkit) { setTimeout(function () { return cm.display.input.reset(true); }, 20) } // Issue #1730\n    }\n    cm.display.input.receivedFocus()\n  }\n  restartBlink(cm)\n}\nfunction onBlur(cm, e) {\n  if (cm.state.delayingBlurEvent) { return }\n\n  if (cm.state.focused) {\n    signal(cm, "blur", cm, e)\n    cm.state.focused = false\n    rmClass(cm.display.wrapper, "CodeMirror-focused")\n  }\n  clearInterval(cm.display.blinker)\n  setTimeout(function () { if (!cm.state.focused) { cm.display.shift = false } }, 150)\n}\n\n// Re-align line numbers and gutter marks to compensate for\n// horizontal scrolling.\nfunction alignHorizontally(cm) {\n  var display = cm.display, view = display.view\n  if (!display.alignWidgets && (!display.gutters.firstChild || !cm.options.fixedGutter)) { return }\n  var comp = compensateForHScroll(display) - display.scroller.scrollLeft + cm.doc.scrollLeft\n  var gutterW = display.gutters.offsetWidth, left = comp + "px"\n  for (var i = 0; i < view.length; i++) { if (!view[i].hidden) {\n    if (cm.options.fixedGutter) {\n      if (view[i].gutter)\n        { view[i].gutter.style.left = left }\n      if (view[i].gutterBackground)\n        { view[i].gutterBackground.style.left = left }\n    }\n    var align = view[i].alignable\n    if (align) { for (var j = 0; j < align.length; j++)\n      { align[j].style.left = left } }\n  } }\n  if (cm.options.fixedGutter)\n    { display.gutters.style.left = (comp + gutterW) + "px" }\n}\n\n// Used to ensure that the line number gutter is still the right\n// size for the current document size. Returns true when an update\n// is needed.\nfunction maybeUpdateLineNumberWidth(cm) {\n  if (!cm.options.lineNumbers) { return false }\n  var doc = cm.doc, last = lineNumberFor(cm.options, doc.first + doc.size - 1), display = cm.display\n  if (last.length != display.lineNumChars) {\n    var test = display.measure.appendChild(elt("div", [elt("div", last)],\n                                               "CodeMirror-linenumber CodeMirror-gutter-elt"))\n    var innerW = test.firstChild.offsetWidth, padding = test.offsetWidth - innerW\n    display.lineGutter.style.width = ""\n    display.lineNumInnerWidth = Math.max(innerW, display.lineGutter.offsetWidth - padding) + 1\n    display.lineNumWidth = display.lineNumInnerWidth + padding\n    display.lineNumChars = display.lineNumInnerWidth ? last.length : -1\n    display.lineGutter.style.width = display.lineNumWidth + "px"\n    updateGutterSpace(cm)\n    return true\n  }\n  return false\n}\n\n// Read the actual heights of the rendered lines, and update their\n// stored heights to match.\nfunction updateHeightsInViewport(cm) {\n  var display = cm.display\n  var prevBottom = display.lineDiv.offsetTop\n  for (var i = 0; i < display.view.length; i++) {\n    var cur = display.view[i], height = (void 0)\n    if (cur.hidden) { continue }\n    if (ie && ie_version < 8) {\n      var bot = cur.node.offsetTop + cur.node.offsetHeight\n      height = bot - prevBottom\n      prevBottom = bot\n    } else {\n      var box = cur.node.getBoundingClientRect()\n      height = box.bottom - box.top\n    }\n    var diff = cur.line.height - height\n    if (height < 2) { height = textHeight(display) }\n    if (diff > .001 || diff < -.001) {\n      updateLineHeight(cur.line, height)\n      updateWidgetHeight(cur.line)\n      if (cur.rest) { for (var j = 0; j < cur.rest.length; j++)\n        { updateWidgetHeight(cur.rest[j]) } }\n    }\n  }\n}\n\n// Read and store the height of line widgets associated with the\n// given line.\nfunction updateWidgetHeight(line) {\n  if (line.widgets) { for (var i = 0; i < line.widgets.length; ++i)\n    { line.widgets[i].height = line.widgets[i].node.parentNode.offsetHeight } }\n}\n\n// Compute the lines that are visible in a given viewport (defaults\n// the the current scroll position). viewport may contain top,\n// height, and ensure (see op.scrollToPos) properties.\nfunction visibleLines(display, doc, viewport) {\n  var top = viewport && viewport.top != null ? Math.max(0, viewport.top) : display.scroller.scrollTop\n  top = Math.floor(top - paddingTop(display))\n  var bottom = viewport && viewport.bottom != null ? viewport.bottom : top + display.wrapper.clientHeight\n\n  var from = lineAtHeight(doc, top), to = lineAtHeight(doc, bottom)\n  // Ensure is a {from: {line, ch}, to: {line, ch}} object, and\n  // forces those lines into the viewport (if possible).\n  if (viewport && viewport.ensure) {\n    var ensureFrom = viewport.ensure.from.line, ensureTo = viewport.ensure.to.line\n    if (ensureFrom < from) {\n      from = ensureFrom\n      to = lineAtHeight(doc, heightAtLine(getLine(doc, ensureFrom)) + display.wrapper.clientHeight)\n    } else if (Math.min(ensureTo, doc.lastLine()) >= to) {\n      from = lineAtHeight(doc, heightAtLine(getLine(doc, ensureTo)) - display.wrapper.clientHeight)\n      to = ensureTo\n    }\n  }\n  return {from: from, to: Math.max(to, from + 1)}\n}\n\n// Sync the scrollable area and scrollbars, ensure the viewport\n// covers the visible area.\nfunction setScrollTop(cm, val) {\n  if (Math.abs(cm.doc.scrollTop - val) < 2) { return }\n  cm.doc.scrollTop = val\n  if (!gecko) { updateDisplaySimple(cm, {top: val}) }\n  if (cm.display.scroller.scrollTop != val) { cm.display.scroller.scrollTop = val }\n  cm.display.scrollbars.setScrollTop(val)\n  if (gecko) { updateDisplaySimple(cm) }\n  startWorker(cm, 100)\n}\n// Sync scroller and scrollbar, ensure the gutter elements are\n// aligned.\nfunction setScrollLeft(cm, val, isScroller) {\n  if (isScroller ? val == cm.doc.scrollLeft : Math.abs(cm.doc.scrollLeft - val) < 2) { return }\n  val = Math.min(val, cm.display.scroller.scrollWidth - cm.display.scroller.clientWidth)\n  cm.doc.scrollLeft = val\n  alignHorizontally(cm)\n  if (cm.display.scroller.scrollLeft != val) { cm.display.scroller.scrollLeft = val }\n  cm.display.scrollbars.setScrollLeft(val)\n}\n\n// Since the delta values reported on mouse wheel events are\n// unstandardized between browsers and even browser versions, and\n// generally horribly unpredictable, this code starts by measuring\n// the scroll effect that the first few mouse wheel events have,\n// and, from that, detects the way it can convert deltas to pixel\n// offsets afterwards.\n//\n// The reason we want to know the amount a wheel event will scroll\n// is that it gives us a chance to update the display before the\n// actual scrolling happens, reducing flickering.\n\nvar wheelSamples = 0;\nvar wheelPixelsPerUnit = null;\n// Fill in a browser-detected starting value on browsers where we\n// know one. These don\'t have to be accurate -- the result of them\n// being wrong would just be a slight flicker on the first wheel\n// scroll (if it is large enough).\nif (ie) { wheelPixelsPerUnit = -.53 }\nelse if (gecko) { wheelPixelsPerUnit = 15 }\nelse if (chrome) { wheelPixelsPerUnit = -.7 }\nelse if (safari) { wheelPixelsPerUnit = -1/3 }\n\nfunction wheelEventDelta(e) {\n  var dx = e.wheelDeltaX, dy = e.wheelDeltaY\n  if (dx == null && e.detail && e.axis == e.HORIZONTAL_AXIS) { dx = e.detail }\n  if (dy == null && e.detail && e.axis == e.VERTICAL_AXIS) { dy = e.detail }\n  else if (dy == null) { dy = e.wheelDelta }\n  return {x: dx, y: dy}\n}\nfunction wheelEventPixels(e) {\n  var delta = wheelEventDelta(e)\n  delta.x *= wheelPixelsPerUnit\n  delta.y *= wheelPixelsPerUnit\n  return delta\n}\n\nfunction onScrollWheel(cm, e) {\n  var delta = wheelEventDelta(e), dx = delta.x, dy = delta.y\n\n  var display = cm.display, scroll = display.scroller\n  // Quit if there\'s nothing to scroll here\n  var canScrollX = scroll.scrollWidth > scroll.clientWidth\n  var canScrollY = scroll.scrollHeight > scroll.clientHeight\n  if (!(dx && canScrollX || dy && canScrollY)) { return }\n\n  // Webkit browsers on OS X abort momentum scrolls when the target\n  // of the scroll event is removed from the scrollable element.\n  // This hack (see related code in patchDisplay) makes sure the\n  // element is kept around.\n  if (dy && mac && webkit) {\n    outer: for (var cur = e.target, view = display.view; cur != scroll; cur = cur.parentNode) {\n      for (var i = 0; i < view.length; i++) {\n        if (view[i].node == cur) {\n          cm.display.currentWheelTarget = cur\n          break outer\n        }\n      }\n    }\n  }\n\n  // On some browsers, horizontal scrolling will cause redraws to\n  // happen before the gutter has been realigned, causing it to\n  // wriggle around in a most unseemly way. When we have an\n  // estimated pixels/delta value, we just handle horizontal\n  // scrolling entirely here. It\'ll be slightly off from native, but\n  // better than glitching out.\n  if (dx && !gecko && !presto && wheelPixelsPerUnit != null) {\n    if (dy && canScrollY)\n      { setScrollTop(cm, Math.max(0, Math.min(scroll.scrollTop + dy * wheelPixelsPerUnit, scroll.scrollHeight - scroll.clientHeight))) }\n    setScrollLeft(cm, Math.max(0, Math.min(scroll.scrollLeft + dx * wheelPixelsPerUnit, scroll.scrollWidth - scroll.clientWidth)))\n    // Only prevent default scrolling if vertical scrolling is\n    // actually possible. Otherwise, it causes vertical scroll\n    // jitter on OSX trackpads when deltaX is small and deltaY\n    // is large (issue #3579)\n    if (!dy || (dy && canScrollY))\n      { e_preventDefault(e) }\n    display.wheelStartX = null // Abort measurement, if in progress\n    return\n  }\n\n  // \'Project\' the visible viewport to cover the area that is being\n  // scrolled into view (if we know enough to estimate it).\n  if (dy && wheelPixelsPerUnit != null) {\n    var pixels = dy * wheelPixelsPerUnit\n    var top = cm.doc.scrollTop, bot = top + display.wrapper.clientHeight\n    if (pixels < 0) { top = Math.max(0, top + pixels - 50) }\n    else { bot = Math.min(cm.doc.height, bot + pixels + 50) }\n    updateDisplaySimple(cm, {top: top, bottom: bot})\n  }\n\n  if (wheelSamples < 20) {\n    if (display.wheelStartX == null) {\n      display.wheelStartX = scroll.scrollLeft; display.wheelStartY = scroll.scrollTop\n      display.wheelDX = dx; display.wheelDY = dy\n      setTimeout(function () {\n        if (display.wheelStartX == null) { return }\n        var movedX = scroll.scrollLeft - display.wheelStartX\n        var movedY = scroll.scrollTop - display.wheelStartY\n        var sample = (movedY && display.wheelDY && movedY / display.wheelDY) ||\n          (movedX && display.wheelDX && movedX / display.wheelDX)\n        display.wheelStartX = display.wheelStartY = null\n        if (!sample) { return }\n        wheelPixelsPerUnit = (wheelPixelsPerUnit * wheelSamples + sample) / (wheelSamples + 1)\n        ++wheelSamples\n      }, 200)\n    } else {\n      display.wheelDX += dx; display.wheelDY += dy\n    }\n  }\n}\n\n// SCROLLBARS\n\n// Prepare DOM reads needed to update the scrollbars. Done in one\n// shot to minimize update/measure roundtrips.\nfunction measureForScrollbars(cm) {\n  var d = cm.display, gutterW = d.gutters.offsetWidth\n  var docH = Math.round(cm.doc.height + paddingVert(cm.display))\n  return {\n    clientHeight: d.scroller.clientHeight,\n    viewHeight: d.wrapper.clientHeight,\n    scrollWidth: d.scroller.scrollWidth, clientWidth: d.scroller.clientWidth,\n    viewWidth: d.wrapper.clientWidth,\n    barLeft: cm.options.fixedGutter ? gutterW : 0,\n    docHeight: docH,\n    scrollHeight: docH + scrollGap(cm) + d.barHeight,\n    nativeBarWidth: d.nativeBarWidth,\n    gutterWidth: gutterW\n  }\n}\n\nvar NativeScrollbars = function(place, scroll, cm) {\n  this.cm = cm\n  var vert = this.vert = elt("div", [elt("div", null, null, "min-width: 1px")], "CodeMirror-vscrollbar")\n  var horiz = this.horiz = elt("div", [elt("div", null, null, "height: 100%; min-height: 1px")], "CodeMirror-hscrollbar")\n  place(vert); place(horiz)\n\n  on(vert, "scroll", function () {\n    if (vert.clientHeight) { scroll(vert.scrollTop, "vertical") }\n  })\n  on(horiz, "scroll", function () {\n    if (horiz.clientWidth) { scroll(horiz.scrollLeft, "horizontal") }\n  })\n\n  this.checkedZeroWidth = false\n  // Need to set a minimum width to see the scrollbar on IE7 (but must not set it on IE8).\n  if (ie && ie_version < 8) { this.horiz.style.minHeight = this.vert.style.minWidth = "18px" }\n};\n\nNativeScrollbars.prototype.update = function (measure) {\n  var needsH = measure.scrollWidth > measure.clientWidth + 1\n  var needsV = measure.scrollHeight > measure.clientHeight + 1\n  var sWidth = measure.nativeBarWidth\n\n  if (needsV) {\n    this.vert.style.display = "block"\n    this.vert.style.bottom = needsH ? sWidth + "px" : "0"\n    var totalHeight = measure.viewHeight - (needsH ? sWidth : 0)\n    // A bug in IE8 can cause this value to be negative, so guard it.\n    this.vert.firstChild.style.height =\n      Math.max(0, measure.scrollHeight - measure.clientHeight + totalHeight) + "px"\n  } else {\n    this.vert.style.display = ""\n    this.vert.firstChild.style.height = "0"\n  }\n\n  if (needsH) {\n    this.horiz.style.display = "block"\n    this.horiz.style.right = needsV ? sWidth + "px" : "0"\n    this.horiz.style.left = measure.barLeft + "px"\n    var totalWidth = measure.viewWidth - measure.barLeft - (needsV ? sWidth : 0)\n    this.horiz.firstChild.style.width =\n      Math.max(0, measure.scrollWidth - measure.clientWidth + totalWidth) + "px"\n  } else {\n    this.horiz.style.display = ""\n    this.horiz.firstChild.style.width = "0"\n  }\n\n  if (!this.checkedZeroWidth && measure.clientHeight > 0) {\n    if (sWidth == 0) { this.zeroWidthHack() }\n    this.checkedZeroWidth = true\n  }\n\n  return {right: needsV ? sWidth : 0, bottom: needsH ? sWidth : 0}\n};\n\nNativeScrollbars.prototype.setScrollLeft = function (pos) {\n  if (this.horiz.scrollLeft != pos) { this.horiz.scrollLeft = pos }\n  if (this.disableHoriz) { this.enableZeroWidthBar(this.horiz, this.disableHoriz) }\n};\n\nNativeScrollbars.prototype.setScrollTop = function (pos) {\n  if (this.vert.scrollTop != pos) { this.vert.scrollTop = pos }\n  if (this.disableVert) { this.enableZeroWidthBar(this.vert, this.disableVert) }\n};\n\nNativeScrollbars.prototype.zeroWidthHack = function () {\n  var w = mac && !mac_geMountainLion ? "12px" : "18px"\n  this.horiz.style.height = this.vert.style.width = w\n  this.horiz.style.pointerEvents = this.vert.style.pointerEvents = "none"\n  this.disableHoriz = new Delayed\n  this.disableVert = new Delayed\n};\n\nNativeScrollbars.prototype.enableZeroWidthBar = function (bar, delay) {\n  bar.style.pointerEvents = "auto"\n  function maybeDisable() {\n    // To find out whether the scrollbar is still visible, we\n    // check whether the element under the pixel in the bottom\n    // left corner of the scrollbar box is the scrollbar box\n    // itself (when the bar is still visible) or its filler child\n    // (when the bar is hidden). If it is still visible, we keep\n    // it enabled, if it\'s hidden, we disable pointer events.\n    var box = bar.getBoundingClientRect()\n    var elt = document.elementFromPoint(box.left + 1, box.bottom - 1)\n    if (elt != bar) { bar.style.pointerEvents = "none" }\n    else { delay.set(1000, maybeDisable) }\n  }\n  delay.set(1000, maybeDisable)\n};\n\nNativeScrollbars.prototype.clear = function () {\n  var parent = this.horiz.parentNode\n  parent.removeChild(this.horiz)\n  parent.removeChild(this.vert)\n};\n\nvar NullScrollbars = function () {};\n\nNullScrollbars.prototype.update = function () { return {bottom: 0, right: 0} };\nNullScrollbars.prototype.setScrollLeft = function () {};\nNullScrollbars.prototype.setScrollTop = function () {};\nNullScrollbars.prototype.clear = function () {};\n\nfunction updateScrollbars(cm, measure) {\n  if (!measure) { measure = measureForScrollbars(cm) }\n  var startWidth = cm.display.barWidth, startHeight = cm.display.barHeight\n  updateScrollbarsInner(cm, measure)\n  for (var i = 0; i < 4 && startWidth != cm.display.barWidth || startHeight != cm.display.barHeight; i++) {\n    if (startWidth != cm.display.barWidth && cm.options.lineWrapping)\n      { updateHeightsInViewport(cm) }\n    updateScrollbarsInner(cm, measureForScrollbars(cm))\n    startWidth = cm.display.barWidth; startHeight = cm.display.barHeight\n  }\n}\n\n// Re-synchronize the fake scrollbars with the actual size of the\n// content.\nfunction updateScrollbarsInner(cm, measure) {\n  var d = cm.display\n  var sizes = d.scrollbars.update(measure)\n\n  d.sizer.style.paddingRight = (d.barWidth = sizes.right) + "px"\n  d.sizer.style.paddingBottom = (d.barHeight = sizes.bottom) + "px"\n  d.heightForcer.style.borderBottom = sizes.bottom + "px solid transparent"\n\n  if (sizes.right && sizes.bottom) {\n    d.scrollbarFiller.style.display = "block"\n    d.scrollbarFiller.style.height = sizes.bottom + "px"\n    d.scrollbarFiller.style.width = sizes.right + "px"\n  } else { d.scrollbarFiller.style.display = "" }\n  if (sizes.bottom && cm.options.coverGutterNextToScrollbar && cm.options.fixedGutter) {\n    d.gutterFiller.style.display = "block"\n    d.gutterFiller.style.height = sizes.bottom + "px"\n    d.gutterFiller.style.width = measure.gutterWidth + "px"\n  } else { d.gutterFiller.style.display = "" }\n}\n\nvar scrollbarModel = {"native": NativeScrollbars, "null": NullScrollbars}\n\nfunction initScrollbars(cm) {\n  if (cm.display.scrollbars) {\n    cm.display.scrollbars.clear()\n    if (cm.display.scrollbars.addClass)\n      { rmClass(cm.display.wrapper, cm.display.scrollbars.addClass) }\n  }\n\n  cm.display.scrollbars = new scrollbarModel[cm.options.scrollbarStyle](function (node) {\n    cm.display.wrapper.insertBefore(node, cm.display.scrollbarFiller)\n    // Prevent clicks in the scrollbars from killing focus\n    on(node, "mousedown", function () {\n      if (cm.state.focused) { setTimeout(function () { return cm.display.input.focus(); }, 0) }\n    })\n    node.setAttribute("cm-not-content", "true")\n  }, function (pos, axis) {\n    if (axis == "horizontal") { setScrollLeft(cm, pos) }\n    else { setScrollTop(cm, pos) }\n  }, cm)\n  if (cm.display.scrollbars.addClass)\n    { addClass(cm.display.wrapper, cm.display.scrollbars.addClass) }\n}\n\n// SCROLLING THINGS INTO VIEW\n\n// If an editor sits on the top or bottom of the window, partially\n// scrolled out of view, this ensures that the cursor is visible.\nfunction maybeScrollWindow(cm, coords) {\n  if (signalDOMEvent(cm, "scrollCursorIntoView")) { return }\n\n  var display = cm.display, box = display.sizer.getBoundingClientRect(), doScroll = null\n  if (coords.top + box.top < 0) { doScroll = true }\n  else if (coords.bottom + box.top > (window.innerHeight || document.documentElement.clientHeight)) { doScroll = false }\n  if (doScroll != null && !phantom) {\n    var scrollNode = elt("div", "\\u200b", null, ("position: absolute;\\n                         top: " + (coords.top - display.viewOffset - paddingTop(cm.display)) + "px;\\n                         height: " + (coords.bottom - coords.top + scrollGap(cm) + display.barHeight) + "px;\\n                         left: " + (coords.left) + "px; width: 2px;"))\n    cm.display.lineSpace.appendChild(scrollNode)\n    scrollNode.scrollIntoView(doScroll)\n    cm.display.lineSpace.removeChild(scrollNode)\n  }\n}\n\n// Scroll a given position into view (immediately), verifying that\n// it actually became visible (as line heights are accurately\n// measured, the position of something may \'drift\' during drawing).\nfunction scrollPosIntoView(cm, pos, end, margin) {\n  if (margin == null) { margin = 0 }\n  var coords\n  for (var limit = 0; limit < 5; limit++) {\n    var changed = false\n    coords = cursorCoords(cm, pos)\n    var endCoords = !end || end == pos ? coords : cursorCoords(cm, end)\n    var scrollPos = calculateScrollPos(cm, Math.min(coords.left, endCoords.left),\n                                       Math.min(coords.top, endCoords.top) - margin,\n                                       Math.max(coords.left, endCoords.left),\n                                       Math.max(coords.bottom, endCoords.bottom) + margin)\n    var startTop = cm.doc.scrollTop, startLeft = cm.doc.scrollLeft\n    if (scrollPos.scrollTop != null) {\n      setScrollTop(cm, scrollPos.scrollTop)\n      if (Math.abs(cm.doc.scrollTop - startTop) > 1) { changed = true }\n    }\n    if (scrollPos.scrollLeft != null) {\n      setScrollLeft(cm, scrollPos.scrollLeft)\n      if (Math.abs(cm.doc.scrollLeft - startLeft) > 1) { changed = true }\n    }\n    if (!changed) { break }\n  }\n  return coords\n}\n\n// Scroll a given set of coordinates into view (immediately).\nfunction scrollIntoView(cm, x1, y1, x2, y2) {\n  var scrollPos = calculateScrollPos(cm, x1, y1, x2, y2)\n  if (scrollPos.scrollTop != null) { setScrollTop(cm, scrollPos.scrollTop) }\n  if (scrollPos.scrollLeft != null) { setScrollLeft(cm, scrollPos.scrollLeft) }\n}\n\n// Calculate a new scroll position needed to scroll the given\n// rectangle into view. Returns an object with scrollTop and\n// scrollLeft properties. When these are undefined, the\n// vertical/horizontal position does not need to be adjusted.\nfunction calculateScrollPos(cm, x1, y1, x2, y2) {\n  var display = cm.display, snapMargin = textHeight(cm.display)\n  if (y1 < 0) { y1 = 0 }\n  var screentop = cm.curOp && cm.curOp.scrollTop != null ? cm.curOp.scrollTop : display.scroller.scrollTop\n  var screen = displayHeight(cm), result = {}\n  if (y2 - y1 > screen) { y2 = y1 + screen }\n  var docBottom = cm.doc.height + paddingVert(display)\n  var atTop = y1 < snapMargin, atBottom = y2 > docBottom - snapMargin\n  if (y1 < screentop) {\n    result.scrollTop = atTop ? 0 : y1\n  } else if (y2 > screentop + screen) {\n    var newTop = Math.min(y1, (atBottom ? docBottom : y2) - screen)\n    if (newTop != screentop) { result.scrollTop = newTop }\n  }\n\n  var screenleft = cm.curOp && cm.curOp.scrollLeft != null ? cm.curOp.scrollLeft : display.scroller.scrollLeft\n  var screenw = displayWidth(cm) - (cm.options.fixedGutter ? display.gutters.offsetWidth : 0)\n  var tooWide = x2 - x1 > screenw\n  if (tooWide) { x2 = x1 + screenw }\n  if (x1 < 10)\n    { result.scrollLeft = 0 }\n  else if (x1 < screenleft)\n    { result.scrollLeft = Math.max(0, x1 - (tooWide ? 0 : 10)) }\n  else if (x2 > screenw + screenleft - 3)\n    { result.scrollLeft = x2 + (tooWide ? 0 : 10) - screenw }\n  return result\n}\n\n// Store a relative adjustment to the scroll position in the current\n// operation (to be applied when the operation finishes).\nfunction addToScrollPos(cm, left, top) {\n  if (left != null || top != null) { resolveScrollToPos(cm) }\n  if (left != null)\n    { cm.curOp.scrollLeft = (cm.curOp.scrollLeft == null ? cm.doc.scrollLeft : cm.curOp.scrollLeft) + left }\n  if (top != null)\n    { cm.curOp.scrollTop = (cm.curOp.scrollTop == null ? cm.doc.scrollTop : cm.curOp.scrollTop) + top }\n}\n\n// Make sure that at the end of the operation the current cursor is\n// shown.\nfunction ensureCursorVisible(cm) {\n  resolveScrollToPos(cm)\n  var cur = cm.getCursor(), from = cur, to = cur\n  if (!cm.options.lineWrapping) {\n    from = cur.ch ? Pos(cur.line, cur.ch - 1) : cur\n    to = Pos(cur.line, cur.ch + 1)\n  }\n  cm.curOp.scrollToPos = {from: from, to: to, margin: cm.options.cursorScrollMargin, isCursor: true}\n}\n\n// When an operation has its scrollToPos property set, and another\n// scroll action is applied before the end of the operation, this\n// \'simulates\' scrolling that position into view in a cheap way, so\n// that the effect of intermediate scroll commands is not ignored.\nfunction resolveScrollToPos(cm) {\n  var range = cm.curOp.scrollToPos\n  if (range) {\n    cm.curOp.scrollToPos = null\n    var from = estimateCoords(cm, range.from), to = estimateCoords(cm, range.to)\n    var sPos = calculateScrollPos(cm, Math.min(from.left, to.left),\n                                  Math.min(from.top, to.top) - range.margin,\n                                  Math.max(from.right, to.right),\n                                  Math.max(from.bottom, to.bottom) + range.margin)\n    cm.scrollTo(sPos.scrollLeft, sPos.scrollTop)\n  }\n}\n\n// Operations are used to wrap a series of changes to the editor\n// state in such a way that each change won\'t have to update the\n// cursor and display (which would be awkward, slow, and\n// error-prone). Instead, display updates are batched and then all\n// combined and executed at once.\n\nvar nextOpId = 0\n// Start a new operation.\nfunction startOperation(cm) {\n  cm.curOp = {\n    cm: cm,\n    viewChanged: false,      // Flag that indicates that lines might need to be redrawn\n    startHeight: cm.doc.height, // Used to detect need to update scrollbar\n    forceUpdate: false,      // Used to force a redraw\n    updateInput: null,       // Whether to reset the input textarea\n    typing: false,           // Whether this reset should be careful to leave existing text (for compositing)\n    changeObjs: null,        // Accumulated changes, for firing change events\n    cursorActivityHandlers: null, // Set of handlers to fire cursorActivity on\n    cursorActivityCalled: 0, // Tracks which cursorActivity handlers have been called already\n    selectionChanged: false, // Whether the selection needs to be redrawn\n    updateMaxLine: false,    // Set when the widest line needs to be determined anew\n    scrollLeft: null, scrollTop: null, // Intermediate scroll position, not pushed to DOM yet\n    scrollToPos: null,       // Used to scroll to a specific position\n    focus: false,\n    id: ++nextOpId           // Unique ID\n  }\n  pushOperation(cm.curOp)\n}\n\n// Finish an operation, updating the display and signalling delayed events\nfunction endOperation(cm) {\n  var op = cm.curOp\n  finishOperation(op, function (group) {\n    for (var i = 0; i < group.ops.length; i++)\n      { group.ops[i].cm.curOp = null }\n    endOperations(group)\n  })\n}\n\n// The DOM updates done when an operation finishes are batched so\n// that the minimum number of relayouts are required.\nfunction endOperations(group) {\n  var ops = group.ops\n  for (var i = 0; i < ops.length; i++) // Read DOM\n    { endOperation_R1(ops[i]) }\n  for (var i$1 = 0; i$1 < ops.length; i$1++) // Write DOM (maybe)\n    { endOperation_W1(ops[i$1]) }\n  for (var i$2 = 0; i$2 < ops.length; i$2++) // Read DOM\n    { endOperation_R2(ops[i$2]) }\n  for (var i$3 = 0; i$3 < ops.length; i$3++) // Write DOM (maybe)\n    { endOperation_W2(ops[i$3]) }\n  for (var i$4 = 0; i$4 < ops.length; i$4++) // Read DOM\n    { endOperation_finish(ops[i$4]) }\n}\n\nfunction endOperation_R1(op) {\n  var cm = op.cm, display = cm.display\n  maybeClipScrollbars(cm)\n  if (op.updateMaxLine) { findMaxLine(cm) }\n\n  op.mustUpdate = op.viewChanged || op.forceUpdate || op.scrollTop != null ||\n    op.scrollToPos && (op.scrollToPos.from.line < display.viewFrom ||\n                       op.scrollToPos.to.line >= display.viewTo) ||\n    display.maxLineChanged && cm.options.lineWrapping\n  op.update = op.mustUpdate &&\n    new DisplayUpdate(cm, op.mustUpdate && {top: op.scrollTop, ensure: op.scrollToPos}, op.forceUpdate)\n}\n\nfunction endOperation_W1(op) {\n  op.updatedDisplay = op.mustUpdate && updateDisplayIfNeeded(op.cm, op.update)\n}\n\nfunction endOperation_R2(op) {\n  var cm = op.cm, display = cm.display\n  if (op.updatedDisplay) { updateHeightsInViewport(cm) }\n\n  op.barMeasure = measureForScrollbars(cm)\n\n  // If the max line changed since it was last measured, measure it,\n  // and ensure the document\'s width matches it.\n  // updateDisplay_W2 will use these properties to do the actual resizing\n  if (display.maxLineChanged && !cm.options.lineWrapping) {\n    op.adjustWidthTo = measureChar(cm, display.maxLine, display.maxLine.text.length).left + 3\n    cm.display.sizerWidth = op.adjustWidthTo\n    op.barMeasure.scrollWidth =\n      Math.max(display.scroller.clientWidth, display.sizer.offsetLeft + op.adjustWidthTo + scrollGap(cm) + cm.display.barWidth)\n    op.maxScrollLeft = Math.max(0, display.sizer.offsetLeft + op.adjustWidthTo - displayWidth(cm))\n  }\n\n  if (op.updatedDisplay || op.selectionChanged)\n    { op.preparedSelection = display.input.prepareSelection(op.focus) }\n}\n\nfunction endOperation_W2(op) {\n  var cm = op.cm\n\n  if (op.adjustWidthTo != null) {\n    cm.display.sizer.style.minWidth = op.adjustWidthTo + "px"\n    if (op.maxScrollLeft < cm.doc.scrollLeft)\n      { setScrollLeft(cm, Math.min(cm.display.scroller.scrollLeft, op.maxScrollLeft), true) }\n    cm.display.maxLineChanged = false\n  }\n\n  var takeFocus = op.focus && op.focus == activeElt() && (!document.hasFocus || document.hasFocus())\n  if (op.preparedSelection)\n    { cm.display.input.showSelection(op.preparedSelection, takeFocus) }\n  if (op.updatedDisplay || op.startHeight != cm.doc.height)\n    { updateScrollbars(cm, op.barMeasure) }\n  if (op.updatedDisplay)\n    { setDocumentHeight(cm, op.barMeasure) }\n\n  if (op.selectionChanged) { restartBlink(cm) }\n\n  if (cm.state.focused && op.updateInput)\n    { cm.display.input.reset(op.typing) }\n  if (takeFocus) { ensureFocus(op.cm) }\n}\n\nfunction endOperation_finish(op) {\n  var cm = op.cm, display = cm.display, doc = cm.doc\n\n  if (op.updatedDisplay) { postUpdateDisplay(cm, op.update) }\n\n  // Abort mouse wheel delta measurement, when scrolling explicitly\n  if (display.wheelStartX != null && (op.scrollTop != null || op.scrollLeft != null || op.scrollToPos))\n    { display.wheelStartX = display.wheelStartY = null }\n\n  // Propagate the scroll position to the actual DOM scroller\n  if (op.scrollTop != null && (display.scroller.scrollTop != op.scrollTop || op.forceScroll)) {\n    doc.scrollTop = Math.max(0, Math.min(display.scroller.scrollHeight - display.scroller.clientHeight, op.scrollTop))\n    display.scrollbars.setScrollTop(doc.scrollTop)\n    display.scroller.scrollTop = doc.scrollTop\n  }\n  if (op.scrollLeft != null && (display.scroller.scrollLeft != op.scrollLeft || op.forceScroll)) {\n    doc.scrollLeft = Math.max(0, Math.min(display.scroller.scrollWidth - display.scroller.clientWidth, op.scrollLeft))\n    display.scrollbars.setScrollLeft(doc.scrollLeft)\n    display.scroller.scrollLeft = doc.scrollLeft\n    alignHorizontally(cm)\n  }\n  // If we need to scroll a specific position into view, do so.\n  if (op.scrollToPos) {\n    var coords = scrollPosIntoView(cm, clipPos(doc, op.scrollToPos.from),\n                                   clipPos(doc, op.scrollToPos.to), op.scrollToPos.margin)\n    if (op.scrollToPos.isCursor && cm.state.focused) { maybeScrollWindow(cm, coords) }\n  }\n\n  // Fire events for markers that are hidden/unidden by editing or\n  // undoing\n  var hidden = op.maybeHiddenMarkers, unhidden = op.maybeUnhiddenMarkers\n  if (hidden) { for (var i = 0; i < hidden.length; ++i)\n    { if (!hidden[i].lines.length) { signal(hidden[i], "hide") } } }\n  if (unhidden) { for (var i$1 = 0; i$1 < unhidden.length; ++i$1)\n    { if (unhidden[i$1].lines.length) { signal(unhidden[i$1], "unhide") } } }\n\n  if (display.wrapper.offsetHeight)\n    { doc.scrollTop = cm.display.scroller.scrollTop }\n\n  // Fire change events, and delayed event handlers\n  if (op.changeObjs)\n    { signal(cm, "changes", cm, op.changeObjs) }\n  if (op.update)\n    { op.update.finish() }\n}\n\n// Run the given function in an operation\nfunction runInOp(cm, f) {\n  if (cm.curOp) { return f() }\n  startOperation(cm)\n  try { return f() }\n  finally { endOperation(cm) }\n}\n// Wraps a function in an operation. Returns the wrapped function.\nfunction operation(cm, f) {\n  return function() {\n    if (cm.curOp) { return f.apply(cm, arguments) }\n    startOperation(cm)\n    try { return f.apply(cm, arguments) }\n    finally { endOperation(cm) }\n  }\n}\n// Used to add methods to editor and doc instances, wrapping them in\n// operations.\nfunction methodOp(f) {\n  return function() {\n    if (this.curOp) { return f.apply(this, arguments) }\n    startOperation(this)\n    try { return f.apply(this, arguments) }\n    finally { endOperation(this) }\n  }\n}\nfunction docMethodOp(f) {\n  return function() {\n    var cm = this.cm\n    if (!cm || cm.curOp) { return f.apply(this, arguments) }\n    startOperation(cm)\n    try { return f.apply(this, arguments) }\n    finally { endOperation(cm) }\n  }\n}\n\n// Updates the display.view data structure for a given change to the\n// document. From and to are in pre-change coordinates. Lendiff is\n// the amount of lines added or subtracted by the change. This is\n// used for changes that span multiple lines, or change the way\n// lines are divided into visual lines. regLineChange (below)\n// registers single-line changes.\nfunction regChange(cm, from, to, lendiff) {\n  if (from == null) { from = cm.doc.first }\n  if (to == null) { to = cm.doc.first + cm.doc.size }\n  if (!lendiff) { lendiff = 0 }\n\n  var display = cm.display\n  if (lendiff && to < display.viewTo &&\n      (display.updateLineNumbers == null || display.updateLineNumbers > from))\n    { display.updateLineNumbers = from }\n\n  cm.curOp.viewChanged = true\n\n  if (from >= display.viewTo) { // Change after\n    if (sawCollapsedSpans && visualLineNo(cm.doc, from) < display.viewTo)\n      { resetView(cm) }\n  } else if (to <= display.viewFrom) { // Change before\n    if (sawCollapsedSpans && visualLineEndNo(cm.doc, to + lendiff) > display.viewFrom) {\n      resetView(cm)\n    } else {\n      display.viewFrom += lendiff\n      display.viewTo += lendiff\n    }\n  } else if (from <= display.viewFrom && to >= display.viewTo) { // Full overlap\n    resetView(cm)\n  } else if (from <= display.viewFrom) { // Top overlap\n    var cut = viewCuttingPoint(cm, to, to + lendiff, 1)\n    if (cut) {\n      display.view = display.view.slice(cut.index)\n      display.viewFrom = cut.lineN\n      display.viewTo += lendiff\n    } else {\n      resetView(cm)\n    }\n  } else if (to >= display.viewTo) { // Bottom overlap\n    var cut$1 = viewCuttingPoint(cm, from, from, -1)\n    if (cut$1) {\n      display.view = display.view.slice(0, cut$1.index)\n      display.viewTo = cut$1.lineN\n    } else {\n      resetView(cm)\n    }\n  } else { // Gap in the middle\n    var cutTop = viewCuttingPoint(cm, from, from, -1)\n    var cutBot = viewCuttingPoint(cm, to, to + lendiff, 1)\n    if (cutTop && cutBot) {\n      display.view = display.view.slice(0, cutTop.index)\n        .concat(buildViewArray(cm, cutTop.lineN, cutBot.lineN))\n        .concat(display.view.slice(cutBot.index))\n      display.viewTo += lendiff\n    } else {\n      resetView(cm)\n    }\n  }\n\n  var ext = display.externalMeasured\n  if (ext) {\n    if (to < ext.lineN)\n      { ext.lineN += lendiff }\n    else if (from < ext.lineN + ext.size)\n      { display.externalMeasured = null }\n  }\n}\n\n// Register a change to a single line. Type must be one of "text",\n// "gutter", "class", "widget"\nfunction regLineChange(cm, line, type) {\n  cm.curOp.viewChanged = true\n  var display = cm.display, ext = cm.display.externalMeasured\n  if (ext && line >= ext.lineN && line < ext.lineN + ext.size)\n    { display.externalMeasured = null }\n\n  if (line < display.viewFrom || line >= display.viewTo) { return }\n  var lineView = display.view[findViewIndex(cm, line)]\n  if (lineView.node == null) { return }\n  var arr = lineView.changes || (lineView.changes = [])\n  if (indexOf(arr, type) == -1) { arr.push(type) }\n}\n\n// Clear the view.\nfunction resetView(cm) {\n  cm.display.viewFrom = cm.display.viewTo = cm.doc.first\n  cm.display.view = []\n  cm.display.viewOffset = 0\n}\n\nfunction viewCuttingPoint(cm, oldN, newN, dir) {\n  var index = findViewIndex(cm, oldN), diff, view = cm.display.view\n  if (!sawCollapsedSpans || newN == cm.doc.first + cm.doc.size)\n    { return {index: index, lineN: newN} }\n  var n = cm.display.viewFrom\n  for (var i = 0; i < index; i++)\n    { n += view[i].size }\n  if (n != oldN) {\n    if (dir > 0) {\n      if (index == view.length - 1) { return null }\n      diff = (n + view[index].size) - oldN\n      index++\n    } else {\n      diff = n - oldN\n    }\n    oldN += diff; newN += diff\n  }\n  while (visualLineNo(cm.doc, newN) != newN) {\n    if (index == (dir < 0 ? 0 : view.length - 1)) { return null }\n    newN += dir * view[index - (dir < 0 ? 1 : 0)].size\n    index += dir\n  }\n  return {index: index, lineN: newN}\n}\n\n// Force the view to cover a given range, adding empty view element\n// or clipping off existing ones as needed.\nfunction adjustView(cm, from, to) {\n  var display = cm.display, view = display.view\n  if (view.length == 0 || from >= display.viewTo || to <= display.viewFrom) {\n    display.view = buildViewArray(cm, from, to)\n    display.viewFrom = from\n  } else {\n    if (display.viewFrom > from)\n      { display.view = buildViewArray(cm, from, display.viewFrom).concat(display.view) }\n    else if (display.viewFrom < from)\n      { display.view = display.view.slice(findViewIndex(cm, from)) }\n    display.viewFrom = from\n    if (display.viewTo < to)\n      { display.view = display.view.concat(buildViewArray(cm, display.viewTo, to)) }\n    else if (display.viewTo > to)\n      { display.view = display.view.slice(0, findViewIndex(cm, to)) }\n  }\n  display.viewTo = to\n}\n\n// Count the number of lines in the view whose DOM representation is\n// out of date (or nonexistent).\nfunction countDirtyView(cm) {\n  var view = cm.display.view, dirty = 0\n  for (var i = 0; i < view.length; i++) {\n    var lineView = view[i]\n    if (!lineView.hidden && (!lineView.node || lineView.changes)) { ++dirty }\n  }\n  return dirty\n}\n\n// HIGHLIGHT WORKER\n\nfunction startWorker(cm, time) {\n  if (cm.doc.mode.startState && cm.doc.frontier < cm.display.viewTo)\n    { cm.state.highlight.set(time, bind(highlightWorker, cm)) }\n}\n\nfunction highlightWorker(cm) {\n  var doc = cm.doc\n  if (doc.frontier < doc.first) { doc.frontier = doc.first }\n  if (doc.frontier >= cm.display.viewTo) { return }\n  var end = +new Date + cm.options.workTime\n  var state = copyState(doc.mode, getStateBefore(cm, doc.frontier))\n  var changedLines = []\n\n  doc.iter(doc.frontier, Math.min(doc.first + doc.size, cm.display.viewTo + 500), function (line) {\n    if (doc.frontier >= cm.display.viewFrom) { // Visible\n      var oldStyles = line.styles, tooLong = line.text.length > cm.options.maxHighlightLength\n      var highlighted = highlightLine(cm, line, tooLong ? copyState(doc.mode, state) : state, true)\n      line.styles = highlighted.styles\n      var oldCls = line.styleClasses, newCls = highlighted.classes\n      if (newCls) { line.styleClasses = newCls }\n      else if (oldCls) { line.styleClasses = null }\n      var ischange = !oldStyles || oldStyles.length != line.styles.length ||\n        oldCls != newCls && (!oldCls || !newCls || oldCls.bgClass != newCls.bgClass || oldCls.textClass != newCls.textClass)\n      for (var i = 0; !ischange && i < oldStyles.length; ++i) { ischange = oldStyles[i] != line.styles[i] }\n      if (ischange) { changedLines.push(doc.frontier) }\n      line.stateAfter = tooLong ? state : copyState(doc.mode, state)\n    } else {\n      if (line.text.length <= cm.options.maxHighlightLength)\n        { processLine(cm, line.text, state) }\n      line.stateAfter = doc.frontier % 5 == 0 ? copyState(doc.mode, state) : null\n    }\n    ++doc.frontier\n    if (+new Date > end) {\n      startWorker(cm, cm.options.workDelay)\n      return true\n    }\n  })\n  if (changedLines.length) { runInOp(cm, function () {\n    for (var i = 0; i < changedLines.length; i++)\n      { regLineChange(cm, changedLines[i], "text") }\n  }) }\n}\n\n// DISPLAY DRAWING\n\nvar DisplayUpdate = function(cm, viewport, force) {\n  var display = cm.display\n\n  this.viewport = viewport\n  // Store some values that we\'ll need later (but don\'t want to force a relayout for)\n  this.visible = visibleLines(display, cm.doc, viewport)\n  this.editorIsHidden = !display.wrapper.offsetWidth\n  this.wrapperHeight = display.wrapper.clientHeight\n  this.wrapperWidth = display.wrapper.clientWidth\n  this.oldDisplayWidth = displayWidth(cm)\n  this.force = force\n  this.dims = getDimensions(cm)\n  this.events = []\n};\n\nDisplayUpdate.prototype.signal = function (emitter, type) {\n  if (hasHandler(emitter, type))\n    { this.events.push(arguments) }\n};\nDisplayUpdate.prototype.finish = function () {\n    var this$1 = this;\n\n  for (var i = 0; i < this.events.length; i++)\n    { signal.apply(null, this$1.events[i]) }\n};\n\nfunction maybeClipScrollbars(cm) {\n  var display = cm.display\n  if (!display.scrollbarsClipped && display.scroller.offsetWidth) {\n    display.nativeBarWidth = display.scroller.offsetWidth - display.scroller.clientWidth\n    display.heightForcer.style.height = scrollGap(cm) + "px"\n    display.sizer.style.marginBottom = -display.nativeBarWidth + "px"\n    display.sizer.style.borderRightWidth = scrollGap(cm) + "px"\n    display.scrollbarsClipped = true\n  }\n}\n\n// Does the actual updating of the line display. Bails out\n// (returning false) when there is nothing to be done and forced is\n// false.\nfunction updateDisplayIfNeeded(cm, update) {\n  var display = cm.display, doc = cm.doc\n\n  if (update.editorIsHidden) {\n    resetView(cm)\n    return false\n  }\n\n  // Bail out if the visible area is already rendered and nothing changed.\n  if (!update.force &&\n      update.visible.from >= display.viewFrom && update.visible.to <= display.viewTo &&\n      (display.updateLineNumbers == null || display.updateLineNumbers >= display.viewTo) &&\n      display.renderedView == display.view && countDirtyView(cm) == 0)\n    { return false }\n\n  if (maybeUpdateLineNumberWidth(cm)) {\n    resetView(cm)\n    update.dims = getDimensions(cm)\n  }\n\n  // Compute a suitable new viewport (from & to)\n  var end = doc.first + doc.size\n  var from = Math.max(update.visible.from - cm.options.viewportMargin, doc.first)\n  var to = Math.min(end, update.visible.to + cm.options.viewportMargin)\n  if (display.viewFrom < from && from - display.viewFrom < 20) { from = Math.max(doc.first, display.viewFrom) }\n  if (display.viewTo > to && display.viewTo - to < 20) { to = Math.min(end, display.viewTo) }\n  if (sawCollapsedSpans) {\n    from = visualLineNo(cm.doc, from)\n    to = visualLineEndNo(cm.doc, to)\n  }\n\n  var different = from != display.viewFrom || to != display.viewTo ||\n    display.lastWrapHeight != update.wrapperHeight || display.lastWrapWidth != update.wrapperWidth\n  adjustView(cm, from, to)\n\n  display.viewOffset = heightAtLine(getLine(cm.doc, display.viewFrom))\n  // Position the mover div to align with the current scroll position\n  cm.display.mover.style.top = display.viewOffset + "px"\n\n  var toUpdate = countDirtyView(cm)\n  if (!different && toUpdate == 0 && !update.force && display.renderedView == display.view &&\n      (display.updateLineNumbers == null || display.updateLineNumbers >= display.viewTo))\n    { return false }\n\n  // For big changes, we hide the enclosing element during the\n  // update, since that speeds up the operations on most browsers.\n  var focused = activeElt()\n  if (toUpdate > 4) { display.lineDiv.style.display = "none" }\n  patchDisplay(cm, display.updateLineNumbers, update.dims)\n  if (toUpdate > 4) { display.lineDiv.style.display = "" }\n  display.renderedView = display.view\n  // There might have been a widget with a focused element that got\n  // hidden or updated, if so re-focus it.\n  if (focused && activeElt() != focused && focused.offsetHeight) { focused.focus() }\n\n  // Prevent selection and cursors from interfering with the scroll\n  // width and height.\n  removeChildren(display.cursorDiv)\n  removeChildren(display.selectionDiv)\n  display.gutters.style.height = display.sizer.style.minHeight = 0\n\n  if (different) {\n    display.lastWrapHeight = update.wrapperHeight\n    display.lastWrapWidth = update.wrapperWidth\n    startWorker(cm, 400)\n  }\n\n  display.updateLineNumbers = null\n\n  return true\n}\n\nfunction postUpdateDisplay(cm, update) {\n  var viewport = update.viewport\n\n  for (var first = true;; first = false) {\n    if (!first || !cm.options.lineWrapping || update.oldDisplayWidth == displayWidth(cm)) {\n      // Clip forced viewport to actual scrollable area.\n      if (viewport && viewport.top != null)\n        { viewport = {top: Math.min(cm.doc.height + paddingVert(cm.display) - displayHeight(cm), viewport.top)} }\n      // Updated line heights might result in the drawn area not\n      // actually covering the viewport. Keep looping until it does.\n      update.visible = visibleLines(cm.display, cm.doc, viewport)\n      if (update.visible.from >= cm.display.viewFrom && update.visible.to <= cm.display.viewTo)\n        { break }\n    }\n    if (!updateDisplayIfNeeded(cm, update)) { break }\n    updateHeightsInViewport(cm)\n    var barMeasure = measureForScrollbars(cm)\n    updateSelection(cm)\n    updateScrollbars(cm, barMeasure)\n    setDocumentHeight(cm, barMeasure)\n  }\n\n  update.signal(cm, "update", cm)\n  if (cm.display.viewFrom != cm.display.reportedViewFrom || cm.display.viewTo != cm.display.reportedViewTo) {\n    update.signal(cm, "viewportChange", cm, cm.display.viewFrom, cm.display.viewTo)\n    cm.display.reportedViewFrom = cm.display.viewFrom; cm.display.reportedViewTo = cm.display.viewTo\n  }\n}\n\nfunction updateDisplaySimple(cm, viewport) {\n  var update = new DisplayUpdate(cm, viewport)\n  if (updateDisplayIfNeeded(cm, update)) {\n    updateHeightsInViewport(cm)\n    postUpdateDisplay(cm, update)\n    var barMeasure = measureForScrollbars(cm)\n    updateSelection(cm)\n    updateScrollbars(cm, barMeasure)\n    setDocumentHeight(cm, barMeasure)\n    update.finish()\n  }\n}\n\n// Sync the actual display DOM structure with display.view, removing\n// nodes for lines that are no longer in view, and creating the ones\n// that are not there yet, and updating the ones that are out of\n// date.\nfunction patchDisplay(cm, updateNumbersFrom, dims) {\n  var display = cm.display, lineNumbers = cm.options.lineNumbers\n  var container = display.lineDiv, cur = container.firstChild\n\n  function rm(node) {\n    var next = node.nextSibling\n    // Works around a throw-scroll bug in OS X Webkit\n    if (webkit && mac && cm.display.currentWheelTarget == node)\n      { node.style.display = "none" }\n    else\n      { node.parentNode.removeChild(node) }\n    return next\n  }\n\n  var view = display.view, lineN = display.viewFrom\n  // Loop over the elements in the view, syncing cur (the DOM nodes\n  // in display.lineDiv) with the view as we go.\n  for (var i = 0; i < view.length; i++) {\n    var lineView = view[i]\n    if (lineView.hidden) {\n    } else if (!lineView.node || lineView.node.parentNode != container) { // Not drawn yet\n      var node = buildLineElement(cm, lineView, lineN, dims)\n      container.insertBefore(node, cur)\n    } else { // Already drawn\n      while (cur != lineView.node) { cur = rm(cur) }\n      var updateNumber = lineNumbers && updateNumbersFrom != null &&\n        updateNumbersFrom <= lineN && lineView.lineNumber\n      if (lineView.changes) {\n        if (indexOf(lineView.changes, "gutter") > -1) { updateNumber = false }\n        updateLineForChanges(cm, lineView, lineN, dims)\n      }\n      if (updateNumber) {\n        removeChildren(lineView.lineNumber)\n        lineView.lineNumber.appendChild(document.createTextNode(lineNumberFor(cm.options, lineN)))\n      }\n      cur = lineView.node.nextSibling\n    }\n    lineN += lineView.size\n  }\n  while (cur) { cur = rm(cur) }\n}\n\nfunction updateGutterSpace(cm) {\n  var width = cm.display.gutters.offsetWidth\n  cm.display.sizer.style.marginLeft = width + "px"\n}\n\nfunction setDocumentHeight(cm, measure) {\n  cm.display.sizer.style.minHeight = measure.docHeight + "px"\n  cm.display.heightForcer.style.top = measure.docHeight + "px"\n  cm.display.gutters.style.height = (measure.docHeight + cm.display.barHeight + scrollGap(cm)) + "px"\n}\n\n// Rebuild the gutter elements, ensure the margin to the left of the\n// code matches their width.\nfunction updateGutters(cm) {\n  var gutters = cm.display.gutters, specs = cm.options.gutters\n  removeChildren(gutters)\n  var i = 0\n  for (; i < specs.length; ++i) {\n    var gutterClass = specs[i]\n    var gElt = gutters.appendChild(elt("div", null, "CodeMirror-gutter " + gutterClass))\n    if (gutterClass == "CodeMirror-linenumbers") {\n      cm.display.lineGutter = gElt\n      gElt.style.width = (cm.display.lineNumWidth || 1) + "px"\n    }\n  }\n  gutters.style.display = i ? "" : "none"\n  updateGutterSpace(cm)\n}\n\n// Make sure the gutters options contains the element\n// "CodeMirror-linenumbers" when the lineNumbers option is true.\nfunction setGuttersForLineNumbers(options) {\n  var found = indexOf(options.gutters, "CodeMirror-linenumbers")\n  if (found == -1 && options.lineNumbers) {\n    options.gutters = options.gutters.concat(["CodeMirror-linenumbers"])\n  } else if (found > -1 && !options.lineNumbers) {\n    options.gutters = options.gutters.slice(0)\n    options.gutters.splice(found, 1)\n  }\n}\n\n// Selection objects are immutable. A new one is created every time\n// the selection changes. A selection is one or more non-overlapping\n// (and non-touching) ranges, sorted, and an integer that indicates\n// which one is the primary selection (the one that\'s scrolled into\n// view, that getCursor returns, etc).\nvar Selection = function(ranges, primIndex) {\n  this.ranges = ranges\n  this.primIndex = primIndex\n};\n\nSelection.prototype.primary = function () { return this.ranges[this.primIndex] };\n\nSelection.prototype.equals = function (other) {\n    var this$1 = this;\n\n  if (other == this) { return true }\n  if (other.primIndex != this.primIndex || other.ranges.length != this.ranges.length) { return false }\n  for (var i = 0; i < this.ranges.length; i++) {\n    var here = this$1.ranges[i], there = other.ranges[i]\n    if (!equalCursorPos(here.anchor, there.anchor) || !equalCursorPos(here.head, there.head)) { return false }\n  }\n  return true\n};\n\nSelection.prototype.deepCopy = function () {\n    var this$1 = this;\n\n  var out = []\n  for (var i = 0; i < this.ranges.length; i++)\n    { out[i] = new Range(copyPos(this$1.ranges[i].anchor), copyPos(this$1.ranges[i].head)) }\n  return new Selection(out, this.primIndex)\n};\n\nSelection.prototype.somethingSelected = function () {\n    var this$1 = this;\n\n  for (var i = 0; i < this.ranges.length; i++)\n    { if (!this$1.ranges[i].empty()) { return true } }\n  return false\n};\n\nSelection.prototype.contains = function (pos, end) {\n    var this$1 = this;\n\n  if (!end) { end = pos }\n  for (var i = 0; i < this.ranges.length; i++) {\n    var range = this$1.ranges[i]\n    if (cmp(end, range.from()) >= 0 && cmp(pos, range.to()) <= 0)\n      { return i }\n  }\n  return -1\n};\n\nvar Range = function(anchor, head) {\n  this.anchor = anchor; this.head = head\n};\n\nRange.prototype.from = function () { return minPos(this.anchor, this.head) };\nRange.prototype.to = function () { return maxPos(this.anchor, this.head) };\nRange.prototype.empty = function () { return this.head.line == this.anchor.line && this.head.ch == this.anchor.ch };\n\n// Take an unsorted, potentially overlapping set of ranges, and\n// build a selection out of it. \'Consumes\' ranges array (modifying\n// it).\nfunction normalizeSelection(ranges, primIndex) {\n  var prim = ranges[primIndex]\n  ranges.sort(function (a, b) { return cmp(a.from(), b.from()); })\n  primIndex = indexOf(ranges, prim)\n  for (var i = 1; i < ranges.length; i++) {\n    var cur = ranges[i], prev = ranges[i - 1]\n    if (cmp(prev.to(), cur.from()) >= 0) {\n      var from = minPos(prev.from(), cur.from()), to = maxPos(prev.to(), cur.to())\n      var inv = prev.empty() ? cur.from() == cur.head : prev.from() == prev.head\n      if (i <= primIndex) { --primIndex }\n      ranges.splice(--i, 2, new Range(inv ? to : from, inv ? from : to))\n    }\n  }\n  return new Selection(ranges, primIndex)\n}\n\nfunction simpleSelection(anchor, head) {\n  return new Selection([new Range(anchor, head || anchor)], 0)\n}\n\n// Compute the position of the end of a change (its \'to\' property\n// refers to the pre-change end).\nfunction changeEnd(change) {\n  if (!change.text) { return change.to }\n  return Pos(change.from.line + change.text.length - 1,\n             lst(change.text).length + (change.text.length == 1 ? change.from.ch : 0))\n}\n\n// Adjust a position to refer to the post-change position of the\n// same text, or the end of the change if the change covers it.\nfunction adjustForChange(pos, change) {\n  if (cmp(pos, change.from) < 0) { return pos }\n  if (cmp(pos, change.to) <= 0) { return changeEnd(change) }\n\n  var line = pos.line + change.text.length - (change.to.line - change.from.line) - 1, ch = pos.ch\n  if (pos.line == change.to.line) { ch += changeEnd(change).ch - change.to.ch }\n  return Pos(line, ch)\n}\n\nfunction computeSelAfterChange(doc, change) {\n  var out = []\n  for (var i = 0; i < doc.sel.ranges.length; i++) {\n    var range = doc.sel.ranges[i]\n    out.push(new Range(adjustForChange(range.anchor, change),\n                       adjustForChange(range.head, change)))\n  }\n  return normalizeSelection(out, doc.sel.primIndex)\n}\n\nfunction offsetPos(pos, old, nw) {\n  if (pos.line == old.line)\n    { return Pos(nw.line, pos.ch - old.ch + nw.ch) }\n  else\n    { return Pos(nw.line + (pos.line - old.line), pos.ch) }\n}\n\n// Used by replaceSelections to allow moving the selection to the\n// start or around the replaced test. Hint may be "start" or "around".\nfunction computeReplacedSel(doc, changes, hint) {\n  var out = []\n  var oldPrev = Pos(doc.first, 0), newPrev = oldPrev\n  for (var i = 0; i < changes.length; i++) {\n    var change = changes[i]\n    var from = offsetPos(change.from, oldPrev, newPrev)\n    var to = offsetPos(changeEnd(change), oldPrev, newPrev)\n    oldPrev = change.to\n    newPrev = to\n    if (hint == "around") {\n      var range = doc.sel.ranges[i], inv = cmp(range.head, range.anchor) < 0\n      out[i] = new Range(inv ? to : from, inv ? from : to)\n    } else {\n      out[i] = new Range(from, from)\n    }\n  }\n  return new Selection(out, doc.sel.primIndex)\n}\n\n// Used to get the editor into a consistent state again when options change.\n\nfunction loadMode(cm) {\n  cm.doc.mode = getMode(cm.options, cm.doc.modeOption)\n  resetModeState(cm)\n}\n\nfunction resetModeState(cm) {\n  cm.doc.iter(function (line) {\n    if (line.stateAfter) { line.stateAfter = null }\n    if (line.styles) { line.styles = null }\n  })\n  cm.doc.frontier = cm.doc.first\n  startWorker(cm, 100)\n  cm.state.modeGen++\n  if (cm.curOp) { regChange(cm) }\n}\n\n// DOCUMENT DATA STRUCTURE\n\n// By default, updates that start and end at the beginning of a line\n// are treated specially, in order to make the association of line\n// widgets and marker elements with the text behave more intuitive.\nfunction isWholeLineUpdate(doc, change) {\n  return change.from.ch == 0 && change.to.ch == 0 && lst(change.text) == "" &&\n    (!doc.cm || doc.cm.options.wholeLineUpdateBefore)\n}\n\n// Perform a change on the document data structure.\nfunction updateDoc(doc, change, markedSpans, estimateHeight) {\n  function spansFor(n) {return markedSpans ? markedSpans[n] : null}\n  function update(line, text, spans) {\n    updateLine(line, text, spans, estimateHeight)\n    signalLater(line, "change", line, change)\n  }\n  function linesFor(start, end) {\n    var result = []\n    for (var i = start; i < end; ++i)\n      { result.push(new Line(text[i], spansFor(i), estimateHeight)) }\n    return result\n  }\n\n  var from = change.from, to = change.to, text = change.text\n  var firstLine = getLine(doc, from.line), lastLine = getLine(doc, to.line)\n  var lastText = lst(text), lastSpans = spansFor(text.length - 1), nlines = to.line - from.line\n\n  // Adjust the line structure\n  if (change.full) {\n    doc.insert(0, linesFor(0, text.length))\n    doc.remove(text.length, doc.size - text.length)\n  } else if (isWholeLineUpdate(doc, change)) {\n    // This is a whole-line replace. Treated specially to make\n    // sure line objects move the way they are supposed to.\n    var added = linesFor(0, text.length - 1)\n    update(lastLine, lastLine.text, lastSpans)\n    if (nlines) { doc.remove(from.line, nlines) }\n    if (added.length) { doc.insert(from.line, added) }\n  } else if (firstLine == lastLine) {\n    if (text.length == 1) {\n      update(firstLine, firstLine.text.slice(0, from.ch) + lastText + firstLine.text.slice(to.ch), lastSpans)\n    } else {\n      var added$1 = linesFor(1, text.length - 1)\n      added$1.push(new Line(lastText + firstLine.text.slice(to.ch), lastSpans, estimateHeight))\n      update(firstLine, firstLine.text.slice(0, from.ch) + text[0], spansFor(0))\n      doc.insert(from.line + 1, added$1)\n    }\n  } else if (text.length == 1) {\n    update(firstLine, firstLine.text.slice(0, from.ch) + text[0] + lastLine.text.slice(to.ch), spansFor(0))\n    doc.remove(from.line + 1, nlines)\n  } else {\n    update(firstLine, firstLine.text.slice(0, from.ch) + text[0], spansFor(0))\n    update(lastLine, lastText + lastLine.text.slice(to.ch), lastSpans)\n    var added$2 = linesFor(1, text.length - 1)\n    if (nlines > 1) { doc.remove(from.line + 1, nlines - 1) }\n    doc.insert(from.line + 1, added$2)\n  }\n\n  signalLater(doc, "change", doc, change)\n}\n\n// Call f for all linked documents.\nfunction linkedDocs(doc, f, sharedHistOnly) {\n  function propagate(doc, skip, sharedHist) {\n    if (doc.linked) { for (var i = 0; i < doc.linked.length; ++i) {\n      var rel = doc.linked[i]\n      if (rel.doc == skip) { continue }\n      var shared = sharedHist && rel.sharedHist\n      if (sharedHistOnly && !shared) { continue }\n      f(rel.doc, shared)\n      propagate(rel.doc, doc, shared)\n    } }\n  }\n  propagate(doc, null, true)\n}\n\n// Attach a document to an editor.\nfunction attachDoc(cm, doc) {\n  if (doc.cm) { throw new Error("This document is already in use.") }\n  cm.doc = doc\n  doc.cm = cm\n  estimateLineHeights(cm)\n  loadMode(cm)\n  if (!cm.options.lineWrapping) { findMaxLine(cm) }\n  cm.options.mode = doc.modeOption\n  regChange(cm)\n}\n\nfunction History(startGen) {\n  // Arrays of change events and selections. Doing something adds an\n  // event to done and clears undo. Undoing moves events from done\n  // to undone, redoing moves them in the other direction.\n  this.done = []; this.undone = []\n  this.undoDepth = Infinity\n  // Used to track when changes can be merged into a single undo\n  // event\n  this.lastModTime = this.lastSelTime = 0\n  this.lastOp = this.lastSelOp = null\n  this.lastOrigin = this.lastSelOrigin = null\n  // Used by the isClean() method\n  this.generation = this.maxGeneration = startGen || 1\n}\n\n// Create a history change event from an updateDoc-style change\n// object.\nfunction historyChangeFromChange(doc, change) {\n  var histChange = {from: copyPos(change.from), to: changeEnd(change), text: getBetween(doc, change.from, change.to)}\n  attachLocalSpans(doc, histChange, change.from.line, change.to.line + 1)\n  linkedDocs(doc, function (doc) { return attachLocalSpans(doc, histChange, change.from.line, change.to.line + 1); }, true)\n  return histChange\n}\n\n// Pop all selection events off the end of a history array. Stop at\n// a change event.\nfunction clearSelectionEvents(array) {\n  while (array.length) {\n    var last = lst(array)\n    if (last.ranges) { array.pop() }\n    else { break }\n  }\n}\n\n// Find the top change event in the history. Pop off selection\n// events that are in the way.\nfunction lastChangeEvent(hist, force) {\n  if (force) {\n    clearSelectionEvents(hist.done)\n    return lst(hist.done)\n  } else if (hist.done.length && !lst(hist.done).ranges) {\n    return lst(hist.done)\n  } else if (hist.done.length > 1 && !hist.done[hist.done.length - 2].ranges) {\n    hist.done.pop()\n    return lst(hist.done)\n  }\n}\n\n// Register a change in the history. Merges changes that are within\n// a single operation, or are close together with an origin that\n// allows merging (starting with "+") into a single event.\nfunction addChangeToHistory(doc, change, selAfter, opId) {\n  var hist = doc.history\n  hist.undone.length = 0\n  var time = +new Date, cur\n  var last\n\n  if ((hist.lastOp == opId ||\n       hist.lastOrigin == change.origin && change.origin &&\n       ((change.origin.charAt(0) == "+" && doc.cm && hist.lastModTime > time - doc.cm.options.historyEventDelay) ||\n        change.origin.charAt(0) == "*")) &&\n      (cur = lastChangeEvent(hist, hist.lastOp == opId))) {\n    // Merge this change into the last event\n    last = lst(cur.changes)\n    if (cmp(change.from, change.to) == 0 && cmp(change.from, last.to) == 0) {\n      // Optimized case for simple insertion -- don\'t want to add\n      // new changesets for every character typed\n      last.to = changeEnd(change)\n    } else {\n      // Add new sub-event\n      cur.changes.push(historyChangeFromChange(doc, change))\n    }\n  } else {\n    // Can not be merged, start a new event.\n    var before = lst(hist.done)\n    if (!before || !before.ranges)\n      { pushSelectionToHistory(doc.sel, hist.done) }\n    cur = {changes: [historyChangeFromChange(doc, change)],\n           generation: hist.generation}\n    hist.done.push(cur)\n    while (hist.done.length > hist.undoDepth) {\n      hist.done.shift()\n      if (!hist.done[0].ranges) { hist.done.shift() }\n    }\n  }\n  hist.done.push(selAfter)\n  hist.generation = ++hist.maxGeneration\n  hist.lastModTime = hist.lastSelTime = time\n  hist.lastOp = hist.lastSelOp = opId\n  hist.lastOrigin = hist.lastSelOrigin = change.origin\n\n  if (!last) { signal(doc, "historyAdded") }\n}\n\nfunction selectionEventCanBeMerged(doc, origin, prev, sel) {\n  var ch = origin.charAt(0)\n  return ch == "*" ||\n    ch == "+" &&\n    prev.ranges.length == sel.ranges.length &&\n    prev.somethingSelected() == sel.somethingSelected() &&\n    new Date - doc.history.lastSelTime <= (doc.cm ? doc.cm.options.historyEventDelay : 500)\n}\n\n// Called whenever the selection changes, sets the new selection as\n// the pending selection in the history, and pushes the old pending\n// selection into the \'done\' array when it was significantly\n// different (in number of selected ranges, emptiness, or time).\nfunction addSelectionToHistory(doc, sel, opId, options) {\n  var hist = doc.history, origin = options && options.origin\n\n  // A new event is started when the previous origin does not match\n  // the current, or the origins don\'t allow matching. Origins\n  // starting with * are always merged, those starting with + are\n  // merged when similar and close together in time.\n  if (opId == hist.lastSelOp ||\n      (origin && hist.lastSelOrigin == origin &&\n       (hist.lastModTime == hist.lastSelTime && hist.lastOrigin == origin ||\n        selectionEventCanBeMerged(doc, origin, lst(hist.done), sel))))\n    { hist.done[hist.done.length - 1] = sel }\n  else\n    { pushSelectionToHistory(sel, hist.done) }\n\n  hist.lastSelTime = +new Date\n  hist.lastSelOrigin = origin\n  hist.lastSelOp = opId\n  if (options && options.clearRedo !== false)\n    { clearSelectionEvents(hist.undone) }\n}\n\nfunction pushSelectionToHistory(sel, dest) {\n  var top = lst(dest)\n  if (!(top && top.ranges && top.equals(sel)))\n    { dest.push(sel) }\n}\n\n// Used to store marked span information in the history.\nfunction attachLocalSpans(doc, change, from, to) {\n  var existing = change["spans_" + doc.id], n = 0\n  doc.iter(Math.max(doc.first, from), Math.min(doc.first + doc.size, to), function (line) {\n    if (line.markedSpans)\n      { (existing || (existing = change["spans_" + doc.id] = {}))[n] = line.markedSpans }\n    ++n\n  })\n}\n\n// When un/re-doing restores text containing marked spans, those\n// that have been explicitly cleared should not be restored.\nfunction removeClearedSpans(spans) {\n  if (!spans) { return null }\n  var out\n  for (var i = 0; i < spans.length; ++i) {\n    if (spans[i].marker.explicitlyCleared) { if (!out) { out = spans.slice(0, i) } }\n    else if (out) { out.push(spans[i]) }\n  }\n  return !out ? spans : out.length ? out : null\n}\n\n// Retrieve and filter the old marked spans stored in a change event.\nfunction getOldSpans(doc, change) {\n  var found = change["spans_" + doc.id]\n  if (!found) { return null }\n  var nw = []\n  for (var i = 0; i < change.text.length; ++i)\n    { nw.push(removeClearedSpans(found[i])) }\n  return nw\n}\n\n// Used for un/re-doing changes from the history. Combines the\n// result of computing the existing spans with the set of spans that\n// existed in the history (so that deleting around a span and then\n// undoing brings back the span).\nfunction mergeOldSpans(doc, change) {\n  var old = getOldSpans(doc, change)\n  var stretched = stretchSpansOverChange(doc, change)\n  if (!old) { return stretched }\n  if (!stretched) { return old }\n\n  for (var i = 0; i < old.length; ++i) {\n    var oldCur = old[i], stretchCur = stretched[i]\n    if (oldCur && stretchCur) {\n      spans: for (var j = 0; j < stretchCur.length; ++j) {\n        var span = stretchCur[j]\n        for (var k = 0; k < oldCur.length; ++k)\n          { if (oldCur[k].marker == span.marker) { continue spans } }\n        oldCur.push(span)\n      }\n    } else if (stretchCur) {\n      old[i] = stretchCur\n    }\n  }\n  return old\n}\n\n// Used both to provide a JSON-safe object in .getHistory, and, when\n// detaching a document, to split the history in two\nfunction copyHistoryArray(events, newGroup, instantiateSel) {\n  var copy = []\n  for (var i = 0; i < events.length; ++i) {\n    var event = events[i]\n    if (event.ranges) {\n      copy.push(instantiateSel ? Selection.prototype.deepCopy.call(event) : event)\n      continue\n    }\n    var changes = event.changes, newChanges = []\n    copy.push({changes: newChanges})\n    for (var j = 0; j < changes.length; ++j) {\n      var change = changes[j], m = (void 0)\n      newChanges.push({from: change.from, to: change.to, text: change.text})\n      if (newGroup) { for (var prop in change) { if (m = prop.match(/^spans_(\\d+)$/)) {\n        if (indexOf(newGroup, Number(m[1])) > -1) {\n          lst(newChanges)[prop] = change[prop]\n          delete change[prop]\n        }\n      } } }\n    }\n  }\n  return copy\n}\n\n// The \'scroll\' parameter given to many of these indicated whether\n// the new cursor position should be scrolled into view after\n// modifying the selection.\n\n// If shift is held or the extend flag is set, extends a range to\n// include a given position (and optionally a second position).\n// Otherwise, simply returns the range between the given positions.\n// Used for cursor motion and such.\nfunction extendRange(doc, range, head, other) {\n  if (doc.cm && doc.cm.display.shift || doc.extend) {\n    var anchor = range.anchor\n    if (other) {\n      var posBefore = cmp(head, anchor) < 0\n      if (posBefore != (cmp(other, anchor) < 0)) {\n        anchor = head\n        head = other\n      } else if (posBefore != (cmp(head, other) < 0)) {\n        head = other\n      }\n    }\n    return new Range(anchor, head)\n  } else {\n    return new Range(other || head, head)\n  }\n}\n\n// Extend the primary selection range, discard the rest.\nfunction extendSelection(doc, head, other, options) {\n  setSelection(doc, new Selection([extendRange(doc, doc.sel.primary(), head, other)], 0), options)\n}\n\n// Extend all selections (pos is an array of selections with length\n// equal the number of selections)\nfunction extendSelections(doc, heads, options) {\n  var out = []\n  for (var i = 0; i < doc.sel.ranges.length; i++)\n    { out[i] = extendRange(doc, doc.sel.ranges[i], heads[i], null) }\n  var newSel = normalizeSelection(out, doc.sel.primIndex)\n  setSelection(doc, newSel, options)\n}\n\n// Updates a single range in the selection.\nfunction replaceOneSelection(doc, i, range, options) {\n  var ranges = doc.sel.ranges.slice(0)\n  ranges[i] = range\n  setSelection(doc, normalizeSelection(ranges, doc.sel.primIndex), options)\n}\n\n// Reset the selection to a single range.\nfunction setSimpleSelection(doc, anchor, head, options) {\n  setSelection(doc, simpleSelection(anchor, head), options)\n}\n\n// Give beforeSelectionChange handlers a change to influence a\n// selection update.\nfunction filterSelectionChange(doc, sel, options) {\n  var obj = {\n    ranges: sel.ranges,\n    update: function(ranges) {\n      var this$1 = this;\n\n      this.ranges = []\n      for (var i = 0; i < ranges.length; i++)\n        { this$1.ranges[i] = new Range(clipPos(doc, ranges[i].anchor),\n                                   clipPos(doc, ranges[i].head)) }\n    },\n    origin: options && options.origin\n  }\n  signal(doc, "beforeSelectionChange", doc, obj)\n  if (doc.cm) { signal(doc.cm, "beforeSelectionChange", doc.cm, obj) }\n  if (obj.ranges != sel.ranges) { return normalizeSelection(obj.ranges, obj.ranges.length - 1) }\n  else { return sel }\n}\n\nfunction setSelectionReplaceHistory(doc, sel, options) {\n  var done = doc.history.done, last = lst(done)\n  if (last && last.ranges) {\n    done[done.length - 1] = sel\n    setSelectionNoUndo(doc, sel, options)\n  } else {\n    setSelection(doc, sel, options)\n  }\n}\n\n// Set a new selection.\nfunction setSelection(doc, sel, options) {\n  setSelectionNoUndo(doc, sel, options)\n  addSelectionToHistory(doc, doc.sel, doc.cm ? doc.cm.curOp.id : NaN, options)\n}\n\nfunction setSelectionNoUndo(doc, sel, options) {\n  if (hasHandler(doc, "beforeSelectionChange") || doc.cm && hasHandler(doc.cm, "beforeSelectionChange"))\n    { sel = filterSelectionChange(doc, sel, options) }\n\n  var bias = options && options.bias ||\n    (cmp(sel.primary().head, doc.sel.primary().head) < 0 ? -1 : 1)\n  setSelectionInner(doc, skipAtomicInSelection(doc, sel, bias, true))\n\n  if (!(options && options.scroll === false) && doc.cm)\n    { ensureCursorVisible(doc.cm) }\n}\n\nfunction setSelectionInner(doc, sel) {\n  if (sel.equals(doc.sel)) { return }\n\n  doc.sel = sel\n\n  if (doc.cm) {\n    doc.cm.curOp.updateInput = doc.cm.curOp.selectionChanged = true\n    signalCursorActivity(doc.cm)\n  }\n  signalLater(doc, "cursorActivity", doc)\n}\n\n// Verify that the selection does not partially select any atomic\n// marked ranges.\nfunction reCheckSelection(doc) {\n  setSelectionInner(doc, skipAtomicInSelection(doc, doc.sel, null, false), sel_dontScroll)\n}\n\n// Return a selection that does not partially select any atomic\n// ranges.\nfunction skipAtomicInSelection(doc, sel, bias, mayClear) {\n  var out\n  for (var i = 0; i < sel.ranges.length; i++) {\n    var range = sel.ranges[i]\n    var old = sel.ranges.length == doc.sel.ranges.length && doc.sel.ranges[i]\n    var newAnchor = skipAtomic(doc, range.anchor, old && old.anchor, bias, mayClear)\n    var newHead = skipAtomic(doc, range.head, old && old.head, bias, mayClear)\n    if (out || newAnchor != range.anchor || newHead != range.head) {\n      if (!out) { out = sel.ranges.slice(0, i) }\n      out[i] = new Range(newAnchor, newHead)\n    }\n  }\n  return out ? normalizeSelection(out, sel.primIndex) : sel\n}\n\nfunction skipAtomicInner(doc, pos, oldPos, dir, mayClear) {\n  var line = getLine(doc, pos.line)\n  if (line.markedSpans) { for (var i = 0; i < line.markedSpans.length; ++i) {\n    var sp = line.markedSpans[i], m = sp.marker\n    if ((sp.from == null || (m.inclusiveLeft ? sp.from <= pos.ch : sp.from < pos.ch)) &&\n        (sp.to == null || (m.inclusiveRight ? sp.to >= pos.ch : sp.to > pos.ch))) {\n      if (mayClear) {\n        signal(m, "beforeCursorEnter")\n        if (m.explicitlyCleared) {\n          if (!line.markedSpans) { break }\n          else {--i; continue}\n        }\n      }\n      if (!m.atomic) { continue }\n\n      if (oldPos) {\n        var near = m.find(dir < 0 ? 1 : -1), diff = (void 0)\n        if (dir < 0 ? m.inclusiveRight : m.inclusiveLeft)\n          { near = movePos(doc, near, -dir, near && near.line == pos.line ? line : null) }\n        if (near && near.line == pos.line && (diff = cmp(near, oldPos)) && (dir < 0 ? diff < 0 : diff > 0))\n          { return skipAtomicInner(doc, near, pos, dir, mayClear) }\n      }\n\n      var far = m.find(dir < 0 ? -1 : 1)\n      if (dir < 0 ? m.inclusiveLeft : m.inclusiveRight)\n        { far = movePos(doc, far, dir, far.line == pos.line ? line : null) }\n      return far ? skipAtomicInner(doc, far, pos, dir, mayClear) : null\n    }\n  } }\n  return pos\n}\n\n// Ensure a given position is not inside an atomic range.\nfunction skipAtomic(doc, pos, oldPos, bias, mayClear) {\n  var dir = bias || 1\n  var found = skipAtomicInner(doc, pos, oldPos, dir, mayClear) ||\n      (!mayClear && skipAtomicInner(doc, pos, oldPos, dir, true)) ||\n      skipAtomicInner(doc, pos, oldPos, -dir, mayClear) ||\n      (!mayClear && skipAtomicInner(doc, pos, oldPos, -dir, true))\n  if (!found) {\n    doc.cantEdit = true\n    return Pos(doc.first, 0)\n  }\n  return found\n}\n\nfunction movePos(doc, pos, dir, line) {\n  if (dir < 0 && pos.ch == 0) {\n    if (pos.line > doc.first) { return clipPos(doc, Pos(pos.line - 1)) }\n    else { return null }\n  } else if (dir > 0 && pos.ch == (line || getLine(doc, pos.line)).text.length) {\n    if (pos.line < doc.first + doc.size - 1) { return Pos(pos.line + 1, 0) }\n    else { return null }\n  } else {\n    return new Pos(pos.line, pos.ch + dir)\n  }\n}\n\nfunction selectAll(cm) {\n  cm.setSelection(Pos(cm.firstLine(), 0), Pos(cm.lastLine()), sel_dontScroll)\n}\n\n// UPDATING\n\n// Allow "beforeChange" event handlers to influence a change\nfunction filterChange(doc, change, update) {\n  var obj = {\n    canceled: false,\n    from: change.from,\n    to: change.to,\n    text: change.text,\n    origin: change.origin,\n    cancel: function () { return obj.canceled = true; }\n  }\n  if (update) { obj.update = function (from, to, text, origin) {\n    if (from) { obj.from = clipPos(doc, from) }\n    if (to) { obj.to = clipPos(doc, to) }\n    if (text) { obj.text = text }\n    if (origin !== undefined) { obj.origin = origin }\n  } }\n  signal(doc, "beforeChange", doc, obj)\n  if (doc.cm) { signal(doc.cm, "beforeChange", doc.cm, obj) }\n\n  if (obj.canceled) { return null }\n  return {from: obj.from, to: obj.to, text: obj.text, origin: obj.origin}\n}\n\n// Apply a change to a document, and add it to the document\'s\n// history, and propagating it to all linked documents.\nfunction makeChange(doc, change, ignoreReadOnly) {\n  if (doc.cm) {\n    if (!doc.cm.curOp) { return operation(doc.cm, makeChange)(doc, change, ignoreReadOnly) }\n    if (doc.cm.state.suppressEdits) { return }\n  }\n\n  if (hasHandler(doc, "beforeChange") || doc.cm && hasHandler(doc.cm, "beforeChange")) {\n    change = filterChange(doc, change, true)\n    if (!change) { return }\n  }\n\n  // Possibly split or suppress the update based on the presence\n  // of read-only spans in its range.\n  var split = sawReadOnlySpans && !ignoreReadOnly && removeReadOnlyRanges(doc, change.from, change.to)\n  if (split) {\n    for (var i = split.length - 1; i >= 0; --i)\n      { makeChangeInner(doc, {from: split[i].from, to: split[i].to, text: i ? [""] : change.text}) }\n  } else {\n    makeChangeInner(doc, change)\n  }\n}\n\nfunction makeChangeInner(doc, change) {\n  if (change.text.length == 1 && change.text[0] == "" && cmp(change.from, change.to) == 0) { return }\n  var selAfter = computeSelAfterChange(doc, change)\n  addChangeToHistory(doc, change, selAfter, doc.cm ? doc.cm.curOp.id : NaN)\n\n  makeChangeSingleDoc(doc, change, selAfter, stretchSpansOverChange(doc, change))\n  var rebased = []\n\n  linkedDocs(doc, function (doc, sharedHist) {\n    if (!sharedHist && indexOf(rebased, doc.history) == -1) {\n      rebaseHist(doc.history, change)\n      rebased.push(doc.history)\n    }\n    makeChangeSingleDoc(doc, change, null, stretchSpansOverChange(doc, change))\n  })\n}\n\n// Revert a change stored in a document\'s history.\nfunction makeChangeFromHistory(doc, type, allowSelectionOnly) {\n  if (doc.cm && doc.cm.state.suppressEdits && !allowSelectionOnly) { return }\n\n  var hist = doc.history, event, selAfter = doc.sel\n  var source = type == "undo" ? hist.done : hist.undone, dest = type == "undo" ? hist.undone : hist.done\n\n  // Verify that there is a useable event (so that ctrl-z won\'t\n  // needlessly clear selection events)\n  var i = 0\n  for (; i < source.length; i++) {\n    event = source[i]\n    if (allowSelectionOnly ? event.ranges && !event.equals(doc.sel) : !event.ranges)\n      { break }\n  }\n  if (i == source.length) { return }\n  hist.lastOrigin = hist.lastSelOrigin = null\n\n  for (;;) {\n    event = source.pop()\n    if (event.ranges) {\n      pushSelectionToHistory(event, dest)\n      if (allowSelectionOnly && !event.equals(doc.sel)) {\n        setSelection(doc, event, {clearRedo: false})\n        return\n      }\n      selAfter = event\n    }\n    else { break }\n  }\n\n  // Build up a reverse change object to add to the opposite history\n  // stack (redo when undoing, and vice versa).\n  var antiChanges = []\n  pushSelectionToHistory(selAfter, dest)\n  dest.push({changes: antiChanges, generation: hist.generation})\n  hist.generation = event.generation || ++hist.maxGeneration\n\n  var filter = hasHandler(doc, "beforeChange") || doc.cm && hasHandler(doc.cm, "beforeChange")\n\n  var loop = function ( i ) {\n    var change = event.changes[i]\n    change.origin = type\n    if (filter && !filterChange(doc, change, false)) {\n      source.length = 0\n      return {}\n    }\n\n    antiChanges.push(historyChangeFromChange(doc, change))\n\n    var after = i ? computeSelAfterChange(doc, change) : lst(source)\n    makeChangeSingleDoc(doc, change, after, mergeOldSpans(doc, change))\n    if (!i && doc.cm) { doc.cm.scrollIntoView({from: change.from, to: changeEnd(change)}) }\n    var rebased = []\n\n    // Propagate to the linked documents\n    linkedDocs(doc, function (doc, sharedHist) {\n      if (!sharedHist && indexOf(rebased, doc.history) == -1) {\n        rebaseHist(doc.history, change)\n        rebased.push(doc.history)\n      }\n      makeChangeSingleDoc(doc, change, null, mergeOldSpans(doc, change))\n    })\n  };\n\n  for (var i$1 = event.changes.length - 1; i$1 >= 0; --i$1) {\n    var returned = loop( i$1 );\n\n    if ( returned ) return returned.v;\n  }\n}\n\n// Sub-views need their line numbers shifted when text is added\n// above or below them in the parent document.\nfunction shiftDoc(doc, distance) {\n  if (distance == 0) { return }\n  doc.first += distance\n  doc.sel = new Selection(map(doc.sel.ranges, function (range) { return new Range(\n    Pos(range.anchor.line + distance, range.anchor.ch),\n    Pos(range.head.line + distance, range.head.ch)\n  ); }), doc.sel.primIndex)\n  if (doc.cm) {\n    regChange(doc.cm, doc.first, doc.first - distance, distance)\n    for (var d = doc.cm.display, l = d.viewFrom; l < d.viewTo; l++)\n      { regLineChange(doc.cm, l, "gutter") }\n  }\n}\n\n// More lower-level change function, handling only a single document\n// (not linked ones).\nfunction makeChangeSingleDoc(doc, change, selAfter, spans) {\n  if (doc.cm && !doc.cm.curOp)\n    { return operation(doc.cm, makeChangeSingleDoc)(doc, change, selAfter, spans) }\n\n  if (change.to.line < doc.first) {\n    shiftDoc(doc, change.text.length - 1 - (change.to.line - change.from.line))\n    return\n  }\n  if (change.from.line > doc.lastLine()) { return }\n\n  // Clip the change to the size of this doc\n  if (change.from.line < doc.first) {\n    var shift = change.text.length - 1 - (doc.first - change.from.line)\n    shiftDoc(doc, shift)\n    change = {from: Pos(doc.first, 0), to: Pos(change.to.line + shift, change.to.ch),\n              text: [lst(change.text)], origin: change.origin}\n  }\n  var last = doc.lastLine()\n  if (change.to.line > last) {\n    change = {from: change.from, to: Pos(last, getLine(doc, last).text.length),\n              text: [change.text[0]], origin: change.origin}\n  }\n\n  change.removed = getBetween(doc, change.from, change.to)\n\n  if (!selAfter) { selAfter = computeSelAfterChange(doc, change) }\n  if (doc.cm) { makeChangeSingleDocInEditor(doc.cm, change, spans) }\n  else { updateDoc(doc, change, spans) }\n  setSelectionNoUndo(doc, selAfter, sel_dontScroll)\n}\n\n// Handle the interaction of a change to a document with the editor\n// that this document is part of.\nfunction makeChangeSingleDocInEditor(cm, change, spans) {\n  var doc = cm.doc, display = cm.display, from = change.from, to = change.to\n\n  var recomputeMaxLength = false, checkWidthStart = from.line\n  if (!cm.options.lineWrapping) {\n    checkWidthStart = lineNo(visualLine(getLine(doc, from.line)))\n    doc.iter(checkWidthStart, to.line + 1, function (line) {\n      if (line == display.maxLine) {\n        recomputeMaxLength = true\n        return true\n      }\n    })\n  }\n\n  if (doc.sel.contains(change.from, change.to) > -1)\n    { signalCursorActivity(cm) }\n\n  updateDoc(doc, change, spans, estimateHeight(cm))\n\n  if (!cm.options.lineWrapping) {\n    doc.iter(checkWidthStart, from.line + change.text.length, function (line) {\n      var len = lineLength(line)\n      if (len > display.maxLineLength) {\n        display.maxLine = line\n        display.maxLineLength = len\n        display.maxLineChanged = true\n        recomputeMaxLength = false\n      }\n    })\n    if (recomputeMaxLength) { cm.curOp.updateMaxLine = true }\n  }\n\n  // Adjust frontier, schedule worker\n  doc.frontier = Math.min(doc.frontier, from.line)\n  startWorker(cm, 400)\n\n  var lendiff = change.text.length - (to.line - from.line) - 1\n  // Remember that these lines changed, for updating the display\n  if (change.full)\n    { regChange(cm) }\n  else if (from.line == to.line && change.text.length == 1 && !isWholeLineUpdate(cm.doc, change))\n    { regLineChange(cm, from.line, "text") }\n  else\n    { regChange(cm, from.line, to.line + 1, lendiff) }\n\n  var changesHandler = hasHandler(cm, "changes"), changeHandler = hasHandler(cm, "change")\n  if (changeHandler || changesHandler) {\n    var obj = {\n      from: from, to: to,\n      text: change.text,\n      removed: change.removed,\n      origin: change.origin\n    }\n    if (changeHandler) { signalLater(cm, "change", cm, obj) }\n    if (changesHandler) { (cm.curOp.changeObjs || (cm.curOp.changeObjs = [])).push(obj) }\n  }\n  cm.display.selForContextMenu = null\n}\n\nfunction replaceRange(doc, code, from, to, origin) {\n  if (!to) { to = from }\n  if (cmp(to, from) < 0) { var tmp = to; to = from; from = tmp }\n  if (typeof code == "string") { code = doc.splitLines(code) }\n  makeChange(doc, {from: from, to: to, text: code, origin: origin})\n}\n\n// Rebasing/resetting history to deal with externally-sourced changes\n\nfunction rebaseHistSelSingle(pos, from, to, diff) {\n  if (to < pos.line) {\n    pos.line += diff\n  } else if (from < pos.line) {\n    pos.line = from\n    pos.ch = 0\n  }\n}\n\n// Tries to rebase an array of history events given a change in the\n// document. If the change touches the same lines as the event, the\n// event, and everything \'behind\' it, is discarded. If the change is\n// before the event, the event\'s positions are updated. Uses a\n// copy-on-write scheme for the positions, to avoid having to\n// reallocate them all on every rebase, but also avoid problems with\n// shared position objects being unsafely updated.\nfunction rebaseHistArray(array, from, to, diff) {\n  for (var i = 0; i < array.length; ++i) {\n    var sub = array[i], ok = true\n    if (sub.ranges) {\n      if (!sub.copied) { sub = array[i] = sub.deepCopy(); sub.copied = true }\n      for (var j = 0; j < sub.ranges.length; j++) {\n        rebaseHistSelSingle(sub.ranges[j].anchor, from, to, diff)\n        rebaseHistSelSingle(sub.ranges[j].head, from, to, diff)\n      }\n      continue\n    }\n    for (var j$1 = 0; j$1 < sub.changes.length; ++j$1) {\n      var cur = sub.changes[j$1]\n      if (to < cur.from.line) {\n        cur.from = Pos(cur.from.line + diff, cur.from.ch)\n        cur.to = Pos(cur.to.line + diff, cur.to.ch)\n      } else if (from <= cur.to.line) {\n        ok = false\n        break\n      }\n    }\n    if (!ok) {\n      array.splice(0, i + 1)\n      i = 0\n    }\n  }\n}\n\nfunction rebaseHist(hist, change) {\n  var from = change.from.line, to = change.to.line, diff = change.text.length - (to - from) - 1\n  rebaseHistArray(hist.done, from, to, diff)\n  rebaseHistArray(hist.undone, from, to, diff)\n}\n\n// Utility for applying a change to a line by handle or number,\n// returning the number and optionally registering the line as\n// changed.\nfunction changeLine(doc, handle, changeType, op) {\n  var no = handle, line = handle\n  if (typeof handle == "number") { line = getLine(doc, clipLine(doc, handle)) }\n  else { no = lineNo(handle) }\n  if (no == null) { return null }\n  if (op(line, no) && doc.cm) { regLineChange(doc.cm, no, changeType) }\n  return line\n}\n\n// The document is represented as a BTree consisting of leaves, with\n// chunk of lines in them, and branches, with up to ten leaves or\n// other branch nodes below them. The top node is always a branch\n// node, and is the document object itself (meaning it has\n// additional methods and properties).\n//\n// All nodes have parent links. The tree is used both to go from\n// line numbers to line objects, and to go from objects to numbers.\n// It also indexes by height, and is used to convert between height\n// and line object, and to find the total height of the document.\n//\n// See also http://marijnhaverbeke.nl/blog/codemirror-line-tree.html\n\nvar LeafChunk = function(lines) {\n  var this$1 = this;\n\n  this.lines = lines\n  this.parent = null\n  var height = 0\n  for (var i = 0; i < lines.length; ++i) {\n    lines[i].parent = this$1\n    height += lines[i].height\n  }\n  this.height = height\n};\n\nLeafChunk.prototype.chunkSize = function () { return this.lines.length };\n\n// Remove the n lines at offset \'at\'.\nLeafChunk.prototype.removeInner = function (at, n) {\n    var this$1 = this;\n\n  for (var i = at, e = at + n; i < e; ++i) {\n    var line = this$1.lines[i]\n    this$1.height -= line.height\n    cleanUpLine(line)\n    signalLater(line, "delete")\n  }\n  this.lines.splice(at, n)\n};\n\n// Helper used to collapse a small branch into a single leaf.\nLeafChunk.prototype.collapse = function (lines) {\n  lines.push.apply(lines, this.lines)\n};\n\n// Insert the given array of lines at offset \'at\', count them as\n// having the given height.\nLeafChunk.prototype.insertInner = function (at, lines, height) {\n    var this$1 = this;\n\n  this.height += height\n  this.lines = this.lines.slice(0, at).concat(lines).concat(this.lines.slice(at))\n  for (var i = 0; i < lines.length; ++i) { lines[i].parent = this$1 }\n};\n\n// Used to iterate over a part of the tree.\nLeafChunk.prototype.iterN = function (at, n, op) {\n    var this$1 = this;\n\n  for (var e = at + n; at < e; ++at)\n    { if (op(this$1.lines[at])) { return true } }\n};\n\nvar BranchChunk = function(children) {\n  var this$1 = this;\n\n  this.children = children\n  var size = 0, height = 0\n  for (var i = 0; i < children.length; ++i) {\n    var ch = children[i]\n    size += ch.chunkSize(); height += ch.height\n    ch.parent = this$1\n  }\n  this.size = size\n  this.height = height\n  this.parent = null\n};\n\nBranchChunk.prototype.chunkSize = function () { return this.size };\n\nBranchChunk.prototype.removeInner = function (at, n) {\n    var this$1 = this;\n\n  this.size -= n\n  for (var i = 0; i < this.children.length; ++i) {\n    var child = this$1.children[i], sz = child.chunkSize()\n    if (at < sz) {\n      var rm = Math.min(n, sz - at), oldHeight = child.height\n      child.removeInner(at, rm)\n      this$1.height -= oldHeight - child.height\n      if (sz == rm) { this$1.children.splice(i--, 1); child.parent = null }\n      if ((n -= rm) == 0) { break }\n      at = 0\n    } else { at -= sz }\n  }\n  // If the result is smaller than 25 lines, ensure that it is a\n  // single leaf node.\n  if (this.size - n < 25 &&\n      (this.children.length > 1 || !(this.children[0] instanceof LeafChunk))) {\n    var lines = []\n    this.collapse(lines)\n    this.children = [new LeafChunk(lines)]\n    this.children[0].parent = this\n  }\n};\n\nBranchChunk.prototype.collapse = function (lines) {\n    var this$1 = this;\n\n  for (var i = 0; i < this.children.length; ++i) { this$1.children[i].collapse(lines) }\n};\n\nBranchChunk.prototype.insertInner = function (at, lines, height) {\n    var this$1 = this;\n\n  this.size += lines.length\n  this.height += height\n  for (var i = 0; i < this.children.length; ++i) {\n    var child = this$1.children[i], sz = child.chunkSize()\n    if (at <= sz) {\n      child.insertInner(at, lines, height)\n      if (child.lines && child.lines.length > 50) {\n        // To avoid memory thrashing when child.lines is huge (e.g. first view of a large file), it\'s never spliced.\n        // Instead, small slices are taken. They\'re taken in order because sequential memory accesses are fastest.\n        var remaining = child.lines.length % 25 + 25\n        for (var pos = remaining; pos < child.lines.length;) {\n          var leaf = new LeafChunk(child.lines.slice(pos, pos += 25))\n          child.height -= leaf.height\n          this$1.children.splice(++i, 0, leaf)\n          leaf.parent = this$1\n        }\n        child.lines = child.lines.slice(0, remaining)\n        this$1.maybeSpill()\n      }\n      break\n    }\n    at -= sz\n  }\n};\n\n// When a node has grown, check whether it should be split.\nBranchChunk.prototype.maybeSpill = function () {\n  if (this.children.length <= 10) { return }\n  var me = this\n  do {\n    var spilled = me.children.splice(me.children.length - 5, 5)\n    var sibling = new BranchChunk(spilled)\n    if (!me.parent) { // Become the parent node\n      var copy = new BranchChunk(me.children)\n      copy.parent = me\n      me.children = [copy, sibling]\n      me = copy\n   } else {\n      me.size -= sibling.size\n      me.height -= sibling.height\n      var myIndex = indexOf(me.parent.children, me)\n      me.parent.children.splice(myIndex + 1, 0, sibling)\n    }\n    sibling.parent = me.parent\n  } while (me.children.length > 10)\n  me.parent.maybeSpill()\n};\n\nBranchChunk.prototype.iterN = function (at, n, op) {\n    var this$1 = this;\n\n  for (var i = 0; i < this.children.length; ++i) {\n    var child = this$1.children[i], sz = child.chunkSize()\n    if (at < sz) {\n      var used = Math.min(n, sz - at)\n      if (child.iterN(at, used, op)) { return true }\n      if ((n -= used) == 0) { break }\n      at = 0\n    } else { at -= sz }\n  }\n};\n\n// Line widgets are block elements displayed above or below a line.\n\nvar LineWidget = function(doc, node, options) {\n  var this$1 = this;\n\n  if (options) { for (var opt in options) { if (options.hasOwnProperty(opt))\n    { this$1[opt] = options[opt] } } }\n  this.doc = doc\n  this.node = node\n};\n\nLineWidget.prototype.clear = function () {\n    var this$1 = this;\n\n  var cm = this.doc.cm, ws = this.line.widgets, line = this.line, no = lineNo(line)\n  if (no == null || !ws) { return }\n  for (var i = 0; i < ws.length; ++i) { if (ws[i] == this$1) { ws.splice(i--, 1) } }\n  if (!ws.length) { line.widgets = null }\n  var height = widgetHeight(this)\n  updateLineHeight(line, Math.max(0, line.height - height))\n  if (cm) {\n    runInOp(cm, function () {\n      adjustScrollWhenAboveVisible(cm, line, -height)\n      regLineChange(cm, no, "widget")\n    })\n    signalLater(cm, "lineWidgetCleared", cm, this, no)\n  }\n};\n\nLineWidget.prototype.changed = function () {\n    var this$1 = this;\n\n  var oldH = this.height, cm = this.doc.cm, line = this.line\n  this.height = null\n  var diff = widgetHeight(this) - oldH\n  if (!diff) { return }\n  updateLineHeight(line, line.height + diff)\n  if (cm) {\n    runInOp(cm, function () {\n      cm.curOp.forceUpdate = true\n      adjustScrollWhenAboveVisible(cm, line, diff)\n      signalLater(cm, "lineWidgetChanged", cm, this$1, lineNo(line))\n    })\n  }\n};\neventMixin(LineWidget)\n\nfunction adjustScrollWhenAboveVisible(cm, line, diff) {\n  if (heightAtLine(line) < ((cm.curOp && cm.curOp.scrollTop) || cm.doc.scrollTop))\n    { addToScrollPos(cm, null, diff) }\n}\n\nfunction addLineWidget(doc, handle, node, options) {\n  var widget = new LineWidget(doc, node, options)\n  var cm = doc.cm\n  if (cm && widget.noHScroll) { cm.display.alignWidgets = true }\n  changeLine(doc, handle, "widget", function (line) {\n    var widgets = line.widgets || (line.widgets = [])\n    if (widget.insertAt == null) { widgets.push(widget) }\n    else { widgets.splice(Math.min(widgets.length - 1, Math.max(0, widget.insertAt)), 0, widget) }\n    widget.line = line\n    if (cm && !lineIsHidden(doc, line)) {\n      var aboveVisible = heightAtLine(line) < doc.scrollTop\n      updateLineHeight(line, line.height + widgetHeight(widget))\n      if (aboveVisible) { addToScrollPos(cm, null, widget.height) }\n      cm.curOp.forceUpdate = true\n    }\n    return true\n  })\n  signalLater(cm, "lineWidgetAdded", cm, widget, typeof handle == "number" ? handle : lineNo(handle))\n  return widget\n}\n\n// TEXTMARKERS\n\n// Created with markText and setBookmark methods. A TextMarker is a\n// handle that can be used to clear or find a marked position in the\n// document. Line objects hold arrays (markedSpans) containing\n// {from, to, marker} object pointing to such marker objects, and\n// indicating that such a marker is present on that line. Multiple\n// lines may point to the same marker when it spans across lines.\n// The spans will have null for their from/to properties when the\n// marker continues beyond the start/end of the line. Markers have\n// links back to the lines they currently touch.\n\n// Collapsed markers have unique ids, in order to be able to order\n// them, which is needed for uniquely determining an outer marker\n// when they overlap (they may nest, but not partially overlap).\nvar nextMarkerId = 0\n\nvar TextMarker = function(doc, type) {\n  this.lines = []\n  this.type = type\n  this.doc = doc\n  this.id = ++nextMarkerId\n};\n\n// Clear the marker.\nTextMarker.prototype.clear = function () {\n    var this$1 = this;\n\n  if (this.explicitlyCleared) { return }\n  var cm = this.doc.cm, withOp = cm && !cm.curOp\n  if (withOp) { startOperation(cm) }\n  if (hasHandler(this, "clear")) {\n    var found = this.find()\n    if (found) { signalLater(this, "clear", found.from, found.to) }\n  }\n  var min = null, max = null\n  for (var i = 0; i < this.lines.length; ++i) {\n    var line = this$1.lines[i]\n    var span = getMarkedSpanFor(line.markedSpans, this$1)\n    if (cm && !this$1.collapsed) { regLineChange(cm, lineNo(line), "text") }\n    else if (cm) {\n      if (span.to != null) { max = lineNo(line) }\n      if (span.from != null) { min = lineNo(line) }\n    }\n    line.markedSpans = removeMarkedSpan(line.markedSpans, span)\n    if (span.from == null && this$1.collapsed && !lineIsHidden(this$1.doc, line) && cm)\n      { updateLineHeight(line, textHeight(cm.display)) }\n  }\n  if (cm && this.collapsed && !cm.options.lineWrapping) { for (var i$1 = 0; i$1 < this.lines.length; ++i$1) {\n    var visual = visualLine(this$1.lines[i$1]), len = lineLength(visual)\n    if (len > cm.display.maxLineLength) {\n      cm.display.maxLine = visual\n      cm.display.maxLineLength = len\n      cm.display.maxLineChanged = true\n    }\n  } }\n\n  if (min != null && cm && this.collapsed) { regChange(cm, min, max + 1) }\n  this.lines.length = 0\n  this.explicitlyCleared = true\n  if (this.atomic && this.doc.cantEdit) {\n    this.doc.cantEdit = false\n    if (cm) { reCheckSelection(cm.doc) }\n  }\n  if (cm) { signalLater(cm, "markerCleared", cm, this, min, max) }\n  if (withOp) { endOperation(cm) }\n  if (this.parent) { this.parent.clear() }\n};\n\n// Find the position of the marker in the document. Returns a {from,\n// to} object by default. Side can be passed to get a specific side\n// -- 0 (both), -1 (left), or 1 (right). When lineObj is true, the\n// Pos objects returned contain a line object, rather than a line\n// number (used to prevent looking up the same line twice).\nTextMarker.prototype.find = function (side, lineObj) {\n    var this$1 = this;\n\n  if (side == null && this.type == "bookmark") { side = 1 }\n  var from, to\n  for (var i = 0; i < this.lines.length; ++i) {\n    var line = this$1.lines[i]\n    var span = getMarkedSpanFor(line.markedSpans, this$1)\n    if (span.from != null) {\n      from = Pos(lineObj ? line : lineNo(line), span.from)\n      if (side == -1) { return from }\n    }\n    if (span.to != null) {\n      to = Pos(lineObj ? line : lineNo(line), span.to)\n      if (side == 1) { return to }\n    }\n  }\n  return from && {from: from, to: to}\n};\n\n// Signals that the marker\'s widget changed, and surrounding layout\n// should be recomputed.\nTextMarker.prototype.changed = function () {\n    var this$1 = this;\n\n  var pos = this.find(-1, true), widget = this, cm = this.doc.cm\n  if (!pos || !cm) { return }\n  runInOp(cm, function () {\n    var line = pos.line, lineN = lineNo(pos.line)\n    var view = findViewForLine(cm, lineN)\n    if (view) {\n      clearLineMeasurementCacheFor(view)\n      cm.curOp.selectionChanged = cm.curOp.forceUpdate = true\n    }\n    cm.curOp.updateMaxLine = true\n    if (!lineIsHidden(widget.doc, line) && widget.height != null) {\n      var oldHeight = widget.height\n      widget.height = null\n      var dHeight = widgetHeight(widget) - oldHeight\n      if (dHeight)\n        { updateLineHeight(line, line.height + dHeight) }\n    }\n    signalLater(cm, "markerChanged", cm, this$1)\n  })\n};\n\nTextMarker.prototype.attachLine = function (line) {\n  if (!this.lines.length && this.doc.cm) {\n    var op = this.doc.cm.curOp\n    if (!op.maybeHiddenMarkers || indexOf(op.maybeHiddenMarkers, this) == -1)\n      { (op.maybeUnhiddenMarkers || (op.maybeUnhiddenMarkers = [])).push(this) }\n  }\n  this.lines.push(line)\n};\n\nTextMarker.prototype.detachLine = function (line) {\n  this.lines.splice(indexOf(this.lines, line), 1)\n  if (!this.lines.length && this.doc.cm) {\n    var op = this.doc.cm.curOp\n    ;(op.maybeHiddenMarkers || (op.maybeHiddenMarkers = [])).push(this)\n  }\n};\neventMixin(TextMarker)\n\n// Create a marker, wire it up to the right lines, and\nfunction markText(doc, from, to, options, type) {\n  // Shared markers (across linked documents) are handled separately\n  // (markTextShared will call out to this again, once per\n  // document).\n  if (options && options.shared) { return markTextShared(doc, from, to, options, type) }\n  // Ensure we are in an operation.\n  if (doc.cm && !doc.cm.curOp) { return operation(doc.cm, markText)(doc, from, to, options, type) }\n\n  var marker = new TextMarker(doc, type), diff = cmp(from, to)\n  if (options) { copyObj(options, marker, false) }\n  // Don\'t connect empty markers unless clearWhenEmpty is false\n  if (diff > 0 || diff == 0 && marker.clearWhenEmpty !== false)\n    { return marker }\n  if (marker.replacedWith) {\n    // Showing up as a widget implies collapsed (widget replaces text)\n    marker.collapsed = true\n    marker.widgetNode = elt("span", [marker.replacedWith], "CodeMirror-widget")\n    marker.widgetNode.setAttribute("role", "presentation") // hide from accessibility tree\n    if (!options.handleMouseEvents) { marker.widgetNode.setAttribute("cm-ignore-events", "true") }\n    if (options.insertLeft) { marker.widgetNode.insertLeft = true }\n  }\n  if (marker.collapsed) {\n    if (conflictingCollapsedRange(doc, from.line, from, to, marker) ||\n        from.line != to.line && conflictingCollapsedRange(doc, to.line, from, to, marker))\n      { throw new Error("Inserting collapsed marker partially overlapping an existing one") }\n    seeCollapsedSpans()\n  }\n\n  if (marker.addToHistory)\n    { addChangeToHistory(doc, {from: from, to: to, origin: "markText"}, doc.sel, NaN) }\n\n  var curLine = from.line, cm = doc.cm, updateMaxLine\n  doc.iter(curLine, to.line + 1, function (line) {\n    if (cm && marker.collapsed && !cm.options.lineWrapping && visualLine(line) == cm.display.maxLine)\n      { updateMaxLine = true }\n    if (marker.collapsed && curLine != from.line) { updateLineHeight(line, 0) }\n    addMarkedSpan(line, new MarkedSpan(marker,\n                                       curLine == from.line ? from.ch : null,\n                                       curLine == to.line ? to.ch : null))\n    ++curLine\n  })\n  // lineIsHidden depends on the presence of the spans, so needs a second pass\n  if (marker.collapsed) { doc.iter(from.line, to.line + 1, function (line) {\n    if (lineIsHidden(doc, line)) { updateLineHeight(line, 0) }\n  }) }\n\n  if (marker.clearOnEnter) { on(marker, "beforeCursorEnter", function () { return marker.clear(); }) }\n\n  if (marker.readOnly) {\n    seeReadOnlySpans()\n    if (doc.history.done.length || doc.history.undone.length)\n      { doc.clearHistory() }\n  }\n  if (marker.collapsed) {\n    marker.id = ++nextMarkerId\n    marker.atomic = true\n  }\n  if (cm) {\n    // Sync editor state\n    if (updateMaxLine) { cm.curOp.updateMaxLine = true }\n    if (marker.collapsed)\n      { regChange(cm, from.line, to.line + 1) }\n    else if (marker.className || marker.title || marker.startStyle || marker.endStyle || marker.css)\n      { for (var i = from.line; i <= to.line; i++) { regLineChange(cm, i, "text") } }\n    if (marker.atomic) { reCheckSelection(cm.doc) }\n    signalLater(cm, "markerAdded", cm, marker)\n  }\n  return marker\n}\n\n// SHARED TEXTMARKERS\n\n// A shared marker spans multiple linked documents. It is\n// implemented as a meta-marker-object controlling multiple normal\n// markers.\nvar SharedTextMarker = function(markers, primary) {\n  var this$1 = this;\n\n  this.markers = markers\n  this.primary = primary\n  for (var i = 0; i < markers.length; ++i)\n    { markers[i].parent = this$1 }\n};\n\nSharedTextMarker.prototype.clear = function () {\n    var this$1 = this;\n\n  if (this.explicitlyCleared) { return }\n  this.explicitlyCleared = true\n  for (var i = 0; i < this.markers.length; ++i)\n    { this$1.markers[i].clear() }\n  signalLater(this, "clear")\n};\n\nSharedTextMarker.prototype.find = function (side, lineObj) {\n  return this.primary.find(side, lineObj)\n};\neventMixin(SharedTextMarker)\n\nfunction markTextShared(doc, from, to, options, type) {\n  options = copyObj(options)\n  options.shared = false\n  var markers = [markText(doc, from, to, options, type)], primary = markers[0]\n  var widget = options.widgetNode\n  linkedDocs(doc, function (doc) {\n    if (widget) { options.widgetNode = widget.cloneNode(true) }\n    markers.push(markText(doc, clipPos(doc, from), clipPos(doc, to), options, type))\n    for (var i = 0; i < doc.linked.length; ++i)\n      { if (doc.linked[i].isParent) { return } }\n    primary = lst(markers)\n  })\n  return new SharedTextMarker(markers, primary)\n}\n\nfunction findSharedMarkers(doc) {\n  return doc.findMarks(Pos(doc.first, 0), doc.clipPos(Pos(doc.lastLine())), function (m) { return m.parent; })\n}\n\nfunction copySharedMarkers(doc, markers) {\n  for (var i = 0; i < markers.length; i++) {\n    var marker = markers[i], pos = marker.find()\n    var mFrom = doc.clipPos(pos.from), mTo = doc.clipPos(pos.to)\n    if (cmp(mFrom, mTo)) {\n      var subMark = markText(doc, mFrom, mTo, marker.primary, marker.primary.type)\n      marker.markers.push(subMark)\n      subMark.parent = marker\n    }\n  }\n}\n\nfunction detachSharedMarkers(markers) {\n  var loop = function ( i ) {\n    var marker = markers[i], linked = [marker.primary.doc]\n    linkedDocs(marker.primary.doc, function (d) { return linked.push(d); })\n    for (var j = 0; j < marker.markers.length; j++) {\n      var subMarker = marker.markers[j]\n      if (indexOf(linked, subMarker.doc) == -1) {\n        subMarker.parent = null\n        marker.markers.splice(j--, 1)\n      }\n    }\n  };\n\n  for (var i = 0; i < markers.length; i++) loop( i );\n}\n\nvar nextDocId = 0\nvar Doc = function(text, mode, firstLine, lineSep) {\n  if (!(this instanceof Doc)) { return new Doc(text, mode, firstLine, lineSep) }\n  if (firstLine == null) { firstLine = 0 }\n\n  BranchChunk.call(this, [new LeafChunk([new Line("", null)])])\n  this.first = firstLine\n  this.scrollTop = this.scrollLeft = 0\n  this.cantEdit = false\n  this.cleanGeneration = 1\n  this.frontier = firstLine\n  var start = Pos(firstLine, 0)\n  this.sel = simpleSelection(start)\n  this.history = new History(null)\n  this.id = ++nextDocId\n  this.modeOption = mode\n  this.lineSep = lineSep\n  this.extend = false\n\n  if (typeof text == "string") { text = this.splitLines(text) }\n  updateDoc(this, {from: start, to: start, text: text})\n  setSelection(this, simpleSelection(start), sel_dontScroll)\n}\n\nDoc.prototype = createObj(BranchChunk.prototype, {\n  constructor: Doc,\n  // Iterate over the document. Supports two forms -- with only one\n  // argument, it calls that for each line in the document. With\n  // three, it iterates over the range given by the first two (with\n  // the second being non-inclusive).\n  iter: function(from, to, op) {\n    if (op) { this.iterN(from - this.first, to - from, op) }\n    else { this.iterN(this.first, this.first + this.size, from) }\n  },\n\n  // Non-public interface for adding and removing lines.\n  insert: function(at, lines) {\n    var height = 0\n    for (var i = 0; i < lines.length; ++i) { height += lines[i].height }\n    this.insertInner(at - this.first, lines, height)\n  },\n  remove: function(at, n) { this.removeInner(at - this.first, n) },\n\n  // From here, the methods are part of the public interface. Most\n  // are also available from CodeMirror (editor) instances.\n\n  getValue: function(lineSep) {\n    var lines = getLines(this, this.first, this.first + this.size)\n    if (lineSep === false) { return lines }\n    return lines.join(lineSep || this.lineSeparator())\n  },\n  setValue: docMethodOp(function(code) {\n    var top = Pos(this.first, 0), last = this.first + this.size - 1\n    makeChange(this, {from: top, to: Pos(last, getLine(this, last).text.length),\n                      text: this.splitLines(code), origin: "setValue", full: true}, true)\n    setSelection(this, simpleSelection(top))\n  }),\n  replaceRange: function(code, from, to, origin) {\n    from = clipPos(this, from)\n    to = to ? clipPos(this, to) : from\n    replaceRange(this, code, from, to, origin)\n  },\n  getRange: function(from, to, lineSep) {\n    var lines = getBetween(this, clipPos(this, from), clipPos(this, to))\n    if (lineSep === false) { return lines }\n    return lines.join(lineSep || this.lineSeparator())\n  },\n\n  getLine: function(line) {var l = this.getLineHandle(line); return l && l.text},\n\n  getLineHandle: function(line) {if (isLine(this, line)) { return getLine(this, line) }},\n  getLineNumber: function(line) {return lineNo(line)},\n\n  getLineHandleVisualStart: function(line) {\n    if (typeof line == "number") { line = getLine(this, line) }\n    return visualLine(line)\n  },\n\n  lineCount: function() {return this.size},\n  firstLine: function() {return this.first},\n  lastLine: function() {return this.first + this.size - 1},\n\n  clipPos: function(pos) {return clipPos(this, pos)},\n\n  getCursor: function(start) {\n    var range = this.sel.primary(), pos\n    if (start == null || start == "head") { pos = range.head }\n    else if (start == "anchor") { pos = range.anchor }\n    else if (start == "end" || start == "to" || start === false) { pos = range.to() }\n    else { pos = range.from() }\n    return pos\n  },\n  listSelections: function() { return this.sel.ranges },\n  somethingSelected: function() {return this.sel.somethingSelected()},\n\n  setCursor: docMethodOp(function(line, ch, options) {\n    setSimpleSelection(this, clipPos(this, typeof line == "number" ? Pos(line, ch || 0) : line), null, options)\n  }),\n  setSelection: docMethodOp(function(anchor, head, options) {\n    setSimpleSelection(this, clipPos(this, anchor), clipPos(this, head || anchor), options)\n  }),\n  extendSelection: docMethodOp(function(head, other, options) {\n    extendSelection(this, clipPos(this, head), other && clipPos(this, other), options)\n  }),\n  extendSelections: docMethodOp(function(heads, options) {\n    extendSelections(this, clipPosArray(this, heads), options)\n  }),\n  extendSelectionsBy: docMethodOp(function(f, options) {\n    var heads = map(this.sel.ranges, f)\n    extendSelections(this, clipPosArray(this, heads), options)\n  }),\n  setSelections: docMethodOp(function(ranges, primary, options) {\n    var this$1 = this;\n\n    if (!ranges.length) { return }\n    var out = []\n    for (var i = 0; i < ranges.length; i++)\n      { out[i] = new Range(clipPos(this$1, ranges[i].anchor),\n                         clipPos(this$1, ranges[i].head)) }\n    if (primary == null) { primary = Math.min(ranges.length - 1, this.sel.primIndex) }\n    setSelection(this, normalizeSelection(out, primary), options)\n  }),\n  addSelection: docMethodOp(function(anchor, head, options) {\n    var ranges = this.sel.ranges.slice(0)\n    ranges.push(new Range(clipPos(this, anchor), clipPos(this, head || anchor)))\n    setSelection(this, normalizeSelection(ranges, ranges.length - 1), options)\n  }),\n\n  getSelection: function(lineSep) {\n    var this$1 = this;\n\n    var ranges = this.sel.ranges, lines\n    for (var i = 0; i < ranges.length; i++) {\n      var sel = getBetween(this$1, ranges[i].from(), ranges[i].to())\n      lines = lines ? lines.concat(sel) : sel\n    }\n    if (lineSep === false) { return lines }\n    else { return lines.join(lineSep || this.lineSeparator()) }\n  },\n  getSelections: function(lineSep) {\n    var this$1 = this;\n\n    var parts = [], ranges = this.sel.ranges\n    for (var i = 0; i < ranges.length; i++) {\n      var sel = getBetween(this$1, ranges[i].from(), ranges[i].to())\n      if (lineSep !== false) { sel = sel.join(lineSep || this$1.lineSeparator()) }\n      parts[i] = sel\n    }\n    return parts\n  },\n  replaceSelection: function(code, collapse, origin) {\n    var dup = []\n    for (var i = 0; i < this.sel.ranges.length; i++)\n      { dup[i] = code }\n    this.replaceSelections(dup, collapse, origin || "+input")\n  },\n  replaceSelections: docMethodOp(function(code, collapse, origin) {\n    var this$1 = this;\n\n    var changes = [], sel = this.sel\n    for (var i = 0; i < sel.ranges.length; i++) {\n      var range = sel.ranges[i]\n      changes[i] = {from: range.from(), to: range.to(), text: this$1.splitLines(code[i]), origin: origin}\n    }\n    var newSel = collapse && collapse != "end" && computeReplacedSel(this, changes, collapse)\n    for (var i$1 = changes.length - 1; i$1 >= 0; i$1--)\n      { makeChange(this$1, changes[i$1]) }\n    if (newSel) { setSelectionReplaceHistory(this, newSel) }\n    else if (this.cm) { ensureCursorVisible(this.cm) }\n  }),\n  undo: docMethodOp(function() {makeChangeFromHistory(this, "undo")}),\n  redo: docMethodOp(function() {makeChangeFromHistory(this, "redo")}),\n  undoSelection: docMethodOp(function() {makeChangeFromHistory(this, "undo", true)}),\n  redoSelection: docMethodOp(function() {makeChangeFromHistory(this, "redo", true)}),\n\n  setExtending: function(val) {this.extend = val},\n  getExtending: function() {return this.extend},\n\n  historySize: function() {\n    var hist = this.history, done = 0, undone = 0\n    for (var i = 0; i < hist.done.length; i++) { if (!hist.done[i].ranges) { ++done } }\n    for (var i$1 = 0; i$1 < hist.undone.length; i$1++) { if (!hist.undone[i$1].ranges) { ++undone } }\n    return {undo: done, redo: undone}\n  },\n  clearHistory: function() {this.history = new History(this.history.maxGeneration)},\n\n  markClean: function() {\n    this.cleanGeneration = this.changeGeneration(true)\n  },\n  changeGeneration: function(forceSplit) {\n    if (forceSplit)\n      { this.history.lastOp = this.history.lastSelOp = this.history.lastOrigin = null }\n    return this.history.generation\n  },\n  isClean: function (gen) {\n    return this.history.generation == (gen || this.cleanGeneration)\n  },\n\n  getHistory: function() {\n    return {done: copyHistoryArray(this.history.done),\n            undone: copyHistoryArray(this.history.undone)}\n  },\n  setHistory: function(histData) {\n    var hist = this.history = new History(this.history.maxGeneration)\n    hist.done = copyHistoryArray(histData.done.slice(0), null, true)\n    hist.undone = copyHistoryArray(histData.undone.slice(0), null, true)\n  },\n\n  setGutterMarker: docMethodOp(function(line, gutterID, value) {\n    return changeLine(this, line, "gutter", function (line) {\n      var markers = line.gutterMarkers || (line.gutterMarkers = {})\n      markers[gutterID] = value\n      if (!value && isEmpty(markers)) { line.gutterMarkers = null }\n      return true\n    })\n  }),\n\n  clearGutter: docMethodOp(function(gutterID) {\n    var this$1 = this;\n\n    this.iter(function (line) {\n      if (line.gutterMarkers && line.gutterMarkers[gutterID]) {\n        changeLine(this$1, line, "gutter", function () {\n          line.gutterMarkers[gutterID] = null\n          if (isEmpty(line.gutterMarkers)) { line.gutterMarkers = null }\n          return true\n        })\n      }\n    })\n  }),\n\n  lineInfo: function(line) {\n    var n\n    if (typeof line == "number") {\n      if (!isLine(this, line)) { return null }\n      n = line\n      line = getLine(this, line)\n      if (!line) { return null }\n    } else {\n      n = lineNo(line)\n      if (n == null) { return null }\n    }\n    return {line: n, handle: line, text: line.text, gutterMarkers: line.gutterMarkers,\n            textClass: line.textClass, bgClass: line.bgClass, wrapClass: line.wrapClass,\n            widgets: line.widgets}\n  },\n\n  addLineClass: docMethodOp(function(handle, where, cls) {\n    return changeLine(this, handle, where == "gutter" ? "gutter" : "class", function (line) {\n      var prop = where == "text" ? "textClass"\n               : where == "background" ? "bgClass"\n               : where == "gutter" ? "gutterClass" : "wrapClass"\n      if (!line[prop]) { line[prop] = cls }\n      else if (classTest(cls).test(line[prop])) { return false }\n      else { line[prop] += " " + cls }\n      return true\n    })\n  }),\n  removeLineClass: docMethodOp(function(handle, where, cls) {\n    return changeLine(this, handle, where == "gutter" ? "gutter" : "class", function (line) {\n      var prop = where == "text" ? "textClass"\n               : where == "background" ? "bgClass"\n               : where == "gutter" ? "gutterClass" : "wrapClass"\n      var cur = line[prop]\n      if (!cur) { return false }\n      else if (cls == null) { line[prop] = null }\n      else {\n        var found = cur.match(classTest(cls))\n        if (!found) { return false }\n        var end = found.index + found[0].length\n        line[prop] = cur.slice(0, found.index) + (!found.index || end == cur.length ? "" : " ") + cur.slice(end) || null\n      }\n      return true\n    })\n  }),\n\n  addLineWidget: docMethodOp(function(handle, node, options) {\n    return addLineWidget(this, handle, node, options)\n  }),\n  removeLineWidget: function(widget) { widget.clear() },\n\n  markText: function(from, to, options) {\n    return markText(this, clipPos(this, from), clipPos(this, to), options, options && options.type || "range")\n  },\n  setBookmark: function(pos, options) {\n    var realOpts = {replacedWith: options && (options.nodeType == null ? options.widget : options),\n                    insertLeft: options && options.insertLeft,\n                    clearWhenEmpty: false, shared: options && options.shared,\n                    handleMouseEvents: options && options.handleMouseEvents}\n    pos = clipPos(this, pos)\n    return markText(this, pos, pos, realOpts, "bookmark")\n  },\n  findMarksAt: function(pos) {\n    pos = clipPos(this, pos)\n    var markers = [], spans = getLine(this, pos.line).markedSpans\n    if (spans) { for (var i = 0; i < spans.length; ++i) {\n      var span = spans[i]\n      if ((span.from == null || span.from <= pos.ch) &&\n          (span.to == null || span.to >= pos.ch))\n        { markers.push(span.marker.parent || span.marker) }\n    } }\n    return markers\n  },\n  findMarks: function(from, to, filter) {\n    from = clipPos(this, from); to = clipPos(this, to)\n    var found = [], lineNo = from.line\n    this.iter(from.line, to.line + 1, function (line) {\n      var spans = line.markedSpans\n      if (spans) { for (var i = 0; i < spans.length; i++) {\n        var span = spans[i]\n        if (!(span.to != null && lineNo == from.line && from.ch >= span.to ||\n              span.from == null && lineNo != from.line ||\n              span.from != null && lineNo == to.line && span.from >= to.ch) &&\n            (!filter || filter(span.marker)))\n          { found.push(span.marker.parent || span.marker) }\n      } }\n      ++lineNo\n    })\n    return found\n  },\n  getAllMarks: function() {\n    var markers = []\n    this.iter(function (line) {\n      var sps = line.markedSpans\n      if (sps) { for (var i = 0; i < sps.length; ++i)\n        { if (sps[i].from != null) { markers.push(sps[i].marker) } } }\n    })\n    return markers\n  },\n\n  posFromIndex: function(off) {\n    var ch, lineNo = this.first, sepSize = this.lineSeparator().length\n    this.iter(function (line) {\n      var sz = line.text.length + sepSize\n      if (sz > off) { ch = off; return true }\n      off -= sz\n      ++lineNo\n    })\n    return clipPos(this, Pos(lineNo, ch))\n  },\n  indexFromPos: function (coords) {\n    coords = clipPos(this, coords)\n    var index = coords.ch\n    if (coords.line < this.first || coords.ch < 0) { return 0 }\n    var sepSize = this.lineSeparator().length\n    this.iter(this.first, coords.line, function (line) { // iter aborts when callback returns a truthy value\n      index += line.text.length + sepSize\n    })\n    return index\n  },\n\n  copy: function(copyHistory) {\n    var doc = new Doc(getLines(this, this.first, this.first + this.size),\n                      this.modeOption, this.first, this.lineSep)\n    doc.scrollTop = this.scrollTop; doc.scrollLeft = this.scrollLeft\n    doc.sel = this.sel\n    doc.extend = false\n    if (copyHistory) {\n      doc.history.undoDepth = this.history.undoDepth\n      doc.setHistory(this.getHistory())\n    }\n    return doc\n  },\n\n  linkedDoc: function(options) {\n    if (!options) { options = {} }\n    var from = this.first, to = this.first + this.size\n    if (options.from != null && options.from > from) { from = options.from }\n    if (options.to != null && options.to < to) { to = options.to }\n    var copy = new Doc(getLines(this, from, to), options.mode || this.modeOption, from, this.lineSep)\n    if (options.sharedHist) { copy.history = this.history\n    ; }(this.linked || (this.linked = [])).push({doc: copy, sharedHist: options.sharedHist})\n    copy.linked = [{doc: this, isParent: true, sharedHist: options.sharedHist}]\n    copySharedMarkers(copy, findSharedMarkers(this))\n    return copy\n  },\n  unlinkDoc: function(other) {\n    var this$1 = this;\n\n    if (other instanceof CodeMirror) { other = other.doc }\n    if (this.linked) { for (var i = 0; i < this.linked.length; ++i) {\n      var link = this$1.linked[i]\n      if (link.doc != other) { continue }\n      this$1.linked.splice(i, 1)\n      other.unlinkDoc(this$1)\n      detachSharedMarkers(findSharedMarkers(this$1))\n      break\n    } }\n    // If the histories were shared, split them again\n    if (other.history == this.history) {\n      var splitIds = [other.id]\n      linkedDocs(other, function (doc) { return splitIds.push(doc.id); }, true)\n      other.history = new History(null)\n      other.history.done = copyHistoryArray(this.history.done, splitIds)\n      other.history.undone = copyHistoryArray(this.history.undone, splitIds)\n    }\n  },\n  iterLinkedDocs: function(f) {linkedDocs(this, f)},\n\n  getMode: function() {return this.mode},\n  getEditor: function() {return this.cm},\n\n  splitLines: function(str) {\n    if (this.lineSep) { return str.split(this.lineSep) }\n    return splitLinesAuto(str)\n  },\n  lineSeparator: function() { return this.lineSep || "\\n" }\n})\n\n// Public alias.\nDoc.prototype.eachLine = Doc.prototype.iter\n\n// Kludge to work around strange IE behavior where it\'ll sometimes\n// re-fire a series of drag-related events right after the drop (#1551)\nvar lastDrop = 0\n\nfunction onDrop(e) {\n  var cm = this\n  clearDragCursor(cm)\n  if (signalDOMEvent(cm, e) || eventInWidget(cm.display, e))\n    { return }\n  e_preventDefault(e)\n  if (ie) { lastDrop = +new Date }\n  var pos = posFromMouse(cm, e, true), files = e.dataTransfer.files\n  if (!pos || cm.isReadOnly()) { return }\n  // Might be a file drop, in which case we simply extract the text\n  // and insert it.\n  if (files && files.length && window.FileReader && window.File) {\n    var n = files.length, text = Array(n), read = 0\n    var loadFile = function (file, i) {\n      if (cm.options.allowDropFileTypes &&\n          indexOf(cm.options.allowDropFileTypes, file.type) == -1)\n        { return }\n\n      var reader = new FileReader\n      reader.onload = operation(cm, function () {\n        var content = reader.result\n        if (/[\\x00-\\x08\\x0e-\\x1f]{2}/.test(content)) { content = "" }\n        text[i] = content\n        if (++read == n) {\n          pos = clipPos(cm.doc, pos)\n          var change = {from: pos, to: pos,\n                        text: cm.doc.splitLines(text.join(cm.doc.lineSeparator())),\n                        origin: "paste"}\n          makeChange(cm.doc, change)\n          setSelectionReplaceHistory(cm.doc, simpleSelection(pos, changeEnd(change)))\n        }\n      })\n      reader.readAsText(file)\n    }\n    for (var i = 0; i < n; ++i) { loadFile(files[i], i) }\n  } else { // Normal drop\n    // Don\'t do a replace if the drop happened inside of the selected text.\n    if (cm.state.draggingText && cm.doc.sel.contains(pos) > -1) {\n      cm.state.draggingText(e)\n      // Ensure the editor is re-focused\n      setTimeout(function () { return cm.display.input.focus(); }, 20)\n      return\n    }\n    try {\n      var text$1 = e.dataTransfer.getData("Text")\n      if (text$1) {\n        var selected\n        if (cm.state.draggingText && !cm.state.draggingText.copy)\n          { selected = cm.listSelections() }\n        setSelectionNoUndo(cm.doc, simpleSelection(pos, pos))\n        if (selected) { for (var i$1 = 0; i$1 < selected.length; ++i$1)\n          { replaceRange(cm.doc, "", selected[i$1].anchor, selected[i$1].head, "drag") } }\n        cm.replaceSelection(text$1, "around", "paste")\n        cm.display.input.focus()\n      }\n    }\n    catch(e){}\n  }\n}\n\nfunction onDragStart(cm, e) {\n  if (ie && (!cm.state.draggingText || +new Date - lastDrop < 100)) { e_stop(e); return }\n  if (signalDOMEvent(cm, e) || eventInWidget(cm.display, e)) { return }\n\n  e.dataTransfer.setData("Text", cm.getSelection())\n  e.dataTransfer.effectAllowed = "copyMove"\n\n  // Use dummy image instead of default browsers image.\n  // Recent Safari (~6.0.2) have a tendency to segfault when this happens, so we don\'t do it there.\n  if (e.dataTransfer.setDragImage && !safari) {\n    var img = elt("img", null, null, "position: fixed; left: 0; top: 0;")\n    img.src = "data:image/gif;base64,R0lGODlhAQABAAAAACH5BAEKAAEALAAAAAABAAEAAAICTAEAOw=="\n    if (presto) {\n      img.width = img.height = 1\n      cm.display.wrapper.appendChild(img)\n      // Force a relayout, or Opera won\'t use our image for some obscure reason\n      img._top = img.offsetTop\n    }\n    e.dataTransfer.setDragImage(img, 0, 0)\n    if (presto) { img.parentNode.removeChild(img) }\n  }\n}\n\nfunction onDragOver(cm, e) {\n  var pos = posFromMouse(cm, e)\n  if (!pos) { return }\n  var frag = document.createDocumentFragment()\n  drawSelectionCursor(cm, pos, frag)\n  if (!cm.display.dragCursor) {\n    cm.display.dragCursor = elt("div", null, "CodeMirror-cursors CodeMirror-dragcursors")\n    cm.display.lineSpace.insertBefore(cm.display.dragCursor, cm.display.cursorDiv)\n  }\n  removeChildrenAndAdd(cm.display.dragCursor, frag)\n}\n\nfunction clearDragCursor(cm) {\n  if (cm.display.dragCursor) {\n    cm.display.lineSpace.removeChild(cm.display.dragCursor)\n    cm.display.dragCursor = null\n  }\n}\n\n// These must be handled carefully, because naively registering a\n// handler for each editor will cause the editors to never be\n// garbage collected.\n\nfunction forEachCodeMirror(f) {\n  if (!document.body.getElementsByClassName) { return }\n  var byClass = document.body.getElementsByClassName("CodeMirror")\n  for (var i = 0; i < byClass.length; i++) {\n    var cm = byClass[i].CodeMirror\n    if (cm) { f(cm) }\n  }\n}\n\nvar globalsRegistered = false\nfunction ensureGlobalHandlers() {\n  if (globalsRegistered) { return }\n  registerGlobalHandlers()\n  globalsRegistered = true\n}\nfunction registerGlobalHandlers() {\n  // When the window resizes, we need to refresh active editors.\n  var resizeTimer\n  on(window, "resize", function () {\n    if (resizeTimer == null) { resizeTimer = setTimeout(function () {\n      resizeTimer = null\n      forEachCodeMirror(onResize)\n    }, 100) }\n  })\n  // When the window loses focus, we want to show the editor as blurred\n  on(window, "blur", function () { return forEachCodeMirror(onBlur); })\n}\n// Called when the window resizes\nfunction onResize(cm) {\n  var d = cm.display\n  if (d.lastWrapHeight == d.wrapper.clientHeight && d.lastWrapWidth == d.wrapper.clientWidth)\n    { return }\n  // Might be a text scaling operation, clear size caches.\n  d.cachedCharWidth = d.cachedTextHeight = d.cachedPaddingH = null\n  d.scrollbarsClipped = false\n  cm.setSize()\n}\n\nvar keyNames = {\n  3: "Enter", 8: "Backspace", 9: "Tab", 13: "Enter", 16: "Shift", 17: "Ctrl", 18: "Alt",\n  19: "Pause", 20: "CapsLock", 27: "Esc", 32: "Space", 33: "PageUp", 34: "PageDown", 35: "End",\n  36: "Home", 37: "Left", 38: "Up", 39: "Right", 40: "Down", 44: "PrintScrn", 45: "Insert",\n  46: "Delete", 59: ";", 61: "=", 91: "Mod", 92: "Mod", 93: "Mod",\n  106: "*", 107: "=", 109: "-", 110: ".", 111: "/", 127: "Delete",\n  173: "-", 186: ";", 187: "=", 188: ",", 189: "-", 190: ".", 191: "/", 192: "`", 219: "[", 220: "\\\\",\n  221: "]", 222: "\'", 63232: "Up", 63233: "Down", 63234: "Left", 63235: "Right", 63272: "Delete",\n  63273: "Home", 63275: "End", 63276: "PageUp", 63277: "PageDown", 63302: "Insert"\n}\n\n// Number keys\nfor (var i = 0; i < 10; i++) { keyNames[i + 48] = keyNames[i + 96] = String(i) }\n// Alphabetic keys\nfor (var i$1 = 65; i$1 <= 90; i$1++) { keyNames[i$1] = String.fromCharCode(i$1) }\n// Function keys\nfor (var i$2 = 1; i$2 <= 12; i$2++) { keyNames[i$2 + 111] = keyNames[i$2 + 63235] = "F" + i$2 }\n\nvar keyMap = {}\n\nkeyMap.basic = {\n  "Left": "goCharLeft", "Right": "goCharRight", "Up": "goLineUp", "Down": "goLineDown",\n  "End": "goLineEnd", "Home": "goLineStartSmart", "PageUp": "goPageUp", "PageDown": "goPageDown",\n  "Delete": "delCharAfter", "Backspace": "delCharBefore", "Shift-Backspace": "delCharBefore",\n  "Tab": "defaultTab", "Shift-Tab": "indentAuto",\n  "Enter": "newlineAndIndent", "Insert": "toggleOverwrite",\n  "Esc": "singleSelection"\n}\n// Note that the save and find-related commands aren\'t defined by\n// default. User code or addons can define them. Unknown commands\n// are simply ignored.\nkeyMap.pcDefault = {\n  "Ctrl-A": "selectAll", "Ctrl-D": "deleteLine", "Ctrl-Z": "undo", "Shift-Ctrl-Z": "redo", "Ctrl-Y": "redo",\n  "Ctrl-Home": "goDocStart", "Ctrl-End": "goDocEnd", "Ctrl-Up": "goLineUp", "Ctrl-Down": "goLineDown",\n  "Ctrl-Left": "goGroupLeft", "Ctrl-Right": "goGroupRight", "Alt-Left": "goLineStart", "Alt-Right": "goLineEnd",\n  "Ctrl-Backspace": "delGroupBefore", "Ctrl-Delete": "delGroupAfter", "Ctrl-S": "save", "Ctrl-F": "find",\n  "Ctrl-G": "findNext", "Shift-Ctrl-G": "findPrev", "Shift-Ctrl-F": "replace", "Shift-Ctrl-R": "replaceAll",\n  "Ctrl-[": "indentLess", "Ctrl-]": "indentMore",\n  "Ctrl-U": "undoSelection", "Shift-Ctrl-U": "redoSelection", "Alt-U": "redoSelection",\n  fallthrough: "basic"\n}\n// Very basic readline/emacs-style bindings, which are standard on Mac.\nkeyMap.emacsy = {\n  "Ctrl-F": "goCharRight", "Ctrl-B": "goCharLeft", "Ctrl-P": "goLineUp", "Ctrl-N": "goLineDown",\n  "Alt-F": "goWordRight", "Alt-B": "goWordLeft", "Ctrl-A": "goLineStart", "Ctrl-E": "goLineEnd",\n  "Ctrl-V": "goPageDown", "Shift-Ctrl-V": "goPageUp", "Ctrl-D": "delCharAfter", "Ctrl-H": "delCharBefore",\n  "Alt-D": "delWordAfter", "Alt-Backspace": "delWordBefore", "Ctrl-K": "killLine", "Ctrl-T": "transposeChars",\n  "Ctrl-O": "openLine"\n}\nkeyMap.macDefault = {\n  "Cmd-A": "selectAll", "Cmd-D": "deleteLine", "Cmd-Z": "undo", "Shift-Cmd-Z": "redo", "Cmd-Y": "redo",\n  "Cmd-Home": "goDocStart", "Cmd-Up": "goDocStart", "Cmd-End": "goDocEnd", "Cmd-Down": "goDocEnd", "Alt-Left": "goGroupLeft",\n  "Alt-Right": "goGroupRight", "Cmd-Left": "goLineLeft", "Cmd-Right": "goLineRight", "Alt-Backspace": "delGroupBefore",\n  "Ctrl-Alt-Backspace": "delGroupAfter", "Alt-Delete": "delGroupAfter", "Cmd-S": "save", "Cmd-F": "find",\n  "Cmd-G": "findNext", "Shift-Cmd-G": "findPrev", "Cmd-Alt-F": "replace", "Shift-Cmd-Alt-F": "replaceAll",\n  "Cmd-[": "indentLess", "Cmd-]": "indentMore", "Cmd-Backspace": "delWrappedLineLeft", "Cmd-Delete": "delWrappedLineRight",\n  "Cmd-U": "undoSelection", "Shift-Cmd-U": "redoSelection", "Ctrl-Up": "goDocStart", "Ctrl-Down": "goDocEnd",\n  fallthrough: ["basic", "emacsy"]\n}\nkeyMap["default"] = mac ? keyMap.macDefault : keyMap.pcDefault\n\n// KEYMAP DISPATCH\n\nfunction normalizeKeyName(name) {\n  var parts = name.split(/-(?!$)/)\n  name = parts[parts.length - 1]\n  var alt, ctrl, shift, cmd\n  for (var i = 0; i < parts.length - 1; i++) {\n    var mod = parts[i]\n    if (/^(cmd|meta|m)$/i.test(mod)) { cmd = true }\n    else if (/^a(lt)?$/i.test(mod)) { alt = true }\n    else if (/^(c|ctrl|control)$/i.test(mod)) { ctrl = true }\n    else if (/^s(hift)?$/i.test(mod)) { shift = true }\n    else { throw new Error("Unrecognized modifier name: " + mod) }\n  }\n  if (alt) { name = "Alt-" + name }\n  if (ctrl) { name = "Ctrl-" + name }\n  if (cmd) { name = "Cmd-" + name }\n  if (shift) { name = "Shift-" + name }\n  return name\n}\n\n// This is a kludge to keep keymaps mostly working as raw objects\n// (backwards compatibility) while at the same time support features\n// like normalization and multi-stroke key bindings. It compiles a\n// new normalized keymap, and then updates the old object to reflect\n// this.\nfunction normalizeKeyMap(keymap) {\n  var copy = {}\n  for (var keyname in keymap) { if (keymap.hasOwnProperty(keyname)) {\n    var value = keymap[keyname]\n    if (/^(name|fallthrough|(de|at)tach)$/.test(keyname)) { continue }\n    if (value == "...") { delete keymap[keyname]; continue }\n\n    var keys = map(keyname.split(" "), normalizeKeyName)\n    for (var i = 0; i < keys.length; i++) {\n      var val = (void 0), name = (void 0)\n      if (i == keys.length - 1) {\n        name = keys.join(" ")\n        val = value\n      } else {\n        name = keys.slice(0, i + 1).join(" ")\n        val = "..."\n      }\n      var prev = copy[name]\n      if (!prev) { copy[name] = val }\n      else if (prev != val) { throw new Error("Inconsistent bindings for " + name) }\n    }\n    delete keymap[keyname]\n  } }\n  for (var prop in copy) { keymap[prop] = copy[prop] }\n  return keymap\n}\n\nfunction lookupKey(key, map, handle, context) {\n  map = getKeyMap(map)\n  var found = map.call ? map.call(key, context) : map[key]\n  if (found === false) { return "nothing" }\n  if (found === "...") { return "multi" }\n  if (found != null && handle(found)) { return "handled" }\n\n  if (map.fallthrough) {\n    if (Object.prototype.toString.call(map.fallthrough) != "[object Array]")\n      { return lookupKey(key, map.fallthrough, handle, context) }\n    for (var i = 0; i < map.fallthrough.length; i++) {\n      var result = lookupKey(key, map.fallthrough[i], handle, context)\n      if (result) { return result }\n    }\n  }\n}\n\n// Modifier key presses don\'t count as \'real\' key presses for the\n// purpose of keymap fallthrough.\nfunction isModifierKey(value) {\n  var name = typeof value == "string" ? value : keyNames[value.keyCode]\n  return name == "Ctrl" || name == "Alt" || name == "Shift" || name == "Mod"\n}\n\n// Look up the name of a key as indicated by an event object.\nfunction keyName(event, noShift) {\n  if (presto && event.keyCode == 34 && event["char"]) { return false }\n  var base = keyNames[event.keyCode], name = base\n  if (name == null || event.altGraphKey) { return false }\n  if (event.altKey && base != "Alt") { name = "Alt-" + name }\n  if ((flipCtrlCmd ? event.metaKey : event.ctrlKey) && base != "Ctrl") { name = "Ctrl-" + name }\n  if ((flipCtrlCmd ? event.ctrlKey : event.metaKey) && base != "Cmd") { name = "Cmd-" + name }\n  if (!noShift && event.shiftKey && base != "Shift") { name = "Shift-" + name }\n  return name\n}\n\nfunction getKeyMap(val) {\n  return typeof val == "string" ? keyMap[val] : val\n}\n\n// Helper for deleting text near the selection(s), used to implement\n// backspace, delete, and similar functionality.\nfunction deleteNearSelection(cm, compute) {\n  var ranges = cm.doc.sel.ranges, kill = []\n  // Build up a set of ranges to kill first, merging overlapping\n  // ranges.\n  for (var i = 0; i < ranges.length; i++) {\n    var toKill = compute(ranges[i])\n    while (kill.length && cmp(toKill.from, lst(kill).to) <= 0) {\n      var replaced = kill.pop()\n      if (cmp(replaced.from, toKill.from) < 0) {\n        toKill.from = replaced.from\n        break\n      }\n    }\n    kill.push(toKill)\n  }\n  // Next, remove those actual ranges.\n  runInOp(cm, function () {\n    for (var i = kill.length - 1; i >= 0; i--)\n      { replaceRange(cm.doc, "", kill[i].from, kill[i].to, "+delete") }\n    ensureCursorVisible(cm)\n  })\n}\n\n// Commands are parameter-less actions that can be performed on an\n// editor, mostly used for keybindings.\nvar commands = {\n  selectAll: selectAll,\n  singleSelection: function (cm) { return cm.setSelection(cm.getCursor("anchor"), cm.getCursor("head"), sel_dontScroll); },\n  killLine: function (cm) { return deleteNearSelection(cm, function (range) {\n    if (range.empty()) {\n      var len = getLine(cm.doc, range.head.line).text.length\n      if (range.head.ch == len && range.head.line < cm.lastLine())\n        { return {from: range.head, to: Pos(range.head.line + 1, 0)} }\n      else\n        { return {from: range.head, to: Pos(range.head.line, len)} }\n    } else {\n      return {from: range.from(), to: range.to()}\n    }\n  }); },\n  deleteLine: function (cm) { return deleteNearSelection(cm, function (range) { return ({\n    from: Pos(range.from().line, 0),\n    to: clipPos(cm.doc, Pos(range.to().line + 1, 0))\n  }); }); },\n  delLineLeft: function (cm) { return deleteNearSelection(cm, function (range) { return ({\n    from: Pos(range.from().line, 0), to: range.from()\n  }); }); },\n  delWrappedLineLeft: function (cm) { return deleteNearSelection(cm, function (range) {\n    var top = cm.charCoords(range.head, "div").top + 5\n    var leftPos = cm.coordsChar({left: 0, top: top}, "div")\n    return {from: leftPos, to: range.from()}\n  }); },\n  delWrappedLineRight: function (cm) { return deleteNearSelection(cm, function (range) {\n    var top = cm.charCoords(range.head, "div").top + 5\n    var rightPos = cm.coordsChar({left: cm.display.lineDiv.offsetWidth + 100, top: top}, "div")\n    return {from: range.from(), to: rightPos }\n  }); },\n  undo: function (cm) { return cm.undo(); },\n  redo: function (cm) { return cm.redo(); },\n  undoSelection: function (cm) { return cm.undoSelection(); },\n  redoSelection: function (cm) { return cm.redoSelection(); },\n  goDocStart: function (cm) { return cm.extendSelection(Pos(cm.firstLine(), 0)); },\n  goDocEnd: function (cm) { return cm.extendSelection(Pos(cm.lastLine())); },\n  goLineStart: function (cm) { return cm.extendSelectionsBy(function (range) { return lineStart(cm, range.head.line); },\n    {origin: "+move", bias: 1}\n  ); },\n  goLineStartSmart: function (cm) { return cm.extendSelectionsBy(function (range) { return lineStartSmart(cm, range.head); },\n    {origin: "+move", bias: 1}\n  ); },\n  goLineEnd: function (cm) { return cm.extendSelectionsBy(function (range) { return lineEnd(cm, range.head.line); },\n    {origin: "+move", bias: -1}\n  ); },\n  goLineRight: function (cm) { return cm.extendSelectionsBy(function (range) {\n    var top = cm.charCoords(range.head, "div").top + 5\n    return cm.coordsChar({left: cm.display.lineDiv.offsetWidth + 100, top: top}, "div")\n  }, sel_move); },\n  goLineLeft: function (cm) { return cm.extendSelectionsBy(function (range) {\n    var top = cm.charCoords(range.head, "div").top + 5\n    return cm.coordsChar({left: 0, top: top}, "div")\n  }, sel_move); },\n  goLineLeftSmart: function (cm) { return cm.extendSelectionsBy(function (range) {\n    var top = cm.charCoords(range.head, "div").top + 5\n    var pos = cm.coordsChar({left: 0, top: top}, "div")\n    if (pos.ch < cm.getLine(pos.line).search(/\\S/)) { return lineStartSmart(cm, range.head) }\n    return pos\n  }, sel_move); },\n  goLineUp: function (cm) { return cm.moveV(-1, "line"); },\n  goLineDown: function (cm) { return cm.moveV(1, "line"); },\n  goPageUp: function (cm) { return cm.moveV(-1, "page"); },\n  goPageDown: function (cm) { return cm.moveV(1, "page"); },\n  goCharLeft: function (cm) { return cm.moveH(-1, "char"); },\n  goCharRight: function (cm) { return cm.moveH(1, "char"); },\n  goColumnLeft: function (cm) { return cm.moveH(-1, "column"); },\n  goColumnRight: function (cm) { return cm.moveH(1, "column"); },\n  goWordLeft: function (cm) { return cm.moveH(-1, "word"); },\n  goGroupRight: function (cm) { return cm.moveH(1, "group"); },\n  goGroupLeft: function (cm) { return cm.moveH(-1, "group"); },\n  goWordRight: function (cm) { return cm.moveH(1, "word"); },\n  delCharBefore: function (cm) { return cm.deleteH(-1, "char"); },\n  delCharAfter: function (cm) { return cm.deleteH(1, "char"); },\n  delWordBefore: function (cm) { return cm.deleteH(-1, "word"); },\n  delWordAfter: function (cm) { return cm.deleteH(1, "word"); },\n  delGroupBefore: function (cm) { return cm.deleteH(-1, "group"); },\n  delGroupAfter: function (cm) { return cm.deleteH(1, "group"); },\n  indentAuto: function (cm) { return cm.indentSelection("smart"); },\n  indentMore: function (cm) { return cm.indentSelection("add"); },\n  indentLess: function (cm) { return cm.indentSelection("subtract"); },\n  insertTab: function (cm) { return cm.replaceSelection("\\t"); },\n  insertSoftTab: function (cm) {\n    var spaces = [], ranges = cm.listSelections(), tabSize = cm.options.tabSize\n    for (var i = 0; i < ranges.length; i++) {\n      var pos = ranges[i].from()\n      var col = countColumn(cm.getLine(pos.line), pos.ch, tabSize)\n      spaces.push(spaceStr(tabSize - col % tabSize))\n    }\n    cm.replaceSelections(spaces)\n  },\n  defaultTab: function (cm) {\n    if (cm.somethingSelected()) { cm.indentSelection("add") }\n    else { cm.execCommand("insertTab") }\n  },\n  // Swap the two chars left and right of each selection\'s head.\n  // Move cursor behind the two swapped characters afterwards.\n  //\n  // Doesn\'t consider line feeds a character.\n  // Doesn\'t scan more than one line above to find a character.\n  // Doesn\'t do anything on an empty line.\n  // Doesn\'t do anything with non-empty selections.\n  transposeChars: function (cm) { return runInOp(cm, function () {\n    var ranges = cm.listSelections(), newSel = []\n    for (var i = 0; i < ranges.length; i++) {\n      if (!ranges[i].empty()) { continue }\n      var cur = ranges[i].head, line = getLine(cm.doc, cur.line).text\n      if (line) {\n        if (cur.ch == line.length) { cur = new Pos(cur.line, cur.ch - 1) }\n        if (cur.ch > 0) {\n          cur = new Pos(cur.line, cur.ch + 1)\n          cm.replaceRange(line.charAt(cur.ch - 1) + line.charAt(cur.ch - 2),\n                          Pos(cur.line, cur.ch - 2), cur, "+transpose")\n        } else if (cur.line > cm.doc.first) {\n          var prev = getLine(cm.doc, cur.line - 1).text\n          if (prev) {\n            cur = new Pos(cur.line, 1)\n            cm.replaceRange(line.charAt(0) + cm.doc.lineSeparator() +\n                            prev.charAt(prev.length - 1),\n                            Pos(cur.line - 1, prev.length - 1), cur, "+transpose")\n          }\n        }\n      }\n      newSel.push(new Range(cur, cur))\n    }\n    cm.setSelections(newSel)\n  }); },\n  newlineAndIndent: function (cm) { return runInOp(cm, function () {\n    var sels = cm.listSelections()\n    for (var i = sels.length - 1; i >= 0; i--)\n      { cm.replaceRange(cm.doc.lineSeparator(), sels[i].anchor, sels[i].head, "+input") }\n    sels = cm.listSelections()\n    for (var i$1 = 0; i$1 < sels.length; i$1++)\n      { cm.indentLine(sels[i$1].from().line, null, true) }\n    ensureCursorVisible(cm)\n  }); },\n  openLine: function (cm) { return cm.replaceSelection("\\n", "start"); },\n  toggleOverwrite: function (cm) { return cm.toggleOverwrite(); }\n}\n\n\nfunction lineStart(cm, lineN) {\n  var line = getLine(cm.doc, lineN)\n  var visual = visualLine(line)\n  if (visual != line) { lineN = lineNo(visual) }\n  return endOfLine(true, cm, visual, lineN, 1)\n}\nfunction lineEnd(cm, lineN) {\n  var line = getLine(cm.doc, lineN)\n  var visual = visualLineEnd(line)\n  if (visual != line) { lineN = lineNo(visual) }\n  return endOfLine(true, cm, line, lineN, -1)\n}\nfunction lineStartSmart(cm, pos) {\n  var start = lineStart(cm, pos.line)\n  var line = getLine(cm.doc, start.line)\n  var order = getOrder(line)\n  if (!order || order[0].level == 0) {\n    var firstNonWS = Math.max(0, line.text.search(/\\S/))\n    var inWS = pos.line == start.line && pos.ch <= firstNonWS && pos.ch\n    return Pos(start.line, inWS ? 0 : firstNonWS, start.sticky)\n  }\n  return start\n}\n\n// Run a handler that was bound to a key.\nfunction doHandleBinding(cm, bound, dropShift) {\n  if (typeof bound == "string") {\n    bound = commands[bound]\n    if (!bound) { return false }\n  }\n  // Ensure previous input has been read, so that the handler sees a\n  // consistent view of the document\n  cm.display.input.ensurePolled()\n  var prevShift = cm.display.shift, done = false\n  try {\n    if (cm.isReadOnly()) { cm.state.suppressEdits = true }\n    if (dropShift) { cm.display.shift = false }\n    done = bound(cm) != Pass\n  } finally {\n    cm.display.shift = prevShift\n    cm.state.suppressEdits = false\n  }\n  return done\n}\n\nfunction lookupKeyForEditor(cm, name, handle) {\n  for (var i = 0; i < cm.state.keyMaps.length; i++) {\n    var result = lookupKey(name, cm.state.keyMaps[i], handle, cm)\n    if (result) { return result }\n  }\n  return (cm.options.extraKeys && lookupKey(name, cm.options.extraKeys, handle, cm))\n    || lookupKey(name, cm.options.keyMap, handle, cm)\n}\n\nvar stopSeq = new Delayed\nfunction dispatchKey(cm, name, e, handle) {\n  var seq = cm.state.keySeq\n  if (seq) {\n    if (isModifierKey(name)) { return "handled" }\n    stopSeq.set(50, function () {\n      if (cm.state.keySeq == seq) {\n        cm.state.keySeq = null\n        cm.display.input.reset()\n      }\n    })\n    name = seq + " " + name\n  }\n  var result = lookupKeyForEditor(cm, name, handle)\n\n  if (result == "multi")\n    { cm.state.keySeq = name }\n  if (result == "handled")\n    { signalLater(cm, "keyHandled", cm, name, e) }\n\n  if (result == "handled" || result == "multi") {\n    e_preventDefault(e)\n    restartBlink(cm)\n  }\n\n  if (seq && !result && /\\\'$/.test(name)) {\n    e_preventDefault(e)\n    return true\n  }\n  return !!result\n}\n\n// Handle a key from the keydown event.\nfunction handleKeyBinding(cm, e) {\n  var name = keyName(e, true)\n  if (!name) { return false }\n\n  if (e.shiftKey && !cm.state.keySeq) {\n    // First try to resolve full name (including \'Shift-\'). Failing\n    // that, see if there is a cursor-motion command (starting with\n    // \'go\') bound to the keyname without \'Shift-\'.\n    return dispatchKey(cm, "Shift-" + name, e, function (b) { return doHandleBinding(cm, b, true); })\n        || dispatchKey(cm, name, e, function (b) {\n             if (typeof b == "string" ? /^go[A-Z]/.test(b) : b.motion)\n               { return doHandleBinding(cm, b) }\n           })\n  } else {\n    return dispatchKey(cm, name, e, function (b) { return doHandleBinding(cm, b); })\n  }\n}\n\n// Handle a key from the keypress event\nfunction handleCharBinding(cm, e, ch) {\n  return dispatchKey(cm, "\'" + ch + "\'", e, function (b) { return doHandleBinding(cm, b, true); })\n}\n\nvar lastStoppedKey = null\nfunction onKeyDown(e) {\n  var cm = this\n  cm.curOp.focus = activeElt()\n  if (signalDOMEvent(cm, e)) { return }\n  // IE does strange things with escape.\n  if (ie && ie_version < 11 && e.keyCode == 27) { e.returnValue = false }\n  var code = e.keyCode\n  cm.display.shift = code == 16 || e.shiftKey\n  var handled = handleKeyBinding(cm, e)\n  if (presto) {\n    lastStoppedKey = handled ? code : null\n    // Opera has no cut event... we try to at least catch the key combo\n    if (!handled && code == 88 && !hasCopyEvent && (mac ? e.metaKey : e.ctrlKey))\n      { cm.replaceSelection("", null, "cut") }\n  }\n\n  // Turn mouse into crosshair when Alt is held on Mac.\n  if (code == 18 && !/\\bCodeMirror-crosshair\\b/.test(cm.display.lineDiv.className))\n    { showCrossHair(cm) }\n}\n\nfunction showCrossHair(cm) {\n  var lineDiv = cm.display.lineDiv\n  addClass(lineDiv, "CodeMirror-crosshair")\n\n  function up(e) {\n    if (e.keyCode == 18 || !e.altKey) {\n      rmClass(lineDiv, "CodeMirror-crosshair")\n      off(document, "keyup", up)\n      off(document, "mouseover", up)\n    }\n  }\n  on(document, "keyup", up)\n  on(document, "mouseover", up)\n}\n\nfunction onKeyUp(e) {\n  if (e.keyCode == 16) { this.doc.sel.shift = false }\n  signalDOMEvent(this, e)\n}\n\nfunction onKeyPress(e) {\n  var cm = this\n  if (eventInWidget(cm.display, e) || signalDOMEvent(cm, e) || e.ctrlKey && !e.altKey || mac && e.metaKey) { return }\n  var keyCode = e.keyCode, charCode = e.charCode\n  if (presto && keyCode == lastStoppedKey) {lastStoppedKey = null; e_preventDefault(e); return}\n  if ((presto && (!e.which || e.which < 10)) && handleKeyBinding(cm, e)) { return }\n  var ch = String.fromCharCode(charCode == null ? keyCode : charCode)\n  // Some browsers fire keypress events for backspace\n  if (ch == "\\x08") { return }\n  if (handleCharBinding(cm, e, ch)) { return }\n  cm.display.input.onKeyPress(e)\n}\n\n// A mouse down can be a single click, double click, triple click,\n// start of selection drag, start of text drag, new cursor\n// (ctrl-click), rectangle drag (alt-drag), or xwin\n// middle-click-paste. Or it might be a click on something we should\n// not interfere with, such as a scrollbar or widget.\nfunction onMouseDown(e) {\n  var cm = this, display = cm.display\n  if (signalDOMEvent(cm, e) || display.activeTouch && display.input.supportsTouch()) { return }\n  display.input.ensurePolled()\n  display.shift = e.shiftKey\n\n  if (eventInWidget(display, e)) {\n    if (!webkit) {\n      // Briefly turn off draggability, to allow widgets to do\n      // normal dragging things.\n      display.scroller.draggable = false\n      setTimeout(function () { return display.scroller.draggable = true; }, 100)\n    }\n    return\n  }\n  if (clickInGutter(cm, e)) { return }\n  var start = posFromMouse(cm, e)\n  window.focus()\n\n  switch (e_button(e)) {\n  case 1:\n    // #3261: make sure, that we\'re not starting a second selection\n    if (cm.state.selectingText)\n      { cm.state.selectingText(e) }\n    else if (start)\n      { leftButtonDown(cm, e, start) }\n    else if (e_target(e) == display.scroller)\n      { e_preventDefault(e) }\n    break\n  case 2:\n    if (webkit) { cm.state.lastMiddleDown = +new Date }\n    if (start) { extendSelection(cm.doc, start) }\n    setTimeout(function () { return display.input.focus(); }, 20)\n    e_preventDefault(e)\n    break\n  case 3:\n    if (captureRightClick) { onContextMenu(cm, e) }\n    else { delayBlurEvent(cm) }\n    break\n  }\n}\n\nvar lastClick;\nvar lastDoubleClick;\nfunction leftButtonDown(cm, e, start) {\n  if (ie) { setTimeout(bind(ensureFocus, cm), 0) }\n  else { cm.curOp.focus = activeElt() }\n\n  var now = +new Date, type\n  if (lastDoubleClick && lastDoubleClick.time > now - 400 && cmp(lastDoubleClick.pos, start) == 0) {\n    type = "triple"\n  } else if (lastClick && lastClick.time > now - 400 && cmp(lastClick.pos, start) == 0) {\n    type = "double"\n    lastDoubleClick = {time: now, pos: start}\n  } else {\n    type = "single"\n    lastClick = {time: now, pos: start}\n  }\n\n  var sel = cm.doc.sel, modifier = mac ? e.metaKey : e.ctrlKey, contained\n  if (cm.options.dragDrop && dragAndDrop && !cm.isReadOnly() &&\n      type == "single" && (contained = sel.contains(start)) > -1 &&\n      (cmp((contained = sel.ranges[contained]).from(), start) < 0 || start.xRel > 0) &&\n      (cmp(contained.to(), start) > 0 || start.xRel < 0))\n    { leftButtonStartDrag(cm, e, start, modifier) }\n  else\n    { leftButtonSelect(cm, e, start, type, modifier) }\n}\n\n// Start a text drag. When it ends, see if any dragging actually\n// happen, and treat as a click if it didn\'t.\nfunction leftButtonStartDrag(cm, e, start, modifier) {\n  var display = cm.display, startTime = +new Date\n  var dragEnd = operation(cm, function (e2) {\n    if (webkit) { display.scroller.draggable = false }\n    cm.state.draggingText = false\n    off(document, "mouseup", dragEnd)\n    off(display.scroller, "drop", dragEnd)\n    if (Math.abs(e.clientX - e2.clientX) + Math.abs(e.clientY - e2.clientY) < 10) {\n      e_preventDefault(e2)\n      if (!modifier && +new Date - 200 < startTime)\n        { extendSelection(cm.doc, start) }\n      // Work around unexplainable focus problem in IE9 (#2127) and Chrome (#3081)\n      if (webkit || ie && ie_version == 9)\n        { setTimeout(function () {document.body.focus(); display.input.focus()}, 20) }\n      else\n        { display.input.focus() }\n    }\n  })\n  // Let the drag handler handle this.\n  if (webkit) { display.scroller.draggable = true }\n  cm.state.draggingText = dragEnd\n  dragEnd.copy = mac ? e.altKey : e.ctrlKey\n  // IE\'s approach to draggable\n  if (display.scroller.dragDrop) { display.scroller.dragDrop() }\n  on(document, "mouseup", dragEnd)\n  on(display.scroller, "drop", dragEnd)\n}\n\n// Normal selection, as opposed to text dragging.\nfunction leftButtonSelect(cm, e, start, type, addNew) {\n  var display = cm.display, doc = cm.doc\n  e_preventDefault(e)\n\n  var ourRange, ourIndex, startSel = doc.sel, ranges = startSel.ranges\n  if (addNew && !e.shiftKey) {\n    ourIndex = doc.sel.contains(start)\n    if (ourIndex > -1)\n      { ourRange = ranges[ourIndex] }\n    else\n      { ourRange = new Range(start, start) }\n  } else {\n    ourRange = doc.sel.primary()\n    ourIndex = doc.sel.primIndex\n  }\n\n  if (chromeOS ? e.shiftKey && e.metaKey : e.altKey) {\n    type = "rect"\n    if (!addNew) { ourRange = new Range(start, start) }\n    start = posFromMouse(cm, e, true, true)\n    ourIndex = -1\n  } else if (type == "double") {\n    var word = cm.findWordAt(start)\n    if (cm.display.shift || doc.extend)\n      { ourRange = extendRange(doc, ourRange, word.anchor, word.head) }\n    else\n      { ourRange = word }\n  } else if (type == "triple") {\n    var line = new Range(Pos(start.line, 0), clipPos(doc, Pos(start.line + 1, 0)))\n    if (cm.display.shift || doc.extend)\n      { ourRange = extendRange(doc, ourRange, line.anchor, line.head) }\n    else\n      { ourRange = line }\n  } else {\n    ourRange = extendRange(doc, ourRange, start)\n  }\n\n  if (!addNew) {\n    ourIndex = 0\n    setSelection(doc, new Selection([ourRange], 0), sel_mouse)\n    startSel = doc.sel\n  } else if (ourIndex == -1) {\n    ourIndex = ranges.length\n    setSelection(doc, normalizeSelection(ranges.concat([ourRange]), ourIndex),\n                 {scroll: false, origin: "*mouse"})\n  } else if (ranges.length > 1 && ranges[ourIndex].empty() && type == "single" && !e.shiftKey) {\n    setSelection(doc, normalizeSelection(ranges.slice(0, ourIndex).concat(ranges.slice(ourIndex + 1)), 0),\n                 {scroll: false, origin: "*mouse"})\n    startSel = doc.sel\n  } else {\n    replaceOneSelection(doc, ourIndex, ourRange, sel_mouse)\n  }\n\n  var lastPos = start\n  function extendTo(pos) {\n    if (cmp(lastPos, pos) == 0) { return }\n    lastPos = pos\n\n    if (type == "rect") {\n      var ranges = [], tabSize = cm.options.tabSize\n      var startCol = countColumn(getLine(doc, start.line).text, start.ch, tabSize)\n      var posCol = countColumn(getLine(doc, pos.line).text, pos.ch, tabSize)\n      var left = Math.min(startCol, posCol), right = Math.max(startCol, posCol)\n      for (var line = Math.min(start.line, pos.line), end = Math.min(cm.lastLine(), Math.max(start.line, pos.line));\n           line <= end; line++) {\n        var text = getLine(doc, line).text, leftPos = findColumn(text, left, tabSize)\n        if (left == right)\n          { ranges.push(new Range(Pos(line, leftPos), Pos(line, leftPos))) }\n        else if (text.length > leftPos)\n          { ranges.push(new Range(Pos(line, leftPos), Pos(line, findColumn(text, right, tabSize)))) }\n      }\n      if (!ranges.length) { ranges.push(new Range(start, start)) }\n      setSelection(doc, normalizeSelection(startSel.ranges.slice(0, ourIndex).concat(ranges), ourIndex),\n                   {origin: "*mouse", scroll: false})\n      cm.scrollIntoView(pos)\n    } else {\n      var oldRange = ourRange\n      var anchor = oldRange.anchor, head = pos\n      if (type != "single") {\n        var range\n        if (type == "double")\n          { range = cm.findWordAt(pos) }\n        else\n          { range = new Range(Pos(pos.line, 0), clipPos(doc, Pos(pos.line + 1, 0))) }\n        if (cmp(range.anchor, anchor) > 0) {\n          head = range.head\n          anchor = minPos(oldRange.from(), range.anchor)\n        } else {\n          head = range.anchor\n          anchor = maxPos(oldRange.to(), range.head)\n        }\n      }\n      var ranges$1 = startSel.ranges.slice(0)\n      ranges$1[ourIndex] = new Range(clipPos(doc, anchor), head)\n      setSelection(doc, normalizeSelection(ranges$1, ourIndex), sel_mouse)\n    }\n  }\n\n  var editorSize = display.wrapper.getBoundingClientRect()\n  // Used to ensure timeout re-tries don\'t fire when another extend\n  // happened in the meantime (clearTimeout isn\'t reliable -- at\n  // least on Chrome, the timeouts still happen even when cleared,\n  // if the clear happens after their scheduled firing time).\n  var counter = 0\n\n  function extend(e) {\n    var curCount = ++counter\n    var cur = posFromMouse(cm, e, true, type == "rect")\n    if (!cur) { return }\n    if (cmp(cur, lastPos) != 0) {\n      cm.curOp.focus = activeElt()\n      extendTo(cur)\n      var visible = visibleLines(display, doc)\n      if (cur.line >= visible.to || cur.line < visible.from)\n        { setTimeout(operation(cm, function () {if (counter == curCount) { extend(e) }}), 150) }\n    } else {\n      var outside = e.clientY < editorSize.top ? -20 : e.clientY > editorSize.bottom ? 20 : 0\n      if (outside) { setTimeout(operation(cm, function () {\n        if (counter != curCount) { return }\n        display.scroller.scrollTop += outside\n        extend(e)\n      }), 50) }\n    }\n  }\n\n  function done(e) {\n    cm.state.selectingText = false\n    counter = Infinity\n    e_preventDefault(e)\n    display.input.focus()\n    off(document, "mousemove", move)\n    off(document, "mouseup", up)\n    doc.history.lastSelOrigin = null\n  }\n\n  var move = operation(cm, function (e) {\n    if (!e_button(e)) { done(e) }\n    else { extend(e) }\n  })\n  var up = operation(cm, done)\n  cm.state.selectingText = up\n  on(document, "mousemove", move)\n  on(document, "mouseup", up)\n}\n\n\n// Determines whether an event happened in the gutter, and fires the\n// handlers for the corresponding event.\nfunction gutterEvent(cm, e, type, prevent) {\n  var mX, mY\n  try { mX = e.clientX; mY = e.clientY }\n  catch(e) { return false }\n  if (mX >= Math.floor(cm.display.gutters.getBoundingClientRect().right)) { return false }\n  if (prevent) { e_preventDefault(e) }\n\n  var display = cm.display\n  var lineBox = display.lineDiv.getBoundingClientRect()\n\n  if (mY > lineBox.bottom || !hasHandler(cm, type)) { return e_defaultPrevented(e) }\n  mY -= lineBox.top - display.viewOffset\n\n  for (var i = 0; i < cm.options.gutters.length; ++i) {\n    var g = display.gutters.childNodes[i]\n    if (g && g.getBoundingClientRect().right >= mX) {\n      var line = lineAtHeight(cm.doc, mY)\n      var gutter = cm.options.gutters[i]\n      signal(cm, type, cm, line, gutter, e)\n      return e_defaultPrevented(e)\n    }\n  }\n}\n\nfunction clickInGutter(cm, e) {\n  return gutterEvent(cm, e, "gutterClick", true)\n}\n\n// CONTEXT MENU HANDLING\n\n// To make the context menu work, we need to briefly unhide the\n// textarea (making it as unobtrusive as possible) to let the\n// right-click take effect on it.\nfunction onContextMenu(cm, e) {\n  if (eventInWidget(cm.display, e) || contextMenuInGutter(cm, e)) { return }\n  if (signalDOMEvent(cm, e, "contextmenu")) { return }\n  cm.display.input.onContextMenu(e)\n}\n\nfunction contextMenuInGutter(cm, e) {\n  if (!hasHandler(cm, "gutterContextMenu")) { return false }\n  return gutterEvent(cm, e, "gutterContextMenu", false)\n}\n\nfunction themeChanged(cm) {\n  cm.display.wrapper.className = cm.display.wrapper.className.replace(/\\s*cm-s-\\S+/g, "") +\n    cm.options.theme.replace(/(^|\\s)\\s*/g, " cm-s-")\n  clearCaches(cm)\n}\n\nvar Init = {toString: function(){return "CodeMirror.Init"}}\n\nvar defaults = {}\nvar optionHandlers = {}\n\nfunction defineOptions(CodeMirror) {\n  var optionHandlers = CodeMirror.optionHandlers\n\n  function option(name, deflt, handle, notOnInit) {\n    CodeMirror.defaults[name] = deflt\n    if (handle) { optionHandlers[name] =\n      notOnInit ? function (cm, val, old) {if (old != Init) { handle(cm, val, old) }} : handle }\n  }\n\n  CodeMirror.defineOption = option\n\n  // Passed to option handlers when there is no old value.\n  CodeMirror.Init = Init\n\n  // These two are, on init, called from the constructor because they\n  // have to be initialized before the editor can start at all.\n  option("value", "", function (cm, val) { return cm.setValue(val); }, true)\n  option("mode", null, function (cm, val) {\n    cm.doc.modeOption = val\n    loadMode(cm)\n  }, true)\n\n  option("indentUnit", 2, loadMode, true)\n  option("indentWithTabs", false)\n  option("smartIndent", true)\n  option("tabSize", 4, function (cm) {\n    resetModeState(cm)\n    clearCaches(cm)\n    regChange(cm)\n  }, true)\n  option("lineSeparator", null, function (cm, val) {\n    cm.doc.lineSep = val\n    if (!val) { return }\n    var newBreaks = [], lineNo = cm.doc.first\n    cm.doc.iter(function (line) {\n      for (var pos = 0;;) {\n        var found = line.text.indexOf(val, pos)\n        if (found == -1) { break }\n        pos = found + val.length\n        newBreaks.push(Pos(lineNo, found))\n      }\n      lineNo++\n    })\n    for (var i = newBreaks.length - 1; i >= 0; i--)\n      { replaceRange(cm.doc, val, newBreaks[i], Pos(newBreaks[i].line, newBreaks[i].ch + val.length)) }\n  })\n  option("specialChars", /[\\u0000-\\u001f\\u007f\\u00ad\\u061c\\u200b-\\u200f\\u2028\\u2029\\ufeff]/g, function (cm, val, old) {\n    cm.state.specialChars = new RegExp(val.source + (val.test("\\t") ? "" : "|\\t"), "g")\n    if (old != Init) { cm.refresh() }\n  })\n  option("specialCharPlaceholder", defaultSpecialCharPlaceholder, function (cm) { return cm.refresh(); }, true)\n  option("electricChars", true)\n  option("inputStyle", mobile ? "contenteditable" : "textarea", function () {\n    throw new Error("inputStyle can not (yet) be changed in a running editor") // FIXME\n  }, true)\n  option("spellcheck", false, function (cm, val) { return cm.getInputField().spellcheck = val; }, true)\n  option("rtlMoveVisually", !windows)\n  option("wholeLineUpdateBefore", true)\n\n  option("theme", "default", function (cm) {\n    themeChanged(cm)\n    guttersChanged(cm)\n  }, true)\n  option("keyMap", "default", function (cm, val, old) {\n    var next = getKeyMap(val)\n    var prev = old != Init && getKeyMap(old)\n    if (prev && prev.detach) { prev.detach(cm, next) }\n    if (next.attach) { next.attach(cm, prev || null) }\n  })\n  option("extraKeys", null)\n\n  option("lineWrapping", false, wrappingChanged, true)\n  option("gutters", [], function (cm) {\n    setGuttersForLineNumbers(cm.options)\n    guttersChanged(cm)\n  }, true)\n  option("fixedGutter", true, function (cm, val) {\n    cm.display.gutters.style.left = val ? compensateForHScroll(cm.display) + "px" : "0"\n    cm.refresh()\n  }, true)\n  option("coverGutterNextToScrollbar", false, function (cm) { return updateScrollbars(cm); }, true)\n  option("scrollbarStyle", "native", function (cm) {\n    initScrollbars(cm)\n    updateScrollbars(cm)\n    cm.display.scrollbars.setScrollTop(cm.doc.scrollTop)\n    cm.display.scrollbars.setScrollLeft(cm.doc.scrollLeft)\n  }, true)\n  option("lineNumbers", false, function (cm) {\n    setGuttersForLineNumbers(cm.options)\n    guttersChanged(cm)\n  }, true)\n  option("firstLineNumber", 1, guttersChanged, true)\n  option("lineNumberFormatter", function (integer) { return integer; }, guttersChanged, true)\n  option("showCursorWhenSelecting", false, updateSelection, true)\n\n  option("resetSelectionOnContextMenu", true)\n  option("lineWiseCopyCut", true)\n\n  option("readOnly", false, function (cm, val) {\n    if (val == "nocursor") {\n      onBlur(cm)\n      cm.display.input.blur()\n      cm.display.disabled = true\n    } else {\n      cm.display.disabled = false\n    }\n    cm.display.input.readOnlyChanged(val)\n  })\n  option("disableInput", false, function (cm, val) {if (!val) { cm.display.input.reset() }}, true)\n  option("dragDrop", true, dragDropChanged)\n  option("allowDropFileTypes", null)\n\n  option("cursorBlinkRate", 530)\n  option("cursorScrollMargin", 0)\n  option("cursorHeight", 1, updateSelection, true)\n  option("singleCursorHeightPerLine", true, updateSelection, true)\n  option("workTime", 100)\n  option("workDelay", 100)\n  option("flattenSpans", true, resetModeState, true)\n  option("addModeClass", false, resetModeState, true)\n  option("pollInterval", 100)\n  option("undoDepth", 200, function (cm, val) { return cm.doc.history.undoDepth = val; })\n  option("historyEventDelay", 1250)\n  option("viewportMargin", 10, function (cm) { return cm.refresh(); }, true)\n  option("maxHighlightLength", 10000, resetModeState, true)\n  option("moveInputWithCursor", true, function (cm, val) {\n    if (!val) { cm.display.input.resetPosition() }\n  })\n\n  option("tabindex", null, function (cm, val) { return cm.display.input.getField().tabIndex = val || ""; })\n  option("autofocus", null)\n}\n\nfunction guttersChanged(cm) {\n  updateGutters(cm)\n  regChange(cm)\n  alignHorizontally(cm)\n}\n\nfunction dragDropChanged(cm, value, old) {\n  var wasOn = old && old != Init\n  if (!value != !wasOn) {\n    var funcs = cm.display.dragFunctions\n    var toggle = value ? on : off\n    toggle(cm.display.scroller, "dragstart", funcs.start)\n    toggle(cm.display.scroller, "dragenter", funcs.enter)\n    toggle(cm.display.scroller, "dragover", funcs.over)\n    toggle(cm.display.scroller, "dragleave", funcs.leave)\n    toggle(cm.display.scroller, "drop", funcs.drop)\n  }\n}\n\nfunction wrappingChanged(cm) {\n  if (cm.options.lineWrapping) {\n    addClass(cm.display.wrapper, "CodeMirror-wrap")\n    cm.display.sizer.style.minWidth = ""\n    cm.display.sizerWidth = null\n  } else {\n    rmClass(cm.display.wrapper, "CodeMirror-wrap")\n    findMaxLine(cm)\n  }\n  estimateLineHeights(cm)\n  regChange(cm)\n  clearCaches(cm)\n  setTimeout(function () { return updateScrollbars(cm); }, 100)\n}\n\n// A CodeMirror instance represents an editor. This is the object\n// that user code is usually dealing with.\n\nfunction CodeMirror(place, options) {\n  var this$1 = this;\n\n  if (!(this instanceof CodeMirror)) { return new CodeMirror(place, options) }\n\n  this.options = options = options ? copyObj(options) : {}\n  // Determine effective options based on given values and defaults.\n  copyObj(defaults, options, false)\n  setGuttersForLineNumbers(options)\n\n  var doc = options.value\n  if (typeof doc == "string") { doc = new Doc(doc, options.mode, null, options.lineSeparator) }\n  this.doc = doc\n\n  var input = new CodeMirror.inputStyles[options.inputStyle](this)\n  var display = this.display = new Display(place, doc, input)\n  display.wrapper.CodeMirror = this\n  updateGutters(this)\n  themeChanged(this)\n  if (options.lineWrapping)\n    { this.display.wrapper.className += " CodeMirror-wrap" }\n  initScrollbars(this)\n\n  this.state = {\n    keyMaps: [],  // stores maps added by addKeyMap\n    overlays: [], // highlighting overlays, as added by addOverlay\n    modeGen: 0,   // bumped when mode/overlay changes, used to invalidate highlighting info\n    overwrite: false,\n    delayingBlurEvent: false,\n    focused: false,\n    suppressEdits: false, // used to disable editing during key handlers when in readOnly mode\n    pasteIncoming: false, cutIncoming: false, // help recognize paste/cut edits in input.poll\n    selectingText: false,\n    draggingText: false,\n    highlight: new Delayed(), // stores highlight worker timeout\n    keySeq: null,  // Unfinished key sequence\n    specialChars: null\n  }\n\n  if (options.autofocus && !mobile) { display.input.focus() }\n\n  // Override magic textarea content restore that IE sometimes does\n  // on our hidden textarea on reload\n  if (ie && ie_version < 11) { setTimeout(function () { return this$1.display.input.reset(true); }, 20) }\n\n  registerEventHandlers(this)\n  ensureGlobalHandlers()\n\n  startOperation(this)\n  this.curOp.forceUpdate = true\n  attachDoc(this, doc)\n\n  if ((options.autofocus && !mobile) || this.hasFocus())\n    { setTimeout(bind(onFocus, this), 20) }\n  else\n    { onBlur(this) }\n\n  for (var opt in optionHandlers) { if (optionHandlers.hasOwnProperty(opt))\n    { optionHandlers[opt](this$1, options[opt], Init) } }\n  maybeUpdateLineNumberWidth(this)\n  if (options.finishInit) { options.finishInit(this) }\n  for (var i = 0; i < initHooks.length; ++i) { initHooks[i](this$1) }\n  endOperation(this)\n  // Suppress optimizelegibility in Webkit, since it breaks text\n  // measuring on line wrapping boundaries.\n  if (webkit && options.lineWrapping &&\n      getComputedStyle(display.lineDiv).textRendering == "optimizelegibility")\n    { display.lineDiv.style.textRendering = "auto" }\n}\n\n// The default configuration options.\nCodeMirror.defaults = defaults\n// Functions to run when options are changed.\nCodeMirror.optionHandlers = optionHandlers\n\n// Attach the necessary event handlers when initializing the editor\nfunction registerEventHandlers(cm) {\n  var d = cm.display\n  on(d.scroller, "mousedown", operation(cm, onMouseDown))\n  // Older IE\'s will not fire a second mousedown for a double click\n  if (ie && ie_version < 11)\n    { on(d.scroller, "dblclick", operation(cm, function (e) {\n      if (signalDOMEvent(cm, e)) { return }\n      var pos = posFromMouse(cm, e)\n      if (!pos || clickInGutter(cm, e) || eventInWidget(cm.display, e)) { return }\n      e_preventDefault(e)\n      var word = cm.findWordAt(pos)\n      extendSelection(cm.doc, word.anchor, word.head)\n    })) }\n  else\n    { on(d.scroller, "dblclick", function (e) { return signalDOMEvent(cm, e) || e_preventDefault(e); }) }\n  // Some browsers fire contextmenu *after* opening the menu, at\n  // which point we can\'t mess with it anymore. Context menu is\n  // handled in onMouseDown for these browsers.\n  if (!captureRightClick) { on(d.scroller, "contextmenu", function (e) { return onContextMenu(cm, e); }) }\n\n  // Used to suppress mouse event handling when a touch happens\n  var touchFinished, prevTouch = {end: 0}\n  function finishTouch() {\n    if (d.activeTouch) {\n      touchFinished = setTimeout(function () { return d.activeTouch = null; }, 1000)\n      prevTouch = d.activeTouch\n      prevTouch.end = +new Date\n    }\n  }\n  function isMouseLikeTouchEvent(e) {\n    if (e.touches.length != 1) { return false }\n    var touch = e.touches[0]\n    return touch.radiusX <= 1 && touch.radiusY <= 1\n  }\n  function farAway(touch, other) {\n    if (other.left == null) { return true }\n    var dx = other.left - touch.left, dy = other.top - touch.top\n    return dx * dx + dy * dy > 20 * 20\n  }\n  on(d.scroller, "touchstart", function (e) {\n    if (!signalDOMEvent(cm, e) && !isMouseLikeTouchEvent(e)) {\n      d.input.ensurePolled()\n      clearTimeout(touchFinished)\n      var now = +new Date\n      d.activeTouch = {start: now, moved: false,\n                       prev: now - prevTouch.end <= 300 ? prevTouch : null}\n      if (e.touches.length == 1) {\n        d.activeTouch.left = e.touches[0].pageX\n        d.activeTouch.top = e.touches[0].pageY\n      }\n    }\n  })\n  on(d.scroller, "touchmove", function () {\n    if (d.activeTouch) { d.activeTouch.moved = true }\n  })\n  on(d.scroller, "touchend", function (e) {\n    var touch = d.activeTouch\n    if (touch && !eventInWidget(d, e) && touch.left != null &&\n        !touch.moved && new Date - touch.start < 300) {\n      var pos = cm.coordsChar(d.activeTouch, "page"), range\n      if (!touch.prev || farAway(touch, touch.prev)) // Single tap\n        { range = new Range(pos, pos) }\n      else if (!touch.prev.prev || farAway(touch, touch.prev.prev)) // Double tap\n        { range = cm.findWordAt(pos) }\n      else // Triple tap\n        { range = new Range(Pos(pos.line, 0), clipPos(cm.doc, Pos(pos.line + 1, 0))) }\n      cm.setSelection(range.anchor, range.head)\n      cm.focus()\n      e_preventDefault(e)\n    }\n    finishTouch()\n  })\n  on(d.scroller, "touchcancel", finishTouch)\n\n  // Sync scrolling between fake scrollbars and real scrollable\n  // area, ensure viewport is updated when scrolling.\n  on(d.scroller, "scroll", function () {\n    if (d.scroller.clientHeight) {\n      setScrollTop(cm, d.scroller.scrollTop)\n      setScrollLeft(cm, d.scroller.scrollLeft, true)\n      signal(cm, "scroll", cm)\n    }\n  })\n\n  // Listen to wheel events in order to try and update the viewport on time.\n  on(d.scroller, "mousewheel", function (e) { return onScrollWheel(cm, e); })\n  on(d.scroller, "DOMMouseScroll", function (e) { return onScrollWheel(cm, e); })\n\n  // Prevent wrapper from ever scrolling\n  on(d.wrapper, "scroll", function () { return d.wrapper.scrollTop = d.wrapper.scrollLeft = 0; })\n\n  d.dragFunctions = {\n    enter: function (e) {if (!signalDOMEvent(cm, e)) { e_stop(e) }},\n    over: function (e) {if (!signalDOMEvent(cm, e)) { onDragOver(cm, e); e_stop(e) }},\n    start: function (e) { return onDragStart(cm, e); },\n    drop: operation(cm, onDrop),\n    leave: function (e) {if (!signalDOMEvent(cm, e)) { clearDragCursor(cm) }}\n  }\n\n  var inp = d.input.getField()\n  on(inp, "keyup", function (e) { return onKeyUp.call(cm, e); })\n  on(inp, "keydown", operation(cm, onKeyDown))\n  on(inp, "keypress", operation(cm, onKeyPress))\n  on(inp, "focus", function (e) { return onFocus(cm, e); })\n  on(inp, "blur", function (e) { return onBlur(cm, e); })\n}\n\nvar initHooks = []\nCodeMirror.defineInitHook = function (f) { return initHooks.push(f); }\n\n// Indent the given line. The how parameter can be "smart",\n// "add"/null, "subtract", or "prev". When aggressive is false\n// (typically set to true for forced single-line indents), empty\n// lines are not indented, and places where the mode returns Pass\n// are left alone.\nfunction indentLine(cm, n, how, aggressive) {\n  var doc = cm.doc, state\n  if (how == null) { how = "add" }\n  if (how == "smart") {\n    // Fall back to "prev" when the mode doesn\'t have an indentation\n    // method.\n    if (!doc.mode.indent) { how = "prev" }\n    else { state = getStateBefore(cm, n) }\n  }\n\n  var tabSize = cm.options.tabSize\n  var line = getLine(doc, n), curSpace = countColumn(line.text, null, tabSize)\n  if (line.stateAfter) { line.stateAfter = null }\n  var curSpaceString = line.text.match(/^\\s*/)[0], indentation\n  if (!aggressive && !/\\S/.test(line.text)) {\n    indentation = 0\n    how = "not"\n  } else if (how == "smart") {\n    indentation = doc.mode.indent(state, line.text.slice(curSpaceString.length), line.text)\n    if (indentation == Pass || indentation > 150) {\n      if (!aggressive) { return }\n      how = "prev"\n    }\n  }\n  if (how == "prev") {\n    if (n > doc.first) { indentation = countColumn(getLine(doc, n-1).text, null, tabSize) }\n    else { indentation = 0 }\n  } else if (how == "add") {\n    indentation = curSpace + cm.options.indentUnit\n  } else if (how == "subtract") {\n    indentation = curSpace - cm.options.indentUnit\n  } else if (typeof how == "number") {\n    indentation = curSpace + how\n  }\n  indentation = Math.max(0, indentation)\n\n  var indentString = "", pos = 0\n  if (cm.options.indentWithTabs)\n    { for (var i = Math.floor(indentation / tabSize); i; --i) {pos += tabSize; indentString += "\\t"} }\n  if (pos < indentation) { indentString += spaceStr(indentation - pos) }\n\n  if (indentString != curSpaceString) {\n    replaceRange(doc, indentString, Pos(n, 0), Pos(n, curSpaceString.length), "+input")\n    line.stateAfter = null\n    return true\n  } else {\n    // Ensure that, if the cursor was in the whitespace at the start\n    // of the line, it is moved to the end of that space.\n    for (var i$1 = 0; i$1 < doc.sel.ranges.length; i$1++) {\n      var range = doc.sel.ranges[i$1]\n      if (range.head.line == n && range.head.ch < curSpaceString.length) {\n        var pos$1 = Pos(n, curSpaceString.length)\n        replaceOneSelection(doc, i$1, new Range(pos$1, pos$1))\n        break\n      }\n    }\n  }\n}\n\n// This will be set to a {lineWise: bool, text: [string]} object, so\n// that, when pasting, we know what kind of selections the copied\n// text was made out of.\nvar lastCopied = null\n\nfunction setLastCopied(newLastCopied) {\n  lastCopied = newLastCopied\n}\n\nfunction applyTextInput(cm, inserted, deleted, sel, origin) {\n  var doc = cm.doc\n  cm.display.shift = false\n  if (!sel) { sel = doc.sel }\n\n  var paste = cm.state.pasteIncoming || origin == "paste"\n  var textLines = splitLinesAuto(inserted), multiPaste = null\n  // When pasing N lines into N selections, insert one line per selection\n  if (paste && sel.ranges.length > 1) {\n    if (lastCopied && lastCopied.text.join("\\n") == inserted) {\n      if (sel.ranges.length % lastCopied.text.length == 0) {\n        multiPaste = []\n        for (var i = 0; i < lastCopied.text.length; i++)\n          { multiPaste.push(doc.splitLines(lastCopied.text[i])) }\n      }\n    } else if (textLines.length == sel.ranges.length) {\n      multiPaste = map(textLines, function (l) { return [l]; })\n    }\n  }\n\n  var updateInput\n  // Normal behavior is to insert the new text into every selection\n  for (var i$1 = sel.ranges.length - 1; i$1 >= 0; i$1--) {\n    var range = sel.ranges[i$1]\n    var from = range.from(), to = range.to()\n    if (range.empty()) {\n      if (deleted && deleted > 0) // Handle deletion\n        { from = Pos(from.line, from.ch - deleted) }\n      else if (cm.state.overwrite && !paste) // Handle overwrite\n        { to = Pos(to.line, Math.min(getLine(doc, to.line).text.length, to.ch + lst(textLines).length)) }\n      else if (lastCopied && lastCopied.lineWise && lastCopied.text.join("\\n") == inserted)\n        { from = to = Pos(from.line, 0) }\n    }\n    updateInput = cm.curOp.updateInput\n    var changeEvent = {from: from, to: to, text: multiPaste ? multiPaste[i$1 % multiPaste.length] : textLines,\n                       origin: origin || (paste ? "paste" : cm.state.cutIncoming ? "cut" : "+input")}\n    makeChange(cm.doc, changeEvent)\n    signalLater(cm, "inputRead", cm, changeEvent)\n  }\n  if (inserted && !paste)\n    { triggerElectric(cm, inserted) }\n\n  ensureCursorVisible(cm)\n  cm.curOp.updateInput = updateInput\n  cm.curOp.typing = true\n  cm.state.pasteIncoming = cm.state.cutIncoming = false\n}\n\nfunction handlePaste(e, cm) {\n  var pasted = e.clipboardData && e.clipboardData.getData("Text")\n  if (pasted) {\n    e.preventDefault()\n    if (!cm.isReadOnly() && !cm.options.disableInput)\n      { runInOp(cm, function () { return applyTextInput(cm, pasted, 0, null, "paste"); }) }\n    return true\n  }\n}\n\nfunction triggerElectric(cm, inserted) {\n  // When an \'electric\' character is inserted, immediately trigger a reindent\n  if (!cm.options.electricChars || !cm.options.smartIndent) { return }\n  var sel = cm.doc.sel\n\n  for (var i = sel.ranges.length - 1; i >= 0; i--) {\n    var range = sel.ranges[i]\n    if (range.head.ch > 100 || (i && sel.ranges[i - 1].head.line == range.head.line)) { continue }\n    var mode = cm.getModeAt(range.head)\n    var indented = false\n    if (mode.electricChars) {\n      for (var j = 0; j < mode.electricChars.length; j++)\n        { if (inserted.indexOf(mode.electricChars.charAt(j)) > -1) {\n          indented = indentLine(cm, range.head.line, "smart")\n          break\n        } }\n    } else if (mode.electricInput) {\n      if (mode.electricInput.test(getLine(cm.doc, range.head.line).text.slice(0, range.head.ch)))\n        { indented = indentLine(cm, range.head.line, "smart") }\n    }\n    if (indented) { signalLater(cm, "electricInput", cm, range.head.line) }\n  }\n}\n\nfunction copyableRanges(cm) {\n  var text = [], ranges = []\n  for (var i = 0; i < cm.doc.sel.ranges.length; i++) {\n    var line = cm.doc.sel.ranges[i].head.line\n    var lineRange = {anchor: Pos(line, 0), head: Pos(line + 1, 0)}\n    ranges.push(lineRange)\n    text.push(cm.getRange(lineRange.anchor, lineRange.head))\n  }\n  return {text: text, ranges: ranges}\n}\n\nfunction disableBrowserMagic(field, spellcheck) {\n  field.setAttribute("autocorrect", "off")\n  field.setAttribute("autocapitalize", "off")\n  field.setAttribute("spellcheck", !!spellcheck)\n}\n\nfunction hiddenTextarea() {\n  var te = elt("textarea", null, null, "position: absolute; bottom: -1em; padding: 0; width: 1px; height: 1em; outline: none")\n  var div = elt("div", [te], null, "overflow: hidden; position: relative; width: 3px; height: 0px;")\n  // The textarea is kept positioned near the cursor to prevent the\n  // fact that it\'ll be scrolled into view on input from scrolling\n  // our fake cursor out of view. On webkit, when wrap=off, paste is\n  // very slow. So make the area wide instead.\n  if (webkit) { te.style.width = "1000px" }\n  else { te.setAttribute("wrap", "off") }\n  // If border: 0; -- iOS fails to open keyboard (issue #1287)\n  if (ios) { te.style.border = "1px solid black" }\n  disableBrowserMagic(te)\n  return div\n}\n\n// The publicly visible API. Note that methodOp(f) means\n// \'wrap f in an operation, performed on its `this` parameter\'.\n\n// This is not the complete set of editor methods. Most of the\n// methods defined on the Doc type are also injected into\n// CodeMirror.prototype, for backwards compatibility and\n// convenience.\n\nfunction addEditorMethods(CodeMirror) {\n  var optionHandlers = CodeMirror.optionHandlers\n\n  var helpers = CodeMirror.helpers = {}\n\n  CodeMirror.prototype = {\n    constructor: CodeMirror,\n    focus: function(){window.focus(); this.display.input.focus()},\n\n    setOption: function(option, value) {\n      var options = this.options, old = options[option]\n      if (options[option] == value && option != "mode") { return }\n      options[option] = value\n      if (optionHandlers.hasOwnProperty(option))\n        { operation(this, optionHandlers[option])(this, value, old) }\n      signal(this, "optionChange", this, option)\n    },\n\n    getOption: function(option) {return this.options[option]},\n    getDoc: function() {return this.doc},\n\n    addKeyMap: function(map, bottom) {\n      this.state.keyMaps[bottom ? "push" : "unshift"](getKeyMap(map))\n    },\n    removeKeyMap: function(map) {\n      var maps = this.state.keyMaps\n      for (var i = 0; i < maps.length; ++i)\n        { if (maps[i] == map || maps[i].name == map) {\n          maps.splice(i, 1)\n          return true\n        } }\n    },\n\n    addOverlay: methodOp(function(spec, options) {\n      var mode = spec.token ? spec : CodeMirror.getMode(this.options, spec)\n      if (mode.startState) { throw new Error("Overlays may not be stateful.") }\n      insertSorted(this.state.overlays,\n                   {mode: mode, modeSpec: spec, opaque: options && options.opaque,\n                    priority: (options && options.priority) || 0},\n                   function (overlay) { return overlay.priority; })\n      this.state.modeGen++\n      regChange(this)\n    }),\n    removeOverlay: methodOp(function(spec) {\n      var this$1 = this;\n\n      var overlays = this.state.overlays\n      for (var i = 0; i < overlays.length; ++i) {\n        var cur = overlays[i].modeSpec\n        if (cur == spec || typeof spec == "string" && cur.name == spec) {\n          overlays.splice(i, 1)\n          this$1.state.modeGen++\n          regChange(this$1)\n          return\n        }\n      }\n    }),\n\n    indentLine: methodOp(function(n, dir, aggressive) {\n      if (typeof dir != "string" && typeof dir != "number") {\n        if (dir == null) { dir = this.options.smartIndent ? "smart" : "prev" }\n        else { dir = dir ? "add" : "subtract" }\n      }\n      if (isLine(this.doc, n)) { indentLine(this, n, dir, aggressive) }\n    }),\n    indentSelection: methodOp(function(how) {\n      var this$1 = this;\n\n      var ranges = this.doc.sel.ranges, end = -1\n      for (var i = 0; i < ranges.length; i++) {\n        var range = ranges[i]\n        if (!range.empty()) {\n          var from = range.from(), to = range.to()\n          var start = Math.max(end, from.line)\n          end = Math.min(this$1.lastLine(), to.line - (to.ch ? 0 : 1)) + 1\n          for (var j = start; j < end; ++j)\n            { indentLine(this$1, j, how) }\n          var newRanges = this$1.doc.sel.ranges\n          if (from.ch == 0 && ranges.length == newRanges.length && newRanges[i].from().ch > 0)\n            { replaceOneSelection(this$1.doc, i, new Range(from, newRanges[i].to()), sel_dontScroll) }\n        } else if (range.head.line > end) {\n          indentLine(this$1, range.head.line, how, true)\n          end = range.head.line\n          if (i == this$1.doc.sel.primIndex) { ensureCursorVisible(this$1) }\n        }\n      }\n    }),\n\n    // Fetch the parser token for a given character. Useful for hacks\n    // that want to inspect the mode state (say, for completion).\n    getTokenAt: function(pos, precise) {\n      return takeToken(this, pos, precise)\n    },\n\n    getLineTokens: function(line, precise) {\n      return takeToken(this, Pos(line), precise, true)\n    },\n\n    getTokenTypeAt: function(pos) {\n      pos = clipPos(this.doc, pos)\n      var styles = getLineStyles(this, getLine(this.doc, pos.line))\n      var before = 0, after = (styles.length - 1) / 2, ch = pos.ch\n      var type\n      if (ch == 0) { type = styles[2] }\n      else { for (;;) {\n        var mid = (before + after) >> 1\n        if ((mid ? styles[mid * 2 - 1] : 0) >= ch) { after = mid }\n        else if (styles[mid * 2 + 1] < ch) { before = mid + 1 }\n        else { type = styles[mid * 2 + 2]; break }\n      } }\n      var cut = type ? type.indexOf("overlay ") : -1\n      return cut < 0 ? type : cut == 0 ? null : type.slice(0, cut - 1)\n    },\n\n    getModeAt: function(pos) {\n      var mode = this.doc.mode\n      if (!mode.innerMode) { return mode }\n      return CodeMirror.innerMode(mode, this.getTokenAt(pos).state).mode\n    },\n\n    getHelper: function(pos, type) {\n      return this.getHelpers(pos, type)[0]\n    },\n\n    getHelpers: function(pos, type) {\n      var this$1 = this;\n\n      var found = []\n      if (!helpers.hasOwnProperty(type)) { return found }\n      var help = helpers[type], mode = this.getModeAt(pos)\n      if (typeof mode[type] == "string") {\n        if (help[mode[type]]) { found.push(help[mode[type]]) }\n      } else if (mode[type]) {\n        for (var i = 0; i < mode[type].length; i++) {\n          var val = help[mode[type][i]]\n          if (val) { found.push(val) }\n        }\n      } else if (mode.helperType && help[mode.helperType]) {\n        found.push(help[mode.helperType])\n      } else if (help[mode.name]) {\n        found.push(help[mode.name])\n      }\n      for (var i$1 = 0; i$1 < help._global.length; i$1++) {\n        var cur = help._global[i$1]\n        if (cur.pred(mode, this$1) && indexOf(found, cur.val) == -1)\n          { found.push(cur.val) }\n      }\n      return found\n    },\n\n    getStateAfter: function(line, precise) {\n      var doc = this.doc\n      line = clipLine(doc, line == null ? doc.first + doc.size - 1: line)\n      return getStateBefore(this, line + 1, precise)\n    },\n\n    cursorCoords: function(start, mode) {\n      var pos, range = this.doc.sel.primary()\n      if (start == null) { pos = range.head }\n      else if (typeof start == "object") { pos = clipPos(this.doc, start) }\n      else { pos = start ? range.from() : range.to() }\n      return cursorCoords(this, pos, mode || "page")\n    },\n\n    charCoords: function(pos, mode) {\n      return charCoords(this, clipPos(this.doc, pos), mode || "page")\n    },\n\n    coordsChar: function(coords, mode) {\n      coords = fromCoordSystem(this, coords, mode || "page")\n      return coordsChar(this, coords.left, coords.top)\n    },\n\n    lineAtHeight: function(height, mode) {\n      height = fromCoordSystem(this, {top: height, left: 0}, mode || "page").top\n      return lineAtHeight(this.doc, height + this.display.viewOffset)\n    },\n    heightAtLine: function(line, mode, includeWidgets) {\n      var end = false, lineObj\n      if (typeof line == "number") {\n        var last = this.doc.first + this.doc.size - 1\n        if (line < this.doc.first) { line = this.doc.first }\n        else if (line > last) { line = last; end = true }\n        lineObj = getLine(this.doc, line)\n      } else {\n        lineObj = line\n      }\n      return intoCoordSystem(this, lineObj, {top: 0, left: 0}, mode || "page", includeWidgets || end).top +\n        (end ? this.doc.height - heightAtLine(lineObj) : 0)\n    },\n\n    defaultTextHeight: function() { return textHeight(this.display) },\n    defaultCharWidth: function() { return charWidth(this.display) },\n\n    getViewport: function() { return {from: this.display.viewFrom, to: this.display.viewTo}},\n\n    addWidget: function(pos, node, scroll, vert, horiz) {\n      var display = this.display\n      pos = cursorCoords(this, clipPos(this.doc, pos))\n      var top = pos.bottom, left = pos.left\n      node.style.position = "absolute"\n      node.setAttribute("cm-ignore-events", "true")\n      this.display.input.setUneditable(node)\n      display.sizer.appendChild(node)\n      if (vert == "over") {\n        top = pos.top\n      } else if (vert == "above" || vert == "near") {\n        var vspace = Math.max(display.wrapper.clientHeight, this.doc.height),\n        hspace = Math.max(display.sizer.clientWidth, display.lineSpace.clientWidth)\n        // Default to positioning above (if specified and possible); otherwise default to positioning below\n        if ((vert == \'above\' || pos.bottom + node.offsetHeight > vspace) && pos.top > node.offsetHeight)\n          { top = pos.top - node.offsetHeight }\n        else if (pos.bottom + node.offsetHeight <= vspace)\n          { top = pos.bottom }\n        if (left + node.offsetWidth > hspace)\n          { left = hspace - node.offsetWidth }\n      }\n      node.style.top = top + "px"\n      node.style.left = node.style.right = ""\n      if (horiz == "right") {\n        left = display.sizer.clientWidth - node.offsetWidth\n        node.style.right = "0px"\n      } else {\n        if (horiz == "left") { left = 0 }\n        else if (horiz == "middle") { left = (display.sizer.clientWidth - node.offsetWidth) / 2 }\n        node.style.left = left + "px"\n      }\n      if (scroll)\n        { scrollIntoView(this, left, top, left + node.offsetWidth, top + node.offsetHeight) }\n    },\n\n    triggerOnKeyDown: methodOp(onKeyDown),\n    triggerOnKeyPress: methodOp(onKeyPress),\n    triggerOnKeyUp: onKeyUp,\n\n    execCommand: function(cmd) {\n      if (commands.hasOwnProperty(cmd))\n        { return commands[cmd].call(null, this) }\n    },\n\n    triggerElectric: methodOp(function(text) { triggerElectric(this, text) }),\n\n    findPosH: function(from, amount, unit, visually) {\n      var this$1 = this;\n\n      var dir = 1\n      if (amount < 0) { dir = -1; amount = -amount }\n      var cur = clipPos(this.doc, from)\n      for (var i = 0; i < amount; ++i) {\n        cur = findPosH(this$1.doc, cur, dir, unit, visually)\n        if (cur.hitSide) { break }\n      }\n      return cur\n    },\n\n    moveH: methodOp(function(dir, unit) {\n      var this$1 = this;\n\n      this.extendSelectionsBy(function (range) {\n        if (this$1.display.shift || this$1.doc.extend || range.empty())\n          { return findPosH(this$1.doc, range.head, dir, unit, this$1.options.rtlMoveVisually) }\n        else\n          { return dir < 0 ? range.from() : range.to() }\n      }, sel_move)\n    }),\n\n    deleteH: methodOp(function(dir, unit) {\n      var sel = this.doc.sel, doc = this.doc\n      if (sel.somethingSelected())\n        { doc.replaceSelection("", null, "+delete") }\n      else\n        { deleteNearSelection(this, function (range) {\n          var other = findPosH(doc, range.head, dir, unit, false)\n          return dir < 0 ? {from: other, to: range.head} : {from: range.head, to: other}\n        }) }\n    }),\n\n    findPosV: function(from, amount, unit, goalColumn) {\n      var this$1 = this;\n\n      var dir = 1, x = goalColumn\n      if (amount < 0) { dir = -1; amount = -amount }\n      var cur = clipPos(this.doc, from)\n      for (var i = 0; i < amount; ++i) {\n        var coords = cursorCoords(this$1, cur, "div")\n        if (x == null) { x = coords.left }\n        else { coords.left = x }\n        cur = findPosV(this$1, coords, dir, unit)\n        if (cur.hitSide) { break }\n      }\n      return cur\n    },\n\n    moveV: methodOp(function(dir, unit) {\n      var this$1 = this;\n\n      var doc = this.doc, goals = []\n      var collapse = !this.display.shift && !doc.extend && doc.sel.somethingSelected()\n      doc.extendSelectionsBy(function (range) {\n        if (collapse)\n          { return dir < 0 ? range.from() : range.to() }\n        var headPos = cursorCoords(this$1, range.head, "div")\n        if (range.goalColumn != null) { headPos.left = range.goalColumn }\n        goals.push(headPos.left)\n        var pos = findPosV(this$1, headPos, dir, unit)\n        if (unit == "page" && range == doc.sel.primary())\n          { addToScrollPos(this$1, null, charCoords(this$1, pos, "div").top - headPos.top) }\n        return pos\n      }, sel_move)\n      if (goals.length) { for (var i = 0; i < doc.sel.ranges.length; i++)\n        { doc.sel.ranges[i].goalColumn = goals[i] } }\n    }),\n\n    // Find the word at the given position (as returned by coordsChar).\n    findWordAt: function(pos) {\n      var doc = this.doc, line = getLine(doc, pos.line).text\n      var start = pos.ch, end = pos.ch\n      if (line) {\n        var helper = this.getHelper(pos, "wordChars")\n        if ((pos.sticky == "before" || end == line.length) && start) { --start; } else { ++end }\n        var startChar = line.charAt(start)\n        var check = isWordChar(startChar, helper)\n          ? function (ch) { return isWordChar(ch, helper); }\n          : /\\s/.test(startChar) ? function (ch) { return /\\s/.test(ch); }\n          : function (ch) { return (!/\\s/.test(ch) && !isWordChar(ch)); }\n        while (start > 0 && check(line.charAt(start - 1))) { --start }\n        while (end < line.length && check(line.charAt(end))) { ++end }\n      }\n      return new Range(Pos(pos.line, start), Pos(pos.line, end))\n    },\n\n    toggleOverwrite: function(value) {\n      if (value != null && value == this.state.overwrite) { return }\n      if (this.state.overwrite = !this.state.overwrite)\n        { addClass(this.display.cursorDiv, "CodeMirror-overwrite") }\n      else\n        { rmClass(this.display.cursorDiv, "CodeMirror-overwrite") }\n\n      signal(this, "overwriteToggle", this, this.state.overwrite)\n    },\n    hasFocus: function() { return this.display.input.getField() == activeElt() },\n    isReadOnly: function() { return !!(this.options.readOnly || this.doc.cantEdit) },\n\n    scrollTo: methodOp(function(x, y) {\n      if (x != null || y != null) { resolveScrollToPos(this) }\n      if (x != null) { this.curOp.scrollLeft = x }\n      if (y != null) { this.curOp.scrollTop = y }\n    }),\n    getScrollInfo: function() {\n      var scroller = this.display.scroller\n      return {left: scroller.scrollLeft, top: scroller.scrollTop,\n              height: scroller.scrollHeight - scrollGap(this) - this.display.barHeight,\n              width: scroller.scrollWidth - scrollGap(this) - this.display.barWidth,\n              clientHeight: displayHeight(this), clientWidth: displayWidth(this)}\n    },\n\n    scrollIntoView: methodOp(function(range, margin) {\n      if (range == null) {\n        range = {from: this.doc.sel.primary().head, to: null}\n        if (margin == null) { margin = this.options.cursorScrollMargin }\n      } else if (typeof range == "number") {\n        range = {from: Pos(range, 0), to: null}\n      } else if (range.from == null) {\n        range = {from: range, to: null}\n      }\n      if (!range.to) { range.to = range.from }\n      range.margin = margin || 0\n\n      if (range.from.line != null) {\n        resolveScrollToPos(this)\n        this.curOp.scrollToPos = range\n      } else {\n        var sPos = calculateScrollPos(this, Math.min(range.from.left, range.to.left),\n                                      Math.min(range.from.top, range.to.top) - range.margin,\n                                      Math.max(range.from.right, range.to.right),\n                                      Math.max(range.from.bottom, range.to.bottom) + range.margin)\n        this.scrollTo(sPos.scrollLeft, sPos.scrollTop)\n      }\n    }),\n\n    setSize: methodOp(function(width, height) {\n      var this$1 = this;\n\n      var interpret = function (val) { return typeof val == "number" || /^\\d+$/.test(String(val)) ? val + "px" : val; }\n      if (width != null) { this.display.wrapper.style.width = interpret(width) }\n      if (height != null) { this.display.wrapper.style.height = interpret(height) }\n      if (this.options.lineWrapping) { clearLineMeasurementCache(this) }\n      var lineNo = this.display.viewFrom\n      this.doc.iter(lineNo, this.display.viewTo, function (line) {\n        if (line.widgets) { for (var i = 0; i < line.widgets.length; i++)\n          { if (line.widgets[i].noHScroll) { regLineChange(this$1, lineNo, "widget"); break } } }\n        ++lineNo\n      })\n      this.curOp.forceUpdate = true\n      signal(this, "refresh", this)\n    }),\n\n    operation: function(f){return runInOp(this, f)},\n\n    refresh: methodOp(function() {\n      var oldHeight = this.display.cachedTextHeight\n      regChange(this)\n      this.curOp.forceUpdate = true\n      clearCaches(this)\n      this.scrollTo(this.doc.scrollLeft, this.doc.scrollTop)\n      updateGutterSpace(this)\n      if (oldHeight == null || Math.abs(oldHeight - textHeight(this.display)) > .5)\n        { estimateLineHeights(this) }\n      signal(this, "refresh", this)\n    }),\n\n    swapDoc: methodOp(function(doc) {\n      var old = this.doc\n      old.cm = null\n      attachDoc(this, doc)\n      clearCaches(this)\n      this.display.input.reset()\n      this.scrollTo(doc.scrollLeft, doc.scrollTop)\n      this.curOp.forceScroll = true\n      signalLater(this, "swapDoc", this, old)\n      return old\n    }),\n\n    getInputField: function(){return this.display.input.getField()},\n    getWrapperElement: function(){return this.display.wrapper},\n    getScrollerElement: function(){return this.display.scroller},\n    getGutterElement: function(){return this.display.gutters}\n  }\n  eventMixin(CodeMirror)\n\n  CodeMirror.registerHelper = function(type, name, value) {\n    if (!helpers.hasOwnProperty(type)) { helpers[type] = CodeMirror[type] = {_global: []} }\n    helpers[type][name] = value\n  }\n  CodeMirror.registerGlobalHelper = function(type, name, predicate, value) {\n    CodeMirror.registerHelper(type, name, value)\n    helpers[type]._global.push({pred: predicate, val: value})\n  }\n}\n\n// Used for horizontal relative motion. Dir is -1 or 1 (left or\n// right), unit can be "char", "column" (like char, but doesn\'t\n// cross line boundaries), "word" (across next word), or "group" (to\n// the start of next group of word or non-word-non-whitespace\n// chars). The visually param controls whether, in right-to-left\n// text, direction 1 means to move towards the next index in the\n// string, or towards the character to the right of the current\n// position. The resulting position will have a hitSide=true\n// property if it reached the end of the document.\nfunction findPosH(doc, pos, dir, unit, visually) {\n  var oldPos = pos\n  var origDir = dir\n  var lineObj = getLine(doc, pos.line)\n  function findNextLine() {\n    var l = pos.line + dir\n    if (l < doc.first || l >= doc.first + doc.size) { return false }\n    pos = new Pos(l, pos.ch, pos.sticky)\n    return lineObj = getLine(doc, l)\n  }\n  function moveOnce(boundToLine) {\n    var next\n    if (visually) {\n      next = moveVisually(doc.cm, lineObj, pos, dir)\n    } else {\n      next = moveLogically(lineObj, pos, dir)\n    }\n    if (next == null) {\n      if (!boundToLine && findNextLine())\n        { pos = endOfLine(visually, doc.cm, lineObj, pos.line, dir) }\n      else\n        { return false }\n    } else {\n      pos = next\n    }\n    return true\n  }\n\n  if (unit == "char") {\n    moveOnce()\n  } else if (unit == "column") {\n    moveOnce(true)\n  } else if (unit == "word" || unit == "group") {\n    var sawType = null, group = unit == "group"\n    var helper = doc.cm && doc.cm.getHelper(pos, "wordChars")\n    for (var first = true;; first = false) {\n      if (dir < 0 && !moveOnce(!first)) { break }\n      var cur = lineObj.text.charAt(pos.ch) || "\\n"\n      var type = isWordChar(cur, helper) ? "w"\n        : group && cur == "\\n" ? "n"\n        : !group || /\\s/.test(cur) ? null\n        : "p"\n      if (group && !first && !type) { type = "s" }\n      if (sawType && sawType != type) {\n        if (dir < 0) {dir = 1; moveOnce(); pos.sticky = "after"}\n        break\n      }\n\n      if (type) { sawType = type }\n      if (dir > 0 && !moveOnce(!first)) { break }\n    }\n  }\n  var result = skipAtomic(doc, pos, oldPos, origDir, true)\n  if (equalCursorPos(oldPos, result)) { result.hitSide = true }\n  return result\n}\n\n// For relative vertical movement. Dir may be -1 or 1. Unit can be\n// "page" or "line". The resulting position will have a hitSide=true\n// property if it reached the end of the document.\nfunction findPosV(cm, pos, dir, unit) {\n  var doc = cm.doc, x = pos.left, y\n  if (unit == "page") {\n    var pageSize = Math.min(cm.display.wrapper.clientHeight, window.innerHeight || document.documentElement.clientHeight)\n    var moveAmount = Math.max(pageSize - .5 * textHeight(cm.display), 3)\n    y = (dir > 0 ? pos.bottom : pos.top) + dir * moveAmount\n\n  } else if (unit == "line") {\n    y = dir > 0 ? pos.bottom + 3 : pos.top - 3\n  }\n  var target\n  for (;;) {\n    target = coordsChar(cm, x, y)\n    if (!target.outside) { break }\n    if (dir < 0 ? y <= 0 : y >= doc.height) { target.hitSide = true; break }\n    y += dir * 5\n  }\n  return target\n}\n\n// CONTENTEDITABLE INPUT STYLE\n\nvar ContentEditableInput = function(cm) {\n  this.cm = cm\n  this.lastAnchorNode = this.lastAnchorOffset = this.lastFocusNode = this.lastFocusOffset = null\n  this.polling = new Delayed()\n  this.composing = null\n  this.gracePeriod = false\n  this.readDOMTimeout = null\n};\n\nContentEditableInput.prototype.init = function (display) {\n    var this$1 = this;\n\n  var input = this, cm = input.cm\n  var div = input.div = display.lineDiv\n  disableBrowserMagic(div, cm.options.spellcheck)\n\n  on(div, "paste", function (e) {\n    if (signalDOMEvent(cm, e) || handlePaste(e, cm)) { return }\n    // IE doesn\'t fire input events, so we schedule a read for the pasted content in this way\n    if (ie_version <= 11) { setTimeout(operation(cm, function () {\n      if (!input.pollContent()) { regChange(cm) }\n    }), 20) }\n  })\n\n  on(div, "compositionstart", function (e) {\n    this$1.composing = {data: e.data, done: false}\n  })\n  on(div, "compositionupdate", function (e) {\n    if (!this$1.composing) { this$1.composing = {data: e.data, done: false} }\n  })\n  on(div, "compositionend", function (e) {\n    if (this$1.composing) {\n      if (e.data != this$1.composing.data) { this$1.readFromDOMSoon() }\n      this$1.composing.done = true\n    }\n  })\n\n  on(div, "touchstart", function () { return input.forceCompositionEnd(); })\n\n  on(div, "input", function () {\n    if (!this$1.composing) { this$1.readFromDOMSoon() }\n  })\n\n  function onCopyCut(e) {\n    if (signalDOMEvent(cm, e)) { return }\n    if (cm.somethingSelected()) {\n      setLastCopied({lineWise: false, text: cm.getSelections()})\n      if (e.type == "cut") { cm.replaceSelection("", null, "cut") }\n    } else if (!cm.options.lineWiseCopyCut) {\n      return\n    } else {\n      var ranges = copyableRanges(cm)\n      setLastCopied({lineWise: true, text: ranges.text})\n      if (e.type == "cut") {\n        cm.operation(function () {\n          cm.setSelections(ranges.ranges, 0, sel_dontScroll)\n          cm.replaceSelection("", null, "cut")\n        })\n      }\n    }\n    if (e.clipboardData) {\n      e.clipboardData.clearData()\n      var content = lastCopied.text.join("\\n")\n      // iOS exposes the clipboard API, but seems to discard content inserted into it\n      e.clipboardData.setData("Text", content)\n      if (e.clipboardData.getData("Text") == content) {\n        e.preventDefault()\n        return\n      }\n    }\n    // Old-fashioned briefly-focus-a-textarea hack\n    var kludge = hiddenTextarea(), te = kludge.firstChild\n    cm.display.lineSpace.insertBefore(kludge, cm.display.lineSpace.firstChild)\n    te.value = lastCopied.text.join("\\n")\n    var hadFocus = document.activeElement\n    selectInput(te)\n    setTimeout(function () {\n      cm.display.lineSpace.removeChild(kludge)\n      hadFocus.focus()\n      if (hadFocus == div) { input.showPrimarySelection() }\n    }, 50)\n  }\n  on(div, "copy", onCopyCut)\n  on(div, "cut", onCopyCut)\n};\n\nContentEditableInput.prototype.prepareSelection = function () {\n  var result = prepareSelection(this.cm, false)\n  result.focus = this.cm.state.focused\n  return result\n};\n\nContentEditableInput.prototype.showSelection = function (info, takeFocus) {\n  if (!info || !this.cm.display.view.length) { return }\n  if (info.focus || takeFocus) { this.showPrimarySelection() }\n  this.showMultipleSelections(info)\n};\n\nContentEditableInput.prototype.showPrimarySelection = function () {\n  var sel = window.getSelection(), prim = this.cm.doc.sel.primary()\n  var curAnchor = domToPos(this.cm, sel.anchorNode, sel.anchorOffset)\n  var curFocus = domToPos(this.cm, sel.focusNode, sel.focusOffset)\n  if (curAnchor && !curAnchor.bad && curFocus && !curFocus.bad &&\n      cmp(minPos(curAnchor, curFocus), prim.from()) == 0 &&\n      cmp(maxPos(curAnchor, curFocus), prim.to()) == 0)\n    { return }\n\n  var start = posToDOM(this.cm, prim.from())\n  var end = posToDOM(this.cm, prim.to())\n  if (!start && !end) { return }\n\n  var view = this.cm.display.view\n  var old = sel.rangeCount && sel.getRangeAt(0)\n  if (!start) {\n    start = {node: view[0].measure.map[2], offset: 0}\n  } else if (!end) { // FIXME dangerously hacky\n    var measure = view[view.length - 1].measure\n    var map = measure.maps ? measure.maps[measure.maps.length - 1] : measure.map\n    end = {node: map[map.length - 1], offset: map[map.length - 2] - map[map.length - 3]}\n  }\n\n  var rng\n  try { rng = range(start.node, start.offset, end.offset, end.node) }\n  catch(e) {} // Our model of the DOM might be outdated, in which case the range we try to set can be impossible\n  if (rng) {\n    if (!gecko && this.cm.state.focused) {\n      sel.collapse(start.node, start.offset)\n      if (!rng.collapsed) {\n        sel.removeAllRanges()\n        sel.addRange(rng)\n      }\n    } else {\n      sel.removeAllRanges()\n      sel.addRange(rng)\n    }\n    if (old && sel.anchorNode == null) { sel.addRange(old) }\n    else if (gecko) { this.startGracePeriod() }\n  }\n  this.rememberSelection()\n};\n\nContentEditableInput.prototype.startGracePeriod = function () {\n    var this$1 = this;\n\n  clearTimeout(this.gracePeriod)\n  this.gracePeriod = setTimeout(function () {\n    this$1.gracePeriod = false\n    if (this$1.selectionChanged())\n      { this$1.cm.operation(function () { return this$1.cm.curOp.selectionChanged = true; }) }\n  }, 20)\n};\n\nContentEditableInput.prototype.showMultipleSelections = function (info) {\n  removeChildrenAndAdd(this.cm.display.cursorDiv, info.cursors)\n  removeChildrenAndAdd(this.cm.display.selectionDiv, info.selection)\n};\n\nContentEditableInput.prototype.rememberSelection = function () {\n  var sel = window.getSelection()\n  this.lastAnchorNode = sel.anchorNode; this.lastAnchorOffset = sel.anchorOffset\n  this.lastFocusNode = sel.focusNode; this.lastFocusOffset = sel.focusOffset\n};\n\nContentEditableInput.prototype.selectionInEditor = function () {\n  var sel = window.getSelection()\n  if (!sel.rangeCount) { return false }\n  var node = sel.getRangeAt(0).commonAncestorContainer\n  return contains(this.div, node)\n};\n\nContentEditableInput.prototype.focus = function () {\n  if (this.cm.options.readOnly != "nocursor") {\n    if (!this.selectionInEditor())\n      { this.showSelection(this.prepareSelection(), true) }\n    this.div.focus()\n  }\n};\nContentEditableInput.prototype.blur = function () { this.div.blur() };\nContentEditableInput.prototype.getField = function () { return this.div };\n\nContentEditableInput.prototype.supportsTouch = function () { return true };\n\nContentEditableInput.prototype.receivedFocus = function () {\n  var input = this\n  if (this.selectionInEditor())\n    { this.pollSelection() }\n  else\n    { runInOp(this.cm, function () { return input.cm.curOp.selectionChanged = true; }) }\n\n  function poll() {\n    if (input.cm.state.focused) {\n      input.pollSelection()\n      input.polling.set(input.cm.options.pollInterval, poll)\n    }\n  }\n  this.polling.set(this.cm.options.pollInterval, poll)\n};\n\nContentEditableInput.prototype.selectionChanged = function () {\n  var sel = window.getSelection()\n  return sel.anchorNode != this.lastAnchorNode || sel.anchorOffset != this.lastAnchorOffset ||\n    sel.focusNode != this.lastFocusNode || sel.focusOffset != this.lastFocusOffset\n};\n\nContentEditableInput.prototype.pollSelection = function () {\n  if (!this.composing && this.readDOMTimeout == null && !this.gracePeriod && this.selectionChanged()) {\n    var sel = window.getSelection(), cm = this.cm\n    this.rememberSelection()\n    var anchor = domToPos(cm, sel.anchorNode, sel.anchorOffset)\n    var head = domToPos(cm, sel.focusNode, sel.focusOffset)\n    if (anchor && head) { runInOp(cm, function () {\n      setSelection(cm.doc, simpleSelection(anchor, head), sel_dontScroll)\n      if (anchor.bad || head.bad) { cm.curOp.selectionChanged = true }\n    }) }\n  }\n};\n\nContentEditableInput.prototype.pollContent = function () {\n  if (this.readDOMTimeout != null) {\n    clearTimeout(this.readDOMTimeout)\n    this.readDOMTimeout = null\n  }\n\n  var cm = this.cm, display = cm.display, sel = cm.doc.sel.primary()\n  var from = sel.from(), to = sel.to()\n  if (from.ch == 0 && from.line > cm.firstLine())\n    { from = Pos(from.line - 1, getLine(cm.doc, from.line - 1).length) }\n  if (to.ch == getLine(cm.doc, to.line).text.length && to.line < cm.lastLine())\n    { to = Pos(to.line + 1, 0) }\n  if (from.line < display.viewFrom || to.line > display.viewTo - 1) { return false }\n\n  var fromIndex, fromLine, fromNode\n  if (from.line == display.viewFrom || (fromIndex = findViewIndex(cm, from.line)) == 0) {\n    fromLine = lineNo(display.view[0].line)\n    fromNode = display.view[0].node\n  } else {\n    fromLine = lineNo(display.view[fromIndex].line)\n    fromNode = display.view[fromIndex - 1].node.nextSibling\n  }\n  var toIndex = findViewIndex(cm, to.line)\n  var toLine, toNode\n  if (toIndex == display.view.length - 1) {\n    toLine = display.viewTo - 1\n    toNode = display.lineDiv.lastChild\n  } else {\n    toLine = lineNo(display.view[toIndex + 1].line) - 1\n    toNode = display.view[toIndex + 1].node.previousSibling\n  }\n\n  if (!fromNode) { return false }\n  var newText = cm.doc.splitLines(domTextBetween(cm, fromNode, toNode, fromLine, toLine))\n  var oldText = getBetween(cm.doc, Pos(fromLine, 0), Pos(toLine, getLine(cm.doc, toLine).text.length))\n  while (newText.length > 1 && oldText.length > 1) {\n    if (lst(newText) == lst(oldText)) { newText.pop(); oldText.pop(); toLine-- }\n    else if (newText[0] == oldText[0]) { newText.shift(); oldText.shift(); fromLine++ }\n    else { break }\n  }\n\n  var cutFront = 0, cutEnd = 0\n  var newTop = newText[0], oldTop = oldText[0], maxCutFront = Math.min(newTop.length, oldTop.length)\n  while (cutFront < maxCutFront && newTop.charCodeAt(cutFront) == oldTop.charCodeAt(cutFront))\n    { ++cutFront }\n  var newBot = lst(newText), oldBot = lst(oldText)\n  var maxCutEnd = Math.min(newBot.length - (newText.length == 1 ? cutFront : 0),\n                           oldBot.length - (oldText.length == 1 ? cutFront : 0))\n  while (cutEnd < maxCutEnd &&\n         newBot.charCodeAt(newBot.length - cutEnd - 1) == oldBot.charCodeAt(oldBot.length - cutEnd - 1))\n    { ++cutEnd }\n\n  newText[newText.length - 1] = newBot.slice(0, newBot.length - cutEnd).replace(/^\\u200b+/, "")\n  newText[0] = newText[0].slice(cutFront).replace(/\\u200b+$/, "")\n\n  var chFrom = Pos(fromLine, cutFront)\n  var chTo = Pos(toLine, oldText.length ? lst(oldText).length - cutEnd : 0)\n  if (newText.length > 1 || newText[0] || cmp(chFrom, chTo)) {\n    replaceRange(cm.doc, newText, chFrom, chTo, "+input")\n    return true\n  }\n};\n\nContentEditableInput.prototype.ensurePolled = function () {\n  this.forceCompositionEnd()\n};\nContentEditableInput.prototype.reset = function () {\n  this.forceCompositionEnd()\n};\nContentEditableInput.prototype.forceCompositionEnd = function () {\n  if (!this.composing) { return }\n  clearTimeout(this.readDOMTimeout)\n  this.composing = null\n  if (!this.pollContent()) { regChange(this.cm) }\n  this.div.blur()\n  this.div.focus()\n};\nContentEditableInput.prototype.readFromDOMSoon = function () {\n    var this$1 = this;\n\n  if (this.readDOMTimeout != null) { return }\n  this.readDOMTimeout = setTimeout(function () {\n    this$1.readDOMTimeout = null\n    if (this$1.composing) {\n      if (this$1.composing.done) { this$1.composing = null }\n      else { return }\n    }\n    if (this$1.cm.isReadOnly() || !this$1.pollContent())\n      { runInOp(this$1.cm, function () { return regChange(this$1.cm); }) }\n  }, 80)\n};\n\nContentEditableInput.prototype.setUneditable = function (node) {\n  node.contentEditable = "false"\n};\n\nContentEditableInput.prototype.onKeyPress = function (e) {\n  if (e.charCode == 0) { return }\n  e.preventDefault()\n  if (!this.cm.isReadOnly())\n    { operation(this.cm, applyTextInput)(this.cm, String.fromCharCode(e.charCode == null ? e.keyCode : e.charCode), 0) }\n};\n\nContentEditableInput.prototype.readOnlyChanged = function (val) {\n  this.div.contentEditable = String(val != "nocursor")\n};\n\nContentEditableInput.prototype.onContextMenu = function () {};\nContentEditableInput.prototype.resetPosition = function () {};\n\nContentEditableInput.prototype.needsContentAttribute = true\n\nfunction posToDOM(cm, pos) {\n  var view = findViewForLine(cm, pos.line)\n  if (!view || view.hidden) { return null }\n  var line = getLine(cm.doc, pos.line)\n  var info = mapFromLineView(view, line, pos.line)\n\n  var order = getOrder(line), side = "left"\n  if (order) {\n    var partPos = getBidiPartAt(order, pos.ch)\n    side = partPos % 2 ? "right" : "left"\n  }\n  var result = nodeAndOffsetInLineMap(info.map, pos.ch, side)\n  result.offset = result.collapse == "right" ? result.end : result.start\n  return result\n}\n\nfunction badPos(pos, bad) { if (bad) { pos.bad = true; } return pos }\n\nfunction domTextBetween(cm, from, to, fromLine, toLine) {\n  var text = "", closing = false, lineSep = cm.doc.lineSeparator()\n  function recognizeMarker(id) { return function (marker) { return marker.id == id; } }\n  function walk(node) {\n    if (node.nodeType == 1) {\n      var cmText = node.getAttribute("cm-text")\n      if (cmText != null) {\n        if (cmText == "") { text += node.textContent.replace(/\\u200b/g, "") }\n        else { text += cmText }\n        return\n      }\n      var markerID = node.getAttribute("cm-marker"), range\n      if (markerID) {\n        var found = cm.findMarks(Pos(fromLine, 0), Pos(toLine + 1, 0), recognizeMarker(+markerID))\n        if (found.length && (range = found[0].find()))\n          { text += getBetween(cm.doc, range.from, range.to).join(lineSep) }\n        return\n      }\n      if (node.getAttribute("contenteditable") == "false") { return }\n      for (var i = 0; i < node.childNodes.length; i++)\n        { walk(node.childNodes[i]) }\n      if (/^(pre|div|p)$/i.test(node.nodeName))\n        { closing = true }\n    } else if (node.nodeType == 3) {\n      var val = node.nodeValue\n      if (!val) { return }\n      if (closing) {\n        text += lineSep\n        closing = false\n      }\n      text += val\n    }\n  }\n  for (;;) {\n    walk(from)\n    if (from == to) { break }\n    from = from.nextSibling\n  }\n  return text\n}\n\nfunction domToPos(cm, node, offset) {\n  var lineNode\n  if (node == cm.display.lineDiv) {\n    lineNode = cm.display.lineDiv.childNodes[offset]\n    if (!lineNode) { return badPos(cm.clipPos(Pos(cm.display.viewTo - 1)), true) }\n    node = null; offset = 0\n  } else {\n    for (lineNode = node;; lineNode = lineNode.parentNode) {\n      if (!lineNode || lineNode == cm.display.lineDiv) { return null }\n      if (lineNode.parentNode && lineNode.parentNode == cm.display.lineDiv) { break }\n    }\n  }\n  for (var i = 0; i < cm.display.view.length; i++) {\n    var lineView = cm.display.view[i]\n    if (lineView.node == lineNode)\n      { return locateNodeInLineView(lineView, node, offset) }\n  }\n}\n\nfunction locateNodeInLineView(lineView, node, offset) {\n  var wrapper = lineView.text.firstChild, bad = false\n  if (!node || !contains(wrapper, node)) { return badPos(Pos(lineNo(lineView.line), 0), true) }\n  if (node == wrapper) {\n    bad = true\n    node = wrapper.childNodes[offset]\n    offset = 0\n    if (!node) {\n      var line = lineView.rest ? lst(lineView.rest) : lineView.line\n      return badPos(Pos(lineNo(line), line.text.length), bad)\n    }\n  }\n\n  var textNode = node.nodeType == 3 ? node : null, topNode = node\n  if (!textNode && node.childNodes.length == 1 && node.firstChild.nodeType == 3) {\n    textNode = node.firstChild\n    if (offset) { offset = textNode.nodeValue.length }\n  }\n  while (topNode.parentNode != wrapper) { topNode = topNode.parentNode }\n  var measure = lineView.measure, maps = measure.maps\n\n  function find(textNode, topNode, offset) {\n    for (var i = -1; i < (maps ? maps.length : 0); i++) {\n      var map = i < 0 ? measure.map : maps[i]\n      for (var j = 0; j < map.length; j += 3) {\n        var curNode = map[j + 2]\n        if (curNode == textNode || curNode == topNode) {\n          var line = lineNo(i < 0 ? lineView.line : lineView.rest[i])\n          var ch = map[j] + offset\n          if (offset < 0 || curNode != textNode) { ch = map[j + (offset ? 1 : 0)] }\n          return Pos(line, ch)\n        }\n      }\n    }\n  }\n  var found = find(textNode, topNode, offset)\n  if (found) { return badPos(found, bad) }\n\n  // FIXME this is all really shaky. might handle the few cases it needs to handle, but likely to cause problems\n  for (var after = topNode.nextSibling, dist = textNode ? textNode.nodeValue.length - offset : 0; after; after = after.nextSibling) {\n    found = find(after, after.firstChild, 0)\n    if (found)\n      { return badPos(Pos(found.line, found.ch - dist), bad) }\n    else\n      { dist += after.textContent.length }\n  }\n  for (var before = topNode.previousSibling, dist$1 = offset; before; before = before.previousSibling) {\n    found = find(before, before.firstChild, -1)\n    if (found)\n      { return badPos(Pos(found.line, found.ch + dist$1), bad) }\n    else\n      { dist$1 += before.textContent.length }\n  }\n}\n\n// TEXTAREA INPUT STYLE\n\nvar TextareaInput = function(cm) {\n  this.cm = cm\n  // See input.poll and input.reset\n  this.prevInput = ""\n\n  // Flag that indicates whether we expect input to appear real soon\n  // now (after some event like \'keypress\' or \'input\') and are\n  // polling intensively.\n  this.pollingFast = false\n  // Self-resetting timeout for the poller\n  this.polling = new Delayed()\n  // Tracks when input.reset has punted to just putting a short\n  // string into the textarea instead of the full selection.\n  this.inaccurateSelection = false\n  // Used to work around IE issue with selection being forgotten when focus moves away from textarea\n  this.hasSelection = false\n  this.composing = null\n};\n\nTextareaInput.prototype.init = function (display) {\n    var this$1 = this;\n\n  var input = this, cm = this.cm\n\n  // Wraps and hides input textarea\n  var div = this.wrapper = hiddenTextarea()\n  // The semihidden textarea that is focused when the editor is\n  // focused, and receives input.\n  var te = this.textarea = div.firstChild\n  display.wrapper.insertBefore(div, display.wrapper.firstChild)\n\n  // Needed to hide big blue blinking cursor on Mobile Safari (doesn\'t seem to work in iOS 8 anymore)\n  if (ios) { te.style.width = "0px" }\n\n  on(te, "input", function () {\n    if (ie && ie_version >= 9 && this$1.hasSelection) { this$1.hasSelection = null }\n    input.poll()\n  })\n\n  on(te, "paste", function (e) {\n    if (signalDOMEvent(cm, e) || handlePaste(e, cm)) { return }\n\n    cm.state.pasteIncoming = true\n    input.fastPoll()\n  })\n\n  function prepareCopyCut(e) {\n    if (signalDOMEvent(cm, e)) { return }\n    if (cm.somethingSelected()) {\n      setLastCopied({lineWise: false, text: cm.getSelections()})\n      if (input.inaccurateSelection) {\n        input.prevInput = ""\n        input.inaccurateSelection = false\n        te.value = lastCopied.text.join("\\n")\n        selectInput(te)\n      }\n    } else if (!cm.options.lineWiseCopyCut) {\n      return\n    } else {\n      var ranges = copyableRanges(cm)\n      setLastCopied({lineWise: true, text: ranges.text})\n      if (e.type == "cut") {\n        cm.setSelections(ranges.ranges, null, sel_dontScroll)\n      } else {\n        input.prevInput = ""\n        te.value = ranges.text.join("\\n")\n        selectInput(te)\n      }\n    }\n    if (e.type == "cut") { cm.state.cutIncoming = true }\n  }\n  on(te, "cut", prepareCopyCut)\n  on(te, "copy", prepareCopyCut)\n\n  on(display.scroller, "paste", function (e) {\n    if (eventInWidget(display, e) || signalDOMEvent(cm, e)) { return }\n    cm.state.pasteIncoming = true\n    input.focus()\n  })\n\n  // Prevent normal selection in the editor (we handle our own)\n  on(display.lineSpace, "selectstart", function (e) {\n    if (!eventInWidget(display, e)) { e_preventDefault(e) }\n  })\n\n  on(te, "compositionstart", function () {\n    var start = cm.getCursor("from")\n    if (input.composing) { input.composing.range.clear() }\n    input.composing = {\n      start: start,\n      range: cm.markText(start, cm.getCursor("to"), {className: "CodeMirror-composing"})\n    }\n  })\n  on(te, "compositionend", function () {\n    if (input.composing) {\n      input.poll()\n      input.composing.range.clear()\n      input.composing = null\n    }\n  })\n};\n\nTextareaInput.prototype.prepareSelection = function () {\n  // Redraw the selection and/or cursor\n  var cm = this.cm, display = cm.display, doc = cm.doc\n  var result = prepareSelection(cm)\n\n  // Move the hidden textarea near the cursor to prevent scrolling artifacts\n  if (cm.options.moveInputWithCursor) {\n    var headPos = cursorCoords(cm, doc.sel.primary().head, "div")\n    var wrapOff = display.wrapper.getBoundingClientRect(), lineOff = display.lineDiv.getBoundingClientRect()\n    result.teTop = Math.max(0, Math.min(display.wrapper.clientHeight - 10,\n                                        headPos.top + lineOff.top - wrapOff.top))\n    result.teLeft = Math.max(0, Math.min(display.wrapper.clientWidth - 10,\n                                         headPos.left + lineOff.left - wrapOff.left))\n  }\n\n  return result\n};\n\nTextareaInput.prototype.showSelection = function (drawn) {\n  var cm = this.cm, display = cm.display\n  removeChildrenAndAdd(display.cursorDiv, drawn.cursors)\n  removeChildrenAndAdd(display.selectionDiv, drawn.selection)\n  if (drawn.teTop != null) {\n    this.wrapper.style.top = drawn.teTop + "px"\n    this.wrapper.style.left = drawn.teLeft + "px"\n  }\n};\n\n// Reset the input to correspond to the selection (or to be empty,\n// when not typing and nothing is selected)\nTextareaInput.prototype.reset = function (typing) {\n  if (this.contextMenuPending) { return }\n  var minimal, selected, cm = this.cm, doc = cm.doc\n  if (cm.somethingSelected()) {\n    this.prevInput = ""\n    var range = doc.sel.primary()\n    minimal = hasCopyEvent &&\n      (range.to().line - range.from().line > 100 || (selected = cm.getSelection()).length > 1000)\n    var content = minimal ? "-" : selected || cm.getSelection()\n    this.textarea.value = content\n    if (cm.state.focused) { selectInput(this.textarea) }\n    if (ie && ie_version >= 9) { this.hasSelection = content }\n  } else if (!typing) {\n    this.prevInput = this.textarea.value = ""\n    if (ie && ie_version >= 9) { this.hasSelection = null }\n  }\n  this.inaccurateSelection = minimal\n};\n\nTextareaInput.prototype.getField = function () { return this.textarea };\n\nTextareaInput.prototype.supportsTouch = function () { return false };\n\nTextareaInput.prototype.focus = function () {\n  if (this.cm.options.readOnly != "nocursor" && (!mobile || activeElt() != this.textarea)) {\n    try { this.textarea.focus() }\n    catch (e) {} // IE8 will throw if the textarea is display: none or not in DOM\n  }\n};\n\nTextareaInput.prototype.blur = function () { this.textarea.blur() };\n\nTextareaInput.prototype.resetPosition = function () {\n  this.wrapper.style.top = this.wrapper.style.left = 0\n};\n\nTextareaInput.prototype.receivedFocus = function () { this.slowPoll() };\n\n// Poll for input changes, using the normal rate of polling. This\n// runs as long as the editor is focused.\nTextareaInput.prototype.slowPoll = function () {\n    var this$1 = this;\n\n  if (this.pollingFast) { return }\n  this.polling.set(this.cm.options.pollInterval, function () {\n    this$1.poll()\n    if (this$1.cm.state.focused) { this$1.slowPoll() }\n  })\n};\n\n// When an event has just come in that is likely to add or change\n// something in the input textarea, we poll faster, to ensure that\n// the change appears on the screen quickly.\nTextareaInput.prototype.fastPoll = function () {\n  var missed = false, input = this\n  input.pollingFast = true\n  function p() {\n    var changed = input.poll()\n    if (!changed && !missed) {missed = true; input.polling.set(60, p)}\n    else {input.pollingFast = false; input.slowPoll()}\n  }\n  input.polling.set(20, p)\n};\n\n// Read input from the textarea, and update the document to match.\n// When something is selected, it is present in the textarea, and\n// selected (unless it is huge, in which case a placeholder is\n// used). When nothing is selected, the cursor sits after previously\n// seen text (can be empty), which is stored in prevInput (we must\n// not reset the textarea when typing, because that breaks IME).\nTextareaInput.prototype.poll = function () {\n    var this$1 = this;\n\n  var cm = this.cm, input = this.textarea, prevInput = this.prevInput\n  // Since this is called a *lot*, try to bail out as cheaply as\n  // possible when it is clear that nothing happened. hasSelection\n  // will be the case when there is a lot of text in the textarea,\n  // in which case reading its value would be expensive.\n  if (this.contextMenuPending || !cm.state.focused ||\n      (hasSelection(input) && !prevInput && !this.composing) ||\n      cm.isReadOnly() || cm.options.disableInput || cm.state.keySeq)\n    { return false }\n\n  var text = input.value\n  // If nothing changed, bail.\n  if (text == prevInput && !cm.somethingSelected()) { return false }\n  // Work around nonsensical selection resetting in IE9/10, and\n  // inexplicable appearance of private area unicode characters on\n  // some key combos in Mac (#2689).\n  if (ie && ie_version >= 9 && this.hasSelection === text ||\n      mac && /[\\uf700-\\uf7ff]/.test(text)) {\n    cm.display.input.reset()\n    return false\n  }\n\n  if (cm.doc.sel == cm.display.selForContextMenu) {\n    var first = text.charCodeAt(0)\n    if (first == 0x200b && !prevInput) { prevInput = "\\u200b" }\n    if (first == 0x21da) { this.reset(); return this.cm.execCommand("undo") }\n  }\n  // Find the part of the input that is actually new\n  var same = 0, l = Math.min(prevInput.length, text.length)\n  while (same < l && prevInput.charCodeAt(same) == text.charCodeAt(same)) { ++same }\n\n  runInOp(cm, function () {\n    applyTextInput(cm, text.slice(same), prevInput.length - same,\n                   null, this$1.composing ? "*compose" : null)\n\n    // Don\'t leave long text in the textarea, since it makes further polling slow\n    if (text.length > 1000 || text.indexOf("\\n") > -1) { input.value = this$1.prevInput = "" }\n    else { this$1.prevInput = text }\n\n    if (this$1.composing) {\n      this$1.composing.range.clear()\n      this$1.composing.range = cm.markText(this$1.composing.start, cm.getCursor("to"),\n                                         {className: "CodeMirror-composing"})\n    }\n  })\n  return true\n};\n\nTextareaInput.prototype.ensurePolled = function () {\n  if (this.pollingFast && this.poll()) { this.pollingFast = false }\n};\n\nTextareaInput.prototype.onKeyPress = function () {\n  if (ie && ie_version >= 9) { this.hasSelection = null }\n  this.fastPoll()\n};\n\nTextareaInput.prototype.onContextMenu = function (e) {\n  var input = this, cm = input.cm, display = cm.display, te = input.textarea\n  var pos = posFromMouse(cm, e), scrollPos = display.scroller.scrollTop\n  if (!pos || presto) { return } // Opera is difficult.\n\n  // Reset the current text selection only if the click is done outside of the selection\n  // and \'resetSelectionOnContextMenu\' option is true.\n  var reset = cm.options.resetSelectionOnContextMenu\n  if (reset && cm.doc.sel.contains(pos) == -1)\n    { operation(cm, setSelection)(cm.doc, simpleSelection(pos), sel_dontScroll) }\n\n  var oldCSS = te.style.cssText, oldWrapperCSS = input.wrapper.style.cssText\n  input.wrapper.style.cssText = "position: absolute"\n  var wrapperBox = input.wrapper.getBoundingClientRect()\n  te.style.cssText = "position: absolute; width: 30px; height: 30px;\\n      top: " + (e.clientY - wrapperBox.top - 5) + "px; left: " + (e.clientX - wrapperBox.left - 5) + "px;\\n      z-index: 1000; background: " + (ie ? "rgba(255, 255, 255, .05)" : "transparent") + ";\\n      outline: none; border-width: 0; outline: none; overflow: hidden; opacity: .05; filter: alpha(opacity=5);"\n  var oldScrollY\n  if (webkit) { oldScrollY = window.scrollY } // Work around Chrome issue (#2712)\n  display.input.focus()\n  if (webkit) { window.scrollTo(null, oldScrollY) }\n  display.input.reset()\n  // Adds "Select all" to context menu in FF\n  if (!cm.somethingSelected()) { te.value = input.prevInput = " " }\n  input.contextMenuPending = true\n  display.selForContextMenu = cm.doc.sel\n  clearTimeout(display.detectingSelectAll)\n\n  // Select-all will be greyed out if there\'s nothing to select, so\n  // this adds a zero-width space so that we can later check whether\n  // it got selected.\n  function prepareSelectAllHack() {\n    if (te.selectionStart != null) {\n      var selected = cm.somethingSelected()\n      var extval = "\\u200b" + (selected ? te.value : "")\n      te.value = "\\u21da" // Used to catch context-menu undo\n      te.value = extval\n      input.prevInput = selected ? "" : "\\u200b"\n      te.selectionStart = 1; te.selectionEnd = extval.length\n      // Re-set this, in case some other handler touched the\n      // selection in the meantime.\n      display.selForContextMenu = cm.doc.sel\n    }\n  }\n  function rehide() {\n    input.contextMenuPending = false\n    input.wrapper.style.cssText = oldWrapperCSS\n    te.style.cssText = oldCSS\n    if (ie && ie_version < 9) { display.scrollbars.setScrollTop(display.scroller.scrollTop = scrollPos) }\n\n    // Try to detect the user choosing select-all\n    if (te.selectionStart != null) {\n      if (!ie || (ie && ie_version < 9)) { prepareSelectAllHack() }\n      var i = 0, poll = function () {\n        if (display.selForContextMenu == cm.doc.sel && te.selectionStart == 0 &&\n            te.selectionEnd > 0 && input.prevInput == "\\u200b") {\n          operation(cm, selectAll)(cm)\n        } else if (i++ < 10) {\n          display.detectingSelectAll = setTimeout(poll, 500)\n        } else {\n          display.selForContextMenu = null\n          display.input.reset()\n        }\n      }\n      display.detectingSelectAll = setTimeout(poll, 200)\n    }\n  }\n\n  if (ie && ie_version >= 9) { prepareSelectAllHack() }\n  if (captureRightClick) {\n    e_stop(e)\n    var mouseup = function () {\n      off(window, "mouseup", mouseup)\n      setTimeout(rehide, 20)\n    }\n    on(window, "mouseup", mouseup)\n  } else {\n    setTimeout(rehide, 50)\n  }\n};\n\nTextareaInput.prototype.readOnlyChanged = function (val) {\n  if (!val) { this.reset() }\n};\n\nTextareaInput.prototype.setUneditable = function () {};\n\nTextareaInput.prototype.needsContentAttribute = false\n\nfunction fromTextArea(textarea, options) {\n  options = options ? copyObj(options) : {}\n  options.value = textarea.value\n  if (!options.tabindex && textarea.tabIndex)\n    { options.tabindex = textarea.tabIndex }\n  if (!options.placeholder && textarea.placeholder)\n    { options.placeholder = textarea.placeholder }\n  // Set autofocus to true if this textarea is focused, or if it has\n  // autofocus and no other element is focused.\n  if (options.autofocus == null) {\n    var hasFocus = activeElt()\n    options.autofocus = hasFocus == textarea ||\n      textarea.getAttribute("autofocus") != null && hasFocus == document.body\n  }\n\n  function save() {textarea.value = cm.getValue()}\n\n  var realSubmit\n  if (textarea.form) {\n    on(textarea.form, "submit", save)\n    // Deplorable hack to make the submit method do the right thing.\n    if (!options.leaveSubmitMethodAlone) {\n      var form = textarea.form\n      realSubmit = form.submit\n      try {\n        var wrappedSubmit = form.submit = function () {\n          save()\n          form.submit = realSubmit\n          form.submit()\n          form.submit = wrappedSubmit\n        }\n      } catch(e) {}\n    }\n  }\n\n  options.finishInit = function (cm) {\n    cm.save = save\n    cm.getTextArea = function () { return textarea; }\n    cm.toTextArea = function () {\n      cm.toTextArea = isNaN // Prevent this from being ran twice\n      save()\n      textarea.parentNode.removeChild(cm.getWrapperElement())\n      textarea.style.display = ""\n      if (textarea.form) {\n        off(textarea.form, "submit", save)\n        if (typeof textarea.form.submit == "function")\n          { textarea.form.submit = realSubmit }\n      }\n    }\n  }\n\n  textarea.style.display = "none"\n  var cm = CodeMirror(function (node) { return textarea.parentNode.insertBefore(node, textarea.nextSibling); },\n    options)\n  return cm\n}\n\nfunction addLegacyProps(CodeMirror) {\n  CodeMirror.off = off\n  CodeMirror.on = on\n  CodeMirror.wheelEventPixels = wheelEventPixels\n  CodeMirror.Doc = Doc\n  CodeMirror.splitLines = splitLinesAuto\n  CodeMirror.countColumn = countColumn\n  CodeMirror.findColumn = findColumn\n  CodeMirror.isWordChar = isWordCharBasic\n  CodeMirror.Pass = Pass\n  CodeMirror.signal = signal\n  CodeMirror.Line = Line\n  CodeMirror.changeEnd = changeEnd\n  CodeMirror.scrollbarModel = scrollbarModel\n  CodeMirror.Pos = Pos\n  CodeMirror.cmpPos = cmp\n  CodeMirror.modes = modes\n  CodeMirror.mimeModes = mimeModes\n  CodeMirror.resolveMode = resolveMode\n  CodeMirror.getMode = getMode\n  CodeMirror.modeExtensions = modeExtensions\n  CodeMirror.extendMode = extendMode\n  CodeMirror.copyState = copyState\n  CodeMirror.startState = startState\n  CodeMirror.innerMode = innerMode\n  CodeMirror.commands = commands\n  CodeMirror.keyMap = keyMap\n  CodeMirror.keyName = keyName\n  CodeMirror.isModifierKey = isModifierKey\n  CodeMirror.lookupKey = lookupKey\n  CodeMirror.normalizeKeyMap = normalizeKeyMap\n  CodeMirror.StringStream = StringStream\n  CodeMirror.SharedTextMarker = SharedTextMarker\n  CodeMirror.TextMarker = TextMarker\n  CodeMirror.LineWidget = LineWidget\n  CodeMirror.e_preventDefault = e_preventDefault\n  CodeMirror.e_stopPropagation = e_stopPropagation\n  CodeMirror.e_stop = e_stop\n  CodeMirror.addClass = addClass\n  CodeMirror.contains = contains\n  CodeMirror.rmClass = rmClass\n  CodeMirror.keyNames = keyNames\n}\n\n// EDITOR CONSTRUCTOR\n\ndefineOptions(CodeMirror)\n\naddEditorMethods(CodeMirror)\n\n// Set up methods on CodeMirror\'s prototype to redirect to the editor\'s document.\nvar dontDelegate = "iter insert remove copy getEditor constructor".split(" ")\nfor (var prop in Doc.prototype) { if (Doc.prototype.hasOwnProperty(prop) && indexOf(dontDelegate, prop) < 0)\n  { CodeMirror.prototype[prop] = (function(method) {\n    return function() {return method.apply(this.doc, arguments)}\n  })(Doc.prototype[prop]) } }\n\neventMixin(Doc)\n\n// INPUT HANDLING\n\nCodeMirror.inputStyles = {"textarea": TextareaInput, "contenteditable": ContentEditableInput}\n\n// MODE DEFINITION AND QUERYING\n\n// Extra arguments are stored as the mode\'s dependencies, which is\n// used by (legacy) mechanisms like loadmode.js to automatically\n// load a mode. (Preferred mechanism is the require/define calls.)\nCodeMirror.defineMode = function(name/*, mode, …*/) {\n  if (!CodeMirror.defaults.mode && name != "null") { CodeMirror.defaults.mode = name }\n  defineMode.apply(this, arguments)\n}\n\nCodeMirror.defineMIME = defineMIME\n\n// Minimal default mode.\nCodeMirror.defineMode("null", function () { return ({token: function (stream) { return stream.skipToEnd(); }}); })\nCodeMirror.defineMIME("text/plain", "null")\n\n// EXTENSIONS\n\nCodeMirror.defineExtension = function (name, func) {\n  CodeMirror.prototype[name] = func\n}\nCodeMirror.defineDocExtension = function (name, func) {\n  Doc.prototype[name] = func\n}\n\nCodeMirror.fromTextArea = fromTextArea\n\naddLegacyProps(CodeMirror)\n\nCodeMirror.version = "5.24.2"\n\nreturn CodeMirror;\n\n})));\n//# sourceURL=/thirdparty/CodeMirror/lib/codemirror.js'),
eval('// CodeMirror, copyright (c) by Marijn Haverbeke and others\n// Distributed under an MIT license: http://codemirror.net/LICENSE\n\n(function(mod) {\n  if (typeof exports == "object" && typeof module == "object") // CommonJS\n    mod(require("../../lib/codemirror"));\n  else if (typeof define == "function" && define.amd) // AMD\n    define(\'thirdparty/CodeMirror/addon/edit/closebrackets\',["../../lib/codemirror"], mod);\n  else // Plain browser env\n    mod(CodeMirror);\n})(function(CodeMirror) {\n  var defaults = {\n    pairs: "()[]{}\'\'\\"\\"",\n    triples: "",\n    explode: "[]{}"\n  };\n\n  var Pos = CodeMirror.Pos;\n\n  CodeMirror.defineOption("autoCloseBrackets", false, function(cm, val, old) {\n    if (old && old != CodeMirror.Init) {\n      cm.removeKeyMap(keyMap);\n      cm.state.closeBrackets = null;\n    }\n    if (val) {\n      cm.state.closeBrackets = val;\n      cm.addKeyMap(keyMap);\n    }\n  });\n\n  function getOption(conf, name) {\n    if (name == "pairs" && typeof conf == "string") return conf;\n    if (typeof conf == "object" && conf[name] != null) return conf[name];\n    return defaults[name];\n  }\n\n  var bind = defaults.pairs + "`";\n  var keyMap = {Backspace: handleBackspace, Enter: handleEnter};\n  for (var i = 0; i < bind.length; i++)\n    keyMap["\'" + bind.charAt(i) + "\'"] = handler(bind.charAt(i));\n\n  function handler(ch) {\n    return function(cm) { return handleChar(cm, ch); };\n  }\n\n  function getConfig(cm) {\n    var deflt = cm.state.closeBrackets;\n    if (!deflt || deflt.override) return deflt;\n    var mode = cm.getModeAt(cm.getCursor());\n    return mode.closeBrackets || deflt;\n  }\n\n  function handleBackspace(cm) {\n    var conf = getConfig(cm);\n    if (!conf || cm.getOption("disableInput")) return CodeMirror.Pass;\n\n    var pairs = getOption(conf, "pairs");\n    var ranges = cm.listSelections();\n    for (var i = 0; i < ranges.length; i++) {\n      if (!ranges[i].empty()) return CodeMirror.Pass;\n      var around = charsAround(cm, ranges[i].head);\n      if (!around || pairs.indexOf(around) % 2 != 0) return CodeMirror.Pass;\n    }\n    for (var i = ranges.length - 1; i >= 0; i--) {\n      var cur = ranges[i].head;\n      cm.replaceRange("", Pos(cur.line, cur.ch - 1), Pos(cur.line, cur.ch + 1), "+delete");\n    }\n  }\n\n  function handleEnter(cm) {\n    var conf = getConfig(cm);\n    var explode = conf && getOption(conf, "explode");\n    if (!explode || cm.getOption("disableInput")) return CodeMirror.Pass;\n\n    var ranges = cm.listSelections();\n    for (var i = 0; i < ranges.length; i++) {\n      if (!ranges[i].empty()) return CodeMirror.Pass;\n      var around = charsAround(cm, ranges[i].head);\n      if (!around || explode.indexOf(around) % 2 != 0) return CodeMirror.Pass;\n    }\n    cm.operation(function() {\n      cm.replaceSelection("\\n\\n", null);\n      cm.execCommand("goCharLeft");\n      ranges = cm.listSelections();\n      for (var i = 0; i < ranges.length; i++) {\n        var line = ranges[i].head.line;\n        cm.indentLine(line, null, true);\n        cm.indentLine(line + 1, null, true);\n      }\n    });\n  }\n\n  function contractSelection(sel) {\n    var inverted = CodeMirror.cmpPos(sel.anchor, sel.head) > 0;\n    return {anchor: new Pos(sel.anchor.line, sel.anchor.ch + (inverted ? -1 : 1)),\n            head: new Pos(sel.head.line, sel.head.ch + (inverted ? 1 : -1))};\n  }\n\n  function handleChar(cm, ch) {\n    var conf = getConfig(cm);\n    if (!conf || cm.getOption("disableInput")) return CodeMirror.Pass;\n\n    var pairs = getOption(conf, "pairs");\n    var pos = pairs.indexOf(ch);\n    if (pos == -1) return CodeMirror.Pass;\n    var triples = getOption(conf, "triples");\n\n    var identical = pairs.charAt(pos + 1) == ch;\n    var ranges = cm.listSelections();\n    var opening = pos % 2 == 0;\n\n    var type;\n    for (var i = 0; i < ranges.length; i++) {\n      var range = ranges[i], cur = range.head, curType;\n      var next = cm.getRange(cur, Pos(cur.line, cur.ch + 1));\n      if (opening && !range.empty()) {\n        curType = "surround";\n      } else if ((identical || !opening) && next == ch) {\n        if (identical && stringStartsAfter(cm, cur))\n          curType = "both";\n        else if (triples.indexOf(ch) >= 0 && cm.getRange(cur, Pos(cur.line, cur.ch + 3)) == ch + ch + ch)\n          curType = "skipThree";\n        else\n          curType = "skip";\n      } else if (identical && cur.ch > 1 && triples.indexOf(ch) >= 0 &&\n                 cm.getRange(Pos(cur.line, cur.ch - 2), cur) == ch + ch &&\n                 (cur.ch <= 2 || cm.getRange(Pos(cur.line, cur.ch - 3), Pos(cur.line, cur.ch - 2)) != ch)) {\n        curType = "addFour";\n      } else if (identical) {\n        if (!CodeMirror.isWordChar(next) && enteringString(cm, cur, ch)) curType = "both";\n        else return CodeMirror.Pass;\n      } else if (opening && (cm.getLine(cur.line).length == cur.ch ||\n                             isClosingBracket(next, pairs) ||\n                             /\\s/.test(next))) {\n        curType = "both";\n      } else {\n        return CodeMirror.Pass;\n      }\n      if (!type) type = curType;\n      else if (type != curType) return CodeMirror.Pass;\n    }\n\n    var left = pos % 2 ? pairs.charAt(pos - 1) : ch;\n    var right = pos % 2 ? ch : pairs.charAt(pos + 1);\n    cm.operation(function() {\n      if (type == "skip") {\n        cm.execCommand("goCharRight");\n      } else if (type == "skipThree") {\n        for (var i = 0; i < 3; i++)\n          cm.execCommand("goCharRight");\n      } else if (type == "surround") {\n        var sels = cm.getSelections();\n        for (var i = 0; i < sels.length; i++)\n          sels[i] = left + sels[i] + right;\n        cm.replaceSelections(sels, "around");\n        sels = cm.listSelections().slice();\n        for (var i = 0; i < sels.length; i++)\n          sels[i] = contractSelection(sels[i]);\n        cm.setSelections(sels);\n      } else if (type == "both") {\n        cm.replaceSelection(left + right, null);\n        cm.triggerElectric(left + right);\n        cm.execCommand("goCharLeft");\n      } else if (type == "addFour") {\n        cm.replaceSelection(left + left + left + left, "before");\n        cm.execCommand("goCharRight");\n      }\n    });\n  }\n\n  function isClosingBracket(ch, pairs) {\n    var pos = pairs.lastIndexOf(ch);\n    return pos > -1 && pos % 2 == 1;\n  }\n\n  function charsAround(cm, pos) {\n    var str = cm.getRange(Pos(pos.line, pos.ch - 1),\n                          Pos(pos.line, pos.ch + 1));\n    return str.length == 2 ? str : null;\n  }\n\n  // Project the token type that will exists after the given char is\n  // typed, and use it to determine whether it would cause the start\n  // of a string token.\n  function enteringString(cm, pos, ch) {\n    var line = cm.getLine(pos.line);\n    var token = cm.getTokenAt(pos);\n    if (/\\bstring2?\\b/.test(token.type) || stringStartsAfter(cm, pos)) return false;\n    var stream = new CodeMirror.StringStream(line.slice(0, pos.ch) + ch + line.slice(pos.ch), 4);\n    stream.pos = stream.start = token.start;\n    for (;;) {\n      var type1 = cm.getMode().token(stream, token.state);\n      if (stream.pos >= pos.ch + 1) return /\\bstring2?\\b/.test(type1);\n      stream.start = stream.pos;\n    }\n  }\n\n  function stringStartsAfter(cm, pos) {\n    var token = cm.getTokenAt(Pos(pos.line, pos.ch + 1))\n    return /\\bstring/.test(token.type) && token.start == pos.ch\n  }\n});\n\n//# sourceURL=/thirdparty/CodeMirror/addon/edit/closebrackets.js'),eval('// CodeMirror, copyright (c) by Marijn Haverbeke and others\n// Distributed under an MIT license: http://codemirror.net/LICENSE\n\n(function(mod) {\n  if (typeof exports == "object" && typeof module == "object") // CommonJS\n    mod(require("../../lib/codemirror"));\n  else if (typeof define == "function" && define.amd) // AMD\n    define(\'thirdparty/CodeMirror/addon/fold/xml-fold\',["../../lib/codemirror"], mod);\n  else // Plain browser env\n    mod(CodeMirror);\n})(function(CodeMirror) {\n  "use strict";\n\n  var Pos = CodeMirror.Pos;\n  function cmp(a, b) { return a.line - b.line || a.ch - b.ch; }\n\n  var nameStartChar = "A-Z_a-z\\\\u00C0-\\\\u00D6\\\\u00D8-\\\\u00F6\\\\u00F8-\\\\u02FF\\\\u0370-\\\\u037D\\\\u037F-\\\\u1FFF\\\\u200C-\\\\u200D\\\\u2070-\\\\u218F\\\\u2C00-\\\\u2FEF\\\\u3001-\\\\uD7FF\\\\uF900-\\\\uFDCF\\\\uFDF0-\\\\uFFFD";\n  var nameChar = nameStartChar + "\\-\\:\\.0-9\\\\u00B7\\\\u0300-\\\\u036F\\\\u203F-\\\\u2040";\n  var xmlTagStart = new RegExp("<(/?)([" + nameStartChar + "][" + nameChar + "]*)", "g");\n\n  function Iter(cm, line, ch, range) {\n    this.line = line; this.ch = ch;\n    this.cm = cm; this.text = cm.getLine(line);\n    this.min = range ? Math.max(range.from, cm.firstLine()) : cm.firstLine();\n    this.max = range ? Math.min(range.to - 1, cm.lastLine()) : cm.lastLine();\n  }\n\n  function tagAt(iter, ch) {\n    var type = iter.cm.getTokenTypeAt(Pos(iter.line, ch));\n    return type && /\\btag\\b/.test(type);\n  }\n\n  function nextLine(iter) {\n    if (iter.line >= iter.max) return;\n    iter.ch = 0;\n    iter.text = iter.cm.getLine(++iter.line);\n    return true;\n  }\n  function prevLine(iter) {\n    if (iter.line <= iter.min) return;\n    iter.text = iter.cm.getLine(--iter.line);\n    iter.ch = iter.text.length;\n    return true;\n  }\n\n  function toTagEnd(iter) {\n    for (;;) {\n      var gt = iter.text.indexOf(">", iter.ch);\n      if (gt == -1) { if (nextLine(iter)) continue; else return; }\n      if (!tagAt(iter, gt + 1)) { iter.ch = gt + 1; continue; }\n      var lastSlash = iter.text.lastIndexOf("/", gt);\n      var selfClose = lastSlash > -1 && !/\\S/.test(iter.text.slice(lastSlash + 1, gt));\n      iter.ch = gt + 1;\n      return selfClose ? "selfClose" : "regular";\n    }\n  }\n  function toTagStart(iter) {\n    for (;;) {\n      var lt = iter.ch ? iter.text.lastIndexOf("<", iter.ch - 1) : -1;\n      if (lt == -1) { if (prevLine(iter)) continue; else return; }\n      if (!tagAt(iter, lt + 1)) { iter.ch = lt; continue; }\n      xmlTagStart.lastIndex = lt;\n      iter.ch = lt;\n      var match = xmlTagStart.exec(iter.text);\n      if (match && match.index == lt) return match;\n    }\n  }\n\n  function toNextTag(iter) {\n    for (;;) {\n      xmlTagStart.lastIndex = iter.ch;\n      var found = xmlTagStart.exec(iter.text);\n      if (!found) { if (nextLine(iter)) continue; else return; }\n      if (!tagAt(iter, found.index + 1)) { iter.ch = found.index + 1; continue; }\n      iter.ch = found.index + found[0].length;\n      return found;\n    }\n  }\n  function toPrevTag(iter) {\n    for (;;) {\n      var gt = iter.ch ? iter.text.lastIndexOf(">", iter.ch - 1) : -1;\n      if (gt == -1) { if (prevLine(iter)) continue; else return; }\n      if (!tagAt(iter, gt + 1)) { iter.ch = gt; continue; }\n      var lastSlash = iter.text.lastIndexOf("/", gt);\n      var selfClose = lastSlash > -1 && !/\\S/.test(iter.text.slice(lastSlash + 1, gt));\n      iter.ch = gt + 1;\n      return selfClose ? "selfClose" : "regular";\n    }\n  }\n\n  function findMatchingClose(iter, tag) {\n    var stack = [];\n    for (;;) {\n      var next = toNextTag(iter), end, startLine = iter.line, startCh = iter.ch - (next ? next[0].length : 0);\n      if (!next || !(end = toTagEnd(iter))) return;\n      if (end == "selfClose") continue;\n      if (next[1]) { // closing tag\n        for (var i = stack.length - 1; i >= 0; --i) if (stack[i] == next[2]) {\n          stack.length = i;\n          break;\n        }\n        if (i < 0 && (!tag || tag == next[2])) return {\n          tag: next[2],\n          from: Pos(startLine, startCh),\n          to: Pos(iter.line, iter.ch)\n        };\n      } else { // opening tag\n        stack.push(next[2]);\n      }\n    }\n  }\n  function findMatchingOpen(iter, tag) {\n    var stack = [];\n    for (;;) {\n      var prev = toPrevTag(iter);\n      if (!prev) return;\n      if (prev == "selfClose") { toTagStart(iter); continue; }\n      var endLine = iter.line, endCh = iter.ch;\n      var start = toTagStart(iter);\n      if (!start) return;\n      if (start[1]) { // closing tag\n        stack.push(start[2]);\n      } else { // opening tag\n        for (var i = stack.length - 1; i >= 0; --i) if (stack[i] == start[2]) {\n          stack.length = i;\n          break;\n        }\n        if (i < 0 && (!tag || tag == start[2])) return {\n          tag: start[2],\n          from: Pos(iter.line, iter.ch),\n          to: Pos(endLine, endCh)\n        };\n      }\n    }\n  }\n\n  CodeMirror.registerHelper("fold", "xml", function(cm, start) {\n    var iter = new Iter(cm, start.line, 0);\n    for (;;) {\n      var openTag = toNextTag(iter), end;\n      if (!openTag || iter.line != start.line || !(end = toTagEnd(iter))) return;\n      if (!openTag[1] && end != "selfClose") {\n        var startPos = Pos(iter.line, iter.ch);\n        var endPos = findMatchingClose(iter, openTag[2]);\n        return endPos && {from: startPos, to: endPos.from};\n      }\n    }\n  });\n  CodeMirror.findMatchingTag = function(cm, pos, range) {\n    var iter = new Iter(cm, pos.line, pos.ch, range);\n    if (iter.text.indexOf(">") == -1 && iter.text.indexOf("<") == -1) return;\n    var end = toTagEnd(iter), to = end && Pos(iter.line, iter.ch);\n    var start = end && toTagStart(iter);\n    if (!end || !start || cmp(iter, pos) > 0) return;\n    var here = {from: Pos(iter.line, iter.ch), to: to, tag: start[2]};\n    if (end == "selfClose") return {open: here, close: null, at: "open"};\n\n    if (start[1]) { // closing tag\n      return {open: findMatchingOpen(iter, start[2]), close: here, at: "close"};\n    } else { // opening tag\n      iter = new Iter(cm, to.line, to.ch, range);\n      return {open: here, close: findMatchingClose(iter, start[2]), at: "open"};\n    }\n  };\n\n  CodeMirror.findEnclosingTag = function(cm, pos, range) {\n    var iter = new Iter(cm, pos.line, pos.ch, range);\n    for (;;) {\n      var open = findMatchingOpen(iter);\n      if (!open) break;\n      var forward = new Iter(cm, pos.line, pos.ch, range);\n      var close = findMatchingClose(forward, open.tag);\n      if (close) return {open: open, close: close};\n    }\n  };\n\n  // Used by addon/edit/closetag.js\n  CodeMirror.scanForClosingTag = function(cm, pos, name, end) {\n    var iter = new Iter(cm, pos.line, pos.ch, end ? {from: 0, to: end} : null);\n    return findMatchingClose(iter, name);\n  };\n});\n\n//# sourceURL=/thirdparty/CodeMirror/addon/fold/xml-fold.js'),eval('// CodeMirror, copyright (c) by Marijn Haverbeke and others\n// Distributed under an MIT license: http://codemirror.net/LICENSE\n\n/**\n * Tag-closer extension for CodeMirror.\n *\n * This extension adds an "autoCloseTags" option that can be set to\n * either true to get the default behavior, or an object to further\n * configure its behavior.\n *\n * These are supported options:\n *\n * `whenClosing` (default true)\n *   Whether to autoclose when the \'/\' of a closing tag is typed.\n * `whenOpening` (default true)\n *   Whether to autoclose the tag when the final \'>\' of an opening\n *   tag is typed.\n * `dontCloseTags` (default is empty tags for HTML, none for XML)\n *   An array of tag names that should not be autoclosed.\n * `indentTags` (default is block tags for HTML, none for XML)\n *   An array of tag names that should, when opened, cause a\n *   blank line to be added inside the tag, and the blank line and\n *   closing line to be indented.\n *\n * See demos/closetag.html for a usage example.\n */\n\n(function(mod) {\n  if (typeof exports == "object" && typeof module == "object") // CommonJS\n    mod(require("../../lib/codemirror"), require("../fold/xml-fold"));\n  else if (typeof define == "function" && define.amd) // AMD\n    define(\'thirdparty/CodeMirror/addon/edit/closetag\',["../../lib/codemirror", "../fold/xml-fold"], mod);\n  else // Plain browser env\n    mod(CodeMirror);\n})(function(CodeMirror) {\n  CodeMirror.defineOption("autoCloseTags", false, function(cm, val, old) {\n    if (old != CodeMirror.Init && old)\n      cm.removeKeyMap("autoCloseTags");\n    if (!val) return;\n    var map = {name: "autoCloseTags"};\n    if (typeof val != "object" || val.whenClosing)\n      map["\'/\'"] = function(cm) { return autoCloseSlash(cm); };\n    if (typeof val != "object" || val.whenOpening)\n      map["\'>\'"] = function(cm) { return autoCloseGT(cm); };\n    cm.addKeyMap(map);\n  });\n\n  var htmlDontClose = ["area", "base", "br", "col", "command", "embed", "hr", "img", "input", "keygen", "link", "meta", "param",\n                       "source", "track", "wbr"];\n  var htmlIndent = ["applet", "blockquote", "body", "button", "div", "dl", "fieldset", "form", "frameset", "h1", "h2", "h3", "h4",\n                    "h5", "h6", "head", "html", "iframe", "layer", "legend", "object", "ol", "p", "select", "table", "ul"];\n\n  function autoCloseGT(cm) {\n    if (cm.getOption("disableInput")) return CodeMirror.Pass;\n    var ranges = cm.listSelections(), replacements = [];\n    for (var i = 0; i < ranges.length; i++) {\n      if (!ranges[i].empty()) return CodeMirror.Pass;\n      var pos = ranges[i].head, tok = cm.getTokenAt(pos);\n      var inner = CodeMirror.innerMode(cm.getMode(), tok.state), state = inner.state;\n      if (inner.mode.name != "xml" || !state.tagName) return CodeMirror.Pass;\n\n      var opt = cm.getOption("autoCloseTags"), html = inner.mode.configuration == "html";\n      var dontCloseTags = (typeof opt == "object" && opt.dontCloseTags) || (html && htmlDontClose);\n      var indentTags = (typeof opt == "object" && opt.indentTags) || (html && htmlIndent);\n\n      var tagName = state.tagName;\n      if (tok.end > pos.ch) tagName = tagName.slice(0, tagName.length - tok.end + pos.ch);\n      var lowerTagName = tagName.toLowerCase();\n      // Don\'t process the \'>\' at the end of an end-tag or self-closing tag\n      if (!tagName ||\n          tok.type == "string" && (tok.end != pos.ch || !/[\\"\\\']/.test(tok.string.charAt(tok.string.length - 1)) || tok.string.length == 1) ||\n          tok.type == "tag" && state.type == "closeTag" ||\n          tok.string.indexOf("/") == (tok.string.length - 1) || // match something like <someTagName />\n          dontCloseTags && indexOf(dontCloseTags, lowerTagName) > -1 ||\n          closingTagExists(cm, tagName, pos, state, true))\n        return CodeMirror.Pass;\n\n      var indent = indentTags && indexOf(indentTags, lowerTagName) > -1;\n      replacements[i] = {indent: indent,\n                         text: ">" + (indent ? "\\n\\n" : "") + "</" + tagName + ">",\n                         newPos: indent ? CodeMirror.Pos(pos.line + 1, 0) : CodeMirror.Pos(pos.line, pos.ch + 1)};\n    }\n\n    for (var i = ranges.length - 1; i >= 0; i--) {\n      var info = replacements[i];\n      cm.replaceRange(info.text, ranges[i].head, ranges[i].anchor, "+insert");\n      var sel = cm.listSelections().slice(0);\n      sel[i] = {head: info.newPos, anchor: info.newPos};\n      cm.setSelections(sel);\n      if (info.indent) {\n        cm.indentLine(info.newPos.line, null, true);\n        cm.indentLine(info.newPos.line + 1, null, true);\n      }\n    }\n  }\n\n  function autoCloseCurrent(cm, typingSlash) {\n    var ranges = cm.listSelections(), replacements = [];\n    var head = typingSlash ? "/" : "</";\n    for (var i = 0; i < ranges.length; i++) {\n      if (!ranges[i].empty()) return CodeMirror.Pass;\n      var pos = ranges[i].head, tok = cm.getTokenAt(pos);\n      var inner = CodeMirror.innerMode(cm.getMode(), tok.state), state = inner.state;\n      if (typingSlash && (tok.type == "string" || tok.string.charAt(0) != "<" ||\n                          tok.start != pos.ch - 1))\n        return CodeMirror.Pass;\n      // Kludge to get around the fact that we are not in XML mode\n      // when completing in JS/CSS snippet in htmlmixed mode. Does not\n      // work for other XML embedded languages (there is no general\n      // way to go from a mixed mode to its current XML state).\n      var replacement;\n      if (inner.mode.name != "xml") {\n        if (cm.getMode().name == "htmlmixed" && inner.mode.name == "javascript")\n          replacement = head + "script";\n        else if (cm.getMode().name == "htmlmixed" && inner.mode.name == "css")\n          replacement = head + "style";\n        else\n          return CodeMirror.Pass;\n      } else {\n        if (!state.context || !state.context.tagName ||\n            closingTagExists(cm, state.context.tagName, pos, state))\n          return CodeMirror.Pass;\n        replacement = head + state.context.tagName;\n      }\n      if (cm.getLine(pos.line).charAt(tok.end) != ">") replacement += ">";\n      replacements[i] = replacement;\n    }\n    cm.replaceSelections(replacements);\n    ranges = cm.listSelections();\n    for (var i = 0; i < ranges.length; i++)\n      if (i == ranges.length - 1 || ranges[i].head.line < ranges[i + 1].head.line)\n        cm.indentLine(ranges[i].head.line);\n  }\n\n  function autoCloseSlash(cm) {\n    if (cm.getOption("disableInput")) return CodeMirror.Pass;\n    return autoCloseCurrent(cm, true);\n  }\n\n  CodeMirror.commands.closeTag = function(cm) { return autoCloseCurrent(cm); };\n\n  function indexOf(collection, elt) {\n    if (collection.indexOf) return collection.indexOf(elt);\n    for (var i = 0, e = collection.length; i < e; ++i)\n      if (collection[i] == elt) return i;\n    return -1;\n  }\n\n  // If xml-fold is loaded, we use its functionality to try and verify\n  // whether a given tag is actually unclosed.\n  function closingTagExists(cm, tagName, pos, state, newTag) {\n    if (!CodeMirror.scanForClosingTag) return false;\n    var end = Math.min(cm.lastLine() + 1, pos.line + 500);\n    var nextClose = CodeMirror.scanForClosingTag(cm, pos, null, end);\n    if (!nextClose || nextClose.tag != tagName) return false;\n    var cx = state.context;\n    // If the immediate wrapping context contains onCx instances of\n    // the same tag, a closing tag only exists if there are at least\n    // that many closing tags of that type following.\n    for (var onCx = newTag ? 1 : 0; cx && cx.tagName == tagName; cx = cx.prev) ++onCx;\n    pos = nextClose.to;\n    for (var i = 1; i < onCx; i++) {\n      var next = CodeMirror.scanForClosingTag(cm, pos, null, end);\n      if (!next || next.tag != tagName) return false;\n      pos = next.to;\n    }\n    return true;\n  }\n});\n\n//# sourceURL=/thirdparty/CodeMirror/addon/edit/closetag.js'),eval('// CodeMirror, copyright (c) by Marijn Haverbeke and others\n// Distributed under an MIT license: http://codemirror.net/LICENSE\n\n(function(mod) {\n  if (typeof exports == "object" && typeof module == "object") // CommonJS\n    mod(require("../../lib/codemirror"));\n  else if (typeof define == "function" && define.amd) // AMD\n    define(\'thirdparty/CodeMirror/addon/edit/matchbrackets\',["../../lib/codemirror"], mod);\n  else // Plain browser env\n    mod(CodeMirror);\n})(function(CodeMirror) {\n  var ie_lt8 = /MSIE \\d/.test(navigator.userAgent) &&\n    (document.documentMode == null || document.documentMode < 8);\n\n  var Pos = CodeMirror.Pos;\n\n  var matching = {"(": ")>", ")": "(<", "[": "]>", "]": "[<", "{": "}>", "}": "{<"};\n\n  function findMatchingBracket(cm, where, strict, config) {\n    var line = cm.getLineHandle(where.line), pos = where.ch - 1;\n    var match = (pos >= 0 && matching[line.text.charAt(pos)]) || matching[line.text.charAt(++pos)];\n    if (!match) return null;\n    var dir = match.charAt(1) == ">" ? 1 : -1;\n    if (strict && (dir > 0) != (pos == where.ch)) return null;\n    var style = cm.getTokenTypeAt(Pos(where.line, pos + 1));\n\n    var found = scanForBracket(cm, Pos(where.line, pos + (dir > 0 ? 1 : 0)), dir, style || null, config);\n    if (found == null) return null;\n    return {from: Pos(where.line, pos), to: found && found.pos,\n            match: found && found.ch == match.charAt(0), forward: dir > 0};\n  }\n\n  // bracketRegex is used to specify which type of bracket to scan\n  // should be a regexp, e.g. /[[\\]]/\n  //\n  // Note: If "where" is on an open bracket, then this bracket is ignored.\n  //\n  // Returns false when no bracket was found, null when it reached\n  // maxScanLines and gave up\n  function scanForBracket(cm, where, dir, style, config) {\n    var maxScanLen = (config && config.maxScanLineLength) || 10000;\n    var maxScanLines = (config && config.maxScanLines) || 1000;\n\n    var stack = [];\n    var re = config && config.bracketRegex ? config.bracketRegex : /[(){}[\\]]/;\n    var lineEnd = dir > 0 ? Math.min(where.line + maxScanLines, cm.lastLine() + 1)\n                          : Math.max(cm.firstLine() - 1, where.line - maxScanLines);\n    for (var lineNo = where.line; lineNo != lineEnd; lineNo += dir) {\n      var line = cm.getLine(lineNo);\n      if (!line) continue;\n      var pos = dir > 0 ? 0 : line.length - 1, end = dir > 0 ? line.length : -1;\n      if (line.length > maxScanLen) continue;\n      if (lineNo == where.line) pos = where.ch - (dir < 0 ? 1 : 0);\n      for (; pos != end; pos += dir) {\n        var ch = line.charAt(pos);\n        if (re.test(ch) && (style === undefined || cm.getTokenTypeAt(Pos(lineNo, pos + 1)) == style)) {\n          var match = matching[ch];\n          if ((match.charAt(1) == ">") == (dir > 0)) stack.push(ch);\n          else if (!stack.length) return {pos: Pos(lineNo, pos), ch: ch};\n          else stack.pop();\n        }\n      }\n    }\n    return lineNo - dir == (dir > 0 ? cm.lastLine() : cm.firstLine()) ? false : null;\n  }\n\n  function matchBrackets(cm, autoclear, config) {\n    // Disable brace matching in long lines, since it\'ll cause hugely slow updates\n    var maxHighlightLen = cm.state.matchBrackets.maxHighlightLineLength || 1000;\n    var marks = [], ranges = cm.listSelections();\n    for (var i = 0; i < ranges.length; i++) {\n      var match = ranges[i].empty() && findMatchingBracket(cm, ranges[i].head, false, config);\n      if (match && cm.getLine(match.from.line).length <= maxHighlightLen) {\n        var style = match.match ? "CodeMirror-matchingbracket" : "CodeMirror-nonmatchingbracket";\n        marks.push(cm.markText(match.from, Pos(match.from.line, match.from.ch + 1), {className: style}));\n        if (match.to && cm.getLine(match.to.line).length <= maxHighlightLen)\n          marks.push(cm.markText(match.to, Pos(match.to.line, match.to.ch + 1), {className: style}));\n      }\n    }\n\n    if (marks.length) {\n      // Kludge to work around the IE bug from issue #1193, where text\n      // input stops going to the textare whever this fires.\n      if (ie_lt8 && cm.state.focused) cm.focus();\n\n      var clear = function() {\n        cm.operation(function() {\n          for (var i = 0; i < marks.length; i++) marks[i].clear();\n        });\n      };\n      if (autoclear) setTimeout(clear, 800);\n      else return clear;\n    }\n  }\n\n  var currentlyHighlighted = null;\n  function doMatchBrackets(cm) {\n    cm.operation(function() {\n      if (currentlyHighlighted) {currentlyHighlighted(); currentlyHighlighted = null;}\n      currentlyHighlighted = matchBrackets(cm, false, cm.state.matchBrackets);\n    });\n  }\n\n  CodeMirror.defineOption("matchBrackets", false, function(cm, val, old) {\n    if (old && old != CodeMirror.Init) {\n      cm.off("cursorActivity", doMatchBrackets);\n      if (currentlyHighlighted) {currentlyHighlighted(); currentlyHighlighted = null;}\n    }\n    if (val) {\n      cm.state.matchBrackets = typeof val == "object" ? val : {};\n      cm.on("cursorActivity", doMatchBrackets);\n    }\n  });\n\n  CodeMirror.defineExtension("matchBrackets", function() {matchBrackets(this, true);});\n  CodeMirror.defineExtension("findMatchingBracket", function(pos, strict, config){\n    return findMatchingBracket(this, pos, strict, config);\n  });\n  CodeMirror.defineExtension("scanForBracket", function(pos, dir, style, config){\n    return scanForBracket(this, pos, dir, style, config);\n  });\n});\n\n//# sourceURL=/thirdparty/CodeMirror/addon/edit/matchbrackets.js'),eval('// CodeMirror, copyright (c) by Marijn Haverbeke and others\n// Distributed under an MIT license: http://codemirror.net/LICENSE\n\n(function(mod) {\n  if (typeof exports == "object" && typeof module == "object") // CommonJS\n    mod(require("../../lib/codemirror"), require("../fold/xml-fold"));\n  else if (typeof define == "function" && define.amd) // AMD\n    define(\'thirdparty/CodeMirror/addon/edit/matchtags\',["../../lib/codemirror", "../fold/xml-fold"], mod);\n  else // Plain browser env\n    mod(CodeMirror);\n})(function(CodeMirror) {\n  "use strict";\n\n  CodeMirror.defineOption("matchTags", false, function(cm, val, old) {\n    if (old && old != CodeMirror.Init) {\n      cm.off("cursorActivity", doMatchTags);\n      cm.off("viewportChange", maybeUpdateMatch);\n      clear(cm);\n    }\n    if (val) {\n      cm.state.matchBothTags = typeof val == "object" && val.bothTags;\n      cm.on("cursorActivity", doMatchTags);\n      cm.on("viewportChange", maybeUpdateMatch);\n      doMatchTags(cm);\n    }\n  });\n\n  function clear(cm) {\n    if (cm.state.tagHit) cm.state.tagHit.clear();\n    if (cm.state.tagOther) cm.state.tagOther.clear();\n    cm.state.tagHit = cm.state.tagOther = null;\n  }\n\n  function doMatchTags(cm) {\n    cm.state.failedTagMatch = false;\n    cm.operation(function() {\n      clear(cm);\n      if (cm.somethingSelected()) return;\n      var cur = cm.getCursor(), range = cm.getViewport();\n      range.from = Math.min(range.from, cur.line); range.to = Math.max(cur.line + 1, range.to);\n      var match = CodeMirror.findMatchingTag(cm, cur, range);\n      if (!match) return;\n      if (cm.state.matchBothTags) {\n        var hit = match.at == "open" ? match.open : match.close;\n        if (hit) cm.state.tagHit = cm.markText(hit.from, hit.to, {className: "CodeMirror-matchingtag"});\n      }\n      var other = match.at == "close" ? match.open : match.close;\n      if (other)\n        cm.state.tagOther = cm.markText(other.from, other.to, {className: "CodeMirror-matchingtag"});\n      else\n        cm.state.failedTagMatch = true;\n    });\n  }\n\n  function maybeUpdateMatch(cm) {\n    if (cm.state.failedTagMatch) doMatchTags(cm);\n  }\n\n  CodeMirror.commands.toMatchingTag = function(cm) {\n    var found = CodeMirror.findMatchingTag(cm, cm.getCursor());\n    if (found) {\n      var other = found.at == "close" ? found.open : found.close;\n      if (other) cm.extendSelection(other.to, other.from);\n    }\n  };\n});\n\n//# sourceURL=/thirdparty/CodeMirror/addon/edit/matchtags.js'),eval('// CodeMirror, copyright (c) by Marijn Haverbeke and others\n// Distributed under an MIT license: http://codemirror.net/LICENSE\n\n(function(mod) {\n  if (typeof exports == "object" && typeof module == "object") // CommonJS\n    mod(require("../../lib/codemirror"));\n  else if (typeof define == "function" && define.amd) // AMD\n    define(\'thirdparty/CodeMirror/addon/mode/multiplex\',["../../lib/codemirror"], mod);\n  else // Plain browser env\n    mod(CodeMirror);\n})(function(CodeMirror) {\n"use strict";\n\nCodeMirror.multiplexingMode = function(outer /*, others */) {\n  // Others should be {open, close, mode [, delimStyle] [, innerStyle]} objects\n  var others = Array.prototype.slice.call(arguments, 1);\n\n  function indexOf(string, pattern, from, returnEnd) {\n    if (typeof pattern == "string") {\n      var found = string.indexOf(pattern, from);\n      return returnEnd && found > -1 ? found + pattern.length : found;\n    }\n    var m = pattern.exec(from ? string.slice(from) : string);\n    return m ? m.index + from + (returnEnd ? m[0].length : 0) : -1;\n  }\n\n  return {\n    startState: function() {\n      return {\n        outer: CodeMirror.startState(outer),\n        innerActive: null,\n        inner: null\n      };\n    },\n\n    copyState: function(state) {\n      return {\n        outer: CodeMirror.copyState(outer, state.outer),\n        innerActive: state.innerActive,\n        inner: state.innerActive && CodeMirror.copyState(state.innerActive.mode, state.inner)\n      };\n    },\n\n    token: function(stream, state) {\n      if (!state.innerActive) {\n        var cutOff = Infinity, oldContent = stream.string;\n        for (var i = 0; i < others.length; ++i) {\n          var other = others[i];\n          var found = indexOf(oldContent, other.open, stream.pos);\n          if (found == stream.pos) {\n            if (!other.parseDelimiters) stream.match(other.open);\n            state.innerActive = other;\n            state.inner = CodeMirror.startState(other.mode, outer.indent ? outer.indent(state.outer, "") : 0);\n            return other.delimStyle && (other.delimStyle + " " + other.delimStyle + "-open");\n          } else if (found != -1 && found < cutOff) {\n            cutOff = found;\n          }\n        }\n        if (cutOff != Infinity) stream.string = oldContent.slice(0, cutOff);\n        var outerToken = outer.token(stream, state.outer);\n        if (cutOff != Infinity) stream.string = oldContent;\n        return outerToken;\n      } else {\n        var curInner = state.innerActive, oldContent = stream.string;\n        if (!curInner.close && stream.sol()) {\n          state.innerActive = state.inner = null;\n          return this.token(stream, state);\n        }\n        var found = curInner.close ? indexOf(oldContent, curInner.close, stream.pos, curInner.parseDelimiters) : -1;\n        if (found == stream.pos && !curInner.parseDelimiters) {\n          stream.match(curInner.close);\n          state.innerActive = state.inner = null;\n          return curInner.delimStyle && (curInner.delimStyle + " " + curInner.delimStyle + "-close");\n        }\n        if (found > -1) stream.string = oldContent.slice(0, found);\n        var innerToken = curInner.mode.token(stream, state.inner);\n        if (found > -1) stream.string = oldContent;\n\n        if (found == stream.pos && curInner.parseDelimiters)\n          state.innerActive = state.inner = null;\n\n        if (curInner.innerStyle) {\n          if (innerToken) innerToken = innerToken + " " + curInner.innerStyle;\n          else innerToken = curInner.innerStyle;\n        }\n\n        return innerToken;\n      }\n    },\n\n    indent: function(state, textAfter) {\n      var mode = state.innerActive ? state.innerActive.mode : outer;\n      if (!mode.indent) return CodeMirror.Pass;\n      return mode.indent(state.innerActive ? state.inner : state.outer, textAfter);\n    },\n\n    blankLine: function(state) {\n      var mode = state.innerActive ? state.innerActive.mode : outer;\n      if (mode.blankLine) {\n        mode.blankLine(state.innerActive ? state.inner : state.outer);\n      }\n      if (!state.innerActive) {\n        for (var i = 0; i < others.length; ++i) {\n          var other = others[i];\n          if (other.open === "\\n") {\n            state.innerActive = other;\n            state.inner = CodeMirror.startState(other.mode, mode.indent ? mode.indent(state.outer, "") : 0);\n          }\n        }\n      } else if (state.innerActive.close === "\\n") {\n        state.innerActive = state.inner = null;\n      }\n    },\n\n    electricChars: outer.electricChars,\n\n    innerMode: function(state) {\n      return state.inner ? {state: state.inner, mode: state.innerActive.mode} : {state: state.outer, mode: outer};\n    }\n  };\n};\n\n});\n\n//# sourceURL=/thirdparty/CodeMirror/addon/mode/multiplex.js'),
eval('// CodeMirror, copyright (c) by Marijn Haverbeke and others\n// Distributed under an MIT license: http://codemirror.net/LICENSE\n\n// Utility function that allows modes to be combined. The mode given\n// as the base argument takes care of most of the normal mode\n// functionality, but a second (typically simple) mode is used, which\n// can override the style of text. Both modes get to parse all of the\n// text, but when both assign a non-null style to a piece of code, the\n// overlay wins, unless the combine argument was true and not overridden,\n// or state.overlay.combineTokens was true, in which case the styles are\n// combined.\n\n(function(mod) {\n  if (typeof exports == "object" && typeof module == "object") // CommonJS\n    mod(require("../../lib/codemirror"));\n  else if (typeof define == "function" && define.amd) // AMD\n    define(\'thirdparty/CodeMirror/addon/mode/overlay\',["../../lib/codemirror"], mod);\n  else // Plain browser env\n    mod(CodeMirror);\n})(function(CodeMirror) {\n"use strict";\n\nCodeMirror.overlayMode = function(base, overlay, combine) {\n  return {\n    startState: function() {\n      return {\n        base: CodeMirror.startState(base),\n        overlay: CodeMirror.startState(overlay),\n        basePos: 0, baseCur: null,\n        overlayPos: 0, overlayCur: null,\n        streamSeen: null\n      };\n    },\n    copyState: function(state) {\n      return {\n        base: CodeMirror.copyState(base, state.base),\n        overlay: CodeMirror.copyState(overlay, state.overlay),\n        basePos: state.basePos, baseCur: null,\n        overlayPos: state.overlayPos, overlayCur: null\n      };\n    },\n\n    token: function(stream, state) {\n      if (stream != state.streamSeen ||\n          Math.min(state.basePos, state.overlayPos) < stream.start) {\n        state.streamSeen = stream;\n        state.basePos = state.overlayPos = stream.start;\n      }\n\n      if (stream.start == state.basePos) {\n        state.baseCur = base.token(stream, state.base);\n        state.basePos = stream.pos;\n      }\n      if (stream.start == state.overlayPos) {\n        stream.pos = stream.start;\n        state.overlayCur = overlay.token(stream, state.overlay);\n        state.overlayPos = stream.pos;\n      }\n      stream.pos = Math.min(state.basePos, state.overlayPos);\n\n      // state.overlay.combineTokens always takes precedence over combine,\n      // unless set to null\n      if (state.overlayCur == null) return state.baseCur;\n      else if (state.baseCur != null &&\n               state.overlay.combineTokens ||\n               combine && state.overlay.combineTokens == null)\n        return state.baseCur + " " + state.overlayCur;\n      else return state.overlayCur;\n    },\n\n    indent: base.indent && function(state, textAfter) {\n      return base.indent(state.base, textAfter);\n    },\n    electricChars: base.electricChars,\n\n    innerMode: function(state) { return {state: state.base, mode: base}; },\n\n    blankLine: function(state) {\n      var baseToken, overlayToken;\n      if (base.blankLine) baseToken = base.blankLine(state.base);\n      if (overlay.blankLine) overlayToken = overlay.blankLine(state.overlay);\n\n      return overlayToken == null ?\n        baseToken :\n        (combine && baseToken != null ? baseToken + " " + overlayToken : overlayToken);\n    }\n  };\n};\n\n});\n\n//# sourceURL=/thirdparty/CodeMirror/addon/mode/overlay.js'),eval('// CodeMirror, copyright (c) by Marijn Haverbeke and others\n// Distributed under an MIT license: http://codemirror.net/LICENSE\n\n(function(mod) {\n  if (typeof exports == "object" && typeof module == "object") // CommonJS\n    mod(require("../../lib/codemirror"));\n  else if (typeof define == "function" && define.amd) // AMD\n    define(\'thirdparty/CodeMirror/addon/mode/simple\',["../../lib/codemirror"], mod);\n  else // Plain browser env\n    mod(CodeMirror);\n})(function(CodeMirror) {\n  "use strict";\n\n  CodeMirror.defineSimpleMode = function(name, states) {\n    CodeMirror.defineMode(name, function(config) {\n      return CodeMirror.simpleMode(config, states);\n    });\n  };\n\n  CodeMirror.simpleMode = function(config, states) {\n    ensureState(states, "start");\n    var states_ = {}, meta = states.meta || {}, hasIndentation = false;\n    for (var state in states) if (state != meta && states.hasOwnProperty(state)) {\n      var list = states_[state] = [], orig = states[state];\n      for (var i = 0; i < orig.length; i++) {\n        var data = orig[i];\n        list.push(new Rule(data, states));\n        if (data.indent || data.dedent) hasIndentation = true;\n      }\n    }\n    var mode = {\n      startState: function() {\n        return {state: "start", pending: null,\n                local: null, localState: null,\n                indent: hasIndentation ? [] : null};\n      },\n      copyState: function(state) {\n        var s = {state: state.state, pending: state.pending,\n                 local: state.local, localState: null,\n                 indent: state.indent && state.indent.slice(0)};\n        if (state.localState)\n          s.localState = CodeMirror.copyState(state.local.mode, state.localState);\n        if (state.stack)\n          s.stack = state.stack.slice(0);\n        for (var pers = state.persistentStates; pers; pers = pers.next)\n          s.persistentStates = {mode: pers.mode,\n                                spec: pers.spec,\n                                state: pers.state == state.localState ? s.localState : CodeMirror.copyState(pers.mode, pers.state),\n                                next: s.persistentStates};\n        return s;\n      },\n      token: tokenFunction(states_, config),\n      innerMode: function(state) { return state.local && {mode: state.local.mode, state: state.localState}; },\n      indent: indentFunction(states_, meta)\n    };\n    if (meta) for (var prop in meta) if (meta.hasOwnProperty(prop))\n      mode[prop] = meta[prop];\n    return mode;\n  };\n\n  function ensureState(states, name) {\n    if (!states.hasOwnProperty(name))\n      throw new Error("Undefined state " + name + " in simple mode");\n  }\n\n  function toRegex(val, caret) {\n    if (!val) return /(?:)/;\n    var flags = "";\n    if (val instanceof RegExp) {\n      if (val.ignoreCase) flags = "i";\n      val = val.source;\n    } else {\n      val = String(val);\n    }\n    return new RegExp((caret === false ? "" : "^") + "(?:" + val + ")", flags);\n  }\n\n  function asToken(val) {\n    if (!val) return null;\n    if (typeof val == "string") return val.replace(/\\./g, " ");\n    var result = [];\n    for (var i = 0; i < val.length; i++)\n      result.push(val[i] && val[i].replace(/\\./g, " "));\n    return result;\n  }\n\n  function Rule(data, states) {\n    if (data.next || data.push) ensureState(states, data.next || data.push);\n    this.regex = toRegex(data.regex);\n    this.token = asToken(data.token);\n    this.data = data;\n  }\n\n  function tokenFunction(states, config) {\n    return function(stream, state) {\n      if (state.pending) {\n        var pend = state.pending.shift();\n        if (state.pending.length == 0) state.pending = null;\n        stream.pos += pend.text.length;\n        return pend.token;\n      }\n\n      if (state.local) {\n        if (state.local.end && stream.match(state.local.end)) {\n          var tok = state.local.endToken || null;\n          state.local = state.localState = null;\n          return tok;\n        } else {\n          var tok = state.local.mode.token(stream, state.localState), m;\n          if (state.local.endScan && (m = state.local.endScan.exec(stream.current())))\n            stream.pos = stream.start + m.index;\n          return tok;\n        }\n      }\n\n      var curState = states[state.state];\n      for (var i = 0; i < curState.length; i++) {\n        var rule = curState[i];\n        var matches = (!rule.data.sol || stream.sol()) && stream.match(rule.regex);\n        if (matches) {\n          if (rule.data.next) {\n            state.state = rule.data.next;\n          } else if (rule.data.push) {\n            (state.stack || (state.stack = [])).push(state.state);\n            state.state = rule.data.push;\n          } else if (rule.data.pop && state.stack && state.stack.length) {\n            state.state = state.stack.pop();\n          }\n\n          if (rule.data.mode)\n            enterLocalMode(config, state, rule.data.mode, rule.token);\n          if (rule.data.indent)\n            state.indent.push(stream.indentation() + config.indentUnit);\n          if (rule.data.dedent)\n            state.indent.pop();\n          if (matches.length > 2) {\n            state.pending = [];\n            for (var j = 2; j < matches.length; j++)\n              if (matches[j])\n                state.pending.push({text: matches[j], token: rule.token[j - 1]});\n            stream.backUp(matches[0].length - (matches[1] ? matches[1].length : 0));\n            return rule.token[0];\n          } else if (rule.token && rule.token.join) {\n            return rule.token[0];\n          } else {\n            return rule.token;\n          }\n        }\n      }\n      stream.next();\n      return null;\n    };\n  }\n\n  function cmp(a, b) {\n    if (a === b) return true;\n    if (!a || typeof a != "object" || !b || typeof b != "object") return false;\n    var props = 0;\n    for (var prop in a) if (a.hasOwnProperty(prop)) {\n      if (!b.hasOwnProperty(prop) || !cmp(a[prop], b[prop])) return false;\n      props++;\n    }\n    for (var prop in b) if (b.hasOwnProperty(prop)) props--;\n    return props == 0;\n  }\n\n  function enterLocalMode(config, state, spec, token) {\n    var pers;\n    if (spec.persistent) for (var p = state.persistentStates; p && !pers; p = p.next)\n      if (spec.spec ? cmp(spec.spec, p.spec) : spec.mode == p.mode) pers = p;\n    var mode = pers ? pers.mode : spec.mode || CodeMirror.getMode(config, spec.spec);\n    var lState = pers ? pers.state : CodeMirror.startState(mode);\n    if (spec.persistent && !pers)\n      state.persistentStates = {mode: mode, spec: spec.spec, state: lState, next: state.persistentStates};\n\n    state.localState = lState;\n    state.local = {mode: mode,\n                   end: spec.end && toRegex(spec.end),\n                   endScan: spec.end && spec.forceEnd !== false && toRegex(spec.end, false),\n                   endToken: token && token.join ? token[token.length - 1] : token};\n  }\n\n  function indexOf(val, arr) {\n    for (var i = 0; i < arr.length; i++) if (arr[i] === val) return true;\n  }\n\n  function indentFunction(states, meta) {\n    return function(state, textAfter, line) {\n      if (state.local && state.local.mode.indent)\n        return state.local.mode.indent(state.localState, textAfter, line);\n      if (state.indent == null || state.local || meta.dontIndentStates && indexOf(state.state, meta.dontIndentStates) > -1)\n        return CodeMirror.Pass;\n\n      var pos = state.indent.length - 1, rules = states[state.state];\n      scan: for (;;) {\n        for (var i = 0; i < rules.length; i++) {\n          var rule = rules[i];\n          if (rule.data.dedent && rule.data.dedentIfLineStart !== false) {\n            var m = rule.regex.exec(textAfter);\n            if (m && m[0]) {\n              pos--;\n              if (rule.next || rule.push) rules = states[rule.next || rule.push];\n              textAfter = textAfter.slice(m[0].length);\n              continue scan;\n            }\n          }\n        }\n        break;\n      }\n      return pos < 0 ? 0 : state.indent[pos];\n    };\n  }\n});\n\n//# sourceURL=/thirdparty/CodeMirror/addon/mode/simple.js'),eval('// CodeMirror, copyright (c) by Marijn Haverbeke and others\n// Distributed under an MIT license: http://codemirror.net/LICENSE\n\n(function(mod) {\n  if (typeof exports == "object" && typeof module == "object") // CommonJS\n    mod(require("../../lib/codemirror"));\n  else if (typeof define == "function" && define.amd) // AMD\n    define(\'thirdparty/CodeMirror/addon/scroll/scrollpastend\',["../../lib/codemirror"], mod);\n  else // Plain browser env\n    mod(CodeMirror);\n})(function(CodeMirror) {\n  "use strict";\n\n  CodeMirror.defineOption("scrollPastEnd", false, function(cm, val, old) {\n    if (old && old != CodeMirror.Init) {\n      cm.off("change", onChange);\n      cm.off("refresh", updateBottomMargin);\n      cm.display.lineSpace.parentNode.style.paddingBottom = "";\n      cm.state.scrollPastEndPadding = null;\n    }\n    if (val) {\n      cm.on("change", onChange);\n      cm.on("refresh", updateBottomMargin);\n      updateBottomMargin(cm);\n    }\n  });\n\n  function onChange(cm, change) {\n    if (CodeMirror.changeEnd(change).line == cm.lastLine())\n      updateBottomMargin(cm);\n  }\n\n  function updateBottomMargin(cm) {\n    var padding = "";\n    if (cm.lineCount() > 1) {\n      var totalH = cm.display.scroller.clientHeight - 30,\n          lastLineH = cm.getLineHandle(cm.lastLine()).height;\n      padding = (totalH - lastLineH) + "px";\n    }\n    if (cm.state.scrollPastEndPadding != padding) {\n      cm.state.scrollPastEndPadding = padding;\n      cm.display.lineSpace.parentNode.style.paddingBottom = padding;\n      cm.off("refresh", updateBottomMargin);\n      cm.setSize();\n      cm.on("refresh", updateBottomMargin);\n    }\n  }\n});\n\n//# sourceURL=/thirdparty/CodeMirror/addon/scroll/scrollpastend.js'),eval('// CodeMirror, copyright (c) by Marijn Haverbeke and others\n// Distributed under an MIT license: http://codemirror.net/LICENSE\n\n(function(mod) {\n  if (typeof exports == "object" && typeof module == "object") // CommonJS\n    mod(require("../../lib/codemirror"));\n  else if (typeof define == "function" && define.amd) // AMD\n    define(\'thirdparty/CodeMirror/addon/search/searchcursor\',["../../lib/codemirror"], mod);\n  else // Plain browser env\n    mod(CodeMirror);\n})(function(CodeMirror) {\n  "use strict";\n  var Pos = CodeMirror.Pos;\n\n  function SearchCursor(doc, query, pos, caseFold) {\n    this.atOccurrence = false; this.doc = doc;\n    if (caseFold == null && typeof query == "string") caseFold = false;\n\n    pos = pos ? doc.clipPos(pos) : Pos(0, 0);\n    this.pos = {from: pos, to: pos};\n\n    // The matches method is filled in based on the type of query.\n    // It takes a position and a direction, and returns an object\n    // describing the next occurrence of the query, or null if no\n    // more matches were found.\n    if (typeof query != "string") { // Regexp match\n      if (!query.global) query = new RegExp(query.source, query.ignoreCase ? "ig" : "g");\n      this.matches = function(reverse, pos) {\n        if (reverse) {\n          query.lastIndex = 0;\n          var line = doc.getLine(pos.line).slice(0, pos.ch), cutOff = 0, match, start;\n          for (;;) {\n            query.lastIndex = cutOff;\n            var newMatch = query.exec(line);\n            if (!newMatch) break;\n            match = newMatch;\n            start = match.index;\n            cutOff = match.index + (match[0].length || 1);\n            if (cutOff == line.length) break;\n          }\n          var matchLen = (match && match[0].length) || 0;\n          if (!matchLen) {\n            if (start == 0 && line.length == 0) {match = undefined;}\n            else if (start != doc.getLine(pos.line).length) {\n              matchLen++;\n            }\n          }\n        } else {\n          query.lastIndex = pos.ch;\n          var line = doc.getLine(pos.line), match = query.exec(line);\n          var matchLen = (match && match[0].length) || 0;\n          var start = match && match.index;\n          if (start + matchLen != line.length && !matchLen) matchLen = 1;\n        }\n        if (match && matchLen)\n          return {from: Pos(pos.line, start),\n                  to: Pos(pos.line, start + matchLen),\n                  match: match};\n      };\n    } else { // String query\n      var origQuery = query;\n      if (caseFold) query = query.toLowerCase();\n      var fold = caseFold ? function(str){return str.toLowerCase();} : function(str){return str;};\n      var target = query.split("\\n");\n      // Different methods for single-line and multi-line queries\n      if (target.length == 1) {\n        if (!query.length) {\n          // Empty string would match anything and never progress, so\n          // we define it to match nothing instead.\n          this.matches = function() {};\n        } else {\n          this.matches = function(reverse, pos) {\n            if (reverse) {\n              var orig = doc.getLine(pos.line).slice(0, pos.ch), line = fold(orig);\n              var match = line.lastIndexOf(query);\n              if (match > -1) {\n                match = adjustPos(orig, line, match);\n                return {from: Pos(pos.line, match), to: Pos(pos.line, match + origQuery.length)};\n              }\n             } else {\n               var orig = doc.getLine(pos.line).slice(pos.ch), line = fold(orig);\n               var match = line.indexOf(query);\n               if (match > -1) {\n                 match = adjustPos(orig, line, match) + pos.ch;\n                 return {from: Pos(pos.line, match), to: Pos(pos.line, match + origQuery.length)};\n               }\n            }\n          };\n        }\n      } else {\n        var origTarget = origQuery.split("\\n");\n        this.matches = function(reverse, pos) {\n          var last = target.length - 1;\n          if (reverse) {\n            if (pos.line - (target.length - 1) < doc.firstLine()) return;\n            if (fold(doc.getLine(pos.line).slice(0, origTarget[last].length)) != target[target.length - 1]) return;\n            var to = Pos(pos.line, origTarget[last].length);\n            for (var ln = pos.line - 1, i = last - 1; i >= 1; --i, --ln)\n              if (target[i] != fold(doc.getLine(ln))) return;\n            var line = doc.getLine(ln), cut = line.length - origTarget[0].length;\n            if (fold(line.slice(cut)) != target[0]) return;\n            return {from: Pos(ln, cut), to: to};\n          } else {\n            if (pos.line + (target.length - 1) > doc.lastLine()) return;\n            var line = doc.getLine(pos.line), cut = line.length - origTarget[0].length;\n            if (fold(line.slice(cut)) != target[0]) return;\n            var from = Pos(pos.line, cut);\n            for (var ln = pos.line + 1, i = 1; i < last; ++i, ++ln)\n              if (target[i] != fold(doc.getLine(ln))) return;\n            if (fold(doc.getLine(ln).slice(0, origTarget[last].length)) != target[last]) return;\n            return {from: from, to: Pos(ln, origTarget[last].length)};\n          }\n        };\n      }\n    }\n  }\n\n  SearchCursor.prototype = {\n    findNext: function() {return this.find(false);},\n    findPrevious: function() {return this.find(true);},\n\n    find: function(reverse) {\n      var self = this, pos = this.doc.clipPos(reverse ? this.pos.from : this.pos.to);\n      function savePosAndFail(line) {\n        var pos = Pos(line, 0);\n        self.pos = {from: pos, to: pos};\n        self.atOccurrence = false;\n        return false;\n      }\n\n      for (;;) {\n        if (this.pos = this.matches(reverse, pos)) {\n          this.atOccurrence = true;\n          return this.pos.match || true;\n        }\n        if (reverse) {\n          if (!pos.line) return savePosAndFail(0);\n          pos = Pos(pos.line-1, this.doc.getLine(pos.line-1).length);\n        }\n        else {\n          var maxLine = this.doc.lineCount();\n          if (pos.line == maxLine - 1) return savePosAndFail(maxLine);\n          pos = Pos(pos.line + 1, 0);\n        }\n      }\n    },\n\n    from: function() {if (this.atOccurrence) return this.pos.from;},\n    to: function() {if (this.atOccurrence) return this.pos.to;},\n\n    replace: function(newText, origin) {\n      if (!this.atOccurrence) return;\n      var lines = CodeMirror.splitLines(newText);\n      this.doc.replaceRange(lines, this.pos.from, this.pos.to, origin);\n      this.pos.to = Pos(this.pos.from.line + lines.length - 1,\n                        lines[lines.length - 1].length + (lines.length == 1 ? this.pos.from.ch : 0));\n    }\n  };\n\n  // Maps a position in a case-folded line back to a position in the original line\n  // (compensating for codepoints increasing in number during folding)\n  function adjustPos(orig, folded, pos) {\n    if (orig.length == folded.length) return pos;\n    for (var pos1 = Math.min(pos, orig.length);;) {\n      var len1 = orig.slice(0, pos1).toLowerCase().length;\n      if (len1 < pos) ++pos1;\n      else if (len1 > pos) --pos1;\n      else return pos1;\n    }\n  }\n\n  CodeMirror.defineExtension("getSearchCursor", function(query, pos, caseFold) {\n    return new SearchCursor(this.doc, query, pos, caseFold);\n  });\n  CodeMirror.defineDocExtension("getSearchCursor", function(query, pos, caseFold) {\n    return new SearchCursor(this, query, pos, caseFold);\n  });\n\n  CodeMirror.defineExtension("selectMatches", function(query, caseFold) {\n    var ranges = [];\n    var cur = this.getSearchCursor(query, this.getCursor("from"), caseFold);\n    while (cur.findNext()) {\n      if (CodeMirror.cmpPos(cur.to(), this.getCursor("to")) > 0) break;\n      ranges.push({anchor: cur.from(), head: cur.to()});\n    }\n    if (ranges.length)\n      this.setSelections(ranges, 0);\n  });\n});\n\n//# sourceURL=/thirdparty/CodeMirror/addon/search/searchcursor.js'),eval('// CodeMirror, copyright (c) by Marijn Haverbeke and others\n// Distributed under an MIT license: http://codemirror.net/LICENSE\n\n(function(mod) {\n  if (typeof exports == "object" && typeof module == "object") // CommonJS\n    mod(require("../../lib/codemirror"));\n  else if (typeof define == "function" && define.amd) // AMD\n    define(\'thirdparty/CodeMirror/addon/scroll/annotatescrollbar\',["../../lib/codemirror"], mod);\n  else // Plain browser env\n    mod(CodeMirror);\n})(function(CodeMirror) {\n  "use strict";\n\n  CodeMirror.defineExtension("annotateScrollbar", function(options) {\n    if (typeof options == "string") options = {className: options};\n    return new Annotation(this, options);\n  });\n\n  CodeMirror.defineOption("scrollButtonHeight", 0);\n\n  function Annotation(cm, options) {\n    this.cm = cm;\n    this.options = options;\n    this.buttonHeight = options.scrollButtonHeight || cm.getOption("scrollButtonHeight");\n    this.annotations = [];\n    this.doRedraw = this.doUpdate = null;\n    this.div = cm.getWrapperElement().appendChild(document.createElement("div"));\n    this.div.style.cssText = "position: absolute; right: 0; top: 0; z-index: 7; pointer-events: none";\n    this.computeScale();\n\n    function scheduleRedraw(delay) {\n      clearTimeout(self.doRedraw);\n      self.doRedraw = setTimeout(function() { self.redraw(); }, delay);\n    }\n\n    var self = this;\n    cm.on("refresh", this.resizeHandler = function() {\n      clearTimeout(self.doUpdate);\n      self.doUpdate = setTimeout(function() {\n        if (self.computeScale()) scheduleRedraw(20);\n      }, 100);\n    });\n    cm.on("markerAdded", this.resizeHandler);\n    cm.on("markerCleared", this.resizeHandler);\n    if (options.listenForChanges !== false)\n      cm.on("change", this.changeHandler = function() {\n        scheduleRedraw(250);\n      });\n  }\n\n  Annotation.prototype.computeScale = function() {\n    var cm = this.cm;\n    var hScale = (cm.getWrapperElement().clientHeight - cm.display.barHeight - this.buttonHeight * 2) /\n      cm.getScrollerElement().scrollHeight\n    if (hScale != this.hScale) {\n      this.hScale = hScale;\n      return true;\n    }\n  };\n\n  Annotation.prototype.update = function(annotations) {\n    this.annotations = annotations;\n    this.redraw();\n  };\n\n  Annotation.prototype.redraw = function(compute) {\n    if (compute !== false) this.computeScale();\n    var cm = this.cm, hScale = this.hScale;\n\n    var frag = document.createDocumentFragment(), anns = this.annotations;\n\n    var wrapping = cm.getOption("lineWrapping");\n    var singleLineH = wrapping && cm.defaultTextHeight() * 1.5;\n    var curLine = null, curLineObj = null;\n    function getY(pos, top) {\n      if (curLine != pos.line) {\n        curLine = pos.line;\n        curLineObj = cm.getLineHandle(curLine);\n      }\n      if ((curLineObj.widgets && curLineObj.widgets.length) ||\n          (wrapping && curLineObj.height > singleLineH))\n        return cm.charCoords(pos, "local")[top ? "top" : "bottom"];\n      var topY = cm.heightAtLine(curLineObj, "local");\n      return topY + (top ? 0 : curLineObj.height);\n    }\n\n    var lastLine = cm.lastLine()\n    if (cm.display.barWidth) for (var i = 0, nextTop; i < anns.length; i++) {\n      var ann = anns[i];\n      if (ann.to.line > lastLine) continue;\n      var top = nextTop || getY(ann.from, true) * hScale;\n      var bottom = getY(ann.to, false) * hScale;\n      while (i < anns.length - 1) {\n        if (anns[i + 1].to.line > lastLine) break;\n        nextTop = getY(anns[i + 1].from, true) * hScale;\n        if (nextTop > bottom + .9) break;\n        ann = anns[++i];\n        bottom = getY(ann.to, false) * hScale;\n      }\n      if (bottom == top) continue;\n      var height = Math.max(bottom - top, 3);\n\n      var elt = frag.appendChild(document.createElement("div"));\n      elt.style.cssText = "position: absolute; right: 0px; width: " + Math.max(cm.display.barWidth - 1, 2) + "px; top: "\n        + (top + this.buttonHeight) + "px; height: " + height + "px";\n      elt.className = this.options.className;\n      if (ann.id) {\n        elt.setAttribute("annotation-id", ann.id);\n      }\n    }\n    this.div.textContent = "";\n    this.div.appendChild(frag);\n  };\n\n  Annotation.prototype.clear = function() {\n    this.cm.off("refresh", this.resizeHandler);\n    this.cm.off("markerAdded", this.resizeHandler);\n    this.cm.off("markerCleared", this.resizeHandler);\n    if (this.changeHandler) this.cm.off("change", this.changeHandler);\n    this.div.parentNode.removeChild(this.div);\n  };\n});\n\n//# sourceURL=/thirdparty/CodeMirror/addon/scroll/annotatescrollbar.js'),eval('// CodeMirror, copyright (c) by Marijn Haverbeke and others\n// Distributed under an MIT license: http://codemirror.net/LICENSE\n\n(function(mod) {\n  if (typeof exports == "object" && typeof module == "object") // CommonJS\n    mod(require("../../lib/codemirror"), require("./searchcursor"), require("../scroll/annotatescrollbar"));\n  else if (typeof define == "function" && define.amd) // AMD\n    define(\'thirdparty/CodeMirror/addon/search/matchesonscrollbar\',["../../lib/codemirror", "./searchcursor", "../scroll/annotatescrollbar"], mod);\n  else // Plain browser env\n    mod(CodeMirror);\n})(function(CodeMirror) {\n  "use strict";\n\n  CodeMirror.defineExtension("showMatchesOnScrollbar", function(query, caseFold, options) {\n    if (typeof options == "string") options = {className: options};\n    if (!options) options = {};\n    return new SearchAnnotation(this, query, caseFold, options);\n  });\n\n  function SearchAnnotation(cm, query, caseFold, options) {\n    this.cm = cm;\n    this.options = options;\n    var annotateOptions = {listenForChanges: false};\n    for (var prop in options) annotateOptions[prop] = options[prop];\n    if (!annotateOptions.className) annotateOptions.className = "CodeMirror-search-match";\n    this.annotation = cm.annotateScrollbar(annotateOptions);\n    this.query = query;\n    this.caseFold = caseFold;\n    this.gap = {from: cm.firstLine(), to: cm.lastLine() + 1};\n    this.matches = [];\n    this.update = null;\n\n    this.findMatches();\n    this.annotation.update(this.matches);\n\n    var self = this;\n    cm.on("change", this.changeHandler = function(_cm, change) { self.onChange(change); });\n  }\n\n  var MAX_MATCHES = 1000;\n\n  SearchAnnotation.prototype.findMatches = function() {\n    if (!this.gap) return;\n    for (var i = 0; i < this.matches.length; i++) {\n      var match = this.matches[i];\n      if (match.from.line >= this.gap.to) break;\n      if (match.to.line >= this.gap.from) this.matches.splice(i--, 1);\n    }\n    var cursor = this.cm.getSearchCursor(this.query, CodeMirror.Pos(this.gap.from, 0), this.caseFold);\n    var maxMatches = this.options && this.options.maxMatches || MAX_MATCHES;\n    while (cursor.findNext()) {\n      var match = {from: cursor.from(), to: cursor.to()};\n      if (match.from.line >= this.gap.to) break;\n      this.matches.splice(i++, 0, match);\n      if (this.matches.length > maxMatches) break;\n    }\n    this.gap = null;\n  };\n\n  function offsetLine(line, changeStart, sizeChange) {\n    if (line <= changeStart) return line;\n    return Math.max(changeStart, line + sizeChange);\n  }\n\n  SearchAnnotation.prototype.onChange = function(change) {\n    var startLine = change.from.line;\n    var endLine = CodeMirror.changeEnd(change).line;\n    var sizeChange = endLine - change.to.line;\n    if (this.gap) {\n      this.gap.from = Math.min(offsetLine(this.gap.from, startLine, sizeChange), change.from.line);\n      this.gap.to = Math.max(offsetLine(this.gap.to, startLine, sizeChange), change.from.line);\n    } else {\n      this.gap = {from: change.from.line, to: endLine + 1};\n    }\n\n    if (sizeChange) for (var i = 0; i < this.matches.length; i++) {\n      var match = this.matches[i];\n      var newFrom = offsetLine(match.from.line, startLine, sizeChange);\n      if (newFrom != match.from.line) match.from = CodeMirror.Pos(newFrom, match.from.ch);\n      var newTo = offsetLine(match.to.line, startLine, sizeChange);\n      if (newTo != match.to.line) match.to = CodeMirror.Pos(newTo, match.to.ch);\n    }\n    clearTimeout(this.update);\n    var self = this;\n    this.update = setTimeout(function() { self.updateAfterChange(); }, 250);\n  };\n\n  SearchAnnotation.prototype.updateAfterChange = function() {\n    this.findMatches();\n    this.annotation.update(this.matches);\n  };\n\n  SearchAnnotation.prototype.clear = function() {\n    this.cm.off("change", this.changeHandler);\n    this.annotation.clear();\n  };\n});\n\n//# sourceURL=/thirdparty/CodeMirror/addon/search/matchesonscrollbar.js'),eval('// CodeMirror, copyright (c) by Marijn Haverbeke and others\n// Distributed under an MIT license: http://codemirror.net/LICENSE\n\n// Highlighting text that matches the selection\n//\n// Defines an option highlightSelectionMatches, which, when enabled,\n// will style strings that match the selection throughout the\n// document.\n//\n// The option can be set to true to simply enable it, or to a\n// {minChars, style, wordsOnly, showToken, delay} object to explicitly\n// configure it. minChars is the minimum amount of characters that should be\n// selected for the behavior to occur, and style is the token style to\n// apply to the matches. This will be prefixed by "cm-" to create an\n// actual CSS class name. If wordsOnly is enabled, the matches will be\n// highlighted only if the selected text is a word. showToken, when enabled,\n// will cause the current token to be highlighted when nothing is selected.\n// delay is used to specify how much time to wait, in milliseconds, before\n// highlighting the matches. If annotateScrollbar is enabled, the occurences\n// will be highlighted on the scrollbar via the matchesonscrollbar addon.\n\n(function(mod) {\n  if (typeof exports == "object" && typeof module == "object") // CommonJS\n    mod(require("../../lib/codemirror"), require("./matchesonscrollbar"));\n  else if (typeof define == "function" && define.amd) // AMD\n    define(\'thirdparty/CodeMirror/addon/search/match-highlighter\',["../../lib/codemirror", "./matchesonscrollbar"], mod);\n  else // Plain browser env\n    mod(CodeMirror);\n})(function(CodeMirror) {\n  "use strict";\n\n  var defaults = {\n    style: "matchhighlight",\n    minChars: 2,\n    delay: 100,\n    wordsOnly: false,\n    annotateScrollbar: false,\n    showToken: false,\n    trim: true\n  }\n\n  function State(options) {\n    this.options = {}\n    for (var name in defaults)\n      this.options[name] = (options && options.hasOwnProperty(name) ? options : defaults)[name]\n    this.overlay = this.timeout = null;\n    this.matchesonscroll = null;\n    this.active = false;\n  }\n\n  CodeMirror.defineOption("highlightSelectionMatches", false, function(cm, val, old) {\n    if (old && old != CodeMirror.Init) {\n      removeOverlay(cm);\n      clearTimeout(cm.state.matchHighlighter.timeout);\n      cm.state.matchHighlighter = null;\n      cm.off("cursorActivity", cursorActivity);\n      cm.off("focus", onFocus)\n    }\n    if (val) {\n      var state = cm.state.matchHighlighter = new State(val);\n      if (cm.hasFocus()) {\n        state.active = true\n        highlightMatches(cm)\n      } else {\n        cm.on("focus", onFocus)\n      }\n      cm.on("cursorActivity", cursorActivity);\n    }\n  });\n\n  function cursorActivity(cm) {\n    var state = cm.state.matchHighlighter;\n    if (state.active || cm.hasFocus()) scheduleHighlight(cm, state)\n  }\n\n  function onFocus(cm) {\n    var state = cm.state.matchHighlighter\n    if (!state.active) {\n      state.active = true\n      scheduleHighlight(cm, state)\n    }\n  }\n\n  function scheduleHighlight(cm, state) {\n    clearTimeout(state.timeout);\n    state.timeout = setTimeout(function() {highlightMatches(cm);}, state.options.delay);\n  }\n\n  function addOverlay(cm, query, hasBoundary, style) {\n    var state = cm.state.matchHighlighter;\n    cm.addOverlay(state.overlay = makeOverlay(query, hasBoundary, style));\n    if (state.options.annotateScrollbar && cm.showMatchesOnScrollbar) {\n      var searchFor = hasBoundary ? new RegExp("\\\\b" + query + "\\\\b") : query;\n      state.matchesonscroll = cm.showMatchesOnScrollbar(searchFor, false,\n        {className: "CodeMirror-selection-highlight-scrollbar"});\n    }\n  }\n\n  function removeOverlay(cm) {\n    var state = cm.state.matchHighlighter;\n    if (state.overlay) {\n      cm.removeOverlay(state.overlay);\n      state.overlay = null;\n      if (state.matchesonscroll) {\n        state.matchesonscroll.clear();\n        state.matchesonscroll = null;\n      }\n    }\n  }\n\n  function highlightMatches(cm) {\n    cm.operation(function() {\n      var state = cm.state.matchHighlighter;\n      removeOverlay(cm);\n      if (!cm.somethingSelected() && state.options.showToken) {\n        var re = state.options.showToken === true ? /[\\w$]/ : state.options.showToken;\n        var cur = cm.getCursor(), line = cm.getLine(cur.line), start = cur.ch, end = start;\n        while (start && re.test(line.charAt(start - 1))) --start;\n        while (end < line.length && re.test(line.charAt(end))) ++end;\n        if (start < end)\n          addOverlay(cm, line.slice(start, end), re, state.options.style);\n        return;\n      }\n      var from = cm.getCursor("from"), to = cm.getCursor("to");\n      if (from.line != to.line) return;\n      if (state.options.wordsOnly && !isWord(cm, from, to)) return;\n      var selection = cm.getRange(from, to)\n      if (state.options.trim) selection = selection.replace(/^\\s+|\\s+$/g, "")\n      if (selection.length >= state.options.minChars)\n        addOverlay(cm, selection, false, state.options.style);\n    });\n  }\n\n  function isWord(cm, from, to) {\n    var str = cm.getRange(from, to);\n    if (str.match(/^\\w+$/) !== null) {\n        if (from.ch > 0) {\n            var pos = {line: from.line, ch: from.ch - 1};\n            var chr = cm.getRange(pos, from);\n            if (chr.match(/\\W/) === null) return false;\n        }\n        if (to.ch < cm.getLine(from.line).length) {\n            var pos = {line: to.line, ch: to.ch + 1};\n            var chr = cm.getRange(to, pos);\n            if (chr.match(/\\W/) === null) return false;\n        }\n        return true;\n    } else return false;\n  }\n\n  function boundariesAround(stream, re) {\n    return (!stream.start || !re.test(stream.string.charAt(stream.start - 1))) &&\n      (stream.pos == stream.string.length || !re.test(stream.string.charAt(stream.pos)));\n  }\n\n  function makeOverlay(query, hasBoundary, style) {\n    return {token: function(stream) {\n      if (stream.match(query) &&\n          (!hasBoundary || boundariesAround(stream, hasBoundary)))\n        return style;\n      stream.next();\n      stream.skipTo(query.charAt(0)) || stream.skipToEnd();\n    }};\n  }\n});\n\n//# sourceURL=/thirdparty/CodeMirror/addon/search/match-highlighter.js'),
eval('// CodeMirror, copyright (c) by Marijn Haverbeke and others\n// Distributed under an MIT license: http://codemirror.net/LICENSE\n\n(function(mod) {\n  if (typeof exports == "object" && typeof module == "object") // CommonJS\n    mod(require("../../lib/codemirror"));\n  else if (typeof define == "function" && define.amd) // AMD\n    define(\'thirdparty/CodeMirror/addon/selection/active-line\',["../../lib/codemirror"], mod);\n  else // Plain browser env\n    mod(CodeMirror);\n})(function(CodeMirror) {\n  "use strict";\n  var WRAP_CLASS = "CodeMirror-activeline";\n  var BACK_CLASS = "CodeMirror-activeline-background";\n  var GUTT_CLASS = "CodeMirror-activeline-gutter";\n\n  CodeMirror.defineOption("styleActiveLine", false, function(cm, val, old) {\n    var prev = old == CodeMirror.Init ? false : old;\n    if (val == prev) return\n    if (prev) {\n      cm.off("beforeSelectionChange", selectionChange);\n      clearActiveLines(cm);\n      delete cm.state.activeLines;\n    }\n    if (val) {\n      cm.state.activeLines = [];\n      updateActiveLines(cm, cm.listSelections());\n      cm.on("beforeSelectionChange", selectionChange);\n    }\n  });\n\n  function clearActiveLines(cm) {\n    for (var i = 0; i < cm.state.activeLines.length; i++) {\n      cm.removeLineClass(cm.state.activeLines[i], "wrap", WRAP_CLASS);\n      cm.removeLineClass(cm.state.activeLines[i], "background", BACK_CLASS);\n      cm.removeLineClass(cm.state.activeLines[i], "gutter", GUTT_CLASS);\n    }\n  }\n\n  function sameArray(a, b) {\n    if (a.length != b.length) return false;\n    for (var i = 0; i < a.length; i++)\n      if (a[i] != b[i]) return false;\n    return true;\n  }\n\n  function updateActiveLines(cm, ranges) {\n    var active = [];\n    for (var i = 0; i < ranges.length; i++) {\n      var range = ranges[i];\n      var option = cm.getOption("styleActiveLine");\n      if (typeof option == "object" && option.nonEmpty ? range.anchor.line != range.head.line : !range.empty())\n        continue\n      var line = cm.getLineHandleVisualStart(range.head.line);\n      if (active[active.length - 1] != line) active.push(line);\n    }\n    if (sameArray(cm.state.activeLines, active)) return;\n    cm.operation(function() {\n      clearActiveLines(cm);\n      for (var i = 0; i < active.length; i++) {\n        cm.addLineClass(active[i], "wrap", WRAP_CLASS);\n        cm.addLineClass(active[i], "background", BACK_CLASS);\n        cm.addLineClass(active[i], "gutter", GUTT_CLASS);\n      }\n      cm.state.activeLines = active;\n    });\n  }\n\n  function selectionChange(cm, sel) {\n    updateActiveLines(cm, sel.ranges);\n  }\n});\n\n//# sourceURL=/thirdparty/CodeMirror/addon/selection/active-line.js'),eval('// CodeMirror, copyright (c) by Marijn Haverbeke and others\n// Distributed under an MIT license: http://codemirror.net/LICENSE\n\n// Because sometimes you need to mark the selected *text*.\n//\n// Adds an option \'styleSelectedText\' which, when enabled, gives\n// selected text the CSS class given as option value, or\n// "CodeMirror-selectedtext" when the value is not a string.\n\n(function(mod) {\n  if (typeof exports == "object" && typeof module == "object") // CommonJS\n    mod(require("../../lib/codemirror"));\n  else if (typeof define == "function" && define.amd) // AMD\n    define(\'thirdparty/CodeMirror/addon/selection/mark-selection\',["../../lib/codemirror"], mod);\n  else // Plain browser env\n    mod(CodeMirror);\n})(function(CodeMirror) {\n  "use strict";\n\n  CodeMirror.defineOption("styleSelectedText", false, function(cm, val, old) {\n    var prev = old && old != CodeMirror.Init;\n    if (val && !prev) {\n      cm.state.markedSelection = [];\n      cm.state.markedSelectionStyle = typeof val == "string" ? val : "CodeMirror-selectedtext";\n      reset(cm);\n      cm.on("cursorActivity", onCursorActivity);\n      cm.on("change", onChange);\n    } else if (!val && prev) {\n      cm.off("cursorActivity", onCursorActivity);\n      cm.off("change", onChange);\n      clear(cm);\n      cm.state.markedSelection = cm.state.markedSelectionStyle = null;\n    }\n  });\n\n  function onCursorActivity(cm) {\n    cm.operation(function() { update(cm); });\n  }\n\n  function onChange(cm) {\n    if (cm.state.markedSelection.length)\n      cm.operation(function() { clear(cm); });\n  }\n\n  var CHUNK_SIZE = 8;\n  var Pos = CodeMirror.Pos;\n  var cmp = CodeMirror.cmpPos;\n\n  function coverRange(cm, from, to, addAt) {\n    if (cmp(from, to) == 0) return;\n    var array = cm.state.markedSelection;\n    var cls = cm.state.markedSelectionStyle;\n    for (var line = from.line;;) {\n      var start = line == from.line ? from : Pos(line, 0);\n      var endLine = line + CHUNK_SIZE, atEnd = endLine >= to.line;\n      var end = atEnd ? to : Pos(endLine, 0);\n      var mark = cm.markText(start, end, {className: cls});\n      if (addAt == null) array.push(mark);\n      else array.splice(addAt++, 0, mark);\n      if (atEnd) break;\n      line = endLine;\n    }\n  }\n\n  function clear(cm) {\n    var array = cm.state.markedSelection;\n    for (var i = 0; i < array.length; ++i) array[i].clear();\n    array.length = 0;\n  }\n\n  function reset(cm) {\n    clear(cm);\n    var ranges = cm.listSelections();\n    for (var i = 0; i < ranges.length; i++)\n      coverRange(cm, ranges[i].from(), ranges[i].to());\n  }\n\n  function update(cm) {\n    if (!cm.somethingSelected()) return clear(cm);\n    if (cm.listSelections().length > 1) return reset(cm);\n\n    var from = cm.getCursor("start"), to = cm.getCursor("end");\n\n    var array = cm.state.markedSelection;\n    if (!array.length) return coverRange(cm, from, to);\n\n    var coverStart = array[0].find(), coverEnd = array[array.length - 1].find();\n    if (!coverStart || !coverEnd || to.line - from.line < CHUNK_SIZE ||\n        cmp(from, coverEnd.to) >= 0 || cmp(to, coverStart.from) <= 0)\n      return reset(cm);\n\n    while (cmp(from, coverStart.from) > 0) {\n      array.shift().clear();\n      coverStart = array[0].find();\n    }\n    if (cmp(from, coverStart.from) < 0) {\n      if (coverStart.to.line - from.line < CHUNK_SIZE) {\n        array.shift().clear();\n        coverRange(cm, from, coverStart.to, 0);\n      } else {\n        coverRange(cm, from, coverStart.from, 0);\n      }\n    }\n\n    while (cmp(to, coverEnd.to) < 0) {\n      array.pop().clear();\n      coverEnd = array[array.length - 1].find();\n    }\n    if (cmp(to, coverEnd.to) > 0) {\n      if (to.line - coverEnd.from.line < CHUNK_SIZE) {\n        array.pop().clear();\n        coverRange(cm, coverEnd.from, to);\n      } else {\n        coverRange(cm, coverEnd.to, to);\n      }\n    }\n  }\n});\n\n//# sourceURL=/thirdparty/CodeMirror/addon/selection/mark-selection.js'),eval('// CodeMirror, copyright (c) by Marijn Haverbeke and others\n// Distributed under an MIT license: http://codemirror.net/LICENSE\n\n// A rough approximation of Sublime Text\'s keybindings\n// Depends on addon/search/searchcursor.js and optionally addon/dialog/dialogs.js\n\n(function(mod) {\n  if (typeof exports == "object" && typeof module == "object") // CommonJS\n    mod(require("../lib/codemirror"), require("../addon/search/searchcursor"), require("../addon/edit/matchbrackets"));\n  else if (typeof define == "function" && define.amd) // AMD\n    define(\'thirdparty/CodeMirror/keymap/sublime\',["../lib/codemirror", "../addon/search/searchcursor", "../addon/edit/matchbrackets"], mod);\n  else // Plain browser env\n    mod(CodeMirror);\n})(function(CodeMirror) {\n  "use strict";\n\n  var map = CodeMirror.keyMap.sublime = {fallthrough: "default"};\n  var cmds = CodeMirror.commands;\n  var Pos = CodeMirror.Pos;\n  var mac = CodeMirror.keyMap["default"] == CodeMirror.keyMap.macDefault;\n  var ctrl = mac ? "Cmd-" : "Ctrl-";\n\n  // This is not exactly Sublime\'s algorithm. I couldn\'t make heads or tails of that.\n  function findPosSubword(doc, start, dir) {\n    if (dir < 0 && start.ch == 0) return doc.clipPos(Pos(start.line - 1));\n    var line = doc.getLine(start.line);\n    if (dir > 0 && start.ch >= line.length) return doc.clipPos(Pos(start.line + 1, 0));\n    var state = "start", type;\n    for (var pos = start.ch, e = dir < 0 ? 0 : line.length, i = 0; pos != e; pos += dir, i++) {\n      var next = line.charAt(dir < 0 ? pos - 1 : pos);\n      var cat = next != "_" && CodeMirror.isWordChar(next) ? "w" : "o";\n      if (cat == "w" && next.toUpperCase() == next) cat = "W";\n      if (state == "start") {\n        if (cat != "o") { state = "in"; type = cat; }\n      } else if (state == "in") {\n        if (type != cat) {\n          if (type == "w" && cat == "W" && dir < 0) pos--;\n          if (type == "W" && cat == "w" && dir > 0) { type = "w"; continue; }\n          break;\n        }\n      }\n    }\n    return Pos(start.line, pos);\n  }\n\n  function moveSubword(cm, dir) {\n    cm.extendSelectionsBy(function(range) {\n      if (cm.display.shift || cm.doc.extend || range.empty())\n        return findPosSubword(cm.doc, range.head, dir);\n      else\n        return dir < 0 ? range.from() : range.to();\n    });\n  }\n\n  var goSubwordCombo = mac ? "Ctrl-" : "Alt-";\n\n  cmds[map[goSubwordCombo + "Left"] = "goSubwordLeft"] = function(cm) { moveSubword(cm, -1); };\n  cmds[map[goSubwordCombo + "Right"] = "goSubwordRight"] = function(cm) { moveSubword(cm, 1); };\n\n  if (mac) map["Cmd-Left"] = "goLineStartSmart";\n\n  var scrollLineCombo = mac ? "Ctrl-Alt-" : "Ctrl-";\n\n  cmds[map[scrollLineCombo + "Up"] = "scrollLineUp"] = function(cm) {\n    var info = cm.getScrollInfo();\n    if (!cm.somethingSelected()) {\n      var visibleBottomLine = cm.lineAtHeight(info.top + info.clientHeight, "local");\n      if (cm.getCursor().line >= visibleBottomLine)\n        cm.execCommand("goLineUp");\n    }\n    cm.scrollTo(null, info.top - cm.defaultTextHeight());\n  };\n  cmds[map[scrollLineCombo + "Down"] = "scrollLineDown"] = function(cm) {\n    var info = cm.getScrollInfo();\n    if (!cm.somethingSelected()) {\n      var visibleTopLine = cm.lineAtHeight(info.top, "local")+1;\n      if (cm.getCursor().line <= visibleTopLine)\n        cm.execCommand("goLineDown");\n    }\n    cm.scrollTo(null, info.top + cm.defaultTextHeight());\n  };\n\n  cmds[map["Shift-" + ctrl + "L"] = "splitSelectionByLine"] = function(cm) {\n    var ranges = cm.listSelections(), lineRanges = [];\n    for (var i = 0; i < ranges.length; i++) {\n      var from = ranges[i].from(), to = ranges[i].to();\n      for (var line = from.line; line <= to.line; ++line)\n        if (!(to.line > from.line && line == to.line && to.ch == 0))\n          lineRanges.push({anchor: line == from.line ? from : Pos(line, 0),\n                           head: line == to.line ? to : Pos(line)});\n    }\n    cm.setSelections(lineRanges, 0);\n  };\n\n  map["Shift-Tab"] = "indentLess";\n\n  cmds[map["Esc"] = "singleSelectionTop"] = function(cm) {\n    var range = cm.listSelections()[0];\n    cm.setSelection(range.anchor, range.head, {scroll: false});\n  };\n\n  cmds[map[ctrl + "L"] = "selectLine"] = function(cm) {\n    var ranges = cm.listSelections(), extended = [];\n    for (var i = 0; i < ranges.length; i++) {\n      var range = ranges[i];\n      extended.push({anchor: Pos(range.from().line, 0),\n                     head: Pos(range.to().line + 1, 0)});\n    }\n    cm.setSelections(extended);\n  };\n\n  map["Shift-Ctrl-K"] = "deleteLine";\n\n  function insertLine(cm, above) {\n    if (cm.isReadOnly()) return CodeMirror.Pass\n    cm.operation(function() {\n      var len = cm.listSelections().length, newSelection = [], last = -1;\n      for (var i = 0; i < len; i++) {\n        var head = cm.listSelections()[i].head;\n        if (head.line <= last) continue;\n        var at = Pos(head.line + (above ? 0 : 1), 0);\n        cm.replaceRange("\\n", at, null, "+insertLine");\n        cm.indentLine(at.line, null, true);\n        newSelection.push({head: at, anchor: at});\n        last = head.line + 1;\n      }\n      cm.setSelections(newSelection);\n    });\n    cm.execCommand("indentAuto");\n  }\n\n  cmds[map[ctrl + "Enter"] = "insertLineAfter"] = function(cm) { return insertLine(cm, false); };\n\n  cmds[map["Shift-" + ctrl + "Enter"] = "insertLineBefore"] = function(cm) { return insertLine(cm, true); };\n\n  function wordAt(cm, pos) {\n    var start = pos.ch, end = start, line = cm.getLine(pos.line);\n    while (start && CodeMirror.isWordChar(line.charAt(start - 1))) --start;\n    while (end < line.length && CodeMirror.isWordChar(line.charAt(end))) ++end;\n    return {from: Pos(pos.line, start), to: Pos(pos.line, end), word: line.slice(start, end)};\n  }\n\n  cmds[map[ctrl + "D"] = "selectNextOccurrence"] = function(cm) {\n    var from = cm.getCursor("from"), to = cm.getCursor("to");\n    var fullWord = cm.state.sublimeFindFullWord == cm.doc.sel;\n    if (CodeMirror.cmpPos(from, to) == 0) {\n      var word = wordAt(cm, from);\n      if (!word.word) return;\n      cm.setSelection(word.from, word.to);\n      fullWord = true;\n    } else {\n      var text = cm.getRange(from, to);\n      var query = fullWord ? new RegExp("\\\\b" + text + "\\\\b") : text;\n      var cur = cm.getSearchCursor(query, to);\n      var found = cur.findNext();\n      if (!found) {\n        cur = cm.getSearchCursor(query, Pos(cm.firstLine(), 0));\n        found = cur.findNext();\n      }\n      if (!found || isSelectedRange(cm.listSelections(), cur.from(), cur.to()))\n        return CodeMirror.Pass\n      cm.addSelection(cur.from(), cur.to());\n    }\n    if (fullWord)\n      cm.state.sublimeFindFullWord = cm.doc.sel;\n  };\n\n  function isSelectedRange(ranges, from, to) {\n    for (var i = 0; i < ranges.length; i++)\n      if (ranges[i].from() == from && ranges[i].to() == to) return true\n    return false\n  }\n\n  var mirror = "(){}[]";\n  function selectBetweenBrackets(cm) {\n    var ranges = cm.listSelections(), newRanges = []\n    for (var i = 0; i < ranges.length; i++) {\n      var range = ranges[i], pos = range.head, opening = cm.scanForBracket(pos, -1);\n      if (!opening) return false;\n      for (;;) {\n        var closing = cm.scanForBracket(pos, 1);\n        if (!closing) return false;\n        if (closing.ch == mirror.charAt(mirror.indexOf(opening.ch) + 1)) {\n          newRanges.push({anchor: Pos(opening.pos.line, opening.pos.ch + 1),\n                          head: closing.pos});\n          break;\n        }\n        pos = Pos(closing.pos.line, closing.pos.ch + 1);\n      }\n    }\n    cm.setSelections(newRanges);\n    return true;\n  }\n\n  cmds[map["Shift-" + ctrl + "Space"] = "selectScope"] = function(cm) {\n    selectBetweenBrackets(cm) || cm.execCommand("selectAll");\n  };\n  cmds[map["Shift-" + ctrl + "M"] = "selectBetweenBrackets"] = function(cm) {\n    if (!selectBetweenBrackets(cm)) return CodeMirror.Pass;\n  };\n\n  cmds[map[ctrl + "M"] = "goToBracket"] = function(cm) {\n    cm.extendSelectionsBy(function(range) {\n      var next = cm.scanForBracket(range.head, 1);\n      if (next && CodeMirror.cmpPos(next.pos, range.head) != 0) return next.pos;\n      var prev = cm.scanForBracket(range.head, -1);\n      return prev && Pos(prev.pos.line, prev.pos.ch + 1) || range.head;\n    });\n  };\n\n  var swapLineCombo = mac ? "Cmd-Ctrl-" : "Shift-Ctrl-";\n\n  cmds[map[swapLineCombo + "Up"] = "swapLineUp"] = function(cm) {\n    if (cm.isReadOnly()) return CodeMirror.Pass\n    var ranges = cm.listSelections(), linesToMove = [], at = cm.firstLine() - 1, newSels = [];\n    for (var i = 0; i < ranges.length; i++) {\n      var range = ranges[i], from = range.from().line - 1, to = range.to().line;\n      newSels.push({anchor: Pos(range.anchor.line - 1, range.anchor.ch),\n                    head: Pos(range.head.line - 1, range.head.ch)});\n      if (range.to().ch == 0 && !range.empty()) --to;\n      if (from > at) linesToMove.push(from, to);\n      else if (linesToMove.length) linesToMove[linesToMove.length - 1] = to;\n      at = to;\n    }\n    cm.operation(function() {\n      for (var i = 0; i < linesToMove.length; i += 2) {\n        var from = linesToMove[i], to = linesToMove[i + 1];\n        var line = cm.getLine(from);\n        cm.replaceRange("", Pos(from, 0), Pos(from + 1, 0), "+swapLine");\n        if (to > cm.lastLine())\n          cm.replaceRange("\\n" + line, Pos(cm.lastLine()), null, "+swapLine");\n        else\n          cm.replaceRange(line + "\\n", Pos(to, 0), null, "+swapLine");\n      }\n      cm.setSelections(newSels);\n      cm.scrollIntoView();\n    });\n  };\n\n  cmds[map[swapLineCombo + "Down"] = "swapLineDown"] = function(cm) {\n    if (cm.isReadOnly()) return CodeMirror.Pass\n    var ranges = cm.listSelections(), linesToMove = [], at = cm.lastLine() + 1;\n    for (var i = ranges.length - 1; i >= 0; i--) {\n      var range = ranges[i], from = range.to().line + 1, to = range.from().line;\n      if (range.to().ch == 0 && !range.empty()) from--;\n      if (from < at) linesToMove.push(from, to);\n      else if (linesToMove.length) linesToMove[linesToMove.length - 1] = to;\n      at = to;\n    }\n    cm.operation(function() {\n      for (var i = linesToMove.length - 2; i >= 0; i -= 2) {\n        var from = linesToMove[i], to = linesToMove[i + 1];\n        var line = cm.getLine(from);\n        if (from == cm.lastLine())\n          cm.replaceRange("", Pos(from - 1), Pos(from), "+swapLine");\n        else\n          cm.replaceRange("", Pos(from, 0), Pos(from + 1, 0), "+swapLine");\n        cm.replaceRange(line + "\\n", Pos(to, 0), null, "+swapLine");\n      }\n      cm.scrollIntoView();\n    });\n  };\n\n  cmds[map[ctrl + "/"] = "toggleCommentIndented"] = function(cm) {\n    cm.toggleComment({ indent: true });\n  }\n\n  cmds[map[ctrl + "J"] = "joinLines"] = function(cm) {\n    var ranges = cm.listSelections(), joined = [];\n    for (var i = 0; i < ranges.length; i++) {\n      var range = ranges[i], from = range.from();\n      var start = from.line, end = range.to().line;\n      while (i < ranges.length - 1 && ranges[i + 1].from().line == end)\n        end = ranges[++i].to().line;\n      joined.push({start: start, end: end, anchor: !range.empty() && from});\n    }\n    cm.operation(function() {\n      var offset = 0, ranges = [];\n      for (var i = 0; i < joined.length; i++) {\n        var obj = joined[i];\n        var anchor = obj.anchor && Pos(obj.anchor.line - offset, obj.anchor.ch), head;\n        for (var line = obj.start; line <= obj.end; line++) {\n          var actual = line - offset;\n          if (line == obj.end) head = Pos(actual, cm.getLine(actual).length + 1);\n          if (actual < cm.lastLine()) {\n            cm.replaceRange(" ", Pos(actual), Pos(actual + 1, /^\\s*/.exec(cm.getLine(actual + 1))[0].length));\n            ++offset;\n          }\n        }\n        ranges.push({anchor: anchor || head, head: head});\n      }\n      cm.setSelections(ranges, 0);\n    });\n  };\n\n  cmds[map["Shift-" + ctrl + "D"] = "duplicateLine"] = function(cm) {\n    cm.operation(function() {\n      var rangeCount = cm.listSelections().length;\n      for (var i = 0; i < rangeCount; i++) {\n        var range = cm.listSelections()[i];\n        if (range.empty())\n          cm.replaceRange(cm.getLine(range.head.line) + "\\n", Pos(range.head.line, 0));\n        else\n          cm.replaceRange(cm.getRange(range.from(), range.to()), range.from());\n      }\n      cm.scrollIntoView();\n    });\n  };\n\n  if (!mac) map[ctrl + "T"] = "transposeChars";\n\n  function sortLines(cm, caseSensitive) {\n    if (cm.isReadOnly()) return CodeMirror.Pass\n    var ranges = cm.listSelections(), toSort = [], selected;\n    for (var i = 0; i < ranges.length; i++) {\n      var range = ranges[i];\n      if (range.empty()) continue;\n      var from = range.from().line, to = range.to().line;\n      while (i < ranges.length - 1 && ranges[i + 1].from().line == to)\n        to = ranges[++i].to().line;\n      if (!ranges[i].to().ch) to--;\n      toSort.push(from, to);\n    }\n    if (toSort.length) selected = true;\n    else toSort.push(cm.firstLine(), cm.lastLine());\n\n    cm.operation(function() {\n      var ranges = [];\n      for (var i = 0; i < toSort.length; i += 2) {\n        var from = toSort[i], to = toSort[i + 1];\n        var start = Pos(from, 0), end = Pos(to);\n        var lines = cm.getRange(start, end, false);\n        if (caseSensitive)\n          lines.sort();\n        else\n          lines.sort(function(a, b) {\n            var au = a.toUpperCase(), bu = b.toUpperCase();\n            if (au != bu) { a = au; b = bu; }\n            return a < b ? -1 : a == b ? 0 : 1;\n          });\n        cm.replaceRange(lines, start, end);\n        if (selected) ranges.push({anchor: start, head: Pos(to + 1, 0)});\n      }\n      if (selected) cm.setSelections(ranges, 0);\n    });\n  }\n\n  cmds[map["F9"] = "sortLines"] = function(cm) { sortLines(cm, true); };\n  cmds[map[ctrl + "F9"] = "sortLinesInsensitive"] = function(cm) { sortLines(cm, false); };\n\n  cmds[map["F2"] = "nextBookmark"] = function(cm) {\n    var marks = cm.state.sublimeBookmarks;\n    if (marks) while (marks.length) {\n      var current = marks.shift();\n      var found = current.find();\n      if (found) {\n        marks.push(current);\n        return cm.setSelection(found.from, found.to);\n      }\n    }\n  };\n\n  cmds[map["Shift-F2"] = "prevBookmark"] = function(cm) {\n    var marks = cm.state.sublimeBookmarks;\n    if (marks) while (marks.length) {\n      marks.unshift(marks.pop());\n      var found = marks[marks.length - 1].find();\n      if (!found)\n        marks.pop();\n      else\n        return cm.setSelection(found.from, found.to);\n    }\n  };\n\n  cmds[map[ctrl + "F2"] = "toggleBookmark"] = function(cm) {\n    var ranges = cm.listSelections();\n    var marks = cm.state.sublimeBookmarks || (cm.state.sublimeBookmarks = []);\n    for (var i = 0; i < ranges.length; i++) {\n      var from = ranges[i].from(), to = ranges[i].to();\n      var found = cm.findMarks(from, to);\n      for (var j = 0; j < found.length; j++) {\n        if (found[j].sublimeBookmark) {\n          found[j].clear();\n          for (var k = 0; k < marks.length; k++)\n            if (marks[k] == found[j])\n              marks.splice(k--, 1);\n          break;\n        }\n      }\n      if (j == found.length)\n        marks.push(cm.markText(from, to, {sublimeBookmark: true, clearWhenEmpty: false}));\n    }\n  };\n\n  cmds[map["Shift-" + ctrl + "F2"] = "clearBookmarks"] = function(cm) {\n    var marks = cm.state.sublimeBookmarks;\n    if (marks) for (var i = 0; i < marks.length; i++) marks[i].clear();\n    marks.length = 0;\n  };\n\n  cmds[map["Alt-F2"] = "selectBookmarks"] = function(cm) {\n    var marks = cm.state.sublimeBookmarks, ranges = [];\n    if (marks) for (var i = 0; i < marks.length; i++) {\n      var found = marks[i].find();\n      if (!found)\n        marks.splice(i--, 0);\n      else\n        ranges.push({anchor: found.from, head: found.to});\n    }\n    if (ranges.length)\n      cm.setSelections(ranges, 0);\n  };\n\n  map["Alt-Q"] = "wrapLines";\n\n  var cK = ctrl + "K ";\n\n  function modifyWordOrSelection(cm, mod) {\n    cm.operation(function() {\n      var ranges = cm.listSelections(), indices = [], replacements = [];\n      for (var i = 0; i < ranges.length; i++) {\n        var range = ranges[i];\n        if (range.empty()) { indices.push(i); replacements.push(""); }\n        else replacements.push(mod(cm.getRange(range.from(), range.to())));\n      }\n      cm.replaceSelections(replacements, "around", "case");\n      for (var i = indices.length - 1, at; i >= 0; i--) {\n        var range = ranges[indices[i]];\n        if (at && CodeMirror.cmpPos(range.head, at) > 0) continue;\n        var word = wordAt(cm, range.head);\n        at = word.from;\n        cm.replaceRange(mod(word.word), word.from, word.to);\n      }\n    });\n  }\n\n  map[cK + ctrl + "Backspace"] = "delLineLeft";\n\n  cmds[map["Backspace"] = "smartBackspace"] = function(cm) {\n    if (cm.somethingSelected()) return CodeMirror.Pass;\n\n    cm.operation(function() {\n      var cursors = cm.listSelections();\n      var indentUnit = cm.getOption("indentUnit");\n\n      for (var i = cursors.length - 1; i >= 0; i--) {\n        var cursor = cursors[i].head;\n        var toStartOfLine = cm.getRange({line: cursor.line, ch: 0}, cursor);\n        var column = CodeMirror.countColumn(toStartOfLine, null, cm.getOption("tabSize"));\n\n        // Delete by one character by default\n        var deletePos = cm.findPosH(cursor, -1, "char", false);\n\n        if (toStartOfLine && !/\\S/.test(toStartOfLine) && column % indentUnit == 0) {\n          var prevIndent = new Pos(cursor.line,\n            CodeMirror.findColumn(toStartOfLine, column - indentUnit, indentUnit));\n\n          // Smart delete only if we found a valid prevIndent location\n          if (prevIndent.ch != cursor.ch) deletePos = prevIndent;\n        }\n\n        cm.replaceRange("", deletePos, cursor, "+delete");\n      }\n    });\n  };\n\n  cmds[map[cK + ctrl + "K"] = "delLineRight"] = function(cm) {\n    cm.operation(function() {\n      var ranges = cm.listSelections();\n      for (var i = ranges.length - 1; i >= 0; i--)\n        cm.replaceRange("", ranges[i].anchor, Pos(ranges[i].to().line), "+delete");\n      cm.scrollIntoView();\n    });\n  };\n\n  cmds[map[cK + ctrl + "U"] = "upcaseAtCursor"] = function(cm) {\n    modifyWordOrSelection(cm, function(str) { return str.toUpperCase(); });\n  };\n  cmds[map[cK + ctrl + "L"] = "downcaseAtCursor"] = function(cm) {\n    modifyWordOrSelection(cm, function(str) { return str.toLowerCase(); });\n  };\n\n  cmds[map[cK + ctrl + "Space"] = "setSublimeMark"] = function(cm) {\n    if (cm.state.sublimeMark) cm.state.sublimeMark.clear();\n    cm.state.sublimeMark = cm.setBookmark(cm.getCursor());\n  };\n  cmds[map[cK + ctrl + "A"] = "selectToSublimeMark"] = function(cm) {\n    var found = cm.state.sublimeMark && cm.state.sublimeMark.find();\n    if (found) cm.setSelection(cm.getCursor(), found);\n  };\n  cmds[map[cK + ctrl + "W"] = "deleteToSublimeMark"] = function(cm) {\n    var found = cm.state.sublimeMark && cm.state.sublimeMark.find();\n    if (found) {\n      var from = cm.getCursor(), to = found;\n      if (CodeMirror.cmpPos(from, to) > 0) { var tmp = to; to = from; from = tmp; }\n      cm.state.sublimeKilled = cm.getRange(from, to);\n      cm.replaceRange("", from, to);\n    }\n  };\n  cmds[map[cK + ctrl + "X"] = "swapWithSublimeMark"] = function(cm) {\n    var found = cm.state.sublimeMark && cm.state.sublimeMark.find();\n    if (found) {\n      cm.state.sublimeMark.clear();\n      cm.state.sublimeMark = cm.setBookmark(cm.getCursor());\n      cm.setCursor(found);\n    }\n  };\n  cmds[map[cK + ctrl + "Y"] = "sublimeYank"] = function(cm) {\n    if (cm.state.sublimeKilled != null)\n      cm.replaceSelection(cm.state.sublimeKilled, null, "paste");\n  };\n\n  map[cK + ctrl + "G"] = "clearBookmarks";\n  cmds[map[cK + ctrl + "C"] = "showInCenter"] = function(cm) {\n    var pos = cm.cursorCoords(null, "local");\n    cm.scrollTo(null, (pos.top + pos.bottom) / 2 - cm.getScrollInfo().clientHeight / 2);\n  };\n\n  var selectLinesCombo = mac ? "Ctrl-Shift-" : "Ctrl-Alt-";\n  cmds[map[selectLinesCombo + "Up"] = "selectLinesUpward"] = function(cm) {\n    cm.operation(function() {\n      var ranges = cm.listSelections();\n      for (var i = 0; i < ranges.length; i++) {\n        var range = ranges[i];\n        if (range.head.line > cm.firstLine())\n          cm.addSelection(Pos(range.head.line - 1, range.head.ch));\n      }\n    });\n  };\n  cmds[map[selectLinesCombo + "Down"] = "selectLinesDownward"] = function(cm) {\n    cm.operation(function() {\n      var ranges = cm.listSelections();\n      for (var i = 0; i < ranges.length; i++) {\n        var range = ranges[i];\n        if (range.head.line < cm.lastLine())\n          cm.addSelection(Pos(range.head.line + 1, range.head.ch));\n      }\n    });\n  };\n\n  function getTarget(cm) {\n    var from = cm.getCursor("from"), to = cm.getCursor("to");\n    if (CodeMirror.cmpPos(from, to) == 0) {\n      var word = wordAt(cm, from);\n      if (!word.word) return;\n      from = word.from;\n      to = word.to;\n    }\n    return {from: from, to: to, query: cm.getRange(from, to), word: word};\n  }\n\n  function findAndGoTo(cm, forward) {\n    var target = getTarget(cm);\n    if (!target) return;\n    var query = target.query;\n    var cur = cm.getSearchCursor(query, forward ? target.to : target.from);\n\n    if (forward ? cur.findNext() : cur.findPrevious()) {\n      cm.setSelection(cur.from(), cur.to());\n    } else {\n      cur = cm.getSearchCursor(query, forward ? Pos(cm.firstLine(), 0)\n                                              : cm.clipPos(Pos(cm.lastLine())));\n      if (forward ? cur.findNext() : cur.findPrevious())\n        cm.setSelection(cur.from(), cur.to());\n      else if (target.word)\n        cm.setSelection(target.from, target.to);\n    }\n  };\n  cmds[map[ctrl + "F3"] = "findUnder"] = function(cm) { findAndGoTo(cm, true); };\n  cmds[map["Shift-" + ctrl + "F3"] = "findUnderPrevious"] = function(cm) { findAndGoTo(cm,false); };\n  cmds[map["Alt-F3"] = "findAllUnder"] = function(cm) {\n    var target = getTarget(cm);\n    if (!target) return;\n    var cur = cm.getSearchCursor(target.query);\n    var matches = [];\n    var primaryIndex = -1;\n    while (cur.findNext()) {\n      matches.push({anchor: cur.from(), head: cur.to()});\n      if (cur.from().line <= target.from.line && cur.from().ch <= target.from.ch)\n        primaryIndex++;\n    }\n    cm.setSelections(matches, primaryIndex);\n  };\n\n  map["Shift-" + ctrl + "["] = "fold";\n  map["Shift-" + ctrl + "]"] = "unfold";\n  map[cK + ctrl + "0"] = map[cK + ctrl + "J"] = "unfoldAll";\n\n  map[ctrl + "I"] = "findIncremental";\n  map["Shift-" + ctrl + "I"] = "findIncrementalReverse";\n  map[ctrl + "H"] = "replace";\n  map["F3"] = "findNext";\n  map["Shift-F3"] = "findPrev";\n\n  CodeMirror.normalizeKeyMap(map);\n});\n\n//# sourceURL=/thirdparty/CodeMirror/keymap/sublime.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Defines hooks to assist with module initialization.\n *\n * This module defines 3 methods for client modules to attach callbacks:\n *    - htmlReady - When the main application template is rendered\n *    - extensionsLoaded - When the extension manager has loaded all extensions\n *    - appReady - When Brackets completes loading all modules and extensions\n *\n * These are *not* jQuery events. Each method is similar to $(document).ready\n * in that it will call the handler immediately if brackets is already done\n * loading.\n */\ndefine(\'utils/AppInit\',[\'require\',\'exports\',\'module\'],function (require, exports, module) {\n    "use strict";\n\n    /*\n     * Fires when the base htmlContent/main-view.html is loaded\n     * @type {string}\n     * @const\n     */\n    var HTML_READY  = "htmlReady";\n\n    /*\n     * Fires when all extensions are loaded\n     * @type {string}\n     * @const\n     */\n    var APP_READY   = "appReady";\n\n    /*\n     * Fires after extensions have been loaded\n     * @type {string}\n     * @const\n     */\n    var EXTENSIONS_LOADED = "extensionsLoaded";\n\n    /*\n     * Map of each state\'s trigger\n     * @type {Object.<string, boolean>}\n     * @private\n     */\n    var _status      = { HTML_READY : false, APP_READY : false, EXTENSIONS_LOADED: false };\n\n    /*\n     * Map of callbacks to states\n     * @type {Object.<string, Array.<function()>>}\n     * @private\n     */\n    var _callbacks   = {};\n\n    _callbacks[HTML_READY]        = [];\n    _callbacks[APP_READY]         = [];\n    _callbacks[EXTENSIONS_LOADED] = [];\n\n\n    /*\n     * calls the specified handler inside a try/catch handler\n     * @param {function()} handler - the callback to call\n     * @private\n     */\n    function _callHandler(handler) {\n        try {\n            // TODO (issue 1034): We *could* use a $.Deferred for this, except deferred objects enter a broken\n            // state if any resolution callback throws an exception. Since third parties (e.g. extensions) may\n            // add callbacks to this, we need to be robust to exceptions\n            handler();\n        } catch (e) {\n            console.error("Exception when calling a \'brackets done loading\' handler: " + e);\n            console.log(e.stack);\n        }\n    }\n\n    /*\n     * dispatches the event by calling all handlers registered for that type\n     * @param {string} type - the event type to dispatch (APP_READY, EXTENSIONS_READY, HTML_READY)\n     * @private\n     */\n    function _dispatchReady(type) {\n        var i,\n            myHandlers = _callbacks[type];\n\n        // mark this status complete\n        _status[type] = true;\n\n        for (i = 0; i < myHandlers.length; i++) {\n            _callHandler(myHandlers[i]);\n        }\n\n        // clear all callbacks after being called\n        _callbacks[type] = [];\n    }\n\n    /*\n     * adds a callback to the list of functions to call for the specified event type\n     * @param {string} type - the event type to dispatch (APP_READY, EXTENSIONS_READY, HTML_READY)\n     * @param {function} handler - callback funciton to call when the event is triggered\n     * @private\n     */\n    function _addListener(type, handler) {\n        if (_status[type]) {\n            _callHandler(handler);\n        } else {\n            _callbacks[type].push(handler);\n        }\n    }\n\n    /**\n     * Adds a callback for the ready hook. Handlers are called after\n     * htmlReady is done, the initial project is loaded, and all extensions are\n     * loaded.\n     * @param {function} handler - callback function to call when the event is fired\n     */\n    function appReady(handler) {\n        _addListener(APP_READY, handler);\n    }\n\n    /**\n     * Adds a callback for the htmlReady hook. Handlers are called after the\n     * main application html template is rendered.\n     * @param {function} handler - callback function to call when the event is fired\n     */\n    function htmlReady(handler) {\n        _addListener(HTML_READY, handler);\n    }\n\n    /**\n     * Adds a callback for the extensionsLoaded hook. Handlers are called after the\n     * extensions have been loaded\n     * @param {function} handler - callback function to call when the event is fired\n     */\n    function extensionsLoaded(handler) {\n        _addListener(EXTENSIONS_LOADED, handler);\n    }\n\n    // Public API\n    exports.appReady = appReady;\n    exports.htmlReady = htmlReady;\n    exports.extensionsLoaded = extensionsLoaded;\n\n    exports.HTML_READY = HTML_READY;\n    exports.APP_READY = APP_READY;\n    exports.EXTENSIONS_LOADED = EXTENSIONS_LOADED;\n\n    // Unit Test API\n    exports._dispatchReady = _dispatchReady;\n});\n\n//# sourceURL=/utils/AppInit.js'),
eval('/**\n * @license\n * lodash 3.10.0 (Custom Build) lodash.com/license | Underscore.js 1.8.3 underscorejs.org/LICENSE\n * Build: `lodash modern exports="amd"`\n */\n;(function(){function n(n,t){if(n!==t){var r=null===n,e=n===w,u=n===n,o=null===t,i=t===w,f=t===t;if(n>t&&!o||!u||r&&!i&&f||e&&f)return 1;if(n<t&&!r||!f||o&&!e&&u||i&&u)return-1}return 0}function t(n,t,r){for(var e=n.length,u=r?e:-1;r?u--:++u<e;)if(t(n[u],u,n))return u;return-1}function r(n,t,r){if(t!==t)return p(n,r);r-=1;for(var e=n.length;++r<e;)if(n[r]===t)return r;return-1}function e(n){return typeof n=="function"||false}function u(n){return null==n?"":n+""}function o(n,t){for(var r=-1,e=n.length;++r<e&&-1<t.indexOf(n.charAt(r)););\nreturn r}function i(n,t){for(var r=n.length;r--&&-1<t.indexOf(n.charAt(r)););return r}function f(t,r){return n(t.a,r.a)||t.b-r.b}function a(n){return Nn[n]}function c(n){return Tn[n]}function l(n,t,r){return t?n=Bn[n]:r&&(n=Dn[n]),"\\\\"+n}function s(n){return"\\\\"+Dn[n]}function p(n,t,r){var e=n.length;for(t+=r?0:-1;r?t--:++t<e;){var u=n[t];if(u!==u)return t}return-1}function h(n){return!!n&&typeof n=="object"}function _(n){return 160>=n&&9<=n&&13>=n||32==n||160==n||5760==n||6158==n||8192<=n&&(8202>=n||8232==n||8233==n||8239==n||8287==n||12288==n||65279==n);\n}function v(n,t){for(var r=-1,e=n.length,u=-1,o=[];++r<e;)n[r]===t&&(n[r]=z,o[++u]=r);return o}function g(n){for(var t=-1,r=n.length;++t<r&&_(n.charCodeAt(t)););return t}function y(n){for(var t=n.length;t--&&_(n.charCodeAt(t)););return t}function d(n){return Ln[n]}function m(_){function Nn(n){if(h(n)&&!(Oo(n)||n instanceof zn)){if(n instanceof Ln)return n;if(nu.call(n,"__chain__")&&nu.call(n,"__wrapped__"))return Mr(n)}return new Ln(n)}function Tn(){}function Ln(n,t,r){this.__wrapped__=n,this.__actions__=r||[],\nthis.__chain__=!!t}function zn(n){this.__wrapped__=n,this.__actions__=[],this.__dir__=1,this.__filtered__=false,this.__iteratees__=[],this.__takeCount__=Ru,this.__views__=[]}function Bn(){this.__data__={}}function Dn(n){var t=n?n.length:0;for(this.data={hash:gu(null),set:new lu};t--;)this.push(n[t])}function Mn(n,t){var r=n.data;return(typeof t=="string"||ge(t)?r.set.has(t):r.hash[t])?0:-1}function qn(n,t){var r=-1,e=n.length;for(t||(t=Be(e));++r<e;)t[r]=n[r];return t}function Pn(n,t){for(var r=-1,e=n.length;++r<e&&false!==t(n[r],r,n););\nreturn n}function Zn(n,t){for(var r=-1,e=n.length;++r<e;)if(!t(n[r],r,n))return false;return true}function Yn(n,t){for(var r=-1,e=n.length,u=-1,o=[];++r<e;){var i=n[r];t(i,r,n)&&(o[++u]=i)}return o}function Gn(n,t){for(var r=-1,e=n.length,u=Be(e);++r<e;)u[r]=t(n[r],r,n);return u}function Jn(n,t){for(var r=-1,e=t.length,u=n.length;++r<e;)n[u+r]=t[r];return n}function Xn(n,t,r,e){var u=-1,o=n.length;for(e&&o&&(r=n[++u]);++u<o;)r=t(r,n[u],u,n);return r}function Hn(n,t){for(var r=-1,e=n.length;++r<e;)if(t(n[r],r,n))return true;\nreturn false}function Qn(n,t,r,e){return n!==w&&nu.call(e,r)?n:t}function nt(n,t,r){for(var e=-1,u=zo(t),o=u.length;++e<o;){var i=u[e],f=n[i],a=r(f,t[i],i,n,t);(a===a?a===f:f!==f)&&(f!==w||i in n)||(n[i]=a)}return n}function tt(n,t){return null==t?n:et(t,zo(t),n)}function rt(n,t){for(var r=-1,e=null==n,u=!e&&Er(n),o=u?n.length:0,i=t.length,f=Be(i);++r<i;){var a=t[r];f[r]=u?Cr(a,o)?n[a]:w:e?w:n[a]}return f}function et(n,t,r){r||(r={});for(var e=-1,u=t.length;++e<u;){var o=t[e];r[o]=n[o]}return r}function ut(n,t,r){\nvar e=typeof n;return"function"==e?t===w?n:Bt(n,t,r):null==n?Fe:"object"==e?bt(n):t===w?ze(n):xt(n,t)}function ot(n,t,r,e,u,o,i){var f;if(r&&(f=u?r(n,e,u):r(n)),f!==w)return f;if(!ge(n))return n;if(e=Oo(n)){if(f=kr(n),!t)return qn(n,f)}else{var a=ru.call(n),c=a==K;if(a!=Z&&a!=B&&(!c||u))return Fn[a]?Rr(n,a,t):u?n:{};if(f=Ir(c?{}:n),!t)return tt(f,n)}for(o||(o=[]),i||(i=[]),u=o.length;u--;)if(o[u]==n)return i[u];return o.push(n),i.push(f),(e?Pn:_t)(n,function(e,u){f[u]=ot(e,t,r,u,n,o,i)}),f}function it(n,t,r){\nif(typeof n!="function")throw new Ge(L);return su(function(){n.apply(w,r)},t)}function ft(n,t){var e=n?n.length:0,u=[];if(!e)return u;var o=-1,i=xr(),f=i==r,a=f&&t.length>=F&&gu&&lu?new Dn(t):null,c=t.length;a&&(i=Mn,f=false,t=a);n:for(;++o<e;)if(a=n[o],f&&a===a){for(var l=c;l--;)if(t[l]===a)continue n;u.push(a)}else 0>i(t,a,0)&&u.push(a);return u}function at(n,t){var r=true;return Su(n,function(n,e,u){return r=!!t(n,e,u)}),r}function ct(n,t,r,e){var u=e,o=u;return Su(n,function(n,i,f){i=+t(n,i,f),(r(i,u)||i===e&&i===o)&&(u=i,\no=n)}),o}function lt(n,t){var r=[];return Su(n,function(n,e,u){t(n,e,u)&&r.push(n)}),r}function st(n,t,r,e){var u;return r(n,function(n,r,o){return t(n,r,o)?(u=e?r:n,false):void 0}),u}function pt(n,t,r,e){e||(e=[]);for(var u=-1,o=n.length;++u<o;){var i=n[u];h(i)&&Er(i)&&(r||Oo(i)||pe(i))?t?pt(i,t,r,e):Jn(e,i):r||(e[e.length]=i)}return e}function ht(n,t){Nu(n,t,Re)}function _t(n,t){return Nu(n,t,zo)}function vt(n,t){return Tu(n,t,zo)}function gt(n,t){for(var r=-1,e=t.length,u=-1,o=[];++r<e;){var i=t[r];\nve(n[i])&&(o[++u]=i)}return o}function yt(n,t,r){if(null!=n){r!==w&&r in Br(n)&&(t=[r]),r=0;for(var e=t.length;null!=n&&r<e;)n=n[t[r++]];return r&&r==e?n:w}}function dt(n,t,r,e,u,o){if(n===t)n=true;else if(null==n||null==t||!ge(n)&&!h(t))n=n!==n&&t!==t;else n:{var i=dt,f=Oo(n),a=Oo(t),c=D,l=D;f||(c=ru.call(n),c==B?c=Z:c!=Z&&(f=xe(n))),a||(l=ru.call(t),l==B?l=Z:l!=Z&&xe(t));var s=c==Z,a=l==Z,l=c==l;if(!l||f||s){if(!e&&(c=s&&nu.call(n,"__wrapped__"),a=a&&nu.call(t,"__wrapped__"),c||a)){n=i(c?n.value():n,a?t.value():t,r,e,u,o);\nbreak n}if(l){for(u||(u=[]),o||(o=[]),c=u.length;c--;)if(u[c]==n){n=o[c]==t;break n}u.push(n),o.push(t),n=(f?yr:mr)(n,t,i,r,e,u,o),u.pop(),o.pop()}else n=false}else n=dr(n,t,c)}return n}function mt(n,t,r){var e=t.length,u=e,o=!r;if(null==n)return!u;for(n=Br(n);e--;){var i=t[e];if(o&&i[2]?i[1]!==n[i[0]]:!(i[0]in n))return false}for(;++e<u;){var i=t[e],f=i[0],a=n[f],c=i[1];if(o&&i[2]){if(a===w&&!(f in n))return false}else if(i=r?r(a,c,f):w,i===w?!dt(c,a,r,true):!i)return false}return true}function wt(n,t){var r=-1,e=Er(n)?Be(n.length):[];\nreturn Su(n,function(n,u,o){e[++r]=t(n,u,o)}),e}function bt(n){var t=Ar(n);if(1==t.length&&t[0][2]){var r=t[0][0],e=t[0][1];return function(n){return null==n?false:n[r]===e&&(e!==w||r in Br(n))}}return function(n){return mt(n,t)}}function xt(n,t){var r=Oo(n),e=Wr(n)&&t===t&&!ge(t),u=n+"";return n=Dr(n),function(o){if(null==o)return false;var i=u;if(o=Br(o),!(!r&&e||i in o)){if(o=1==n.length?o:yt(o,Et(n,0,-1)),null==o)return false;i=Zr(n),o=Br(o)}return o[i]===t?t!==w||i in o:dt(t,o[i],w,true)}}function At(n,t,r,e,u){\nif(!ge(n))return n;var o=Er(t)&&(Oo(t)||xe(t)),i=o?w:zo(t);return Pn(i||t,function(f,a){if(i&&(a=f,f=t[a]),h(f)){e||(e=[]),u||(u=[]);n:{for(var c=a,l=e,s=u,p=l.length,_=t[c];p--;)if(l[p]==_){n[c]=s[p];break n}var p=n[c],v=r?r(p,_,c,n,t):w,g=v===w;g&&(v=_,Er(_)&&(Oo(_)||xe(_))?v=Oo(p)?p:Er(p)?qn(p):[]:me(_)||pe(_)?v=pe(p)?ke(p):me(p)?p:{}:g=false),l.push(_),s.push(v),g?n[c]=At(v,_,r,l,s):(v===v?v!==p:p===p)&&(n[c]=v)}}else c=n[a],l=r?r(c,f,a,n,t):w,(s=l===w)&&(l=f),l===w&&(!o||a in n)||!s&&(l===l?l===c:c!==c)||(n[a]=l);\n}),n}function jt(n){return function(t){return null==t?w:t[n]}}function kt(n){var t=n+"";return n=Dr(n),function(r){return yt(r,n,t)}}function It(n,t){for(var r=n?t.length:0;r--;){var e=t[r];if(e!=u&&Cr(e)){var u=e;pu.call(n,e,1)}}}function Rt(n,t){return n+yu(ku()*(t-n+1))}function Ot(n,t,r,e,u){return u(n,function(n,u,o){r=e?(e=false,n):t(r,n,u,o)}),r}function Et(n,t,r){var e=-1,u=n.length;for(t=null==t?0:+t||0,0>t&&(t=-t>u?0:u+t),r=r===w||r>u?u:+r||0,0>r&&(r+=u),u=t>r?0:r-t>>>0,t>>>=0,r=Be(u);++e<u;)r[e]=n[e+t];\nreturn r}function Ct(n,t){var r;return Su(n,function(n,e,u){return r=t(n,e,u),!r}),!!r}function Ut(n,t){var r=n.length;for(n.sort(t);r--;)n[r]=n[r].c;return n}function Wt(t,r,e){var u=wr(),o=-1;return r=Gn(r,function(n){return u(n)}),t=wt(t,function(n){return{a:Gn(r,function(t){return t(n)}),b:++o,c:n}}),Ut(t,function(t,r){var u;n:{for(var o=-1,i=t.a,f=r.a,a=i.length,c=e.length;++o<a;)if(u=n(i[o],f[o])){if(o>=c)break n;o=e[o],u*="asc"===o||true===o?1:-1;break n}u=t.b-r.b}return u})}function $t(n,t){\nvar r=0;return Su(n,function(n,e,u){r+=+t(n,e,u)||0}),r}function St(n,t){var e=-1,u=xr(),o=n.length,i=u==r,f=i&&o>=F,a=f&&gu&&lu?new Dn(void 0):null,c=[];a?(u=Mn,i=false):(f=false,a=t?[]:c);n:for(;++e<o;){var l=n[e],s=t?t(l,e,n):l;if(i&&l===l){for(var p=a.length;p--;)if(a[p]===s)continue n;t&&a.push(s),c.push(l)}else 0>u(a,s,0)&&((t||f)&&a.push(s),c.push(l))}return c}function Ft(n,t){for(var r=-1,e=t.length,u=Be(e);++r<e;)u[r]=n[t[r]];return u}function Nt(n,t,r,e){for(var u=n.length,o=e?u:-1;(e?o--:++o<u)&&t(n[o],o,n););\nreturn r?Et(n,e?0:o,e?o+1:u):Et(n,e?o+1:0,e?u:o)}function Tt(n,t){var r=n;r instanceof zn&&(r=r.value());for(var e=-1,u=t.length;++e<u;)var o=t[e],r=o.func.apply(o.thisArg,Jn([r],o.args));return r}function Lt(n,t,r){var e=0,u=n?n.length:e;if(typeof t=="number"&&t===t&&u<=Eu){for(;e<u;){var o=e+u>>>1,i=n[o];(r?i<=t:i<t)&&null!==i?e=o+1:u=o}return u}return zt(n,t,Fe,r)}function zt(n,t,r,e){t=r(t);for(var u=0,o=n?n.length:0,i=t!==t,f=null===t,a=t===w;u<o;){var c=yu((u+o)/2),l=r(n[c]),s=l!==w,p=l===l;\n(i?p||e:f?p&&s&&(e||null!=l):a?p&&(e||s):null==l?0:e?l<=t:l<t)?u=c+1:o=c}return xu(o,Ou)}function Bt(n,t,r){if(typeof n!="function")return Fe;if(t===w)return n;switch(r){case 1:return function(r){return n.call(t,r)};case 3:return function(r,e,u){return n.call(t,r,e,u)};case 4:return function(r,e,u,o){return n.call(t,r,e,u,o)};case 5:return function(r,e,u,o,i){return n.call(t,r,e,u,o,i)}}return function(){return n.apply(t,arguments)}}function Dt(n){var t=new ou(n.byteLength);return new hu(t).set(new hu(n)),\nt}function Mt(n,t,r){for(var e=r.length,u=-1,o=bu(n.length-e,0),i=-1,f=t.length,a=Be(f+o);++i<f;)a[i]=t[i];for(;++u<e;)a[r[u]]=n[u];for(;o--;)a[i++]=n[u++];return a}function qt(n,t,r){for(var e=-1,u=r.length,o=-1,i=bu(n.length-u,0),f=-1,a=t.length,c=Be(i+a);++o<i;)c[o]=n[o];for(i=o;++f<a;)c[i+f]=t[f];for(;++e<u;)c[i+r[e]]=n[o++];return c}function Pt(n,t){return function(r,e,u){var o=t?t():{};if(e=wr(e,u,3),Oo(r)){u=-1;for(var i=r.length;++u<i;){var f=r[u];n(o,f,e(f,u,r),r)}}else Su(r,function(t,r,u){\nn(o,t,e(t,r,u),u)});return o}}function Kt(n){return le(function(t,r){var e=-1,u=null==t?0:r.length,o=2<u?r[u-2]:w,i=2<u?r[2]:w,f=1<u?r[u-1]:w;for(typeof o=="function"?(o=Bt(o,f,5),u-=2):(o=typeof f=="function"?f:w,u-=o?1:0),i&&Ur(r[0],r[1],i)&&(o=3>u?w:o,u=1);++e<u;)(i=r[e])&&n(t,i,o);return t})}function Vt(n,t){return function(r,e){var u=r?Bu(r):0;if(!Sr(u))return n(r,e);for(var o=t?u:-1,i=Br(r);(t?o--:++o<u)&&false!==e(i[o],o,i););return r}}function Zt(n){return function(t,r,e){var u=Br(t);e=e(t);for(var o=e.length,i=n?o:-1;n?i--:++i<o;){\nvar f=e[i];if(false===r(u[f],f,u))break}return t}}function Yt(n,t){function r(){return(this&&this!==Kn&&this instanceof r?e:n).apply(t,arguments)}var e=Jt(n);return r}function Gt(n){return function(t){var r=-1;t=$e(Ce(t));for(var e=t.length,u="";++r<e;)u=n(u,t[r],r);return u}}function Jt(n){return function(){var t=arguments;switch(t.length){case 0:return new n;case 1:return new n(t[0]);case 2:return new n(t[0],t[1]);case 3:return new n(t[0],t[1],t[2]);case 4:return new n(t[0],t[1],t[2],t[3]);case 5:\nreturn new n(t[0],t[1],t[2],t[3],t[4]);case 6:return new n(t[0],t[1],t[2],t[3],t[4],t[5]);case 7:return new n(t[0],t[1],t[2],t[3],t[4],t[5],t[6])}var r=$u(n.prototype),t=n.apply(r,t);return ge(t)?t:r}}function Xt(n){function t(r,e,u){return u&&Ur(r,e,u)&&(e=w),r=gr(r,n,w,w,w,w,w,e),r.placeholder=t.placeholder,r}return t}function Ht(n,t){return le(function(r){var e=r[0];return null==e?e:(r.push(t),n.apply(w,r))})}function Qt(n,t){return function(r,e,u){if(u&&Ur(r,e,u)&&(e=w),e=wr(e,u,3),1==e.length){\nu=r=Oo(r)?r:zr(r);for(var o=e,i=-1,f=u.length,a=t,c=a;++i<f;){var l=u[i],s=+o(l);n(s,a)&&(a=s,c=l)}if(u=c,!r.length||u!==t)return u}return ct(r,e,n,t)}}function nr(n,r){return function(e,u,o){return u=wr(u,o,3),Oo(e)?(u=t(e,u,r),-1<u?e[u]:w):st(e,u,n)}}function tr(n){return function(r,e,u){return r&&r.length?(e=wr(e,u,3),t(r,e,n)):-1}}function rr(n){return function(t,r,e){return r=wr(r,e,3),st(t,r,n,true)}}function er(n){return function(){for(var t,r=arguments.length,e=n?r:-1,u=0,o=Be(r);n?e--:++e<r;){\nvar i=o[u++]=arguments[e];if(typeof i!="function")throw new Ge(L);!t&&Ln.prototype.thru&&"wrapper"==br(i)&&(t=new Ln([],true))}for(e=t?-1:r;++e<r;){var i=o[e],u=br(i),f="wrapper"==u?zu(i):w;t=f&&$r(f[0])&&f[1]==(E|k|R|C)&&!f[4].length&&1==f[9]?t[br(f[0])].apply(t,f[3]):1==i.length&&$r(i)?t[u]():t.thru(i)}return function(){var n=arguments,e=n[0];if(t&&1==n.length&&Oo(e)&&e.length>=F)return t.plant(e).value();for(var u=0,n=r?o[u].apply(this,n):e;++u<r;)n=o[u].call(this,n);return n}}}function ur(n,t){\nreturn function(r,e,u){return typeof e=="function"&&u===w&&Oo(r)?n(r,e):t(r,Bt(e,u,3))}}function or(n){return function(t,r,e){return(typeof r!="function"||e!==w)&&(r=Bt(r,e,3)),n(t,r,Re)}}function ir(n){return function(t,r,e){return(typeof r!="function"||e!==w)&&(r=Bt(r,e,3)),n(t,r)}}function fr(n){return function(t,r,e){var u={};return r=wr(r,e,3),_t(t,function(t,e,o){o=r(t,e,o),e=n?o:e,t=n?t:o,u[e]=t}),u}}function ar(n){return function(t,r,e){return t=u(t),(n?t:"")+pr(t,r,e)+(n?"":t)}}function cr(n){\nvar t=le(function(r,e){var u=v(e,t.placeholder);return gr(r,n,w,e,u)});return t}function lr(n,t){return function(r,e,u,o){var i=3>arguments.length;return typeof e=="function"&&o===w&&Oo(r)?n(r,e,u,i):Ot(r,wr(e,o,4),u,i,t)}}function sr(n,t,r,e,u,o,i,f,a,c){function l(){for(var m=arguments.length,b=m,j=Be(m);b--;)j[b]=arguments[b];if(e&&(j=Mt(j,e,u)),o&&(j=qt(j,o,i)),_||y){var b=l.placeholder,k=v(j,b),m=m-k.length;if(m<c){var I=f?qn(f):w,m=bu(c-m,0),E=_?k:w,k=_?w:k,C=_?j:w,j=_?w:j;return t|=_?R:O,t&=~(_?O:R),\ng||(t&=~(x|A)),j=[n,t,r,C,E,j,k,I,a,m],I=sr.apply(w,j),$r(n)&&Du(I,j),I.placeholder=b,I}}if(b=p?r:this,I=h?b[n]:n,f)for(m=j.length,E=xu(f.length,m),k=qn(j);E--;)C=f[E],j[E]=Cr(C,m)?k[C]:w;return s&&a<j.length&&(j.length=a),this&&this!==Kn&&this instanceof l&&(I=d||Jt(n)),I.apply(b,j)}var s=t&E,p=t&x,h=t&A,_=t&k,g=t&j,y=t&I,d=h?w:Jt(n);return l}function pr(n,t,r){return n=n.length,t=+t,n<t&&mu(t)?(t-=n,r=null==r?" ":r+"",Ue(r,vu(t/r.length)).slice(0,t)):""}function hr(n,t,r,e){function u(){for(var t=-1,f=arguments.length,a=-1,c=e.length,l=Be(c+f);++a<c;)l[a]=e[a];\nfor(;f--;)l[a++]=arguments[++t];return(this&&this!==Kn&&this instanceof u?i:n).apply(o?r:this,l)}var o=t&x,i=Jt(n);return u}function _r(n){var t=Pe[n];return function(n,r){return(r=r===w?0:+r||0)?(r=au(10,r),t(n*r)/r):t(n)}}function vr(n){return function(t,r,e,u){var o=wr(e);return null==e&&o===ut?Lt(t,r,n):zt(t,r,o(e,u,1),n)}}function gr(n,t,r,e,u,o,i,f){var a=t&A;if(!a&&typeof n!="function")throw new Ge(L);var c=e?e.length:0;if(c||(t&=~(R|O),e=u=w),c-=u?u.length:0,t&O){var l=e,s=u;e=u=w}var p=a?w:zu(n);\nreturn r=[n,t,r,e,u,l,s,o,i,f],p&&(e=r[1],t=p[1],f=e|t,u=t==E&&e==k||t==E&&e==C&&r[7].length<=p[8]||t==(E|C)&&e==k,(f<E||u)&&(t&x&&(r[2]=p[2],f|=e&x?0:j),(e=p[3])&&(u=r[3],r[3]=u?Mt(u,e,p[4]):qn(e),r[4]=u?v(r[3],z):qn(p[4])),(e=p[5])&&(u=r[5],r[5]=u?qt(u,e,p[6]):qn(e),r[6]=u?v(r[5],z):qn(p[6])),(e=p[7])&&(r[7]=qn(e)),t&E&&(r[8]=null==r[8]?p[8]:xu(r[8],p[8])),null==r[9]&&(r[9]=p[9]),r[0]=p[0],r[1]=f),t=r[1],f=r[9]),r[9]=null==f?a?0:n.length:bu(f-c,0)||0,(p?Lu:Du)(t==x?Yt(r[0],r[2]):t!=R&&t!=(x|R)||r[4].length?sr.apply(w,r):hr.apply(w,r),r);\n}function yr(n,t,r,e,u,o,i){var f=-1,a=n.length,c=t.length;if(a!=c&&(!u||c<=a))return false;for(;++f<a;){var l=n[f],c=t[f],s=e?e(u?c:l,u?l:c,f):w;if(s!==w){if(s)continue;return false}if(u){if(!Hn(t,function(n){return l===n||r(l,n,e,u,o,i)}))return false}else if(l!==c&&!r(l,c,e,u,o,i))return false}return true}function dr(n,t,r){switch(r){case M:case q:return+n==+t;case P:return n.name==t.name&&n.message==t.message;case V:return n!=+n?t!=+t:n==+t;case Y:case G:return n==t+""}return false}function mr(n,t,r,e,u,o,i){var f=zo(n),a=f.length,c=zo(t).length;\nif(a!=c&&!u)return false;for(c=a;c--;){var l=f[c];if(!(u?l in t:nu.call(t,l)))return false}for(var s=u;++c<a;){var l=f[c],p=n[l],h=t[l],_=e?e(u?h:p,u?p:h,l):w;if(_===w?!r(p,h,e,u,o,i):!_)return false;s||(s="constructor"==l)}return s||(r=n.constructor,e=t.constructor,!(r!=e&&"constructor"in n&&"constructor"in t)||typeof r=="function"&&r instanceof r&&typeof e=="function"&&e instanceof e)?true:false}function wr(n,t,r){var e=Nn.callback||Se,e=e===Se?ut:e;return r?e(n,t,r):e}function br(n){for(var t=n.name,r=Wu[t],e=r?r.length:0;e--;){\nvar u=r[e],o=u.func;if(null==o||o==n)return u.name}return t}function xr(n,t,e){var u=Nn.indexOf||Vr,u=u===Vr?r:u;return n?u(n,t,e):u}function Ar(n){n=Oe(n);for(var t=n.length;t--;){var r=n[t][1];n[t][2]=r===r&&!ge(r)}return n}function jr(n,t){var r=null==n?w:n[t];return ye(r)?r:w}function kr(n){var t=n.length,r=new n.constructor(t);return t&&"string"==typeof n[0]&&nu.call(n,"index")&&(r.index=n.index,r.input=n.input),r}function Ir(n){return n=n.constructor,typeof n=="function"&&n instanceof n||(n=Ve),\nnew n}function Rr(n,t,r){var e=n.constructor;switch(t){case J:return Dt(n);case M:case q:return new e(+n);case X:case H:case Q:case nn:case tn:case rn:case en:case un:case on:return t=n.buffer,new e(r?Dt(t):t,n.byteOffset,n.length);case V:case G:return new e(n);case Y:var u=new e(n.source,kn.exec(n));u.lastIndex=n.lastIndex}return u}function Or(n,t,r){return null==n||Wr(t,n)||(t=Dr(t),n=1==t.length?n:yt(n,Et(t,0,-1)),t=Zr(t)),t=null==n?n:n[t],null==t?w:t.apply(n,r)}function Er(n){return null!=n&&Sr(Bu(n));\n}function Cr(n,t){return n=typeof n=="number"||On.test(n)?+n:-1,t=null==t?Cu:t,-1<n&&0==n%1&&n<t}function Ur(n,t,r){if(!ge(r))return false;var e=typeof t;return("number"==e?Er(r)&&Cr(t,r.length):"string"==e&&t in r)?(t=r[t],n===n?n===t:t!==t):false}function Wr(n,t){var r=typeof n;return"string"==r&&dn.test(n)||"number"==r?true:Oo(n)?false:!yn.test(n)||null!=t&&n in Br(t)}function $r(n){var t=br(n);return t in zn.prototype?(t=Nn[t],n===t?true:(t=zu(t),!!t&&n===t[0])):false}function Sr(n){return typeof n=="number"&&-1<n&&0==n%1&&n<=Cu;\n}function Fr(n,t){return n===w?t:Eo(n,t,Fr)}function Nr(n,t){n=Br(n);for(var r=-1,e=t.length,u={};++r<e;){var o=t[r];o in n&&(u[o]=n[o])}return u}function Tr(n,t){var r={};return ht(n,function(n,e,u){t(n,e,u)&&(r[e]=n)}),r}function Lr(n){for(var t=Re(n),r=t.length,e=r&&n.length,u=!!e&&Sr(e)&&(Oo(n)||pe(n)),o=-1,i=[];++o<r;){var f=t[o];(u&&Cr(f,e)||nu.call(n,f))&&i.push(f)}return i}function zr(n){return null==n?[]:Er(n)?ge(n)?n:Ve(n):Ee(n)}function Br(n){return ge(n)?n:Ve(n)}function Dr(n){if(Oo(n))return n;\nvar t=[];return u(n).replace(mn,function(n,r,e,u){t.push(e?u.replace(An,"$1"):r||n)}),t}function Mr(n){return n instanceof zn?n.clone():new Ln(n.__wrapped__,n.__chain__,qn(n.__actions__))}function qr(n,t,r){return n&&n.length?((r?Ur(n,t,r):null==t)&&(t=1),Et(n,0>t?0:t)):[]}function Pr(n,t,r){var e=n?n.length:0;return e?((r?Ur(n,t,r):null==t)&&(t=1),t=e-(+t||0),Et(n,0,0>t?0:t)):[]}function Kr(n){return n?n[0]:w}function Vr(n,t,e){var u=n?n.length:0;if(!u)return-1;if(typeof e=="number")e=0>e?bu(u+e,0):e;else if(e)return e=Lt(n,t),\ne<u&&(t===t?t===n[e]:n[e]!==n[e])?e:-1;return r(n,t,e||0)}function Zr(n){var t=n?n.length:0;return t?n[t-1]:w}function Yr(n){return qr(n,1)}function Gr(n,t,e,u){if(!n||!n.length)return[];null!=t&&typeof t!="boolean"&&(u=e,e=Ur(n,t,u)?w:t,t=false);var o=wr();if((null!=e||o!==ut)&&(e=o(e,u,3)),t&&xr()==r){t=e;var i;e=-1,u=n.length;for(var o=-1,f=[];++e<u;){var a=n[e],c=t?t(a,e,n):a;e&&i===c||(i=c,f[++o]=a)}n=f}else n=St(n,e);return n}function Jr(n){if(!n||!n.length)return[];var t=-1,r=0;n=Yn(n,function(n){\nreturn Er(n)?(r=bu(n.length,r),true):void 0});for(var e=Be(r);++t<r;)e[t]=Gn(n,jt(t));return e}function Xr(n,t,r){return n&&n.length?(n=Jr(n),null==t?n:(t=Bt(t,r,4),Gn(n,function(n){return Xn(n,t,w,true)}))):[]}function Hr(n,t){var r=-1,e=n?n.length:0,u={};for(!e||t||Oo(n[0])||(t=[]);++r<e;){var o=n[r];t?u[o]=t[r]:o&&(u[o[0]]=o[1])}return u}function Qr(n){return n=Nn(n),n.__chain__=true,n}function ne(n,t,r){return t.call(r,n)}function te(n,t,r){var e=Oo(n)?Zn:at;return r&&Ur(n,t,r)&&(t=w),(typeof t!="function"||r!==w)&&(t=wr(t,r,3)),\ne(n,t)}function re(n,t,r){var e=Oo(n)?Yn:lt;return t=wr(t,r,3),e(n,t)}function ee(n,t,r,e){var u=n?Bu(n):0;return Sr(u)||(n=Ee(n),u=n.length),r=typeof r!="number"||e&&Ur(t,r,e)?0:0>r?bu(u+r,0):r||0,typeof n=="string"||!Oo(n)&&be(n)?r<=u&&-1<n.indexOf(t,r):!!u&&-1<xr(n,t,r)}function ue(n,t,r){var e=Oo(n)?Gn:wt;return t=wr(t,r,3),e(n,t)}function oe(n,t,r){if(r?Ur(n,t,r):null==t){n=zr(n);var e=n.length;return 0<e?n[Rt(0,e-1)]:w}r=-1,n=je(n);var e=n.length,u=e-1;for(t=xu(0>t?0:+t||0,e);++r<t;){var e=Rt(r,u),o=n[e];\nn[e]=n[r],n[r]=o}return n.length=t,n}function ie(n,t,r){var e=Oo(n)?Hn:Ct;return r&&Ur(n,t,r)&&(t=w),(typeof t!="function"||r!==w)&&(t=wr(t,r,3)),e(n,t)}function fe(n,t){var r;if(typeof t!="function"){if(typeof n!="function")throw new Ge(L);var e=n;n=t,t=e}return function(){return 0<--n&&(r=t.apply(this,arguments)),1>=n&&(t=w),r}}function ae(n,t,r){function e(t,r){r&&iu(r),a=p=h=w,t&&(_=ho(),c=n.apply(s,f),p||a||(f=s=w))}function u(){var n=t-(ho()-l);0>=n||n>t?e(h,a):p=su(u,n)}function o(){e(g,p);\n}function i(){if(f=arguments,l=ho(),s=this,h=g&&(p||!y),false===v)var r=y&&!p;else{a||y||(_=l);var e=v-(l-_),i=0>=e||e>v;i?(a&&(a=iu(a)),_=l,c=n.apply(s,f)):a||(a=su(o,e))}return i&&p?p=iu(p):p||t===v||(p=su(u,t)),r&&(i=true,c=n.apply(s,f)),!i||p||a||(f=s=w),c}var f,a,c,l,s,p,h,_=0,v=false,g=true;if(typeof n!="function")throw new Ge(L);if(t=0>t?0:+t||0,true===r)var y=true,g=false;else ge(r)&&(y=!!r.leading,v="maxWait"in r&&bu(+r.maxWait||0,t),g="trailing"in r?!!r.trailing:g);return i.cancel=function(){p&&iu(p),a&&iu(a),\n_=0,a=p=h=w},i}function ce(n,t){function r(){var e=arguments,u=t?t.apply(this,e):e[0],o=r.cache;return o.has(u)?o.get(u):(e=n.apply(this,e),r.cache=o.set(u,e),e)}if(typeof n!="function"||t&&typeof t!="function")throw new Ge(L);return r.cache=new ce.Cache,r}function le(n,t){if(typeof n!="function")throw new Ge(L);return t=bu(t===w?n.length-1:+t||0,0),function(){for(var r=arguments,e=-1,u=bu(r.length-t,0),o=Be(u);++e<u;)o[e]=r[t+e];switch(t){case 0:return n.call(this,o);case 1:return n.call(this,r[0],o);\ncase 2:return n.call(this,r[0],r[1],o)}for(u=Be(t+1),e=-1;++e<t;)u[e]=r[e];return u[t]=o,n.apply(this,u)}}function se(n,t){return n>t}function pe(n){return h(n)&&Er(n)&&nu.call(n,"callee")&&!cu.call(n,"callee")}function he(n,t,r,e){return e=(r=typeof r=="function"?Bt(r,e,3):w)?r(n,t):w,e===w?dt(n,t,r):!!e}function _e(n){return h(n)&&typeof n.message=="string"&&ru.call(n)==P}function ve(n){return ge(n)&&ru.call(n)==K}function ge(n){var t=typeof n;return!!n&&("object"==t||"function"==t)}function ye(n){\nreturn null==n?false:ve(n)?uu.test(Qe.call(n)):h(n)&&Rn.test(n)}function de(n){return typeof n=="number"||h(n)&&ru.call(n)==V}function me(n){var t;if(!h(n)||ru.call(n)!=Z||pe(n)||!(nu.call(n,"constructor")||(t=n.constructor,typeof t!="function"||t instanceof t)))return false;var r;return ht(n,function(n,t){r=t}),r===w||nu.call(n,r)}function we(n){return ge(n)&&ru.call(n)==Y}function be(n){return typeof n=="string"||h(n)&&ru.call(n)==G}function xe(n){return h(n)&&Sr(n.length)&&!!Sn[ru.call(n)]}function Ae(n,t){\nreturn n<t}function je(n){var t=n?Bu(n):0;return Sr(t)?t?qn(n):[]:Ee(n)}function ke(n){return et(n,Re(n))}function Ie(n){return gt(n,Re(n))}function Re(n){if(null==n)return[];ge(n)||(n=Ve(n));for(var t=n.length,t=t&&Sr(t)&&(Oo(n)||pe(n))&&t||0,r=n.constructor,e=-1,r=typeof r=="function"&&r.prototype===n,u=Be(t),o=0<t;++e<t;)u[e]=e+"";for(var i in n)o&&Cr(i,t)||"constructor"==i&&(r||!nu.call(n,i))||u.push(i);return u}function Oe(n){n=Br(n);for(var t=-1,r=zo(n),e=r.length,u=Be(e);++t<e;){var o=r[t];\nu[t]=[o,n[o]]}return u}function Ee(n){return Ft(n,zo(n))}function Ce(n){return(n=u(n))&&n.replace(En,a).replace(xn,"")}function Ue(n,t){var r="";if(n=u(n),t=+t,1>t||!n||!mu(t))return r;do t%2&&(r+=n),t=yu(t/2),n+=n;while(t);return r}function We(n,t,r){var e=n;return(n=u(n))?(r?Ur(e,t,r):null==t)?n.slice(g(n),y(n)+1):(t+="",n.slice(o(n,t),i(n,t)+1)):n}function $e(n,t,r){return r&&Ur(n,t,r)&&(t=w),n=u(n),n.match(t||Wn)||[]}function Se(n,t,r){return r&&Ur(n,t,r)&&(t=w),h(n)?Ne(n):ut(n,t)}function Fe(n){\nreturn n}function Ne(n){return bt(ot(n,true))}function Te(n,t,r){if(null==r){var e=ge(t),u=e?zo(t):w;((u=u&&u.length?gt(t,u):w)?u.length:e)||(u=false,r=t,t=n,n=this)}u||(u=gt(t,zo(t)));var o=true,e=-1,i=ve(n),f=u.length;false===r?o=false:ge(r)&&"chain"in r&&(o=r.chain);for(;++e<f;){r=u[e];var a=t[r];n[r]=a,i&&(n.prototype[r]=function(t){return function(){var r=this.__chain__;if(o||r){var e=n(this.__wrapped__);return(e.__actions__=qn(this.__actions__)).push({func:t,args:arguments,thisArg:n}),e.__chain__=r,e}return t.apply(n,Jn([this.value()],arguments));\n}}(a))}return n}function Le(){}function ze(n){return Wr(n)?jt(n):kt(n)}_=_?Vn.defaults(Kn.Object(),_,Vn.pick(Kn,$n)):Kn;var Be=_.Array,De=_.Date,Me=_.Error,qe=_.Function,Pe=_.Math,Ke=_.Number,Ve=_.Object,Ze=_.RegExp,Ye=_.String,Ge=_.TypeError,Je=Be.prototype,Xe=Ve.prototype,He=Ye.prototype,Qe=qe.prototype.toString,nu=Xe.hasOwnProperty,tu=0,ru=Xe.toString,eu=Kn._,uu=Ze("^"+Qe.call(nu).replace(/[\\\\^$.*+?()[\\]{}|]/g,"\\\\$&").replace(/hasOwnProperty|(function).*?(?=\\\\\\()| for .+?(?=\\\\\\])/g,"$1.*?")+"$"),ou=_.ArrayBuffer,iu=_.clearTimeout,fu=_.parseFloat,au=Pe.pow,cu=Xe.propertyIsEnumerable,lu=jr(_,"Set"),su=_.setTimeout,pu=Je.splice,hu=_.Uint8Array,_u=jr(_,"WeakMap"),vu=Pe.ceil,gu=jr(Ve,"create"),yu=Pe.floor,du=jr(Be,"isArray"),mu=_.isFinite,wu=jr(Ve,"keys"),bu=Pe.max,xu=Pe.min,Au=jr(De,"now"),ju=_.parseInt,ku=Pe.random,Iu=Ke.NEGATIVE_INFINITY,Ru=Ke.POSITIVE_INFINITY,Ou=4294967294,Eu=2147483647,Cu=9007199254740991,Uu=_u&&new _u,Wu={};\nNn.support={},Nn.templateSettings={escape:_n,evaluate:vn,interpolate:gn,variable:"",imports:{_:Nn}};var $u=function(){function n(){}return function(t){if(ge(t)){n.prototype=t;var r=new n;n.prototype=w}return r||{}}}(),Su=Vt(_t),Fu=Vt(vt,true),Nu=Zt(),Tu=Zt(true),Lu=Uu?function(n,t){return Uu.set(n,t),n}:Fe,zu=Uu?function(n){return Uu.get(n)}:Le,Bu=jt("length"),Du=function(){var n=0,t=0;return function(r,e){var u=ho(),o=S-(u-t);if(t=u,0<o){if(++n>=$)return r}else n=0;return Lu(r,e)}}(),Mu=le(function(n,t){\nreturn h(n)&&Er(n)?ft(n,pt(t,false,true)):[]}),qu=tr(),Pu=tr(true),Ku=le(function(n){for(var t=n.length,e=t,u=Be(l),o=xr(),i=o==r,f=[];e--;){var a=n[e]=Er(a=n[e])?a:[];u[e]=i&&120<=a.length&&gu&&lu?new Dn(e&&a):null}var i=n[0],c=-1,l=i?i.length:0,s=u[0];n:for(;++c<l;)if(a=i[c],0>(s?Mn(s,a):o(f,a,0))){for(e=t;--e;){var p=u[e];if(0>(p?Mn(p,a):o(n[e],a,0)))continue n}s&&s.push(a),f.push(a)}return f}),Vu=le(function(t,r){r=pt(r);var e=rt(t,r);return It(t,r.sort(n)),e}),Zu=vr(),Yu=vr(true),Gu=le(function(n){return St(pt(n,false,true));\n}),Ju=le(function(n,t){return Er(n)?ft(n,t):[]}),Xu=le(Jr),Hu=le(function(n){var t=n.length,r=2<t?n[t-2]:w,e=1<t?n[t-1]:w;return 2<t&&typeof r=="function"?t-=2:(r=1<t&&typeof e=="function"?(--t,e):w,e=w),n.length=t,Xr(n,r,e)}),Qu=le(function(n){return n=pt(n),this.thru(function(t){t=Oo(t)?t:[Br(t)];for(var r=n,e=-1,u=t.length,o=-1,i=r.length,f=Be(u+i);++e<u;)f[e]=t[e];for(;++o<i;)f[e++]=r[o];return f})}),no=le(function(n,t){return rt(n,pt(t))}),to=Pt(function(n,t,r){nu.call(n,r)?++n[r]:n[r]=1}),ro=nr(Su),eo=nr(Fu,true),uo=ur(Pn,Su),oo=ur(function(n,t){\nfor(var r=n.length;r--&&false!==t(n[r],r,n););return n},Fu),io=Pt(function(n,t,r){nu.call(n,r)?n[r].push(t):n[r]=[t]}),fo=Pt(function(n,t,r){n[r]=t}),ao=le(function(n,t,r){var e=-1,u=typeof t=="function",o=Wr(t),i=Er(n)?Be(n.length):[];return Su(n,function(n){var f=u?t:o&&null!=n?n[t]:w;i[++e]=f?f.apply(n,r):Or(n,t,r)}),i}),co=Pt(function(n,t,r){n[r?0:1].push(t)},function(){return[[],[]]}),lo=lr(Xn,Su),so=lr(function(n,t,r,e){var u=n.length;for(e&&u&&(r=n[--u]);u--;)r=t(r,n[u],u,n);return r},Fu),po=le(function(n,t){\nif(null==n)return[];var r=t[2];return r&&Ur(t[0],t[1],r)&&(t.length=1),Wt(n,pt(t),[])}),ho=Au||function(){return(new De).getTime()},_o=le(function(n,t,r){var e=x;if(r.length)var u=v(r,_o.placeholder),e=e|R;return gr(n,e,t,r,u)}),vo=le(function(n,t){t=t.length?pt(t):Ie(n);for(var r=-1,e=t.length;++r<e;){var u=t[r];n[u]=gr(n[u],x,n)}return n}),go=le(function(n,t,r){var e=x|A;if(r.length)var u=v(r,go.placeholder),e=e|R;return gr(t,e,n,r,u)}),yo=Xt(k),mo=Xt(I),wo=le(function(n,t){return it(n,1,t)}),bo=le(function(n,t,r){\nreturn it(n,t,r)}),xo=er(),Ao=er(true),jo=le(function(n,t){if(t=pt(t),typeof n!="function"||!Zn(t,e))throw new Ge(L);var r=t.length;return le(function(e){for(var u=xu(e.length,r);u--;)e[u]=t[u](e[u]);return n.apply(this,e)})}),ko=cr(R),Io=cr(O),Ro=le(function(n,t){return gr(n,C,w,w,w,pt(t))}),Oo=du||function(n){return h(n)&&Sr(n.length)&&ru.call(n)==D},Eo=Kt(At),Co=Kt(function(n,t,r){return r?nt(n,t,r):tt(n,t)}),Uo=Ht(Co,function(n,t){return n===w?t:n}),Wo=Ht(Eo,Fr),$o=rr(_t),So=rr(vt),Fo=or(Nu),No=or(Tu),To=ir(_t),Lo=ir(vt),zo=wu?function(n){\nvar t=null==n?w:n.constructor;return typeof t=="function"&&t.prototype===n||typeof n!="function"&&Er(n)?Lr(n):ge(n)?wu(n):[]}:Lr,Bo=fr(true),Do=fr(),Mo=le(function(n,t){if(null==n)return{};if("function"!=typeof t[0])return t=Gn(pt(t),Ye),Nr(n,ft(Re(n),t));var r=Bt(t[0],t[1],3);return Tr(n,function(n,t,e){return!r(n,t,e)})}),qo=le(function(n,t){return null==n?{}:"function"==typeof t[0]?Tr(n,Bt(t[0],t[1],3)):Nr(n,pt(t))}),Po=Gt(function(n,t,r){return t=t.toLowerCase(),n+(r?t.charAt(0).toUpperCase()+t.slice(1):t);\n}),Ko=Gt(function(n,t,r){return n+(r?"-":"")+t.toLowerCase()}),Vo=ar(),Zo=ar(true),Yo=Gt(function(n,t,r){return n+(r?"_":"")+t.toLowerCase()}),Go=Gt(function(n,t,r){return n+(r?" ":"")+(t.charAt(0).toUpperCase()+t.slice(1))}),Jo=le(function(n,t){try{return n.apply(w,t)}catch(r){return _e(r)?r:new Me(r)}}),Xo=le(function(n,t){return function(r){return Or(r,n,t)}}),Ho=le(function(n,t){return function(r){return Or(n,r,t)}}),Qo=_r("ceil"),ni=_r("floor"),ti=Qt(se,Iu),ri=Qt(Ae,Ru),ei=_r("round");return Nn.prototype=Tn.prototype,\nLn.prototype=$u(Tn.prototype),Ln.prototype.constructor=Ln,zn.prototype=$u(Tn.prototype),zn.prototype.constructor=zn,Bn.prototype["delete"]=function(n){return this.has(n)&&delete this.__data__[n]},Bn.prototype.get=function(n){return"__proto__"==n?w:this.__data__[n]},Bn.prototype.has=function(n){return"__proto__"!=n&&nu.call(this.__data__,n)},Bn.prototype.set=function(n,t){return"__proto__"!=n&&(this.__data__[n]=t),this},Dn.prototype.push=function(n){var t=this.data;typeof n=="string"||ge(n)?t.set.add(n):t.hash[n]=true;\n},ce.Cache=Bn,Nn.after=function(n,t){if(typeof t!="function"){if(typeof n!="function")throw new Ge(L);var r=n;n=t,t=r}return n=mu(n=+n)?n:0,function(){return 1>--n?t.apply(this,arguments):void 0}},Nn.ary=function(n,t,r){return r&&Ur(n,t,r)&&(t=w),t=n&&null==t?n.length:bu(+t||0,0),gr(n,E,w,w,w,w,t)},Nn.assign=Co,Nn.at=no,Nn.before=fe,Nn.bind=_o,Nn.bindAll=vo,Nn.bindKey=go,Nn.callback=Se,Nn.chain=Qr,Nn.chunk=function(n,t,r){t=(r?Ur(n,t,r):null==t)?1:bu(yu(t)||1,1),r=0;for(var e=n?n.length:0,u=-1,o=Be(vu(e/t));r<e;)o[++u]=Et(n,r,r+=t);\nreturn o},Nn.compact=function(n){for(var t=-1,r=n?n.length:0,e=-1,u=[];++t<r;){var o=n[t];o&&(u[++e]=o)}return u},Nn.constant=function(n){return function(){return n}},Nn.countBy=to,Nn.create=function(n,t,r){var e=$u(n);return r&&Ur(n,t,r)&&(t=w),t?tt(e,t):e},Nn.curry=yo,Nn.curryRight=mo,Nn.debounce=ae,Nn.defaults=Uo,Nn.defaultsDeep=Wo,Nn.defer=wo,Nn.delay=bo,Nn.difference=Mu,Nn.drop=qr,Nn.dropRight=Pr,Nn.dropRightWhile=function(n,t,r){return n&&n.length?Nt(n,wr(t,r,3),true,true):[]},Nn.dropWhile=function(n,t,r){\nreturn n&&n.length?Nt(n,wr(t,r,3),true):[]},Nn.fill=function(n,t,r,e){var u=n?n.length:0;if(!u)return[];for(r&&typeof r!="number"&&Ur(n,t,r)&&(r=0,e=u),u=n.length,r=null==r?0:+r||0,0>r&&(r=-r>u?0:u+r),e=e===w||e>u?u:+e||0,0>e&&(e+=u),u=r>e?0:e>>>0,r>>>=0;r<u;)n[r++]=t;return n},Nn.filter=re,Nn.flatten=function(n,t,r){var e=n?n.length:0;return r&&Ur(n,t,r)&&(t=false),e?pt(n,t):[]},Nn.flattenDeep=function(n){return n&&n.length?pt(n,true):[]},Nn.flow=xo,Nn.flowRight=Ao,Nn.forEach=uo,Nn.forEachRight=oo,Nn.forIn=Fo,\nNn.forInRight=No,Nn.forOwn=To,Nn.forOwnRight=Lo,Nn.functions=Ie,Nn.groupBy=io,Nn.indexBy=fo,Nn.initial=function(n){return Pr(n,1)},Nn.intersection=Ku,Nn.invert=function(n,t,r){r&&Ur(n,t,r)&&(t=w),r=-1;for(var e=zo(n),u=e.length,o={};++r<u;){var i=e[r],f=n[i];t?nu.call(o,f)?o[f].push(i):o[f]=[i]:o[f]=i}return o},Nn.invoke=ao,Nn.keys=zo,Nn.keysIn=Re,Nn.map=ue,Nn.mapKeys=Bo,Nn.mapValues=Do,Nn.matches=Ne,Nn.matchesProperty=function(n,t){return xt(n,ot(t,true))},Nn.memoize=ce,Nn.merge=Eo,Nn.method=Xo,Nn.methodOf=Ho,\nNn.mixin=Te,Nn.modArgs=jo,Nn.negate=function(n){if(typeof n!="function")throw new Ge(L);return function(){return!n.apply(this,arguments)}},Nn.omit=Mo,Nn.once=function(n){return fe(2,n)},Nn.pairs=Oe,Nn.partial=ko,Nn.partialRight=Io,Nn.partition=co,Nn.pick=qo,Nn.pluck=function(n,t){return ue(n,ze(t))},Nn.property=ze,Nn.propertyOf=function(n){return function(t){return yt(n,Dr(t),t+"")}},Nn.pull=function(){var n=arguments,t=n[0];if(!t||!t.length)return t;for(var r=0,e=xr(),u=n.length;++r<u;)for(var o=0,i=n[r];-1<(o=e(t,i,o));)pu.call(t,o,1);\nreturn t},Nn.pullAt=Vu,Nn.range=function(n,t,r){r&&Ur(n,t,r)&&(t=r=w),n=+n||0,r=null==r?1:+r||0,null==t?(t=n,n=0):t=+t||0;var e=-1;t=bu(vu((t-n)/(r||1)),0);for(var u=Be(t);++e<t;)u[e]=n,n+=r;return u},Nn.rearg=Ro,Nn.reject=function(n,t,r){var e=Oo(n)?Yn:lt;return t=wr(t,r,3),e(n,function(n,r,e){return!t(n,r,e)})},Nn.remove=function(n,t,r){var e=[];if(!n||!n.length)return e;var u=-1,o=[],i=n.length;for(t=wr(t,r,3);++u<i;)r=n[u],t(r,u,n)&&(e.push(r),o.push(u));return It(n,o),e},Nn.rest=Yr,Nn.restParam=le,\nNn.set=function(n,t,r){if(null==n)return n;var e=t+"";t=null!=n[e]||Wr(t,n)?[e]:Dr(t);for(var e=-1,u=t.length,o=u-1,i=n;null!=i&&++e<u;){var f=t[e];ge(i)&&(e==o?i[f]=r:null==i[f]&&(i[f]=Cr(t[e+1])?[]:{})),i=i[f]}return n},Nn.shuffle=function(n){return oe(n,Ru)},Nn.slice=function(n,t,r){var e=n?n.length:0;return e?(r&&typeof r!="number"&&Ur(n,t,r)&&(t=0,r=e),Et(n,t,r)):[]},Nn.sortBy=function(n,t,r){if(null==n)return[];r&&Ur(n,t,r)&&(t=w);var e=-1;return t=wr(t,r,3),n=wt(n,function(n,r,u){return{a:t(n,r,u),\nb:++e,c:n}}),Ut(n,f)},Nn.sortByAll=po,Nn.sortByOrder=function(n,t,r,e){return null==n?[]:(e&&Ur(t,r,e)&&(r=w),Oo(t)||(t=null==t?[]:[t]),Oo(r)||(r=null==r?[]:[r]),Wt(n,t,r))},Nn.spread=function(n){if(typeof n!="function")throw new Ge(L);return function(t){return n.apply(this,t)}},Nn.take=function(n,t,r){return n&&n.length?((r?Ur(n,t,r):null==t)&&(t=1),Et(n,0,0>t?0:t)):[]},Nn.takeRight=function(n,t,r){var e=n?n.length:0;return e?((r?Ur(n,t,r):null==t)&&(t=1),t=e-(+t||0),Et(n,0>t?0:t)):[]},Nn.takeRightWhile=function(n,t,r){\nreturn n&&n.length?Nt(n,wr(t,r,3),false,true):[]},Nn.takeWhile=function(n,t,r){return n&&n.length?Nt(n,wr(t,r,3)):[]},Nn.tap=function(n,t,r){return t.call(r,n),n},Nn.throttle=function(n,t,r){var e=true,u=true;if(typeof n!="function")throw new Ge(L);return false===r?e=false:ge(r)&&(e="leading"in r?!!r.leading:e,u="trailing"in r?!!r.trailing:u),ae(n,t,{leading:e,maxWait:+t,trailing:u})},Nn.thru=ne,Nn.times=function(n,t,r){if(n=yu(n),1>n||!mu(n))return[];var e=-1,u=Be(xu(n,4294967295));for(t=Bt(t,r,1);++e<n;)4294967295>e?u[e]=t(e):t(e);\nreturn u},Nn.toArray=je,Nn.toPlainObject=ke,Nn.transform=function(n,t,r,e){var u=Oo(n)||xe(n);return t=wr(t,e,4),null==r&&(u||ge(n)?(e=n.constructor,r=u?Oo(n)?new e:[]:$u(ve(e)?e.prototype:w)):r={}),(u?Pn:_t)(n,function(n,e,u){return t(r,n,e,u)}),r},Nn.union=Gu,Nn.uniq=Gr,Nn.unzip=Jr,Nn.unzipWith=Xr,Nn.values=Ee,Nn.valuesIn=function(n){return Ft(n,Re(n))},Nn.where=function(n,t){return re(n,bt(t))},Nn.without=Ju,Nn.wrap=function(n,t){return t=null==t?Fe:t,gr(t,R,w,[n],[])},Nn.xor=function(){for(var n=-1,t=arguments.length;++n<t;){\nvar r=arguments[n];if(Er(r))var e=e?Jn(ft(e,r),ft(r,e)):r}return e?St(e):[]},Nn.zip=Xu,Nn.zipObject=Hr,Nn.zipWith=Hu,Nn.backflow=Ao,Nn.collect=ue,Nn.compose=Ao,Nn.each=uo,Nn.eachRight=oo,Nn.extend=Co,Nn.iteratee=Se,Nn.methods=Ie,Nn.object=Hr,Nn.select=re,Nn.tail=Yr,Nn.unique=Gr,Te(Nn,Nn),Nn.add=function(n,t){return(+n||0)+(+t||0)},Nn.attempt=Jo,Nn.camelCase=Po,Nn.capitalize=function(n){return(n=u(n))&&n.charAt(0).toUpperCase()+n.slice(1)},Nn.ceil=Qo,Nn.clone=function(n,t,r,e){return t&&typeof t!="boolean"&&Ur(n,t,r)?t=false:typeof t=="function"&&(e=r,\nr=t,t=false),typeof r=="function"?ot(n,t,Bt(r,e,1)):ot(n,t)},Nn.cloneDeep=function(n,t,r){return typeof t=="function"?ot(n,true,Bt(t,r,1)):ot(n,true)},Nn.deburr=Ce,Nn.endsWith=function(n,t,r){n=u(n),t+="";var e=n.length;return r=r===w?e:xu(0>r?0:+r||0,e),r-=t.length,0<=r&&n.indexOf(t,r)==r},Nn.escape=function(n){return(n=u(n))&&hn.test(n)?n.replace(sn,c):n},Nn.escapeRegExp=function(n){return(n=u(n))&&bn.test(n)?n.replace(wn,l):n||"(?:)"},Nn.every=te,Nn.find=ro,Nn.findIndex=qu,Nn.findKey=$o,Nn.findLast=eo,\nNn.findLastIndex=Pu,Nn.findLastKey=So,Nn.findWhere=function(n,t){return ro(n,bt(t))},Nn.first=Kr,Nn.floor=ni,Nn.get=function(n,t,r){return n=null==n?w:yt(n,Dr(t),t+""),n===w?r:n},Nn.gt=se,Nn.gte=function(n,t){return n>=t},Nn.has=function(n,t){if(null==n)return false;var r=nu.call(n,t);if(!r&&!Wr(t)){if(t=Dr(t),n=1==t.length?n:yt(n,Et(t,0,-1)),null==n)return false;t=Zr(t),r=nu.call(n,t)}return r||Sr(n.length)&&Cr(t,n.length)&&(Oo(n)||pe(n))},Nn.identity=Fe,Nn.includes=ee,Nn.indexOf=Vr,Nn.inRange=function(n,t,r){\nreturn t=+t||0,r===w?(r=t,t=0):r=+r||0,n>=xu(t,r)&&n<bu(t,r)},Nn.isArguments=pe,Nn.isArray=Oo,Nn.isBoolean=function(n){return true===n||false===n||h(n)&&ru.call(n)==M},Nn.isDate=function(n){return h(n)&&ru.call(n)==q},Nn.isElement=function(n){return!!n&&1===n.nodeType&&h(n)&&!me(n)},Nn.isEmpty=function(n){return null==n?true:Er(n)&&(Oo(n)||be(n)||pe(n)||h(n)&&ve(n.splice))?!n.length:!zo(n).length},Nn.isEqual=he,Nn.isError=_e,Nn.isFinite=function(n){return typeof n=="number"&&mu(n)},Nn.isFunction=ve,Nn.isMatch=function(n,t,r,e){\nreturn r=typeof r=="function"?Bt(r,e,3):w,mt(n,Ar(t),r)},Nn.isNaN=function(n){return de(n)&&n!=+n},Nn.isNative=ye,Nn.isNull=function(n){return null===n},Nn.isNumber=de,Nn.isObject=ge,Nn.isPlainObject=me,Nn.isRegExp=we,Nn.isString=be,Nn.isTypedArray=xe,Nn.isUndefined=function(n){return n===w},Nn.kebabCase=Ko,Nn.last=Zr,Nn.lastIndexOf=function(n,t,r){var e=n?n.length:0;if(!e)return-1;var u=e;if(typeof r=="number")u=(0>r?bu(e+r,0):xu(r||0,e-1))+1;else if(r)return u=Lt(n,t,true)-1,n=n[u],(t===t?t===n:n!==n)?u:-1;\nif(t!==t)return p(n,u,true);for(;u--;)if(n[u]===t)return u;return-1},Nn.lt=Ae,Nn.lte=function(n,t){return n<=t},Nn.max=ti,Nn.min=ri,Nn.noConflict=function(){return Kn._=eu,this},Nn.noop=Le,Nn.now=ho,Nn.pad=function(n,t,r){n=u(n),t=+t;var e=n.length;return e<t&&mu(t)?(e=(t-e)/2,t=yu(e),e=vu(e),r=pr("",e,r),r.slice(0,t)+n+r):n},Nn.padLeft=Vo,Nn.padRight=Zo,Nn.parseInt=function(n,t,r){return(r?Ur(n,t,r):null==t)?t=0:t&&(t=+t),n=We(n),ju(n,t||(In.test(n)?16:10))},Nn.random=function(n,t,r){r&&Ur(n,t,r)&&(t=r=w);\nvar e=null==n,u=null==t;return null==r&&(u&&typeof n=="boolean"?(r=n,n=1):typeof t=="boolean"&&(r=t,u=true)),e&&u&&(t=1,u=false),n=+n||0,u?(t=n,n=0):t=+t||0,r||n%1||t%1?(r=ku(),xu(n+r*(t-n+fu("1e-"+((r+"").length-1))),t)):Rt(n,t)},Nn.reduce=lo,Nn.reduceRight=so,Nn.repeat=Ue,Nn.result=function(n,t,r){var e=null==n?w:n[t];return e===w&&(null==n||Wr(t,n)||(t=Dr(t),n=1==t.length?n:yt(n,Et(t,0,-1)),e=null==n?w:n[Zr(t)]),e=e===w?r:e),ve(e)?e.call(n):e},Nn.round=ei,Nn.runInContext=m,Nn.size=function(n){var t=n?Bu(n):0;\nreturn Sr(t)?t:zo(n).length},Nn.snakeCase=Yo,Nn.some=ie,Nn.sortedIndex=Zu,Nn.sortedLastIndex=Yu,Nn.startCase=Go,Nn.startsWith=function(n,t,r){return n=u(n),r=null==r?0:xu(0>r?0:+r||0,n.length),n.lastIndexOf(t,r)==r},Nn.sum=function(n,t,r){if(r&&Ur(n,t,r)&&(t=w),t=wr(t,r,3),1==t.length){n=Oo(n)?n:zr(n),r=n.length;for(var e=0;r--;)e+=+t(n[r])||0;n=e}else n=$t(n,t);return n},Nn.template=function(n,t,r){var e=Nn.templateSettings;r&&Ur(n,t,r)&&(t=r=w),n=u(n),t=nt(tt({},r||t),e,Qn),r=nt(tt({},t.imports),e.imports,Qn);\nvar o,i,f=zo(r),a=Ft(r,f),c=0;r=t.interpolate||Cn;var l="__p+=\'";r=Ze((t.escape||Cn).source+"|"+r.source+"|"+(r===gn?jn:Cn).source+"|"+(t.evaluate||Cn).source+"|$","g");var p="sourceURL"in t?"//# sourceURL="+t.sourceURL+"\\n":"";if(n.replace(r,function(t,r,e,u,f,a){return e||(e=u),l+=n.slice(c,a).replace(Un,s),r&&(o=true,l+="\'+__e("+r+")+\'"),f&&(i=true,l+="\';"+f+";\\n__p+=\'"),e&&(l+="\'+((__t=("+e+"))==null?\'\':__t)+\'"),c=a+t.length,t}),l+="\';",(t=t.variable)||(l="with(obj){"+l+"}"),l=(i?l.replace(fn,""):l).replace(an,"$1").replace(cn,"$1;"),\nl="function("+(t||"obj")+"){"+(t?"":"obj||(obj={});")+"var __t,__p=\'\'"+(o?",__e=_.escape":"")+(i?",__j=Array.prototype.join;function print(){__p+=__j.call(arguments,\'\')}":";")+l+"return __p}",t=Jo(function(){return qe(f,p+"return "+l).apply(w,a)}),t.source=l,_e(t))throw t;return t},Nn.trim=We,Nn.trimLeft=function(n,t,r){var e=n;return(n=u(n))?n.slice((r?Ur(e,t,r):null==t)?g(n):o(n,t+"")):n},Nn.trimRight=function(n,t,r){var e=n;return(n=u(n))?(r?Ur(e,t,r):null==t)?n.slice(0,y(n)+1):n.slice(0,i(n,t+"")+1):n;\n},Nn.trunc=function(n,t,r){r&&Ur(n,t,r)&&(t=w);var e=U;if(r=W,null!=t)if(ge(t)){var o="separator"in t?t.separator:o,e="length"in t?+t.length||0:e;r="omission"in t?u(t.omission):r}else e=+t||0;if(n=u(n),e>=n.length)return n;if(e-=r.length,1>e)return r;if(t=n.slice(0,e),null==o)return t+r;if(we(o)){if(n.slice(e).search(o)){var i,f=n.slice(0,e);for(o.global||(o=Ze(o.source,(kn.exec(o)||"")+"g")),o.lastIndex=0;n=o.exec(f);)i=n.index;t=t.slice(0,null==i?e:i)}}else n.indexOf(o,e)!=e&&(o=t.lastIndexOf(o),\n-1<o&&(t=t.slice(0,o)));return t+r},Nn.unescape=function(n){return(n=u(n))&&pn.test(n)?n.replace(ln,d):n},Nn.uniqueId=function(n){var t=++tu;return u(n)+t},Nn.words=$e,Nn.all=te,Nn.any=ie,Nn.contains=ee,Nn.eq=he,Nn.detect=ro,Nn.foldl=lo,Nn.foldr=so,Nn.head=Kr,Nn.include=ee,Nn.inject=lo,Te(Nn,function(){var n={};return _t(Nn,function(t,r){Nn.prototype[r]||(n[r]=t)}),n}(),false),Nn.sample=oe,Nn.prototype.sample=function(n){return this.__chain__||null!=n?this.thru(function(t){return oe(t,n)}):oe(this.value());\n},Nn.VERSION=b,Pn("bind bindKey curry curryRight partial partialRight".split(" "),function(n){Nn[n].placeholder=Nn}),Pn(["drop","take"],function(n,t){zn.prototype[n]=function(r){var e=this.__filtered__;if(e&&!t)return new zn(this);r=null==r?1:bu(yu(r)||0,0);var u=this.clone();return e?u.__takeCount__=xu(u.__takeCount__,r):u.__views__.push({size:r,type:n+(0>u.__dir__?"Right":"")}),u},zn.prototype[n+"Right"]=function(t){return this.reverse()[n](t).reverse()}}),Pn(["filter","map","takeWhile"],function(n,t){\nvar r=t+1,e=r!=T;zn.prototype[n]=function(n,t){var u=this.clone();return u.__iteratees__.push({iteratee:wr(n,t,1),type:r}),u.__filtered__=u.__filtered__||e,u}}),Pn(["first","last"],function(n,t){var r="take"+(t?"Right":"");zn.prototype[n]=function(){return this[r](1).value()[0]}}),Pn(["initial","rest"],function(n,t){var r="drop"+(t?"":"Right");zn.prototype[n]=function(){return this.__filtered__?new zn(this):this[r](1)}}),Pn(["pluck","where"],function(n,t){var r=t?"filter":"map",e=t?bt:ze;zn.prototype[n]=function(n){\nreturn this[r](e(n))}}),zn.prototype.compact=function(){return this.filter(Fe)},zn.prototype.reject=function(n,t){return n=wr(n,t,1),this.filter(function(t){return!n(t)})},zn.prototype.slice=function(n,t){n=null==n?0:+n||0;var r=this;return r.__filtered__&&(0<n||0>t)?new zn(r):(0>n?r=r.takeRight(-n):n&&(r=r.drop(n)),t!==w&&(t=+t||0,r=0>t?r.dropRight(-t):r.take(t-n)),r)},zn.prototype.takeRightWhile=function(n,t){return this.reverse().takeWhile(n,t).reverse()},zn.prototype.toArray=function(){return this.take(Ru);\n},_t(zn.prototype,function(n,t){var r=/^(?:filter|map|reject)|While$/.test(t),e=/^(?:first|last)$/.test(t),u=Nn[e?"take"+("last"==t?"Right":""):t];u&&(Nn.prototype[t]=function(){function t(n){return e&&i?u(n,1)[0]:u.apply(w,Jn([n],o))}var o=e?[1]:arguments,i=this.__chain__,f=this.__wrapped__,a=!!this.__actions__.length,c=f instanceof zn,l=o[0],s=c||Oo(f);return s&&r&&typeof l=="function"&&1!=l.length&&(c=s=false),l={func:ne,args:[t],thisArg:w},a=c&&!a,e&&!i?a?(f=f.clone(),f.__actions__.push(l),n.call(f)):u.call(w,this.value())[0]:!e&&s?(f=a?f:new zn(this),\nf=n.apply(f,o),f.__actions__.push(l),new Ln(f,i)):this.thru(t)})}),Pn("join pop push replace shift sort splice split unshift".split(" "),function(n){var t=(/^(?:replace|split)$/.test(n)?He:Je)[n],r=/^(?:push|sort|unshift)$/.test(n)?"tap":"thru",e=/^(?:join|pop|replace|shift)$/.test(n);Nn.prototype[n]=function(){var n=arguments;return e&&!this.__chain__?t.apply(this.value(),n):this[r](function(r){return t.apply(r,n)})}}),_t(zn.prototype,function(n,t){var r=Nn[t];if(r){var e=r.name;(Wu[e]||(Wu[e]=[])).push({\nname:t,func:r})}}),Wu[sr(w,A).name]=[{name:"wrapper",func:w}],zn.prototype.clone=function(){var n=new zn(this.__wrapped__);return n.__actions__=qn(this.__actions__),n.__dir__=this.__dir__,n.__filtered__=this.__filtered__,n.__iteratees__=qn(this.__iteratees__),n.__takeCount__=this.__takeCount__,n.__views__=qn(this.__views__),n},zn.prototype.reverse=function(){if(this.__filtered__){var n=new zn(this);n.__dir__=-1,n.__filtered__=true}else n=this.clone(),n.__dir__*=-1;return n},zn.prototype.value=function(){\nvar n,t=this.__wrapped__.value(),r=this.__dir__,e=Oo(t),u=0>r,o=e?t.length:0;n=o;for(var i=this.__views__,f=0,a=-1,c=i.length;++a<c;){var l=i[a],s=l.size;switch(l.type){case"drop":f+=s;break;case"dropRight":n-=s;break;case"take":n=xu(n,f+s);break;case"takeRight":f=bu(f,n-s)}}if(n={start:f,end:n},i=n.start,f=n.end,n=f-i,i=u?f:i-1,f=this.__iteratees__,a=f.length,c=0,l=xu(n,this.__takeCount__),!e||o<F||o==n&&l==n)return Tt(u&&e?t.reverse():t,this.__actions__);e=[];n:for(;n--&&c<l;){for(i+=r,u=-1,o=t[i];++u<a;){\nvar p=f[u],s=p.type,p=p.iteratee(o);if(s==T)o=p;else if(!p){if(s==N)continue n;break n}}e[c++]=o}return e},Nn.prototype.chain=function(){return Qr(this)},Nn.prototype.commit=function(){return new Ln(this.value(),this.__chain__)},Nn.prototype.concat=Qu,Nn.prototype.plant=function(n){for(var t,r=this;r instanceof Tn;){var e=Mr(r);t?u.__wrapped__=e:t=e;var u=e,r=r.__wrapped__}return u.__wrapped__=n,t},Nn.prototype.reverse=function(){function n(n){return r&&0>r.__dir__?n:n.reverse()}var t=this.__wrapped__;\nif(t instanceof zn){var r=t;return this.__actions__.length&&(r=new zn(this)),r=r.reverse(),r.__actions__.push({func:ne,args:[n],thisArg:w}),new Ln(r,this.__chain__)}return this.thru(n)},Nn.prototype.toString=function(){return this.value()+""},Nn.prototype.run=Nn.prototype.toJSON=Nn.prototype.valueOf=Nn.prototype.value=function(){return Tt(this.__wrapped__,this.__actions__)},Nn.prototype.collect=Nn.prototype.map,Nn.prototype.head=Nn.prototype.first,Nn.prototype.select=Nn.prototype.filter,Nn.prototype.tail=Nn.prototype.rest,\nNn}var w,b="3.10.0",x=1,A=2,j=4,k=8,I=16,R=32,O=64,E=128,C=256,U=30,W="...",$=150,S=16,F=200,N=1,T=2,L="Expected a function",z="__lodash_placeholder__",B="[object Arguments]",D="[object Array]",M="[object Boolean]",q="[object Date]",P="[object Error]",K="[object Function]",V="[object Number]",Z="[object Object]",Y="[object RegExp]",G="[object String]",J="[object ArrayBuffer]",X="[object Float32Array]",H="[object Float64Array]",Q="[object Int8Array]",nn="[object Int16Array]",tn="[object Int32Array]",rn="[object Uint8Array]",en="[object Uint8ClampedArray]",un="[object Uint16Array]",on="[object Uint32Array]",fn=/\\b__p\\+=\'\';/g,an=/\\b(__p\\+=)\'\'\\+/g,cn=/(__e\\(.*?\\)|\\b__t\\))\\+\'\';/g,ln=/&(?:amp|lt|gt|quot|#39|#96);/g,sn=/[&<>"\'`]/g,pn=RegExp(ln.source),hn=RegExp(sn.source),_n=/<%-([\\s\\S]+?)%>/g,vn=/<%([\\s\\S]+?)%>/g,gn=/<%=([\\s\\S]+?)%>/g,yn=/\\.|\\[(?:[^[\\]]*|(["\'])(?:(?!\\1)[^\\n\\\\]|\\\\.)*?\\1)\\]/,dn=/^\\w*$/,mn=/[^.[\\]]+|\\[(?:(-?\\d+(?:\\.\\d+)?)|(["\'])((?:(?!\\2)[^\\n\\\\]|\\\\.)*?)\\2)\\]/g,wn=/^[:!,]|[\\\\^$.*+?()[\\]{}|\\/]|(^[0-9a-fA-Fnrtuvx])|([\\n\\r\\u2028\\u2029])/g,bn=RegExp(wn.source),xn=/[\\u0300-\\u036f\\ufe20-\\ufe23]/g,An=/\\\\(\\\\)?/g,jn=/\\$\\{([^\\\\}]*(?:\\\\.[^\\\\}]*)*)\\}/g,kn=/\\w*$/,In=/^0[xX]/,Rn=/^\\[object .+?Constructor\\]$/,On=/^\\d+$/,En=/[\\xc0-\\xd6\\xd8-\\xde\\xdf-\\xf6\\xf8-\\xff]/g,Cn=/($^)/,Un=/[\'\\n\\r\\u2028\\u2029\\\\]/g,Wn=RegExp("[A-Z\\\\xc0-\\\\xd6\\\\xd8-\\\\xde]+(?=[A-Z\\\\xc0-\\\\xd6\\\\xd8-\\\\xde][a-z\\\\xdf-\\\\xf6\\\\xf8-\\\\xff]+)|[A-Z\\\\xc0-\\\\xd6\\\\xd8-\\\\xde]?[a-z\\\\xdf-\\\\xf6\\\\xf8-\\\\xff]+|[A-Z\\\\xc0-\\\\xd6\\\\xd8-\\\\xde]+|[0-9]+","g"),$n="Array ArrayBuffer Date Error Float32Array Float64Array Function Int8Array Int16Array Int32Array Math Number Object RegExp Set String _ clearTimeout isFinite parseFloat parseInt setTimeout TypeError Uint8Array Uint8ClampedArray Uint16Array Uint32Array WeakMap".split(" "),Sn={};\nSn[X]=Sn[H]=Sn[Q]=Sn[nn]=Sn[tn]=Sn[rn]=Sn[en]=Sn[un]=Sn[on]=true,Sn[B]=Sn[D]=Sn[J]=Sn[M]=Sn[q]=Sn[P]=Sn[K]=Sn["[object Map]"]=Sn[V]=Sn[Z]=Sn[Y]=Sn["[object Set]"]=Sn[G]=Sn["[object WeakMap]"]=false;var Fn={};Fn[B]=Fn[D]=Fn[J]=Fn[M]=Fn[q]=Fn[X]=Fn[H]=Fn[Q]=Fn[nn]=Fn[tn]=Fn[V]=Fn[Z]=Fn[Y]=Fn[G]=Fn[rn]=Fn[en]=Fn[un]=Fn[on]=true,Fn[P]=Fn[K]=Fn["[object Map]"]=Fn["[object Set]"]=Fn["[object WeakMap]"]=false;var Nn={"\\xc0":"A","\\xc1":"A","\\xc2":"A","\\xc3":"A","\\xc4":"A","\\xc5":"A","\\xe0":"a","\\xe1":"a","\\xe2":"a",\n"\\xe3":"a","\\xe4":"a","\\xe5":"a","\\xc7":"C","\\xe7":"c","\\xd0":"D","\\xf0":"d","\\xc8":"E","\\xc9":"E","\\xca":"E","\\xcb":"E","\\xe8":"e","\\xe9":"e","\\xea":"e","\\xeb":"e","\\xcc":"I","\\xcd":"I","\\xce":"I","\\xcf":"I","\\xec":"i","\\xed":"i","\\xee":"i","\\xef":"i","\\xd1":"N","\\xf1":"n","\\xd2":"O","\\xd3":"O","\\xd4":"O","\\xd5":"O","\\xd6":"O","\\xd8":"O","\\xf2":"o","\\xf3":"o","\\xf4":"o","\\xf5":"o","\\xf6":"o","\\xf8":"o","\\xd9":"U","\\xda":"U","\\xdb":"U","\\xdc":"U","\\xf9":"u","\\xfa":"u","\\xfb":"u","\\xfc":"u","\\xdd":"Y",\n"\\xfd":"y","\\xff":"y","\\xc6":"Ae","\\xe6":"ae","\\xde":"Th","\\xfe":"th","\\xdf":"ss"},Tn={"&":"&amp;","<":"&lt;",">":"&gt;",\'"\':"&quot;","\'":"&#39;","`":"&#96;"},Ln={"&amp;":"&","&lt;":"<","&gt;":">","&quot;":\'"\',"&#39;":"\'","&#96;":"`"},zn={"function":true,object:true},Bn={0:"x30",1:"x31",2:"x32",3:"x33",4:"x34",5:"x35",6:"x36",7:"x37",8:"x38",9:"x39",A:"x41",B:"x42",C:"x43",D:"x44",E:"x45",F:"x46",a:"x61",b:"x62",c:"x63",d:"x64",e:"x65",f:"x66",n:"x6e",r:"x72",t:"x74",u:"x75",v:"x76",x:"x78"},Dn={"\\\\":"\\\\",\n"\'":"\'","\\n":"n","\\r":"r","\\u2028":"u2028","\\u2029":"u2029"},Mn=zn[typeof module]&&module&&!module.nodeType&&module,qn=zn[typeof self]&&self&&self.Object&&self,Pn=zn[typeof window]&&window&&window.Object&&window,Kn=zn[typeof exports]&&exports&&!exports.nodeType&&exports&&Mn&&typeof global=="object"&&global&&global.Object&&global||Pn!==(this&&this.window)&&Pn||qn||this,Vn=m();typeof define=="function"&&typeof define.amd=="object"&&define.amd&& define(\'thirdparty/lodash\',[],function(){return Vn})}).call(this);\n//# sourceURL=/thirdparty/lodash.js'),
eval("/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the \"Software\"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n */\n\n/**\n * Implements a jQuery-like event dispatch pattern for non-DOM objects:\n *  - Listeners are attached via on()/one() & detached via off()\n *  - Listeners can use namespaces for easy removal\n *  - Listeners can attach to multiple events at once via a space-separated list\n *  - Events are fired via trigger()\n *  - The same listener can be attached twice, and will be called twice; but off() will detach all\n *    duplicate copies at once ('duplicate' means '===' equality - see http://jsfiddle.net/bf4p29g5/1/)\n *\n * But it has some important differences from jQuery's non-DOM event mechanism:\n *  - More robust to listeners that throw exceptions (other listeners will still be called, and\n *    trigger() will still return control to its caller).\n *  - Events can be marked deprecated, causing on() to issue warnings\n *  - Easier to debug, since the dispatch code is much simpler\n *  - Faster, for the same reason\n *  - Uses less memory, since $(nonDOMObj).on() leaks memory in jQuery\n *  - API is simplified:\n *      - Event handlers do not have 'this' set to the event dispatcher object\n *      - Event object passed to handlers only has 'type' and 'target' fields\n *      - trigger() uses a simpler argument-list signature (like Promise APIs), rather than requiring\n *        an Array arg and ignoring additional args\n *      - trigger() does not support namespaces\n *      - For simplicity, on() does not accept a map of multiple events -> multiple handlers, nor a\n *        missing arg standing in for a bare 'return false' handler.\n *\n * For now, Brackets uses a jQuery patch to ensure $(obj).on() and obj.on() (etc.) are identical\n * for any obj that has the EventDispatcher pattern. In the future, this may be deprecated.\n *\n * To add EventDispatcher methods to any object, call EventDispatcher.makeEventDispatcher(obj).\n */\ndefine('utils/EventDispatcher',['require','exports','module','thirdparty/lodash'],function (require, exports, module) {\n    \"use strict\";\n\n    var _ = require(\"thirdparty/lodash\");\n\n    var LEAK_WARNING_THRESHOLD = 15;\n\n\n    /**\n     * Split \"event.namespace\" string into its two parts; both parts are optional.\n     * @param {string} eventName Event name and/or trailing \".namespace\"\n     * @return {!{event:string, ns:string}} Uses \"\" for missing parts.\n     */\n    function splitNs(eventStr) {\n        var dot = eventStr.indexOf(\".\");\n        if (dot === -1) {\n            return { eventName: eventStr };\n        } else {\n            return { eventName: eventStr.substring(0, dot), ns: eventStr.substring(dot) };\n        }\n    }\n\n\n    // These functions are added as mixins to any object by makeEventDispatcher()\n\n    /**\n     * Adds the given handler function to 'events': a space-separated list of one or more event names, each\n     * with an optional \".namespace\" (used by off() - see below). If the handler is already listening to this\n     * event, a duplicate copy is added.\n     * @param {string} events\n     * @param {!function(!{type:string, target:!Object}, ...)} fn\n     */\n    var on = function (events, fn) {\n        var eventsList = events.split(/\\s+/).map(splitNs),\n            i;\n\n        if (!fn) {\n            throw new Error(\"EventListener.on() called with no listener fn for event '\" + events + \"'\");\n        }\n\n        // Check for deprecation warnings\n        if (this._deprecatedEvents) {\n            for (i = 0; i < eventsList.length; i++) {\n                var deprecation = this._deprecatedEvents[eventsList[i].eventName];\n                if (deprecation) {\n                    var message = \"Registering for deprecated event '\" + eventsList[i].eventName + \"'.\";\n                    if (typeof deprecation === \"string\") {\n                        message += \" Instead, use \" + deprecation + \".\";\n                    }\n                    console.warn(message, new Error().stack);\n                }\n            }\n        }\n\n        // Attach listener for each event clause\n        for (i = 0; i < eventsList.length; i++) {\n            var eventName = eventsList[i].eventName;\n            if (!this._eventHandlers) {\n                this._eventHandlers = {};\n            }\n            if (!this._eventHandlers[eventName]) {\n                this._eventHandlers[eventName] = [];\n            }\n            eventsList[i].handler = fn;\n            this._eventHandlers[eventName].push(eventsList[i]);\n\n            // Check for suspicious number of listeners being added to one object-event pair\n            if (this._eventHandlers[eventName].length > LEAK_WARNING_THRESHOLD) {\n                console.error(\"Possible memory leak: \" + this._eventHandlers[eventName].length + \" '\" + eventName + \"' listeners attached to\", this);\n            }\n        }\n\n        return this;  // for chaining\n    };\n\n    /**\n     * Removes one or more handler functions based on the space-separated 'events' list. Each item in\n     * 'events' can be: bare event name, bare .namespace, or event.namespace pair. This yields a set of\n     * matching handlers. If 'fn' is ommitted, all these handlers are removed. If 'fn' is provided,\n     * only handlers exactly equal to 'fn' are removed (there may still be >1, if duplicates were added).\n     * @param {string} events\n     * @param {?function(!{type:string, target:!Object}, ...)} fn\n     */\n    var off = function (events, fn) {\n        if (!this._eventHandlers) {\n            return this;\n        }\n\n        var eventsList = events.split(/\\s+/).map(splitNs),\n            i;\n\n        var removeAllMatches = function (eventRec, eventName) {\n            var handlerList = this._eventHandlers[eventName],\n                k;\n            if (!handlerList) {\n                return;\n            }\n\n            // Walk backwards so it's easy to remove items\n            for (k = handlerList.length - 1; k >= 0; k--) {\n                // Look at ns & fn only - doRemove() has already taken care of eventName\n                if (!eventRec.ns || eventRec.ns === handlerList[k].ns) {\n                    var handler = handlerList[k].handler;\n                    if (!fn || fn === handler || fn._eventOnceWrapper === handler) {\n                        handlerList.splice(k, 1);\n                    }\n                }\n            }\n            if (!handlerList.length) {\n                delete this._eventHandlers[eventName];\n            }\n        }.bind(this);\n\n        var doRemove = function (eventRec) {\n            if (eventRec.eventName) {\n                // If arg calls out an event name, look at that handler list only\n                removeAllMatches(eventRec, eventRec.eventName);\n            } else {\n                // If arg only gives a namespace, look at handler lists for all events\n                _.forEach(this._eventHandlers, function (handlerList, eventName) {\n                    removeAllMatches(eventRec, eventName);\n                });\n            }\n        }.bind(this);\n\n        // Detach listener for each event clause\n        // Each clause may be: bare eventname, bare .namespace, full eventname.namespace\n        for (i = 0; i < eventsList.length; i++) {\n            doRemove(eventsList[i]);\n        }\n\n        return this;  // for chaining\n    };\n\n    /**\n     * Attaches a handler so it's only called once (per event in the 'events' list).\n     * @param {string} events\n     * @param {?function(!{type:string, target:!Object}, ...)} fn\n     */\n    var one = function (events, fn) {\n        // Wrap fn in a self-detaching handler; saved on the original fn so off() can detect it later\n        if (!fn._eventOnceWrapper) {\n            fn._eventOnceWrapper = function (event) {\n                // Note: this wrapper is reused for all attachments of the same fn, so it shouldn't reference\n                // anything from the outer closure other than 'fn'\n                event.target.off(event.type, fn._eventOnceWrapper);\n                fn.apply(this, arguments);\n            };\n        }\n        return this.on(events, fn._eventOnceWrapper);\n    };\n\n    /**\n     * Invokes all handlers for the given event (in the order they were added).\n     * @param {string} eventName\n     * @param {*} ... Any additional args are passed to the event handler after the event object\n     */\n    var trigger = function (eventName) {\n        var event = { type: eventName, target: this },\n            handlerList = this._eventHandlers && this._eventHandlers[eventName],\n            i;\n\n        if (!handlerList) {\n            return;\n        }\n\n        // Use a clone of the list in case handlers call on()/off() while we're still in the loop\n        handlerList = handlerList.slice();\n\n        // Pass 'event' object followed by any additional args trigger() was given\n        var applyArgs = Array.prototype.slice.call(arguments, 1);\n        applyArgs.unshift(event);\n\n        for (i = 0; i < handlerList.length; i++) {\n            try {\n                // Call one handler\n                handlerList[i].handler.apply(null, applyArgs);\n            } catch (err) {\n                console.error(\"Exception in '\" + eventName + \"' listener on\", this, String(err), err.stack);\n                console.assert();  // causes dev tools to pause, just like an uncaught exception\n            }\n        }\n    };\n\n\n    /**\n     * Adds the EventDispatcher APIs to the given object: on(), one(), off(), and trigger(). May also be\n     * called on a prototype object - each instance will still behave independently.\n     * @param {!Object} obj Object to add event-dispatch methods to\n     */\n    function makeEventDispatcher(obj) {\n        $.extend(obj, {\n            on: on,\n            off: off,\n            one: one,\n            trigger: trigger,\n            _EventDispatcher: true\n        });\n        // Later, on() may add _eventHandlers: Object.<string, Array.<{event:string, namespace:?string,\n        //   handler:!function(!{type:string, target:!Object}, ...)}>> - map from eventName to an array\n        //   of handler records\n        // Later, markDeprecated() may add _deprecatedEvents: Object.<string, string|boolean> - map from\n        //   eventName to deprecation warning info\n    }\n\n    /**\n     * Utility for calling on() with an array of arguments to pass to event handlers (rather than a varargs\n     * list). makeEventDispatcher() must have previously been called on 'dispatcher'.\n     * @param {!Object} dispatcher\n     * @param {string} eventName\n     * @param {!Array.<*>} argsArray\n     */\n    function triggerWithArray(dispatcher, eventName, argsArray) {\n        var triggerArgs = [eventName].concat(argsArray);\n        dispatcher.trigger.apply(dispatcher, triggerArgs);\n    }\n\n    /**\n     * Utility for attaching an event handler to an object that has not YET had makeEventDispatcher() called\n     * on it, but will in the future. Once 'futureDispatcher' becomes a real event dispatcher, any handlers\n     * attached here will be retained.\n     *\n     * Useful with core modules that have circular dependencies (one module initially gets an empty copy of the\n     * other, with no on() API present yet). Unlike other strategies like waiting for htmlReady(), this helper\n     * guarantees you won't miss any future events, regardless of how soon the other module finishes init and\n     * starts calling trigger().\n     *\n     * @param {!Object} futureDispatcher\n     * @param {string} events\n     * @param {?function(!{type:string, target:!Object}, ...)} fn\n     */\n    function on_duringInit(futureDispatcher, events, fn) {\n        on.call(futureDispatcher, events, fn);\n    }\n\n    /**\n     * Mark a given event name as deprecated, such that on() will emit warnings when called with it.\n     * May be called before makeEventDispatcher(). May be called on a prototype where makeEventDispatcher()\n     * is called separately per instance (i.e. in the constructor). Should be called before clients have\n     * a chance to start calling on().\n     * @param {!Object} obj Event dispatcher object\n     * @param {string} eventName Name of deprecated event\n     * @param {string=} insteadStr Suggested thing to use instead\n     */\n    function markDeprecated(obj, eventName, insteadStr) {\n        // Mark event as deprecated - on() will emit warnings when called with this event\n        if (!obj._deprecatedEvents) {\n            obj._deprecatedEvents = {};\n        }\n        obj._deprecatedEvents[eventName] = insteadStr || true;\n    }\n\n\n    exports.makeEventDispatcher = makeEventDispatcher;\n    exports.triggerWithArray    = triggerWithArray;\n    exports.on_duringInit       = on_duringInit;\n    exports.markDeprecated      = markDeprecated;\n});\n\n//# sourceURL=/utils/EventDispatcher.js"),eval("/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the \"Software\"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Utilities for working with Deferred, Promise, and other asynchronous processes.\n */\ndefine('utils/Async',['require','exports','module'],function (require, exports, module) {\n    \"use strict\";\n\n    // Further ideas for Async utilities...\n    //  - Utilities for blocking UI until a Promise completes?\n    //  - A \"SuperDeferred\" could feature some very useful enhancements:\n    //     - API for cancellation (non guaranteed, best attempt)\n    //     - Easier way to add a timeout clause (withTimeout() wrapper below is more verbose)\n    //     - Encapsulate the task kickoff code so you can start it later, e.g. superDeferred.start()\n    //  - Deferred/Promise are unable to do anything akin to a 'finally' block. It'd be nice if we\n    //    could harvest exceptions across all steps of an async process and pipe them to a handler,\n    //    so that we don't leave UI-blocking overlays up forever, etc. But this is hard: we'd have\n    //    wrap every async callback (including low-level native ones that don't use [Super]Deferred)\n    //    to catch exceptions, and then understand which Deferred(s) the code *would* have resolved/\n    //    rejected had it run to completion.\n\n\n    /**\n     * Executes a series of tasks in parallel, returning a \"master\" Promise that is resolved once\n     * all the tasks have resolved. If one or more tasks fail, behavior depends on the failFast\n     * flag:\n     *   - If true, the master Promise is rejected as soon as the first task fails. The remaining\n     *     tasks continue to completion in the background.\n     *   - If false, the master Promise is rejected after all tasks have completed.\n     *\n     * If nothing fails:          (M = master promise; 1-4 = tasks; d = done; F = fail)\n     *  M  ------------d\n     *  1 >---d        .\n     *  2 >------d     .\n     *  3 >---------d  .\n     *  4 >------------d\n     *\n     * With failFast = false:\n     *  M  ------------F\n     *  1 >---d     .  .\n     *  2 >------d  .  .\n     *  3 >---------F  .\n     *  4 >------------d\n     *\n     * With failFast = true: -- equivalent to $.when()\n     *  M  ---------F\n     *  1 >---d     .\n     *  2 >------d  .\n     *  3 >---------F\n     *  4 >------------d   (#4 continues even though master Promise has failed)\n     * (Note: if tasks finish synchronously, the behavior is more like failFast=false because you\n     * won't get a chance to respond to the master Promise until after all items have been processed)\n     *\n     * To perform task-specific work after an individual task completes, attach handlers to each\n     * Promise before beginProcessItem() returns it.\n     *\n     * Note: don't use this if individual tasks (or their done/fail handlers) could ever show a user-\n     * visible dialog: because they run in parallel, you could show multiple dialogs atop each other.\n     *\n     * @param {!Array.<*>} items\n     * @param {!function(*, number):Promise} beginProcessItem\n     * @param {!boolean} failFast\n     * @return {$.Promise}\n     */\n    function doInParallel(items, beginProcessItem, failFast) {\n        var promises = [];\n        var masterDeferred = new $.Deferred();\n\n        if (items.length === 0) {\n            masterDeferred.resolve();\n\n        } else {\n            var numCompleted = 0;\n            var hasFailed = false;\n\n            items.forEach(function (item, i) {\n                var itemPromise = beginProcessItem(item, i);\n                promises.push(itemPromise);\n\n                itemPromise.fail(function () {\n                    if (failFast) {\n                        masterDeferred.reject();\n                    } else {\n                        hasFailed = true;\n                    }\n                });\n                itemPromise.always(function () {\n                    numCompleted++;\n                    if (numCompleted === items.length) {\n                        if (hasFailed) {\n                            masterDeferred.reject();\n                        } else {\n                            masterDeferred.resolve();\n                        }\n                    }\n                });\n            });\n\n        }\n\n        return masterDeferred.promise();\n    }\n\n    /**\n     * Executes a series of tasks in serial (task N does not begin until task N-1 has completed).\n     * Returns a \"master\" Promise that is resolved once all the tasks have resolved. If one or more\n     * tasks fail, behavior depends on the failAndStopFast flag:\n     *   - If true, the master Promise is rejected as soon as the first task fails. The remaining\n     *     tasks are never started (the serial sequence is stopped).\n     *   - If false, the master Promise is rejected after all tasks have completed.\n     *\n     * If nothing fails:\n     *  M  ------------d\n     *  1 >---d        .\n     *  2     >--d     .\n     *  3        >--d  .\n     *  4           >--d\n     *\n     * With failAndStopFast = false:\n     *  M  ------------F\n     *  1 >---d     .  .\n     *  2     >--d  .  .\n     *  3        >--F  .\n     *  4           >--d\n     *\n     * With failAndStopFast = true:\n     *  M  ---------F\n     *  1 >---d     .\n     *  2     >--d  .\n     *  3        >--F\n     *  4          (#4 never runs)\n     *\n     * To perform task-specific work after an individual task completes, attach handlers to each\n     * Promise before beginProcessItem() returns it.\n     *\n     * @param {!Array.<*>} items\n     * @param {!function(*, number):Promise} beginProcessItem\n     * @param {!boolean} failAndStopFast\n     * @return {$.Promise}\n     */\n    function doSequentially(items, beginProcessItem, failAndStopFast) {\n\n        var masterDeferred = new $.Deferred(),\n            hasFailed = false;\n\n        function doItem(i) {\n            if (i >= items.length) {\n                if (hasFailed) {\n                    masterDeferred.reject();\n                } else {\n                    masterDeferred.resolve();\n                }\n                return;\n            }\n\n            var itemPromise = beginProcessItem(items[i], i);\n\n            itemPromise.done(function () {\n                doItem(i + 1);\n            });\n            itemPromise.fail(function () {\n                if (failAndStopFast) {\n                    masterDeferred.reject();\n                    // note: we do NOT process any further items in this case\n                } else {\n                    hasFailed = true;\n                    doItem(i + 1);\n                }\n            });\n        }\n\n        doItem(0);\n\n        return masterDeferred.promise();\n    }\n\n    /**\n     * Executes a series of synchronous tasks sequentially spread over time-slices less than maxBlockingTime.\n     * Processing yields by idleTime between time-slices.\n     *\n     * @param {!Array.<*>} items\n     * @param {!function(*, number)} fnProcessItem  Function that synchronously processes one item\n     * @param {number=} maxBlockingTime\n     * @param {number=} idleTime\n     * @return {$.Promise}\n     */\n    function doSequentiallyInBackground(items, fnProcessItem, maxBlockingTime, idleTime) {\n\n        maxBlockingTime = maxBlockingTime || 15;\n        idleTime = idleTime || 30;\n\n        var sliceStartTime = (new Date()).getTime();\n\n        return doSequentially(items, function (item, i) {\n            var result = new $.Deferred();\n\n            // process the next item\n            fnProcessItem(item, i);\n\n            // if we've exhausted our maxBlockingTime\n            if ((new Date()).getTime() - sliceStartTime >= maxBlockingTime) {\n                //yield\n                window.setTimeout(function () {\n                    sliceStartTime = (new Date()).getTime();\n                    result.resolve();\n                }, idleTime);\n            } else {\n                //continue processing\n                result.resolve();\n            }\n\n            return result;\n        }, false);\n    }\n\n    /**\n     * Executes a series of tasks in serial (task N does not begin until task N-1 has completed).\n     * Returns a \"master\" Promise that is resolved when the first task has resolved. If all tasks\n     * fail, the master Promise is rejected.\n     *\n     * @param {!Array.<*>} items\n     * @param {!function(*, number):Promise} beginProcessItem\n     * @return {$.Promise}\n     */\n    function firstSequentially(items, beginProcessItem) {\n\n        var masterDeferred = new $.Deferred();\n\n        function doItem(i) {\n            if (i >= items.length) {\n                masterDeferred.reject();\n                return;\n            }\n\n            beginProcessItem(items[i], i)\n                .fail(function () {\n                    doItem(i + 1);\n                })\n                .done(function () {\n                    masterDeferred.resolve(items[i]);\n                });\n        }\n\n        doItem(0);\n        return masterDeferred.promise();\n    }\n\n    /**\n     * Executes a series of tasks in parallel, saving up error info from any that fail along the way.\n     * Returns a Promise that is only resolved/rejected once all tasks are complete. This is\n     * essentially a wrapper around doInParallel(..., false).\n     *\n     * If one or more tasks failed, the entire \"master\" promise is rejected at the end - with one\n     * argument: an array objects, one per failed task. Each error object contains:\n     *  - item -- the entry in items whose task failed\n     *  - error -- the first argument passed to the fail() handler when the task failed\n     *\n     * @param {!Array.<*>} items\n     * @param {!function(*, number):Promise} beginProcessItem\n     * @return {$.Promise}\n     */\n    function doInParallel_aggregateErrors(items, beginProcessItem) {\n        var errors = [];\n\n        var masterDeferred = new $.Deferred();\n\n        var parallelResult = doInParallel(\n            items,\n            function (item, i) {\n                var itemResult = beginProcessItem(item, i);\n                itemResult.fail(function (error) {\n                    errors.push({ item: item, error: error });\n                });\n                return itemResult;\n            },\n            false\n        );\n\n        parallelResult\n            .done(function () {\n                masterDeferred.resolve();\n            })\n            .fail(function () {\n                masterDeferred.reject(errors);\n            });\n\n        return masterDeferred.promise();\n    }\n\n    /** Value passed to fail() handlers that have been triggered due to withTimeout()'s timeout */\n    var ERROR_TIMEOUT = {};\n\n    /**\n     * Adds timeout-driven termination to a Promise: returns a new Promise that is resolved/rejected when\n     * the given original Promise is resolved/rejected, OR is resolved/rejected after the given delay -\n     * whichever happens first.\n     *\n     * If the original Promise is resolved/rejected first, done()/fail() handlers receive arguments\n     * piped from the original Promise. If the timeout occurs first instead, then resolve() or\n     * fail() (with Async.ERROR_TIMEOUT) is called based on value of resolveTimeout.\n     *\n     * @param {$.Promise} promise\n     * @param {number} timeout\n     * @param {boolean=} resolveTimeout If true, then resolve deferred on timeout, otherwise reject. Default is false.\n     * @return {$.Promise}\n     */\n    function withTimeout(promise, timeout, resolveTimeout) {\n        var wrapper = new $.Deferred();\n\n        var timer = window.setTimeout(function () {\n            if (resolveTimeout) {\n                wrapper.resolve();\n            } else {\n                wrapper.reject(ERROR_TIMEOUT);\n            }\n        }, timeout);\n        promise.always(function () {\n            window.clearTimeout(timer);\n        });\n\n        // If the wrapper was already rejected due to timeout, the Promise's calls to resolve/reject\n        // won't do anything\n        promise.then(wrapper.resolve, wrapper.reject);\n\n        return wrapper.promise();\n    }\n\n    /**\n     * Allows waiting for all the promises to be either resolved or rejected.\n     * Unlike $.when(), it does not call .fail() or .always() handlers on first\n     * reject. The caller should take all the precaution to make sure all the\n     * promises passed to this function are completed to avoid blocking.\n     *\n     * If failOnReject is set to true, promise returned by the function will be\n     * rejected if at least one of the promises was rejected. The default value\n     * is false, which will cause the call to this function to be always\n     * successfully resolved.\n     *\n     * If timeout is specified, the promise will be rejected on timeout as per\n     * Async.withTimeout.\n     *\n     * @param {!Array.<$.Promise>} promises Array of promises to wait for\n     * @param {boolean=} failOnReject       Whether to reject or not if one of the promises has been rejected.\n     * @param {number=} timeout             Number of milliseconds to wait until rejecting the promise\n     *\n     * @return {$.Promise} A Promise which will be resolved once all dependent promises are resolved.\n     *                     It is resolved with an array of results from the successfully resolved dependent promises.\n     *                     The resulting array may not be in the same order or contain as many items as there were\n     *                     promises to wait on and it will contain 'undefined' entries for those promises that resolve\n     *                     without a result.\n     *\n     */\n    function waitForAll(promises, failOnReject, timeout) {\n        var masterDeferred = new $.Deferred(),\n            results = [],\n            count = 0,\n            sawRejects = false;\n\n        if (!promises || promises.length === 0) {\n            masterDeferred.resolve();\n            return masterDeferred.promise();\n        }\n\n        // set defaults if needed\n        failOnReject = (failOnReject === undefined) ? false : true;\n\n        if (timeout !== undefined) {\n            withTimeout(masterDeferred, timeout);\n        }\n\n        promises.forEach(function (promise) {\n            promise\n                .fail(function (err) {\n                    sawRejects = true;\n                })\n                .done(function (result) {\n                    results.push(result);\n                })\n                .always(function () {\n                    count++;\n                    if (count === promises.length) {\n                        if (failOnReject && sawRejects) {\n                            masterDeferred.reject();\n                        } else {\n                            masterDeferred.resolve(results);\n                        }\n                    }\n                });\n        });\n\n        return masterDeferred.promise();\n    }\n\n    /**\n     * Chains a series of synchronous and asynchronous (jQuery promise-returning) functions\n     * together, using the result of each successive function as the argument(s) to the next.\n     * A promise is returned that resolves with the result of the final call if all calls\n     * resolve or return normally. Otherwise, if any of the functions reject or throw, the\n     * computation is halted immediately and the promise is rejected with this halting error.\n     *\n     * @param {Array.<function(*)>} functions Functions to be chained\n     * @param {?Array} args Arguments to call the first function with\n     * @return {jQuery.Promise} A promise that resolves with the result of the final call, or\n     *      rejects with the first error.\n     */\n    function chain(functions, args) {\n        var deferred = $.Deferred();\n\n        function chainHelper(index, args) {\n            if (functions.length === index) {\n                deferred.resolveWith(null, args);\n            } else {\n                var nextFunction = functions[index++];\n                try {\n                    var responseOrPromise = nextFunction.apply(null, args);\n                    if (responseOrPromise.hasOwnProperty(\"done\") &&\n                            responseOrPromise.hasOwnProperty(\"fail\")) {\n                        responseOrPromise.done(function () {\n                            chainHelper(index, arguments);\n                        });\n                        responseOrPromise.fail(function () {\n                            deferred.rejectWith(null, arguments);\n                        });\n                    } else {\n                        chainHelper(index, [responseOrPromise]);\n                    }\n                } catch (e) {\n                    deferred.reject(e);\n                }\n            }\n        }\n\n        chainHelper(0, args || []);\n\n        return deferred.promise();\n    }\n\n    /**\n     * Utility for converting a method that takes (error, callback) to one that returns a promise;\n     * useful for using FileSystem methods (or other Node-style API methods) in a promise-oriented\n     * workflow. For example, instead of\n     *\n     *      var deferred = new $.Deferred();\n     *      file.read(function (err, contents) {\n     *          if (err) {\n     *              deferred.reject(err);\n     *          } else {\n     *              // ...process the contents...\n     *              deferred.resolve();\n     *          }\n     *      }\n     *      return deferred.promise();\n     *\n     * you can just do\n     *\n     *      return Async.promisify(file, \"read\").then(function (contents) {\n     *          // ...process the contents...\n     *      });\n     *\n     * The object/method are passed as an object/string pair so that we can\n     * properly call the method without the caller having to deal with \"bind\" all the time.\n     *\n     * @param {Object} obj The object to call the method on.\n     * @param {string} method The name of the method. The method should expect the errback\n     *      as its last parameter.\n     * @param {...Object} varargs The arguments you would have normally passed to the method\n     *      (excluding the errback itself).\n     * @return {$.Promise} A promise that is resolved with the arguments that were passed to the\n     *      errback (not including the err argument) if err is null, or rejected with the err if\n     *      non-null.\n     */\n    function promisify(obj, method) {\n        var result = new $.Deferred(),\n            args = Array.prototype.slice.call(arguments, 2);\n        args.push(function (err) {\n            if (err) {\n                result.reject(err);\n            } else {\n                result.resolve.apply(result, Array.prototype.slice.call(arguments, 1));\n            }\n        });\n        obj[method].apply(obj, args);\n        return result.promise();\n    }\n\n    /**\n     * Creates a queue of async operations that will be executed sequentially. Operations can be added to the\n     * queue at any time. If the queue is empty and nothing is currently executing when an operation is added,\n     * it will execute immediately. Otherwise, it will execute when the last operation currently in the queue\n     * has finished.\n     * @constructor\n     */\n    function PromiseQueue() {\n        this._queue = [];\n    }\n\n    /**\n     * @private\n     * @type {Array.<function(): $.Promise>}\n     * The queue of operations to execute sequentially. Note that even if this array is empty, there might\n     * still be an operation we need to wait on; that operation's promise is stored in _curPromise.\n     */\n    PromiseQueue.prototype._queue = null;\n\n    /**\n     * @private\n     * @type {$.Promise}\n     * The promise we're currently waiting on, or null if there's nothing currently executing.\n     */\n    PromiseQueue.prototype._curPromise = null;\n\n    /**\n     * @type {number} The number of queued promises.\n     */\n    Object.defineProperties(PromiseQueue.prototype, {\n        \"length\": {\n            get: function () { return this._queue.length; },\n            set: function () { throw new Error(\"Cannot set length\"); }\n        }\n    });\n\n    /**\n     * Adds an operation to the queue. If nothing is currently executing, it will execute immediately (and\n     * the next operation added to the queue will wait for it to complete). Otherwise, it will wait until\n     * the last operation in the queue (or the currently executing operation if nothing is in the queue) is\n     * finished. The operation must return a promise that will be resolved or rejected when it's finished;\n     * the queue will continue with the next operation regardless of whether the current operation's promise\n     * is resolved or rejected.\n     * @param {function(): $.Promise} op The operation to add to the queue.\n     */\n    PromiseQueue.prototype.add = function (op) {\n        this._queue.push(op);\n\n        // If something is currently executing, then _doNext() will get called when it's done. If nothing\n        // is executing (in which case the queue should have been empty), we need to call _doNext() to kickstart\n        // the queue.\n        if (!this._curPromise) {\n            this._doNext();\n        }\n    };\n\n    /**\n     * Removes all pending promises from the queue.\n     */\n    PromiseQueue.prototype.removeAll = function () {\n        this._queue = [];\n    };\n\n    /**\n     * @private\n     * Pulls the next operation off the queue and executes it.\n     */\n    PromiseQueue.prototype._doNext = function () {\n        var self = this;\n        if (this._queue.length) {\n            var op = this._queue.shift();\n            this._curPromise = op();\n            this._curPromise.always(function () {\n                self._curPromise = null;\n                self._doNext();\n            });\n        }\n    };\n\n    // Define public API\n    exports.doInParallel        = doInParallel;\n    exports.doSequentially      = doSequentially;\n    exports.doSequentiallyInBackground   = doSequentiallyInBackground;\n    exports.doInParallel_aggregateErrors = doInParallel_aggregateErrors;\n    exports.firstSequentially   = firstSequentially;\n    exports.withTimeout         = withTimeout;\n    exports.waitForAll          = waitForAll;\n    exports.ERROR_TIMEOUT       = ERROR_TIMEOUT;\n    exports.chain               = chain;\n    exports.promisify           = promisify;\n    exports.PromiseQueue        = PromiseQueue;\n});\n\n//# sourceURL=/utils/Async.js"),
eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'utils/UrlParams\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\'],function (require, exports, module) {\n    "use strict";\n\n    var _ = require("thirdparty/lodash");\n\n    /**\n     * Convert between URL querystring and name/value pairs. Decodes and encodes URL parameters.\n     */\n    function UrlParams() {\n        this._store = {};\n    }\n\n    /**\n     * Parse the window location by default. Optionally specify a URL to parse.\n     * @param {string} url\n     */\n    UrlParams.prototype.parse = function (url) {\n        var queryString = "",\n            urlParams,\n            p,\n            self = this;\n\n        self._store = {};\n\n        if (!url) {\n            queryString = window.document.location.search.substring(1);\n        } else if (url.indexOf("?") !== -1) {\n            queryString = url.substring(url.indexOf("?") + 1);\n        }\n\n        queryString = queryString.trimRight();\n\n        if (queryString) {\n            urlParams = queryString.split("&");\n\n            urlParams.forEach(function (param) {\n                p = param.split("=");\n                p[1] = p[1] || "";\n                self._store[decodeURIComponent(p[0])] = decodeURIComponent(p[1]);\n            });\n        }\n    };\n\n    /**\n     * Store a name/value string pair\n     * @param {!string} name\n     * @param {!string} value\n     */\n    UrlParams.prototype.put = function (name, value) {\n        this._store[name] = value;\n    };\n\n    /**\n     * Retrieve a value by name\n     * @param {!string} name\n     * @return {string}\n     */\n    UrlParams.prototype.get = function (name) {\n        return this._store[name];\n    };\n\n    /**\n     * Remove a name/value string pair\n     * @param {!string} name\n     */\n    UrlParams.prototype.remove = function (name) {\n        delete this._store[name];\n    };\n\n    /**\n     * Returns true if the parameter list is empty, else returns false.\n     * @return {boolean}\n     */\n    UrlParams.prototype.isEmpty = function (name) {\n        return _.isEmpty(this._store);\n    };\n\n    /**\n     * Encode name/value pairs as URI components.\n     * @return {string}\n     */\n    UrlParams.prototype.toString = function () {\n        var strs = [],\n            self = this;\n\n        _.forEach(self._store, function (value, key) {\n            strs.push(encodeURIComponent(key) + "=" + encodeURIComponent(value));\n        });\n\n        return strs.join("&");\n    };\n\n    // Define public API\n    exports.UrlParams = UrlParams;\n});\n\n//# sourceURL=/utils/UrlParams.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n /**\n  * Manages global application commands that can be called from menu items, key bindings, or subparts\n  * of the application.\n  *\n  * This module dispatches these event(s):\n  *    - commandRegistered  -- when a new command is registered\n  *    - beforeExecuteCommand -- before dispatching a command\n  */\ndefine(\'command/CommandManager\',[\'require\',\'exports\',\'module\',\'utils/EventDispatcher\'],function (require, exports, module) {\n    "use strict";\n\n    var EventDispatcher = require("utils/EventDispatcher");\n\n\n    /**\n     * Map of all registered global commands\n     * @type {Object.<commandID: string, Command>}\n     */\n    var _commands = {};\n\n    /**\n     * Temporary copy of commands map for restoring after testing\n     * TODO (issue #1039): implement separate require contexts for unit tests\n     * @type {Object.<commandID: string, Command>}\n     */\n    var _commandsOriginal = {};\n\n    /**\n     * Events:\n     * - enabledStateChange\n     * - checkedStateChange\n     * - keyBindingAdded\n     * - keyBindingRemoved\n     *\n     * @constructor\n     * @private\n     * @param {string} name - text that will be displayed in the UI to represent command\n     * @param {string} id\n     * @param {function} commandFn - the function that is called when the command is executed.\n     *\n     * TODO: where should this be triggered, The Command or Exports?\n     */\n    function Command(name, id, commandFn) {\n        this._name = name;\n        this._id = id;\n        this._commandFn = commandFn;\n        this._checked = undefined;\n        this._enabled = true;\n    }\n    EventDispatcher.makeEventDispatcher(Command.prototype);\n\n    /**\n     * Get command id\n     * @return {string}\n     */\n    Command.prototype.getID = function () {\n        return this._id;\n    };\n\n    /**\n     * Executes the command. Additional arguments are passed to the executing function\n     *\n     * @return {$.Promise} a jQuery promise that will be resolved when the command completes.\n     */\n    Command.prototype.execute = function () {\n        if (!this._enabled) {\n            return (new $.Deferred()).reject().promise();\n        }\n\n        var result = this._commandFn.apply(this, arguments);\n        if (!result) {\n            // If command does not return a promise, assume that it handled the\n            // command and return a resolved promise\n            return (new $.Deferred()).resolve().promise();\n        } else {\n            return result;\n        }\n    };\n\n    /**\n     * Is command enabled?\n     * @return {boolean}\n     */\n    Command.prototype.getEnabled = function () {\n        return this._enabled;\n    };\n\n    /**\n     * Sets enabled state of Command and dispatches "enabledStateChange"\n     * when the enabled state changes.\n     * @param {boolean} enabled\n     */\n    Command.prototype.setEnabled = function (enabled) {\n        var changed = this._enabled !== enabled;\n        this._enabled = enabled;\n\n        if (changed) {\n            this.trigger("enabledStateChange");\n        }\n    };\n\n    /**\n     * Sets enabled state of Command and dispatches "checkedStateChange"\n     * when the enabled state changes.\n     * @param {boolean} checked\n     */\n    Command.prototype.setChecked = function (checked) {\n        var changed = this._checked !== checked;\n        this._checked = checked;\n\n        if (changed) {\n            this.trigger("checkedStateChange");\n        }\n    };\n\n    /**\n     * Is command checked?\n     * @return {boolean}\n     */\n    Command.prototype.getChecked = function () {\n        return this._checked;\n    };\n\n    /**\n     * Sets the name of the Command and dispatches "nameChange" so that\n     * UI that reflects the command name can update.\n     *\n     * Note, a Command name can appear in either HTML or native UI\n     * so HTML tags should not be used. To add a Unicode character,\n     * use \\uXXXX instead of an HTML entity.\n     *\n     * @param {string} name\n     */\n    Command.prototype.setName = function (name) {\n        var changed = this._name !== name;\n        this._name = name;\n\n        if (changed) {\n            this.trigger("nameChange");\n        }\n    };\n\n    /**\n     * Get command name\n     * @return {string}\n     */\n    Command.prototype.getName = function () {\n        return this._name;\n    };\n\n\n\n    /**\n     * Registers a global command.\n     * @param {string} name - text that will be displayed in the UI to represent command\n     * @param {string} id - unique identifier for command.\n     *      Core commands in Brackets use a simple command title as an id, for example "open.file".\n     *      Extensions should use the following format: "author.myextension.mycommandname".\n     *      For example, "lschmitt.csswizard.format.css".\n     * @param {function(...)} commandFn - the function to call when the command is executed. Any arguments passed to\n     *     execute() (after the id) are passed as arguments to the function. If the function is asynchronous,\n     *     it must return a jQuery promise that is resolved when the command completes. Otherwise, the\n     *     CommandManager will assume it is synchronous, and return a promise that is already resolved.\n     * @return {?Command}\n     */\n    function register(name, id, commandFn) {\n        if (_commands[id]) {\n            console.log("Attempting to register an already-registered command: " + id);\n            return null;\n        }\n        if (!name || !id || !commandFn) {\n            console.error("Attempting to register a command with a missing name, id, or command function:" + name + " " + id);\n            return null;\n        }\n\n        var command = new Command(name, id, commandFn);\n        _commands[id] = command;\n\n        exports.trigger("commandRegistered", command);\n\n        return command;\n    }\n\n    /**\n     * Registers a global internal only command.\n     * @param {string} id - unique identifier for command.\n     *      Core commands in Brackets use a simple command title as an id, for example "app.abort_quit".\n     *      Extensions should use the following format: "author.myextension.mycommandname".\n     *      For example, "lschmitt.csswizard.format.css".\n     * @param {function(...)} commandFn - the function to call when the command is executed. Any arguments passed to\n     *     execute() (after the id) are passed as arguments to the function. If the function is asynchronous,\n     *     it must return a jQuery promise that is resolved when the command completes. Otherwise, the\n     *     CommandManager will assume it is synchronous, and return a promise that is already resolved.\n     * @return {?Command}\n     */\n    function registerInternal(id, commandFn) {\n        if (_commands[id]) {\n            console.log("Attempting to register an already-registered command: " + id);\n            return null;\n        }\n        if (!id || !commandFn) {\n            console.error("Attempting to register an internal command with a missing id, or command function: " + id);\n            return null;\n        }\n\n        var command = new Command(null, id, commandFn);\n        _commands[id] = command;\n\n        exports.trigger("commandRegistered", command);\n\n        return command;\n    }\n\n    /**\n     * Clear all commands for unit testing, but first make copy of commands so that\n     * they can be restored afterward\n     */\n    function _testReset() {\n        _commandsOriginal = _commands;\n        _commands = {};\n    }\n\n    /**\n     * Restore original commands after test and release copy\n     */\n    function _testRestore() {\n        _commands = _commandsOriginal;\n        _commandsOriginal = {};\n    }\n\n    /**\n     * Retrieves a Command object by id\n     * @param {string} id\n     * @return {Command}\n     */\n    function get(id) {\n        return _commands[id];\n    }\n\n    /**\n     * Returns the ids of all registered commands\n     * @return {Array.<string>}\n     */\n    function getAll() {\n        return Object.keys(_commands);\n    }\n\n    /**\n     * Looks up and runs a global command. Additional arguments are passed to the command.\n     *\n     * @param {string} id The ID of the command to run.\n     * @return {$.Promise} a jQuery promise that will be resolved when the command completes.\n     */\n    function execute(id) {\n        var command = _commands[id];\n\n        if (command) {\n            try {\n                exports.trigger("beforeExecuteCommand", id);\n            } catch (err) {\n                console.error(err);\n            }\n\n            return command.execute.apply(command, Array.prototype.slice.call(arguments, 1));\n        } else {\n            return (new $.Deferred()).reject().promise();\n        }\n    }\n\n    EventDispatcher.makeEventDispatcher(exports);\n\n    // Define public API\n    exports.register            = register;\n    exports.registerInternal    = registerInternal;\n    exports.execute             = execute;\n    exports.get                 = get;\n    exports.getAll              = getAll;\n    exports._testReset          = _testReset;\n    exports._testRestore        = _testRestore;\n});\n\n//# sourceURL=/command/CommandManager.js'),eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n *  Utilities functions to display deprecation warning in the console.\n *\n */\ndefine(\'utils/DeprecationWarning\',[\'require\',\'exports\',\'module\',\'utils/EventDispatcher\'],function (require, exports, module) {\n    "use strict";\n\n    var EventDispatcher = require("utils/EventDispatcher");\n\n\n    var displayedWarnings = {};\n\n    /**\n     * Trim the stack so that it does not have the call to this module,\n     * and all the calls to require.js to load the extension that shows\n     * this deprecation warning.\n     */\n    function _trimStack(stack) {\n        var indexOfFirstRequireJSline;\n\n        // Remove everything in the stack up to the end of the line that shows this module file path\n        stack = stack.substr(stack.indexOf(")\\n") + 2);\n\n        // Find the very first line of require.js in the stack if the call is from an extension.\n        // Remove all those lines from the call stack.\n        indexOfFirstRequireJSline = stack.indexOf("requirejs/require.js");\n        if (indexOfFirstRequireJSline !== -1) {\n            indexOfFirstRequireJSline = stack.lastIndexOf(")", indexOfFirstRequireJSline) + 1;\n            stack = stack.substr(0, indexOfFirstRequireJSline);\n        }\n\n        return stack;\n    }\n\n    /**\n     * Show deprecation warning with the call stack if it\n     * has never been displayed before.\n     * @param {!string} message The deprecation message to be displayed.\n     * @param {boolean=} oncePerCaller If true, displays the message once for each unique call location.\n     *     If false (the default), only displays the message once no matter where it\'s called from.\n     *     Note that setting this to true can cause a slight performance hit (because it has to generate\n     *     a stack trace), so don\'t set this for functions that you expect to be called from performance-\n     *     sensitive code (e.g. tight loops).\n     * @param {number=} callerStackPos Only used if oncePerCaller=true. Overrides the `Error().stack` depth\n     *     where the client-code caller can be found. Only needed if extra shim layers are involved.\n     */\n    function deprecationWarning(message, oncePerCaller, callerStackPos) {\n        // If oncePerCaller isn\'t set, then only show the message once no matter who calls it.\n        if (!message || (!oncePerCaller && displayedWarnings[message])) {\n            return;\n        }\n\n        // Don\'t show the warning again if we\'ve already gotten it from the current caller.\n        // The true caller location is the fourth line in the stack trace:\n        // * 0 is the word "Error"\n        // * 1 is this function\n        // * 2 is the caller of this function (the one throwing the deprecation warning)\n        // * 3 is the actual caller of the deprecated function.\n        var stack = new Error().stack,\n            callerLocation = stack.split("\\n")[callerStackPos || 3];\n        if (oncePerCaller && displayedWarnings[message] && displayedWarnings[message][callerLocation]) {\n            return;\n        }\n\n        console.warn(message + "\\n" + _trimStack(stack));\n        if (!displayedWarnings[message]) {\n            displayedWarnings[message] = {};\n        }\n        displayedWarnings[message][callerLocation] = true;\n    }\n\n\n    /**\n     * Show a deprecation warning if there are listeners for the event\n     *\n     * ```\n     *    DeprecationWarning.deprecateEvent(exports,\n     *                                      MainViewManager,\n     *                                      "workingSetAdd",\n     *                                      "workingSetAdd",\n     *                                      "DocumentManager.workingSetAdd",\n     *                                      "MainViewManager.workingSetAdd");\n     * ```\n     *\n     * @param {Object} outbound - the object with the old event to dispatch\n     * @param {Object} inbound - the object with the new event to map to the old event\n     * @param {string} oldEventName - the name of the old event\n     * @param {string} newEventName - the name of the new event\n     * @param {string=} canonicalOutboundName - the canonical name of the old event\n     * @param {string=} canonicalInboundName - the canonical name of the new event\n     */\n    function deprecateEvent(outbound, inbound, oldEventName, newEventName, canonicalOutboundName, canonicalInboundName) {\n        // Mark deprecated so EventDispatcher.on() will emit warnings\n        EventDispatcher.markDeprecated(outbound, oldEventName, canonicalInboundName);\n\n        // create an event handler for the new event to listen for\n        inbound.on(newEventName, function () {\n            // Dispatch the event in case anyone is still listening\n            EventDispatcher.triggerWithArray(outbound, oldEventName, Array.prototype.slice.call(arguments, 1));\n        });\n    }\n\n\n    /**\n     * Create a deprecation warning and action for updated constants\n     * @param {!string} old Menu Id\n     * @param {!string} new Menu Id\n     */\n    function deprecateConstant(obj, oldId, newId) {\n        var warning     = "Use Menus." + newId + " instead of Menus." + oldId,\n            newValue    = obj[newId];\n\n        Object.defineProperty(obj, oldId, {\n            get: function () {\n                deprecationWarning(warning, true);\n                return newValue;\n            }\n        });\n    }\n\n    // Define public API\n    exports.deprecationWarning   = deprecationWarning;\n    exports.deprecateEvent       = deprecateEvent;\n    exports.deprecateConstant      = deprecateConstant;\n});\n\n//# sourceURL=/utils/DeprecationWarning.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'command/Commands\',[\'require\',\'exports\',\'module\',\'utils/DeprecationWarning\'],function (require, exports, module) {\n    "use strict";\n\n    var DeprecationWarning = require("utils/DeprecationWarning");\n\n    /**\n     * List of constants for global command IDs.\n     */\n\n    // FILE\n    exports.FILE_NEW_UNTITLED           = "file.newDoc";                // DocumentCommandHandlers.js   handleFileNew()\n    exports.FILE_NEW                    = "file.newFile";               // DocumentCommandHandlers.js   handleFileNewInProject()\n    exports.FILE_NEW_FOLDER             = "file.newFolder";             // DocumentCommandHandlers.js   handleNewFolderInProject()\n    exports.FILE_OPEN                   = "file.open";                  // DocumentCommandHandlers.js   handleDocumentOpen()\n    exports.FILE_OPEN_FOLDER            = "file.openFolder";            // ProjectManager.js            openProject()\n    exports.FILE_SAVE                   = "file.save";                  // DocumentCommandHandlers.js   handleFileSave()\n    exports.FILE_SAVE_ALL               = "file.saveAll";               // DocumentCommandHandlers.js   handleFileSaveAll()\n    exports.FILE_SAVE_AS                = "file.saveAs";                // DocumentCommandHandlers.js   handleFileSaveAs()\n    exports.FILE_CLOSE                  = "file.close";                 // DocumentCommandHandlers.js   handleFileClose()\n    exports.FILE_CLOSE_ALL              = "file.close_all";             // DocumentCommandHandlers.js   handleFileCloseAll()\n    exports.FILE_CLOSE_LIST             = "file.close_list";            // DocumentCommandHandlers.js   handleFileCloseList()\n    exports.FILE_OPEN_DROPPED_FILES     = "file.openDroppedFiles";      // DragAndDrop.js               openDroppedFiles()\n    exports.FILE_LIVE_FILE_PREVIEW      = "file.liveFilePreview";       // LiveDevelopment/main.js      _handleGoLiveCommand()\n    exports.TOGGLE_LIVE_PREVIEW_MB_MODE = "file.toggleLivePreviewMB";   // LiveDevelopment/main.js      _toggleLivePreviewMultiBrowser()\n    exports.CMD_RELOAD_LIVE_PREVIEW     = "file.reloadLivePreview";     // LiveDevelopment/main.js      _handleReloadLivePreviewCommand()\n    exports.FILE_LIVE_HIGHLIGHT         = "file.previewHighlight";      // LiveDevelopment/main.js      _handlePreviewHighlightCommand()\n    exports.FILE_PROJECT_SETTINGS       = "file.projectSettings";       // ProjectManager.js            _projectSettings()\n    exports.FILE_RENAME                 = "file.rename";                // DocumentCommandHandlers.js   handleFileRename()\n    exports.FILE_DELETE                 = "file.delete";                // DocumentCommandHandlers.js   handleFileDelete()\n    exports.FILE_EXTENSION_MANAGER      = "file.extensionManager";      // ExtensionManagerDialog.js    _showDialog()\n    exports.FILE_REFRESH                = "file.refresh";               // ProjectManager.js            refreshFileTree()\n    exports.FILE_OPEN_PREFERENCES       = "file.openPreferences";       // PreferencesManager.js        _handleOpenPreferences()\n    exports.FILE_OPEN_KEYMAP            = "file.openKeyMap";            // KeyBindingManager.js         _openUserKeyMap()\n\n    // File shell callbacks - string must MATCH string in native code (appshell/command_callbacks.h)\n    exports.FILE_CLOSE_WINDOW           = "file.close_window";          // DocumentCommandHandlers.js   handleFileCloseWindow()\n    exports.FILE_QUIT                   = "file.quit";                  // DocumentCommandHandlers.js   handleFileQuit()\n\n    // EDIT\n    // File shell callbacks - string must MATCH string in native code (appshell/command_callbacks.h)\n    exports.EDIT_UNDO                   = "edit.undo";                  // EditorCommandHandlers.js     handleUndo()\n    exports.EDIT_REDO                   = "edit.redo";                  // EditorCommandHandlers.js     handleRedo()\n    exports.EDIT_CUT                    = "edit.cut";                   // EditorCommandHandlers.js     ignoreCommand()\n    exports.EDIT_COPY                   = "edit.copy";                  // EditorCommandHandlers.js     ignoreCommand()\n    exports.EDIT_PASTE                  = "edit.paste";                 // EditorCommandHandlers.js     ignoreCommand()\n    exports.EDIT_SELECT_ALL             = "edit.selectAll";             // EditorCommandHandlers.js     _handleSelectAll()\n\n    exports.EDIT_SELECT_LINE            = "edit.selectLine";            // EditorCommandHandlers.js     selectLine()\n    exports.EDIT_SPLIT_SEL_INTO_LINES   = "edit.splitSelIntoLines";     // EditorCommandHandlers.js     splitSelIntoLines()\n    exports.EDIT_ADD_CUR_TO_NEXT_LINE   = "edit.addCursorToNextLine";   // EditorCommandHandlers.js     addCursorToNextLine()\n    exports.EDIT_ADD_CUR_TO_PREV_LINE   = "edit.addCursorToPrevLine";   // EditorCommandHandlers.js     addCursorToPrevLine()\n    exports.EDIT_INDENT                 = "edit.indent";                // EditorCommandHandlers.js     indentText()\n    exports.EDIT_UNINDENT               = "edit.unindent";              // EditorCommandHandlers.js     unindentText()\n    exports.EDIT_DUPLICATE              = "edit.duplicate";             // EditorCommandHandlers.js     duplicateText()\n    exports.EDIT_DELETE_LINES           = "edit.deletelines";           // EditorCommandHandlers.js     deleteCurrentLines()\n    exports.EDIT_LINE_COMMENT           = "edit.lineComment";           // EditorCommandHandlers.js     lineComment()\n    exports.EDIT_BLOCK_COMMENT          = "edit.blockComment";          // EditorCommandHandlers.js     blockComment()\n    exports.EDIT_LINE_UP                = "edit.lineUp";                // EditorCommandHandlers.js     moveLineUp()\n    exports.EDIT_LINE_DOWN              = "edit.lineDown";              // EditorCommandHandlers.js     moveLineDown()\n    exports.EDIT_OPEN_LINE_ABOVE        = "edit.openLineAbove";         // EditorCommandHandlers.js     openLineAbove()\n    exports.EDIT_OPEN_LINE_BELOW        = "edit.openLineBelow";         // EditorCommandHandlers.js     openLineBelow()\n    exports.TOGGLE_CLOSE_BRACKETS       = "edit.autoCloseBrackets";     // EditorOptionHandlers.js      _getToggler()\n    exports.SHOW_CODE_HINTS             = "edit.showCodeHints";         // CodeHintManager.js           _startNewSession()\n\n    // FIND\n    exports.CMD_FIND                    = "cmd.find";                   // FindReplace.js               _launchFind()\n    exports.CMD_FIND_IN_FILES           = "cmd.findInFiles";            // FindInFilesUI.js             _showFindBar()\n    exports.CMD_FIND_IN_SUBTREE         = "cmd.findInSubtree";          // FindInFilesUI.js             _showFindBarForSubtree()\n    exports.CMD_FIND_NEXT               = "cmd.findNext";               // FindReplace.js               _findNext()\n    exports.CMD_FIND_PREVIOUS           = "cmd.findPrevious";           // FindReplace.js               _findPrevious()\n    exports.CMD_FIND_ALL_AND_SELECT     = "cmd.findAllAndSelect";       // FindReplace.js               _findAllAndSelect()\n    exports.CMD_ADD_NEXT_MATCH          = "cmd.addNextMatch";           // FindReplace.js               _expandAndAddNextToSelection()\n    exports.CMD_SKIP_CURRENT_MATCH      = "cmd.skipCurrentMatch";       // FindReplace.js               _skipCurrentMatch()\n    exports.CMD_REPLACE                 = "cmd.replace";                // FindReplace.js               _replace()\n    exports.CMD_REPLACE_IN_FILES        = "cmd.replaceInFiles";         // FindInFilesUI.js             _showReplaceBar()\n    exports.CMD_REPLACE_IN_SUBTREE      = "cmd.replaceInSubtree";       // FindInFilesUI.js             _showReplaceBarForSubtree()\n\n    // VIEW\n    exports.CMD_THEMES_OPEN_SETTINGS    = "view.themesOpenSetting";     // MenuCommands.js              Settings.open()\n    exports.VIEW_HIDE_SIDEBAR           = "view.toggleSidebar";         // SidebarView.js               toggle()\n    exports.VIEW_INCREASE_FONT_SIZE     = "view.increaseFontSize";      // ViewCommandHandlers.js       _handleIncreaseFontSize()\n    exports.VIEW_DECREASE_FONT_SIZE     = "view.decreaseFontSize";      // ViewCommandHandlers.js       _handleDecreaseFontSize()\n    exports.VIEW_RESTORE_FONT_SIZE      = "view.restoreFontSize";       // ViewCommandHandlers.js       _handleRestoreFontSize()\n    exports.VIEW_SCROLL_LINE_UP         = "view.scrollLineUp";          // ViewCommandHandlers.js       _handleScrollLineUp()\n    exports.VIEW_SCROLL_LINE_DOWN       = "view.scrollLineDown";        // ViewCommandHandlers.js       _handleScrollLineDown()\n    exports.VIEW_TOGGLE_INSPECTION      = "view.toggleCodeInspection";  // CodeInspection.js            toggleEnabled()\n    exports.TOGGLE_LINE_NUMBERS         = "view.toggleLineNumbers";     // EditorOptionHandlers.js      _getToggler()\n    exports.TOGGLE_ACTIVE_LINE          = "view.toggleActiveLine";      // EditorOptionHandlers.js      _getToggler()\n    exports.TOGGLE_WORD_WRAP            = "view.toggleWordWrap";        // EditorOptionHandlers.js      _getToggler()\n\n    exports.CMD_OPEN                        = "cmd.open";\n    exports.CMD_ADD_TO_WORKINGSET_AND_OPEN  = "cmd.addToWorkingSetAndOpen";          // DocumentCommandHandlers.js   handleOpenDocumentInNewPane()\n\n    // NAVIGATE\n    exports.NAVIGATE_NEXT_DOC           = "navigate.nextDoc";           // DocumentCommandHandlers.js   handleGoNextDoc()\n    exports.NAVIGATE_PREV_DOC           = "navigate.prevDoc";           // DocumentCommandHandlers.js   handleGoPrevDoc()\n    exports.NAVIGATE_NEXT_DOC_LIST_ORDER    = "navigate.nextDocListOrder";           // DocumentCommandHandlers.js   handleGoNextDocListOrder()\n    exports.NAVIGATE_PREV_DOC_LIST_ORDER    = "navigate.prevDocListOrder";           // DocumentCommandHandlers.js   handleGoPrevDocListOrder()\n    exports.NAVIGATE_SHOW_IN_FILE_TREE  = "navigate.showInFileTree";    // DocumentCommandHandlers.js   handleShowInTree()\n    exports.NAVIGATE_SHOW_IN_OS         = "navigate.showInOS";          // DocumentCommandHandlers.js   handleShowInOS()\n    exports.NAVIGATE_QUICK_OPEN         = "navigate.quickOpen";         // QuickOpen.js                 doFileSearch()\n    exports.NAVIGATE_JUMPTO_DEFINITION  = "navigate.jumptoDefinition";  // EditorManager.js             _doJumpToDef()\n    exports.NAVIGATE_GOTO_DEFINITION    = "navigate.gotoDefinition";    // QuickOpen.js                 doDefinitionSearch()\n    exports.NAVIGATE_GOTO_LINE          = "navigate.gotoLine";          // QuickOpen.js                 doGotoLine()\n    exports.NAVIGATE_GOTO_FIRST_PROBLEM = "navigate.gotoFirstProblem";  // CodeInspection.js            handleGotoFirstProblem()\n    exports.TOGGLE_QUICK_EDIT           = "navigate.toggleQuickEdit";   // EditorManager.js             _toggleInlineWidget()\n    exports.TOGGLE_QUICK_DOCS           = "navigate.toggleQuickDocs";   // EditorManager.js             _toggleInlineWidget()\n    exports.QUICK_EDIT_NEXT_MATCH       = "navigate.nextMatch";         // MultiRangeInlineEditor.js    _nextRange()\n    exports.QUICK_EDIT_PREV_MATCH       = "navigate.previousMatch";     // MultiRangeInlineEditor.js    _previousRange()\n    exports.CSS_QUICK_EDIT_NEW_RULE     = "navigate.newRule";           // CSSInlineEditor.js           _handleNewRule()\n\n    // HELP\n    exports.HELP_CHECK_FOR_UPDATE       = "help.checkForUpdate";        // HelpCommandHandlers.js       _handleCheckForUpdates()\n    exports.HELP_HOW_TO_USE_BRACKETS    = "help.howToUseBrackets";      // HelpCommandHandlers.js       _handleLinkMenuItem()\n    exports.HELP_SUPPORT                = "help.support";               // HelpCommandHandlers.js       _handleLinkMenuItem()\n    exports.HELP_SUGGEST                = "help.suggest";               // HelpCommandHandlers.js       _handleLinkMenuItem()\n    exports.HELP_RELEASE_NOTES          = "help.releaseNotes";          // HelpCommandHandlers.js       _handleLinkMenuItem()\n    exports.HELP_GET_INVOLVED           = "help.getInvolved";           // HelpCommandHandlers.js       _handleLinkMenuItem()\n    exports.HELP_SHOW_EXT_FOLDER        = "help.showExtensionsFolder";  // HelpCommandHandlers.js       _handleShowExtensionsFolder()\n    exports.HELP_HOMEPAGE               = "help.homepage";              // HelpCommandHandlers.js       _handleLinkMenuItem()\n    exports.HELP_TWITTER                = "help.twitter";               // HelpCommandHandlers.js       _handleLinkMenuItem()\n\n    // Working Set Configuration\n    exports.CMD_WORKINGSET_SORT_BY_ADDED  = "cmd.sortWorkingSetByAdded";     // WorkingSetSort.js       _handleSort()\n    exports.CMD_WORKINGSET_SORT_BY_NAME   = "cmd.sortWorkingSetByName";      // WorkingSetSort.js       _handleSort()\n    exports.CMD_WORKINGSET_SORT_BY_TYPE   = "cmd.sortWorkingSetByType";      // WorkingSetSort.js       _handleSort()\n    exports.CMD_WORKING_SORT_TOGGLE_AUTO  = "cmd.sortWorkingSetToggleAuto";  // WorkingSetSort.js       _handleToggleAutoSort()\n\n    // Split View\n    exports.CMD_SPLITVIEW_NONE          = "cmd.splitViewNone";          // SidebarView.js               _handleSplitNone()\n    exports.CMD_SPLITVIEW_VERTICAL      = "cmd.splitViewVertical";      // SidebarView.js               _handleSplitVertical()\n    exports.CMD_SPLITVIEW_HORIZONTAL    = "cmd.splitViewHorizontal";    // SidebarView.js               _handleSplitHorizontal()\n    exports.CMD_SWITCH_PANE_FOCUS       = "cmd.switchPaneFocus";        // MainViewManager.js           _switchPaneFocus()\n\n    // File shell callbacks - string must MATCH string in native code (appshell/command_callbacks.h)\n    exports.HELP_ABOUT                  = "help.about";                 // HelpCommandHandlers.js       _handleAboutDialog()\n\n    // APP\n    exports.APP_RELOAD                  = "app.reload";                 // DocumentCommandHandlers.js   handleReload()\n    exports.APP_RELOAD_WITHOUT_EXTS     = "app.reload_without_exts";    // DocumentCommandHandlers.js   handleReloadWithoutExts()\n\n    // File shell callbacks - string must MATCH string in native code (appshell/command_callbacks.h)\n    exports.APP_ABORT_QUIT              = "app.abort_quit";             // DocumentCommandHandlers.js   handleAbortQuit()\n    exports.APP_BEFORE_MENUPOPUP        = "app.before_menupopup";       // DocumentCommandHandlers.js   handleBeforeMenuPopup()\n\n    // ADD_TO_WORKING_SET is deprectated but we need a handler for it because the new command doesn\'t return the same result as the legacy command\n    exports.FILE_ADD_TO_WORKING_SET     = "file.addToWorkingSet";       // Deprecated through DocumentCommandHandlers.js handleFileAddToWorkingSet\n\n    // Show or Hide sidebar\n    exports.HIDE_SIDEBAR                = "view.hideSidebar";           // SidebarView.js               hide()\n    exports.SHOW_SIDEBAR                = "view.showSidebar";           // SidebarView.js               show()\n\n    // DEPRECATED: Working Set Commands\n    DeprecationWarning.deprecateConstant(exports, "SORT_WORKINGSET_BY_ADDED",   "CMD_WORKINGSET_SORT_BY_ADDED");\n    DeprecationWarning.deprecateConstant(exports, "SORT_WORKINGSET_BY_NAME",    "CMD_WORKINGSET_SORT_BY_NAME");\n    DeprecationWarning.deprecateConstant(exports, "SORT_WORKINGSET_BY_TYPE",    "CMD_WORKINGSET_SORT_BY_TYPE");\n    DeprecationWarning.deprecateConstant(exports, "SORT_WORKINGSET_AUTO",       "CMD_WORKING_SORT_TOGGLE_AUTO");\n});\n\n\n//# sourceURL=/command/Commands.js'),
eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n /**\n  * This is JavaScript API exposed to the native shell when Brackets is run in a native shell rather than a browser.\n  */\ndefine(\'utils/ShellAPI\',[\'require\',\'exports\',\'module\',\'utils/AppInit\',\'command/CommandManager\',\'command/Commands\'],function (require, exports, module) {\n    "use strict";\n\n    // Load dependent modules\n    var AppInit        = require("utils/AppInit"),\n        CommandManager = require("command/CommandManager"),\n        Commands       = require("command/Commands");\n\n    var appReady = false; // Set to true after app is fully initialized\n\n    /**\n     * The native function BracketsShellAPI::DispatchBracketsJSCommand calls this function in order to enable\n     * calling Brackets commands from the native shell.\n     */\n    function executeCommand(eventName) {\n        // Temporary fix for #2616 - don\'t execute the command if a modal dialog is open.\n        // This should really be fixed with proper menu enabling.\n        if ($(".modal.instance").length || !appReady) {\n            // Another hack to fix issue #3219 so that all test windows are closed\n            // as before the fix for #3152 has been introduced. isBracketsTestWindow\n            // property is explicitly set in createTestWindowAndRun() in SpecRunnerUtils.js.\n            if (window.isBracketsTestWindow) {\n                return false;\n            }\n            // Return false for all commands except file.close_window command for\n            // which we have to return true (issue #3152).\n            return (eventName === Commands.FILE_CLOSE_WINDOW);\n        }\n\n        // Use E for Error so that uglify doesn\'t change this to simply Error()\n        var promise, E = Error, e = new E(), stackDepth = e.stack.split("\\n").length;\n\n        // This function should *only* be called as a top-level function. If the current\n        // stack depth is > 2, it is most likely because we are at a breakpoint.\n        if (stackDepth < 3) {\n            promise = CommandManager.execute(eventName);\n        } else {\n            console.error("Skipping command " + eventName + " because it looks like you are " +\n                          "at a breakpoint. If you are NOT at a breakpoint, please " +\n                          "file a bug and mention this comment. Stack depth = " + stackDepth + ".");\n        }\n        return (promise && promise.state() === "rejected") ? false : true;\n    }\n\n    AppInit.appReady(function () {\n        appReady = true;\n    });\n\n    exports.executeCommand = executeCommand;\n});\n\n//# sourceURL=/utils/ShellAPI.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Initializes the global "brackets" variable and it\'s properties.\n * Modules should not access the global.brackets object until either\n * (a) the module requires this module, i.e. require("utils/Global") or\n * (b) the module receives a "appReady" callback from the utils/AppReady module.\n */\ndefine(\'utils/Global\',[\'require\',\'exports\',\'module\',\'text!config.json\',\'utils/UrlParams\',\'utils/ShellAPI\'],function (require, exports, module) {\n    "use strict";\n\n    var configJSON  = require("text!config.json"),\n        UrlParams   = require("utils/UrlParams").UrlParams;\n\n    // Define core brackets namespace if it isn\'t already defined\n    //\n    // We can\'t simply do \'brackets = {}\' to define it in the global namespace because\n    // we\'re in "use strict" mode. Most likely, \'window\' will always point to the global\n    // object when this code is running. However, in case it isn\'t (e.g. if we\'re running\n    // inside Node for CI testing) we use this trick to get the global object.\n    var Fn = Function, global = (new Fn("return this"))();\n    if (!global.brackets) {\n        global.brackets = {};\n    }\n\n    // Parse URL params\n    var params = new UrlParams();\n    params.parse();\n\n    // Parse src/config.json\n    try {\n        global.brackets.metadata = JSON.parse(configJSON);\n        global.brackets.config = global.brackets.metadata.config;\n    } catch (err) {\n        console.log(err);\n    }\n\n    // Uncomment the following line to force all low level file i/o routines to complete\n    // asynchronously. This should only be done for testing/debugging.\n    // NOTE: Make sure this line is commented out again before committing!\n    //brackets.forceAsyncCallbacks = true;\n\n    // Load native shell when brackets is run in a native shell rather than the browser\n    // TODO: (issue #266) load conditionally\n    global.brackets.shellAPI = require("utils/ShellAPI");\n\n    // Determine OS/platform\n    if (global.navigator.platform === "MacIntel" || global.navigator.platform === "MacPPC") {\n        global.brackets.platform = "mac";\n    } else if (global.navigator.platform.indexOf("Linux") >= 0) {\n        global.brackets.platform = "linux";\n    } else {\n        global.brackets.platform = "win";\n    }\n\n    global.brackets.inBrowser = !global.brackets.hasOwnProperty("fs");\n\n    // Are we in a desktop shell with a native menu bar?\n    var hasNativeMenus = params.get("hasNativeMenus");\n    if (hasNativeMenus) {\n        global.brackets.nativeMenus = (hasNativeMenus === "true");\n    } else {\n        global.brackets.nativeMenus = (!global.brackets.inBrowser && (global.brackets.platform !== "linux"));\n    }\n\n    // Locale-related APIs\n    global.brackets.isLocaleDefault = function () {\n        return !global.localStorage.getItem("locale");\n    };\n\n    global.brackets.getLocale = function () {\n        // By default use the locale that was determined in brackets.js\n        return params.get("testEnvironment") ? "en" : (global.localStorage.getItem("locale") || global.require.s.contexts._.config.locale);\n    };\n\n    global.brackets.setLocale = function (locale) {\n        if (locale) {\n            global.localStorage.setItem("locale", locale);\n        } else {\n            global.localStorage.removeItem("locale");\n        }\n    };\n\n    // Create empty app namespace if running in-browser\n    if (!global.brackets.app) {\n        global.brackets.app = {};\n    }\n\n    // Loading extensions requires creating new require.js contexts, which\n    // requires access to the global \'require\' object that always gets hidden\n    // by the \'require\' in the AMD wrapper. We store this in the brackets\n    // object here so that the ExtensionLoader doesn\'t have to have access to\n    // the global object.\n    global.brackets.libRequire = global.require;\n\n    // Also store our current require.js context (the one that loads brackets\n    // core modules) so that extensions can use it.\n    // Note: we change the name to "getModule" because this won\'t do exactly\n    // the same thing as \'require\' in AMD-wrapped modules. The extension will\n    // only be able to load modules that have already been loaded once.\n    global.brackets.getModule = require;\n\n    /* API for retrieving the global RequireJS config\n     * For internal use only\n     */\n    global.brackets._getGlobalRequireJSConfig = function () {\n        return global.require.s.contexts._.config;\n    };\n    \n    exports.global = global;\n});\n\n//# sourceURL=/utils/Global.js'),eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * FileSystemError describes the errors that can occur when using the FileSystem, File,\n * and Directory modules.\n *\n * Error values are strings. Any "falsy" value: null, undefined or "" means "no error".\n */\ndefine(\'filesystem/FileSystemError\',[\'require\',\'exports\',\'module\'],function (require, exports, module) {\n    "use strict";\n\n    /**\n     * Enumerated File System Errors\n     * @enum {string}\n     */\n    module.exports = {\n        UNKNOWN                     : "Unknown",\n        INVALID_PARAMS              : "InvalidParams",\n        NOT_FOUND                   : "NotFound",\n        NOT_READABLE                : "NotReadable",\n        UNSUPPORTED_ENCODING        : "UnsupportedEncoding",\n        NOT_SUPPORTED               : "NotSupported",\n        NOT_WRITABLE                : "NotWritable",\n        OUT_OF_SPACE                : "OutOfSpace",\n        TOO_MANY_ENTRIES            : "TooManyEntries",\n        ALREADY_EXISTS              : "AlreadyExists",\n        CONTENTS_MODIFIED           : "ContentsModified",\n        ROOT_NOT_WATCHED            : "RootNotBeingWatched",\n        EXCEEDS_MAX_FILE_SIZE       : "ExceedsMaxFileSize",\n        NETWORK_DRIVE_NOT_SUPPORTED : "NetworkDriveNotSupported"\n\n        // FUTURE: Add remote connection errors: timeout, not logged in, connection err, etc.\n    };\n});\n\n//# sourceURL=/filesystem/FileSystemError.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/* The hash code routne is taken from http://stackoverflow.com/questions/7616461/generate-a-hash-from-string-in-javascript-jquery\n   @CC wiki attribution: esmiralha\n*/\n\n/*eslint no-bitwise: off */\n/*jslint bitwise: true */\n\n/**\n *  Utilities functions related to string manipulation\n *\n */\ndefine(\'utils/StringUtils\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\'],function (require, exports, module) {\n    "use strict";\n\n    var _ = require("thirdparty/lodash");\n\n    /**\n     * Format a string by replacing placeholder symbols with passed in arguments.\n     *\n     * Example: var formatted = StringUtils.format("Hello {0}", "World");\n     *\n     * @param {string} str The base string\n     * @param {...} Arguments to be substituted into the string\n     *\n     * @return {string} Formatted string\n     */\n    function format(str) {\n        // arguments[0] is the base string, so we need to adjust index values here\n        var args = [].slice.call(arguments, 1);\n        return str.replace(/\\{(\\d+)\\}/g, function (match, num) {\n            return typeof args[num] !== "undefined" ? args[num] : match;\n        });\n    }\n\n    function regexEscape(str) {\n        return str.replace(/([.?*+\\^$\\[\\]\\\\(){}|\\-])/g, "\\\\$1");\n    }\n\n    // Periods (aka "dots") are allowed in HTML identifiers, but jQuery interprets\n    // them as the start of a class selector, so they need to be escaped\n    function jQueryIdEscape(str) {\n        return str.replace(/\\./g, "\\\\.");\n    }\n\n    /**\n     * Splits the text by new line characters and returns an array of lines\n     * @param {string} text\n     * @return {Array.<string>} lines\n     */\n    function getLines(text) {\n        return text.split("\\n");\n    }\n\n    /**\n     * Returns a line number corresponding to an offset in some text. The text can\n     * be specified as a single string or as an array of strings that correspond to\n     * the lines of the string.\n     *\n     * Specify the text in lines when repeatedly calling the function on the same\n     * text in a loop. Use getLines() to divide the text into lines, then repeatedly call\n     * this function to compute a line number from the offset.\n     *\n     * @param {string | Array.<string>} textOrLines - string or array of lines from which\n     *      to compute the line number from the offset\n     * @param {number} offset\n     * @return {number} line number\n     */\n    function offsetToLineNum(textOrLines, offset) {\n        if (Array.isArray(textOrLines)) {\n            var lines = textOrLines,\n                total = 0,\n                line;\n            for (line = 0; line < lines.length; line++) {\n                if (total < offset) {\n                    // add 1 per line since /n were removed by splitting, but they needed to\n                    // contribute to the total offset count\n                    total += lines[line].length + 1;\n                } else if (total === offset) {\n                    return line;\n                } else {\n                    return line - 1;\n                }\n            }\n\n            // if offset is NOT over the total then offset is in the last line\n            if (offset <= total) {\n                return line - 1;\n            } else {\n                return undefined;\n            }\n        } else {\n            return textOrLines.substr(0, offset).split("\\n").length - 1;\n        }\n    }\n\n    /**\n     * Returns true if the given string starts with the given prefix.\n     * @param   {String} str\n     * @param   {String} prefix\n     * @return {Boolean}\n     */\n    function startsWith(str, prefix) {\n        return str.slice(0, prefix.length) === prefix;\n    }\n\n    /**\n     * Returns true if the given string ends with the given suffix.\n     *\n     * @param {string} str\n     * @param {string} suffix\n     */\n    function endsWith(str, suffix) {\n        return str.indexOf(suffix, str.length - suffix.length) !== -1;\n    }\n\n    function urlSort(a, b) {\n        var a2, b2;\n        function isFile(s) {\n            return ((s.lastIndexOf("/") + 1) < s.length);\n        }\n\n        if (brackets.platform === "win") {\n            // Windows: prepend folder names with a \'0\' and file names with a \'1\' so folders are listed first\n            a2 = ((isFile(a)) ? "1" : "0") + a.toLowerCase();\n            b2 = ((isFile(b)) ? "1" : "0") + b.toLowerCase();\n        } else {\n            a2 = a.toLowerCase();\n            b2 = b.toLowerCase();\n        }\n\n        if (a2 === b2) {\n            return 0;\n        } else {\n            return (a2 > b2) ? 1 : -1;\n        }\n    }\n\n    /**\n     * Return an escaped path or URL string that can be broken near path separators.\n     * @param {string} url the path or URL to format\n     * @return {string} the formatted path or URL\n     */\n    function breakableUrl(url) {\n        // This is for displaying in UI, so always want it escaped\n        var escUrl = _.escape(url);\n\n        // Inject zero-width space character (U+200B) near path separators (/) to allow line breaking there\n        return escUrl.replace(\n            new RegExp(regexEscape("/"), "g"),\n            "/" + "&#8203;"\n        );\n    }\n\n    /**\n     * Converts number of bytes into human readable format.\n     * If param bytes is negative it returns the number without any changes.\n     *\n     * @param {number} bytes     Number of bytes to convert\n     * @param {number} precision Number of digits after the decimal separator\n     * @return {string}\n     */\n    function prettyPrintBytes(bytes, precision) {\n        var kilobyte = 1024,\n            megabyte = kilobyte * 1024,\n            gigabyte = megabyte * 1024,\n            terabyte = gigabyte * 1024,\n            returnVal = bytes;\n\n        if ((bytes >= 0) && (bytes < kilobyte)) {\n            returnVal = bytes + " B";\n        } else if (bytes < megabyte) {\n            returnVal = (bytes / kilobyte).toFixed(precision) + " KB";\n        } else if (bytes < gigabyte) {\n            returnVal = (bytes / megabyte).toFixed(precision) + " MB";\n        } else if (bytes < terabyte) {\n            returnVal = (bytes / gigabyte).toFixed(precision) + " GB";\n        } else if (bytes >= terabyte) {\n            return (bytes / terabyte).toFixed(precision) + " TB";\n        }\n\n        return returnVal;\n    }\n\n    /**\n     * Truncate text to specified length.\n     * @param {string} str Text to be truncated.\n     * @param {number} len Length to which text should be truncated\n     * @return {?string} Returns truncated text only if it was changed\n     */\n    function truncate(str, len) {\n        // Truncate text to specified length\n        if (str.length > len) {\n            str = str.substr(0, len);\n\n            // To prevent awkwardly truncating in the middle of a word,\n            // attempt to truncate at the end of the last whole word\n            var lastSpaceChar = str.lastIndexOf(" ");\n            if (lastSpaceChar < len && lastSpaceChar > -1) {\n                str = str.substr(0, lastSpaceChar);\n            }\n            return str;\n        }\n    }\n\n    /**\n     * Computes a 32bit hash from the given string\n     * Taken from http://stackoverflow.com/questions/7616461/generate-a-hash-from-string-in-javascript-jquery\n     * @CC wiki attribution: esmiralha\n     * @param   {string}   str The string for which hash is to be computed\n     * @return {number} The 32-bit hash\n     */\n    function hashCode(str) {\n        var hash = 0, i, chr, len;\n        if (str.length === 0) {\n            return hash;\n        }\n        for (i = 0, len = str.length; i < len; i++) {\n            chr   = str.charCodeAt(i);\n            hash  = ((hash << 5) - hash) + chr;\n            hash |= 0; // Convert to 32bit integer\n        }\n        return hash;\n    }\n\n    // Define public API\n    exports.format              = format;\n    exports.regexEscape         = regexEscape;\n    exports.jQueryIdEscape      = jQueryIdEscape;\n    exports.getLines            = getLines;\n    exports.offsetToLineNum     = offsetToLineNum;\n    exports.urlSort             = urlSort;\n    exports.breakableUrl        = breakableUrl;\n    exports.startsWith          = startsWith;\n    exports.endsWith            = endsWith;\n    exports.prettyPrintBytes    = prettyPrintBytes;\n    exports.truncate            = truncate;\n    exports.hashCode            = hashCode;\n});\n\n//# sourceURL=/utils/StringUtils.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * This is a collection of utility functions for gathering performance data.\n */\ndefine(\'utils/PerfUtils\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'utils/StringUtils\',\'utils/Global\'],function (require, exports, module) {\n    "use strict";\n\n    var _            = require("thirdparty/lodash"),\n        StringUtils  = require("utils/StringUtils");\n\n    // make sure the global brackets variable is loaded\n    require("utils/Global");\n\n    /**\n     * Flag to enable/disable performance data gathering. Default is true (enabled)\n     * @type {boolean} enabled\n     */\n    var enabled = brackets && !!brackets.app.getElapsedMilliseconds;\n\n    /**\n     * Peformance data is stored in this hash object. The key is the name of the\n     * test (passed to markStart/addMeasurement), and the value is the time, in\n     * milliseconds, that it took to run the test. If multiple runs of the same test\n     * are made, the value is an Array with each run stored as an entry in the Array.\n     */\n    var perfData = {};\n\n    /**\n     * Active tests. This is a hash of all tests that have had markStart() called,\n     * but have not yet had addMeasurement() called.\n     */\n    var activeTests = {};\n\n    /**\n     * Updatable tests. This is a hash of all tests that have had markStart() called,\n     * and have had updateMeasurement() called. Caller must explicitly remove tests\n     * from this list using finalizeMeasurement()\n     */\n    var updatableTests = {};\n\n    /**\n     * @private\n     * Keeps the track of measurements sequence number for re-entrant sequences with\n     * the same name currently running. Entries are created and deleted as needed.\n     */\n    var _reentTests = {};\n\n    /**\n     * @private\n     * A unique key to log performance data\n     *\n     * @param {(string|undefined)} id Unique ID for this measurement name\n     * @param {!string} name A short name for this measurement\n     * @param {?number} reent Sequence identifier for parallel tests of the same name\n     */\n    function PerfMeasurement(id, name, reent) {\n        this.name = name;\n        this.reent = reent;\n        if (id) {\n            this.id = id;\n        } else {\n            this.id = (reent) ? "[reent " + this.reent + "] " + name : name;\n        }\n    }\n\n    /**\n     * Override toString() to allow using PerfMeasurement as an array key without\n     * explicit conversion.\n     */\n    PerfMeasurement.prototype.toString = function () {\n        return this.name;\n    };\n\n    /**\n     * Create a new PerfMeasurement key. Adds itself to the module export.\n     * Can be accessed on the module, e.g. PerfUtils.MY_PERF_KEY.\n     *\n     * @param {!string} id Unique ID for this measurement name\n     * @param {!name} name A short name for this measurement\n     */\n    function createPerfMeasurement(id, name) {\n        var pm = new PerfMeasurement(id, name);\n        exports[id] = pm;\n\n        return pm;\n    }\n\n    /**\n     * @private\n     * Generates PerfMeasurements based on the name or array of names.\n     */\n    function _generatePerfMeasurements(name) {\n        // always convert it to array so that the rest of the routines could rely on it\n        var id = (!Array.isArray(name)) ? [name] : name;\n        // generate unique identifiers for each name\n        var i;\n        for (i = 0; i < id.length; i++) {\n            if (!(id[i] instanceof PerfMeasurement)) {\n                if (_reentTests[id[i]] === undefined) {\n                    _reentTests[id[i]] = 0;\n                } else {\n                    _reentTests[id[i]]++;\n                }\n                id[i] = new PerfMeasurement(undefined, id[i], _reentTests[id[i]]);\n            }\n        }\n        return id;\n    }\n\n    /**\n     * @private\n     * Helper function for markStart()\n     *\n     * @param {Object} id  Timer id.\n     * @param {number} time  Timer start time.\n     */\n    function _markStart(id, time) {\n        if (activeTests[id.id]) {\n            console.error("Recursive tests with the same id are not supported. Timer id: " + id.id);\n        }\n\n        activeTests[id.id] = { startTime: time };\n    }\n\n    /**\n     * Start a new named timer. The name should be as descriptive as possible, since\n     * this name will appear as an entry in the performance report.\n     * For example: "Open file: /Users/brackets/src/ProjectManager.js"\n     *\n     * Multiple timers can be opened simultaneously.\n     *\n     * Returns an opaque set of timer ids which can be stored and used for calling\n     * addMeasurement(). Since name is often creating via concatenating strings this\n     * return value allows clients to construct the name once.\n     *\n     * @param {(string|Array.<string>)} name  Single name or an Array of names.\n     * @return {(Object|Array.<Object>)} Opaque timer id or array of timer ids.\n     */\n    function markStart(name) {\n        if (!enabled) {\n            return;\n        }\n\n        var time = brackets.app.getElapsedMilliseconds();\n        var id = _generatePerfMeasurements(name);\n        var i;\n\n        for (i = 0; i < id.length; i++) {\n            _markStart(id[i], time);\n        }\n        return id.length > 1 ? id : id[0];\n    }\n\n    /**\n     * Stop a timer and add its measurements to the performance data.\n     *\n     * Multiple measurements can be stored for any given name. If there are\n     * multiple values for a name, they are stored in an Array.\n     *\n     * If markStart() was not called for the specified timer, the\n     * measured time is relative to app startup.\n     *\n     * @param {Object} id  Timer id.\n     */\n    function addMeasurement(id) {\n        if (!enabled) {\n            return;\n        }\n\n        if (!(id instanceof PerfMeasurement)) {\n            id = new PerfMeasurement(id, id);\n        }\n\n        var elapsedTime = brackets.app.getElapsedMilliseconds();\n\n        if (activeTests[id.id]) {\n            elapsedTime -= activeTests[id.id].startTime;\n            delete activeTests[id.id];\n        }\n\n        if (perfData[id]) {\n            // We have existing data, add to it\n            if (Array.isArray(perfData[id])) {\n                perfData[id].push(elapsedTime);\n            } else {\n                // Current data is a number, convert to Array\n                perfData[id] = [perfData[id], elapsedTime];\n            }\n        } else {\n            perfData[id] = elapsedTime;\n        }\n\n        if (id.reent !== undefined) {\n            if (_reentTests[id] === 0) {\n                delete _reentTests[id];\n            } else {\n                _reentTests[id]--;\n            }\n        }\n\n    }\n\n    /**\n     * This function is similar to addMeasurement(), but it allows timing the\n     * *last* event, when you don\'t know which event will be the last one.\n     *\n     * Tests that are in the activeTests list, have not yet been added, so add\n     * measurements to the performance data, and move test to updatableTests list.\n     * A test is moved to the updatable list so that it no longer passes isActive().\n     *\n     * Tests that are already in the updatableTests list are updated.\n     *\n     * Caller must explicitly remove test from the updatableTests list using\n     * finalizeMeasurement().\n     *\n     * If markStart() was not called for the specified timer, there is no way to\n     * determine if this is the first or subsequent call, so the measurement is\n     * not updatable, and it is handled in addMeasurement().\n     *\n     * @param {Object} id  Timer id.\n     */\n    function updateMeasurement(id) {\n        var elapsedTime = brackets.app.getElapsedMilliseconds();\n\n        if (updatableTests[id.id]) {\n            // update existing measurement\n            elapsedTime -= updatableTests[id].startTime;\n\n            // update\n            if (perfData[id] && Array.isArray(perfData[id])) {\n                // We have existing data and it\'s an array, so update the last entry\n                perfData[id][perfData[id].length - 1] = elapsedTime;\n            } else {\n                // No current data or a single entry, so set/update it\n                perfData[id] = elapsedTime;\n            }\n\n        } else {\n            // not yet in updatable list\n\n            if (activeTests[id.id]) {\n                // save startTime in updatable list before addMeasurement() deletes it\n                updatableTests[id.id] = { startTime: activeTests[id.id].startTime };\n            }\n\n            // let addMeasurement() handle the initial case\n            addMeasurement(id);\n        }\n    }\n\n    /**\n     * Remove timer from lists so next action starts a new measurement\n     *\n     * updateMeasurement may not have been called, so timer may be\n     * in either or neither list, but should never be in both.\n     *\n     * @param {Object} id  Timer id.\n     */\n    function finalizeMeasurement(id) {\n        if (activeTests[id.id]) {\n            delete activeTests[id.id];\n        }\n\n        if (updatableTests[id.id]) {\n            delete updatableTests[id.id];\n        }\n    }\n\n    /**\n     * Returns whether a timer is active or not, where "active" means that\n     * timer has been started with addMark(), but has not been added to perfdata\n     * with addMeasurement().\n     *\n     * @param {Object} id  Timer id.\n     * @return {boolean} Whether a timer is active or not.\n     */\n    function isActive(id) {\n        return (activeTests[id.id]) ? true : false;\n    }\n\n    /**\n     * return single value, or comma separated values for an array or return aggregated values with\n     * <min value, average, max value, standard deviation>\n     * @param   {Array}    entry          An array or a single value\n     * @param   {Boolean} aggregateStats If set, the returned value will be aggregated in the form -\n     *                                   <min(avg)max[standard deviation]>\n     * @return {String}   a single value, or comma separated values in an array or\n     *                     <min(avg)max[standard deviation]> if aggregateStats is set\n     */\n    function getValueAsString(entry, aggregateStats) {\n        if (!Array.isArray(entry)) {\n            return entry;\n        }\n\n        if (aggregateStats) {\n            var sum = 0,\n                avg,\n                min = _.min(entry),\n                max = _.max(entry),\n                sd,\n                variationSum = 0;\n\n            entry.forEach(function (value) {\n                sum += value;\n            });\n            avg = Math.round(sum / entry.length);\n            entry.forEach(function (value) {\n                variationSum += Math.pow(value - avg, 2);\n            });\n            sd = Math.round(Math.sqrt(variationSum / entry.length));\n            return min + "(" + avg + ")" + max + "[" + sd + "]";\n        } else {\n            return entry.join(", ");\n        }\n    }\n\n    /**\n     * Returns the performance data as a tab delimited string\n     * @return {string}\n     */\n    function getDelimitedPerfData() {\n        var result = "";\n        _.forEach(perfData, function (entry, testName) {\n            result += getValueAsString(entry) + "\\t" + testName + "\\n";\n        });\n\n        return result;\n    }\n\n    /**\n     * Returns the measured value for the given measurement name.\n     * @param {Object} id The measurement to retreive.\n     */\n    function getData(id) {\n        if (!id) {\n            return perfData;\n        }\n\n        return perfData[id];\n    }\n\n    /**\n     * Returns the Performance metrics to be logged for health report\n     * @return {Object} An object with the health data logs to be sent\n     */\n    function getHealthReport() {\n        var healthReport = {\n            projectLoadTimes : "",\n            fileOpenTimes : ""\n        };\n\n        _.forEach(perfData, function (entry, testName) {\n            if (StringUtils.startsWith(testName, "Application Startup")) {\n                healthReport.AppStartupTime = getValueAsString(entry);\n            } else if (StringUtils.startsWith(testName, "brackets module dependencies resolved")) {\n                healthReport.ModuleDepsResolved = getValueAsString(entry);\n            } else if (StringUtils.startsWith(testName, "Load Project")) {\n                healthReport.projectLoadTimes += ":" + getValueAsString(entry, true);\n            } else if (StringUtils.startsWith(testName, "Open File")) {\n                healthReport.fileOpenTimes += ":" + getValueAsString(entry, true);\n            }\n        });\n\n        return healthReport;\n    }\n\n    function searchData(regExp) {\n        var keys = Object.keys(perfData).filter(function (key) {\n            return regExp.test(key);\n        });\n\n        var datas = [];\n\n        keys.forEach(function (key) {\n            datas.push(perfData[key]);\n        });\n\n        return datas;\n    }\n\n    /**\n     * Clear all logs including metric data and active tests.\n     */\n    function clear() {\n        perfData = {};\n        activeTests = {};\n        updatableTests = {};\n        _reentTests = {};\n    }\n\n    // create performance measurement constants\n    createPerfMeasurement("INLINE_WIDGET_OPEN", "Open inline editor or docs");\n    createPerfMeasurement("INLINE_WIDGET_CLOSE", "Close inline editor or docs");\n\n    // extensions may create additional measurement constants during their lifecycle\n\n    exports.addMeasurement          = addMeasurement;\n    exports.finalizeMeasurement     = finalizeMeasurement;\n    exports.isActive                = isActive;\n    exports.markStart               = markStart;\n    exports.getData                 = getData;\n    exports.searchData              = searchData;\n    exports.updateMeasurement       = updateMeasurement;\n    exports.getDelimitedPerfData    = getDelimitedPerfData;\n    exports.createPerfMeasurement   = createPerfMeasurement;\n    exports.clear                   = clear;\n    exports.getHealthReport         = getHealthReport;\n});\n\n//# sourceURL=/utils/PerfUtils.js'),
eval('/**\n * @license RequireJS i18n 2.0.2 Copyright (c) 2010-2012, The Dojo Foundation All Rights Reserved.\n * Available via the MIT or new BSD license.\n * see: http://github.com/requirejs/i18n for details\n */\n/*jslint regexp: true */\n/*global require: false, navigator: false, define: false */\n\n/**\n * This plugin handles i18n! prefixed modules. It does the following:\n *\n * 1) A regular module can have a dependency on an i18n bundle, but the regular\n * module does not want to specify what locale to load. So it just specifies\n * the top-level bundle, like "i18n!nls/colors".\n *\n * This plugin will load the i18n bundle at nls/colors, see that it is a root/master\n * bundle since it does not have a locale in its name. It will then try to find\n * the best match locale available in that master bundle, then request all the\n * locale pieces for that best match locale. For instance, if the locale is "en-us",\n * then the plugin will ask for the "en-us", "en" and "root" bundles to be loaded\n * (but only if they are specified on the master bundle).\n *\n * Once all the bundles for the locale pieces load, then it mixes in all those\n * locale pieces into each other, then finally sets the context.defined value\n * for the nls/colors bundle to be that mixed in locale.\n *\n * 2) A regular module specifies a specific locale to load. For instance,\n * i18n!nls/fr-fr/colors. In this case, the plugin needs to load the master bundle\n * first, at nls/colors, then figure out what the best match locale is for fr-fr,\n * since maybe only fr or just root is defined for that locale. Once that best\n * fit is found, all of its locale pieces need to have their bundles loaded.\n *\n * Once all the bundles for the locale pieces load, then it mixes in all those\n * locale pieces into each other, then finally sets the context.defined value\n * for the nls/fr-fr/colors bundle to be that mixed in locale.\n */\n(function () {\n    \'use strict\';\n\n    //regexp for reconstructing the master bundle name from parts of the regexp match\n    //nlsRegExp.exec("foo/bar/baz/nls/en-ca/foo") gives:\n    //["foo/bar/baz/nls/en-ca/foo", "foo/bar/baz/nls/", "/", "/", "en-ca", "foo"]\n    //nlsRegExp.exec("foo/bar/baz/nls/foo") gives:\n    //["foo/bar/baz/nls/foo", "foo/bar/baz/nls/", "/", "/", "foo", ""]\n    //so, if match[5] is blank, it means this is the top bundle definition.\n    var nlsRegExp = /(^.*(^|\\/)nls(\\/|$))([^\\/]*)\\/?([^\\/]*)/;\n\n    //Helper function to avoid repeating code. Lots of arguments in the\n    //desire to stay functional and support RequireJS contexts without having\n    //to know about the RequireJS contexts.\n    function addPart(locale, master, needed, toLoad, prefix, suffix) {\n        if (master[locale]) {\n            needed.push(locale);\n            if (master[locale] === true || master[locale] === 1) {\n                toLoad.push(prefix + locale + \'/\' + suffix);\n            }\n        }\n    }\n\n    function addIfExists(req, locale, toLoad, prefix, suffix) {\n        var fullName = prefix + locale + \'/\' + suffix;\n        if (require._fileExists(req.toUrl(fullName + \'.js\'))) {\n            toLoad.push(fullName);\n        }\n    }\n\n    /**\n     * Simple function to mix in properties from source into target,\n     * but only if target does not already have a property of the same name.\n     * This is not robust in IE for transferring methods that match\n     * Object.prototype names, but the uses of mixin here seem unlikely to\n     * trigger a problem related to that.\n     */\n    function mixin(target, source, force) {\n        var prop;\n        for (prop in source) {\n            if (source.hasOwnProperty(prop) && (!target.hasOwnProperty(prop) || force)) {\n                target[prop] = source[prop];\n            } else if (typeof source[prop] === \'object\') {\n                mixin(target[prop], source[prop], force);\n            }\n        }\n    }\n\n    define(\'i18n\',[\'module\'], function (module) {\n        var masterConfig = module.config ? module.config() : {};\n\n        return {\n            version: \'2.0.1+\',\n            /**\n             * Called when a dependency needs to be loaded.\n             */\n            load: function (name, req, onLoad, config) {\n                config = config || {};\n\n                if (config.locale) {\n                    masterConfig.locale = config.locale;\n                }\n\n                var masterName,\n                    match = nlsRegExp.exec(name),\n                    prefix = match[1],\n                    locale = match[4],\n                    suffix = match[5],\n                    parts = locale.split("-"),\n                    toLoad = [],\n                    value = {},\n                    i, part, current = "";\n\n                //If match[5] is blank, it means this is the top bundle definition,\n                //so it does not have to be handled. Locale-specific requests\n                //will have a match[4] value but no match[5]\n                if (match[5]) {\n                    //locale-specific bundle\n                    prefix = match[1];\n                    masterName = prefix + suffix;\n                } else {\n                    //Top-level bundle.\n                    masterName = name;\n                    suffix = match[4];\n                    locale = masterConfig.locale;\n                    if (!locale) {\n                        locale = masterConfig.locale =\n                            typeof navigator === "undefined" ? "root" :\n                            (navigator.language ||\n                             navigator.userLanguage || "root").toLowerCase();\n                    }\n                    parts = locale.split("-");\n                }\n\n                if (config.isBuild) {\n                    //Check for existence of all locale possible files and\n                    //require them if exist.\n                    toLoad.push(masterName);\n                    addIfExists(req, "root", toLoad, prefix, suffix);\n                    for (i = 0; i < parts.length; i++) {\n                        part = parts[i];\n                        current += (current ? "-" : "") + part;\n                        addIfExists(req, current, toLoad, prefix, suffix);\n                    }\n\n                    req(toLoad, function () {\n                        onLoad();\n                    });\n                } else {\n                    //First, fetch the master bundle, it knows what locales are available.\n                    req([masterName], function (master) {\n                        //Figure out the best fit\n                        var needed = [],\n                            part;\n\n                        //Always allow for root, then do the rest of the locale parts.\n                        addPart("root", master, needed, toLoad, prefix, suffix);\n                        for (i = 0; i < parts.length; i++) {\n                            part = parts[i];\n                            current += (current ? "-" : "") + part;\n                            addPart(current, master, needed, toLoad, prefix, suffix);\n                        }\n\n                        //Load all the parts missing.\n                        req(toLoad, function () {\n                            var i, partBundle, part;\n                            for (i = needed.length - 1; i > -1 && needed[i]; i--) {\n                                part = needed[i];\n                                partBundle = master[part];\n                                if (partBundle === true || partBundle === 1) {\n                                    partBundle = req(prefix + part + \'/\' + suffix);\n                                }\n                                mixin(value, partBundle);\n                            }\n\n                            //All done, notify the loader.\n                            onLoad(value);\n                        });\n                    });\n                }\n            }\n        };\n    });\n}());\n\n//# sourceURL=/thirdparty/i18n/i18n.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'nls/strings\',[\'require\',\'exports\',\'module\'],function (require, exports, module) {\n\n    "use strict";\n\n    // Code that needs to display user strings should call require("strings") to load\n    // src/strings.js. This file will dynamically load strings.js for the specified brackets.locale.\n    //\n    // See the README.md file in this folder for information on how to add a new translation for\n    // another language or locale.\n    //\n    // TODO: dynamically populate the local prefix list below?\n    module.exports = {\n        root: true,\n        "bg": true,\n        "cs": true,\n        "da": true,\n        "de": true,\n        "el": true,\n        "en-gb": true,\n        "es": true,\n        "fa-ir": true,\n        "fi": true,\n        "fr": true,\n        "gl": true,\n        "hr": true,\n        "hu": true,\n        "id": true,\n        "it": true,\n        "ja": true,\n        "ko": true,\n        "lv": true,\n        "nb": true,\n        "nl": true,\n        "pl": true,\n        "pt-br": true,\n        "pt-pt": true,\n        "ro": true,\n        "ru": true,\n        "sk": true,\n        "sr": true,\n        "sv": true,\n        "tr": true,\n        "uk": true,\n        "zh-cn": true,\n        "zh-tw": true\n    };\n});\n\n//# sourceURL=/nls/strings.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'nls/root/strings\',{\n\n    /**\n     * Errors\n     */\n\n    // General file io error strings\n    "GENERIC_ERROR"                     : "(error {0})",\n    "NOT_FOUND_ERR"                     : "The file/directory could not be found.",\n    "NOT_READABLE_ERR"                  : "The file/directory could not be read.",\n    "EXCEEDS_MAX_FILE_SIZE"             : "Files larger than {0} MB cannot be opened in {APP_NAME}.",\n    "NO_MODIFICATION_ALLOWED_ERR"       : "The target directory cannot be modified.",\n    "NO_MODIFICATION_ALLOWED_ERR_FILE"  : "The permissions do not allow you to make modifications.",\n    "CONTENTS_MODIFIED_ERR"             : "The file has been modified outside of {APP_NAME}.",\n    "UNSUPPORTED_ENCODING_ERR"          : "{APP_NAME} currently only supports UTF-8 encoded text files.",\n    "FILE_EXISTS_ERR"                   : "The file or directory already exists.",\n    "FILE"                              : "file",\n    "FILE_TITLE"                        : "File",\n    "DIRECTORY"                         : "directory",\n    "DIRECTORY_TITLE"                   : "Directory",\n    "DIRECTORY_NAMES_LEDE"              : "Directory names",\n    "FILENAMES_LEDE"                    : "Filenames",\n    "FILENAME"                          : "Filename",\n    "DIRECTORY_NAME"                    : "Directory Name",\n\n    // Project error strings\n    "ERROR_LOADING_PROJECT"             : "Error Loading Project",\n    "OPEN_DIALOG_ERROR"                 : "An error occurred when showing the open file dialog. (error {0})",\n    "REQUEST_NATIVE_FILE_SYSTEM_ERROR"  : "An error occurred when trying to load the directory <span class=\'dialog-filename\'>{0}</span>. (error {1})",\n    "READ_DIRECTORY_ENTRIES_ERROR"      : "An error occurred when reading the contents of the directory <span class=\'dialog-filename\'>{0}</span>. (error {1})",\n\n    // File open/save error string\n    "ERROR_OPENING_FILE_TITLE"          : "Error Opening File",\n    "ERROR_OPENING_FILE"                : "An error occurred when trying to open the file <span class=\'dialog-filename\'>{0}</span>. {1}",\n    "ERROR_OPENING_FILES"               : "An error occurred when trying to open the following files:",\n    "ERROR_RELOADING_FILE_TITLE"        : "Error Reloading Changes From Disk",\n    "ERROR_RELOADING_FILE"              : "An error occurred when trying to reload the file <span class=\'dialog-filename\'>{0}</span>. {1}",\n    "ERROR_SAVING_FILE_TITLE"           : "Error Saving File",\n    "ERROR_SAVING_FILE"                 : "An error occurred when trying to save the file <span class=\'dialog-filename\'>{0}</span>. {1}",\n    "ERROR_RENAMING_FILE_TITLE"         : "Error Renaming {0}",\n    "ERROR_RENAMING_FILE"               : "An error occurred when trying to rename the {2} <span class=\'dialog-filename\'>{0}</span>. {1}",\n    "ERROR_RENAMING_NOT_IN_PROJECT"     : "The file or directory is not part of the currently opened project. Unfortunately, only project files can be renamed at this point.",\n    "ERROR_DELETING_FILE_TITLE"         : "Error Deleting {0}",\n    "ERROR_DELETING_FILE"               : "An error occurred when trying to delete the {2} <span class=\'dialog-filename\'>{0}</span>. {1}",\n    "INVALID_FILENAME_TITLE"            : "Invalid {0}",\n    "INVALID_FILENAME_MESSAGE"          : "{0} cannot use any system reserved words, end with dots (.) or use any of the following characters: <code class=\'emphasized\'>{1}</code>",\n    "ENTRY_WITH_SAME_NAME_EXISTS"       : "A file or directory with the name <span class=\'dialog-filename\'>{0}</span> already exists.",\n    "ERROR_CREATING_FILE_TITLE"         : "Error Creating {0}",\n    "ERROR_CREATING_FILE"               : "An error occurred when trying to create the {0} <span class=\'dialog-filename\'>{1}</span>. {2}",\n    "ERROR_MIXED_DRAGDROP"              : "Cannot open a folder at the same time as opening other files.",\n\n    // User key map error strings\n    "ERROR_KEYMAP_TITLE"                : "Error Reading User Key Map",\n    "ERROR_KEYMAP_CORRUPT"              : "Your key map file is not valid JSON. The file will be opened so that you can correct the format.",\n    "ERROR_LOADING_KEYMAP"              : "Your key map file is not a valid UTF-8 encoded text file and cannot be loaded",\n    "ERROR_RESTRICTED_COMMANDS"         : "You cannot reassign shortcuts to these commands: {0}",\n    "ERROR_RESTRICTED_SHORTCUTS"        : "You cannot reassign these shortcuts: {0}",\n    "ERROR_MULTIPLE_SHORTCUTS"          : "You are reassigning multiple shortcuts to these commands: {0}",\n    "ERROR_DUPLICATE_SHORTCUTS"         : "You have multiple bindings of these shortcuts: {0}",\n    "ERROR_INVALID_SHORTCUTS"           : "These shortcuts are invalid: {0}",\n    "ERROR_NONEXISTENT_COMMANDS"        : "You are assigning shortcuts to nonexistent commands: {0}",\n\n    // Application preferences corrupt error strings\n    "ERROR_PREFS_CORRUPT_TITLE"         : "Error Reading Preferences",\n    "ERROR_PREFS_CORRUPT"               : "Your preferences file is not valid JSON. The file will be opened so that you can correct the format. You will need to restart {APP_NAME} for the changes to take effect.",\n    "ERROR_PROJ_PREFS_CORRUPT"          : "Your project preferences file is not valid JSON. The file will be opened so that you can correct the format. You will need to reload the project for the changes to take effect.",\n\n    // Application error strings\n    "ERROR_IN_BROWSER_TITLE"            : "Oops! {APP_NAME} Doesn\'t Run in Browsers Yet.",\n    "ERROR_IN_BROWSER"                  : "{APP_NAME} is built in HTML, but right now it runs as a desktop app so you can use it to edit local files. Please use the application shell in the <b>github.com/adobe/brackets-shell</b> repo to run {APP_NAME}.",\n\n    // ProjectManager max files error string\n    "ERROR_MAX_FILES_TITLE"             : "Error Indexing Files",\n    "ERROR_MAX_FILES"                   : "This project contains more than 30,000 files. Features that operate across multiple files may be disabled or behave as if the project is empty. <a href=\'https://github.com/adobe/brackets/wiki/Large-Projects\'>Read more about working with large projects</a>.",\n\n    // Live Preview error strings\n    "ERROR_LAUNCHING_BROWSER_TITLE"     : "Error Launching Browser",\n    "ERROR_CANT_FIND_CHROME"            : "The Google Chrome browser could not be found. Please make sure it is installed.",\n    "ERROR_LAUNCHING_BROWSER"           : "An error occurred when launching the browser. (error {0})",\n\n    "LIVE_DEVELOPMENT_ERROR_TITLE"      : "Live Preview Error",\n    "LIVE_DEVELOPMENT_RELAUNCH_TITLE"   : "Connecting to Browser",\n    "LIVE_DEVELOPMENT_ERROR_MESSAGE"    : "In order for Live Preview to connect, Chrome needs to be relaunched with remote debugging enabled.<br /><br />Would you like to relaunch Chrome and enable remote debugging?<br /><br />",\n    "LIVE_DEV_LOADING_ERROR_MESSAGE"    : "Unable to load Live Preview page.",\n    "LIVE_DEV_NEED_HTML_MESSAGE"        : "Open an HTML file or make sure there is an index.html file in your project in order to launch live preview.",\n    "LIVE_DEV_NEED_BASEURL_MESSAGE"     : "To launch live preview with a server-side file, you need to specify a Base URL for this project.",\n    "LIVE_DEV_SERVER_NOT_READY_MESSAGE" : "Error starting up the HTTP server for live preview files. Please try again.",\n    "LIVE_DEVELOPMENT_INFO_TITLE"       : "Welcome to Live Preview!",\n    "LIVE_DEVELOPMENT_INFO_MESSAGE"     : "Live Preview connects {APP_NAME} to your browser. It launches a preview of your HTML file in the browser, then updates the preview instantly as you edit your code.<br /><br />In this early version of {APP_NAME}, Live Preview only works with <strong>Google Chrome</strong> and updates live as you edit <strong>CSS or HTML files</strong>. Changes to JavaScript files are automatically reloaded when you save.<br /><br />(You\'ll only see this message once.)",\n    "LIVE_DEVELOPMENT_TROUBLESHOOTING"  : "For more information, see <a href=\'{0}\' title=\'{0}\'>Troubleshooting Live Preview connection errors</a>.",\n\n    "LIVE_DEV_STATUS_TIP_NOT_CONNECTED" : "Live Preview",\n    "LIVE_DEV_STATUS_TIP_PROGRESS1"     : "Live Preview: Connecting\\u2026",\n    "LIVE_DEV_STATUS_TIP_PROGRESS2"     : "Live Preview: Initializing\\u2026",\n    "LIVE_DEV_STATUS_TIP_CONNECTED"     : "Disconnect Live Preview",\n    "LIVE_DEV_STATUS_TIP_OUT_OF_SYNC"   : "Live Preview (save file to refresh)",\n    "LIVE_DEV_STATUS_TIP_SYNC_ERROR"    : "Live Preview (not updating due to syntax error)",\n\n    "LIVE_DEV_DETACHED_REPLACED_WITH_DEVTOOLS" : "Live Preview was canceled because the browser\'s developer tools were opened",\n    "LIVE_DEV_DETACHED_TARGET_CLOSED"          : "Live Preview was canceled because the page was closed in the browser",\n    "LIVE_DEV_NAVIGATED_AWAY"                  : "Live Preview was canceled because the browser navigated to a page that is not part of the current project",\n    "LIVE_DEV_CLOSED_UNKNOWN_REASON"           : "Live Preview was canceled for an unknown reason ({0})",\n\n    "SAVE_CLOSE_TITLE"                  : "Save Changes",\n    "SAVE_CLOSE_MESSAGE"                : "Do you want to save the changes you made in the document <span class=\'dialog-filename\'>{0}</span>?",\n    "SAVE_CLOSE_MULTI_MESSAGE"          : "Do you want to save your changes to the following files?",\n    "EXT_MODIFIED_TITLE"                : "External Changes",\n    "CONFIRM_DELETE_TITLE"              : "Confirm Delete",\n    "CONFIRM_FILE_DELETE"               : "Are you sure you want to delete the file <span class=\'dialog-filename\'>{0}</span>?",\n    "CONFIRM_FOLDER_DELETE"             : "Are you sure you want to delete the folder <span class=\'dialog-filename\'>{0}</span>?",\n    "FILE_DELETED_TITLE"                : "File Deleted",\n    "EXT_MODIFIED_WARNING"              : "<span class=\'dialog-filename\'>{0}</span> has been modified on disk outside of {APP_NAME}.<br /><br />Do you want to save the file and overwrite those changes?",\n    "EXT_MODIFIED_MESSAGE"              : "<span class=\'dialog-filename\'>{0}</span> has been modified on disk outside of {APP_NAME}, but also has unsaved changes in {APP_NAME}.<br /><br />Which version do you want to keep?",\n    "EXT_DELETED_MESSAGE"               : "<span class=\'dialog-filename\'>{0}</span> has been deleted on disk outside of {APP_NAME}, but has unsaved changes in {APP_NAME}.<br /><br />Do you want to keep your changes?",\n\n    // Generic dialog/button labels\n    "DONE"                              : "Done",\n    "OK"                                : "OK",\n    "CANCEL"                            : "Cancel",\n    "DONT_SAVE"                         : "Don\'t Save",\n    "SAVE"                              : "Save",\n    "SAVE_AS"                           : "Save As\\u2026",\n    "SAVE_AND_OVERWRITE"                : "Overwrite",\n    "DELETE"                            : "Delete",\n    "BUTTON_YES"                        : "Yes",\n    "BUTTON_NO"                         : "No",\n\n    // Find, Replace, Find in Files\n    "FIND_MATCH_INDEX"                  : "{0} of {1}",\n    "FIND_NO_RESULTS"                   : "No results",\n    "FIND_QUERY_PLACEHOLDER"            : "Find\\u2026",\n    "REPLACE_PLACEHOLDER"               : "Replace with\\u2026",\n    "BUTTON_REPLACE_ALL"                : "Replace All",\n    "BUTTON_REPLACE_BATCH"              : "Batch\\u2026",\n    "BUTTON_REPLACE_ALL_IN_FILES"       : "Replace\\u2026",\n    "BUTTON_REPLACE"                    : "Replace",\n    "BUTTON_NEXT"                       : "\\u25B6",\n    "BUTTON_PREV"                       : "\\u25C0",\n    "BUTTON_NEXT_HINT"                  : "Next Match",\n    "BUTTON_PREV_HINT"                  : "Previous Match",\n    "BUTTON_CASESENSITIVE_HINT"         : "Match Case",\n    "BUTTON_REGEXP_HINT"                : "Regular Expression",\n    "REPLACE_WITHOUT_UNDO_WARNING_TITLE": "Replace Without Undo",\n    "REPLACE_WITHOUT_UNDO_WARNING"      : "Because more than {0} files need to be changed, {APP_NAME} will modify unopened files on disk.<br />You won\'t be able to undo replacements in those files.",\n    "BUTTON_REPLACE_WITHOUT_UNDO"       : "Replace Without Undo",\n\n    "OPEN_FILE"                         : "Open File",\n    "SAVE_FILE_AS"                      : "Save File",\n    "CHOOSE_FOLDER"                     : "Choose a folder",\n\n    "RELEASE_NOTES"                     : "Release Notes",\n    "NO_UPDATE_TITLE"                   : "You\'re Up to Date!",\n    "NO_UPDATE_MESSAGE"                 : "You are running the latest version of {APP_NAME}.",\n\n    // Find and Replace\n    "FIND_REPLACE_TITLE_LABEL"          : "Replace",\n    "FIND_REPLACE_TITLE_WITH"           : "with",\n    "FIND_TITLE_LABEL"                  : "Found",\n    "FIND_TITLE_SUMMARY"                : "&mdash; {0} {1} {2} in {3}",\n\n    // Find in Files\n    "FIND_NUM_FILES"                    : "{0} {1}",\n    "FIND_IN_FILES_SCOPED"              : "in <span class=\'dialog-filename\'>{0}</span>",\n    "FIND_IN_FILES_NO_SCOPE"            : "in project",\n    "FIND_IN_FILES_ZERO_FILES"          : "Filter excludes all files {0}",\n    "FIND_IN_FILES_FILE"                : "file",\n    "FIND_IN_FILES_FILES"               : "files",\n    "FIND_IN_FILES_MATCH"               : "match",\n    "FIND_IN_FILES_MATCHES"             : "matches",\n    "FIND_IN_FILES_MORE_THAN"           : "Over ",\n    "FIND_IN_FILES_PAGING"              : "{0}&mdash;{1}",\n    "FIND_IN_FILES_FILE_PATH"           : "<span class=\'dialog-filename\'>{0}</span> {2} <span class=\'dialog-path\'>{1}</span>", // We should use normal dashes on Windows instead of em dash eventually\n    "FIND_IN_FILES_EXPAND_COLLAPSE"     : "Ctrl/Cmd click to expand/collapse all",\n    "FIND_IN_FILES_INDEXING"            : "Indexing for Instant Search\\u2026",\n    "REPLACE_IN_FILES_ERRORS_TITLE"     : "Replace Errors",\n    "REPLACE_IN_FILES_ERRORS"           : "The following files weren\'t modified because they changed after the search or couldn\'t be written.",\n\n    "ERROR_FETCHING_UPDATE_INFO_TITLE"  : "Error Getting Update Info",\n    "ERROR_FETCHING_UPDATE_INFO_MSG"    : "There was a problem getting the latest update information from the server. Please make sure you are connected to the Internet and try again.",\n\n    // File exclusion filters\n    "NEW_FILE_FILTER"                   : "New Exclusion Set\\u2026",\n    "CLEAR_FILE_FILTER"                 : "Don\'t Exclude Files",\n    "NO_FILE_FILTER"                    : "No Files Excluded",\n    "EXCLUDE_FILE_FILTER"               : "Exclude {0}",\n    "EDIT_FILE_FILTER"                  : "Edit\\u2026",\n    "FILE_FILTER_DIALOG"                : "Edit Exclusion Set",\n    "FILE_FILTER_INSTRUCTIONS"          : "Exclude files and folders matching any of the following strings / substrings or <a href=\'{0}\' title=\'{0}\'>wildcards</a>. Enter each string on a new line.",\n    "FILTER_NAME_PLACEHOLDER"           : "Name this exclusion set (optional)",\n    "FILTER_NAME_REMAINING"             : "{0} characters remaining",\n    "FILE_FILTER_CLIPPED_SUFFIX"        : "and {0} more",\n    "FILTER_COUNTING_FILES"             : "Counting files\\u2026",\n    "FILTER_FILE_COUNT"                 : "Allows {0} of {1} files {2}",\n    "FILTER_FILE_COUNT_ALL"             : "Allows all {0} files {1}",\n\n    // Quick Edit\n    "ERROR_QUICK_EDIT_PROVIDER_NOT_FOUND"   : "No Quick Edit available for current cursor position",\n    "ERROR_CSSQUICKEDIT_BETWEENCLASSES"     : "CSS Quick Edit: place cursor on a single class name",\n    "ERROR_CSSQUICKEDIT_CLASSNOTFOUND"      : "CSS Quick Edit: incomplete class attribute",\n    "ERROR_CSSQUICKEDIT_IDNOTFOUND"         : "CSS Quick Edit: incomplete id attribute",\n    "ERROR_CSSQUICKEDIT_UNSUPPORTEDATTR"    : "CSS Quick Edit: place cursor in tag, class, or id",\n    "ERROR_TIMINGQUICKEDIT_INVALIDSYNTAX"   : "CSS Timing Function Quick Edit: invalid syntax",\n    "ERROR_JSQUICKEDIT_FUNCTIONNOTFOUND"    : "JS Quick Edit: place cursor in function name",\n\n    // Quick Docs\n    "ERROR_QUICK_DOCS_PROVIDER_NOT_FOUND"   : "No Quick Docs available for current cursor position",\n\n    /**\n     * ProjectManager\n     */\n    "PROJECT_LOADING"   : "Loading\\u2026",\n    "UNTITLED"          : "Untitled",\n    "WORKING_FILES"     : "Working Files",\n\n    /**\n     * MainViewManager\n     */\n    "TOP"               : "Top",\n    "BOTTOM"            : "Bottom",\n    "LEFT"              : "Left",\n    "RIGHT"             : "Right",\n\n    "CMD_SPLITVIEW_NONE"        : "No Split",\n    "CMD_SPLITVIEW_VERTICAL"    : "Vertical Split",\n    "CMD_SPLITVIEW_HORIZONTAL"  : "Horizontal Split",\n    "SPLITVIEW_MENU_TOOLTIP"    : "Split the editor vertically or horizontally",\n    "GEAR_MENU_TOOLTIP"         : "Configure Working Set",\n\n    "SPLITVIEW_INFO_TITLE"              : "Already Open",\n    "SPLITVIEW_MULTIPANE_WARNING"       : "The file is already open in another pane. {APP_NAME} will soon support opening the same file in more than one pane. Until then, the file will be shown in the pane it\'s already open in.<br /><br />(You\'ll only see this message once.)",\n\n    /**\n     * Keyboard modifiers and special key names\n     */\n    "KEYBOARD_CTRL"         : "Ctrl",\n    "KEYBOARD_SHIFT"        : "Shift",\n    "KEYBOARD_SPACE"        : "Space",\n    "KEYBOARD_PAGE_UP"      : "Page Up",\n    "KEYBOARD_PAGE_DOWN"    : "Page Down",\n    "KEYBOARD_HOME"         : "Home",\n    "KEYBOARD_END"          : "End",\n    "KEYBOARD_INSERT"       : "Insert",\n    "KEYBOARD_DELETE"       : "Delete",\n\n    /**\n     * StatusBar strings\n     */\n    "STATUSBAR_CURSOR_POSITION"             : "Line {0}, Column {1}",\n    "STATUSBAR_SELECTION_CH_SINGULAR"       : " \\u2014 Selected {0} column",\n    "STATUSBAR_SELECTION_CH_PLURAL"         : " \\u2014 Selected {0} columns",\n    "STATUSBAR_SELECTION_LINE_SINGULAR"     : " \\u2014 Selected {0} line",\n    "STATUSBAR_SELECTION_LINE_PLURAL"       : " \\u2014 Selected {0} lines",\n    "STATUSBAR_SELECTION_MULTIPLE"          : " \\u2014 {0} selections",\n    "STATUSBAR_INDENT_TOOLTIP_SPACES"       : "Click to switch indentation to spaces",\n    "STATUSBAR_INDENT_TOOLTIP_TABS"         : "Click to switch indentation to tabs",\n    "STATUSBAR_INDENT_SIZE_TOOLTIP_SPACES"  : "Click to change number of spaces used when indenting",\n    "STATUSBAR_INDENT_SIZE_TOOLTIP_TABS"    : "Click to change tab character width",\n    "STATUSBAR_SPACES"                      : "Spaces:",\n    "STATUSBAR_TAB_SIZE"                    : "Tab Size:",\n    "STATUSBAR_LINE_COUNT_SINGULAR"         : "\\u2014 {0} Line",\n    "STATUSBAR_LINE_COUNT_PLURAL"           : "\\u2014 {0} Lines",\n    "STATUSBAR_USER_EXTENSIONS_DISABLED"    : "Extensions Disabled",\n    "STATUSBAR_INSERT"                      : "INS",\n    "STATUSBAR_OVERWRITE"                   : "OVR",\n    "STATUSBAR_INSOVR_TOOLTIP"              : "Click to toggle cursor between Insert (INS) and Overwrite (OVR) modes",\n    "STATUSBAR_LANG_TOOLTIP"                : "Click to change file type",\n    "STATUSBAR_CODE_INSPECTION_TOOLTIP"     : "{0}. Click to toggle report panel.",\n    "STATUSBAR_DEFAULT_LANG"                : "(default)",\n    "STATUSBAR_SET_DEFAULT_LANG"            : "Set as Default for .{0} Files",\n\n    // CodeInspection: errors/warnings\n    "ERRORS_PANEL_TITLE_MULTIPLE"           : "{0} Problems",\n    "SINGLE_ERROR"                          : "1 {0} Problem",\n    "MULTIPLE_ERRORS"                       : "{1} {0} Problems",\n    "NO_ERRORS"                             : "No {0} problems found - good job!",\n    "NO_ERRORS_MULTIPLE_PROVIDER"           : "No problems found - good job!",\n    "LINT_DISABLED"                         : "Linting is disabled",\n    "NO_LINT_AVAILABLE"                     : "No linter available for {0}",\n    "NOTHING_TO_LINT"                       : "Nothing to lint",\n    "LINTER_TIMED_OUT"                      : "{0} has timed out after waiting for {1} ms",\n    "LINTER_FAILED"                         : "{0} terminated with error: {1}",\n\n    /**\n     * Command Name Constants\n     */\n\n    // File menu commands\n    "FILE_MENU"                           : "File",\n    "CMD_FILE_NEW_UNTITLED"               : "New",\n    "CMD_FILE_NEW"                        : "New File",\n    "CMD_FILE_NEW_FOLDER"                 : "New Folder",\n    "CMD_FILE_OPEN"                       : "Open\\u2026",\n    "CMD_RECENT_FILES_OPEN"               : "Open Recent\\u2026",\n    "CMD_ADD_TO_WORKING_SET"              : "Open To Working Set",\n    "CMD_OPEN_DROPPED_FILES"              : "Open Dropped Files",\n    "CMD_OPEN_FOLDER"                     : "Open Folder\\u2026",\n    "CMD_FILE_CLOSE"                      : "Close",\n    "CMD_FILE_CLOSE_ALL"                  : "Close All",\n    "CMD_FILE_CLOSE_LIST"                 : "Close List",\n    "CMD_FILE_CLOSE_OTHERS"               : "Close Others",\n    "CMD_FILE_CLOSE_ABOVE"                : "Close Others Above",\n    "CMD_FILE_CLOSE_BELOW"                : "Close Others Below",\n    "CMD_FILE_SAVE"                       : "Save",\n    "CMD_FILE_SAVE_ALL"                   : "Save All",\n    "CMD_FILE_SAVE_AS"                    : "Save As\\u2026",\n    "CMD_LIVE_FILE_PREVIEW"               : "Live Preview",\n    "CMD_TOGGLE_LIVE_PREVIEW_MB_MODE"     : "Enable Experimental Live Preview",\n    "CMD_RELOAD_LIVE_PREVIEW"             : "Force Reload Live Preview",\n    "CMD_PROJECT_SETTINGS"                : "Project Settings\\u2026",\n    "CMD_FILE_RENAME"                     : "Rename",\n    "CMD_FILE_DELETE"                     : "Delete",\n    "CMD_INSTALL_EXTENSION"               : "Install Extension\\u2026",\n    "CMD_EXTENSION_MANAGER"               : "Extension Manager\\u2026",\n    "CMD_FILE_REFRESH"                    : "Refresh File Tree",\n    "CMD_QUIT"                            : "Quit",\n    // Used in native File menu on Windows\n    "CMD_EXIT"                            : "Exit",\n\n    // Edit menu commands\n    "EDIT_MENU"                           : "Edit",\n    "CMD_UNDO"                            : "Undo",\n    "CMD_REDO"                            : "Redo",\n    "CMD_CUT"                             : "Cut",\n    "CMD_COPY"                            : "Copy",\n    "CMD_PASTE"                           : "Paste",\n    "CMD_SELECT_ALL"                      : "Select All",\n    "CMD_SELECT_LINE"                     : "Select Line",\n    "CMD_SPLIT_SEL_INTO_LINES"            : "Split Selection into Lines",\n    "CMD_ADD_CUR_TO_NEXT_LINE"            : "Add Cursor to Next Line",\n    "CMD_ADD_CUR_TO_PREV_LINE"            : "Add Cursor to Previous Line",\n    "CMD_INDENT"                          : "Indent",\n    "CMD_UNINDENT"                        : "Unindent",\n    "CMD_DUPLICATE"                       : "Duplicate",\n    "CMD_DELETE_LINES"                    : "Delete Line",\n    "CMD_COMMENT"                         : "Toggle Line Comment",\n    "CMD_BLOCK_COMMENT"                   : "Toggle Block Comment",\n    "CMD_LINE_UP"                         : "Move Line Up",\n    "CMD_LINE_DOWN"                       : "Move Line Down",\n    "CMD_OPEN_LINE_ABOVE"                 : "Open Line Above",\n    "CMD_OPEN_LINE_BELOW"                 : "Open Line Below",\n    "CMD_TOGGLE_CLOSE_BRACKETS"           : "Auto Close Braces",\n    "CMD_SHOW_CODE_HINTS"                 : "Show Code Hints",\n\n    // Search menu commands\n    "FIND_MENU"                           : "Find",\n    "CMD_FIND"                            : "Find",\n    "CMD_FIND_NEXT"                       : "Find Next",\n    "CMD_FIND_PREVIOUS"                   : "Find Previous",\n    "CMD_FIND_ALL_AND_SELECT"             : "Find All and Select",\n    "CMD_ADD_NEXT_MATCH"                  : "Add Next Match to Selection",\n    "CMD_SKIP_CURRENT_MATCH"              : "Skip and Add Next Match",\n    "CMD_FIND_IN_FILES"                   : "Find in Files",\n    "CMD_FIND_IN_SUBTREE"                 : "Find in\\u2026",\n    "CMD_REPLACE"                         : "Replace",\n    "CMD_REPLACE_IN_FILES"                : "Replace in Files",\n    "CMD_REPLACE_IN_SUBTREE"              : "Replace in\\u2026",\n\n    // View menu commands\n    "VIEW_MENU"                           : "View",\n    "CMD_HIDE_SIDEBAR"                    : "Hide Sidebar",\n    "CMD_SHOW_SIDEBAR"                    : "Show Sidebar",\n    "CMD_TOGGLE_SIDEBAR"                  : "Toggle Sidebar",\n    "CMD_TOGGLE_PANELS"                   : "Toggle Panels",\n    "CMD_TOGGLE_PURE_CODE"                : "No Distractions",\n    "CMD_INCREASE_FONT_SIZE"              : "Increase Font Size",\n    "CMD_DECREASE_FONT_SIZE"              : "Decrease Font Size",\n    "CMD_RESTORE_FONT_SIZE"               : "Restore Font Size",\n    "CMD_SCROLL_LINE_UP"                  : "Scroll Line Up",\n    "CMD_SCROLL_LINE_DOWN"                : "Scroll Line Down",\n    "CMD_TOGGLE_LINE_NUMBERS"             : "Line Numbers",\n    "CMD_TOGGLE_ACTIVE_LINE"              : "Highlight Active Line",\n    "CMD_TOGGLE_WORD_WRAP"                : "Word Wrap",\n    "CMD_LIVE_HIGHLIGHT"                  : "Live Preview Highlight",\n    "CMD_VIEW_TOGGLE_INSPECTION"          : "Lint Files on Save",\n    "CMD_WORKINGSET_SORT_BY_ADDED"        : "Sort by Added",\n    "CMD_WORKINGSET_SORT_BY_NAME"         : "Sort by Name",\n    "CMD_WORKINGSET_SORT_BY_TYPE"         : "Sort by Type",\n    "CMD_WORKING_SORT_TOGGLE_AUTO"        : "Automatic Sort",\n    "CMD_THEMES"                          : "Themes\\u2026",\n\n    // Navigate menu commands\n    "NAVIGATE_MENU"                       : "Navigate",\n    "CMD_QUICK_OPEN"                      : "Quick Open",\n    "CMD_GOTO_LINE"                       : "Go to Line",\n    "CMD_GOTO_DEFINITION"                 : "Quick Find Definition",\n    "CMD_GOTO_FIRST_PROBLEM"              : "Go to First Problem",\n    "CMD_TOGGLE_QUICK_EDIT"               : "Quick Edit",\n    "CMD_TOGGLE_QUICK_DOCS"               : "Quick Docs",\n    "CMD_QUICK_EDIT_PREV_MATCH"           : "Previous Match",\n    "CMD_QUICK_EDIT_NEXT_MATCH"           : "Next Match",\n    "CMD_CSS_QUICK_EDIT_NEW_RULE"         : "New Rule",\n    "CMD_NEXT_DOC"                        : "Next Document",\n    "CMD_PREV_DOC"                        : "Previous Document",\n    "CMD_NEXT_DOC_LIST_ORDER"             : "Next Document in List",\n    "CMD_PREV_DOC_LIST_ORDER"             : "Previous Document in List",\n    "CMD_SHOW_IN_TREE"                    : "Show in File Tree",\n    "CMD_SHOW_IN_EXPLORER"                : "Show in Explorer",\n    "CMD_SHOW_IN_FINDER"                  : "Show in Finder",\n    "CMD_SHOW_IN_OS"                      : "Show in OS",\n    "CMD_SWITCH_PANE_FOCUS"               : "Switch Pane Focus",\n\n    // Help menu commands\n    "HELP_MENU"                           : "Help",\n    "CMD_CHECK_FOR_UPDATE"                : "Check for Updates",\n    "CMD_HOW_TO_USE_BRACKETS"             : "How to Use {APP_NAME}",\n    "CMD_SUPPORT"                         : "{APP_NAME} Support",\n    "CMD_SUGGEST"                         : "Suggest a Feature",\n    "CMD_RELEASE_NOTES"                   : "Release Notes",\n    "CMD_GET_INVOLVED"                    : "Get Involved",\n    "CMD_SHOW_EXTENSIONS_FOLDER"          : "Show Extensions Folder",\n    "CMD_HEALTH_DATA_STATISTICS"          : "Health Report",\n    "CMD_HOMEPAGE"                        : "{APP_TITLE} Homepage",\n    "CMD_TWITTER"                         : "{TWITTER_NAME} on Twitter",\n    "CMD_ABOUT"                           : "About {APP_TITLE}",\n    "CMD_OPEN_PREFERENCES"                : "Open Preferences File",\n    "CMD_OPEN_KEYMAP"                     : "Open User Key Map",\n\n    // Strings for main-view.html\n    "EXPERIMENTAL_BUILD"                   : "experimental build",\n    "RELEASE_BUILD"                        : "build",\n    "DEVELOPMENT_BUILD"                    : "development build",\n    "RELOAD_FROM_DISK"                     : "Reload from Disk",\n    "KEEP_CHANGES_IN_EDITOR"               : "Keep Changes in Editor",\n    "CLOSE_DONT_SAVE"                      : "Close (Don\'t Save)",\n    "RELAUNCH_CHROME"                      : "Relaunch Chrome",\n    "ABOUT"                                : "About",\n    "CLOSE"                                : "Close",\n    "ABOUT_TEXT_LINE1"                     : "Release {VERSION_MAJOR}.{VERSION_MINOR} {BUILD_TYPE} {VERSION}",\n    "ABOUT_TEXT_BUILD_TIMESTAMP"           : "build timestamp: ",\n    "ABOUT_TEXT_LINE3"                     : "Notices, terms and conditions pertaining to third party software are located at <a href=\'{ADOBE_THIRD_PARTY}\'>{ADOBE_THIRD_PARTY}</a> and incorporated by reference herein.",\n    "ABOUT_TEXT_LINE4"                     : "Documentation and source at <a href=\'https://github.com/adobe/brackets/\'>https://github.com/adobe/brackets/</a>",\n    "ABOUT_TEXT_LINE5"                     : "Made with \\u2764 and JavaScript by:",\n    "ABOUT_TEXT_LINE6"                     : "Lots of people (but we\'re having trouble loading that data right now).",\n    "ABOUT_TEXT_WEB_PLATFORM_DOCS"         : "Web Platform Docs and the Web Platform graphical logo are licensed under a Creative Commons Attribution license, <a href=\'{WEB_PLATFORM_DOCS_LICENSE}\'>CC-BY 3.0 Unported</a>.",\n    "UPDATE_NOTIFICATION_TOOLTIP"          : "There\'s a new build of {APP_NAME} available! Click here for details.",\n    "UPDATE_AVAILABLE_TITLE"               : "Update Available",\n    "UPDATE_MESSAGE"                       : "Hey, there\'s a new build of {APP_NAME} available. Here are some of the new features:",\n    "GET_IT_NOW"                           : "Get it now!",\n    "PROJECT_SETTINGS_TITLE"               : "Project Settings for: {0}",\n    "PROJECT_SETTING_BASE_URL"             : "Live Preview Base URL",\n    "PROJECT_SETTING_BASE_URL_HINT"        : "To use a local server, enter a URL like http://localhost:8000/",\n    "BASEURL_ERROR_INVALID_PROTOCOL"       : "The {0} protocol isn\'t supported by Live Preview&mdash;please use http: or https: .",\n    "BASEURL_ERROR_SEARCH_DISALLOWED"      : "The base URL can\'t contain search parameters like \\"{0}\\".",\n    "BASEURL_ERROR_HASH_DISALLOWED"        : "The base URL can\'t contain hashes like \\"{0}\\".",\n    "BASEURL_ERROR_INVALID_CHAR"           : "Special characters like \'{0}\' must be %-encoded.",\n    "BASEURL_ERROR_UNKNOWN_ERROR"          : "Unknown error parsing Base URL",\n\n    // Strings for Pane.js\n    "EMPTY_VIEW_HEADER"                    : "<em>Open a file while this pane has focus</em>",\n    "FLIPVIEW_BTN_TOOLTIP"                 : "Flip this view to {0} pane",\n\n    // Strings for themes-settings.html and themes-general.html\n    "CURRENT_THEME"                        : "Current Theme",\n    "USE_THEME_SCROLLBARS"                 : "Use Theme Scrollbars",\n    "FONT_SIZE"                            : "Font Size",\n    "FONT_FAMILY"                          : "Font Family",\n    "THEMES_SETTINGS"                      : "Themes Settings",\n\n    // CSS Quick Edit\n    "BUTTON_NEW_RULE"                      : "New Rule",\n\n    // Extension Management strings\n    "INSTALL"                              : "Install",\n    "UPDATE"                               : "Update",\n    "REMOVE"                               : "Remove",\n    "DISABLE"                              : "Disable",\n    "ENABLE"                               : "Enable",\n    "OVERWRITE"                            : "Overwrite",\n    "CANT_REMOVE_DEV"                      : "Extensions in the \\"dev\\" folder must be manually deleted.",\n    "CANT_UPDATE"                          : "The update isn\'t compatible with this version of {APP_NAME}.",\n    "CANT_UPDATE_DEV"                      : "Extensions in the \\"dev\\" folder can\'t be updated automatically.",\n    "INSTALL_EXTENSION_TITLE"              : "Install Extension",\n    "UPDATE_EXTENSION_TITLE"               : "Update Extension",\n    "INSTALL_EXTENSION_LABEL"              : "Extension URL",\n    "INSTALL_EXTENSION_HINT"               : "URL of the extension\'s zip file or GitHub repo",\n    "INSTALLING_FROM"                      : "Installing extension from {0}\\u2026",\n    "INSTALL_SUCCEEDED"                    : "Installation successful!",\n    "INSTALL_FAILED"                       : "Installation failed.",\n    "CANCELING_INSTALL"                    : "Canceling\\u2026",\n    "CANCELING_HUNG"                       : "Canceling the install is taking a long time. An internal error may have occurred.",\n    "INSTALL_CANCELED"                     : "Installation canceled.",\n    "VIEW_COMPLETE_DESCRIPTION"            : "View complete description",\n    "VIEW_TRUNCATED_DESCRIPTION"           : "View truncated description",\n    "SORT_EXTENSION_METHOD"                : "Sort Extensions using downloadCount or publishedDate",\n    // These must match the error codes in ExtensionsDomain.Errors.* :\n    "INVALID_ZIP_FILE"                     : "The downloaded content is not a valid zip file.",\n    "MISSING_PACKAGE_JSON"                 : "The package has no package.json file.",\n    "INVALID_PACKAGE_JSON"                 : "The package.json file is not valid (error was: {0}).",\n    "MISSING_PACKAGE_NAME"                 : "The package.json file doesn\'t specify a package name.",\n    "BAD_PACKAGE_NAME"                     : "{0} is an invalid package name.",\n    "MISSING_PACKAGE_VERSION"              : "The package.json file doesn\'t specify a package version.",\n    "INVALID_VERSION_NUMBER"               : "The package version number ({0}) is invalid.",\n    "INVALID_BRACKETS_VERSION"             : "The {APP_NAME} compatibility string ({0}) is invalid.",\n    "DISALLOWED_WORDS"                     : "The words ({1}) are not allowed in the {0} field.",\n    "NPM_INSTALL_FAILED"                   : "npm install command failed: {0}",\n    "API_NOT_COMPATIBLE"                   : "The extension isn\'t compatible with this version of {APP_NAME}. It\'s installed in your disabled extensions folder.",\n    "MISSING_MAIN"                         : "The package has no main.js file.",\n    "EXTENSION_ALREADY_INSTALLED"          : "Installing this package will overwrite a previously installed extension. Overwrite the old extension?",\n    "EXTENSION_SAME_VERSION"               : "This package is the same version as the one that is currently installed. Overwrite the existing installation?",\n    "EXTENSION_OLDER_VERSION"              : "This package is version {0} which is older than the currently installed ({1}). Overwrite the existing installation?",\n    "DOWNLOAD_ID_IN_USE"                   : "Internal error: download ID already in use.",\n    "NO_SERVER_RESPONSE"                   : "Cannot connect to server.",\n    "BAD_HTTP_STATUS"                      : "File not found on server (HTTP {0}).",\n    "CANNOT_WRITE_TEMP"                    : "Unable to save download to temp file.",\n    "ERROR_LOADING"                        : "The extension encountered an error while starting up.",\n    "MALFORMED_URL"                        : "The URL is invalid. Please check that you entered it correctly.",\n    "UNSUPPORTED_PROTOCOL"                 : "The URL must be an http or https URL.",\n    "UNKNOWN_ERROR"                        : "Unknown internal error.",\n    // For NOT_FOUND_ERR, see generic strings above\n    "EXTENSION_MANAGER_TITLE"              : "Extension Manager",\n    "EXTENSION_MANAGER_ERROR_LOAD"         : "Unable to access the extension registry. Please try again later.",\n    "INSTALL_EXTENSION_DRAG"               : "Drag .zip here or",\n    "INSTALL_EXTENSION_DROP"               : "Drop .zip to install",\n    "INSTALL_EXTENSION_DROP_ERROR"         : "Install/Update aborted due to the following errors:",\n    "INSTALL_FROM_URL"                     : "Install from URL\\u2026",\n    "INSTALL_EXTENSION_VALIDATING"         : "Validating\\u2026",\n    "EXTENSION_AUTHOR"                     : "Author",\n    "EXTENSION_DATE"                       : "Date",\n    "EXTENSION_INCOMPATIBLE_NEWER"         : "This extension requires a newer version of {APP_NAME}.",\n    "EXTENSION_INCOMPATIBLE_OLDER"         : "This extension currently only works with older versions of {APP_NAME}.",\n    "EXTENSION_LATEST_INCOMPATIBLE_NEWER"  : "Version {0} of this extension requires a newer version of {APP_NAME}. But you can install the earlier version {1}.",\n    "EXTENSION_LATEST_INCOMPATIBLE_OLDER"  : "Version {0} of this extension only works with older versions of {APP_NAME}. But you can install the earlier version {1}.",\n    "EXTENSION_NO_DESCRIPTION"             : "No description",\n    "EXTENSION_MORE_INFO"                  : "More info\\u2026",\n    "EXTENSION_ERROR"                      : "Extension error",\n    "EXTENSION_KEYWORDS"                   : "Keywords",\n    "EXTENSION_TRANSLATED_USER_LANG"       : "Translated into {0} languages, including yours",\n    "EXTENSION_TRANSLATED_GENERAL"         : "Translated into {0} languages",\n    "EXTENSION_TRANSLATED_LANGS"           : "This extension has been translated into these languages: {0}",\n    "EXTENSION_INSTALLED"                  : "Installed",\n    "EXTENSION_UPDATE_INSTALLED"           : "This extension update has been downloaded and will be installed after {APP_NAME} reloads.",\n    "EXTENSION_SEARCH_PLACEHOLDER"         : "Search",\n    "EXTENSION_MORE_INFO_LINK"             : "More",\n    "BROWSE_EXTENSIONS"                    : "Browse Extensions",\n    "EXTENSION_MANAGER_REMOVE"             : "Remove Extension",\n    "EXTENSION_MANAGER_REMOVE_ERROR"       : "Unable to remove one or more extensions: {0}. {APP_NAME} will still reload.",\n    "EXTENSION_MANAGER_UPDATE"             : "Update Extension",\n    "EXTENSION_MANAGER_UPDATE_ERROR"       : "Unable to update one or more extensions: {0}. {APP_NAME} will still reload.",\n    "EXTENSION_MANAGER_DISABLE"            : "Disable Extension",\n    "EXTENSION_MANAGER_DISABLE_ERROR"      : "Unable to disable one or more extensions: {0}. {APP_NAME} will still reload.",\n    "MARKED_FOR_REMOVAL"                   : "Marked for removal",\n    "UNDO_REMOVE"                          : "Undo",\n    "MARKED_FOR_UPDATE"                    : "Marked for update",\n    "UNDO_UPDATE"                          : "Undo",\n    "MARKED_FOR_DISABLING"                 : "Marked for disabling",\n    "UNDO_DISABLE"                         : "Undo",\n    "CHANGE_AND_RELOAD_TITLE"              : "Change Extensions",\n    "CHANGE_AND_RELOAD_MESSAGE"            : "To update, remove or disable the marked extensions, {APP_NAME} will need to reload. You\'ll be prompted to save unsaved changes.",\n    "REMOVE_AND_RELOAD"                    : "Remove Extensions and Reload",\n    "CHANGE_AND_RELOAD"                    : "Change Extensions and Reload",\n    "UPDATE_AND_RELOAD"                    : "Update Extensions and Reload",\n    "DISABLE_AND_RELOAD"                   : "Disable Extensions and Reload",\n    "PROCESSING_EXTENSIONS"                : "Processing extension changes\\u2026",\n    "EXTENSION_NOT_INSTALLED"              : "Couldn\'t remove extension {0} because it wasn\'t installed.",\n    "NO_EXTENSIONS"                        : "No extensions installed yet.<br>Click on the Available tab above to get started.",\n    "NO_EXTENSION_MATCHES"                 : "No extensions match your search.",\n    "REGISTRY_SANITY_CHECK_WARNING"        : "NOTE: These extensions may come from different authors than {APP_NAME} itself. Extensions are not reviewed and have full local privileges. Be cautious when installing extensions from an unknown source.",\n    "EXTENSIONS_INSTALLED_TITLE"           : "Installed",\n    "EXTENSIONS_AVAILABLE_TITLE"           : "Available",\n    "EXTENSIONS_THEMES_TITLE"              : "Themes",\n    "EXTENSIONS_UPDATES_TITLE"             : "Updates",\n    "EXTENSIONS_LAST_UPDATED"              : "Last Updated",\n    "EXTENSIONS_DOWNLOADS"                 : "Downloads",\n\n    "INLINE_EDITOR_NO_MATCHES"             : "No matches available.",\n    "INLINE_EDITOR_HIDDEN_MATCHES"         : "All matches are collapsed. Expand the files listed at right to view matches.",\n    "CSS_QUICK_EDIT_NO_MATCHES"            : "There are no existing CSS rules that match your selection.<br> Click \\"New Rule\\" to create one.",\n    "CSS_QUICK_EDIT_NO_STYLESHEETS"        : "There are no stylesheets in your project.<br>Create one to add CSS rules.",\n\n    // Custom Viewers\n    "IMAGE_VIEWER_LARGEST_ICON"            : "largest",\n\n    /**\n     * Unit names\n     */\n    "UNIT_PIXELS"                          : "pixels",\n\n    // extensions/default/DebugCommands\n    "DEBUG_MENU"                                : "Debug",\n    "ERRORS"                                    : "Errors",\n    "CMD_SHOW_DEV_TOOLS"                        : "Show Developer Tools",\n    "CMD_REFRESH_WINDOW"                        : "Reload With Extensions",\n    "CMD_RELOAD_WITHOUT_USER_EXTS"              : "Reload Without Extensions",\n    "CMD_NEW_BRACKETS_WINDOW"                   : "New {APP_NAME} Window",\n    "CMD_LAUNCH_SCRIPT_MAC"                     : "Install Command Line Shortcut",\n    "CMD_SWITCH_LANGUAGE"                       : "Switch Language",\n    "CMD_RUN_UNIT_TESTS"                        : "Run Tests",\n    "CMD_SHOW_PERF_DATA"                        : "Show Performance Data",\n    "CMD_ENABLE_NODE_DEBUGGER"                  : "Enable Node Debugger",\n    "CMD_LOG_NODE_STATE"                        : "Log Node State to Console",\n    "CMD_RESTART_NODE"                          : "Restart Node",\n    "CMD_SHOW_ERRORS_IN_STATUS_BAR"             : "Show Errors in Status Bar",\n    "CMD_OPEN_BRACKETS_SOURCE"                  : "Open {APP_NAME} Source",\n\n    "CREATING_LAUNCH_SCRIPT_TITLE"              : "{APP_NAME} Command Line Shortcut",\n    "ERROR_CREATING_LAUNCH_SCRIPT"              : "An error occurred while installing the command line shortcut. Please try <a href=\'https://github.com/adobe/brackets/wiki/Command-Line-Arguments#troubleshooting\'>these troubleshooting suggestions</a>.<br/><br/>Reason: {0}",\n    "ERROR_CLTOOLS_RMFAILED"                    : "Unable to remove existing <code>/usr/local/bin/brackets</code> symlink.",\n    "ERROR_CLTOOLS_MKDIRFAILED"                 : "Unable to create <code>/usr/local/bin</code> directory.",\n    "ERROR_CLTOOLS_LNFAILED"                    : "Unable to create <code>/usr/local/bin/brackets</code> symlink.",\n    "ERROR_CLTOOLS_SERVFAILED"                  : "Internal error.",\n    "ERROR_CLTOOLS_NOTSUPPORTED"                : "Command line shortcut is not supported on this OS.",\n    "LAUNCH_SCRIPT_CREATE_SUCCESS"              : "Success! Now you can easily launch {APP_NAME} from the command line: <code>brackets myFile.txt</code> to open a file or <code>brackets myFolder</code> to switch projects. <br/><br/><a href=\'https://github.com/adobe/brackets/wiki/Command-Line-Arguments\'>Learn more</a> about using {APP_NAME} from the command line.",\n\n    "LANGUAGE_TITLE"                            : "Switch Language",\n    "LANGUAGE_MESSAGE"                          : "Language:",\n    "LANGUAGE_SUBMIT"                           : "Reload {APP_NAME}",\n    "LANGUAGE_CANCEL"                           : "Cancel",\n    "LANGUAGE_SYSTEM_DEFAULT"                   : "System Default",\n\n    // extensions/default/HealthData\n    "HEALTH_DATA_NOTIFICATION"                  : "Health Report Preferences",\n    "HEALTH_FIRST_POPUP_TITLE"                  : "{APP_NAME} Health Report",\n    "HEALTH_DATA_DO_TRACK"                      : "Share anonymous information on how I use {APP_NAME}",\n    "HEALTH_DATA_NOTIFICATION_MESSAGE"          : "In order to improve {APP_NAME}, we periodically send limited, <strong>anonymous</strong> statistics to Adobe about how you use {APP_NAME}. This information helps prioritize features, find bugs, and spot usability issues.<br><br>You can see your data or choose not to share data by selecting <strong>Help > Health Report</strong>.<br><br><a href=\'https://github.com/adobe/brackets/wiki/Health-Data\'>Learn more about {APP_NAME} Health Report</a>",\n    "HEALTH_DATA_PREVIEW"                       : "{APP_NAME} Health Report",\n    "HEALTH_DATA_PREVIEW_INTRO"                 : "<p>In order to improve {APP_NAME}, we periodically send limited, <strong>anonymous</strong> statistics to Adobe about how you use {APP_NAME}. This information helps prioritize features, find bugs, and spot usability issues. <a href=\'https://github.com/adobe/brackets/wiki/Health-Data\'>Learn more about {APP_NAME} Health Report</a> and how it benefits the {APP_NAME} community while protecting your privacy.</p><p>Below is a preview of the data that will be sent in your next Health Report <em>if</em> it is enabled.</p>",\n\n    // extensions/default/InlineTimingFunctionEditor\n    "INLINE_TIMING_EDITOR_TIME"                 : "Time",\n    "INLINE_TIMING_EDITOR_PROGRESSION"          : "Progression",\n    "BEZIER_EDITOR_INFO"                        : "<kbd>↑</kbd><kbd>↓</kbd><kbd>←</kbd><kbd>→</kbd> Move selected point<br><kbd class=\'text\'>Shift</kbd> Move by ten units<br><kbd class=\'text\'>Tab</kbd> Switch points",\n    "STEPS_EDITOR_INFO"                         : "<kbd>↑</kbd><kbd>↓</kbd> Increase or decrease steps<br><kbd>←</kbd><kbd>→</kbd> \'Start\' or \'End\'",\n    "INLINE_TIMING_EDITOR_INVALID"              : "The old value <code>{0}</code> is not valid, so the displayed function was changed to <code>{1}</code>. The document will be updated with the first edit.",\n\n    // extensions/default/InlineColorEditor\n    "COLOR_EDITOR_CURRENT_COLOR_SWATCH_TIP"     : "Current Color",\n    "COLOR_EDITOR_ORIGINAL_COLOR_SWATCH_TIP"    : "Original Color",\n    "COLOR_EDITOR_RGBA_BUTTON_TIP"              : "RGBa Format",\n    "COLOR_EDITOR_HEX_BUTTON_TIP"               : "Hex Format",\n    "COLOR_EDITOR_HSLA_BUTTON_TIP"              : "HSLa Format",\n    "COLOR_EDITOR_0X_BUTTON_TIP"                : "Hex (0x) Format",\n    "COLOR_EDITOR_USED_COLOR_TIP_SINGULAR"      : "{0} (Used {1} time)",\n    "COLOR_EDITOR_USED_COLOR_TIP_PLURAL"        : "{0} (Used {1} times)",\n\n    // extensions/default/JavaScriptCodeHints\n    "CMD_JUMPTO_DEFINITION"                     : "Jump to Definition",\n    "CMD_SHOW_PARAMETER_HINT"                   : "Show Parameter Hint",\n    "NO_ARGUMENTS"                              : "<no parameters>",\n    "DETECTED_EXCLUSION_TITLE"                  : "JavaScript File Inference Problem",\n    "DETECTED_EXCLUSION_INFO"                   : "{APP_NAME} ran into trouble processing <span class=\'dialog-filename\'>{0}</span>.<br><br>This file will no longer be processed for code hints, Jump to Definition or Quick Edit. To re-enable this file, open <code>.brackets.json</code> in your project and edit <code>jscodehints.detectedExclusions</code>.<br><br>This is likely a {APP_NAME} bug. If you can provide a copy of this file, please <a href=\'https://github.com/adobe/brackets/wiki/How-to-Report-an-Issue\'>file a bug</a> with a link to the file named here.",\n\n    // extensions/default/JSLint\n    "JSLINT_NAME"                               : "JSLint",\n\n    // extensions/default/QuickView\n    "CMD_ENABLE_QUICK_VIEW"                     : "Quick View on Hover",\n\n    // extensions/default/RecentProjects\n    "CMD_TOGGLE_RECENT_PROJECTS"                : "Recent Projects",\n\n    // extensions/default/WebPlatformDocs\n    "DOCS_MORE_LINK"                            : "Read more",\n\n    // extensions/default/CodeFolding\n    "COLLAPSE_ALL"                  : "Collapse All",\n    "EXPAND_ALL"                    : "Expand All",\n    "COLLAPSE_CURRENT"              : "Collapse Current",\n    "EXPAND_CURRENT"                : "Expand Current",\n\n    // extensions/default/NavigationAndHistory\n    "RECENT_FILES_DLG_HEADER"                    : "Recent Files",\n    "RECENT_FILES_DLG_CLEAR_BUTTON_LABEL"        : "Clear",\n    "RECENT_FILES_DLG_CLEAR_BUTTON_TITLE"        : "Clear files not in Working Set",\n\n    // Descriptions of core preferences\n    "DESCRIPTION_CLOSE_BRACKETS"                     : "true to automatically close braces, brackets and parentheses",\n    "DESCRIPTION_CLOSE_OTHERS_ABOVE"                 : "false to remove the \\"Close Others Above\\" from the Working Files context menu",\n    "DESCRIPTION_CLOSE_OTHERS_BELOW"                 : "false to remove the \\"Close Others Below\\" from the Working Files context menu",\n    "DESCRIPTION_CLOSE_OTHERS"                       : "false to remove the \\"Close Others\\" from the Working Files context menu",\n    "DESCRIPTION_CLOSE_TAGS"                         : "Sets the tag closing options",\n    "DESCRIPTION_CLOSE_TAGS_DONT_CLOSE_TAGS"         : "An array of tags that should not be auto-closed",\n    "DESCRIPTION_CLOSE_TAGS_WHEN_OPENING"            : "Close when > of opening tag is typed",\n    "DESCRIPTION_CLOSE_TAGS_WHEN_CLOSING"            : "Close when / of closing tag is typed",\n    "DESCRIPTION_CLOSE_TAGS_INDENT_TAGS"             : "An array of tags that when opened has a blank line",\n    "DESCRIPTION_CODE_FOLDING_ALWAY_USE_INDENT_FOLD" : "true to always generate collapsible section markers when indent level changes",\n    "DESCRIPTION_CODE_FOLDING_ENABLED"               : "true to enable code folding",\n    "DESCRIPTION_CODE_FOLDING_HIDE_UNTIL_MOUSEOVER"  : "true to make Section-collapsing markers visible only when you move the mouse over the gutter",\n    "DESCRIPTION_CODE_FOLDING_MAX_FOLD_LEVEL"        : "Limits how many levels deep Collapse All applies",\n    "DESCRIPTION_CODE_FOLDING_MIN_FOLD_SIZE"         : "Minimum lines before a collapsible section icon appears",\n    "DESCRIPTION_CODE_FOLDING_SAVE_FOLD_STATES"      : "true to remember collapsed sections if you close and reopen a file or project",\n    "DESCRIPTION_CODE_FOLDING_MAKE_SELECTIONS_FOLDABLE": "true to enable code folding on selected text in the editor",\n    "DESCRIPTION_ATTR_HINTS"                         : "Enable/disable HTML attribute hints",\n    "DESCRIPTION_CSS_PROP_HINTS"                     : "Enable/disable CSS/LESS/SCSS property hints",\n    "DESCRIPTION_JS_HINTS"                           : "Enable/disable JavaScript code hints",\n    "DESCRIPTION_JS_HINTS_TYPE_DETAILS"              : "Enable/disable datatype details in JavaScript code hints",\n    "DESCRIPTION_PREF_HINTS"                         : "Enable/disable Preferences code hints",\n    "DESCRIPTION_SPECIAL_CHAR_HINTS"                 : "Enable/disable HTML entity hints",\n    "DESCRIPTION_SVG_HINTS"                          : "Enable/disable SVG code hints",\n    "DESCRIPTION_HTML_TAG_HINTS"                     : "Enable/disable HTML tag hints",\n    "DESCRIPTION_URL_CODE_HINTS"                     : "Enable/disable URL hints in HTML & CSS/LESS/SCSS",\n    "DESCRIPTION_DRAG_DROP_TEXT"                     : "Enable/disable Drag & Drop functionality",\n    "DESCRIPTION_HEALTH_DATA_TRACKING"               : "Enable the Health Data Tracking",\n    "DESCRIPTION_HIGHLIGHT_MATCHES"                  : "Enables automatic highlighting of matching strings throughout the document",\n    "DESCRIPTION_HIGHLIGHT_MATCHES_SHOW_TOKEN"       : "Highlight all strings that match the token the cursor is currently in (no selection needed)",\n    "DESCRIPTION_HIGHLIGHT_MATCHES_WORDS_ONLY"       : "Highlight only when selection is a complete token",\n    "DESCRIPTION_INSERT_HINT_ON_TAB"                 : "true to insert the currently selected code hint on tab",\n    "DESCRIPTION_NO_HINTS_ON_DOT"                    : "true to not automatically show JS code hints when . is typed",\n    "DESCRIPTION_JSLINT_OPTIONS"                     : "An object with the default options for JSLint",\n    "DESCRIPTION_JSLINT_OPTIONS_ASS"                 : "true to allow assignment expressions",\n    "DESCRIPTION_JSLINT_OPTIONS_BITWISE"             : "true to allow bitwise operators",\n    "DESCRIPTION_JSLINT_OPTIONS_BROWSER"             : "true if standard browser globals should be predefined",\n    "DESCRIPTION_JSLINT_OPTIONS_CLOSURE"             : "true to allow Google Closure idioms",\n    "DESCRIPTION_JSLINT_OPTIONS_CONTINUE"            : "true to allow \\"continue\\" statement",\n    "DESCRIPTION_JSLINT_OPTIONS_COUCH"               : "true if CouchDB globals should be predefined",\n    "DESCRIPTION_JSLINT_OPTIONS_DEBUG"               : "true to allow debugger statements",\n    "DESCRIPTION_JSLINT_OPTIONS_DEVEL"               : "true if browser globals useful in development should be predefined",\n    "DESCRIPTION_JSLINT_OPTIONS_EQEQ"                : "true to allow == and !=",\n    "DESCRIPTION_JSLINT_OPTIONS_ES6"                 : "true if ES6 globals should be predefined",\n    "DESCRIPTION_JSLINT_OPTIONS_EVIL"                : "true to allow eval",\n    "DESCRIPTION_JSLINT_OPTIONS_FORIN"               : "true to allow unfiltered \\"for ... in\\"",\n    "DESCRIPTION_JSLINT_OPTIONS_INDENT"              : "Set a specific tab width",\n    "DESCRIPTION_JSLINT_OPTIONS_MAXERR"              : "The maximum number of warnings reported",\n    "DESCRIPTION_JSLINT_OPTIONS_MAXLEN"              : "The maximum number of characters in a line",\n    "DESCRIPTION_JSLINT_OPTIONS_NEWCAP"              : "true to allow uncapitalized constructors",\n    "DESCRIPTION_JSLINT_OPTIONS_NODE"                : "true if Node.js globals should be predefined",\n    "DESCRIPTION_JSLINT_OPTIONS_NOMEN"               : "true to allow dangling underscore in identifiers",\n    "DESCRIPTION_JSLINT_OPTIONS_PASSFAIL"            : "true to stop on first error",\n    "DESCRIPTION_JSLINT_OPTIONS_PLUSPLUS"            : "true to allow ++ and --",\n    "DESCRIPTION_JSLINT_OPTIONS_REGEXP"              : "true to allow . and [^...]. in RegExp",\n    "DESCRIPTION_JSLINT_OPTIONS_RHINO"               : "true if Rhino globals should be predefined",\n    "DESCRIPTION_JSLINT_OPTIONS_SLOPPY"              : "true to allow missing `use strict` pragma",\n    "DESCRIPTION_JSLINT_OPTIONS_STUPID"              : "true if blocking (\'...Sync\') methods can be used.",\n    "DESCRIPTION_JSLINT_OPTIONS_SUB"                 : "true to allow inefficient subscripting",\n    "DESCRIPTION_JSLINT_OPTIONS_TODO"                : "true to allow TODO comments",\n    "DESCRIPTION_JSLINT_OPTIONS_UNPARAM"             : "true to allow unused parameters",\n    "DESCRIPTION_JSLINT_OPTIONS_VARS"                : "true to allow more than 1 vars in a function",\n    "DESCRIPTION_JSLINT_OPTIONS_WHITE"               : "true to ignore white-space rules",\n    "DESCRIPTION_LANGUAGE"                           : "Language specific settings",\n    "DESCRIPTION_LANGUAGE_FILE_EXTENSIONS"           : "Additional mappings from file extension to language name",\n    "DESCRIPTION_LANGUAGE_FILE_NAMES"                : "Additional mappings from file name to language name",\n    "DESCRIPTION_LINEWISE_COPY_CUT"                  : "Doing copy and cut when there\'s no selection will copy or cut the whole lines that have cursors in them",\n    "DESCRIPTION_LINTING_ENABLED"                    : "true to enable Code Inspection",\n    "DESCRIPTION_ASYNC_TIMEOUT"                      : "The time in milliseconds after which asynchronous linters time out",\n    "DESCRIPTION_LINTING_PREFER"                     : "Array of linters to run first",\n    "DESCRIPTION_LIVE_DEV_MULTIBROWSER"              : "true to enable experimental Live Preview",\n    "DESCRIPTION_USE_PREFERED_ONLY"                  : "true to run providers specified in linting.prefer only",\n    "DESCRIPTION_MAX_CODE_HINTS"                     : "Maximum code hints displayed at once",\n    "DESCRIPTION_PATH"                               : "Path specific settings",\n    "DESCRIPTION_PROXY"                              : "The URL of the proxy server used for extension installation",\n    "DESCRIPTION_SCROLL_PAST_END"                    : "true to enable scrolling beyond the end of the document",\n    "DESCRIPTION_SHOW_CODE_HINTS"                    : "false to disable all code hints",\n    "DESCRIPTION_SHOW_CURSOR_WHEN_SELECTING"         : "Keeps the blinking cursor visible when you have a text selection",\n    "DESCRIPTION_SHOW_LINE_NUMBERS"                  : "true to show line numbers in a “gutter” to the left of the code",\n    "DESCRIPTION_SMART_INDENT"                       : "Automatically indent when creating a new block",\n    "DESCRIPTION_SOFT_TABS"                          : "false to turn off soft tabs behavior",\n    "DESCRIPTION_SORT_DIRECTORIES_FIRST"             : "true to sort the directories first in the project tree",\n    "DESCRIPTION_SPACE_UNITS"                        : "Number of spaces to use for space-based indentation",\n    "DESCRIPTION_STATIC_SERVER_PORT"                 : "Port number that the built-in server should use for Live Preview",\n    "DESCRIPTION_STYLE_ACTIVE_LINE"                  : "true to highlight background color of the line the cursor is on",\n    "DESCRIPTION_TAB_SIZE"                           : "Number of spaces to display for tabs",\n    "DESCRIPTION_USE_TAB_CHAR"                       : "true to use tabs instead of spaces",\n    "DESCRIPTION_UPPERCASE_COLORS"                   : "true to generate uppercase hex colors in Inline Color Editor",\n    "DESCRIPTION_WORD_WRAP"                          : "Wrap lines that exceed the viewport width",\n    "DESCRIPTION_DETECTED_EXCLUSIONS"                : "A list of files that have been detected to cause Tern to run out of control",\n    "DESCRIPTION_INFERENCE_TIMEOUT"                  : "The amount of time after which Tern will time out when trying to understand files",\n    "DESCRIPTION_SHOW_ERRORS_IN_STATUS_BAR"          : "true to show errors in status bar",\n    "DESCRIPTION_QUICK_VIEW_ENABLED"                 : "true to enable Quick View",\n    "DESCRIPTION_EXTENSION_LESS_IMAGE_PREVIEW"       : "true to show image previews for URLs missing extensions",\n    "DESCRIPTION_THEME"                              : "Select a {APP_NAME} theme",\n    "DESCRIPTION_USE_THEME_SCROLLBARS"               : "true to allow custom scroll bars",\n    "DESCRIPTION_LINTING_COLLAPSED"                  : "true to collapse linting panel",\n    "DESCRIPTION_FONT_FAMILY"                        : "Change font family",\n    "DESCRIPTION_FONT_SIZE"                          : "Change font size; e.g. 13px",\n    "DESCRIPTION_FIND_IN_FILES_NODE"                 : "true to enable node based search",\n    "DESCRIPTION_FIND_IN_FILES_INSTANT"              : "true to enable instant search",\n    "DESCRIPTION_FONT_SMOOTHING"                     : "Mac-only: \\"subpixel-antialiased\\" to enable sub-pixel antialiasing or \\"antialiased\\" for gray scale antialiasing",\n    "DESCRIPTION_OPEN_PREFS_IN_SPLIT_VIEW"           : "false to disable opening preferences file in split view",\n    "DESCRIPTION_OPEN_USER_PREFS_IN_SECOND_PANE"     : "false to open user preferences file in left/top pane",\n    "DESCRIPTION_MERGE_PANES_WHEN_LAST_FILE_CLOSED"  : "true to collapse panes after the last file from the pane is closed via pane header close button",\n    "DESCRIPTION_SHOW_PANE_HEADER_BUTTONS"           : "Toggle when to show the close and flip-view buttons on the header.",\n    "DEFAULT_PREFERENCES_JSON_HEADER_COMMENT"        : "/*\\n * This is a read-only file with the preferences supported\\n * by {APP_NAME}.\\n * Use this file as a reference to modify your preferences\\n * file \\"brackets.json\\" opened in the other pane.\\n * For more information on how to use preferences inside\\n * {APP_NAME}, refer to the web page at https://github.com/adobe/brackets/wiki/How-to-Use-Brackets#preferences\\n */",\n    "DEFAULT_PREFERENCES_JSON_DEFAULT"               : "Default",\n    "DESCRIPTION_PURE_CODING_SURFACE"                : "true to enable code only mode and hide all other UI elements in {APP_NAME}",\n    "DESCRIPTION_INDENT_LINE_COMMENT"                : "true to enable indenting of line comments",\n    "DESCRIPTION_RECENT_FILES_NAV"                   : "Enable/disable navigation in recent files",\n    "DESCRIPTION_LIVEDEV_WEBSOCKET_PORT"             : "Port on which WebSocket Server runs for Live Preview"\n});\n\n//# sourceURL=/nls/root/strings.js'),
eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'nls/urls\',[\'require\',\'exports\',\'module\'],function (require, exports, module) {\n\n    "use strict";\n\n    // Registry for languages that have specific per-language URLs or file paths that we use\n    // elsewhere in Brackets.\n    //\n    // TODO: dynamically populate the local prefix list below?\n    module.exports = {\n        root: true,\n        "bg": true,\n        "cs": true,\n        "da": true,\n        "de": true,\n        "es": true,\n        "fa-ir": true,\n        "fi": true,\n        "fr": true,\n        "hr": true,\n        "id": true,\n        "it": true,\n        "ja": true,\n        "ko": true,\n        "nb": true,\n        "pl": true,\n        "pt-br": true,\n        "pt-pt": true,\n        "ru": true,\n        "sv": true,\n        "zh-cn": true,\n        "zh-tw": true,\n        "tr": true\n    };\n});\n\n//# sourceURL=/nls/urls.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'nls/root/urls\',{\n    // Relative to the samples folder\n    "GETTING_STARTED"           : "root/Getting Started",\n    "ADOBE_THIRD_PARTY"         : "http://www.adobe.com/go/thirdparty/",\n    "WEB_PLATFORM_DOCS_LICENSE" : "http://creativecommons.org/licenses/by/3.0/"\n});\n\n//# sourceURL=/nls/root/urls.js'),eval("/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the \"Software\"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine('nls/strings-app',['require','exports','module'],function (require, exports, module) {\n\n    \"use strict\";\n\n    // Code that needs to display user strings should call require(\"strings\") to load\n    // src/strings.js. This file will dynamically load strings.js for the specified brackets.locale.\n    //\n    // See the README.md file in this folder for information on how to add a new translation for\n    // another language or locale.\n    //\n    // TODO: dynamically populate the local prefix list below?\n    module.exports = {\n        root: true\n    };\n});\n\n//# sourceURL=/nls/strings-app.js"),eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'nls/root/strings-app\',{\n    // product-specific strings\n    "APP_NAME"                             : "Brackets",\n\n    // Self locales (used by Debug > Switch Language)\n    "LOCALE_BG"                                 : "български",\n    "LOCALE_CS"                                 : "čeština",\n    "LOCALE_DA"                                 : "Dansk",\n    "LOCALE_DE"                                 : "Deutsch",\n    "LOCALE_EL"                                 : "Ελληνικά",\n    "LOCALE_EN"                                 : "English (US)",\n    "LOCALE_EN_GB"                              : "English (UK)",\n    "LOCALE_ES"                                 : "español",\n    "LOCALE_FA_IR"                              : "فارسی",\n    "LOCALE_FI"                                 : "suomi",\n    "LOCALE_FR"                                 : "français",\n    "LOCALE_GL"                                 : "galego",\n    "LOCALE_HR"                                 : "hrvatski",\n    "LOCALE_HU"                                 : "magyar",\n    "LOCALE_ID"                                 : "Bahasa Indonesia",\n    "LOCALE_IT"                                 : "italiano",\n    "LOCALE_JA"                                 : "日本語",\n    "LOCALE_KO"                                 : "한국어",\n    "LOCALE_LV"                                 : "latviešu",\n    "LOCALE_NB"                                 : "norsk",\n    "LOCALE_NL"                                 : "Nederlands",\n    "LOCALE_PL"                                 : "polski",\n    "LOCALE_PT_BR"                              : "português (BR)",\n    "LOCALE_PT_PT"                              : "português (PT)",\n    "LOCALE_RO"                                 : "română",\n    "LOCALE_RU"                                 : "русский",\n    "LOCALE_SK"                                 : "slovenčina",\n    "LOCALE_SR"                                 : "Српски",\n    "LOCALE_SV"                                 : "svenska",\n    "LOCALE_TR"                                 : "Türkçe",\n    "LOCALE_UK"                                 : "Українська",\n    "LOCALE_ZH_CN"                              : "简体中文",\n    "LOCALE_ZH_TW"                              : "繁體中文"\n});\n\n//# sourceURL=/nls/root/strings-app.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * This file provides the interface to user visible strings in Brackets. Code that needs\n * to display strings should should load this module by calling `var Strings = require("strings")`.\n * The i18n plugin will dynamically load the strings for the right locale and populate\n * the exports variable. See src\\nls\\strings.js for the master file of English strings.\n */\ndefine(\'strings\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'i18n!nls/strings\',\'i18n!nls/urls\',\'i18n!nls/strings-app\',\'utils/StringUtils\',\'utils/Global\'],function (require, exports, module) {\n    "use strict";\n\n    var _ = require("thirdparty/lodash");\n\n    var strings     = require("i18n!nls/strings"),\n        urls        = require("i18n!nls/urls"),\n        stringsApp  = require("i18n!nls/strings-app"),\n        StringUtils = require("utils/StringUtils");\n\n    // make sure the global brackets variable is loaded\n    require("utils/Global");\n\n    // Add URLs as additional globals\n    var additionalGlobals = $.extend({}, urls),\n        parsedVersion = /([0-9]+)\\.([0-9]+)\\.([0-9]+)/.exec(brackets.metadata.version);\n\n    additionalGlobals.APP_NAME      = brackets.metadata.name || strings.APP_NAME;\n    additionalGlobals.APP_TITLE     = brackets.config.app_title || strings.APP_NAME;\n    additionalGlobals.TWITTER_NAME  = brackets.config.twitter_name;\n    additionalGlobals.VERSION       = brackets.metadata.version;\n    additionalGlobals.VERSION_MAJOR = parsedVersion[1];\n    additionalGlobals.VERSION_MINOR = parsedVersion[2];\n    additionalGlobals.VERSION_PATCH = parsedVersion[3];\n\n    var isDevBuild = !StringUtils.endsWith(decodeURI(window.location.pathname), "/www/index.html");\n    if (isDevBuild) {\n        additionalGlobals.BUILD_TYPE = strings.DEVELOPMENT_BUILD;\n    } else {\n        var isReleaseBuild = (brackets.platform === "mac" || brackets.platform === "win");\n        additionalGlobals.BUILD_TYPE = (isReleaseBuild ? strings.RELEASE_BUILD : strings.EXPERIMENTAL_BUILD);\n    }\n\n    // Insert application strings\n    _.forEach(strings, function (value, key) {\n        _.forEach(additionalGlobals, function (item, name) {\n            strings[key] = strings[key].replace(new RegExp("{" + name + "}", "g"), additionalGlobals[name]);\n        });\n    });\n\n    // Append or overlay additional, product-specific strings\n    _.forEach(stringsApp, function (value, key) {\n        _.forEach(additionalGlobals, function (item, name) {\n            stringsApp[key] = stringsApp[key].replace(new RegExp("{" + name + "}", "g"), additionalGlobals[name]);\n        });\n        strings[key] = stringsApp[key];\n    });\n\n    module.exports = strings;\n\n});\n\n//# sourceURL=/strings.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*jslint regexp: true */\n/*global unescape */\n\n/**\n * Set of utilities for working with files and text content.\n */\ndefine(\'file/FileUtils\',[\'require\',\'exports\',\'module\',\'utils/Global\',\'filesystem/FileSystemError\',\'utils/DeprecationWarning\',\'language/LanguageManager\',\'utils/PerfUtils\',\'strings\',\'utils/StringUtils\'],function (require, exports, module) {\n    "use strict";\n\n    require("utils/Global");\n\n    var FileSystemError     = require("filesystem/FileSystemError"),\n        DeprecationWarning  = require("utils/DeprecationWarning"),\n        LanguageManager     = require("language/LanguageManager"),\n        PerfUtils           = require("utils/PerfUtils"),\n        Strings             = require("strings"),\n        StringUtils         = require("utils/StringUtils");\n\n    // These will be loaded asynchronously\n    var DocumentCommandHandlers, LiveDevelopmentUtils;\n\n    /**\n     * @const {Number} Maximium file size (in megabytes)\n     *   (for display strings)\n     *   This must be a hard-coded value since this value\n     *   tells how low-level APIs should behave which cannot\n     *   have a load order dependency on preferences manager\n     */\n    var MAX_FILE_SIZE_MB = 16;\n\n    /**\n     * @const {Number} Maximium file size (in bytes)\n     *   This must be a hard-coded value since this value\n     *   tells how low-level APIs should behave which cannot\n     *   have a load order dependency on preferences manager\n     */\n    var MAX_FILE_SIZE = MAX_FILE_SIZE_MB * 1024 * 1024;\n\n\n    /**\n     * Asynchronously reads a file as UTF-8 encoded text.\n     * @param {!File} file File to read\n     * @return {$.Promise} a jQuery promise that will be resolved with the\n     *  file\'s text content plus its timestamp, or rejected with a FileSystemError string\n     *  constant if the file can not be read.\n     */\n    function readAsText(file) {\n        var result = new $.Deferred();\n\n        // Measure performance\n        var perfTimerName = PerfUtils.markStart("readAsText:\\t" + file.fullPath);\n        result.always(function () {\n            PerfUtils.addMeasurement(perfTimerName);\n        });\n\n        // Read file\n        file.read(function (err, data, stat) {\n            if (!err) {\n                result.resolve(data, stat.mtime);\n            } else {\n                result.reject(err);\n            }\n        });\n\n        return result.promise();\n    }\n\n    /**\n     * Asynchronously writes a file as UTF-8 encoded text.\n     * @param {!File} file File to write\n     * @param {!string} text\n     * @param {boolean=} allowBlindWrite Indicates whether or not CONTENTS_MODIFIED\n     *      errors---which can be triggered if the actual file contents differ from\n     *      the FileSystem\'s last-known contents---should be ignored.\n     * @return {$.Promise} a jQuery promise that will be resolved when\n     * file writing completes, or rejected with a FileSystemError string constant.\n     */\n    function writeText(file, text, allowBlindWrite) {\n        var result = new $.Deferred(),\n            options = {};\n\n        if (allowBlindWrite) {\n            options.blind = true;\n        }\n\n        file.write(text, options, function (err) {\n            if (!err) {\n                result.resolve();\n            } else {\n                result.reject(err);\n            }\n        });\n\n        return result.promise();\n    }\n\n    /**\n     * Line endings\n     * @enum {string}\n     */\n    var LINE_ENDINGS_CRLF = "CRLF",\n        LINE_ENDINGS_LF   = "LF";\n\n    /**\n     * Returns the standard line endings for the current platform\n     * @return {LINE_ENDINGS_CRLF|LINE_ENDINGS_LF}\n     */\n    function getPlatformLineEndings() {\n        return brackets.platform === "win" ? LINE_ENDINGS_CRLF : LINE_ENDINGS_LF;\n    }\n\n    /**\n     * Scans the first 1000 chars of the text to determine how it encodes line endings. Returns\n     * null if usage is mixed or if no line endings found.\n     * @param {!string} text\n     * @return {null|LINE_ENDINGS_CRLF|LINE_ENDINGS_LF}\n     */\n    function sniffLineEndings(text) {\n        var subset = text.substr(0, 1000);  // (length is clipped to text.length)\n        var hasCRLF = /\\r\\n/.test(subset);\n        var hasLF = /[^\\r]\\n/.test(subset);\n\n        if ((hasCRLF && hasLF) || (!hasCRLF && !hasLF)) {\n            return null;\n        } else {\n            return hasCRLF ? LINE_ENDINGS_CRLF : LINE_ENDINGS_LF;\n        }\n    }\n\n    /**\n     * Translates any line ending types in the given text to the be the single form specified\n     * @param {!string} text\n     * @param {null|LINE_ENDINGS_CRLF|LINE_ENDINGS_LF} lineEndings\n     * @return {string}\n     */\n    function translateLineEndings(text, lineEndings) {\n        if (lineEndings !== LINE_ENDINGS_CRLF && lineEndings !== LINE_ENDINGS_LF) {\n            lineEndings = getPlatformLineEndings();\n        }\n\n        var eolStr = (lineEndings === LINE_ENDINGS_CRLF ? "\\r\\n" : "\\n");\n        var findAnyEol = /\\r\\n|\\r|\\n/g;\n\n        return text.replace(findAnyEol, eolStr);\n    }\n\n    /**\n     * @param {!FileSystemError} name\n     * @return {!string} User-friendly, localized error message\n     */\n    function getFileErrorString(name) {\n        // There are a few error codes that we have specific error messages for. The rest are\n        // displayed with a generic "(error N)" message.\n        var result;\n\n        if (name === FileSystemError.NOT_FOUND) {\n            result = Strings.NOT_FOUND_ERR;\n        } else if (name === FileSystemError.NOT_READABLE) {\n            result = Strings.NOT_READABLE_ERR;\n        } else if (name === FileSystemError.NOT_WRITABLE) {\n            result = Strings.NO_MODIFICATION_ALLOWED_ERR_FILE;\n        } else if (name === FileSystemError.CONTENTS_MODIFIED) {\n            result = Strings.CONTENTS_MODIFIED_ERR;\n        } else if (name === FileSystemError.UNSUPPORTED_ENCODING) {\n            result = Strings.UNSUPPORTED_ENCODING_ERR;\n        } else if (name === FileSystemError.EXCEEDS_MAX_FILE_SIZE) {\n            result = StringUtils.format(Strings.EXCEEDS_MAX_FILE_SIZE, MAX_FILE_SIZE_MB);\n        } else {\n            result = StringUtils.format(Strings.GENERIC_ERROR, name);\n        }\n\n        return result;\n    }\n\n    /**\n     * Shows an error dialog indicating that the given file could not be opened due to the given error\n     * @deprecated Use DocumentCommandHandlers.showFileOpenError() instead\n     *\n     * @param {!FileSystemError} name\n     * @return {!Dialog}\n     */\n    function showFileOpenError(name, path) {\n        DeprecationWarning.deprecationWarning("FileUtils.showFileOpenError() has been deprecated. " +\n                                              "Please use DocumentCommandHandlers.showFileOpenError() instead.");\n        return DocumentCommandHandlers.showFileOpenError(name, path);\n    }\n\n    /**\n     * Creates an HTML string for a list of files to be reported on, suitable for use in a dialog.\n     * @param {Array.<string>} Array of filenames or paths to display.\n     */\n    function makeDialogFileList(paths) {\n        var result = "<ul class=\'dialog-list\'>";\n        paths.forEach(function (path) {\n            result += "<li><span class=\'dialog-filename\'>";\n            result += StringUtils.breakableUrl(path);\n            result += "</span></li>";\n        });\n        result += "</ul>";\n        return result;\n    }\n\n    /**\n     * Convert a URI path to a native path.\n     * On both platforms, this unescapes the URI\n     * On windows, URI paths start with a "/", but have a drive letter ("C:"). In this\n     * case, remove the initial "/".\n     * @param {!string} path\n     * @return {string}\n     */\n    function convertToNativePath(path) {\n        path = unescape(path);\n        if (path.indexOf(":") !== -1 && path[0] === "/") {\n            return path.substr(1);\n        }\n\n        return path;\n    }\n\n    /**\n     * Convert a Windows-native path to use Unix style slashes.\n     * On Windows, this converts "C:\\foo\\bar\\baz.txt" to "C:/foo/bar/baz.txt".\n     * On Mac, this does nothing, since Mac paths are already in Unix syntax.\n     * (Note that this does not add an initial forward-slash. Internally, our\n     * APIs generally use the "C:/foo/bar/baz.txt" style for "native" paths.)\n     * @param {string} path A native-style path.\n     * @return {string} A Unix-style path.\n     */\n    function convertWindowsPathToUnixPath(path) {\n        if (brackets.platform === "win") {\n            path = path.replace(/\\\\/g, "/");\n        }\n        return path;\n    }\n\n    /**\n     * Removes the trailing slash from a path, if it has one.\n     * Warning: this differs from the format of most paths used in Brackets! Use paths ending in "/"\n     * normally, as this is the format used by Directory.fullPath.\n     *\n     * @param {string} path\n     * @return {string}\n     */\n    function stripTrailingSlash(path) {\n        if (path && path[path.length - 1] === "/") {\n            return path.slice(0, -1);\n        } else {\n            return path;\n        }\n    }\n\n    /**\n     * Get the name of a file or a directory, removing any preceding path.\n     * @param {string} fullPath full path to a file or directory\n     * @return {string} Returns the base name of a file or the name of a\n     * directory\n     */\n    function getBaseName(fullPath) {\n        var lastSlash = fullPath.lastIndexOf("/");\n        if (lastSlash === fullPath.length - 1) {  // directory: exclude trailing "/" too\n            return fullPath.slice(fullPath.lastIndexOf("/", fullPath.length - 2) + 1, -1);\n        } else {\n            return fullPath.slice(lastSlash + 1);\n        }\n    }\n\n    /**\n     * Returns a native absolute path to the \'brackets\' source directory.\n     * Note that this only works when run in brackets/src/index.html, so it does\n     * not work for unit tests (which is run from brackets/test/SpecRunner.html)\n     *\n     * WARNING: unlike most paths in Brackets, this path EXCLUDES the trailing "/".\n     * @return {string}\n     */\n    function getNativeBracketsDirectoryPath() {\n        var pathname = decodeURI(window.location.pathname);\n        var directory = pathname.substr(0, pathname.lastIndexOf("/"));\n        return convertToNativePath(directory);\n    }\n\n    /**\n     * Given the module object passed to JS module define function,\n     * convert the path to a native absolute path.\n     * Returns a native absolute path to the module folder.\n     *\n     * WARNING: unlike most paths in Brackets, this path EXCLUDES the trailing "/".\n     * @return {string}\n     */\n    function getNativeModuleDirectoryPath(module) {\n        var path;\n\n        if (module && module.uri) {\n            path = decodeURI(module.uri);\n\n            // Remove module name and trailing slash from path.\n            path = path.substr(0, path.lastIndexOf("/"));\n        }\n        return path;\n    }\n\n    /**\n     * Get the file extension (excluding ".") given a path OR a bare filename.\n     * Returns "" for names with no extension. If the name starts with ".", the\n     * full remaining text is considered the extension.\n     *\n     * @param {string} fullPath full path to a file or directory\n     * @return {string} Returns the extension of a filename or empty string if\n     * the argument is a directory or a filename with no extension\n     */\n    function getFileExtension(fullPath) {\n        var baseName = getBaseName(fullPath),\n            idx      = baseName.lastIndexOf(".");\n\n        if (idx === -1) {\n            return "";\n        }\n\n        return baseName.substr(idx + 1);\n    }\n\n    /**\n     * Get the file extension (excluding ".") given a path OR a bare filename.\n     * Returns "" for names with no extension.\n     * If the only `.` in the file is the first character,\n     * returns "" as this is not considered an extension.\n     * This method considers known extensions which include `.` in them.\n     * @deprecated Use LanguageManager.getCompoundFileExtension() instead\n     *\n     * @param {string} fullPath full path to a file or directory\n     * @return {string} Returns the extension of a filename or empty string if\n     * the argument is a directory or a filename with no extension\n     */\n    function getSmartFileExtension(fullPath) {\n        DeprecationWarning.deprecationWarning("FileUtils.getSmartFileExtension() has been deprecated. " +\n                                              "Please use LanguageManager.getCompoundFileExtension() instead.");\n        return LanguageManager.getCompoundFileExtension(fullPath);\n    }\n\n    /**\n     * Computes filename as relative to the basePath. For example:\n     * basePath: /foo/bar/, filename: /foo/bar/baz.txt\n     * returns: baz.txt\n     *\n     * The net effect is that the common prefix is stripped away. If basePath is not\n     * a prefix of filename, then undefined is returned.\n     *\n     * @param {string} basePath Path against which we\'re computing the relative path\n     * @param {string} filename Full path to the file for which we are computing a relative path\n     * @return {string} relative path\n     */\n    function getRelativeFilename(basePath, filename) {\n        if (!filename || filename.substr(0, basePath.length) !== basePath) {\n            return;\n        }\n\n        return filename.substr(basePath.length);\n    }\n\n    /**\n     * Determine if file extension is a static html file extension.\n     * @param {string} filePath could be a path, a file name or just a file extension\n     * @return {boolean} Returns true if fileExt is in the list\n     */\n    function isStaticHtmlFileExt(filePath) {\n        DeprecationWarning.deprecationWarning("FileUtils.isStaticHtmlFileExt() has been deprecated. " +\n                                              "Please use LiveDevelopmentUtils.isStaticHtmlFileExt() instead.");\n        return LiveDevelopmentUtils.isStaticHtmlFileExt(filePath);\n    }\n\n    /**\n     * Get the parent directory of a file. If a directory is passed, the SAME directory is returned.\n     * @param {string} fullPath full path to a file or directory\n     * @return {string} Returns the path to the parent directory of a file or the path of a directory,\n     *                  including trailing "/"\n     */\n    function getDirectoryPath(fullPath) {\n        return fullPath.substr(0, fullPath.lastIndexOf("/") + 1);\n    }\n\n    /**\n     * Get the parent folder of the given file/folder path. Differs from getDirectoryPath() when \'fullPath\'\n     * is a directory itself: returns its parent instead of the original path. (Note: if you already have a\n     * FileSystemEntry, it\'s faster to use entry.parentPath instead).\n     * @param {string} fullPath full path to a file or directory\n     * @return {string} Path of containing folder (including trailing "/"); or "" if path was the root\n     */\n    function getParentPath(fullPath) {\n        if (fullPath === "/") {\n            return "";\n        }\n        return fullPath.substring(0, fullPath.lastIndexOf("/", fullPath.length - 2) + 1);\n    }\n\n    /**\n     * Get the file name without the extension. Returns "" if name starts with "."\n     * @param {string} filename File name of a file or directory, without preceding path\n     * @return {string} Returns the file name without the extension\n     */\n    function getFilenameWithoutExtension(filename) {\n        var index = filename.lastIndexOf(".");\n        return index === -1 ? filename : filename.slice(0, index);\n    }\n\n    /**\n     * @private\n     * OS-specific helper for `compareFilenames()`\n     * @return {Function} The OS-specific compare function\n     */\n    var _cmpNames = (function () {\n        if (brackets.platform === "win") {\n            // Use this function on Windows\n            return function (filename1, filename2, lang) {\n                var f1 = getFilenameWithoutExtension(filename1),\n                    f2 = getFilenameWithoutExtension(filename2);\n                return f1.localeCompare(f2, lang, {numeric: true});\n            };\n        }\n\n        // Use this function other OSes\n        return function (filename1, filename2, lang) {\n            return filename1.localeCompare(filename2, lang, {numeric: true});\n        };\n    }());\n\n    /**\n     * Compares 2 filenames in lowercases. In Windows it compares the names without the\n     * extension first and then the extensions to fix issue #4409\n     * @param {string} filename1\n     * @param {string} filename2\n     * @param {boolean} extFirst If true it compares the extensions first and then the file names.\n     * @return {number} The result of the compare function\n     */\n    function compareFilenames(filename1, filename2, extFirst) {\n        var lang = brackets.getLocale();\n\n        filename1 = filename1.toLocaleLowerCase();\n        filename2 = filename2.toLocaleLowerCase();\n\n        function cmpExt() {\n            var ext1 = getFileExtension(filename1),\n                ext2 = getFileExtension(filename2);\n            return ext1.localeCompare(ext2, lang, {numeric: true});\n        }\n\n        function cmpNames() {\n            return _cmpNames(filename1, filename2, lang);\n        }\n\n        return extFirst ? (cmpExt() || cmpNames()) : (cmpNames() || cmpExt());\n    }\n\n    /**\n     * Compares two paths segment-by-segment, used for sorting. When two files share a path prefix,\n     * the less deeply nested one is sorted earlier in the list. Sorts files within the same parent\n     * folder based on `compareFilenames()`.\n     * @param {string} path1\n     * @param {string} path2\n     * @return {number} -1, 0, or 1 depending on whether path1 is less than, equal to, or greater than\n     *     path2 according to this ordering.\n     */\n    function comparePaths(path1, path2) {\n        var entryName1, entryName2,\n            pathParts1 = path1.split("/"),\n            pathParts2 = path2.split("/"),\n            length     = Math.min(pathParts1.length, pathParts2.length),\n            folders1   = pathParts1.length - 1,\n            folders2   = pathParts2.length - 1,\n            index      = 0;\n\n        while (index < length) {\n            entryName1 = pathParts1[index];\n            entryName2 = pathParts2[index];\n\n            if (entryName1 !== entryName2) {\n                if (index < folders1 && index < folders2) {\n                    return entryName1.toLocaleLowerCase().localeCompare(entryName2.toLocaleLowerCase());\n                } else if (index >= folders1 && index >= folders2) {\n                    return compareFilenames(entryName1, entryName2);\n                }\n                return (index >= folders1 && index < folders2) ? -1 : 1;\n            }\n            index++;\n        }\n        return 0;\n    }\n\n    /**\n     * @param {string} path Native path in the format used by FileSystemEntry.fullPath\n     * @return {string} URI-encoded version suitable for appending to \'file:///`. It\'s not safe to use encodeURI()\n     *     directly since it doesn\'t escape chars like "#".\n     */\n    function encodeFilePath(path) {\n        var pathArray = path.split("/");\n        pathArray = pathArray.map(function (subPath) {\n            return encodeURIComponent(subPath);\n        });\n        return pathArray.join("/");\n    }\n\n    // Asynchronously load DocumentCommandHandlers\n    // This avoids a temporary circular dependency created\n    // by relocating showFileOpenError() until deprecation is over\n    require(["document/DocumentCommandHandlers"], function (dchModule) {\n        DocumentCommandHandlers = dchModule;\n    });\n\n    // Asynchronously load LiveDevelopmentUtils\n    // This avoids a temporary circular dependency created\n    // by relocating isStaticHtmlFileExt() until deprecation is over\n    require(["LiveDevelopment/LiveDevelopmentUtils"], function (lduModule) {\n        LiveDevelopmentUtils = lduModule;\n    });\n\n    // Define public API\n    exports.LINE_ENDINGS_CRLF              = LINE_ENDINGS_CRLF;\n    exports.LINE_ENDINGS_LF                = LINE_ENDINGS_LF;\n    exports.getPlatformLineEndings         = getPlatformLineEndings;\n    exports.sniffLineEndings               = sniffLineEndings;\n    exports.translateLineEndings           = translateLineEndings;\n    exports.showFileOpenError              = showFileOpenError;\n    exports.getFileErrorString             = getFileErrorString;\n    exports.makeDialogFileList             = makeDialogFileList;\n    exports.readAsText                     = readAsText;\n    exports.writeText                      = writeText;\n    exports.convertToNativePath            = convertToNativePath;\n    exports.convertWindowsPathToUnixPath   = convertWindowsPathToUnixPath;\n    exports.getNativeBracketsDirectoryPath = getNativeBracketsDirectoryPath;\n    exports.getNativeModuleDirectoryPath   = getNativeModuleDirectoryPath;\n    exports.stripTrailingSlash             = stripTrailingSlash;\n    exports.isStaticHtmlFileExt            = isStaticHtmlFileExt;\n    exports.getDirectoryPath               = getDirectoryPath;\n    exports.getParentPath                  = getParentPath;\n    exports.getBaseName                    = getBaseName;\n    exports.getRelativeFilename            = getRelativeFilename;\n    exports.getFilenameWithoutExtension    = getFilenameWithoutExtension;\n    exports.getFileExtension               = getFileExtension;\n    exports.getSmartFileExtension          = getSmartFileExtension;\n    exports.compareFilenames               = compareFilenames;\n    exports.comparePaths                   = comparePaths;\n    exports.MAX_FILE_SIZE                  = MAX_FILE_SIZE;\n    exports.encodeFilePath                 = encodeFilePath;\n});\n\n//# sourceURL=/file/FileUtils.js'),
eval('define(\'text!language/languages.json\',[],function () { return \'{\\n    "unknown": {\\n        "name": "Text",\\n        "mode": ["null", "text/plain"]\\n    },\\n    \\n    "groovy": {\\n        "name": "Groovy",\\n        "mode": "groovy",\\n        "fileExtensions": ["groovy", "gradle"],\\n        "blockComment": ["/*", "*/"],\\n        "lineComment": ["//"]\\n    },\\n   \\n    "properties": {\\n        "name": "Properties",\\n        "mode": ["properties", "text/x-properties"],\\n        "fileExtensions": ["ini", "properties"]\\n    },\\n\\n    "css": {\\n        "name": "CSS",\\n        "mode": "css",\\n        "fileExtensions": ["css", "css.erb"],\\n        "blockComment": ["/*", "*/"]\\n    },\\n\\n    "scss": {\\n        "name": "SCSS",\\n        "mode": ["css", "text/x-scss"],\\n        "fileExtensions": ["scss", "scss.erb"],\\n        "blockComment": ["/*", "*/"],\\n        "lineComment": ["//"]\\n    },\\n\\n    "stylus": {\\n        "name": "Stylus",\\n        "mode": ["stylus", "text/x-styl"],\\n        "fileExtensions": ["styl"],\\n        "blockComment": ["/*", "*/"],\\n        "lineComment": ["//"]\\n    },\\n\\n    "html": {\\n        "name": "HTML",\\n        "mode": ["htmlmixed", "text/x-brackets-html"],\\n        "fileExtensions": ["html", "htm", "shtm", "shtml", "xhtml", "cfm", "cfml", "cfc", "dhtml", "xht", "tpl", "twig", "kit", "jsp", "aspx", "ascx", "asp", "master", "cshtml", "vbhtml"],\\n        "blockComment": ["<!--", "-->"]\\n    },\\n    \\n    "ejs": {\\n        "name": "EJS",\\n        "mode": ["htmlembedded", "application/x-ejs"],\\n        "fileExtensions": ["ejs", "dust"],\\n        "blockComment": ["<!--", "-->"]\\n    },\\n    \\n    "erb_html": {\\n        "name": "Embedded Ruby",\\n        "mode": ["htmlembedded", "application/x-erb"],\\n        "fileExtensions": ["erb", "html.erb", "htm.erb"],\\n        "blockComment": ["<!--", "-->"]\\n    },\\n\\n    "javascript": {\\n        "name": "JavaScript",\\n        "mode": "javascript",\\n        "fileExtensions": ["js", "js.erb", "jsm", "_js"],\\n        "blockComment": ["/*", "*/"],\\n        "lineComment": ["//"]\\n    },\\n\\n    "jsx": {\\n        "name": "JSX",\\n        "mode": "jsx",\\n        "fileExtensions": ["jsx"],\\n        "blockComment": ["/*", "*/"],\\n        "lineComment": ["//"]\\n    },\\n\\n    "dart": {\\n        "name": "Dart",\\n        "mode": ["dart", "application/dart"],\\n        "fileExtensions": ["dart"],\\n        "blockComment": ["/*", "*/"],\\n        "lineComment": ["//"]\\n    },\\n\\n    "vbscript": {\\n        "name": "VBScript",\\n        "mode": "vbscript",\\n        "fileExtensions": ["vbs"],\\n        "lineComment": ["\\\'", "REM"]\\n    },\\n\\n    "vb": {\\n        "name": "VB",\\n        "mode": ["vb", "text/x-vb"],\\n        "fileExtensions": ["vb"],\\n        "lineComment": ["\\\'"]\\n    },\\n\\n    "json": {\\n        "name": "JSON",\\n        "mode": ["javascript", "application/json"],\\n        "fileExtensions": ["json"],\\n        "fileNames": [".jshintrc", ".bowerrc"]\\n    },\\n\\n    "xml": {\\n        "name": "XML",\\n        "mode": "xml",\\n        "fileExtensions": ["xml", "wxs", "wxl", "wsdl", "rss", "atom", "rdf", "xslt", "xsl", "xul", "xsd", "xbl", "mathml", "config", "plist", "xaml"],\\n        "blockComment": ["<!--", "-->"]\\n    },\\n\\n    "svg": {\\n        "name": "SVG",\\n        "mode": ["xml", "image/svg+xml"],\\n        "fileExtensions": ["svg"],\\n        "blockComment": ["<!--", "-->"]\\n    },\\n\\n    "php": {\\n        "name": "PHP",\\n        "mode": "php",\\n        "fileExtensions": ["php", "php3", "php4", "php5", "phtm", "phtml", "ctp"],\\n        "blockComment": ["/*", "*/"],\\n        "lineComment": ["//", "#"]\\n    },\\n\\n    "c": {\\n        "name": "C",\\n        "mode": ["clike", "text/x-csrc"],\\n        "fileExtensions": ["c", "h", "i"],\\n        "blockComment": ["/*", "*/"],\\n        "lineComment": ["//"]\\n    },\\n\\n    "cpp": {\\n        "name": "C++",\\n        "mode": ["clike", "text/x-c++src"],\\n        "fileExtensions": ["cc", "cp", "cpp", "c++", "cxx", "hh", "hpp", "hxx", "h++", "ii", "ino"],\\n        "blockComment": ["/*", "*/"],\\n        "lineComment": ["//"]\\n    },\\n\\n    "csharp": {\\n        "name": "C#",\\n        "mode": ["clike", "text/x-csharp"],\\n        "fileExtensions": ["cs", "asax", "ashx"],\\n        "blockComment": ["/*", "*/"],\\n        "lineComment": ["//"]\\n    },\\n\\n    "java": {\\n        "name": "Java",\\n        "mode": ["clike", "text/x-java"],\\n        "fileExtensions": ["java"],\\n        "blockComment": ["/*", "*/"],\\n        "lineComment": ["//"]\\n    },\\n\\n    "scala": {\\n        "name": "Scala",\\n        "mode": ["clike", "text/x-scala"],\\n        "fileExtensions": ["scala", "sbt"],\\n        "blockComment": ["/*", "*/"],\\n        "lineComment": ["//"]\\n    },\\n\\n    "coffeescript": {\\n        "name": "CoffeeScript",\\n        "mode": "coffeescript",\\n        "fileExtensions": ["coffee", "cf", "cson", "_coffee"],\\n        "fileNames": ["Cakefile"],\\n        "blockComment": ["###", "###"],\\n        "lineComment": ["#"]\\n    },\\n\\n    "clojure": {\\n        "name": "Clojure",\\n        "mode": "clojure",\\n        "fileExtensions": ["clj", "cljs", "cljx"],\\n        "lineComment": [";", ";;"]\\n    },\\n\\n    "perl": {\\n        "name": "Perl",\\n        "mode": "perl",\\n        "fileExtensions": ["pl", "pm", "t"],\\n        "lineComment": ["#"]\\n    },\\n\\n    "ruby": {\\n        "name": "Ruby",\\n        "mode": "ruby",\\n        "fileExtensions": ["rb", "ru", "gemspec", "rake"],\\n        "fileNames": ["Gemfile", "Rakefile", "Guardfile", "Vagrantfile"],\\n        "lineComment": ["#"]\\n    },\\n\\n    "python": {\\n        "name": "Python",\\n        "mode": "python",\\n        "fileExtensions": ["py", "pyw", "wsgi", "gyp", "gypi"],\\n        "lineComment": ["#"]\\n    },\\n\\n    "sass": {\\n        "name": "SASS",\\n        "mode": "sass",\\n        "fileExtensions": ["sass"],\\n        "blockComment": ["/*", "*/"],\\n        "lineComment": ["//"]\\n    },\\n\\n    "lua": {\\n        "name": "Lua",\\n        "mode": "lua",\\n        "fileExtensions": ["lua"],\\n        "blockComment": ["--[[", "]]"],\\n        "lineComment": ["--"]\\n    },\\n\\n    "sql": {\\n        "name": "SQL",\\n        "mode": ["sql", "text/x-mysql"],\\n        "fileExtensions": ["sql"]\\n    },\\n\\n    "diff": {\\n        "name": "Diff",\\n        "mode": "diff",\\n        "fileExtensions": ["diff", "patch"]\\n    },\\n\\n    "markdown": {\\n        "name": "Markdown",\\n        "mode": "markdown",\\n        "fileExtensions": ["md", "markdown", "mdown", "mkdn"],\\n        "blockComment": ["<!--", "-->"]\\n    },\\n\\n    "gfm": {\\n        "name": "Markdown (GitHub)",\\n        "mode": "gfm"\\n    },\\n\\n    "yaml": {\\n        "name": "YAML",\\n        "mode": "yaml",\\n        "fileExtensions": ["yaml", "yml"],\\n        "lineComment": ["#"]\\n    },\\n\\n    "hx": {\\n        "name": "Haxe",\\n        "mode": "haxe",\\n        "fileExtensions": ["hx"],\\n        "blockComment": ["/*", "*/"],\\n        "lineComment": ["//"]\\n    },\\n\\n    "bash": {\\n        "name": "Bash",\\n        "mode": ["shell", "text/x-sh"],\\n        "fileExtensions": ["sh", "command", "bash"],\\n        "fileNames": [".bash_login", ".bash_logout", ".bash_profile", ".bashrc", ".profile"],\\n        "lineComment": ["#"]\\n    },\\n  \\n    "image": {\\n        "name": "Image",\\n        "fileExtensions": ["gif", "png", "jpe", "jpeg", "jpg", "ico", "bmp", "webp"],\\n        "isBinary": true\\n    },\\n    \\n    "audio": {\\n        "name": "Audio",\\n        "fileExtensions": ["mp3", "wav", "aif", "aiff", "ogg"],\\n        "isBinary": true\\n    },\\n    \\n    "binary": {\\n        "name": "Other Binary",\\n        "fileExtensions": [\\n            "a", "ai", "avi", "bin", "cab", "com", "db", "dll", "dmg",\\n            "doc", "docx", "dot", "dotx", "dsym", "dylib", "egg", "epub", "eot",\\n            "exe", "flv", "gz", "gzip", "htmz", "htmlz", "ipch", "iso", "jar",\\n            "jsz", "lib", "mpeg", "mpg", "mp4", "msi", "node", "o", "obj", "odc",\\n            "odb", "odf", "odg", "odp", "ods", "odt", "otf", "pak", "pdb", "pdf",\\n            "pdi", "ppt", "pptx", "psd", "rar", "sdf", "so", "sqlite", "suo", "svgz",\\n            "swf", "tar", "tif", "tiff", "ttf", "woff", "xls", "xlsx", "zip"\\n        ],\\n        "isBinary": true\\n    },\\n\\n    "haskell": {\\n        "name": "Haskell",\\n        "mode": "haskell",\\n        "fileExtensions": ["hs"],\\n        "blockComment": ["{-", "-}"],\\n        "lineComment": ["--"]\\n    },\\n    \\n    "turtle": {\\n        "name": "RDF Turtle",\\n        "mode": "turtle",\\n        "fileExtensions": ["ttl"],\\n        "lineComment": ["#"]\\n    },\\n    \\n    "go": {\\n        "name": "Go",\\n        "mode": "go",\\n        "fileExtensions": ["go"],\\n        "blockComment": ["/*", "*/"],\\n        "lineComment": ["//"]\\n    },\\n\\n    "pug": {\\n        "name": "Pug",\\n        "mode": "pug",\\n        "fileExtensions": ["pug", "jade"],\\n        "lineComment": ["//"]\\n    }\\n\\n}\\n\';});\n\n//# sourceURL=/text!language/languages.json'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*unittests: LanguageManager*/\n\n/**\n * LanguageManager provides access to the languages supported by Brackets\n *\n * To find out which languages we support by default, have a look at languages.json.\n *\n * To get access to an existing language, call getLanguage():\n *\n *     var language = LanguageManager.getLanguage("<id>");\n *\n * To define your own languages, call defineLanguage():\n *\n *     LanguageManager.defineLanguage("haskell", {\n *         name: "Haskell",\n *         mode: "haskell",\n *         fileExtensions: ["hs"],\n *         blockComment: ["{-", "-}"],\n *         lineComment: ["--"]\n *     });\n *\n * To use that language and its related mode, wait for the returned promise to be resolved:\n *\n *     LanguageManager.defineLanguage("haskell", definition).done(function (language) {\n *         console.log("Language " + language.getName() + " is now available!");\n *     });\n *\n * The extension can also contain dots:\n *\n *     LanguageManager.defineLanguage("literatecoffeescript", {\n *         name: "Literate CoffeeScript",\n *         mode: "coffeescript",\n *         fileExtensions: ["litcoffee", "coffee.md"]\n *     });\n *\n * You can also specify file names:\n *\n *     LanguageManager.defineLanguage("makefile", {\n *         name: "Make",\n *         mode: ["null", "text/plain"],\n *         fileNames: ["Makefile"]\n *     });\n *\n * You can combine file names and extensions, or not define them at all.\n *\n * You can also refine an existing language:\n *\n *     var language = LanguageManager.getLanguage("haskell");\n *     language.setLineCommentSyntax(["--"]);\n *     language.setBlockCommentSyntax("{-", "-}");\n *     language.addFileExtension("lhs");\n *\n * Some CodeMirror modes define variations of themselves. They are called MIME modes.\n * To find existing MIME modes, search for "CodeMirror.defineMIME" in thirdparty/CodeMirror/mode\n * For instance, C++, C# and Java all use the clike (C-like) mode with different settings and a different MIME name.\n * You can refine the mode definition by specifying the MIME mode as well:\n *\n *     LanguageManager.defineLanguage("csharp", {\n *         name: "C#",\n *         mode: ["clike", "text/x-csharp"],\n *         ...\n *     });\n *\n * Defining the base mode is still necessary to know which file to load.\n * However, language.getMode() will return just the MIME mode if one was\n * specified.\n *\n * If you need to configure a mode, you can just create a new MIME mode and use that:\n *\n *     CodeMirror.defineMIME("text/x-brackets-html", {\n *         "name": "htmlmixed",\n *         "scriptTypes": [{"matches": /\\/x-handlebars-template|\\/x-mustache/i,\n *                        "mode": null}]\n *     });\n *\n *     LanguageManager.defineLanguage("html", {\n *         name: "HTML",\n *         mode: ["htmlmixed", "text/x-brackets-html"],\n *         ...\n *     });\n *\n * If a mode is not shipped with our CodeMirror distribution, you need to first load it yourself.\n * If the mode is part of our CodeMirror distribution, it gets loaded automatically.\n *\n * You can also defines binary file types, i.e. Brackets supports image files by default,\n * such as *.jpg, *.png etc.\n * Binary files do not require mode because modes are specific to CodeMirror, which\n * only handles text based file types.\n * To register a binary language the isBinary flag must be set, i.e.\n *\n *     LanguageManager.defineLanguage("audio", {\n *         name: "Audio",\n *         fileExtensions: ["mp3", "wav", "aif", "aiff", "ogg"],\n *         isBinary: true\n *     });\n *\n *\n * LanguageManager dispatches two events:\n *\n *  - languageAdded -- When any new Language is added. 2nd arg is the new Language.\n *  - languageModified -- When the attributes of a Language change, or when the Language gains or loses\n *          file extension / filename mappings. 2nd arg is the modified Language.\n */\ndefine(\'language/LanguageManager\',[\'require\',\'exports\',\'module\',\'thirdparty/CodeMirror/lib/codemirror\',\'utils/EventDispatcher\',\'utils/Async\',\'file/FileUtils\',\'strings\',\'text!language/languages.json\',\'thirdparty/lodash\'],function (require, exports, module) {\n    "use strict";\n\n\n    // Dependencies\n    var CodeMirror            = require("thirdparty/CodeMirror/lib/codemirror"),\n        EventDispatcher       = require("utils/EventDispatcher"),\n        Async                 = require("utils/Async"),\n        FileUtils             = require("file/FileUtils"),\n        Strings               = require("strings"),\n        _defaultLanguagesJSON = require("text!language/languages.json"),\n        _                     = require("thirdparty/lodash"),\n\n        // PreferencesManager is loaded near the end of the file\n        PreferencesManager;\n\n    // State\n    var _fallbackLanguage               = null,\n        _pendingLanguages               = {},\n        _languages                      = {},\n        _baseFileExtensionToLanguageMap = {},\n        _fileExtensionToLanguageMap     = Object.create(_baseFileExtensionToLanguageMap),\n        _fileNameToLanguageMap          = {},\n        _filePathToLanguageMap          = {},\n        _modeToLanguageMap              = {},\n        _ready;\n\n    // Constants\n\n    var _EXTENSION_MAP_PREF = "language.fileExtensions",\n        _NAME_MAP_PREF      = "language.fileNames";\n\n    // Tracking for changes to mappings made by preferences\n    var _prefState = {};\n\n    _prefState[_EXTENSION_MAP_PREF] = {\n        last: {},\n        overridden: {},\n        add: "addFileExtension",\n        remove: "removeFileExtension",\n        get: "getLanguageForExtension"\n    };\n\n    _prefState[_NAME_MAP_PREF] = {\n        last: {},\n        overridden: {},\n        add: "addFileName",\n        remove: "removeFileName",\n        get: "getLanguageForPath"\n    };\n\n    // Helper functions\n\n    /**\n     * Checks whether value is a non-empty string. Reports an error otherwise.\n     * If no deferred is passed, console.error is called.\n     * Otherwise the deferred is rejected with the error message.\n     * @param {*}                value         The value to validate\n     * @param {!string}          description   A helpful identifier for value\n     * @param {?jQuery.Deferred} deferred      A deferred to reject with the error message in case of an error\n     * @return {boolean} True if the value is a non-empty string, false otherwise\n     */\n    function _validateNonEmptyString(value, description, deferred) {\n        var reportError = deferred ? deferred.reject : console.error;\n\n        // http://stackoverflow.com/questions/1303646/check-whether-variable-is-number-or-string-in-javascript\n        if (Object.prototype.toString.call(value) !== "[object String]") {\n            reportError(description + " must be a string");\n            return false;\n        }\n        if (value === "") {\n            reportError(description + " must not be empty");\n            return false;\n        }\n        return true;\n    }\n\n    /**\n     * Monkey-patch CodeMirror to prevent modes from being overwritten by extensions.\n     * We may rely on the tokens provided by some of these modes.\n     */\n    function _patchCodeMirror() {\n        var _original_CodeMirror_defineMode = CodeMirror.defineMode;\n        function _wrapped_CodeMirror_defineMode(name) {\n            if (CodeMirror.modes[name]) {\n                console.error("There already is a CodeMirror mode with the name \\"" + name + "\\"");\n                return;\n            }\n            _original_CodeMirror_defineMode.apply(CodeMirror, arguments);\n        }\n        CodeMirror.defineMode = _wrapped_CodeMirror_defineMode;\n    }\n\n    /**\n     * Adds a global mode-to-language association.\n     * @param {!string} mode The mode to associate the language with\n     * @param {!Language} language The language to associate with the mode\n     */\n    function _setLanguageForMode(mode, language) {\n        if (_modeToLanguageMap[mode]) {\n            console.warn("CodeMirror mode \\"" + mode + "\\" is already used by language " + _modeToLanguageMap[mode]._name + " - cannot fully register language " + language._name +\n                         " using the same mode. Some features will treat all content with this mode as language " + _modeToLanguageMap[mode]._name);\n            return;\n        }\n\n        _modeToLanguageMap[mode] = language;\n    }\n\n    /**\n     * Resolves a language ID to a Language object.\n     * File names have a higher priority than file extensions.\n     * @param {!string} id Identifier for this language: lowercase letters, digits, and _ separators (e.g. "cpp", "foo_bar", "c99")\n     * @return {Language} The language with the provided identifier or undefined\n     */\n    function getLanguage(id) {\n        return _languages[id];\n    }\n\n    /**\n     * Resolves a file extension to a Language object.\n     * *Warning:* it is almost always better to use getLanguageForPath(), since Language can depend\n     * on file name and even full path. Use this API only if no relevant file/path exists.\n     * @param {!string} extension Extension that language should be resolved for\n     * @return {?Language} The language for the provided extension or null if none exists\n     */\n    function getLanguageForExtension(extension) {\n        return _fileExtensionToLanguageMap[extension.toLowerCase()];\n    }\n\n    /**\n     * Resolves a file path to a Language object.\n     * @param {!string} path Path to the file to find a language for\n     * @param {?boolean} ignoreOverride If set to true will cause the lookup to ignore any\n     *      overrides and return default binding. By default override is not ignored.\n     *\n     * @return {Language} The language for the provided file type or the fallback language\n     */\n    function getLanguageForPath(path, ignoreOverride) {\n        var fileName,\n            language = _filePathToLanguageMap[path],\n            extension,\n            parts;\n\n        // if there\'s an override, return it\n        if (!ignoreOverride && language) {\n            return language;\n        }\n\n        fileName = FileUtils.getBaseName(path).toLowerCase();\n        language = _fileNameToLanguageMap[fileName];\n\n        // If no language was found for the file name, use the file extension instead\n        if (!language) {\n            // Split the file name into parts:\n            //   "foo.coffee.md"   => ["foo", "coffee", "md"]\n            //   ".profile.bak"    => ["", "profile", "bak"]\n            //   "1. Vacation.txt" => ["1", " Vacation", "txt"]\n            parts = fileName.split(".");\n\n            // A leading dot does not indicate a file extension, but marks the file as hidden => remove it\n            if (parts[0] === "") {\n                // ["", "profile", "bak"] => ["profile", "bak"]\n                parts.shift();\n            }\n\n            // The first part is assumed to be the title, not the extension => remove it\n            //   ["foo", "coffee", "md"]   => ["coffee", "md"]\n            //   ["profile", "bak"]        => ["bak"]\n            //   ["1", " Vacation", "txt"] => [" Vacation", "txt"]\n            parts.shift();\n\n            // Join the remaining parts into a file extension until none are left or a language was found\n            while (!language && parts.length) {\n                // First iteration:\n                //   ["coffee", "md"]     => "coffee.md"\n                //   ["bak"]              => "bak"\n                //   [" Vacation", "txt"] => " Vacation.txt"\n                // Second iteration (assuming no language was found for "coffee.md"):\n                //   ["md"]  => "md"\n                //   ["txt"] => "txt"\n                extension = parts.join(".");\n                language  = _fileExtensionToLanguageMap[extension];\n                // Remove the first part\n                // First iteration:\n                //   ["coffee", "md"]     => ["md"]\n                //   ["bak"]              => []\n                //   [" Vacation", "txt"] => ["txt"]\n                // Second iteration:\n                //   ["md"]  => []\n                //   ["txt"] => []\n                parts.shift();\n            }\n        }\n\n        return language || _fallbackLanguage;\n    }\n\n    /**\n     * Returns a map of all the languages currently defined in the LanguageManager. The key to\n     * the map is the language id and the value is the language object.\n     *\n     * @return {Object.<string, Language>} A map containing all of the\n     *      languages currently defined.\n     */\n    function getLanguages() {\n        return $.extend({}, _languages); // copy to prevent modification\n    }\n\n    /**\n     * Resolves a CodeMirror mode to a Language object.\n     * @param {!string} mode CodeMirror mode\n     * @return {Language} The language for the provided mode or the fallback language\n     */\n    function _getLanguageForMode(mode) {\n        var language = _modeToLanguageMap[mode];\n        if (language) {\n            return language;\n        }\n\n        // In case of unsupported languages\n        console.log("Called LanguageManager._getLanguageForMode with a mode for which no language has been registered:", mode);\n        return _fallbackLanguage;\n    }\n\n    /**\n     * @private\n     * Notify listeners when a language is added\n     * @param {!Language} language The new language\n     */\n    function _triggerLanguageAdded(language) {\n        // finally, store language to _language map\n        _languages[language.getId()] = language;\n        exports.trigger("languageAdded", language);\n    }\n\n    /**\n     * @private\n     * Notify listeners when a language is modified\n     * @param {!Language} language The modified language\n     */\n    function _triggerLanguageModified(language) {\n        exports.trigger("languageModified", language);\n    }\n\n    /**\n     * Adds a language mapping for the specified fullPath. If language is falsy (null or undefined), the mapping\n     * is removed. The override is NOT persisted across Brackets sessions.\n     *\n     * @param {!fullPath} fullPath absolute path of the file\n     * @param {?object} language language to associate the file with or falsy value to remove any existing override\n     */\n    function setLanguageOverrideForPath(fullPath, language) {\n        var oldLang = getLanguageForPath(fullPath);\n        if (!language) {\n            delete _filePathToLanguageMap[fullPath];\n        } else {\n            _filePathToLanguageMap[fullPath] = language;\n        }\n        var newLang = getLanguageForPath(fullPath);\n\n        // Old language changed since this path is no longer mapped to it\n        _triggerLanguageModified(oldLang);\n        // New language changed since a path is now mapped to it that wasn\'t before\n        _triggerLanguageModified(newLang);\n    }\n\n    /**\n     * Resets all the language overrides for file paths. Used by unit tests only.\n     */\n    function _resetPathLanguageOverrides() {\n        _filePathToLanguageMap = {};\n    }\n\n    /**\n     * Get the file extension (excluding ".") given a path OR a bare filename.\n     * Returns "" for names with no extension.\n     * If the only `.` in the file is the first character,\n     * returns "" as this is not considered an extension.\n     * This method considers known extensions which include `.` in them.\n     *\n     * @param {string} fullPath full path to a file or directory\n     * @return {string} Returns the extension of a filename or empty string if\n     * the argument is a directory or a filename with no extension\n     */\n    function getCompoundFileExtension(fullPath) {\n        var baseName = FileUtils.getBaseName(fullPath),\n            parts = baseName.split(".");\n\n        // get rid of file name\n        parts.shift();\n        if (baseName[0] === ".") {\n            // if starts with a `.`, then still consider it as file name\n            parts.shift();\n        }\n\n        var extension = [parts.pop()], // last part is always an extension\n            i = parts.length;\n        while (i--) {\n            if (getLanguageForExtension(parts[i])) {\n                extension.unshift(parts[i]);\n            } else {\n                break;\n            }\n        }\n        return extension.join(".");\n    }\n\n\n\n    /**\n     * Model for a language.\n     * @constructor\n     */\n    function Language() {\n        this._fileExtensions    = [];\n        this._fileNames         = [];\n        this._modeToLanguageMap = {};\n        this._lineCommentSyntax = [];\n    }\n\n\n    /**\n     * Identifier for this language\n     * @type {string}\n     */\n    Language.prototype._id = null;\n\n    /**\n     * Human-readable name of this language\n     * @type {string}\n     */\n    Language.prototype._name = null;\n\n    /**\n     * CodeMirror mode for this language\n     * @type {string}\n     */\n    Language.prototype._mode = null;\n\n    /**\n     * File extensions that use this language\n     * @type {Array.<string>}\n     */\n    Language.prototype._fileExtensions = null;\n\n    /**\n     * File names for extensionless files that use this language\n     * @type {Array.<string>}\n     */\n    Language.prototype._fileNames = null;\n\n    /**\n     * Line comment syntax\n     * @type {Array.<string>}\n     */\n    Language.prototype._lineCommentSyntax = null;\n\n    /**\n     * Which language to use for what CodeMirror mode\n     * @type {Object.<string,Language>}\n     */\n    Language.prototype._modeToLanguageMap = null;\n\n    /**\n     * Block comment syntax\n     * @type {{ prefix: string, suffix: string }}\n     */\n    Language.prototype._blockCommentSyntax = null;\n\n    /**\n     * Whether or not the language is binary\n     * @type {boolean}\n     */\n    Language.prototype._isBinary = false;\n\n    /**\n     * Returns the identifier for this language.\n     * @return {string} The identifier\n     */\n    Language.prototype.getId = function () {\n        return this._id;\n    };\n\n    /**\n     * Sets the identifier for this language or prints an error to the console.\n     * @param {!string} id Identifier for this language: lowercase letters, digits, and _ separators (e.g. "cpp", "foo_bar", "c99")\n     * @return {boolean} Whether the ID was valid and set or not\n     */\n    Language.prototype._setId = function (id) {\n        if (!_validateNonEmptyString(id, "Language ID")) {\n            return false;\n        }\n        // Make sure the ID is a string that can safely be used universally by the computer - as a file name, as an object key, as part of a URL, etc.\n        // Hence we use "_" instead of "." since the latter often has special meaning\n        if (!id.match(/^[a-z0-9]+(_[a-z0-9]+)*$/)) {\n            console.error("Invalid language ID \\"" + id + "\\": Only groups of lower case letters and numbers are allowed, separated by underscores.");\n            return false;\n        }\n\n        this._id = id;\n        return true;\n    };\n\n    /**\n     * Returns the human-readable name of this language.\n     * @return {string} The name\n     */\n    Language.prototype.getName = function () {\n        return this._name;\n    };\n\n    /**\n     * Sets the human-readable name of this language or prints an error to the console.\n     * @param {!string} name Human-readable name of the language, as it\'s commonly referred to (e.g. "C++")\n     * @return {boolean} Whether the name was valid and set or not\n     */\n    Language.prototype._setName = function (name) {\n        if (!_validateNonEmptyString(name, "name")) {\n            return false;\n        }\n\n        this._name = name;\n        return true;\n    };\n\n    /**\n     * Returns the CodeMirror mode for this language.\n     * @return {string} The mode\n     */\n    Language.prototype.getMode = function () {\n        return this._mode;\n    };\n\n    /**\n     * Loads a mode and sets it for this language.\n     *\n     * @param {(string|Array.<string>)} mode  CodeMirror mode (e.g. "htmlmixed"), optionally paired with a MIME mode defined by\n     *      that mode (e.g. ["clike", "text/x-c++src"]). Unless the mode is located in thirdparty/CodeMirror/mode/<name>/<name>.js,\n     *      you need to first load it yourself.\n     * @return {$.Promise} A promise object that will be resolved when the mode is loaded and set\n     */\n    Language.prototype._loadAndSetMode = function (mode) {\n        var result      = new $.Deferred(),\n            self        = this,\n            mimeMode; // Mode can be an array specifying a mode plus a MIME mode defined by that mode ["clike", "text/x-c++src"]\n\n        if (Array.isArray(mode)) {\n            if (mode.length !== 2) {\n                result.reject("Mode must either be a string or an array containing two strings");\n                return result.promise();\n            }\n            mimeMode = mode[1];\n            mode = mode[0];\n        }\n\n        // mode must not be empty. Use "null" (the string "null") mode for plain text\n        if (!_validateNonEmptyString(mode, "mode", result)) {\n            result.reject();\n            return result.promise();\n        }\n\n        var finish = function () {\n            if (!CodeMirror.modes[mode]) {\n                result.reject("CodeMirror mode \\"" + mode + "\\" is not loaded");\n                return;\n            }\n\n            if (mimeMode) {\n                var modeConfig = CodeMirror.mimeModes[mimeMode];\n\n                if (!modeConfig) {\n                    result.reject("CodeMirror MIME mode \\"" + mimeMode + "\\" not found");\n                    return;\n                }\n            }\n\n            // This mode is now only about what to tell CodeMirror\n            // The base mode was only necessary to load the proper mode file\n            self._mode = mimeMode || mode;\n            self._wasModified();\n\n            result.resolve(self);\n        };\n\n        if (CodeMirror.modes[mode]) {\n            finish();\n        } else {\n            require(["thirdparty/CodeMirror/mode/" + mode + "/" + mode], finish);\n        }\n\n        return result.promise();\n    };\n\n    /**\n     * Returns an array of file extensions for this language.\n     * @return {Array.<string>} File extensions used by this language\n     */\n    Language.prototype.getFileExtensions = function () {\n        // Use concat to create a copy of this array, preventing external modification\n        return this._fileExtensions.concat();\n    };\n\n    /**\n     * Returns an array of file names for extensionless files that use this language.\n     * @return {Array.<string>} Extensionless file names used by this language\n     */\n    Language.prototype.getFileNames = function () {\n        // Use concat to create a copy of this array, preventing external modification\n        return this._fileNames.concat();\n    };\n\n    /**\n     * Adds one or more file extensions to this language.\n     * @param {!string|Array.<string>} extension A file extension (or array thereof) used by this language\n     */\n    Language.prototype.addFileExtension = function (extension) {\n        if (Array.isArray(extension)) {\n            extension.forEach(this._addFileExtension.bind(this));\n        } else {\n            this._addFileExtension(extension);\n        }\n    };\n    Language.prototype._addFileExtension = function (extension) {\n        // Remove a leading dot if present\n        if (extension.charAt(0) === ".") {\n            extension = extension.substr(1);\n        }\n\n        // Make checks below case-INsensitive\n        extension = extension.toLowerCase();\n\n        if (this._fileExtensions.indexOf(extension) === -1) {\n            this._fileExtensions.push(extension);\n\n            var language = _fileExtensionToLanguageMap[extension];\n            if (language) {\n                console.warn("Cannot register file extension \\"" + extension + "\\" for " + this._name + ", it already belongs to " + language._name);\n            } else {\n                _fileExtensionToLanguageMap[extension] = this;\n            }\n\n            this._wasModified();\n        } else if(!_fileExtensionToLanguageMap[extension]) {\n            \n            // Language should be in the extension map but isn\'t\n            _fileExtensionToLanguageMap[extension] = this;\n            this._wasModified();\n        }\n    };\n\n    /**\n     * Unregisters one or more file extensions from this language.\n     * @param {!string|Array.<string>} extension File extension (or array thereof) to stop using for this language\n     */\n    Language.prototype.removeFileExtension = function (extension) {\n        if (Array.isArray(extension)) {\n            extension.forEach(this._removeFileExtension.bind(this));\n        } else {\n            this._removeFileExtension(extension);\n        }\n    };\n    Language.prototype._removeFileExtension = function (extension) {\n        // Remove a leading dot if present\n        if (extension.charAt(0) === ".") {\n            extension = extension.substr(1);\n        }\n\n        // Make checks below case-INsensitive\n        extension = extension.toLowerCase();\n\n        var index = this._fileExtensions.indexOf(extension);\n        if (index !== -1) {\n            this._fileExtensions.splice(index, 1);\n\n            delete _fileExtensionToLanguageMap[extension];\n\n            this._wasModified();\n        }\n    };\n\n    /**\n     * Adds one or more file names to the language which is used to match files that don\'t have extensions like "Makefile" for example.\n     * @param {!string|Array.<string>} extension An extensionless file name (or array thereof) used by this language\n     */\n    Language.prototype.addFileName = function (name) {\n        if (Array.isArray(name)) {\n            name.forEach(this._addFileName.bind(this));\n        } else {\n            this._addFileName(name);\n        }\n    };\n    Language.prototype._addFileName = function (name) {\n        // Make checks below case-INsensitive\n        name = name.toLowerCase();\n\n        if (this._fileNames.indexOf(name) === -1) {\n            this._fileNames.push(name);\n\n            var language = _fileNameToLanguageMap[name];\n            if (language) {\n                console.warn("Cannot register file name \\"" + name + "\\" for " + this._name + ", it already belongs to " + language._name);\n            } else {\n                _fileNameToLanguageMap[name] = this;\n            }\n\n            this._wasModified();\n        }\n    };\n\n    /**\n     * Unregisters one or more file names from this language.\n     * @param {!string|Array.<string>} extension An extensionless file name (or array thereof) used by this language\n     */\n    Language.prototype.removeFileName = function (name) {\n        if (Array.isArray(name)) {\n            name.forEach(this._removeFileName.bind(this));\n        } else {\n            this._removeFileName(name);\n        }\n    };\n    Language.prototype._removeFileName = function (name) {\n        // Make checks below case-INsensitive\n        name = name.toLowerCase();\n\n        var index = this._fileNames.indexOf(name);\n        if (index !== -1) {\n            this._fileNames.splice(index, 1);\n\n            delete _fileNameToLanguageMap[name];\n\n            this._wasModified();\n        }\n    };\n\n    /**\n     * Returns whether the line comment syntax is defined for this language.\n     * @return {boolean} Whether line comments are supported\n     */\n    Language.prototype.hasLineCommentSyntax = function () {\n        return this._lineCommentSyntax.length > 0;\n    };\n\n    /**\n     * Returns an array of prefixes to use for line comments.\n     * @return {Array.<string>} The prefixes\n     */\n    Language.prototype.getLineCommentPrefixes = function () {\n        return this._lineCommentSyntax;\n    };\n\n    /**\n     * Sets the prefixes to use for line comments in this language or prints an error to the console.\n     * @param {!(string|Array.<string>)} prefix Prefix string or an array of prefix strings\n     *   to use for line comments (e.g. "//" or ["//", "#"])\n     * @return {boolean} Whether the syntax was valid and set or not\n     */\n    Language.prototype.setLineCommentSyntax = function (prefix) {\n        var prefixes = Array.isArray(prefix) ? prefix : [prefix];\n        var i;\n\n        if (prefixes.length) {\n            this._lineCommentSyntax = [];\n            for (i = 0; i < prefixes.length; i++) {\n                _validateNonEmptyString(String(prefixes[i]), Array.isArray(prefix) ? "prefix[" + i + "]" : "prefix");\n\n                this._lineCommentSyntax.push(prefixes[i]);\n            }\n            this._wasModified();\n        } else {\n            console.error("The prefix array should not be empty");\n        }\n\n        return true;\n    };\n\n    /**\n     * Returns whether the block comment syntax is defined for this language.\n     * @return {boolean} Whether block comments are supported\n     */\n    Language.prototype.hasBlockCommentSyntax = function () {\n        return Boolean(this._blockCommentSyntax);\n    };\n\n    /**\n     * Returns the prefix to use for block comments.\n     * @return {string} The prefix\n     */\n    Language.prototype.getBlockCommentPrefix = function () {\n        return this._blockCommentSyntax && this._blockCommentSyntax.prefix;\n    };\n\n    /**\n     * Returns the suffix to use for block comments.\n     * @return {string} The suffix\n     */\n    Language.prototype.getBlockCommentSuffix = function () {\n        return this._blockCommentSyntax && this._blockCommentSyntax.suffix;\n    };\n\n    /**\n     * Sets the prefix and suffix to use for blocks comments in this language or prints an error to the console.\n     * @param {!string} prefix Prefix string to use for block comments (e.g. "<!--")\n     * @param {!string} suffix Suffix string to use for block comments (e.g. "-->")\n     * @return {boolean} Whether the syntax was valid and set or not\n     */\n    Language.prototype.setBlockCommentSyntax = function (prefix, suffix) {\n        if (!_validateNonEmptyString(prefix, "prefix") || !_validateNonEmptyString(suffix, "suffix")) {\n            return false;\n        }\n\n        this._blockCommentSyntax = { prefix: prefix, suffix: suffix };\n        this._wasModified();\n\n        return true;\n    };\n\n    /**\n     * Returns either a language associated with the mode or the fallback language.\n     * Used to disambiguate modes used by multiple languages.\n     * @param {!string} mode The mode to associate the language with\n     * @return {Language} This language if it uses the mode, or whatever {@link #_getLanguageForMode} returns\n     */\n    Language.prototype.getLanguageForMode = function (mode) {\n        if (mode === this._mode) {\n            return this;\n        }\n        return this._modeToLanguageMap[mode] || _getLanguageForMode(mode);\n    };\n\n    /**\n     * Overrides a mode-to-language association for this particular language only or prints an error to the console.\n     * Used to disambiguate modes used by multiple languages.\n     * @param {!string} mode The mode to associate the language with\n     * @param {!Language} language The language to associate with the mode\n     * @return {boolean} Whether the mode-to-language association was valid and set or not\n     * @private\n     */\n    Language.prototype._setLanguageForMode = function (mode, language) {\n        if (mode === this._mode && language !== this) {\n            console.error("A language must always map its mode to itself");\n            return false;\n        }\n\n        this._modeToLanguageMap[mode] = language;\n        this._wasModified();\n\n        return true;\n    };\n\n    /**\n     * Determines whether this is the fallback language or not\n     * @return {boolean} True if this is the fallback language, false otherwise\n     */\n    Language.prototype.isFallbackLanguage = function () {\n        return this === _fallbackLanguage;\n    };\n\n    /**\n     * Trigger the "languageModified" event if this language is registered already\n     * @see #_triggerLanguageModified\n     * @private\n     */\n    Language.prototype._wasModified = function () {\n        if (_languages[this._id]) {\n            _triggerLanguageModified(this);\n        }\n    };\n\n    /**\n     * Indicates whether or not the language is binary (e.g., image or audio).\n     * @return {boolean}\n     */\n    Language.prototype.isBinary = function () {\n        return this._isBinary;\n    };\n\n    /**\n     * Sets whether or not the language is binary\n     * @param {!boolean} isBinary\n     */\n    Language.prototype._setBinary = function (isBinary) {\n        this._isBinary = isBinary;\n    };\n\n    /**\n     * Defines a language.\n     *\n     * @param {!string}               id                        Unique identifier for this language: lowercase letters, digits, and _ separators (e.g. "cpp", "foo_bar", "c99")\n     * @param {!Object}               definition                An object describing the language\n     * @param {!string}               definition.name           Human-readable name of the language, as it\'s commonly referred to (e.g. "C++")\n     * @param {Array.<string>}        definition.fileExtensions List of file extensions used by this language (e.g. ["php", "php3"] or ["coffee.md"] - may contain dots)\n     * @param {Array.<string>}        definition.fileNames      List of exact file names (e.g. ["Makefile"] or ["package.json]). Higher precedence than file extension.\n     * @param {Array.<string>}        definition.blockComment   Array with two entries defining the block comment prefix and suffix (e.g. ["<!--", "-->"])\n     * @param {(string|Array.<string>)} definition.lineComment  Line comment prefixes (e.g. "//" or ["//", "#"])\n     * @param {(string|Array.<string>)} definition.mode         CodeMirror mode (e.g. "htmlmixed"), optionally with a MIME mode defined by that mode ["clike", "text/x-c++src"]\n     *                                                          Unless the mode is located in thirdparty/CodeMirror/mode/<name>/<name>.js, you need to first load it yourself.\n     *\n     * @return {$.Promise} A promise object that will be resolved with a Language object\n     **/\n    function defineLanguage(id, definition) {\n        var result = new $.Deferred();\n\n        if (_pendingLanguages[id]) {\n            result.reject("Language \\"" + id + "\\" is waiting to be resolved.");\n            return result.promise();\n        }\n        if (_languages[id]) {\n            result.reject("Language \\"" + id + "\\" is already defined");\n            return result.promise();\n        }\n\n        var language       = new Language(),\n            name           = definition.name,\n            fileExtensions = definition.fileExtensions,\n            fileNames      = definition.fileNames,\n            blockComment   = definition.blockComment,\n            lineComment    = definition.lineComment,\n            i,\n            l;\n\n        function _finishRegisteringLanguage() {\n            if (fileExtensions) {\n                for (i = 0, l = fileExtensions.length; i < l; i++) {\n                    language.addFileExtension(fileExtensions[i]);\n                }\n            }\n            // register language file names after mode has loaded\n            if (fileNames) {\n                for (i = 0, l = fileNames.length; i < l; i++) {\n                    language.addFileName(fileNames[i]);\n                }\n            }\n\n            language._setBinary(!!definition.isBinary);\n\n            // store language to language map\n            _languages[language.getId()] = language;\n\n            // restore any preferences for non-default languages\n            if(PreferencesManager) {\n                _updateFromPrefs(_EXTENSION_MAP_PREF);\n                _updateFromPrefs(_NAME_MAP_PREF);\n            }\n        }\n\n        if (!language._setId(id) || !language._setName(name) ||\n                (blockComment && !language.setBlockCommentSyntax(blockComment[0], blockComment[1])) ||\n                (lineComment && !language.setLineCommentSyntax(lineComment))) {\n            result.reject();\n            return result.promise();\n        }\n\n\n        if (definition.isBinary) {\n            // add file extensions and store language to language map\n            _finishRegisteringLanguage();\n\n            result.resolve(language);\n            // Not notifying DocumentManager via event LanguageAdded, because DocumentManager\n            // does not care about binary files.\n        } else {\n            // track languages that are currently loading\n            _pendingLanguages[id] = language;\n\n            language._loadAndSetMode(definition.mode).done(function () {\n\n                // globally associate mode to language\n                _setLanguageForMode(language.getMode(), language);\n\n                // add file extensions and store language to language map\n                _finishRegisteringLanguage();\n\n                // fire an event to notify DocumentManager of the new language\n                _triggerLanguageAdded(language);\n\n                result.resolve(language);\n            }).fail(function (error) {\n                console.error(error);\n                result.reject(error);\n            }).always(function () {\n                // delete from pending languages after success and failure\n                delete _pendingLanguages[id];\n            });\n        }\n\n        return result.promise();\n    }\n\n    /**\n     * @private\n     *\n     * If a default file extension or name was overridden by a pref, restore it.\n     *\n     * @param {string} name Extension or filename that should be restored\n     * @param {{overridden: string, add: string}} prefState object for the pref that is currently being updated\n     */\n    function _restoreOverriddenDefault(name, state) {\n        if (state.overridden[name]) {\n            var language = getLanguage(state.overridden[name]);\n            language[state.add](name);\n            delete state.overridden[name];\n        }\n    }\n\n    /**\n     * @private\n     *\n     * Updates extension and filename mappings from languages based on the current preferences values.\n     *\n     * The preferences look like this in a prefs file:\n     *\n     * Map *.foo to javascript, *.vm to html\n     *\n     *     "language.fileExtensions": {\n     *         "foo": "javascript",\n     *         "vm": "html"\n     *     }\n     *\n     * Map "Gemfile" to ruby:\n     *\n     *     "language.fileNames": {\n     *         "Gemfile": "ruby"\n     *     }\n     */\n    function _updateFromPrefs(pref) {\n        var newMapping = PreferencesManager.get(pref),\n            newNames = Object.keys(newMapping),\n            state = _prefState[pref],\n            last = state.last,\n            overridden = state.overridden;\n\n        // Look for added and changed names (extensions or filenames)\n        newNames.forEach(function (name) {\n            var language;\n            if (newMapping[name] !== last[name]) {\n                if (last[name]) {\n                    language = getLanguage(last[name]);\n                    if (language) {\n                        language[state.remove](name);\n\n                        // If this name that was previously mapped was overriding a default\n                        // restore it now.\n                        _restoreOverriddenDefault(name, state);\n                    }\n                }\n\n                language = exports[state.get](name);\n                if (language) {\n                    language[state.remove](name);\n\n                    // We\'re removing a name that was defined in Brackets or an extension,\n                    // so keep track of how it used to be mapped.\n                    if (!overridden[name]) {\n                        overridden[name] = language.getId();\n                    }\n                }\n                language = getLanguage(newMapping[name]);\n                if (language) {\n                    language[state.add](name);\n                }\n            }\n            if(!getLanguage(newMapping[name])) {\n                \n                // If the language doesn\'t exist, restore any overrides and remove it\n                // from the state.\n                if(overridden[name]) {\n                    _restoreOverriddenDefault(name, state);\n                }\n                delete newMapping[name];\n            }\n        });\n\n        // Look for removed names (extensions or filenames)\n        _.difference(Object.keys(last), newNames).forEach(function (name) {\n            var language = getLanguage(last[name]);\n            if (language) {\n                language[state.remove](name);\n                _restoreOverriddenDefault(name, state);\n            }\n        });\n        state.last = newMapping;\n    }\n\n\n    EventDispatcher.makeEventDispatcher(exports);\n\n    // Prevent modes from being overwritten by extensions\n    _patchCodeMirror();\n\n    // Define a custom MIME mode here instead of putting it directly into languages.json\n    // because JSON files can\'t contain regular expressions. Also, all other modes so\n    // far were strings, so we spare us the trouble of allowing more complex mode values.\n    CodeMirror.defineMIME("text/x-brackets-html", {\n        "name": "htmlmixed",\n        "scriptTypes": [\n            {\n                "matches": /\\/x-handlebars|\\/x-mustache|\\/ng-template$|^text\\/html$/i,\n                "mode": "htmlmixed"\n            },\n            {\n                "matches": /^text\\/(babel|jsx)$/i,\n                "mode": "jsx"\n            }\n        ]\n    });\n\n    // Define SVG MIME type so an SVG language can be defined for SVG-specific code hints.\n    // Currently, SVG uses XML mode so it has generic XML syntax highlighting. This can\n    // be removed when SVG gets its own CodeMirror mode with SVG syntax highlighting.\n    CodeMirror.defineMIME("image/svg+xml", "xml");\n\n    // Load the default languages\n    _defaultLanguagesJSON = JSON.parse(_defaultLanguagesJSON);\n    _ready = Async.doInParallel(Object.keys(_defaultLanguagesJSON), function (key) {\n        return defineLanguage(key, _defaultLanguagesJSON[key]);\n    }, false);\n\n    // Get the object for HTML\n    _ready.always(function () {\n        var html = getLanguage("html");\n\n        // The htmlmixed mode uses the xml mode internally for the HTML parts, so we map it to HTML\n        html._setLanguageForMode("xml", html);\n\n        // Currently we override the above mentioned "xml" in TokenUtils.getModeAt, instead returning "html".\n        // When the CSSInlineEditor and the hint providers are no longer based on modes, this can be changed.\n        // But for now, we need to associate this madeup "html" mode with our HTML language object.\n        _setLanguageForMode("html", html);\n\n        // Similarly, the php mode uses clike internally for the PHP parts\n        var php = getLanguage("php");\n        php._setLanguageForMode("clike", php);\n\n        // Similar hack to the above for dealing with SCSS/CSS.\n        var scss = getLanguage("scss");\n        scss._setLanguageForMode("css", scss);\n\n        // The fallback language for unknown modes and file extensions\n        _fallbackLanguage = getLanguage("unknown");\n\n        // There is a circular dependency between FileUtils and LanguageManager which\n        // was introduced in 254b01e2f2eebea4416026d0f40d017b8ca6dbc9\n        // and may be preventing us from importing PreferencesManager (which also\n        // depends on FileUtils) here. Using the async form of require fixes this.\n        require(["preferences/PreferencesManager"], function (pm) {\n            PreferencesManager = pm;\n            pm.definePreference(_EXTENSION_MAP_PREF, "object", {}, {\n                description: Strings.DESCRIPTION_LANGUAGE_FILE_EXTENSIONS\n            }).on("change", function () {\n                _updateFromPrefs(_EXTENSION_MAP_PREF);\n            });\n            pm.definePreference(_NAME_MAP_PREF, "object", {}, {\n                description: Strings.DESCRIPTION_LANGUAGE_FILE_NAMES\n            }).on("change", function () {\n                _updateFromPrefs(_NAME_MAP_PREF);\n            });\n            _updateFromPrefs(_EXTENSION_MAP_PREF);\n            _updateFromPrefs(_NAME_MAP_PREF);\n        });\n    });\n\n    // Private for unit tests\n    exports._EXTENSION_MAP_PREF         = _EXTENSION_MAP_PREF;\n    exports._NAME_MAP_PREF              = _NAME_MAP_PREF;\n    exports._resetPathLanguageOverrides = _resetPathLanguageOverrides;\n\n    // Public methods\n    exports.ready                       = _ready;\n    exports.defineLanguage              = defineLanguage;\n    exports.getLanguage                 = getLanguage;\n    exports.getLanguageForExtension     = getLanguageForExtension;\n    exports.getLanguageForPath          = getLanguageForPath;\n    exports.getLanguages                = getLanguages;\n    exports.setLanguageOverrideForPath  = setLanguageOverrideForPath;\n    exports.getCompoundFileExtension    = getCompoundFileExtension;\n});\n\n//# sourceURL=/language/LanguageManager.js'),
eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'widgets/DefaultDialogs\',[\'require\',\'exports\',\'module\'],function (require, exports, module) {\n    "use strict";\n\n    /**\n     * List of constants for the default dialogs IDs.\n     */\n    exports.DIALOG_ID_ERROR             = "error-dialog";\n    exports.DIALOG_ID_INFO              = "error-dialog"; // uses the same template for now--could be different in future\n    exports.DIALOG_ID_SAVE_CLOSE        = "save-close-dialog";\n    exports.DIALOG_ID_EXT_CHANGED       = "ext-changed-dialog";\n    exports.DIALOG_ID_EXT_DELETED       = "ext-deleted-dialog";\n    exports.DIALOG_ID_LIVE_DEVELOPMENT  = "live-development-error-dialog";\n    exports.DIALOG_ID_CHANGE_EXTENSIONS = "change-marked-extensions";\n});\n\n//# sourceURL=/widgets/DefaultDialogs.js'),eval("/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the \"Software\"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine('filesystem/WatchedRoot',['require','exports','module'],function (require, exports, module) {\n    \"use strict\";\n\n    /*\n     * Represents file or directory structure watched by the FileSystem. If the\n     * entry is a directory, all children (that pass the supplied filter function)\n     * are also watched. A WatchedRoot object begins and ends its life in the\n     * INACTIVE state. While in the process of starting up watchers, the WatchedRoot\n     * is in the STARTING state. When watchers are ready, the WatchedRoot enters\n     * the ACTIVE state.\n     *\n     * See the FileSystem class for more details.\n     *\n     * @constructor\n     * @param {File|Directory} entry\n     * @param {function(string, string):boolean} filter\n     * @param {Array<string>} filterGlobs\n     */\n    function WatchedRoot(entry, filter, filterGlobs) {\n        this.entry = entry;\n        this.filter = filter;\n        this.filterGlobs = filterGlobs;\n    }\n\n    // Status constants\n    WatchedRoot.INACTIVE = 0;\n    WatchedRoot.STARTING = 1;\n    WatchedRoot.ACTIVE = 2;\n\n    /**\n     * @type {File|Directory}\n     */\n    WatchedRoot.prototype.entry = null;\n\n    /**\n     * @type {function(string, string):boolean}\n     */\n    WatchedRoot.prototype.filter = null;\n\n    /**\n     * @type {Array<string>}\n     */\n    WatchedRoot.prototype.filterGlobs = null;\n\n    /**\n     * @type {number}\n     */\n    WatchedRoot.prototype.status = WatchedRoot.INACTIVE;\n\n\n    // Export this class\n    module.exports = WatchedRoot;\n});\n\n//# sourceURL=/filesystem/WatchedRoot.js"),eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*\n * To ensure cache coherence, current and future asynchronous state-changing\n * operations of FileSystemEntry and its subclasses should implement the\n * following high-level sequence of steps:\n *\n * 1. Block external filesystem change events;\n * 2. Execute the low-level state-changing operation;\n * 3. Update the internal filesystem state, including caches;\n * 4. Apply the callback;\n * 5. Fire an appropriate internal change notification; and\n * 6. Unblock external change events.\n *\n * Note that because internal filesystem state is updated first, both the original\n * caller and the change notification listeners observe filesystem state that is\n * current w.r.t. the operation. Furthermore, because external change events are\n * blocked before the operation begins, listeners will only receive the internal\n * change event for the operation and not additional (or possibly inconsistent)\n * external change events.\n *\n * State-changing operations that block external filesystem change events must\n * take care to always subsequently unblock the external change events in all\n * control paths. It is safe to assume, however, that the underlying impl will\n * always apply the callback with some value.\n\n * Caches should be conservative. Consequently, the entry\'s cached data should\n * always be cleared if the underlying impl\'s operation fails. This is the case\n * event for read-only operations because an unexpected failure implies that the\n * system is in an unknown state. The entry should communicate this by failing\n * where appropriate, and should not use the cache to hide failure.\n *\n * Only watched entries should make use of cached data because change events are\n * only expected for such entries, and change events are used to granularly\n * invalidate out-of-date caches.\n *\n * By convention, callbacks are optional for asynchronous, state-changing\n * operations, but required for read-only operations. The first argument to the\n * callback should always be a nullable error string from FileSystemError.\n */\ndefine(\'filesystem/FileSystemEntry\',[\'require\',\'exports\',\'module\',\'filesystem/FileSystemError\',\'filesystem/WatchedRoot\'],function (require, exports, module) {\n    "use strict";\n\n    var FileSystemError = require("filesystem/FileSystemError"),\n        WatchedRoot     = require("filesystem/WatchedRoot");\n\n    var VISIT_DEFAULT_MAX_DEPTH = 100,\n        VISIT_DEFAULT_MAX_ENTRIES = 30000;\n\n    /* Counter to give every entry a unique id */\n    var nextId = 0;\n\n    /**\n     * Model for a file system entry. This is the base class for File and Directory,\n     * and is never used directly.\n     *\n     * See the File, Directory, and FileSystem classes for more details.\n     *\n     * @constructor\n     * @param {string} path The path for this entry.\n     * @param {FileSystem} fileSystem The file system associated with this entry.\n     */\n    function FileSystemEntry(path, fileSystem) {\n        this._setPath(path);\n        this._fileSystem = fileSystem;\n        this._id = nextId++;\n    }\n\n    // Add "fullPath", "name", "parent", "id", "isFile" and "isDirectory" getters\n    Object.defineProperties(FileSystemEntry.prototype, {\n        "fullPath": {\n            get: function () { return this._path; },\n            set: function () { throw new Error("Cannot set fullPath"); }\n        },\n        "name": {\n            get: function () { return this._name; },\n            set: function () { throw new Error("Cannot set name"); }\n        },\n        "parentPath": {\n            get: function () { return this._parentPath; },\n            set: function () { throw new Error("Cannot set parentPath"); }\n        },\n        "id": {\n            get: function () { return this._id; },\n            set: function () { throw new Error("Cannot set id"); }\n        },\n        "isFile": {\n            get: function () { return this._isFile; },\n            set: function () { throw new Error("Cannot set isFile"); }\n        },\n        "isDirectory": {\n            get: function () { return this._isDirectory; },\n            set: function () { throw new Error("Cannot set isDirectory"); }\n        },\n        "_impl": {\n            get: function () { return this._fileSystem._impl; },\n            set: function () { throw new Error("Cannot set _impl"); }\n        }\n    });\n\n    /**\n     * Cached stat object for this file.\n     * @type {?FileSystemStats}\n     */\n    FileSystemEntry.prototype._stat = null;\n\n    /**\n     * Parent file system.\n     * @type {!FileSystem}\n     */\n    FileSystemEntry.prototype._fileSystem = null;\n\n    /**\n     * The path of this entry.\n     * @type {string}\n     */\n    FileSystemEntry.prototype._path = null;\n\n    /**\n     * The name of this entry.\n     * @type {string}\n     */\n    FileSystemEntry.prototype._name = null;\n\n    /**\n     * The parent of this entry.\n     * @type {string}\n     */\n    FileSystemEntry.prototype._parentPath = null;\n\n    /**\n     * Whether or not the entry is a file\n     * @type {boolean}\n     */\n    FileSystemEntry.prototype._isFile = false;\n\n    /**\n     * Whether or not the entry is a directory\n     * @type {boolean}\n     */\n    FileSystemEntry.prototype._isDirectory = false;\n\n    /**\n     * Cached copy of this entry\'s watched root\n     * @type {entry: File|Directory, filter: function(FileSystemEntry):boolean, active: boolean}\n     */\n    FileSystemEntry.prototype._watchedRoot = undefined;\n\n    /**\n     * Cached result of _watchedRoot.filter(this.name, this.parentPath).\n     * @type {boolean}\n     */\n    FileSystemEntry.prototype._watchedRootFilterResult = undefined;\n\n    /**\n     * Determines whether or not the entry is watched.\n     * @param {boolean=} relaxed If falsey, the method will only return true if\n     *      the watched root is fully active. If true, the method will return\n     *      true if the watched root is either starting up or fully active.\n     * @return {boolean}\n     */\n    FileSystemEntry.prototype._isWatched = function (relaxed) {\n        var watchedRoot = this._watchedRoot,\n            filterResult = this._watchedRootFilterResult;\n\n        if (!watchedRoot) {\n            watchedRoot = this._fileSystem._findWatchedRootForPath(this._path);\n\n            if (watchedRoot) {\n                this._watchedRoot = watchedRoot;\n                if (watchedRoot.entry !== this) { // avoid creating entries for root\'s parent\n                    var parentEntry = this._fileSystem.getDirectoryForPath(this._parentPath);\n                    if (parentEntry._isWatched() === false) {\n                        filterResult = false;\n                    } else {\n                        filterResult = watchedRoot.filter(this._name, this._parentPath);\n                    }\n                } else { // root itself is watched\n                    filterResult = true;\n                }\n                this._watchedRootFilterResult = filterResult;\n            }\n        }\n\n        if (watchedRoot) {\n            if (watchedRoot.status === WatchedRoot.ACTIVE ||\n                    (relaxed && watchedRoot.status === WatchedRoot.STARTING)) {\n                return filterResult;\n            } else {\n                // We had a watched root, but it\'s no longer active, so it must now be invalid.\n                this._watchedRoot = undefined;\n                this._watchedRootFilterResult = false;\n                this._clearCachedData();\n            }\n        }\n        return false;\n    };\n\n    /**\n     * Update the path for this entry\n     * @private\n     * @param {String} newPath\n     */\n    FileSystemEntry.prototype._setPath = function (newPath) {\n        var parts = newPath.split("/");\n        if (this.isDirectory) {\n            parts.pop(); // Remove the empty string after last trailing "/"\n        }\n        this._name = parts[parts.length - 1];\n        parts.pop(); // Remove name\n\n        if (parts.length > 0) {\n            this._parentPath = parts.join("/") + "/";\n        } else {\n            // root directories have no parent path\n            this._parentPath = null;\n        }\n\n        this._path = newPath;\n\n        var watchedRoot = this._watchedRoot;\n        if (watchedRoot) {\n            if (newPath.indexOf(watchedRoot.entry.fullPath) === 0) {\n                // Update watchedRootFilterResult\n                this._watchedRootFilterResult = watchedRoot.filter(this._name, this._parentPath);\n            } else {\n                // The entry was moved outside of the watched root\n                this._watchedRoot = null;\n                this._watchedRootFilterResult = false;\n            }\n        }\n    };\n\n    /**\n     * Clear any cached data for this entry\n     * @private\n     */\n    FileSystemEntry.prototype._clearCachedData = function () {\n        this._stat = undefined;\n    };\n\n    /**\n     * Helpful toString for debugging purposes\n     */\n    FileSystemEntry.prototype.toString = function () {\n        return "[" + (this.isDirectory ? "Directory " : "File ") + this._path + "]";\n    };\n\n    /**\n     * Check to see if the entry exists on disk. Note that there will NOT be an\n     * error returned if the file does not exist on the disk; in that case the\n     * error parameter will be null and the boolean will be false. The error\n     * parameter will only be truthy when an unexpected error was encountered\n     * during the test, in which case the state of the entry should be considered\n     * unknown.\n     *\n     * @param {function (?string, boolean)} callback Callback with a FileSystemError\n     *      string or a boolean indicating whether or not the file exists.\n     */\n    FileSystemEntry.prototype.exists = function (callback) {\n        if (this._stat) {\n            callback(null, true);\n            return;\n        }\n\n        this._impl.exists(this._path, function (err, exists) {\n            if (err) {\n                this._clearCachedData();\n                callback(err);\n                return;\n            }\n\n            if (!exists) {\n                this._clearCachedData();\n            }\n\n            callback(null, exists);\n        }.bind(this));\n    };\n\n    /**\n     * Returns the stats for the entry.\n     *\n     * @param {function (?string, FileSystemStats=)} callback Callback with a\n     *      FileSystemError string or FileSystemStats object.\n     */\n    FileSystemEntry.prototype.stat = function (callback) {\n        if (this._stat) {\n            callback(null, this._stat);\n            return;\n        }\n\n        this._impl.stat(this._path, function (err, stat) {\n            if (err) {\n                this._clearCachedData();\n                callback(err);\n                return;\n            }\n\n            if (this._isWatched()) {\n                this._stat = stat;\n            }\n\n            callback(null, stat);\n        }.bind(this));\n    };\n\n    /**\n     * Rename this entry.\n     *\n     * @param {string} newFullPath New path & name for this entry.\n     * @param {function (?string)=} callback Callback with a single FileSystemError\n     *      string parameter.\n     */\n    FileSystemEntry.prototype.rename = function (newFullPath, callback) {\n        callback = callback || function () {};\n\n        // Block external change events until after the write has finished\n        this._fileSystem._beginChange();\n\n        this._impl.rename(this._path, newFullPath, function (err) {\n            var oldFullPath = this._path;\n\n            try {\n                if (err) {\n                    this._clearCachedData();\n                    callback(err);\n                    return;\n                }\n\n                // Update internal filesystem state\n                this._fileSystem._handleRename(this._path, newFullPath, this.isDirectory);\n\n                try {\n                    // Notify the caller\n                    callback(null);\n                } finally {\n                    // Notify rename listeners\n                    this._fileSystem._fireRenameEvent(oldFullPath, newFullPath);\n                }\n            } finally {\n                // Unblock external change events\n                this._fileSystem._endChange();\n            }\n        }.bind(this));\n    };\n\n    /**\n     * Permanently delete this entry. For Directories, this will delete the directory\n     * and all of its contents. For reversible delete, see moveToTrash().\n     *\n     * @param {function (?string)=} callback Callback with a single FileSystemError\n     *      string parameter.\n     */\n    FileSystemEntry.prototype.unlink = function (callback) {\n        callback = callback || function () {};\n\n        // Block external change events until after the write has finished\n        this._fileSystem._beginChange();\n\n        this._clearCachedData();\n        this._impl.unlink(this._path, function (err) {\n            var parent = this._fileSystem.getDirectoryForPath(this.parentPath);\n\n            // Update internal filesystem state\n            this._fileSystem._handleDirectoryChange(parent, function (added, removed) {\n                try {\n                    // Notify the caller\n                    callback(err);\n                } finally {\n                    if (parent._isWatched()) {\n                        // Notify change listeners\n                        this._fileSystem._fireChangeEvent(parent, added, removed);\n                    }\n\n                    // Unblock external change events\n                    this._fileSystem._endChange();\n                }\n            }.bind(this));\n        }.bind(this));\n    };\n\n    /**\n     * Move this entry to the trash. If the underlying file system doesn\'t support move\n     * to trash, the item is permanently deleted.\n     *\n     * @param {function (?string)=} callback Callback with a single FileSystemError\n     *      string parameter.\n     */\n    FileSystemEntry.prototype.moveToTrash = function (callback) {\n        if (!this._impl.moveToTrash) {\n            this.unlink(callback);\n            return;\n        }\n\n        callback = callback || function () {};\n\n        // Block external change events until after the write has finished\n        this._fileSystem._beginChange();\n\n        this._clearCachedData();\n        this._impl.moveToTrash(this._path, function (err) {\n            var parent = this._fileSystem.getDirectoryForPath(this.parentPath);\n\n            // Update internal filesystem state\n            this._fileSystem._handleDirectoryChange(parent, function (added, removed) {\n                try {\n                    // Notify the caller\n                    callback(err);\n                } finally {\n                    if (parent._isWatched()) {\n                        // Notify change listeners\n                        this._fileSystem._fireChangeEvent(parent, added, removed);\n                    }\n\n                    // Unblock external change events\n                    this._fileSystem._endChange();\n                }\n            }.bind(this));\n        }.bind(this));\n    };\n\n    /**\n     * Private helper function for FileSystemEntry.visit that requires sanitized options.\n     *\n     * @private\n     * @param {FileSystemStats} stats - the stats for this entry\n     * @param {{string: boolean}} visitedPaths - the set of fullPaths that have already been visited\n     * @param {function(FileSystemEntry): boolean} visitor - A visitor function, which is\n     *      applied to descendent FileSystemEntry objects. If the function returns false for\n     *      a particular Directory entry, that directory\'s descendents will not be visited.\n     * @param {{maxDepth: number, maxEntriesCounter: {value: number}, sortList: boolean}} options\n     * @param {function(?string)=} callback Callback with single FileSystemError string parameter.\n     */\n    FileSystemEntry.prototype._visitHelper = function (stats, visitedPaths, visitor, options, callback) {\n        var maxDepth = options.maxDepth,\n            maxEntriesCounter = options.maxEntriesCounter,\n            sortList = options.sortList;\n\n        if (maxEntriesCounter.value-- <= 0 || maxDepth-- < 0) {\n            // The outer FileSystemEntry.visit call is responsible for applying\n            // the main callback to FileSystemError.TOO_MANY_FILES in this case\n            callback(null);\n            return;\n        }\n\n        if (this.isDirectory) {\n            var visitedPath = stats.realPath || this.fullPath;\n\n            if (visitedPaths.hasOwnProperty(visitedPath)) {\n                // Link cycle detected\n                callback(null);\n                return;\n            }\n\n            visitedPaths[visitedPath] = true;\n        }\n\n        if (!visitor(this) || this.isFile) {\n            callback(null);\n            return;\n        }\n\n        this.getContents(function (err, entries, entriesStats) {\n            if (err) {\n                callback(err);\n                return;\n            }\n\n            var counter = entries.length;\n            if (counter === 0) {\n                callback(null);\n                return;\n            }\n\n            function helperCallback(err) {\n                if (--counter === 0) {\n                    callback(null);\n                }\n            }\n\n            var nextOptions = {\n                maxDepth: maxDepth,\n                maxEntriesCounter: maxEntriesCounter,\n                sortList : sortList\n            };\n\n            //sort entries if required\n            function compareFilesWithIndices(index1, index2) {\n                return entries[index1]._name.toLocaleLowerCase().localeCompare(entries[index2]._name.toLocaleLowerCase());\n            }\n            if (sortList) {\n                var fileIndexes = [], i = 0;\n                for (i = 0; i < entries.length; i++) {\n                    fileIndexes[i] = i;\n                }\n                fileIndexes.sort(compareFilesWithIndices);\n                fileIndexes.forEach(function (fileIndex) {\n                    var stats = entriesStats[fileIndexes[fileIndex]];\n                    entries[fileIndexes[fileIndex]]._visitHelper(stats, visitedPaths, visitor, nextOptions, helperCallback);\n                });\n            } else {\n                entries.forEach(function (entry, index) {\n                    var stats = entriesStats[index];\n                    entry._visitHelper(stats, visitedPaths, visitor, nextOptions, helperCallback);\n                });\n            }\n        }.bind(this));\n    };\n\n    /**\n     * Visit this entry and its descendents with the supplied visitor function.\n     * Correctly handles symbolic link cycles and options can be provided to limit\n     * search depth and total number of entries visited. No particular traversal\n     * order is guaranteed; instead of relying on such an order, it is preferable\n     * to use the visit function to build a list of visited entries, sort those\n     * entries as desired, and then process them. Whenever possible, deep\n     * filesystem traversals should use this method.\n     *\n     * @param {function(FileSystemEntry): boolean} visitor - A visitor function, which is\n     *      applied to this entry and all descendent FileSystemEntry objects. If the function returns\n     *      false for a particular Directory entry, that directory\'s descendents will not be visited.\n     * @param {{maxDepth: number=, maxEntries: number=}=} options\n     * @param {function(?string)=} callback Callback with single FileSystemError string parameter.\n     */\n    FileSystemEntry.prototype.visit = function (visitor, options, callback) {\n        if (typeof options === "function") {\n            callback = options;\n            options = {};\n        } else {\n            if (options === undefined) {\n                options = {};\n            }\n\n            callback = callback || function () {};\n        }\n\n        if (options.maxDepth === undefined) {\n            options.maxDepth = VISIT_DEFAULT_MAX_DEPTH;\n        }\n\n        if (options.maxEntries === undefined) {\n            options.maxEntries = VISIT_DEFAULT_MAX_ENTRIES;\n        }\n\n        options.maxEntriesCounter = { value: options.maxEntries };\n\n        this.stat(function (err, stats) {\n            if (err) {\n                callback(err);\n                return;\n            }\n\n            this._visitHelper(stats, {}, visitor, options, function (err) {\n                if (callback) {\n                    if (err) {\n                        callback(err);\n                        return;\n                    }\n\n                    if (options.maxEntriesCounter.value < 0) {\n                        callback(FileSystemError.TOO_MANY_ENTRIES);\n                        return;\n                    }\n\n                    callback(null);\n                }\n            }.bind(this));\n        }.bind(this));\n    };\n\n    // Export this class\n    module.exports = FileSystemEntry;\n});\n\n//# sourceURL=/filesystem/FileSystemEntry.js'),eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'filesystem/Directory\',[\'require\',\'exports\',\'module\',\'filesystem/FileSystemEntry\'],function (require, exports, module) {\n    "use strict";\n\n    var FileSystemEntry = require("filesystem/FileSystemEntry");\n\n    /*\n     * Model for a file system Directory.\n     *\n     * This class should *not* be instantiated directly. Use FileSystem.getDirectoryForPath,\n     * FileSystem.resolve, or Directory.getContents to create an instance of this class.\n     *\n     * Note: Directory.fullPath always has a trailing slash.\n     *\n     * See the FileSystem class for more details.\n     *\n     * @constructor\n     * @param {!string} fullPath The full path for this Directory.\n     * @param {!FileSystem} fileSystem The file system associated with this Directory.\n     */\n    function Directory(fullPath, fileSystem) {\n        this._isDirectory = true;\n        FileSystemEntry.call(this, fullPath, fileSystem);\n    }\n\n    Directory.prototype = Object.create(FileSystemEntry.prototype);\n    Directory.prototype.constructor = Directory;\n    Directory.prototype.parentClass = FileSystemEntry.prototype;\n\n    /**\n     * The contents of this directory. This "private" property is used by FileSystem.\n     * @type {Array<FileSystemEntry>}\n     */\n    Directory.prototype._contents = null;\n\n    /**\n     * The stats for the contents of this directory, such that this._contentsStats[i]\n     * corresponds to this._contents[i].\n     * @type {Array.<FileSystemStats>}\n     */\n    Directory.prototype._contentsStats = null;\n\n    /**\n     * The stats errors for the contents of this directory.\n     * @type {object.<string: string>} fullPaths are mapped to FileSystemError strings\n     */\n    Directory.prototype._contentsStatsErrors = null;\n\n    /**\n     * Clear any cached data for this directory. By default, we clear the contents\n     * of immediate children as well, because in some cases file watchers fail\n     * provide precise change notifications. (Sometimes, like after a "git\n     * checkout", they just report that some directory has changed when in fact\n     * many of the file within the directory have changed.\n     *\n     * @private\n     * @param {boolean=} preserveImmediateChildren\n     */\n    Directory.prototype._clearCachedData = function (preserveImmediateChildren) {\n        FileSystemEntry.prototype._clearCachedData.apply(this);\n\n        if (!preserveImmediateChildren) {\n            if (this._contents) {\n                this._contents.forEach(function (child) {\n                    child._clearCachedData(true);\n                });\n            } else {\n                // No cached _contents, but child entries may still exist.\n                // Scan the full index to catch all of them.\n                var dirPath = this.fullPath;\n                this._fileSystem._index.visitAll(function (entry) {\n                    if (entry.parentPath === dirPath) {\n                        entry._clearCachedData(true);\n                    }\n                });\n            }\n        }\n\n        this._contents = undefined;\n        this._contentsStats = undefined;\n        this._contentsStatsErrors = undefined;\n    };\n\n    /**\n     * Apply each callback in a list to the provided arguments. Callbacks\n     * can throw without preventing other callbacks from being applied.\n     *\n     * @private\n     * @param {Array.<function>} callbacks The callbacks to apply\n     * @param {Array} args The arguments to which each callback is applied\n     */\n    function _applyAllCallbacks(callbacks, args) {\n        if (callbacks.length > 0) {\n            var callback = callbacks.pop();\n            try {\n                callback.apply(undefined, args);\n            } finally {\n                _applyAllCallbacks(callbacks, args);\n            }\n        }\n    }\n\n    /**\n     * Read the contents of a Directory. If this Directory is under a watch root,\n     * the listing will exclude any items filtered out by the watch root\'s filter\n     * function.\n     *\n     * @param {Directory} directory Directory whose contents you want to get\n     * @param {function (?string, Array.<FileSystemEntry>=, Array.<FileSystemStats>=, Object.<string, string>=)} callback\n     *          Callback that is passed an error code or the stat-able contents\n     *          of the directory along with the stats for these entries and a\n     *          fullPath-to-FileSystemError string map of unstat-able entries\n     *          and their stat errors. If there are no stat errors then the last\n     *          parameter shall remain undefined.\n     */\n    Directory.prototype.getContents = function (callback) {\n        if (this._contentsCallbacks) {\n            // There is already a pending call for this directory\'s contents.\n            // Push the new callback onto the stack and return.\n            this._contentsCallbacks.push(callback);\n            return;\n        }\n\n        // Return cached contents if the directory is watched\n        if (this._contents) {\n            callback(null, this._contents, this._contentsStats, this._contentsStatsErrors);\n            return;\n        }\n\n        this._contentsCallbacks = [callback];\n\n        this._impl.readdir(this.fullPath, function (err, names, stats) {\n            var contents = [],\n                contentsStats = [],\n                contentsStatsErrors;\n\n            if (err) {\n                this._clearCachedData();\n            } else {\n                // Use the "relaxed" parameter to _isWatched because it\'s OK to\n                // cache data even while watchers are still starting up\n                var watched = this._isWatched(true);\n\n                names.forEach(function (name, index) {\n                    var entryPath = this.fullPath + name;\n\n                    var entryStats = stats[index];\n                    if (this._fileSystem._indexFilter(entryPath, name, entryStats)) {\n                        var entry;\n\n                        // Note: not all entries necessarily have associated stats.\n                        if (typeof entryStats === "string") {\n                            // entryStats is an error string\n                            if (contentsStatsErrors === undefined) {\n                                contentsStatsErrors = {};\n                            }\n                            contentsStatsErrors[entryPath] = entryStats;\n                        } else {\n                            // entryStats is a FileSystemStats object\n                            if (entryStats.isFile) {\n                                entry = this._fileSystem.getFileForPath(entryPath);\n                            } else {\n                                entry = this._fileSystem.getDirectoryForPath(entryPath);\n                            }\n\n                            if (watched) {\n                                entry._stat = entryStats;\n                            }\n\n                            contents.push(entry);\n                            contentsStats.push(entryStats);\n                        }\n                    }\n                }, this);\n\n                if (watched) {\n                    this._contents = contents;\n                    this._contentsStats = contentsStats;\n                    this._contentsStatsErrors = contentsStatsErrors;\n                }\n            }\n\n            // Reset the callback list before we begin calling back so that\n            // synchronous reentrant calls are handled correctly.\n            var currentCallbacks = this._contentsCallbacks;\n\n            this._contentsCallbacks = null;\n\n            // Invoke all saved callbacks\n            var callbackArgs = [err, contents, contentsStats, contentsStatsErrors];\n            _applyAllCallbacks(currentCallbacks, callbackArgs);\n        }.bind(this));\n    };\n\n    /**\n     * Create a directory\n     *\n     * @param {function (?string, FileSystemStats=)=} callback Callback resolved with a\n     *      FileSystemError string or the stat object for the created directory.\n     */\n    Directory.prototype.create = function (callback) {\n        callback = callback || function () {};\n\n        // Block external change events until after the write has finished\n        this._fileSystem._beginChange();\n\n        this._impl.mkdir(this._path, function (err, stat) {\n            if (err) {\n                this._clearCachedData();\n                try {\n                    callback(err);\n                    return;\n                } finally {\n                    // Unblock external change events\n                    this._fileSystem._endChange();\n                }\n            }\n\n            var parent = this._fileSystem.getDirectoryForPath(this.parentPath);\n\n            // Update internal filesystem state\n            if (this._isWatched()) {\n                this._stat = stat;\n            }\n\n            this._fileSystem._handleDirectoryChange(parent, function (added, removed) {\n                try {\n                    callback(null, stat);\n                } finally {\n                    if (parent._isWatched()) {\n                        this._fileSystem._fireChangeEvent(parent, added, removed);\n                    }\n                    // Unblock external change events\n                    this._fileSystem._endChange();\n                }\n            }.bind(this));\n        }.bind(this));\n    };\n\n    // Export this class\n    module.exports = Directory;\n});\n\n//# sourceURL=/filesystem/Directory.js'),
eval("/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the \"Software\"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine('filesystem/File',['require','exports','module','filesystem/FileSystemEntry'],function (require, exports, module) {\n    \"use strict\";\n\n    var FileSystemEntry = require(\"filesystem/FileSystemEntry\");\n\n\n    /*\n     * Model for a File.\n     *\n     * This class should *not* be instantiated directly. Use FileSystem.getFileForPath,\n     * FileSystem.resolve, or Directory.getContents to create an instance of this class.\n     *\n     * See the FileSystem class for more details.\n     *\n     * @constructor\n     * @param {!string} fullPath The full path for this File.\n     * @param {!FileSystem} fileSystem The file system associated with this File.\n     */\n    function File(fullPath, fileSystem) {\n        this._isFile = true;\n        FileSystemEntry.call(this, fullPath, fileSystem);\n    }\n\n    File.prototype = Object.create(FileSystemEntry.prototype);\n    File.prototype.constructor = File;\n    File.prototype.parentClass = FileSystemEntry.prototype;\n\n    /**\n     * Cached contents of this file. This value is nullable but should NOT be undefined.\n     * @private\n     * @type {?string}\n     */\n    File.prototype._contents = null;\n\n    /**\n     * Consistency hash for this file. Reads and writes update this value, and\n     * writes confirm the hash before overwriting existing files. The type of\n     * this object is dependent on the FileSystemImpl; the only constraint is\n     * that === can be used as an equality relation on hashes.\n     * @private\n     * @type {?object}\n     */\n    File.prototype._hash = null;\n\n    /**\n     * Clear any cached data for this file. Note that this explicitly does NOT\n     * clear the file's hash.\n     * @private\n     */\n    File.prototype._clearCachedData = function () {\n        FileSystemEntry.prototype._clearCachedData.apply(this);\n        this._contents = null;\n    };\n\n    /**\n     * Read a file.\n     *\n     * @param {Object=} options Currently unused.\n     * @param {function (?string, string=, FileSystemStats=)} callback Callback that is passed the\n     *              FileSystemError string or the file's contents and its stats.\n     */\n    File.prototype.read = function (options, callback) {\n        if (typeof (options) === \"function\") {\n            callback = options;\n            options = {};\n        }\n\n        // We don't need to check isWatched() here because contents are only saved\n        // for watched files. Note that we need to explicitly test this._contents\n        // for a default value; otherwise it could be the empty string, which is\n        // falsey.\n        if (this._contents !== null && this._stat) {\n            callback(null, this._contents, this._stat);\n            return;\n        }\n\n        var watched = this._isWatched();\n        if (watched) {\n            options.stat = this._stat;\n        }\n\n        this._impl.readFile(this._path, options, function (err, data, stat) {\n            if (err) {\n                this._clearCachedData();\n                callback(err);\n                return;\n            }\n\n            // Always store the hash\n            this._hash = stat._hash;\n\n            // Only cache data for watched files\n            if (watched) {\n                this._stat = stat;\n                this._contents = data;\n            }\n\n            callback(err, data, stat);\n        }.bind(this));\n    };\n\n    /**\n     * Write a file.\n     *\n     * @param {string} data Data to write.\n     * @param {object=} options Currently unused.\n     * @param {function (?string, FileSystemStats=)=} callback Callback that is passed the\n     *              FileSystemError string or the file's new stats.\n     */\n    File.prototype.write = function (data, options, callback) {\n        if (typeof options === \"function\") {\n            callback = options;\n            options = {};\n        } else {\n            if (options === undefined) {\n                options = {};\n            }\n\n            callback = callback || function () {};\n        }\n\n        // Request a consistency check if the write is not blind\n        if (!options.blind) {\n            options.expectedHash = this._hash;\n            options.expectedContents = this._contents;\n        }\n\n        // Block external change events until after the write has finished\n        this._fileSystem._beginChange();\n\n        this._impl.writeFile(this._path, data, options, function (err, stat, created) {\n            if (err) {\n                this._clearCachedData();\n                try {\n                    callback(err);\n                    return;\n                } finally {\n                    // Always unblock external change events\n                    this._fileSystem._endChange();\n                }\n            }\n\n            // Always store the hash\n            this._hash = stat._hash;\n\n            // Only cache data for watched files\n            if (this._isWatched()) {\n                this._stat = stat;\n                this._contents = data;\n            }\n\n            if (created) {\n                var parent = this._fileSystem.getDirectoryForPath(this.parentPath);\n                this._fileSystem._handleDirectoryChange(parent, function (added, removed) {\n                    try {\n                        // Notify the caller\n                        callback(null, stat);\n                    } finally {\n                        if (parent._isWatched()) {\n                            // If the write succeeded and the parent directory is watched,\n                            // fire a synthetic change event\n                            this._fileSystem._fireChangeEvent(parent, added, removed);\n\n                        }\n                        // Always unblock external change events\n                        this._fileSystem._endChange();\n                    }\n                }.bind(this));\n            } else {\n                try {\n                    // Notify the caller\n                    callback(null, stat);\n                } finally {\n                    // existing file modified\n                    this._fileSystem._fireChangeEvent(this);\n\n                    // Always unblock external change events\n                    this._fileSystem._endChange();\n                }\n            }\n        }.bind(this));\n    };\n\n    // Export this class\n    module.exports = File;\n});\n\n//# sourceURL=/filesystem/File.js"),eval("/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the \"Software\"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * FileIndex is an internal module used by FileSystem to maintain an index of all files and directories.\n *\n * This module is *only* used by FileSystem, and should not be called directly.\n */\ndefine('filesystem/FileIndex',['require','exports','module'],function (require, exports, module) {\n    \"use strict\";\n\n    /**\n     * @constructor\n     */\n    function FileIndex() {\n        this._index = {};\n    }\n\n    /**\n     * Master index\n     *\n     * @type {Object.<string, File|Directory>} Maps a fullPath to a File or Directory object\n     */\n    FileIndex.prototype._index = null;\n\n    /**\n     * Clear the file index cache.\n     */\n    FileIndex.prototype.clear = function () {\n        this._index = {};\n    };\n\n    /**\n     * Visits every entry in the entire index; no stopping condition.\n     * @param {!function(FileSystemEntry, string):void} Called with an entry and its fullPath\n     */\n    FileIndex.prototype.visitAll = function (visitor) {\n        var path;\n        for (path in this._index) {\n            if (this._index.hasOwnProperty(path)) {\n                visitor(this._index[path], path);\n            }\n        }\n    };\n\n    /**\n     * Add an entry.\n     *\n     * @param {FileSystemEntry} entry The entry to add.\n     */\n    FileIndex.prototype.addEntry = function (entry) {\n        this._index[entry.fullPath] = entry;\n    };\n\n    /**\n     * Remove an entry.\n     *\n     * @param {FileSystemEntry} entry The entry to remove.\n     */\n    FileIndex.prototype.removeEntry = function (entry) {\n        var path = entry.fullPath,\n            property;\n\n        function replaceMember(property) {\n            var member = entry[property];\n            if (typeof member === \"function\") {\n                entry[property] = function () {\n                    console.warn(\"FileSystemEntry used after being removed from index: \", path);\n                    return member.apply(entry, arguments);\n                };\n            }\n        }\n\n        delete this._index[path];\n\n        for (property in entry) {\n            if (entry.hasOwnProperty(property)) {\n                replaceMember(property);\n            }\n        }\n    };\n\n    /**\n     * Notify the index that an entry has been renamed. This updates\n     * all affected entries in the index.\n     *\n     * @param {string} oldPath\n     * @param {string} newPath\n     * @param {boolean} isDirectory\n     */\n    FileIndex.prototype.entryRenamed = function (oldPath, newPath, isDirectory) {\n        var path,\n            renameMap = {};\n\n        // Find all entries affected by the rename and put into a separate map.\n        for (path in this._index) {\n            if (this._index.hasOwnProperty(path)) {\n                // See if we have a match. For directories, see if the path\n                // starts with the old name. This is safe since paths always end\n                // with '/'. For files, see if there is an exact match between\n                // the path and the old name.\n                if (isDirectory ? path.indexOf(oldPath) === 0 : path === oldPath) {\n                    renameMap[path] = newPath + path.substr(oldPath.length);\n                }\n            }\n        }\n\n        // Do the rename.\n        for (path in renameMap) {\n            if (renameMap.hasOwnProperty(path)) {\n                var item = this._index[path];\n\n                // Sanity check to make sure the item and path still match\n                console.assert(item.fullPath === path);\n\n                delete this._index[path];\n                this._index[renameMap[path]] = item;\n                item._setPath(renameMap[path]);\n            }\n        }\n    };\n\n    /**\n     * Returns the cached entry for the specified path, or undefined\n     * if the path has not been cached.\n     *\n     * @param {string} path The path of the entry to return.\n     * @return {File|Directory} The entry for the path, or undefined if it hasn't\n     *              been cached yet.\n     */\n    FileIndex.prototype.getEntry = function (path) {\n        return this._index[path];\n    };\n\n    // Export public API\n    module.exports = FileIndex;\n});\n\n//# sourceURL=/filesystem/FileIndex.js"),eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * The FileSystemStats represents a particular FileSystemEntry\'s stats.\n */\ndefine(\'filesystem/FileSystemStats\',[\'require\',\'exports\',\'module\'],function (require, exports, module) {\n    "use strict";\n\n    /**\n     * @constructor\n     * @param {{isFile: boolean, mtime: Date, size: Number, realPath: ?string, hash: object}} options\n     */\n    function FileSystemStats(options) {\n        var isFile = options.isFile;\n\n        this._isFile = isFile;\n        this._isDirectory = !isFile;\n        // in case of stats transferred over a node-domain,\n        // mtime will have JSON-ified value which needs to be restored\n        this._mtime = options.mtime instanceof Date ? options.mtime : new Date(options.mtime);\n        this._size = options.size;\n        // hash is a property introduced by brackets and it\'s calculated\n        // as a valueOf modification time -> calculate here if it\'s not present\n        this._hash = options.hash || this._mtime.valueOf();\n\n        var realPath = options.realPath;\n        if (realPath) {\n            if (!isFile && realPath[realPath.length - 1] !== "/") {\n                realPath += "/";\n            }\n\n            this._realPath = realPath;\n        }\n    }\n\n    // Add "isFile", "isDirectory", "mtime" and "size" getters\n    Object.defineProperties(FileSystemStats.prototype, {\n        "isFile": {\n            get: function () { return this._isFile; },\n            set: function () { throw new Error("Cannot set isFile"); }\n        },\n        "isDirectory": {\n            get: function () { return this._isDirectory; },\n            set: function () { throw new Error("Cannot set isDirectory"); }\n        },\n        "mtime": {\n            get: function () { return this._mtime; },\n            set: function () { throw new Error("Cannot set mtime"); }\n        },\n        "size": {\n            get: function () { return this._size; },\n            set: function () { throw new Error("Cannot set size"); }\n        },\n        "realPath": {\n            get: function () { return this._realPath; },\n            set: function () { throw new Error("Cannot set realPath"); }\n        }\n    });\n\n    /**\n     * Whether or not this is a stats object for a file\n     * @type {boolean}\n     */\n    FileSystemStats.prototype._isFile = false;\n\n    /**\n     * Whether or not this is a stats object for a directory\n     * @type {boolean}\n     */\n    FileSystemStats.prototype._isDirectory = false;\n\n    /**\n     * Modification time for a file\n     * @type {Date}\n     */\n    FileSystemStats.prototype._mtime = null;\n\n    /**\n     * Size in bytes of a file\n     * @type {Number}\n     */\n    FileSystemStats.prototype._size = null;\n\n    /**\n     * Consistency hash for a file\n     * @type {object}\n     */\n    FileSystemStats.prototype._hash = null;\n\n    /**\n     * The canonical path of this file or directory ONLY if it is a symbolic link,\n     * and null otherwise.\n     *\n     * @type {?string}\n     */\n    FileSystemStats.prototype._realPath = null;\n\n    module.exports = FileSystemStats;\n});\n\n//# sourceURL=/filesystem/FileSystemStats.js'),eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'utils/NodeConnection\',[\'require\',\'exports\',\'module\',\'utils/EventDispatcher\'],function (require, exports, module) {\n    "use strict";\n\n    var EventDispatcher = require("utils/EventDispatcher");\n\n\n    /**\n     * Connection attempts to make before failing\n     * @type {number}\n     */\n    var CONNECTION_ATTEMPTS = 10;\n\n    /**\n     * Milliseconds to wait before a particular connection attempt is considered failed.\n     * NOTE: It\'s okay for the connection timeout to be long because the\n     * expected behavior of WebSockets is to send a "close" event as soon\n     * as they realize they can\'t connect. So, we should rarely hit the\n     * connection timeout even if we try to connect to a port that isn\'t open.\n     * @type {number}\n     */\n    var CONNECTION_TIMEOUT  = 10000; // 10 seconds\n\n    /**\n     * Milliseconds to wait before retrying connecting\n     * @type {number}\n     */\n    var RETRY_DELAY         = 500;   // 1/2 second\n\n    /**\n     * Maximum value of the command ID counter\n     * @type  {number}\n     */\n    var MAX_COUNTER_VALUE = 4294967295; // 2^32 - 1\n\n    /**\n     * @private\n     * Helper function to auto-reject a deferred after a given amount of time.\n     * If the deferred is resolved/rejected manually, then the timeout is\n     * automatically cleared.\n     */\n    function setDeferredTimeout(deferred, delay) {\n        var timer = setTimeout(function () {\n            deferred.reject("timeout");\n        }, delay);\n        deferred.always(function () { clearTimeout(timer); });\n    }\n\n    /**\n     * @private\n     * Helper function to attempt a single connection to the node server\n     */\n    function attemptSingleConnect() {\n        var deferred = $.Deferred();\n        var port = null;\n        var ws = null;\n        setDeferredTimeout(deferred, CONNECTION_TIMEOUT);\n\n        brackets.app.getNodeState(function (err, nodePort) {\n            if (!err && nodePort && deferred.state() !== "rejected") {\n                port = nodePort;\n                ws = new WebSocket("ws://localhost:" + port);\n\n                // Expect ArrayBuffer objects from Node when receiving binary\n                // data instead of DOM Blobs, which are the default.\n                ws.binaryType = "arraybuffer";\n\n                // If the server port isn\'t open, we get a close event\n                // at some point in the future (and will not get an onopen\n                // event)\n                ws.onclose = function () {\n                    deferred.reject("WebSocket closed");\n                };\n\n                ws.onopen = function () {\n                    // If we successfully opened, remove the old onclose\n                    // handler (which was present to detect failure to\n                    // connect at all).\n                    ws.onclose = null;\n                    deferred.resolveWith(null, [ws, port]);\n                };\n            } else {\n                deferred.reject("brackets.app.getNodeState error: " + err);\n            }\n        });\n\n        return deferred.promise();\n    }\n\n    /**\n     * Provides an interface for interacting with the node server.\n     * @constructor\n     */\n    function NodeConnection() {\n        this.domains = {};\n        this._registeredModules = [];\n        this._pendingInterfaceRefreshDeferreds = [];\n        this._pendingCommandDeferreds = [];\n    }\n    EventDispatcher.makeEventDispatcher(NodeConnection.prototype);\n\n    /**\n     * @type {Object}\n     * Exposes the domains registered with the server. This object will\n     * have a property for each registered domain. Each of those properties\n     * will be an object containing properties for all the commands in that\n     * domain. So, myConnection.base.enableDebugger would point to the function\n     * to call to enable the debugger.\n     *\n     * This object is automatically replaced every time the API changes (based\n     * on the base:newDomains event from the server). Therefore, code that\n     * uses this object should not keep their own pointer to the domain property.\n     */\n    NodeConnection.prototype.domains = null;\n\n    /**\n     * @private\n     * @type {Array.<string>}\n     * List of module pathnames that should be re-registered if there is\n     * a disconnection/connection (i.e. if the server died).\n     */\n    NodeConnection.prototype._registeredModules = null;\n\n    /**\n     * @private\n     * @type {WebSocket}\n     * The connection to the server\n     */\n    NodeConnection.prototype._ws = null;\n\n    /**\n     * @private\n     * @type {?number}\n     * The port the WebSocket is currently connected to\n     */\n    NodeConnection.prototype._port = null;\n\n    /**\n     * @private\n     * @type {number}\n     * Unique ID for commands\n     */\n    NodeConnection.prototype._commandCount = 1;\n\n    /**\n     * @private\n     * @type {boolean}\n     * Whether to attempt reconnection if connection fails\n     */\n    NodeConnection.prototype._autoReconnect = false;\n\n    /**\n     * @private\n     * @type {Array.<jQuery.Deferred>}\n     * List of deferred objects that should be resolved pending\n     * a successful refresh of the API\n     */\n    NodeConnection.prototype._pendingInterfaceRefreshDeferreds = null;\n\n    /**\n     * @private\n     * @type {Array.<jQuery.Deferred>}\n     * Array (indexed on command ID) of deferred objects that should be\n     * resolved/rejected with the response of commands.\n     */\n    NodeConnection.prototype._pendingCommandDeferreds = null;\n\n    /**\n     * @private\n     * @return {number} The next command ID to use. Always representable as an\n     * unsigned 32-bit integer.\n     */\n    NodeConnection.prototype._getNextCommandID = function () {\n        var nextID;\n\n        if (this._commandCount > MAX_COUNTER_VALUE) {\n            nextID = this._commandCount = 0;\n        } else {\n            nextID = this._commandCount++;\n        }\n\n        return nextID;\n    };\n\n    /**\n     * @private\n     * Helper function to do cleanup work when a connection fails\n     */\n    NodeConnection.prototype._cleanup = function () {\n        // clear out the domains, since we may get different ones\n        // on the next connection\n        this.domains = {};\n\n        // shut down the old connection if there is one\n        if (this._ws && this._ws.readyState !== WebSocket.CLOSED) {\n            try {\n                this._ws.close();\n            } catch (e) { }\n        }\n        var failedDeferreds = this._pendingInterfaceRefreshDeferreds\n            .concat(this._pendingCommandDeferreds);\n        failedDeferreds.forEach(function (d) {\n            d.reject("cleanup");\n        });\n        this._pendingInterfaceRefreshDeferreds = [];\n        this._pendingCommandDeferreds = [];\n\n        this._ws = null;\n        this._port = null;\n    };\n\n    /**\n     * Connect to the node server. After connecting, the NodeConnection\n     * object will trigger a "close" event when the underlying socket\n     * is closed. If the connection is set to autoReconnect, then the\n     * event will also include a jQuery promise for the connection.\n     *\n     * @param {boolean} autoReconnect Whether to automatically try to\n     *    reconnect to the server if the connection succeeds and then\n     *    later disconnects. Note if this connection fails initially, the\n     *    autoReconnect flag is set to false. Future calls to connect()\n     *    can reset it to true\n     * @return {jQuery.Promise} Promise that resolves/rejects when the\n     *    connection succeeds/fails\n     */\n    NodeConnection.prototype.connect = function (autoReconnect) {\n        var self = this;\n        self._autoReconnect = autoReconnect;\n        var deferred = $.Deferred();\n        var attemptCount = 0;\n        var attemptTimestamp = null;\n\n        // Called after a successful connection to do final setup steps\n        function registerHandlersAndDomains(ws, port) {\n            // Called if we succeed at the final setup\n            function success() {\n                self._ws.onclose = function () {\n                    if (self._autoReconnect) {\n                        var $promise = self.connect(true);\n                        self.trigger("close", $promise);\n                    } else {\n                        self._cleanup();\n                        self.trigger("close");\n                    }\n                };\n                deferred.resolve();\n            }\n            // Called if we fail at the final setup\n            function fail(err) {\n                self._cleanup();\n                deferred.reject(err);\n            }\n\n            self._ws = ws;\n            self._port = port;\n            self._ws.onmessage = self._receive.bind(self);\n\n            // refresh the current domains, then re-register any\n            // "autoregister" modules\n            self._refreshInterface().then(\n                function () {\n                    if (self._registeredModules.length > 0) {\n                        self.loadDomains(self._registeredModules, false).then(\n                            success,\n                            fail\n                        );\n                    } else {\n                        success();\n                    }\n                },\n                fail\n            );\n        }\n\n        // Repeatedly tries to connect until we succeed or until we\'ve\n        // failed CONNECTION_ATTEMPT times. After each attempt, waits\n        // at least RETRY_DELAY before trying again.\n        function doConnect() {\n            attemptCount++;\n            attemptTimestamp = new Date();\n            attemptSingleConnect().then(\n                registerHandlersAndDomains, // succeded\n                function () { // failed this attempt, possibly try again\n                    if (attemptCount < CONNECTION_ATTEMPTS) { //try again\n                        // Calculate how long we should wait before trying again\n                        var now = new Date();\n                        var delay = Math.max(\n                            RETRY_DELAY - (now - attemptTimestamp),\n                            1\n                        );\n                        setTimeout(doConnect, delay);\n                    } else { // too many attempts, give up\n                        deferred.reject("Max connection attempts reached");\n                    }\n                }\n            );\n        }\n\n        // Start the connection process\n        self._cleanup();\n        doConnect();\n\n        return deferred.promise();\n    };\n\n    /**\n     * Determines whether the NodeConnection is currently connected\n     * @return {boolean} Whether the NodeConnection is connected.\n     */\n    NodeConnection.prototype.connected = function () {\n        return !!(this._ws && this._ws.readyState === WebSocket.OPEN);\n    };\n\n    /**\n     * Explicitly disconnects from the server. Note that even if\n     * autoReconnect was set to true at connection time, the connection\n     * will not reconnect after this call. Reconnection can be manually done\n     * by calling connect() again.\n     */\n    NodeConnection.prototype.disconnect = function () {\n        this._autoReconnect = false;\n        this._cleanup();\n    };\n\n    /**\n     * Load domains into the server by path\n     * @param {Array.<string>} List of absolute paths to load\n     * @param {boolean} autoReload Whether to auto-reload the domains if the server\n     *    fails and restarts. Note that the reload is initiated by the\n     *    client, so it will only happen after the client reconnects.\n     * @return {jQuery.Promise} Promise that resolves after the load has\n     *    succeeded and the new API is availale at NodeConnection.domains,\n     *    or that rejects on failure.\n     */\n    NodeConnection.prototype.loadDomains = function (paths, autoReload) {\n        var deferred = $.Deferred();\n        setDeferredTimeout(deferred, CONNECTION_TIMEOUT);\n        var pathArray = paths;\n        if (!Array.isArray(paths)) {\n            pathArray = [paths];\n        }\n\n        if (autoReload) {\n            Array.prototype.push.apply(this._registeredModules, pathArray);\n        }\n\n        if (this.domains.base && this.domains.base.loadDomainModulesFromPaths) {\n            this.domains.base.loadDomainModulesFromPaths(pathArray).then(\n                function (success) { // command call succeeded\n                    if (!success) {\n                        // response from commmand call was "false" so we know\n                        // the actual load failed.\n                        deferred.reject("loadDomainModulesFromPaths failed");\n                    }\n                    // if the load succeeded, we wait for the API refresh to\n                    // resolve the deferred.\n                },\n                function (reason) { // command call failed\n                    deferred.reject("Unable to load one of the modules: " + pathArray + (reason ? ", reason: " + reason : ""));\n                }\n            );\n\n            this._pendingInterfaceRefreshDeferreds.push(deferred);\n        } else {\n            deferred.reject("this.domains.base is undefined");\n        }\n\n        return deferred.promise();\n    };\n\n    /**\n     * @private\n     * Sends a message over the WebSocket. Automatically JSON.stringifys\n     * the message if necessary.\n     * @param {Object|string} m Object to send. Must be JSON.stringify-able.\n     */\n    NodeConnection.prototype._send = function (m) {\n        if (this.connected()) {\n\n            // Convert the message to a string\n            var messageString = null;\n            if (typeof m === "string") {\n                messageString = m;\n            } else {\n                try {\n                    messageString = JSON.stringify(m);\n                } catch (stringifyError) {\n                    console.error("[NodeConnection] Unable to stringify message in order to send: " + stringifyError.message);\n                }\n            }\n\n            // If we succeded in making a string, try to send it\n            if (messageString) {\n                try {\n                    this._ws.send(messageString);\n                } catch (sendError) {\n                    console.error("[NodeConnection] Error sending message: " + sendError.message);\n                }\n            }\n        } else {\n            console.error("[NodeConnection] Not connected to node, unable to send.");\n        }\n    };\n\n    /**\n     * @private\n     * Handler for receiving events on the WebSocket. Parses the message\n     * and dispatches it appropriately.\n     * @param {WebSocket.Message} message Message object from WebSocket\n     */\n    NodeConnection.prototype._receive = function (message) {\n        var responseDeferred = null;\n        var data = message.data;\n        var m;\n\n        if (message.data instanceof ArrayBuffer) {\n            // The first four bytes encode the command ID as an unsigned 32-bit integer\n            if (data.byteLength < 4) {\n                console.error("[NodeConnection] received malformed binary message");\n                return;\n            }\n\n            var header = data.slice(0, 4),\n                body = data.slice(4),\n                headerView = new Uint32Array(header),\n                id = headerView[0];\n\n            // Unpack the binary message into a commandResponse\n            m = {\n                type: "commandResponse",\n                message: {\n                    id: id,\n                    response: body\n                }\n            };\n        } else {\n            try {\n                m = JSON.parse(data);\n            } catch (e) {\n                console.error("[NodeConnection] received malformed message", message, e.message);\n                return;\n            }\n        }\n\n        switch (m.type) {\n        case "event":\n            if (m.message.domain === "base" && m.message.event === "newDomains") {\n                this._refreshInterface();\n            }\n\n            // Event type "domain:event"\n            EventDispatcher.triggerWithArray(this, m.message.domain + ":" + m.message.event,\n                                             m.message.parameters);\n            break;\n        case "commandResponse":\n            responseDeferred = this._pendingCommandDeferreds[m.message.id];\n            if (responseDeferred) {\n                responseDeferred.resolveWith(this, [m.message.response]);\n                delete this._pendingCommandDeferreds[m.message.id];\n            }\n            break;\n        case "commandProgress":\n            responseDeferred = this._pendingCommandDeferreds[m.message.id];\n            if (responseDeferred) {\n                responseDeferred.notifyWith(this, [m.message.message]);\n            }\n            break;\n        case "commandError":\n            responseDeferred = this._pendingCommandDeferreds[m.message.id];\n            if (responseDeferred) {\n                responseDeferred.rejectWith(\n                    this,\n                    [m.message.message, m.message.stack]\n                );\n                delete this._pendingCommandDeferreds[m.message.id];\n            }\n            break;\n        case "error":\n            console.error("[NodeConnection] received error: " +\n                            m.message.message);\n            break;\n        default:\n            console.error("[NodeConnection] unknown event type: " + m.type);\n        }\n    };\n\n    /**\n     * @private\n     * Helper function for refreshing the interface in the "domain" property.\n     * Automatically called when the connection receives a base:newDomains\n     * event from the server, and also called at connection time.\n     */\n    NodeConnection.prototype._refreshInterface = function () {\n        var deferred = $.Deferred();\n        var self = this;\n\n        var pendingDeferreds = this._pendingInterfaceRefreshDeferreds;\n        this._pendingInterfaceRefreshDeferreds = [];\n        deferred.then(\n            function () {\n                pendingDeferreds.forEach(function (d) { d.resolve(); });\n            },\n            function (err) {\n                pendingDeferreds.forEach(function (d) { d.reject(err); });\n            }\n        );\n\n        function refreshInterfaceCallback(spec) {\n            function makeCommandFunction(domainName, commandSpec) {\n                return function () {\n                    var deferred = $.Deferred();\n                    var parameters = Array.prototype.slice.call(arguments, 0);\n                    var id = self._getNextCommandID();\n                    self._pendingCommandDeferreds[id] = deferred;\n                    self._send({id: id,\n                               domain: domainName,\n                               command: commandSpec.name,\n                               parameters: parameters\n                               });\n                    return deferred;\n                };\n            }\n\n            // TODO: Don\'t replace the domain object every time. Instead, merge.\n            self.domains = {};\n            self.domainEvents = {};\n            spec.forEach(function (domainSpec) {\n                self.domains[domainSpec.domain] = {};\n                domainSpec.commands.forEach(function (commandSpec) {\n                    self.domains[domainSpec.domain][commandSpec.name] =\n                        makeCommandFunction(domainSpec.domain, commandSpec);\n                });\n                self.domainEvents[domainSpec.domain] = {};\n                domainSpec.events.forEach(function (eventSpec) {\n                    var parameters = eventSpec.parameters;\n                    self.domainEvents[domainSpec.domain][eventSpec.name] = parameters;\n                });\n            });\n            deferred.resolve();\n        }\n\n        if (this.connected()) {\n            $.getJSON("http://localhost:" + this._port + "/api")\n                .done(refreshInterfaceCallback)\n                .fail(function (err) { deferred.reject(err); });\n        } else {\n            deferred.reject("Attempted to call _refreshInterface when not connected.");\n        }\n\n        return deferred.promise();\n    };\n\n    /**\n     * @private\n     * Get the default timeout value\n     * @return {number} Timeout value in milliseconds\n     */\n    NodeConnection._getConnectionTimeout = function () {\n        return CONNECTION_TIMEOUT;\n    };\n\n    module.exports = NodeConnection;\n\n});\n\n//# sourceURL=/utils/NodeConnection.js'),
eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'utils/NodeDomain\',[\'require\',\'exports\',\'module\',\'utils/NodeConnection\',\'utils/EventDispatcher\'],function (require, exports, module) {\n    "use strict";\n\n    var NodeConnection = require("utils/NodeConnection"),\n        EventDispatcher = require("utils/EventDispatcher");\n\n    // Used to remove all listeners at once when the connection drops\n    var EVENT_NAMESPACE = ".NodeDomainEvent";\n\n    /**\n     * Provides a simple abstraction for executing the commands of a single\n     * domain loaded via a NodeConnection. Automatically handles connection\n     * management and domain loading, and exposes each command in the domain as\n     * a promise-returning method that can safely be called regardless of the\n     * current status of the underlying connection. Example usage:\n     *\n     *     var myDomain = new NodeDomain("someDomain", "/path/to/SomeDomainDef.js"),\n     *         $result = myDomain.exec("someCommand", arg1, arg2);\n     *\n     *     $result.done(function (value) {\n     *         // the command succeeded!\n     *     });\n     *\n     *     $result.fail(function (err) {\n     *         // the command failed; act accordingly!\n     *     });\n     *\n     * To handle domain events, just listen for the event on the domain:\n     *\n     *     myDomain.on("someEvent", someHandler);\n     *\n     * @constructor\n     * @param {string} domainName Name of the registered Node Domain\n     * @param {string} domainPath Full path of the JavaScript Node domain specification\n     */\n    function NodeDomain(domainName, domainPath) {\n        var connection = new NodeConnection();\n\n        this.connection = connection;\n        this._domainName = domainName;\n        this._domainPath = domainPath;\n        this._domainLoaded = false;\n        this._load = this._load.bind(this);\n        this._connectionPromise = connection.connect(true)\n            .then(this._load);\n\n        connection.on("close", function (event, promise) {\n            this.connection.off(EVENT_NAMESPACE);\n            this._domainLoaded = false;\n            this._connectionPromise = promise.then(this._load);\n        }.bind(this));\n    }\n    EventDispatcher.makeEventDispatcher(NodeDomain.prototype);\n\n    /**\n     * The underlying Node connection object for this domain.\n     *\n     * @type {NodeConnection}\n     */\n    NodeDomain.prototype.connection = null;\n\n    /**\n     * A promise that is resolved once the NodeConnection is connected and the\n     * domain has been loaded.\n     *\n     * @type {?jQuery.Promise}\n     * @private\n     */\n    NodeDomain.prototype._connectionPromise = null;\n\n    /**\n     * The name of this domain.\n     *\n     * @type {string}\n     * @private\n     */\n    NodeDomain.prototype._domainName = null;\n\n    /**\n     * The path at which the Node definition of this domain resides.\n     *\n     * @type {string}\n     * @private\n     */\n    NodeDomain.prototype._domainPath = null;\n\n    /**\n     * Whether or not the domain has been successfully loaded.\n     *\n     * @type {boolean}\n     * @private\n     */\n    NodeDomain.prototype._domainLoaded = false;\n\n    /**\n     * Loads the domain via the underlying connection object and exposes the\n     * domain\'s commands as methods on this object. Assumes the underlying\n     * connection has already been opened.\n     *\n     * @return {jQuery.Promise} Resolves once the domain is been loaded.\n     * @private\n     */\n    NodeDomain.prototype._load = function () {\n        var connection = this.connection;\n        return connection.loadDomains(this._domainPath, true)\n            .done(function () {\n                this._domainLoaded = true;\n                this._connectionPromise = null;\n\n                var eventNames = Object.keys(connection.domainEvents[this._domainName]);\n                eventNames.forEach(function (domainEvent) {\n                    var connectionEvent = this._domainName + ":" + domainEvent + EVENT_NAMESPACE;\n\n                    connection.on(connectionEvent, function () {\n                        var params = Array.prototype.slice.call(arguments, 1);\n                        EventDispatcher.triggerWithArray(this, domainEvent, params);\n                    }.bind(this));\n                }, this);\n            }.bind(this))\n            .fail(function (err) {\n                console.error("[NodeDomain] Error loading domain \\"" + this._domainName + "\\": " + err);\n            }.bind(this));\n    };\n\n    /**\n     * Synchronously determine whether the domain is ready; i.e., whether the\n     * connection is open and the domain is loaded.\n     *\n     * @return {boolean} Whether or not the domain is currently ready.\n     */\n    NodeDomain.prototype.ready = function () {\n        return this._domainLoaded && this.connection.connected();\n    };\n\n    /**\n     * Get a promise that resolves when the connection is open and the domain\n     * is loaded.\n     *\n     * @return {jQuery.Promise}\n     */\n    NodeDomain.prototype.promise = function () {\n        if (this._connectionPromise) {\n            return this._connectionPromise;\n        } else {\n            var deferred = new $.Deferred();\n\n            if (this.ready()) {\n                deferred.resolve();\n            } else {\n                deferred.reject();\n            }\n\n            return deferred.promise();\n        }\n    };\n\n    /**\n     * Applies the named command from the domain to a list of parameters, which\n     * are passed as extra arguments to this method. If the connection is open\n     * and the domain is loaded, the function is applied immediately. Otherwise\n     * the function is applied as soon as the connection has been opened and the\n     * domain has finished loading.\n     *\n     * @param {string} name The name of the domain command to execute\n     * @return {jQuery.Promise} Resolves with the result of the command\n     */\n    NodeDomain.prototype.exec = function (name) {\n        var connection = this.connection,\n            params = Array.prototype.slice.call(arguments, 1),\n            execConnected = function () {\n                var domain  = connection.domains[this._domainName],\n                    fn      = domain && domain[name],\n                    execResult;\n\n                if (fn) {\n                    execResult = fn.apply(domain, params);\n                } else {\n                    execResult = new $.Deferred().reject().promise();\n                }\n                return execResult;\n            }.bind(this);\n\n        var result;\n        if (this.ready()) {\n            result = execConnected();\n        } else if (this._connectionPromise) {\n            result = this._connectionPromise.then(execConnected);\n        } else {\n            result = new $.Deferred.reject().promise();\n        }\n        return result;\n    };\n\n    module.exports = NodeDomain;\n});\n\n//# sourceURL=/utils/NodeDomain.js'),eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*global appshell */\n\ndefine(\'fileSystemImpl\',[\'require\',\'exports\',\'module\',\'file/FileUtils\',\'filesystem/FileSystemStats\',\'filesystem/FileSystemError\',\'utils/NodeDomain\'],function (require, exports, module) {\n    "use strict";\n\n    var FileUtils           = require("file/FileUtils"),\n        FileSystemStats     = require("filesystem/FileSystemStats"),\n        FileSystemError     = require("filesystem/FileSystemError"),\n        NodeDomain          = require("utils/NodeDomain");\n\n    /**\n     * @const\n     */\n    var FILE_WATCHER_BATCH_TIMEOUT = 200;   // 200ms - granularity of file watcher changes\n\n    /**\n     * Callback to notify FileSystem of watcher changes\n     * @type {?function(string, FileSystemStats=)}\n     */\n    var _changeCallback;\n\n    /**\n     * Callback to notify FileSystem if watchers stop working entirely\n     * @type {?function()}\n     */\n    var _offlineCallback;\n\n    /** Timeout used to batch up file watcher changes (setTimeout() return value) */\n    var _changeTimeout;\n\n    /**\n     * Pending file watcher changes - map from fullPath to flag indicating whether we need to pass stats\n     * to _changeCallback() for this path.\n     * @type {!Object.<string, boolean>}\n     */\n    var _pendingChanges = {};\n\n    var _bracketsPath   = FileUtils.getNativeBracketsDirectoryPath(),\n        _modulePath     = FileUtils.getNativeModuleDirectoryPath(module),\n        _nodePath       = "node/FileWatcherDomain",\n        _domainPath     = [_bracketsPath, _modulePath, _nodePath].join("/"),\n        _nodeDomain     = new NodeDomain("fileWatcher", _domainPath);\n\n    var _isRunningOnWindowsXP = window.navigator.userAgent.indexOf("Windows NT 5.") >= 0;\n\n\n    // If the connection closes, notify the FileSystem that watchers have gone offline.\n    _nodeDomain.connection.on("close", function (event, promise) {\n        if (_offlineCallback) {\n            _offlineCallback();\n        }\n    });\n\n    /**\n     * Enqueue a file change event for eventual reporting back to the FileSystem.\n     *\n     * @param {string} changedPath The path that was changed\n     * @param {object} stats Stats coming from the underlying watcher, if available\n     * @private\n     */\n    function _enqueueChange(changedPath, stats) {\n        _pendingChanges[changedPath] = stats;\n        if (!_changeTimeout) {\n            _changeTimeout = window.setTimeout(function () {\n                if (_changeCallback) {\n                    Object.keys(_pendingChanges).forEach(function (path) {\n                        _changeCallback(path, _pendingChanges[path]);\n                    });\n                }\n\n                _changeTimeout = null;\n                _pendingChanges = {};\n            }, FILE_WATCHER_BATCH_TIMEOUT);\n        }\n    }\n\n    /**\n     * Event handler for the Node fileWatcher domain\'s change event.\n     *\n     * @param {jQuery.Event} The underlying change event\n     * @param {string} event The type of the event: "changed", "created" or "deleted"\n     * @param {string} parentDirPath The path to the directory holding entry that has changed\n     * @param {string=} entryName The name of the file/directory that has changed\n     * @param {object} statsObj Object that can be used to construct FileSystemStats\n     * @private\n     */\n    function _fileWatcherChange(evt, event, parentDirPath, entryName, statsObj) {\n        var change;\n        switch (event) {\n        case "changed":\n            // an existing file/directory was modified; stats are passed if available\n            var fsStats;\n            if (statsObj) {\n                fsStats = new FileSystemStats(statsObj);\n            } else {\n                console.warn("FileWatcherDomain was expected to deliver stats for changed event!");\n            }\n            _enqueueChange(parentDirPath + entryName, fsStats);\n            break;\n        case "created":\n        case "deleted":\n            // file/directory was created/deleted; fire change on parent to reload contents\n            _enqueueChange(parentDirPath, null);\n            break;\n        default:\n            console.error("Unexpected \'change\' event:", event);\n        }\n    }\n\n    // Setup the change handler. This only needs to happen once.\n    _nodeDomain.on("change", _fileWatcherChange);\n\n    /**\n     * Convert appshell error codes to FileSystemError values.\n     *\n     * @param {?number} err An appshell error code\n     * @return {?string} A FileSystemError string, or null if there was no error code.\n     * @private\n     */\n    function _mapError(err) {\n        if (!err) {\n            return null;\n        }\n\n        switch (err) {\n        case appshell.fs.ERR_INVALID_PARAMS:\n            return FileSystemError.INVALID_PARAMS;\n        case appshell.fs.ERR_NOT_FOUND:\n            return FileSystemError.NOT_FOUND;\n        case appshell.fs.ERR_CANT_READ:\n            return FileSystemError.NOT_READABLE;\n        case appshell.fs.ERR_CANT_WRITE:\n            return FileSystemError.NOT_WRITABLE;\n        case appshell.fs.ERR_UNSUPPORTED_ENCODING:\n            return FileSystemError.UNSUPPORTED_ENCODING;\n        case appshell.fs.ERR_OUT_OF_SPACE:\n            return FileSystemError.OUT_OF_SPACE;\n        case appshell.fs.ERR_FILE_EXISTS:\n            return FileSystemError.ALREADY_EXISTS;\n        }\n        return FileSystemError.UNKNOWN;\n    }\n\n    /**\n     * Convert a callback to one that transforms its first parameter from an\n     * appshell error code to a FileSystemError string.\n     *\n     * @param {function(?number)} cb A callback that expects an appshell error code\n     * @return {function(?string)} A callback that expects a FileSystemError string\n     * @private\n     */\n    function _wrap(cb) {\n        return function (err) {\n            var args = Array.prototype.slice.call(arguments);\n            args[0] = _mapError(args[0]);\n            cb.apply(null, args);\n        };\n    }\n\n    /**\n     * Display an open-files dialog to the user and call back asynchronously with\n     * either a FileSystmError string or an array of path strings, which indicate\n     * the entry or entries selected.\n     *\n     * @param {boolean} allowMultipleSelection\n     * @param {boolean} chooseDirectories\n     * @param {string} title\n     * @param {string} initialPath\n     * @param {Array.<string>=} fileTypes\n     * @param {function(?string, Array.<string>=)} callback\n     */\n    function showOpenDialog(allowMultipleSelection, chooseDirectories, title, initialPath, fileTypes, callback) {\n        appshell.fs.showOpenDialog(allowMultipleSelection, chooseDirectories, title, initialPath, fileTypes, _wrap(callback));\n    }\n\n    /**\n     * Display a save-file dialog and call back asynchronously with either a\n     * FileSystemError string or the path to which the user has chosen to save\n     * the file. If the dialog is cancelled, the path string will be empty.\n     *\n     * @param {string} title\n     * @param {string} initialPath\n     * @param {string} proposedNewFilename\n     * @param {function(?string, string=)} callback\n     */\n    function showSaveDialog(title, initialPath, proposedNewFilename, callback) {\n        appshell.fs.showSaveDialog(title, initialPath, proposedNewFilename, _wrap(callback));\n    }\n\n    /**\n     * Stat the file or directory at the given path, calling back\n     * asynchronously with either a FileSystemError string or the entry\'s\n     * associated FileSystemStats object.\n     *\n     * @param {string} path\n     * @param {function(?string, FileSystemStats=)} callback\n     */\n    function stat(path, callback) {\n        appshell.fs.stat(path, function (err, stats) {\n            if (err) {\n                callback(_mapError(err));\n            } else {\n                var options = {\n                    isFile: stats.isFile(),\n                    mtime: stats.mtime,\n                    size: stats.size,\n                    realPath: stats.realPath,\n                    hash: stats.mtime.getTime()\n                };\n\n                var fsStats = new FileSystemStats(options);\n\n                callback(null, fsStats);\n            }\n        });\n    }\n\n    /**\n     * Determine whether a file or directory exists at the given path by calling\n     * back asynchronously with either a FileSystemError string or a boolean,\n     * which is true if the file exists and false otherwise. The error will never\n     * be FileSystemError.NOT_FOUND; in that case, there will be no error and the\n     * boolean parameter will be false.\n     *\n     * @param {string} path\n     * @param {function(?string, boolean)} callback\n     */\n    function exists(path, callback) {\n        stat(path, function (err) {\n            if (err) {\n                if (err === FileSystemError.NOT_FOUND) {\n                    callback(null, false);\n                } else {\n                    callback(err);\n                }\n                return;\n            }\n\n            callback(null, true);\n        });\n    }\n\n    /**\n     * Read the contents of the directory at the given path, calling back\n     * asynchronously either with a FileSystemError string or an array of\n     * FileSystemEntry objects along with another consistent array, each index\n     * of which either contains a FileSystemStats object for the corresponding\n     * FileSystemEntry object in the second parameter or a FileSystemError\n     * string describing a stat error.\n     *\n     * @param {string} path\n     * @param {function(?string, Array.<FileSystemEntry>=, Array.<string|FileSystemStats>=)} callback\n     */\n    function readdir(path, callback) {\n        appshell.fs.readdir(path, function (err, contents) {\n            if (err) {\n                callback(_mapError(err));\n                return;\n            }\n\n            var count = contents.length;\n            if (!count) {\n                callback(null, [], []);\n                return;\n            }\n\n            var stats = [];\n            contents.forEach(function (val, idx) {\n                stat(path + "/" + val, function (err, stat) {\n                    stats[idx] = err || stat;\n                    count--;\n                    if (count <= 0) {\n                        callback(null, contents, stats);\n                    }\n                });\n            });\n        });\n    }\n\n    /**\n     * Create a directory at the given path, and call back asynchronously with\n     * either a FileSystemError string or a stats object for the newly created\n     * directory. The octal mode parameter is optional; if unspecified, the mode\n     * of the created directory is implementation dependent.\n     *\n     * @param {string} path\n     * @param {number=} mode The base-eight mode of the newly created directory.\n     * @param {function(?string, FileSystemStats=)=} callback\n     */\n    function mkdir(path, mode, callback) {\n        if (typeof mode === "function") {\n            callback = mode;\n            mode = parseInt("0755", 8);\n        }\n        appshell.fs.makedir(path, mode, function (err) {\n            if (err) {\n                callback(_mapError(err));\n            } else {\n                stat(path, function (err, stat) {\n                    callback(err, stat);\n                });\n            }\n        });\n    }\n\n    /**\n     * Rename the file or directory at oldPath to newPath, and call back\n     * asynchronously with a possibly null FileSystemError string.\n     *\n     * @param {string} oldPath\n     * @param {string} newPath\n     * @param {function(?string)=} callback\n     */\n    function rename(oldPath, newPath, callback) {\n        appshell.fs.rename(oldPath, newPath, _wrap(callback));\n    }\n\n    /**\n     * Read the contents of the file at the given path, calling back\n     * asynchronously with either a FileSystemError string, or with the data and\n     * the FileSystemStats object associated with the read file. The options\n     * parameter can be used to specify an encoding (default "utf8"), and also\n     * a cached stats object that the implementation is free to use in order\n     * to avoid an additional stat call.\n     *\n     * Note: if either the read or the stat call fails then neither the read data\n     * nor stat will be passed back, and the call should be considered to have failed.\n     * If both calls fail, the error from the read call is passed back.\n     *\n     * @param {string} path\n     * @param {{encoding: string=, stat: FileSystemStats=}} options\n     * @param {function(?string, string=, FileSystemStats=)} callback\n     */\n    function readFile(path, options, callback) {\n        var encoding = options.encoding || "utf8";\n\n        // callback to be executed when the call to stat completes\n        //  or immediately if a stat object was passed as an argument\n        function doReadFile(stat) {\n            if (stat.size > (FileUtils.MAX_FILE_SIZE)) {\n                callback(FileSystemError.EXCEEDS_MAX_FILE_SIZE);\n            } else {\n                appshell.fs.readFile(path, encoding, function (_err, _data) {\n                    if (_err) {\n                        callback(_mapError(_err));\n                    } else {\n                        callback(null, _data, stat);\n                    }\n                });\n            }\n        }\n\n        if (options.stat) {\n            doReadFile(options.stat);\n        } else {\n            exports.stat(path, function (_err, _stat) {\n                if (_err) {\n                    callback(_err);\n                } else {\n                    doReadFile(_stat);\n                }\n            });\n        }\n    }\n    /**\n     * Write data to the file at the given path, calling back asynchronously with\n     * either a FileSystemError string or the FileSystemStats object associated\n     * with the written file and a boolean that indicates whether the file was\n     * created by the write (true) or not (false). If no file exists at the\n     * given path, a new file will be created. The options parameter can be used\n     * to specify an encoding (default "utf8"), an octal mode (default\n     * unspecified and implementation dependent), and a consistency hash, which\n     * is used to the current state of the file before overwriting it. If a\n     * consistency hash is provided but does not match the hash of the file on\n     * disk, a FileSystemError.CONTENTS_MODIFIED error is passed to the callback.\n     *\n     * @param {string} path\n     * @param {string} data\n     * @param {{encoding : string=, mode : number=, expectedHash : object=, expectedContents : string=}} options\n     * @param {function(?string, FileSystemStats=, boolean)} callback\n     */\n    function writeFile(path, data, options, callback) {\n        var encoding = options.encoding || "utf8";\n\n        function _finishWrite(created) {\n            appshell.fs.writeFile(path, data, encoding, function (err) {\n                if (err) {\n                    callback(_mapError(err));\n                } else {\n                    stat(path, function (err, stat) {\n                        callback(err, stat, created);\n                    });\n                }\n            });\n        }\n\n        stat(path, function (err, stats) {\n            if (err) {\n                switch (err) {\n                case FileSystemError.NOT_FOUND:\n                    _finishWrite(true);\n                    break;\n                default:\n                    callback(err);\n                }\n                return;\n            }\n\n            if (options.hasOwnProperty("expectedHash") && options.expectedHash !== stats._hash) {\n                console.error("Blind write attempted: ", path, stats._hash, options.expectedHash);\n\n                if (options.hasOwnProperty("expectedContents")) {\n                    appshell.fs.readFile(path, encoding, function (_err, _data) {\n                        if (_err || _data !== options.expectedContents) {\n                            callback(FileSystemError.CONTENTS_MODIFIED);\n                            return;\n                        }\n\n                        _finishWrite(false);\n                    });\n                    return;\n                } else {\n                    callback(FileSystemError.CONTENTS_MODIFIED);\n                    return;\n                }\n            }\n\n            _finishWrite(false);\n        });\n    }\n\n    /**\n     * Unlink (i.e., permanently delete) the file or directory at the given path,\n     * calling back asynchronously with a possibly null FileSystemError string.\n     * Directories will be unlinked even when non-empty.\n     *\n     * @param {string} path\n     * @param {function(string)=} callback\n     */\n    function unlink(path, callback) {\n        appshell.fs.unlink(path, function (err) {\n            callback(_mapError(err));\n        });\n    }\n\n    /**\n     * Move the file or directory at the given path to a system dependent trash\n     * location, calling back asynchronously with a possibly null FileSystemError\n     * string. Directories will be moved even when non-empty.\n     *\n     * @param {string} path\n     * @param {function(string)=} callback\n     */\n    function moveToTrash(path, callback) {\n        appshell.fs.moveToTrash(path, function (err) {\n            callback(_mapError(err));\n        });\n    }\n\n    /**\n     * Initialize file watching for this filesystem, using the supplied\n     * changeCallback to provide change notifications. The first parameter of\n     * changeCallback specifies the changed path (either a file or a directory);\n     * if this parameter is null, it indicates that the implementation cannot\n     * specify a particular changed path, and so the callers should consider all\n     * paths to have changed and to update their state accordingly. The second\n     * parameter to changeCallback is an optional FileSystemStats object that\n     * may be provided in case the changed path already exists and stats are\n     * readily available. The offlineCallback will be called in case watchers\n     * are no longer expected to function properly. All watched paths are\n     * cleared when the offlineCallback is called.\n     *\n     * @param {function(?string, FileSystemStats=)} changeCallback\n     * @param {function()=} offlineCallback\n     */\n    function initWatchers(changeCallback, offlineCallback) {\n        _changeCallback = changeCallback;\n        _offlineCallback = offlineCallback;\n\n        if (_isRunningOnWindowsXP && _offlineCallback) {\n            _offlineCallback();\n        }\n    }\n\n    /**\n     * Start providing change notifications for the file or directory at the\n     * given path, calling back asynchronously with a possibly null FileSystemError\n     * string when the initialization is complete. Notifications are provided\n     * using the changeCallback function provided by the initWatchers method.\n     * Note that change notifications are only provided recursively for directories\n     * when the recursiveWatch property of this module is true.\n     *\n     * @param {string} path\n     * @param {Array<string>} ignored\n     * @param {function(?string)=} callback\n     */\n    function watchPath(path, ignored, callback) {\n        if (_isRunningOnWindowsXP) {\n            callback(FileSystemError.NOT_SUPPORTED);\n            return;\n        }\n        appshell.fs.isNetworkDrive(path, function (err, isNetworkDrive) {\n            if (err || isNetworkDrive) {\n                if (isNetworkDrive) {\n                    callback(FileSystemError.NETWORK_DRIVE_NOT_SUPPORTED);\n                } else {\n                    callback(FileSystemError.UNKNOWN);\n                }\n                return;\n            }\n            _nodeDomain.exec("watchPath", path, ignored)\n                .then(callback, callback);\n        });\n    }\n    /**\n     * Stop providing change notifications for the file or directory at the\n     * given path, calling back asynchronously with a possibly null FileSystemError\n     * string when the operation is complete.\n     * This function needs to mirror the signature of watchPath\n     * because of FileSystem.prototype._watchOrUnwatchEntry implementation.\n     *\n     * @param {string} path\n     * @param {Array<string>} ignored\n     * @param {function(?string)=} callback\n     */\n    function unwatchPath(path, ignored, callback) {\n        _nodeDomain.exec("unwatchPath", path)\n            .then(callback, callback);\n    }\n\n    /**\n     * Stop providing change notifications for all previously watched files and\n     * directories, optionally calling back asynchronously with a possibly null\n     * FileSystemError string when the operation is complete.\n     *\n     * @param {function(?string)=} callback\n     */\n    function unwatchAll(callback) {\n        _nodeDomain.exec("unwatchAll")\n            .then(callback, callback);\n    }\n\n\n    // Export public API\n    exports.showOpenDialog  = showOpenDialog;\n    exports.showSaveDialog  = showSaveDialog;\n    exports.exists          = exists;\n    exports.readdir         = readdir;\n    exports.mkdir           = mkdir;\n    exports.rename          = rename;\n    exports.stat            = stat;\n    exports.readFile        = readFile;\n    exports.writeFile       = writeFile;\n    exports.unlink          = unlink;\n    exports.moveToTrash     = moveToTrash;\n    exports.initWatchers    = initWatchers;\n    exports.watchPath       = watchPath;\n    exports.unwatchPath     = unwatchPath;\n    exports.unwatchAll      = unwatchAll;\n\n    /**\n     * Indicates whether or not recursive watching notifications are supported\n     * by the watchPath call.\n     *\n     * @type {boolean}\n     */\n    exports.recursiveWatch = true;\n\n    /**\n     * Indicates whether or not the filesystem should expect and normalize UNC\n     * paths. If set, then //server/directory/ is a normalized path; otherwise the\n     * filesystem will normalize it to /server/directory. Currently, UNC path\n     * normalization only occurs on Windows.\n     *\n     * @type {boolean}\n     */\n    exports.normalizeUNCPaths = appshell.platform === "win";\n});\n\n//# sourceURL=/filesystem/impls/appshell/AppshellFileSystem.js'),eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * FileSystem is a model object representing a complete file system. This object creates\n * and manages File and Directory instances, dispatches events when the file system changes,\n * and provides methods for showing \'open\' and \'save\' dialogs.\n *\n * FileSystem automatically initializes when loaded. It depends on a pluggable "impl" layer, which\n * it loads itself but must be designated in the require.config() that loads FileSystem. For details\n * see: https://github.com/adobe/brackets/wiki/File-System-Implementations\n *\n * There are three ways to get File or Directory instances:\n *    * Use FileSystem.resolve() to convert a path to a File/Directory object. This will only\n *      succeed if the file/directory already exists.\n *    * Use FileSystem.getFileForPath()/FileSystem.getDirectoryForPath() if you know the\n *      file/directory already exists, or if you want to create a new entry.\n *    * Use Directory.getContents() to return all entries for the specified Directory.\n *\n * All paths passed *to* FileSystem APIs must be in the following format:\n *    * The path separator is "/" regardless of platform\n *    * Paths begin with "/" on Mac/Linux and "c:/" (or some other drive letter) on Windows\n *\n * All paths returned *from* FileSystem APIs additionally meet the following guarantees:\n *    * No ".." segments\n *    * No consecutive "/"s\n *    * Paths to a directory always end with a trailing "/"\n * (Because FileSystem normalizes paths automatically, paths passed *to* FileSystem do not need\n * to meet these requirements)\n *\n * FileSystem dispatches the following events:\n * (NOTE: attach to these events via `FileSystem.on()` - not `$(FileSystem).on()`)\n *\n * __change__ - Sent whenever there is a change in the file system. The handler\n *   is passed up to three arguments: the changed entry and, if that changed entry\n *   is a Directory, a list of entries added to the directory and a list of entries\n *   removed from the Directory. The entry argument can be:\n *   *  a File - the contents of the file have changed, and should be reloaded.\n *   *  a Directory - an immediate child of the directory has been added, removed,\n *      or renamed/moved. Not triggered for "grandchildren".\n *      - If the added & removed arguments are null, we don\'t know what was added/removed:\n *        clients should assume the whole subtree may have changed.\n *      - If the added & removed arguments are 0-length, there\'s no net change in the set\n *        of files but a file may have been replaced: clients should assume the contents\n *        of any immediate child file may have changed.\n *   *  null - a \'wholesale\' change happened, and you should assume everything may\n *      have changed.\n *   For changes made externally, there may be a significant delay before a "change" event\n *   is dispatched.\n *\n * __rename__ - Sent whenever a File or Directory is renamed. All affected File and Directory\n *   objects have been updated to reflect the new path by the time this event is dispatched.\n *   This event should be used to trigger any UI updates that may need to occur when a path\n *   has changed. Note that these events will only be sent for rename operations that happen\n *   within the filesystem. If a file is renamed externally, a change event on the parent\n *   directory will be sent instead.\n *\n * FileSystem may perform caching. But it guarantees:\n *    * File contents & metadata - reads are guaranteed to be up to date (cached data is not used\n *      without first veryifying it is up to date).\n *    * Directory structure / file listing - reads may return cached data immediately, which may not\n *      reflect external changes made recently. (However, changes made via FileSystem itself are always\n *      reflected immediately, as soon as the change operation\'s callback signals success).\n *\n * The FileSystem doesn\'t directly read or write contents--this work is done by a low-level\n * implementation object. This allows client code to use the FileSystem API without having to\n * worry about the underlying storage, which could be a local filesystem or a remote server.\n */\ndefine(\'filesystem/FileSystem\',[\'require\',\'exports\',\'module\',\'filesystem/Directory\',\'filesystem/File\',\'filesystem/FileIndex\',\'filesystem/FileSystemError\',\'filesystem/WatchedRoot\',\'utils/EventDispatcher\',\'fileSystemImpl\'],function (require, exports, module) {\n    "use strict";\n\n    var Directory       = require("filesystem/Directory"),\n        File            = require("filesystem/File"),\n        FileIndex       = require("filesystem/FileIndex"),\n        FileSystemError = require("filesystem/FileSystemError"),\n        WatchedRoot     = require("filesystem/WatchedRoot"),\n        EventDispatcher = require("utils/EventDispatcher");\n\n    /**\n     * The FileSystem is not usable until init() signals its callback.\n     * @constructor\n     */\n    function FileSystem() {\n        // Create a file index\n        this._index = new FileIndex();\n\n        // Initialize the set of watched roots\n        this._watchedRoots = {};\n\n        // Initialize the watch/unwatch request queue\n        this._watchRequests = [];\n\n        // Initialize the queue of pending external changes\n        this._externalChanges = [];\n    }\n    EventDispatcher.makeEventDispatcher(FileSystem.prototype);\n\n    /**\n     * The low-level file system implementation used by this object.\n     * This is set in the init() function and cannot be changed.\n     */\n    FileSystem.prototype._impl = null;\n\n    /**\n     * The FileIndex used by this object. This is initialized in the constructor.\n     */\n    FileSystem.prototype._index = null;\n\n    /**\n     * Refcount of any pending filesystem mutation operations (e.g., writes,\n     * unlinks, etc.). Used to ensure that external change events aren\'t processed\n     * until after index fixups, operation-specific callbacks, and internal change\n     * events are complete. (This is important for distinguishing rename from\n     * an unrelated delete-add pair).\n     * @type {number}\n     */\n    FileSystem.prototype._activeChangeCount = 0;\n\n    // For unit testing only\n    FileSystem.prototype._getActiveChangeCount = function () {\n        return this._activeChangeCount;\n    };\n\n    /**\n     * Queue of arguments with which to invoke _handleExternalChanges(); triggered\n     * once _activeChangeCount drops to zero.\n     * @type {!Array.<{path:?string, stat:FileSystemStats=}>}\n     */\n    FileSystem.prototype._externalChanges = null;\n\n    /** Process all queued watcher results, by calling _handleExternalChange() on each */\n    FileSystem.prototype._triggerExternalChangesNow = function () {\n        this._externalChanges.forEach(function (info) {\n            this._handleExternalChange(info.path, info.stat);\n        }, this);\n        this._externalChanges.length = 0;\n    };\n\n    /**\n     * Receives a result from the impl\'s watcher callback, and either processes it\n     * immediately (if _activeChangeCount is 0) or otherwise stores it for later\n     * processing.\n     * @param {?string} path The fullPath of the changed entry\n     * @param {FileSystemStats=} stat An optional stat object for the changed entry\n     */\n    FileSystem.prototype._enqueueExternalChange = function (path, stat) {\n        this._externalChanges.push({path: path, stat: stat});\n        if (!this._activeChangeCount) {\n            this._triggerExternalChangesNow();\n        }\n    };\n\n\n    /**\n     * The queue of pending watch/unwatch requests.\n     * @type {Array.<{fn: function(), cb: function()}>}\n     */\n    FileSystem.prototype._watchRequests = null;\n\n    /**\n     * Dequeue and process all pending watch/unwatch requests\n     */\n    FileSystem.prototype._dequeueWatchRequest = function () {\n        if (this._watchRequests.length > 0) {\n            var request = this._watchRequests[0];\n\n            request.fn.call(null, function () {\n                // Apply the given callback\n                var callbackArgs = arguments;\n                try {\n                    request.cb.apply(null, callbackArgs);\n                } finally {\n                    // Process the remaining watch/unwatch requests\n                    this._watchRequests.shift();\n                    this._dequeueWatchRequest();\n                }\n            }.bind(this));\n        }\n    };\n\n    /**\n     * Enqueue a new watch/unwatch request.\n     *\n     * @param {function()} fn - The watch/unwatch request function.\n     * @param {callback()} cb - The callback for the provided watch/unwatch\n     *      request function.\n     */\n    FileSystem.prototype._enqueueWatchRequest = function (fn, cb) {\n        // Enqueue the given watch/unwatch request\n        this._watchRequests.push({fn: fn, cb: cb});\n\n        // Begin processing the queue if it is not already being processed\n        if (this._watchRequests.length === 1) {\n            this._dequeueWatchRequest();\n        }\n    };\n\n    /**\n     * The set of watched roots, encoded as a mapping from full paths to WatchedRoot\n     * objects which contain a file entry, filter function, and an indication of\n     * whether the watched root is inactive, starting up or fully active.\n     *\n     * @type {Object.<string, WatchedRoot>}\n     */\n    FileSystem.prototype._watchedRoots = null;\n\n    /**\n     * Finds a parent watched root for a given path, or returns null if a parent\n     * watched root does not exist.\n     *\n     * @param {string} fullPath The child path for which a parent watched root is to be found\n     * @return {?{entry: FileSystemEntry, filter: function(string) boolean}} The parent\n     *      watched root, if it exists, or null.\n     */\n    FileSystem.prototype._findWatchedRootForPath = function (fullPath) {\n        var watchedRoot = null;\n\n        Object.keys(this._watchedRoots).some(function (watchedPath) {\n            if (fullPath.indexOf(watchedPath) === 0) {\n                watchedRoot = this._watchedRoots[watchedPath];\n                return true;\n            }\n        }, this);\n\n        return watchedRoot;\n    };\n\n    /**\n     * Helper function to watch or unwatch a filesystem entry beneath a given\n     * watchedRoot.\n     *\n     * @private\n     * @param {FileSystemEntry} entry - The FileSystemEntry to watch. Must be a\n     *      non-strict descendent of watchedRoot.entry.\n     * @param {WatchedRoot} watchedRoot - See FileSystem._watchedRoots.\n     * @param {function(?string)} callback - A function that is called once the\n     *      watch is complete, possibly with a FileSystemError string.\n     * @param {boolean} shouldWatch - Whether the entry should be watched (true)\n     *      or unwatched (false).\n     */\n    FileSystem.prototype._watchOrUnwatchEntry = function (entry, watchedRoot, callback, shouldWatch) {\n        var impl = this._impl,\n            recursiveWatch = impl.recursiveWatch,\n            commandName = shouldWatch ? "watchPath" : "unwatchPath",\n            filterGlobs = watchedRoot.filterGlobs;\n\n        if (recursiveWatch) {\n            // The impl can watch the entire subtree with one call on the root (we also fall into this case for\n            // unwatch, although that never requires us to do the recursion - see similar final case below)\n            if (entry !== watchedRoot.entry) {\n                // Watch and unwatch calls to children of the watched root are\n                // no-ops if the impl supports recursiveWatch\n                callback(null);\n            } else {\n                // The impl will handle finding all subdirectories to watch.\n                this._enqueueWatchRequest(function (requestCb) {\n                    impl[commandName].call(impl, entry.fullPath, filterGlobs, requestCb);\n                }.bind(this), callback);\n            }\n        } else if (shouldWatch) {\n            // The impl can\'t handle recursive watch requests, so it\'s up to the\n            // filesystem to recursively watch all subdirectories.\n            this._enqueueWatchRequest(function (requestCb) {\n                // First construct a list of entries to watch or unwatch\n                var entriesToWatch = [];\n\n                var visitor = function (child) {\n                    if (watchedRoot.filter(child.name, child.parentPath)) {\n                        if (child.isDirectory || child === watchedRoot.entry) {\n                            entriesToWatch.push(child);\n                        }\n                        return true;\n                    }\n                    return false;\n                };\n\n                entry.visit(visitor, function (err) {\n                    if (err) {\n                        // Unexpected error\n                        requestCb(err);\n                        return;\n                    }\n\n                    // Then watch or unwatched all these entries\n                    var count = entriesToWatch.length;\n                    if (count === 0) {\n                        requestCb(null);\n                        return;\n                    }\n\n                    var watchCallback = function () {\n                        if (--count === 0) {\n                            requestCb(null);\n                        }\n                    };\n\n                    entriesToWatch.forEach(function (entry) {\n                        impl.watchPath(entry.fullPath, filterGlobs, watchCallback);\n                    });\n                });\n            }, callback);\n        } else {\n            // Unwatching never requires enumerating the subfolders (which is good, since after a\n            // delete/rename we may be unable to do so anyway)\n            this._enqueueWatchRequest(function (requestCb) {\n                impl.unwatchPath(entry.fullPath, requestCb);\n            }, callback);\n        }\n    };\n\n    /**\n     * Watch a filesystem entry beneath a given watchedRoot.\n     *\n     * @private\n     * @param {FileSystemEntry} entry - The FileSystemEntry to watch. Must be a\n     *      non-strict descendent of watchedRoot.entry.\n     * @param {WatchedRoot} watchedRoot - See FileSystem._watchedRoots.\n     * @param {function(?string)} callback - A function that is called once the\n     *      watch is complete, possibly with a FileSystemError string.\n     */\n    FileSystem.prototype._watchEntry = function (entry, watchedRoot, callback) {\n        this._watchOrUnwatchEntry(entry, watchedRoot, callback, true);\n    };\n\n    /**\n     * Unwatch a filesystem entry beneath a given watchedRoot.\n     *\n     * @private\n     * @param {FileSystemEntry} entry - The FileSystemEntry to watch. Must be a\n     *      non-strict descendent of watchedRoot.entry.\n     * @param {WatchedRoot} watchedRoot - See FileSystem._watchedRoots.\n     * @param {function(?string)} callback - A function that is called once the\n     *      watch is complete, possibly with a FileSystemError string.\n     */\n    FileSystem.prototype._unwatchEntry = function (entry, watchedRoot, callback) {\n        this._watchOrUnwatchEntry(entry, watchedRoot, function (err) {\n            // Make sure to clear cached data for all unwatched entries because\n            // entries always return cached data if it exists!\n            this._index.visitAll(function (child) {\n                if (child.fullPath.indexOf(entry.fullPath) === 0) {\n                    // \'true\' so entry doesn\'t try to clear its immediate childrens\' caches too. That would be redundant\n                    // with the visitAll() here, and could be slow if we\'ve already cleared its parent (#7150).\n                    child._clearCachedData(true);\n                }\n            }.bind(this));\n\n            callback(err);\n        }.bind(this), false);\n    };\n\n    /**\n     * Initialize this FileSystem instance.\n     *\n     * @param {FileSystemImpl} impl The back-end implementation for this\n     *      FileSystem instance.\n     */\n    FileSystem.prototype.init = function (impl) {\n        console.assert(!this._impl, "This FileSystem has already been initialized!");\n\n        var changeCallback = this._enqueueExternalChange.bind(this),\n            offlineCallback = this._unwatchAll.bind(this);\n\n        this._impl = impl;\n        this._impl.initWatchers(changeCallback, offlineCallback);\n    };\n\n    /**\n     * Close a file system. Clear all caches, indexes, and file watchers.\n     */\n    FileSystem.prototype.close = function () {\n        this._impl.unwatchAll();\n        this._index.clear();\n    };\n\n    /**\n     * Returns true if the given path should be automatically added to the index & watch list when one of its ancestors\n     * is a watch-root. (Files are added automatically when the watch-root is first established, or later when a new\n     * directory is created and its children enumerated).\n     *\n     * Entries explicitly created via FileSystem.getFile/DirectoryForPath() are *always* added to the index regardless\n     * of this filtering - but they will not be watched if the watch-root\'s filter excludes them.\n     *\n     * @param {string} path Full path\n     * @param {string} name Name portion of the path\n     */\n    FileSystem.prototype._indexFilter = function (path, name) {\n        var parentRoot = this._findWatchedRootForPath(path);\n\n        if (parentRoot) {\n            return parentRoot.filter(name, path);\n        }\n\n        // It might seem more sensible to return false (exclude) for files outside the watch roots, but\n        // that would break usage of appFileSystem for \'system\'-level things like enumerating extensions.\n        // (Or in general, Directory.getContents() for any Directory outside the watch roots).\n        return true;\n    };\n\n    /**\n     * Indicates that a filesystem-mutating operation has begun. As long as there\n     * are changes taking place, change events from the external watchers are\n     * blocked and queued, to be handled once changes have finished. This is done\n     * because for mutating operations that originate from within the filesystem,\n     * synthetic change events are fired that do not depend on external file\n     * watchers, and we prefer the former over the latter for the following\n     * reasons: 1) there is no delay; and 2) they may have higher fidelity ---\n     * e.g., a rename operation can be detected as such, instead of as a nearly\n     * simultaneous addition and deletion.\n     *\n     * All operations that mutate the file system MUST begin with a call to\n     * _beginChange and must end with a call to _endChange.\n     */\n    FileSystem.prototype._beginChange = function () {\n        this._activeChangeCount++;\n        //console.log("> beginChange  -> " + this._activeChangeCount);\n    };\n\n    /**\n     * Indicates that a filesystem-mutating operation has completed. See\n     * FileSystem._beginChange above.\n     */\n    FileSystem.prototype._endChange = function () {\n        this._activeChangeCount--;\n        //console.log("< endChange    -> " + this._activeChangeCount);\n\n        if (this._activeChangeCount < 0) {\n            console.error("FileSystem _activeChangeCount has fallen below zero!");\n        }\n\n        if (!this._activeChangeCount) {\n            this._triggerExternalChangesNow();\n        }\n    };\n\n    /**\n     * Determines whether or not the supplied path is absolute, as opposed to relative.\n     *\n     * @param {!string} fullPath\n     * @return {boolean} True if the fullPath is absolute and false otherwise.\n     */\n    FileSystem.isAbsolutePath = function (fullPath) {\n        return (fullPath[0] === "/" || (fullPath[1] === ":" && fullPath[2] === "/"));\n    };\n\n    function _ensureTrailingSlash(path) {\n        if (path[path.length - 1] !== "/") {\n            path += "/";\n        }\n\n        return path;\n    }\n\n    /*\n     * Matches continguous groups of forward slashes\n     * @const\n     */\n    var _DUPLICATED_SLASH_RE = /\\/{2,}/g;\n\n    /**\n     * Returns a canonical version of the path: no duplicated "/"es, no ".."s,\n     * and directories guaranteed to end in a trailing "/"\n     * @param {!string} path  Absolute path, using "/" as path separator\n     * @param {boolean=} isDirectory\n     * @return {!string}\n     */\n    FileSystem.prototype._normalizePath = function (path, isDirectory) {\n\n        if (!FileSystem.isAbsolutePath(path)) {\n            throw new Error("Paths must be absolute: \'" + path + "\'");  // expect only absolute paths\n        }\n\n        var isUNCPath = this._impl.normalizeUNCPaths && path.search(_DUPLICATED_SLASH_RE) === 0;\n\n        // Remove duplicated "/"es\n        path = path.replace(_DUPLICATED_SLASH_RE, "/");\n\n        // Remove ".." segments\n        if (path.indexOf("..") !== -1) {\n            var segments = path.split("/"),\n                i;\n            for (i = 1; i < segments.length; i++) {\n                if (segments[i] === "..") {\n                    if (i < 2) {\n                        throw new Error("Invalid absolute path: \'" + path + "\'");\n                    }\n                    segments.splice(i - 1, 2);\n                    i -= 2; // compensate so we start on the right index next iteration\n                }\n            }\n            path = segments.join("/");\n        }\n\n        if (isDirectory) {\n            // Make sure path DOES include trailing slash\n            path = _ensureTrailingSlash(path);\n        }\n\n        if (isUNCPath) {\n            // Restore the leading double slash that was removed previously\n            path = "/" + path;\n        }\n\n        return path;\n    };\n\n    /**\n     * This method adds an entry for a file in the file Index. Files on disk are added\n     * to the file index either on load or on open. This method is primarily needed to add\n     * in memory files to the index\n     *\n     * @param {File} The fileEntry which needs to be added\n     * @param {String} The full path to the file\n     */\n    FileSystem.prototype.addEntryForPathIfRequired = function (fileEntry, path) {\n        var entry = this._index.getEntry(path);\n\n        if (!entry) {\n            this._index.addEntry(fileEntry);\n        }\n    };\n\n    /**\n     * Return a (strict subclass of a) FileSystemEntry object for the specified\n     * path using the provided constuctor. For now, the provided constructor\n     * should be either File or Directory.\n     *\n     * @private\n     * @param {function(string, FileSystem)} EntryConstructor Constructor with\n     *      which to initialize new FileSystemEntry objects.\n     * @param {string} path Absolute path of file.\n     * @return {File|Directory} The File or Directory object. This file may not\n     *      yet exist on disk.\n     */\n    FileSystem.prototype._getEntryForPath = function (EntryConstructor, path) {\n        var isDirectory = EntryConstructor === Directory;\n        path = this._normalizePath(path, isDirectory);\n        var entry = this._index.getEntry(path);\n\n        if (!entry) {\n            entry = new EntryConstructor(path, this);\n            this._index.addEntry(entry);\n        }\n\n        return entry;\n    };\n\n    /**\n     * Return a File object for the specified path.\n     *\n     * @param {string} path Absolute path of file.\n     *\n     * @return {File} The File object. This file may not yet exist on disk.\n     */\n    FileSystem.prototype.getFileForPath = function (path) {\n        return this._getEntryForPath(File, path);\n    };\n\n    /**\n     * Return a Directory object for the specified path.\n     *\n     * @param {string} path Absolute path of directory.\n     *\n     * @return {Directory} The Directory object. This directory may not yet exist on disk.\n     */\n    FileSystem.prototype.getDirectoryForPath = function (path) {\n        return this._getEntryForPath(Directory, path);\n    };\n\n    /**\n     * Resolve a path.\n     *\n     * @param {string} path The path to resolve\n     * @param {function (?string, FileSystemEntry=, FileSystemStats=)} callback Callback resolved\n     *      with a FileSystemError string or with the entry for the provided path.\n     */\n    FileSystem.prototype.resolve = function (path, callback) {\n        var normalizedPath = this._normalizePath(path, false),\n            item = this._index.getEntry(normalizedPath);\n\n        if (!item) {\n            normalizedPath = _ensureTrailingSlash(normalizedPath);\n            item = this._index.getEntry(normalizedPath);\n        }\n\n        if (item) {\n            item.stat(function (err, stat) {\n                if (err) {\n                    callback(err);\n                    return;\n                }\n\n                callback(null, item, stat);\n            });\n        } else {\n            this._impl.stat(path, function (err, stat) {\n                if (err) {\n                    callback(err);\n                    return;\n                }\n\n                if (stat.isFile) {\n                    item = this.getFileForPath(path);\n                } else {\n                    item = this.getDirectoryForPath(path);\n                }\n\n                if (item._isWatched()) {\n                    item._stat = stat;\n                }\n\n                callback(null, item, stat);\n            }.bind(this));\n        }\n    };\n\n    /**\n     * Show an "Open" dialog and return the file(s)/directories selected by the user.\n     *\n     * @param {boolean} allowMultipleSelection Allows selecting more than one file at a time\n     * @param {boolean} chooseDirectories Allows directories to be opened\n     * @param {string} title The title of the dialog\n     * @param {string} initialPath The folder opened inside the window initially. If initialPath\n     *                          is not set, or it doesn\'t exist, the window would show the last\n     *                          browsed folder depending on the OS preferences\n     * @param {?Array.<string>} fileTypes (Currently *ignored* except on Mac - https://trello.com/c/430aXkpq)\n     *                          List of extensions that are allowed to be opened, without leading ".".\n     *                          Null or empty array allows all files to be selected. Not applicable\n     *                          when chooseDirectories = true.\n     * @param {function (?string, Array.<string>=)} callback Callback resolved with a FileSystemError\n     *                          string or the selected file(s)/directories. If the user cancels the\n     *                          open dialog, the error will be falsy and the file/directory array will\n     *                          be empty.\n     */\n    FileSystem.prototype.showOpenDialog = function (allowMultipleSelection,\n                            chooseDirectories,\n                            title,\n                            initialPath,\n                            fileTypes,\n                            callback) {\n\n        this._impl.showOpenDialog(allowMultipleSelection, chooseDirectories, title, initialPath, fileTypes, callback);\n    };\n\n    /**\n     * Show a "Save" dialog and return the path of the file to save.\n     *\n     * @param {string} title The title of the dialog.\n     * @param {string} initialPath The folder opened inside the window initially. If initialPath\n     *                          is not set, or it doesn\'t exist, the window would show the last\n     *                          browsed folder depending on the OS preferences.\n     * @param {string} proposedNewFilename Provide a new file name for the user. This could be based on\n     *                          on the current file name plus an additional suffix\n     * @param {function (?string, string=)} callback Callback that is resolved with a FileSystemError\n     *                          string or the name of the file to save. If the user cancels the save,\n     *                          the error will be falsy and the name will be empty.\n     */\n    FileSystem.prototype.showSaveDialog = function (title, initialPath, proposedNewFilename, callback) {\n        this._impl.showSaveDialog(title, initialPath, proposedNewFilename, callback);\n    };\n\n    /**\n     * Fire a rename event. Clients listen for these events using FileSystem.on.\n     *\n     * @param {string} oldPath The entry\'s previous fullPath\n     * @param {string} newPath The entry\'s current fullPath\n     */\n    FileSystem.prototype._fireRenameEvent = function (oldPath, newPath) {\n        this.trigger("rename", oldPath, newPath);\n    };\n\n    /**\n     * Fire a change event. Clients listen for these events using FileSystem.on.\n     *\n     * @param {File|Directory} entry The entry that has changed\n     * @param {Array<File|Directory>=} added If the entry is a directory, this\n     *      is a set of new entries in the directory.\n     * @param {Array<File|Directory>=} removed If the entry is a directory, this\n     *      is a set of removed entries from the directory.\n     */\n    FileSystem.prototype._fireChangeEvent = function (entry, added, removed) {\n        this.trigger("change", entry, added, removed);\n    };\n\n    /**\n     * @private\n     * Notify the system when an entry name has changed.\n     *\n     * @param {string} oldFullPath\n     * @param {string} newFullPath\n     * @param {boolean} isDirectory\n     */\n    FileSystem.prototype._handleRename = function (oldFullPath, newFullPath, isDirectory) {\n        // Update all affected entries in the index\n        this._index.entryRenamed(oldFullPath, newFullPath, isDirectory);\n    };\n\n    /**\n     * Notify the filesystem that the given directory has changed. Updates the filesystem\'s\n     * internal state as a result of the change, and calls back with the set of added and\n     * removed entries. Mutating FileSystemEntry operations should call this method before\n     * applying the operation\'s callback, and pass along the resulting change sets in the\n     * internal change event.\n     *\n     * @param {Directory} directory The directory that has changed.\n     * @param {function(Array<File|Directory>=, Array<File|Directory>=)} callback\n     *      The callback that will be applied to a set of added and a set of removed\n     *      FileSystemEntry objects.\n     */\n    FileSystem.prototype._handleDirectoryChange = function (directory, callback) {\n        var oldContents = directory._contents;\n\n        directory._clearCachedData();\n        directory.getContents(function (err, contents) {\n            var addedEntries = oldContents && contents.filter(function (entry) {\n                return oldContents.indexOf(entry) === -1;\n            });\n\n            var removedEntries = oldContents && oldContents.filter(function (entry) {\n                return contents.indexOf(entry) === -1;\n            });\n\n            // If directory is not watched, clear children\'s caches manually.\n            var watchedRoot = this._findWatchedRootForPath(directory.fullPath);\n            if (!watchedRoot || !watchedRoot.filter(directory.name, directory.parentPath)) {\n                this._index.visitAll(function (entry) {\n                    if (entry.fullPath.indexOf(directory.fullPath) === 0) {\n                        // Passing \'true\' for a similar reason as in _unwatchEntry() - see #7150\n                        entry._clearCachedData(true);\n                    }\n                }.bind(this));\n\n                callback(addedEntries, removedEntries);\n                return;\n            }\n\n            var addedCounter = addedEntries ? addedEntries.length : 0,\n                removedCounter = removedEntries ? removedEntries.length : 0,\n                counter = addedCounter + removedCounter;\n\n            if (counter === 0) {\n                callback(addedEntries, removedEntries);\n                return;\n            }\n\n            var watchOrUnwatchCallback = function (err) {\n                if (err) {\n                    console.error("FileSystem error in _handleDirectoryChange after watch/unwatch entries: " + err);\n                }\n\n                if (--counter === 0) {\n                    callback(addedEntries, removedEntries);\n                }\n            };\n\n            if (addedEntries) {\n                addedEntries.forEach(function (entry) {\n                    this._watchEntry(entry, watchedRoot, watchOrUnwatchCallback);\n                }, this);\n            }\n\n            if (removedEntries) {\n                removedEntries.forEach(function (entry) {\n                    this._unwatchEntry(entry, watchedRoot, watchOrUnwatchCallback);\n                }, this);\n            }\n        }.bind(this));\n    };\n\n    /**\n     * @private\n     * Processes a result from the file/directory watchers. Watch results are sent from the low-level implementation\n     * whenever a directory or file is changed.\n     *\n     * @param {string} path The path that changed. This could be a file or a directory.\n     * @param {FileSystemStats=} stat Optional stat for the item that changed. This param is not always\n     *         passed.\n     */\n    FileSystem.prototype._handleExternalChange = function (path, stat) {\n\n        if (!path) {\n            // This is a "wholesale" change event; clear all caches\n            this._index.visitAll(function (entry) {\n                // Passing \'true\' for a similar reason as in _unwatchEntry() - see #7150\n                entry._clearCachedData(true);\n            });\n\n            this._fireChangeEvent(null);\n            return;\n        }\n\n        path = this._normalizePath(path, false);\n\n        var entry = this._index.getEntry(path);\n        if (entry) {\n            var oldStat = entry._stat;\n            if (entry.isFile) {\n                // Update stat and clear contents, but only if out of date\n                if (!(stat && oldStat && stat.mtime.getTime() <= oldStat.mtime.getTime())) {\n                    entry._clearCachedData();\n                    entry._stat = stat;\n                    this._fireChangeEvent(entry);\n                }\n            } else {\n                this._handleDirectoryChange(entry, function (added, removed) {\n                    entry._stat = stat;\n\n                    if (entry._isWatched()) {\n                        // We send a change even if added & removed are both zero-length. Something may still have changed,\n                        // e.g. a file may have been quickly removed & re-added before we got a chance to reread the directory\n                        // listing.\n                        this._fireChangeEvent(entry, added, removed);\n                    }\n                }.bind(this));\n            }\n        }\n    };\n\n    /**\n     * Clears all cached content. Because of the performance implications of this, this should only be used if\n     * there is a suspicion that the file system has not been updated through the normal file watchers\n     * mechanism.\n     */\n    FileSystem.prototype.clearAllCaches = function () {\n        this._handleExternalChange(null);\n    };\n\n    /**\n     * Start watching a filesystem root entry.\n     *\n     * @param {FileSystemEntry} entry - The root entry to watch. If entry is a directory,\n     *      all subdirectories that aren\'t explicitly filtered will also be watched.\n     * @param {function(string): boolean} filter - Returns true if a particular item should\n     *      be watched, given its name (not full path). Items that are ignored are also\n     *      filtered from Directory.getContents() results within this subtree.\n     * @param {Array<string>} filterGlobs - glob compatible string definitions for\n     *      filtering out events on the node side.\n     * @param {function(?string)=} callback - A function that is called when the watch has\n     *      completed. If the watch fails, the function will have a non-null FileSystemError\n     *      string parametr.\n     */\n    FileSystem.prototype.watch = function (entry, filter, filterGlobs, callback) {\n        // make filterGlobs an optional argument to stay backwards compatible\n        if (typeof callback === "undefined" && typeof filterGlobs === "function") {\n            callback = filterGlobs;\n            filterGlobs = null;\n        }\n\n        var fullPath = entry.fullPath;\n\n        callback = callback || function () {};\n\n        var watchingParentRoot = this._findWatchedRootForPath(fullPath);\n        if (watchingParentRoot &&\n                (watchingParentRoot.status === WatchedRoot.STARTING ||\n                 watchingParentRoot.status === WatchedRoot.ACTIVE)) {\n            callback("A parent of this root is already watched");\n            return;\n        }\n\n        var watchingChildRoot = Object.keys(this._watchedRoots).some(function (path) {\n            var watchedRoot = this._watchedRoots[path],\n                watchedPath = watchedRoot.entry.fullPath;\n\n            return watchedPath.indexOf(fullPath) === 0;\n        }, this);\n\n        if (watchingChildRoot &&\n                (watchingChildRoot.status === WatchedRoot.STARTING ||\n                 watchingChildRoot.status === WatchedRoot.ACTIVE)) {\n            callback("A child of this root is already watched");\n            return;\n        }\n\n        var watchedRoot = new WatchedRoot(entry, filter, filterGlobs);\n\n        this._watchedRoots[fullPath] = watchedRoot;\n\n        // Enter the STARTING state early to indiate that watched Directory\n        // objects may cache their contents. See FileSystemEntry._isWatched.\n        watchedRoot.status = WatchedRoot.STARTING;\n\n        this._watchEntry(entry, watchedRoot, function (err) {\n            if (err) {\n                console.warn("Failed to watch root: ", entry.fullPath, err);\n                delete this._watchedRoots[fullPath];\n                callback(err);\n                return;\n            }\n\n            watchedRoot.status = WatchedRoot.ACTIVE;\n\n            callback(null);\n        }.bind(this));\n    };\n\n    /**\n     * Stop watching a filesystem root entry.\n     *\n     * @param {FileSystemEntry} entry - The root entry to stop watching. The unwatch will\n     *      if the entry is not currently being watched.\n     * @param {function(?string)=} callback - A function that is called when the unwatch has\n     *      completed. If the unwatch fails, the function will have a non-null FileSystemError\n     *      string parameter.\n     */\n    FileSystem.prototype.unwatch = function (entry, callback) {\n        var fullPath = entry.fullPath,\n            watchedRoot = this._watchedRoots[fullPath];\n\n        callback = callback || function () {};\n\n        if (!watchedRoot) {\n            callback(FileSystemError.ROOT_NOT_WATCHED);\n            return;\n        }\n\n        // Mark this as inactive, but don\'t delete the entry until the unwatch is complete.\n        // This is useful for making sure we don\'t try to concurrently watch overlapping roots.\n        watchedRoot.status = WatchedRoot.INACTIVE;\n\n        this._unwatchEntry(entry, watchedRoot, function (err) {\n            delete this._watchedRoots[fullPath];\n\n            this._index.visitAll(function (child) {\n                if (child.fullPath.indexOf(entry.fullPath) === 0) {\n                    this._index.removeEntry(child);\n                }\n            }.bind(this));\n\n            if (err) {\n                console.warn("Failed to unwatch root: ", entry.fullPath, err);\n                callback(err);\n                return;\n            }\n\n            callback(null);\n        }.bind(this));\n    };\n\n    /**\n     * Unwatch all watched roots. Calls unwatch on the underlying impl for each\n     * watched root and ignores errors.\n     * @private\n     */\n    FileSystem.prototype._unwatchAll = function () {\n        console.warn("File watchers went offline!");\n\n        Object.keys(this._watchedRoots).forEach(function (path) {\n            var watchedRoot = this._watchedRoots[path];\n\n            watchedRoot.status = WatchedRoot.INACTIVE;\n            delete this._watchedRoots[path];\n            this._unwatchEntry(watchedRoot.entry, watchedRoot, function () {\n                console.warn("Watching disabled for", watchedRoot.entry.fullPath);\n            });\n        }, this);\n\n        // Fire a wholesale change event, clearing all caches and request that\n        // clients manually update their state.\n        this._handleExternalChange(null);\n    };\n\n\n    // The singleton instance\n    var _instance;\n\n    function _wrap(func) {\n        return function () {\n            return func.apply(_instance, arguments);\n        };\n    }\n\n    // Export public methods as proxies to the singleton instance\n    exports.init = _wrap(FileSystem.prototype.init);\n    exports.close = _wrap(FileSystem.prototype.close);\n    exports.shouldShow = _wrap(FileSystem.prototype.shouldShow);\n    exports.getFileForPath = _wrap(FileSystem.prototype.getFileForPath);\n    exports.addEntryForPathIfRequired = _wrap(FileSystem.prototype.addEntryForPathIfRequired);\n    exports.getDirectoryForPath = _wrap(FileSystem.prototype.getDirectoryForPath);\n    exports.resolve = _wrap(FileSystem.prototype.resolve);\n    exports.showOpenDialog = _wrap(FileSystem.prototype.showOpenDialog);\n    exports.showSaveDialog = _wrap(FileSystem.prototype.showSaveDialog);\n    exports.watch = _wrap(FileSystem.prototype.watch);\n    exports.unwatch = _wrap(FileSystem.prototype.unwatch);\n    exports.clearAllCaches = _wrap(FileSystem.prototype.clearAllCaches);\n\n    // Static public utility methods\n    exports.isAbsolutePath = FileSystem.isAbsolutePath;\n\n    // For testing only\n    exports._getActiveChangeCount = _wrap(FileSystem.prototype._getActiveChangeCount);\n\n    /**\n     * Add an event listener for a FileSystem event.\n     *\n     * @param {string} event The name of the event\n     * @param {function} handler The handler for the event\n     */\n    exports.on = function (event, handler) {\n        _instance.on(event, handler);\n    };\n\n    /**\n     * Remove an event listener for a FileSystem event.\n     *\n     * @param {string} event The name of the event\n     * @param {function} handler The handler for the event\n     */\n    exports.off = function (event, handler) {\n        _instance.off(event, handler);\n    };\n\n    // Export the FileSystem class as "private" for unit testing only.\n    exports._FileSystem = FileSystem;\n\n    // Create the singleton instance\n    _instance = new FileSystem();\n\n    // Initialize the singleton instance\n    _instance.init(require("fileSystemImpl"));\n});\n\n//# sourceURL=/filesystem/FileSystem.js'),
eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Utilities module to provide constants for keyCodes\n */\ndefine(\'utils/KeyEvent\',{\n    DOM_VK_CANCEL: 3,\n    DOM_VK_HELP: 6,\n    DOM_VK_BACK_SPACE: 8,\n    DOM_VK_TAB: 9,\n    DOM_VK_CLEAR: 12,\n    DOM_VK_RETURN: 13,\n    DOM_VK_ENTER: 14,\n    DOM_VK_SHIFT: 16,\n    DOM_VK_CONTROL: 17,\n    DOM_VK_ALT: 18,\n    DOM_VK_PAUSE: 19,\n    DOM_VK_CAPS_LOCK: 20,\n    DOM_VK_ESCAPE: 27,\n    DOM_VK_SPACE: 32,\n    DOM_VK_PAGE_UP: 33,\n    DOM_VK_PAGE_DOWN: 34,\n    DOM_VK_END: 35,\n    DOM_VK_HOME: 36,\n    DOM_VK_LEFT: 37,\n    DOM_VK_UP: 38,\n    DOM_VK_RIGHT: 39,\n    DOM_VK_DOWN: 40,\n    DOM_VK_PRINTSCREEN: 44,\n    DOM_VK_INSERT: 45,\n    DOM_VK_DELETE: 46,\n    DOM_VK_0: 48,\n    DOM_VK_1: 49,\n    DOM_VK_2: 50,\n    DOM_VK_3: 51,\n    DOM_VK_4: 52,\n    DOM_VK_5: 53,\n    DOM_VK_6: 54,\n    DOM_VK_7: 55,\n    DOM_VK_8: 56,\n    DOM_VK_9: 57,\n    DOM_VK_A: 65,\n    DOM_VK_B: 66,\n    DOM_VK_C: 67,\n    DOM_VK_D: 68,\n    DOM_VK_E: 69,\n    DOM_VK_F: 70,\n    DOM_VK_G: 71,\n    DOM_VK_H: 72,\n    DOM_VK_I: 73,\n    DOM_VK_J: 74,\n    DOM_VK_K: 75,\n    DOM_VK_L: 76,\n    DOM_VK_M: 77,\n    DOM_VK_N: 78,\n    DOM_VK_O: 79,\n    DOM_VK_P: 80,\n    DOM_VK_Q: 81,\n    DOM_VK_R: 82,\n    DOM_VK_S: 83,\n    DOM_VK_T: 84,\n    DOM_VK_U: 85,\n    DOM_VK_V: 86,\n    DOM_VK_W: 87,\n    DOM_VK_X: 88,\n    DOM_VK_Y: 89,\n    DOM_VK_Z: 90,\n    DOM_VK_CONTEXT_MENU: 93,\n    DOM_VK_NUMPAD0: 96,\n    DOM_VK_NUMPAD1: 97,\n    DOM_VK_NUMPAD2: 98,\n    DOM_VK_NUMPAD3: 99,\n    DOM_VK_NUMPAD4: 100,\n    DOM_VK_NUMPAD5: 101,\n    DOM_VK_NUMPAD6: 102,\n    DOM_VK_NUMPAD7: 103,\n    DOM_VK_NUMPAD8: 104,\n    DOM_VK_NUMPAD9: 105,\n    DOM_VK_MULTIPLY: 106,\n    DOM_VK_ADD: 107,\n    DOM_VK_SEPARATOR: 108,\n    DOM_VK_SUBTRACT: 109,\n    DOM_VK_DECIMAL: 110,\n    DOM_VK_DIVIDE: 111,\n    DOM_VK_F1: 112,\n    DOM_VK_F2: 113,\n    DOM_VK_F3: 114,\n    DOM_VK_F4: 115,\n    DOM_VK_F5: 116,\n    DOM_VK_F6: 117,\n    DOM_VK_F7: 118,\n    DOM_VK_F8: 119,\n    DOM_VK_F9: 120,\n    DOM_VK_F10: 121,\n    DOM_VK_F11: 122,\n    DOM_VK_F12: 123,\n    DOM_VK_F13: 124,\n    DOM_VK_F14: 125,\n    DOM_VK_F15: 126,\n    DOM_VK_F16: 127,\n    DOM_VK_F17: 128,\n    DOM_VK_F18: 129,\n    DOM_VK_F19: 130,\n    DOM_VK_F20: 131,\n    DOM_VK_F21: 132,\n    DOM_VK_F22: 133,\n    DOM_VK_F23: 134,\n    DOM_VK_F24: 135,\n    DOM_VK_NUM_LOCK: 144,\n    DOM_VK_SCROLL_LOCK: 145,\n    DOM_VK_SEMICOLON: 186,\n    DOM_VK_EQUALS: 187,\n    DOM_VK_COMMA: 188,\n    DOM_VK_DASH: 189,\n    DOM_VK_PERIOD: 190,\n    DOM_VK_SLASH: 191,\n    DOM_VK_BACK_QUOTE: 192,\n    DOM_VK_OPEN_BRACKET: 219,\n    DOM_VK_BACK_SLASH: 220,\n    DOM_VK_CLOSE_BRACKET: 221,\n    DOM_VK_QUOTE: 222,\n    DOM_VK_META: 224\n\n});\n\n//# sourceURL=/utils/KeyEvent.js'),eval('define(\'text!base-config/keyboard.json\',[],function () { return \'{\\n    "file.newDoc":  [\\n        "Ctrl-N"\\n    ],\\n    "file.open":  [\\n        "Ctrl-O"\\n    ],\\n    "file.close":  [\\n        "Ctrl-W"\\n    ],\\n    "file.openFolder": [\\n        "Ctrl-Alt-O"\\n    ],\\n    "file.close_all":  [\\n        "Ctrl-Shift-W"\\n    ],\\n    "file.save":  [\\n        "Ctrl-S"\\n    ],\\n    "file.saveAll":  [\\n        "Ctrl-Alt-S"\\n    ],\\n    "file.saveAs":  [\\n        "Ctrl-Shift-S"\\n    ],    \\n    "file.liveFilePreview":  [\\n        "Ctrl-Alt-P"\\n    ],\\n    "file.reloadLivePreview": [\\n        {\\n            "key": "Ctrl-Shift-R"\\n        }\\n    ],\\n    "file.previewHighlight":  [\\n        "Ctrl-Shift-C"\\n    ],\\n    "file.quit":  [\\n        "Ctrl-Q"\\n    ],\\n    "edit.undo": [\\n        "Ctrl-Z"\\n    ],\\n    "edit.redo": [\\n        {\\n            "key": "Ctrl-Y"\\n        },\\n        {\\n            "key": "Cmd-Shift-Z",\\n            "platform": "mac"\\n        }\\n    ],\\n    "edit.cut": [\\n        "Ctrl-X"\\n    ],\\n    "edit.copy": [\\n        "Ctrl-C"\\n    ],\\n    "edit.paste": [\\n        "Ctrl-V"\\n    ],\\n    "edit.selectAll":  [\\n        "Ctrl-A"\\n    ],\\n    "edit.selectLine":  [\\n        {\\n            "key": "Ctrl-L"\\n        },\\n        {\\n            "key": "Ctrl-L",\\n            "platform": "mac"\\n        }\\n    ],\\n    "edit.splitSelIntoLines": [\\n        {\\n           "key": "Ctrl-Alt-L"\\n        },\\n        {\\n           "key":"Ctrl-Shift-L",\\n           "platform": "linux"\\n        }\\n    ],\\n    "edit.addCursorToPrevLine": [\\n        {\\n            "key": "Shift-Alt-Up",\\n            "displayKey": "Shift-Alt-↑"\\n        }\\n    ],\\n    "edit.addCursorToNextLine": [\\n        {\\n            "key": "Shift-Alt-Down",\\n            "displayKey": "Shift-Alt-↓"\\n        }\\n    ],\\n    "edit.indent":  [\\n        {\\n            "key": "Ctrl-]"\\n        }\\n    ],\\n    "edit.unindent":  [\\n        {\\n            "key": "Ctrl-["\\n        }\\n    ],\\n    "edit.duplicate":  [\\n        "Ctrl-D"\\n    ],\\n    "edit.deletelines":  [\\n        "Ctrl-Shift-D"\\n    ],\\n    "edit.lineUp":  [\\n        {\\n            "key": "Ctrl-Shift-Up",\\n            "displayKey": "Ctrl-Shift-↑"\\n        },\\n        {\\n            "key": "Cmd-Ctrl-Up",\\n            "displayKey": "Cmd-Ctrl-↑",\\n            "platform": "mac"\\n        }\\n    ],\\n    "edit.lineDown":  [\\n        {\\n            "key": "Ctrl-Shift-Down",\\n            "displayKey": "Ctrl-Shift-↓"\\n        },\\n        {\\n            "key": "Cmd-Ctrl-Down",\\n            "displayKey": "Cmd-Ctrl-↓",\\n            "platform": "mac"\\n        }\\n    ],\\n    "edit.openLineAbove":  [\\n        "Ctrl-Shift-Enter"\\n    ],\\n    "edit.openLineBelow":  [\\n        "Ctrl-Enter"\\n    ],\\n    "edit.lineComment":  [\\n        "Ctrl-/"\\n    ],\\n    "edit.blockComment":  [\\n        {\\n            "key": "Ctrl-Shift-/"\\n        },\\n        {\\n            "key": "Cmd-Opt-/",\\n            "platform": "mac"\\n        }\\n    ],\\n    "edit.showCodeHints":  [\\n        {\\n            "key": "Ctrl-Space"\\n        },\\n        {\\n            "key": "Ctrl-Space",\\n            "platform": "mac"\\n        }\\n    ],\\n    "cmd.find":  [\\n        "Ctrl-F"\\n    ],\\n    "cmd.findInFiles":  [\\n        "Ctrl-Shift-F"\\n    ],\\n    "cmd.replaceInFiles":  [\\n        {\\n            "key": "Ctrl-Shift-H"\\n        },\\n        {\\n            "key": "Cmd-Opt-Shift-F",\\n            "platform": "mac"\\n        }\\n    ],\\n    "cmd.findNext":  [\\n        {\\n            "key": "F3"\\n        },\\n        {\\n            "key": "Cmd-G",\\n            "platform": "mac"\\n        }\\n    ],\\n    "cmd.findPrevious":  [\\n        {\\n            "key": "Shift-F3"\\n        },\\n        {\\n            "key": "Cmd-Shift-G",\\n            "platform": "mac"\\n        }\\n    ],\\n    "cmd.findAllAndSelect": [\\n        {\\n            "key": "Alt-F3"\\n        },\\n        {\\n            "key": "Cmd-Ctrl-G",\\n            "platform": "mac"\\n        }\\n    ],\\n    "cmd.addNextMatch": [\\n        {\\n            "key": "Ctrl-B"\\n        }\\n    ],\\n    "cmd.skipCurrentMatch": [\\n        {\\n            "key": "Ctrl-Shift-B"\\n        }\\n    ],\\n    "cmd.replace":  [\\n        {\\n            "key": "Ctrl-H"\\n        },\\n        {\\n            "key": "Cmd-Opt-F",\\n            "platform": "mac"\\n        }\\n    ],\\n    "view.toggleSidebar":  [\\n        {   \\n            "key" : "Ctrl-Alt-H"\\n        },\\n        {\\n            "key": "Cmd-Shift-H",\\n            "platform": "mac"\\n        }\\n    ],\\n    "view.increaseFontSize":  [\\n        {\\n            "key": "Ctrl-=",\\n            "displayKey": "Ctrl-+"\\n        },\\n        {\\n            "key": "Ctrl-+"\\n        }\\n    ],\\n    "view.decreaseFontSize":  [\\n        {\\n            "key": "Ctrl--",\\n            "displayKey": "Ctrl-−"\\n        }\\n    ],\\n    "view.restoreFontSize":  [\\n        "Ctrl-0"\\n    ],\\n    "view.scrollLineUp":  [\\n        {\\n            "key": "Ctrl-Up",\\n            "displayKey": "Ctrl-\\\\u2191"\\n        },\\n        {\\n            "key": "Ctrl-Opt-Up",\\n            "displayKey": "Ctrl-Opt-\\\\u2191",\\n            "platform": "mac"\\n        }\\n    ],\\n    "view.scrollLineDown":  [\\n        {\\n            "key": "Ctrl-Down",\\n            "displayKey": "Ctrl-\\\\u2193"\\n        },\\n        {\\n            "key": "Ctrl-Opt-Down",\\n            "displayKey": "Ctrl-Opt-\\\\u2193",\\n            "platform": "mac"\\n        }\\n    ],\\n    "navigate.quickOpen":  [\\n        "Ctrl-Shift-O"\\n    ],\\n    "navigate.gotoLine":  [\\n        {\\n            "key": "Ctrl-G"\\n        },\\n        {\\n            "key": "Cmd-L",\\n            "platform": "mac"\\n        }\\n    ],\\n    "navigate.gotoDefinition":  [\\n        "Ctrl-T"\\n    ],\\n    "navigate.jumptoDefinition":  [\\n        "Ctrl-J"\\n    ],\\n    "navigate.gotoFirstProblem":  [\\n        {\\n            "key": "F8"\\n        },\\n        {\\n            "key": "Cmd-\\\'",\\n            "platform": "mac"\\n        }\\n    ],\\n    "navigate.nextDocListOrder":  [\\n        {\\n            "key": "Ctrl-PageDown"\\n        }\\n    ],\\n    "navigate.prevDocListOrder":  [\\n        {\\n            "key": "Ctrl-PageUp"\\n        }\\n    ],\\n    "navigate.toggleQuickEdit":  [\\n        "Ctrl-E"\\n    ],\\n    "navigate.toggleQuickDocs":  [\\n        "Ctrl-K"\\n    ],\\n    "navigate.previousMatch":  [\\n        {\\n            "key": "Alt-Up",\\n            "displayKey": "Alt-↑"\\n        }\\n    ],\\n    "navigate.nextMatch":  [\\n        {\\n            "key": "Alt-Down",\\n            "displayKey": "Alt-↓"\\n        }\\n    ],\\n    "navigate.newRule":  [\\n        "Ctrl-Alt-N"\\n    ],\\n    "file.rename":  [\\n        "F2"\\n    ],\\n    "help.support": [\\n        "F1"\\n    ]\\n}\\n\';});\n\n//# sourceURL=/text!base-config/keyboard.json'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*jslint regexp: true */\n/*unittests: KeyBindingManager */\n\n/**\n * Manages the mapping of keyboard inputs to commands.\n */\ndefine(\'command/KeyBindingManager\',[\'require\',\'exports\',\'module\',\'utils/Global\',\'utils/AppInit\',\'command/Commands\',\'command/CommandManager\',\'widgets/DefaultDialogs\',\'utils/EventDispatcher\',\'filesystem/FileSystem\',\'filesystem/FileSystemError\',\'file/FileUtils\',\'utils/KeyEvent\',\'strings\',\'utils/StringUtils\',\'utils/UrlParams\',\'thirdparty/lodash\',\'text!base-config/keyboard.json\'],function (require, exports, module) {\n    "use strict";\n\n    require("utils/Global");\n\n    var AppInit             = require("utils/AppInit"),\n        Commands            = require("command/Commands"),\n        CommandManager      = require("command/CommandManager"),\n        DefaultDialogs      = require("widgets/DefaultDialogs"),\n        EventDispatcher     = require("utils/EventDispatcher"),\n        FileSystem          = require("filesystem/FileSystem"),\n        FileSystemError     = require("filesystem/FileSystemError"),\n        FileUtils           = require("file/FileUtils"),\n        KeyEvent            = require("utils/KeyEvent"),\n        Strings             = require("strings"),\n        StringUtils         = require("utils/StringUtils"),\n        UrlParams           = require("utils/UrlParams").UrlParams,\n        _                   = require("thirdparty/lodash");\n\n    var KeyboardPrefs       = JSON.parse(require("text!base-config/keyboard.json"));\n\n    var KEYMAP_FILENAME     = "keymap.json",\n        _userKeyMapFilePath = brackets.app.getApplicationSupportDirectory() + "/" + KEYMAP_FILENAME;\n\n    /**\n     * @private\n     * Maps normalized shortcut descriptor to key binding info.\n     * @type {!Object.<string, {commandID: string, key: string, displayKey: string}>}\n     */\n    var _keyMap            = {},    // For the actual key bindings including user specified ones\n        // For the default factory key bindings, cloned from _keyMap after all extensions are loaded.\n        _defaultKeyMap     = {};\n\n    /**\n     * @typedef {{shortcut: !string,\n     *            commandID: ?string}} UserKeyBinding\n     */\n\n    /**\n     * @private\n     * Maps shortcut descriptor to a command id.\n     * @type {UserKeyBinding}\n     */\n    var _customKeyMap      = {},\n        _customKeyMapCache = {};\n\n    /**\n     * @private\n     * Maps commandID to the list of shortcuts that are bound to it.\n     * @type {!Object.<string, Array.<{key: string, displayKey: string}>>}\n     */\n    var _commandMap  = {};\n\n    /**\n     * @private\n     * An array of command ID for all the available commands including the commands\n     * of installed extensions.\n     * @type {Array.<string>}\n     */\n    var _allCommands = [];\n\n    /**\n     * @private\n     * Maps key names to the corresponding unicode symols\n     * @type {{key: string, displayKey: string}}\n     */\n    var _displayKeyMap        = { "up":    "\\u2191",\n                                  "down":  "\\u2193",\n                                  "left":  "\\u2190",\n                                  "right": "\\u2192",\n                                  "-":     "\\u2212" };\n\n    var _specialCommands      = [Commands.EDIT_UNDO, Commands.EDIT_REDO, Commands.EDIT_SELECT_ALL,\n                                 Commands.EDIT_CUT, Commands.EDIT_COPY, Commands.EDIT_PASTE],\n        _reservedShortcuts    = ["Ctrl-Z", "Ctrl-Y", "Ctrl-A", "Ctrl-X", "Ctrl-C", "Ctrl-V"],\n        _macReservedShortcuts = ["Cmd-,", "Cmd-H", "Cmd-Alt-H", "Cmd-M", "Cmd-Shift-Z", "Cmd-Q"],\n        _keyNames             = ["Up", "Down", "Left", "Right", "Backspace", "Enter", "Space", "Tab",\n                                 "PageUp", "PageDown", "Home", "End", "Insert", "Delete"];\n\n    /**\n     * @private\n     * Flag to show key binding errors in the key map file. Default is true and\n     * it will be set to false when reloading without extensions. This flag is not\n     * used to suppress errors in loading or parsing the key map file. So if the key\n     * map file is corrupt, then the error dialog still shows up.\n     *\n     * @type {boolean}\n     */\n    var _showErrors = true;\n\n    /**\n     * @private\n     * Allow clients to toggle key binding\n     * @type {boolean}\n     */\n    var _enabled = true;\n\n    /**\n     * @private\n     * Stack of registered global keydown hooks.\n     * @type {Array.<function(Event): boolean>}\n     */\n    var _globalKeydownHooks = [];\n\n    /**\n     * @private\n     * Forward declaration for JSLint.\n     * @type {Function}\n     */\n    var _loadUserKeyMap;\n\n    /**\n     * @private\n     * States of Ctrl key down detection\n     * @enum {number}\n     */\n    var CtrlDownStates = {\n        "NOT_YET_DETECTED"    : 0,\n        "DETECTED"            : 1,\n        "DETECTED_AND_IGNORED": 2   // For consecutive ctrl keydown events while a Ctrl key is being hold down\n    };\n\n    /**\n     * @private\n     * Flags used to determine whether right Alt key is pressed. When it is pressed,\n     * the following two keydown events are triggered in that specific order.\n     *\n     *    1. _ctrlDown - flag used to record { ctrlKey: true, keyIdentifier: "Control", ... } keydown event\n     *    2. _altGrDown - flag used to record { ctrlKey: true, altKey: true, keyIdentifier: "Alt", ... } keydown event\n     *\n     * @type {CtrlDownStates|boolean}\n     */\n    var _ctrlDown = CtrlDownStates.NOT_YET_DETECTED,\n        _altGrDown = false;\n\n    /**\n     * @private\n     * Used to record the timeStamp property of the last keydown event.\n     * @type {number}\n     */\n    var _lastTimeStamp;\n\n    /**\n     * @private\n     * Used to record the keyIdentifier property of the last keydown event.\n     * @type {string}\n     */\n    var _lastKeyIdentifier;\n\n    /*\n     * @private\n     * Constant used for checking the interval between Control keydown event and Alt keydown event.\n     * If the right Alt key is down we get Control keydown followed by Alt keydown within 30 ms. if\n     * the user is pressing Control key and then Alt key, the interval will be larger than 30 ms.\n     * @type {number}\n     */\n    var MAX_INTERVAL_FOR_CTRL_ALT_KEYS = 30;\n\n    /**\n     * @private\n     * Forward declaration for JSLint.\n     * @type {Function}\n     */\n    var _onCtrlUp;\n\n    /**\n     * @private\n     * Resets all the flags and removes _onCtrlUp event listener.\n     *\n     */\n    function _quitAltGrMode() {\n        _enabled = true;\n        _ctrlDown = CtrlDownStates.NOT_YET_DETECTED;\n        _altGrDown = false;\n        _lastTimeStamp = null;\n        _lastKeyIdentifier = null;\n        $(window).off("keyup", _onCtrlUp);\n    }\n\n    /**\n     * @private\n     * Detects the release of AltGr key by checking all keyup events\n     * until we receive one with ctrl key code. Once detected, reset\n     * all the flags and also remove this event listener.\n     *\n     * @param {!KeyboardEvent} e keyboard event object\n     */\n    _onCtrlUp = function (e) {\n        var key = e.keyCode || e.which;\n        if (_altGrDown && key === KeyEvent.DOM_VK_CONTROL) {\n            _quitAltGrMode();\n        }\n    };\n\n    /**\n     * @private\n     * Detects whether AltGr key is pressed. When it is pressed, the first keydown event has\n     * ctrlKey === true with keyIdentifier === "Control". The next keydown event with\n     * altKey === true, ctrlKey === true and keyIdentifier === "Alt" is sent within 30 ms. Then\n     * the next keydown event with altKey === true, ctrlKey === true and keyIdentifier === "Control"\n     * is sent. If the user keep holding AltGr key down, then the second and third\n     * keydown events are repeatedly sent out alternately. If the user is also holding down Ctrl\n     * key, then either keyIdentifier === "Control" or keyIdentifier === "Alt" is repeatedly sent\n     * but not alternately.\n     *\n     * Once we detect the AltGr key down, then disable KeyBindingManager and set up a keyup\n     * event listener to detect the release of the altGr key so that we can re-enable KeyBindingManager.\n     * When we detect the addition of Ctrl key besides AltGr key, we also quit AltGr mode and re-enable\n     * KeyBindingManager.\n     *\n     * @param {!KeyboardEvent} e keyboard event object\n     */\n    function _detectAltGrKeyDown(e) {\n        if (brackets.platform !== "win") {\n            return;\n        }\n\n        if (!_altGrDown) {\n            if (_ctrlDown !== CtrlDownStates.DETECTED_AND_IGNORED && e.ctrlKey && e.keyIdentifier === "Control") {\n                _ctrlDown = CtrlDownStates.DETECTED;\n            } else if (e.repeat && e.ctrlKey && e.keyIdentifier === "Control") {\n                // We get here if the user is holding down left/right Control key. Set it to false\n                // so that we don\'t misidentify the combination of Ctrl and Alt keys as AltGr key.\n                _ctrlDown = CtrlDownStates.DETECTED_AND_IGNORED;\n            } else if (_ctrlDown === CtrlDownStates.DETECTED && e.altKey && e.ctrlKey && e.keyIdentifier === "Alt" &&\n                        (e.timeStamp - _lastTimeStamp) < MAX_INTERVAL_FOR_CTRL_ALT_KEYS) {\n                _altGrDown = true;\n                _lastKeyIdentifier = "Alt";\n                _enabled = false;\n                $(window).on("keyup", _onCtrlUp);\n            } else {\n                // Reset _ctrlDown so that we can start over in detecting the two key events\n                // required for AltGr key.\n                _ctrlDown = CtrlDownStates.NOT_YET_DETECTED;\n            }\n            _lastTimeStamp = e.timeStamp;\n        } else if (e.keyIdentifier === "Control" || e.keyIdentifier === "Alt") {\n            // If the user is NOT holding down AltGr key or is also pressing Ctrl key,\n            // then _lastKeyIdentifier will be the same as keyIdentifier in the current\n            // key event. So we need to quit AltGr mode to re-enable KBM.\n            if (e.altKey && e.ctrlKey && e.keyIdentifier === _lastKeyIdentifier) {\n                _quitAltGrMode();\n            } else {\n                _lastKeyIdentifier = e.keyIdentifier;\n            }\n        }\n    }\n\n    /**\n     * @private\n     */\n    function _reset() {\n        _keyMap = {};\n        _defaultKeyMap = {};\n        _customKeyMap = {};\n        _customKeyMapCache = {};\n        _commandMap = {};\n        _globalKeydownHooks = [];\n        _userKeyMapFilePath = brackets.app.getApplicationSupportDirectory() + "/" + KEYMAP_FILENAME;\n    }\n\n    /**\n     * @private\n     * Initialize an empty keymap as the current keymap. It overwrites the current keymap if there is one.\n     * builds the keyDescriptor string from the given parts\n     * @param {boolean} hasCtrl Is Ctrl key enabled\n     * @param {boolean} hasAlt Is Alt key enabled\n     * @param {boolean} hasShift Is Shift key enabled\n     * @param {string} key The key that\'s pressed\n     * @return {string} The normalized key descriptor\n     */\n    function _buildKeyDescriptor(hasMacCtrl, hasCtrl, hasAlt, hasShift, key) {\n        if (!key) {\n            console.log("KeyBindingManager _buildKeyDescriptor() - No key provided!");\n            return "";\n        }\n\n        var keyDescriptor = [];\n\n        if (hasMacCtrl) {\n            keyDescriptor.push("Ctrl");\n        }\n        if (hasAlt) {\n            keyDescriptor.push("Alt");\n        }\n        if (hasShift) {\n            keyDescriptor.push("Shift");\n        }\n\n        if (hasCtrl) {\n            // Windows display Ctrl first, Mac displays Command symbol last\n            if (brackets.platform === "mac") {\n                keyDescriptor.push("Cmd");\n            } else {\n                keyDescriptor.unshift("Ctrl");\n            }\n        }\n\n        keyDescriptor.push(key);\n\n        return keyDescriptor.join("-");\n    }\n\n\n    /**\n     * normalizes the incoming key descriptor so the modifier keys are always specified in the correct order\n     * @param {string} The string for a key descriptor, can be in any order, the result will be Ctrl-Alt-Shift-<Key>\n     * @return {string} The normalized key descriptor or null if the descriptor invalid\n     */\n    function normalizeKeyDescriptorString(origDescriptor) {\n        var hasMacCtrl = false,\n            hasCtrl = false,\n            hasAlt = false,\n            hasShift = false,\n            key = "",\n            error = false;\n\n        function _compareModifierString(left, right) {\n            if (!left || !right) {\n                return false;\n            }\n            left = left.trim().toLowerCase();\n            right = right.trim().toLowerCase();\n\n            return (left.length > 0 && left === right);\n        }\n\n        origDescriptor.split("-").forEach(function parseDescriptor(ele, i, arr) {\n            if (_compareModifierString("ctrl", ele)) {\n                if (brackets.platform === "mac") {\n                    hasMacCtrl = true;\n                } else {\n                    hasCtrl = true;\n                }\n            } else if (_compareModifierString("cmd", ele)) {\n                if (brackets.platform === "mac") {\n                    hasCtrl = true;\n                } else {\n                    error = true;\n                }\n            } else if (_compareModifierString("alt", ele)) {\n                hasAlt = true;\n            } else if (_compareModifierString("opt", ele)) {\n                if (brackets.platform === "mac") {\n                    hasAlt = true;\n                } else {\n                    error = true;\n                }\n            } else if (_compareModifierString("shift", ele)) {\n                hasShift = true;\n            } else if (key.length > 0) {\n                console.log("KeyBindingManager normalizeKeyDescriptorString() - Multiple keys defined. Using key: " + key + " from: " + origDescriptor);\n                error = true;\n            } else {\n                key = ele;\n            }\n        });\n\n        if (error) {\n            return null;\n        }\n\n        // Check to see if the binding is for "-".\n        if (key === "" && origDescriptor.search(/^.+--$/) !== -1) {\n            key = "-";\n        }\n\n        // \'+\' char is valid if it\'s the only key. Keyboard shortcut strings should use\n        // unicode characters (unescaped). Keyboard shortcut display strings may use\n        // unicode escape sequences (e.g. \\u20AC euro sign)\n        if ((key.indexOf("+")) >= 0 && (key.length > 1)) {\n            return null;\n        }\n\n        // Ensure that the first letter of the key name is in upper case and the rest are\n        // in lower case. i.e. \'a\' => \'A\' and \'up\' => \'Up\'\n        if (/^[a-z]/i.test(key)) {\n            key = _.capitalize(key.toLowerCase());\n        }\n\n        // Also make sure that the second word of PageUp/PageDown has the first letter in upper case.\n        if (/^Page/.test(key)) {\n            key = key.replace(/(up|down)$/, function (match, p1) {\n                return _.capitalize(p1);\n            });\n        }\n\n        // No restriction on single character key yet, but other key names are restricted to either\n        // Function keys or those listed in _keyNames array.\n        if (key.length > 1 && !/F\\d+/.test(key) &&\n                _keyNames.indexOf(key) === -1) {\n            return null;\n        }\n\n        return _buildKeyDescriptor(hasMacCtrl, hasCtrl, hasAlt, hasShift, key);\n    }\n\n    /**\n     * @private\n     * Looks for keycodes that have os-inconsistent keys and fixes them.\n     * @param {number} The keycode from the keyboard event.\n     * @param {string} The current best guess at what the key is.\n     * @return {string} If the key is OS-inconsistent, the correct key; otherwise, the original key.\n     **/\n    function _mapKeycodeToKey(keycode, key) {\n        // If keycode represents one of the digit keys (0-9), then return the corresponding digit\n        // by subtracting KeyEvent.DOM_VK_0 from keycode. ie. [48-57] --> [0-9]\n        if (keycode >= KeyEvent.DOM_VK_0 && keycode <= KeyEvent.DOM_VK_9) {\n            return String(keycode - KeyEvent.DOM_VK_0);\n        // Do the same with the numpad numbers\n        // by subtracting KeyEvent.DOM_VK_NUMPAD0 from keycode. ie. [96-105] --> [0-9]\n        } else if (keycode >= KeyEvent.DOM_VK_NUMPAD0 && keycode <= KeyEvent.DOM_VK_NUMPAD9) {\n            return String(keycode - KeyEvent.DOM_VK_NUMPAD0);\n        }\n\n\n        switch (keycode) {\n        case KeyEvent.DOM_VK_SEMICOLON:\n            return ";";\n        case KeyEvent.DOM_VK_EQUALS:\n            return "=";\n        case KeyEvent.DOM_VK_COMMA:\n            return ",";\n        case KeyEvent.DOM_VK_SUBTRACT:\n        case KeyEvent.DOM_VK_DASH:\n            return "-";\n        case KeyEvent.DOM_VK_ADD:\n            return "+";\n        case KeyEvent.DOM_VK_DECIMAL:\n        case KeyEvent.DOM_VK_PERIOD:\n            return ".";\n        case KeyEvent.DOM_VK_DIVIDE:\n        case KeyEvent.DOM_VK_SLASH:\n            return "/";\n        case KeyEvent.DOM_VK_BACK_QUOTE:\n            return "`";\n        case KeyEvent.DOM_VK_OPEN_BRACKET:\n            return "[";\n        case KeyEvent.DOM_VK_BACK_SLASH:\n            return "\\\\";\n        case KeyEvent.DOM_VK_CLOSE_BRACKET:\n            return "]";\n        case KeyEvent.DOM_VK_QUOTE:\n            return "\'";\n        default:\n            return key;\n        }\n    }\n\n    /**\n     * Takes a keyboard event and translates it into a key in a key map\n     */\n    function _translateKeyboardEvent(event) {\n        var hasMacCtrl = (brackets.platform === "mac") ? (event.ctrlKey) : false,\n            hasCtrl = (brackets.platform !== "mac") ? (event.ctrlKey) : (event.metaKey),\n            hasAlt = (event.altKey),\n            hasShift = (event.shiftKey),\n            key = String.fromCharCode(event.keyCode);\n\n        //From the W3C, if we can get the KeyboardEvent.keyIdentifier then look here\n        //As that will let us use keys like then function keys "F5" for commands. The\n        //full set of values we can use is here\n        //http://www.w3.org/TR/2007/WD-DOM-Level-3-Events-20071221/keyset.html#KeySet-Set\n        var ident = event.keyIdentifier;\n        if (ident) {\n            if (ident.charAt(0) === "U" && ident.charAt(1) === "+") {\n                //This is a unicode code point like "U+002A", get the 002A and use that\n                key = String.fromCharCode(parseInt(ident.substring(2), 16));\n            } else {\n                //This is some non-character key, just use the raw identifier\n                key = ident;\n            }\n        }\n\n        // Translate some keys to their common names\n        if (key === "\\t") {\n            key = "Tab";\n        } else if (key === " ") {\n            key = "Space";\n        } else if (key === "\\b") {\n            key = "Backspace";\n        } else if (key === "Help") {\n            key = "Insert";\n        } else if (event.keyCode === KeyEvent.DOM_VK_DELETE) {\n            key = "Delete";\n        } else {\n            key = _mapKeycodeToKey(event.keyCode, key);\n        }\n\n        return _buildKeyDescriptor(hasMacCtrl, hasCtrl, hasAlt, hasShift, key);\n    }\n\n    /**\n     * Convert normalized key representation to display appropriate for platform.\n     * @param {!string} descriptor Normalized key descriptor.\n     * @return {!string} Display/Operating system appropriate string\n     */\n    function formatKeyDescriptor(descriptor) {\n        var displayStr;\n\n        if (brackets.platform === "mac") {\n            displayStr = descriptor.replace(/-(?!$)/g, "");     // remove dashes\n            displayStr = displayStr.replace("Ctrl", "\\u2303");  // Ctrl > control symbol\n            displayStr = displayStr.replace("Cmd", "\\u2318");   // Cmd > command symbol\n            displayStr = displayStr.replace("Shift", "\\u21E7"); // Shift > shift symbol\n            displayStr = displayStr.replace("Alt", "\\u2325");   // Alt > option symbol\n        } else {\n            displayStr = descriptor.replace("Ctrl", Strings.KEYBOARD_CTRL);\n            displayStr = displayStr.replace("Shift", Strings.KEYBOARD_SHIFT);\n            displayStr = displayStr.replace(/-(?!$)/g, "+");\n        }\n\n        displayStr = displayStr.replace("Space", Strings.KEYBOARD_SPACE);\n\n        displayStr = displayStr.replace("PageUp", Strings.KEYBOARD_PAGE_UP);\n        displayStr = displayStr.replace("PageDown", Strings.KEYBOARD_PAGE_DOWN);\n        displayStr = displayStr.replace("Home", Strings.KEYBOARD_HOME);\n        displayStr = displayStr.replace("End", Strings.KEYBOARD_END);\n\n        displayStr = displayStr.replace("Ins", Strings.KEYBOARD_INSERT);\n        displayStr = displayStr.replace("Del", Strings.KEYBOARD_DELETE);\n\n        return displayStr;\n    }\n\n    /**\n     * @private\n     * @param {string} A normalized key-description string.\n     * @return {boolean} true if the key is already assigned, false otherwise.\n     */\n    function _isKeyAssigned(key) {\n        return (_keyMap[key] !== undefined);\n    }\n\n    /**\n     * Remove a key binding from _keymap\n     *\n     * @param {!string} key - a key-description string that may or may not be normalized.\n     * @param {?string} platform - OS from which to remove the binding (all platforms if unspecified)\n     */\n    function removeBinding(key, platform) {\n        if (!key || ((platform !== null) && (platform !== undefined) && (platform !== brackets.platform))) {\n            return;\n        }\n\n        var normalizedKey = normalizeKeyDescriptorString(key);\n\n        if (!normalizedKey) {\n            console.log("Failed to normalize " + key);\n        } else if (_isKeyAssigned(normalizedKey)) {\n            var binding = _keyMap[normalizedKey],\n                command = CommandManager.get(binding.commandID),\n                bindings = _commandMap[binding.commandID];\n\n            // delete key binding record\n            delete _keyMap[normalizedKey];\n\n            if (bindings) {\n                // delete mapping from command to key binding\n                _commandMap[binding.commandID] = bindings.filter(function (b) {\n                    return (b.key !== normalizedKey);\n                });\n\n                if (command) {\n                    command.trigger("keyBindingRemoved", {key: normalizedKey, displayKey: binding.displayKey});\n                }\n            }\n        }\n    }\n\n    /**\n     * @private\n     *\n     * Updates _allCommands array and _defaultKeyMap with the new key binding\n     * if it is not yet in the _allCommands array. _allCommands array is initialized\n     * only in extensionsLoaded event. So any new commands or key bindings added after\n     * that will be updated here.\n     *\n     * @param {{commandID: string, key: string, displayKey:string, explicitPlatform: string}} newBinding\n     */\n    function _updateCommandAndKeyMaps(newBinding) {\n        if (_allCommands.length === 0) {\n            return;\n        }\n\n        if (newBinding && newBinding.commandID && _allCommands.indexOf(newBinding.commandID) === -1) {\n            _defaultKeyMap[newBinding.commandID] = _.cloneDeep(newBinding);\n\n            // Process user key map again to catch any reassignment to all new key bindings added from extensions.\n            _loadUserKeyMap();\n        }\n    }\n\n    /**\n     * @private\n     *\n     * @param {string} commandID\n     * @param {string|{{key: string, displayKey: string}}} keyBinding - a single shortcut.\n     * @param {?string} platform\n     *     - "all" indicates all platforms, not overridable\n     *     - undefined indicates all platforms, overridden by platform-specific binding\n     * @param {boolean=} userBindings true if adding a user key binding or undefined otherwise.\n     * @return {?{key: string, displayKey:String}} Returns a record for valid key bindings.\n     *     Returns null when key binding platform does not match, binding does not normalize,\n     *     or is already assigned.\n     */\n    function _addBinding(commandID, keyBinding, platform, userBindings) {\n        var key,\n            result = null,\n            normalized,\n            normalizedDisplay,\n            explicitPlatform = keyBinding.platform || platform,\n            targetPlatform,\n            command,\n            bindingsToDelete = [],\n            existing;\n\n        // For platform: "all", use explicit current plaform\n        if (explicitPlatform && explicitPlatform !== "all") {\n            targetPlatform = explicitPlatform;\n        } else {\n            targetPlatform = brackets.platform;\n        }\n\n\n        // Skip if the key binding is not for this platform.\n        if (explicitPlatform === "mac" && brackets.platform !== "mac") {\n            return null;\n        }\n\n        // if the request does not specify an explicit platform, and we\'re\n        // currently on a mac, then replace Ctrl with Cmd.\n        key = (keyBinding.key) || keyBinding;\n        if (brackets.platform === "mac" && (explicitPlatform === undefined || explicitPlatform === "all")) {\n            key = key.replace("Ctrl", "Cmd");\n            if (keyBinding.displayKey !== undefined) {\n                keyBinding.displayKey = keyBinding.displayKey.replace("Ctrl", "Cmd");\n            }\n        }\n\n        normalized = normalizeKeyDescriptorString(key);\n\n        // skip if the key binding is invalid\n        if (!normalized) {\n            console.error("Unable to parse key binding " + key + ". Permitted modifiers: Ctrl, Cmd, Alt, Opt, Shift; separated by \'-\' (not \'+\').");\n            return null;\n        }\n\n        // check for duplicate key bindings\n        existing = _keyMap[normalized];\n\n        // for cross-platform compatibility\n        if (exports.useWindowsCompatibleBindings) {\n            // windows-only key bindings are used as the default binding\n            // only if a default binding wasn\'t already defined\n            if (explicitPlatform === "win") {\n                // search for a generic or platform-specific binding if it\n                // already exists\n                if (existing && (!existing.explicitPlatform ||\n                                 existing.explicitPlatform === brackets.platform ||\n                                 existing.explicitPlatform === "all")) {\n                    // do not clobber existing binding with windows-only binding\n                    return null;\n                }\n\n                // target this windows binding for the current platform\n                targetPlatform = brackets.platform;\n            }\n        }\n\n        // skip if this binding doesn\'t match the current platform\n        if (targetPlatform !== brackets.platform) {\n            return null;\n        }\n\n        // skip if the key is already assigned\n        if (existing) {\n            if (!existing.explicitPlatform && explicitPlatform) {\n                // remove the the generic binding to replace with this new platform-specific binding\n                removeBinding(normalized);\n                existing = false;\n            }\n        }\n\n        // delete existing bindings when\n        // (1) replacing a windows-compatible binding with a generic or\n        //     platform-specific binding\n        // (2) replacing a generic binding with a platform-specific binding\n        var existingBindings = _commandMap[commandID] || [],\n            isWindowsCompatible,\n            isReplaceGeneric,\n            ignoreGeneric;\n\n        existingBindings.forEach(function (binding) {\n            // remove windows-only bindings in _commandMap\n            isWindowsCompatible = exports.useWindowsCompatibleBindings &&\n                binding.explicitPlatform === "win";\n\n            // remove existing generic binding\n            isReplaceGeneric = !binding.explicitPlatform &&\n                explicitPlatform;\n\n            if (isWindowsCompatible || isReplaceGeneric) {\n                bindingsToDelete.push(binding);\n            } else {\n                // existing binding is platform-specific and the requested binding is generic\n                ignoreGeneric = binding.explicitPlatform && !explicitPlatform;\n            }\n        });\n\n        if (ignoreGeneric) {\n            // explicit command binding overrides this one\n            return null;\n        }\n\n        if (existing) {\n            // do not re-assign a key binding\n            console.error("Cannot assign " + normalized + " to " + commandID + ". It is already assigned to " + _keyMap[normalized].commandID);\n            return null;\n        }\n\n        // remove generic or windows-compatible bindings\n        bindingsToDelete.forEach(function (binding) {\n            removeBinding(binding.key);\n        });\n\n        // optional display-friendly string (e.g. CMD-+ instead of CMD-=)\n        normalizedDisplay = (keyBinding.displayKey) ? normalizeKeyDescriptorString(keyBinding.displayKey) : normalized;\n\n        // 1-to-many commandID mapping to key binding\n        if (!_commandMap[commandID]) {\n            _commandMap[commandID] = [];\n        }\n\n        result = {\n            key                 : normalized,\n            displayKey          : normalizedDisplay,\n            explicitPlatform    : explicitPlatform\n        };\n\n        _commandMap[commandID].push(result);\n\n        // 1-to-1 key binding to commandID\n        _keyMap[normalized] = {\n            commandID           : commandID,\n            key                 : normalized,\n            displayKey          : normalizedDisplay,\n            explicitPlatform    : explicitPlatform\n        };\n\n        if (!userBindings) {\n            _updateCommandAndKeyMaps(_keyMap[normalized]);\n        }\n\n        // notify listeners\n        command = CommandManager.get(commandID);\n\n        if (command) {\n            command.trigger("keyBindingAdded", result);\n        }\n\n        return result;\n    }\n\n    /**\n     * Returns a copy of the current key map. If the optional \'defaults\' parameter is true,\n     * then a copy of the default key map is returned.\n     * @param {boolean=} defaults true if the caller wants a copy of the default key map.\n     *                            Otherwise, the current active key map is returned.\n     * @return {!Object.<string, {commandID: string, key: string, displayKey: string}>}\n     */\n    function getKeymap(defaults) {\n        return $.extend({}, defaults ? _defaultKeyMap : _keyMap);\n    }\n\n    /**\n     * Process the keybinding for the current key.\n     *\n     * @param {string} A key-description string.\n     * @return {boolean} true if the key was processed, false otherwise\n     */\n    function _handleKey(key) {\n        if (_enabled && _keyMap[key]) {\n            // The execute() function returns a promise because some commands are async.\n            // Generally, commands decide whether they can run or not synchronously,\n            // and reject immediately, so we can test for that synchronously.\n            var promise = CommandManager.execute(_keyMap[key].commandID);\n            return (promise.state() !== "rejected");\n        }\n        return false;\n    }\n\n    /**\n     * @private\n     *\n     * Sort objects by platform property. Objects with a platform property come\n     * before objects without a platform property.\n     */\n    function _sortByPlatform(a, b) {\n        var a1 = (a.platform) ? 1 : 0,\n            b1 = (b.platform) ? 1 : 0;\n        return b1 - a1;\n    }\n\n    /**\n     * Add one or more key bindings to a particular Command.\n     *\n     * @param {!string | Command} command - A command ID or command object\n     * @param {?({key: string, displayKey: string}|Array.<{key: string, displayKey: string, platform: string}>)} keyBindings\n     *     A single key binding or an array of keybindings. Example:\n     *     "Shift-Cmd-F". Mac and Win key equivalents are automatically\n     *     mapped to each other. Use displayKey property to display a different\n     *     string (e.g. "CMD+" instead of "CMD=").\n     * @param {?string} platform The target OS of the keyBindings either\n     *     "mac", "win" or "linux". If undefined, all platforms not explicitly\n     *     defined will use the key binding.\n     *     NOTE: If platform is not specified, Ctrl will be replaced by Cmd for "mac" platform\n     * @return {{key: string, displayKey:String}|Array.<{key: string, displayKey:String}>}\n     *     Returns record(s) for valid key binding(s)\n     */\n    function addBinding(command, keyBindings, platform) {\n        var commandID = "",\n            results;\n\n        if (!command) {\n            console.error("addBinding(): missing required parameter: command");\n            return;\n        }\n\n        if (!keyBindings) { return; }\n\n        if (typeof (command) === "string") {\n            commandID = command;\n        } else {\n            commandID = command.getID();\n        }\n\n        if (Array.isArray(keyBindings)) {\n            var keyBinding;\n            results = [];\n\n            // process platform-specific bindings first\n            keyBindings.sort(_sortByPlatform);\n\n            keyBindings.forEach(function addSingleBinding(keyBindingRequest) {\n                // attempt to add keybinding\n                keyBinding = _addBinding(commandID, keyBindingRequest, keyBindingRequest.platform);\n\n                if (keyBinding) {\n                    results.push(keyBinding);\n                }\n            });\n        } else {\n            results = _addBinding(commandID, keyBindings, platform);\n        }\n\n        return results;\n    }\n\n    /**\n     * Retrieve key bindings currently associated with a command\n     *\n     * @param {!string | Command} command - A command ID or command object\n     * @return {!Array.<{{key: string, displayKey: string}}>} An array of associated key bindings.\n     */\n    function getKeyBindings(command) {\n        var bindings    = [],\n            commandID   = "";\n\n        if (!command) {\n            console.error("getKeyBindings(): missing required parameter: command");\n            return [];\n        }\n\n        if (typeof (command) === "string") {\n            commandID = command;\n        } else {\n            commandID = command.getID();\n        }\n\n        bindings = _commandMap[commandID];\n        return bindings || [];\n    }\n\n    /**\n     * Adds default key bindings when commands are registered to CommandManager\n     * @param {$.Event} event jQuery event\n     * @param {Command} command Newly registered command\n     */\n    function _handleCommandRegistered(event, command) {\n        var commandId   = command.getID(),\n            defaults    = KeyboardPrefs[commandId];\n\n        if (defaults) {\n            addBinding(commandId, defaults);\n        }\n    }\n\n    /**\n     * Adds a global keydown hook that gets first crack at keydown events\n     * before standard keybindings do. This is intended for use by modal or\n     * semi-modal UI elements like dialogs or the code hint list that should\n     * execute before normal command bindings are run.\n     *\n     * The hook is passed one parameter, the original keyboard event. If the\n     * hook handles the event (or wants to block other global hooks from\n     * handling the event), it should return true. Note that this will *only*\n     * stop other global hooks and KeyBindingManager from handling the\n     * event; to prevent further event propagation, you will need to call\n     * stopPropagation(), stopImmediatePropagation(), and/or preventDefault()\n     * as usual.\n     *\n     * Multiple keydown hooks can be registered, and are executed in order,\n     * most-recently-added first.\n     *\n     * (We have to have a special API for this because (1) handlers are normally\n     * called in least-recently-added order, and we want most-recently-added;\n     * (2) native DOM events don\'t have a way for us to find out if\n     * stopImmediatePropagation()/stopPropagation() has been called on the\n     * event, so we have to have some other way for one of the hooks to\n     * indicate that it wants to block the other hooks from running.)\n     *\n     * @param {function(Event): boolean} hook The global hook to add.\n     */\n    function addGlobalKeydownHook(hook) {\n        _globalKeydownHooks.push(hook);\n    }\n\n    /**\n     * Removes a global keydown hook added by `addGlobalKeydownHook`.\n     * Does not need to be the most recently added hook.\n     *\n     * @param {function(Event): boolean} hook The global hook to remove.\n     */\n    function removeGlobalKeydownHook(hook) {\n        var index = _globalKeydownHooks.indexOf(hook);\n        if (index !== -1) {\n            _globalKeydownHooks.splice(index, 1);\n        }\n    }\n\n    /**\n     * Handles a given keydown event, checking global hooks first before\n     * deciding to handle it ourselves.\n     * @param {Event} The keydown event to handle.\n     */\n    function _handleKeyEvent(event) {\n        var i, handled = false;\n        for (i = _globalKeydownHooks.length - 1; i >= 0; i--) {\n            if (_globalKeydownHooks[i](event)) {\n                handled = true;\n                break;\n            }\n        }\n        _detectAltGrKeyDown(event);\n        if (!handled && _handleKey(_translateKeyboardEvent(event))) {\n            event.stopPropagation();\n            event.preventDefault();\n        }\n    }\n\n    AppInit.htmlReady(function () {\n        // Install keydown event listener.\n        window.document.body.addEventListener(\n            "keydown",\n            _handleKeyEvent,\n            true\n        );\n\n        exports.useWindowsCompatibleBindings = (brackets.platform !== "mac") &&\n            (brackets.platform !== "win");\n    });\n\n    /**\n     * @private\n     * Displays an error dialog and also opens the user key map file for editing only if\n     * the error is not the loading file error.\n     *\n     * @param {?string} err Error type returned from JSON parser or open file operation\n     * @param {string=} message Error message to be displayed in the dialog\n     */\n    function _showErrorsAndOpenKeyMap(err, message) {\n        // Asynchronously loading Dialogs module to avoid the circular dependency\n        require(["widgets/Dialogs"], function (Dialogs) {\n            var errorMessage = Strings.ERROR_KEYMAP_CORRUPT;\n\n            if (err === FileSystemError.UNSUPPORTED_ENCODING) {\n                errorMessage = Strings.ERROR_LOADING_KEYMAP;\n            } else if (message) {\n                errorMessage = message;\n            }\n\n            Dialogs.showModalDialog(\n                DefaultDialogs.DIALOG_ID_ERROR,\n                Strings.ERROR_KEYMAP_TITLE,\n                errorMessage\n            )\n                .done(function () {\n                    if (err !== FileSystemError.UNSUPPORTED_ENCODING) {\n                        CommandManager.execute(Commands.FILE_OPEN_KEYMAP);\n                    }\n                });\n        });\n    }\n\n    /**\n     * @private\n     *\n     * Checks whether the given command ID is a special command that the user can\'t bind\n     * to another shortcut.\n     * @param {!string} commandID A string referring to a specific command\n     * @return {boolean} true if normalizedKey is a special command, false otherwise.\n     */\n    function _isSpecialCommand(commandID) {\n        if (brackets.platform === "mac" && commandID === "file.quit") {\n            return true;\n        }\n\n        return (_specialCommands.indexOf(commandID) > -1);\n    }\n\n    /**\n     * @private\n     *\n     * Checks whether the given key combination is a shortcut of a special command\n     * or a Mac system command that the user can\'t reassign to another command.\n     * @param {!string} normalizedKey A key combination string used for a keyboard shortcut\n     * @return {boolean} true if normalizedKey is a restricted shortcut, false otherwise.\n     */\n    function _isReservedShortcuts(normalizedKey) {\n        if (!normalizedKey) {\n            return false;\n        }\n\n        if (_reservedShortcuts.indexOf(normalizedKey) > -1 ||\n                _reservedShortcuts.indexOf(normalizedKey.replace("Cmd", "Ctrl")) > -1) {\n            return true;\n        }\n\n        if (brackets.platform === "mac" && _macReservedShortcuts.indexOf(normalizedKey) > -1) {\n            return true;\n        }\n\n        return false;\n    }\n\n    /**\n     * @private\n     *\n     * Creates a bullet list item for any item in the given list.\n     * @param {Array.<string>} list An array of strings to be converted into a\n     * message string with a bullet list.\n     * @return {string} the html text version of the list\n     */\n    function _getBulletList(list) {\n        var message = "<ul class=\'dialog-list\'>";\n        list.forEach(function (info) {\n            message += "<li>" + info + "</li>";\n        });\n        message += "</ul>";\n        return message;\n    }\n\n    /**\n     * @private\n     *\n     * Gets the corresponding unicode symbol of an arrow key for display in the menu.\n     * @param {string} key The non-modifier key used in the shortcut. It does not need to be normalized.\n     * @return {string} An empty string if key is not one of those we want to show with the unicode symbol.\n     *                  Otherwise, the corresponding unicode symbol is returned.\n     */\n    function _getDisplayKey(key) {\n        var displayKey = "",\n            match = key ? key.match(/(Up|Down|Left|Right|\\-)$/i) : null;\n        if (match && !/Page(Up|Down)/.test(key)) {\n            displayKey = key.substr(0, match.index) + _displayKeyMap[match[0].toLowerCase()];\n        }\n        return displayKey;\n    }\n\n    /**\n     * @private\n     *\n     * Applies each user key binding to all the affected commands and updates _keyMap.\n     * Shows errors in a dialog and then opens the user key map file if any of the following\n     * is detected while applying the user key bindings.\n     *     - A key binding is attempting to modify a special command.\n     *     - A key binding is attempting to assign a shortcut of a special command to another one.\n     *     - Multiple key bindings are specified for the same command ID.\n     *     - The same key combination is listed for multiple key bindings.\n     *     - A key binding has any invalid key syntax.\n     *     - A key binding is referring to a non-existent command ID.\n     */\n    function _applyUserKeyBindings() {\n        var remappedCommands   = [],\n            remappedKeys       = [],\n            restrictedCommands = [],\n            restrictedKeys     = [],\n            invalidKeys        = [],\n            invalidCommands    = [],\n            multipleKeys       = [],\n            duplicateBindings  = [],\n            errorMessage       = "";\n\n        _.forEach(_customKeyMap, function (commandID, key) {\n            var normalizedKey    = normalizeKeyDescriptorString(key),\n                existingBindings = _commandMap[commandID] || [];\n\n            // Skip this since we don\'t allow user to update key binding of a special\n            // command like cut, copy, paste, undo, redo and select all.\n            if (_isSpecialCommand(commandID)) {\n                restrictedCommands.push(commandID);\n                return;\n            }\n\n            // Skip this since we don\'t allow user to update a shortcut used in\n            // a special command or any Mac system command.\n            if (_isReservedShortcuts(normalizedKey)) {\n                restrictedKeys.push(key);\n                return;\n            }\n\n            // Skip this if the key is invalid.\n            if (!normalizedKey) {\n                invalidKeys.push(key);\n                return;\n            }\n\n            if (_isKeyAssigned(normalizedKey)) {\n                if (remappedKeys.indexOf(normalizedKey) !== -1) {\n                    // JSON parser already removed all the duplicates that have the exact\n                    // same case or order in their keys. So we\'re only detecting duplicate\n                    // bindings that have different orders or different cases used in the key.\n                    duplicateBindings.push(key);\n                    return;\n                }\n                // The same key binding already exists, so skip this.\n                if (_keyMap[normalizedKey].commandID === commandID) {\n                    // Still need to add it to the remappedCommands so that\n                    // we can detect any duplicate later on.\n                    remappedCommands.push(commandID);\n                    return;\n                }\n                removeBinding(normalizedKey);\n            }\n\n            if (remappedKeys.indexOf(normalizedKey) === -1) {\n                remappedKeys.push(normalizedKey);\n            }\n\n            // Remove another key binding if the new key binding is for a command\n            // that has a different key binding. e.g. "Ctrl-W": "edit.selectLine"\n            // requires us to remove "Ctrl-W" from "file.close" command, but we\n            // also need to remove "Ctrl-L" from "edit.selectLine".\n            if (existingBindings.length) {\n                existingBindings.forEach(function (binding) {\n                    removeBinding(binding.key);\n                });\n            }\n\n            if (commandID) {\n                if (_allCommands.indexOf(commandID) !== -1) {\n                    if (remappedCommands.indexOf(commandID) === -1) {\n                        var keybinding = { key: normalizedKey };\n\n                        keybinding.displayKey = _getDisplayKey(normalizedKey);\n                        _addBinding(commandID, keybinding.displayKey ? keybinding : normalizedKey, brackets.platform, true);\n                        remappedCommands.push(commandID);\n                    } else {\n                        multipleKeys.push(commandID);\n                    }\n                } else {\n                    invalidCommands.push(commandID);\n                }\n            }\n        });\n\n        if (restrictedCommands.length) {\n            errorMessage = StringUtils.format(Strings.ERROR_RESTRICTED_COMMANDS, _getBulletList(restrictedCommands));\n        }\n\n        if (restrictedKeys.length) {\n            errorMessage += StringUtils.format(Strings.ERROR_RESTRICTED_SHORTCUTS, _getBulletList(restrictedKeys));\n        }\n\n        if (multipleKeys.length) {\n            errorMessage += StringUtils.format(Strings.ERROR_MULTIPLE_SHORTCUTS, _getBulletList(multipleKeys));\n        }\n\n        if (duplicateBindings.length) {\n            errorMessage += StringUtils.format(Strings.ERROR_DUPLICATE_SHORTCUTS, _getBulletList(duplicateBindings));\n        }\n\n        if (invalidKeys.length) {\n            errorMessage += StringUtils.format(Strings.ERROR_INVALID_SHORTCUTS, _getBulletList(invalidKeys));\n        }\n\n        if (invalidCommands.length) {\n            errorMessage += StringUtils.format(Strings.ERROR_NONEXISTENT_COMMANDS, _getBulletList(invalidCommands));\n        }\n\n        if (_showErrors && errorMessage) {\n            _showErrorsAndOpenKeyMap("", errorMessage);\n        }\n    }\n\n    /**\n     * @private\n     *\n     * Restores the default key bindings for all the commands that are modified by each key binding\n     * specified in _customKeyMapCache (old version) but no longer specified in _customKeyMap (new version).\n     */\n    function _undoPriorUserKeyBindings() {\n        _.forEach(_customKeyMapCache, function (commandID, key) {\n            var normalizedKey  = normalizeKeyDescriptorString(key),\n                defaults       = _.find(_.toArray(_defaultKeyMap), { "commandID": commandID }),\n                defaultCommand = _defaultKeyMap[normalizedKey];\n\n            // We didn\'t modified this before, so skip it.\n            if (_isSpecialCommand(commandID) ||\n                    _isReservedShortcuts(normalizedKey)) {\n                return;\n            }\n\n            if (_isKeyAssigned(normalizedKey) &&\n                    _customKeyMap[key] !== commandID && _customKeyMap[normalizedKey] !== commandID) {\n                // Unassign the key from any command. e.g. "Cmd-W": "file.open" in _customKeyMapCache\n                // will require us to remove Cmd-W shortcut from file.open command.\n                removeBinding(normalizedKey);\n            }\n\n            // Reassign the default key binding. e.g. "Cmd-W": "file.open" in _customKeyMapCache\n            // will require us to reassign Cmd-O shortcut to file.open command.\n            if (defaults) {\n                addBinding(commandID, defaults, brackets.platform);\n            }\n\n            // Reassign the default key binding of the previously modified command.\n            // e.g. "Cmd-W": "file.open" in _customKeyMapCache will require us to reassign Cmd-W\n            // shortcut to file.close command.\n            if (defaultCommand && defaultCommand.key) {\n                addBinding(defaultCommand.commandID, defaultCommand.key, brackets.platform);\n            }\n        });\n    }\n\n    /**\n     * @private\n     *\n     * Gets the full file path to the user key map file. In testing environment\n     * a different file path is returned so that running integration tests won\'t\n     * pop up the error dialog showing the errors from the actual user key map file.\n     *\n     * @return {string} full file path to the user key map file.\n     */\n    function _getUserKeyMapFilePath() {\n        if (window.isBracketsTestWindow) {\n            return brackets.app.getApplicationSupportDirectory() + "/_test_/" + KEYMAP_FILENAME;\n        }\n        return _userKeyMapFilePath;\n    }\n\n    /**\n     * @private\n     *\n     * Reads in the user key map file and parses its content into JSON.\n     * Returns the user key bindings if JSON has "overrides".\n     * Otherwise, returns an empty object or an error if the file\n     * cannot be parsed or loaded.\n     *\n     * @return {$.Promise} a jQuery promise that will be resolved with the JSON\n     * object if the user key map file has "overrides" property or an empty JSON.\n     * If the key map file cannot be read or cannot be parsed by the JSON parser,\n     * then the promise is rejected with an error.\n     */\n    function _readUserKeyMap() {\n        var file   = FileSystem.getFileForPath(_getUserKeyMapFilePath()),\n            result = new $.Deferred();\n\n        file.exists(function (err, doesExist) {\n            if (doesExist) {\n                FileUtils.readAsText(file)\n                    .done(function (text) {\n                        var keyMap = {};\n                        try {\n                            if (text) {\n                                var json = JSON.parse(text);\n                                // If no overrides, return an empty key map.\n                                result.resolve((json && json.overrides) || keyMap);\n                            } else {\n                                // The file is empty, so return an empty key map.\n                                result.resolve(keyMap);\n                            }\n                        } catch (err) {\n                            // Cannot parse the text read from the key map file.\n                            result.reject(err);\n                        }\n                    })\n                    .fail(function (err) {\n                        // Key map file cannot be loaded.\n                        result.reject(err);\n                    });\n            } else {\n                // Just resolve if no user key map file\n                result.resolve();\n            }\n        });\n        return result.promise();\n    }\n\n    /**\n     * @private\n     *\n     * Reads in the user key bindings and updates the key map with each user key\n     * binding by removing the existing one assigned to each key and adding\n     * new one for the specified command id. Shows errors and opens the user\n     * key map file if it cannot be parsed.\n     *\n     * This function is wrapped with debounce so that its execution is always delayed\n     * by 200 ms. The delay is required because when this function is called some\n     * extensions may still be adding some commands and their key bindings asychronously.\n     */\n    _loadUserKeyMap = _.debounce(function () {\n        _readUserKeyMap()\n            .then(function (keyMap) {\n                // Some extensions may add a new command without any key binding. So\n                // we always have to get all commands again to ensure that we also have\n                // those from any extensions installed during the current session.\n                _allCommands = CommandManager.getAll();\n\n                _customKeyMapCache = _.cloneDeep(_customKeyMap);\n                _customKeyMap = keyMap;\n                _undoPriorUserKeyBindings();\n                _applyUserKeyBindings();\n            }, function (err) {\n                _showErrorsAndOpenKeyMap(err);\n            });\n    }, 200);\n\n    /**\n     * @private\n     *\n     * Opens the existing key map file or creates a new one with default content\n     * if it does not exist.\n     */\n    function _openUserKeyMap() {\n        var userKeyMapPath = _getUserKeyMapFilePath(),\n            file = FileSystem.getFileForPath(userKeyMapPath);\n        file.exists(function (err, doesExist) {\n            if (doesExist) {\n                CommandManager.execute(Commands.FILE_OPEN, { fullPath: userKeyMapPath });\n            } else {\n                var defaultContent = "{\\n    \\"documentation\\": \\"https://github.com/adobe/brackets/wiki/User-Key-Bindings\\"," +\n                                     "\\n    \\"overrides\\": {" +\n                                     "\\n        \\n    }\\n}\\n";\n\n                FileUtils.writeText(file, defaultContent, true)\n                    .done(function () {\n                        CommandManager.execute(Commands.FILE_OPEN, { fullPath: userKeyMapPath });\n                    });\n            }\n        });\n    }\n\n    // Due to circular dependencies, not safe to call on() directly\n    EventDispatcher.on_duringInit(CommandManager, "commandRegistered", _handleCommandRegistered);\n    CommandManager.register(Strings.CMD_OPEN_KEYMAP, Commands.FILE_OPEN_KEYMAP, _openUserKeyMap);\n\n    // Asynchronously loading DocumentManager to avoid the circular dependency\n    require(["document/DocumentManager"], function (DocumentManager) {\n        DocumentManager.on("documentSaved", function checkKeyMapUpdates(e, doc) {\n            if (doc && doc.file.fullPath === _userKeyMapFilePath) {\n                _loadUserKeyMap();\n            }\n        });\n    });\n\n    /**\n     * @private\n     *\n     * Initializes _allCommands array and _defaultKeyMap so that we can use them for\n     * detecting non-existent commands and restoring the original key binding.\n     */\n    function _initCommandAndKeyMaps() {\n        _allCommands = CommandManager.getAll();\n        // Keep a copy of the default key bindings before loading user key bindings.\n        _defaultKeyMap = _.cloneDeep(_keyMap);\n    }\n\n    /**\n     * @private\n     *\n     * Sets the full file path to the user key map file. Only used by unit tests\n     * to load a test file instead of the actual user key map file.\n     *\n     * @param {string} fullPath file path to the user key map file.\n     */\n    function _setUserKeyMapFilePath(fullPath) {\n        _userKeyMapFilePath = fullPath;\n    }\n\n    AppInit.extensionsLoaded(function () {\n        var params  = new UrlParams();\n        params.parse();\n        if (params.get("reloadWithoutUserExts") === "true") {\n            _showErrors = false;\n        }\n\n        _initCommandAndKeyMaps();\n        _loadUserKeyMap();\n    });\n\n    // unit test only\n    exports._reset = _reset;\n    exports._setUserKeyMapFilePath = _setUserKeyMapFilePath;\n    exports._getDisplayKey = _getDisplayKey;\n    exports._loadUserKeyMap = _loadUserKeyMap;\n    exports._initCommandAndKeyMaps = _initCommandAndKeyMaps;\n    exports._onCtrlUp = _onCtrlUp;\n\n    // Define public API\n    exports.getKeymap = getKeymap;\n    exports.addBinding = addBinding;\n    exports.removeBinding = removeBinding;\n    exports.formatKeyDescriptor = formatKeyDescriptor;\n    exports.getKeyBindings = getKeyBindings;\n    exports.addGlobalKeydownHook = addGlobalKeydownHook;\n    exports.removeGlobalKeydownHook = removeGlobalKeydownHook;\n\n    /**\n     * Use windows-specific bindings if no other are found (e.g. Linux).\n     * Core Brackets modules that use key bindings should always define at\n     * least a generic keybinding that is applied for all platforms. This\n     * setting effectively creates a compatibility mode for third party\n     * extensions that define explicit key bindings for Windows and Mac, but\n     * not Linux.\n     */\n    exports.useWindowsCompatibleBindings = false;\n\n    // For unit testing only\n    exports._handleKey = _handleKey;\n    exports._handleKeyEvent = _handleKeyEvent;\n});\n\n//# sourceURL=/command/KeyBindingManager.js'),
eval('define(\'text!htmlContent/dialog-template.html\',[],function () { return \'<div class="{{dlgClass}} template modal">\\n    <div class="modal-header">\\n        <h1 class="dialog-title">{{{title}}}</h1>\\n    </div>\\n    <div class="modal-body">\\n        <div class="dialog-message">{{{message}}}</div>\\n    </div>\\n    <div class="modal-footer">\\n        {{#buttons}}\\n        <button class="dialog-button btn {{className}}" data-button-id="{{id}}">{{{text}}}</button>\\n        {{/buttons}}\\n    </div>\\n</div>\\n\';});\n\n//# sourceURL=/text!htmlContent/dialog-template.html'),eval("/*!\n * mustache.js - Logic-less {{mustache}} templates with JavaScript\n * http://github.com/janl/mustache.js\n */\n\n/*global define: false*/\n\n(function (root, factory) {\n  if (typeof exports === \"object\" && exports) {\n    factory(exports); // CommonJS\n  } else {\n    var mustache = {};\n    factory(mustache);\n    if (typeof define === \"function\" && define.amd) {\n      define('thirdparty/mustache/mustache',mustache); // AMD\n    } else {\n      root.Mustache = mustache; // <script>\n    }\n  }\n}(this, function (mustache) {\n\n  var whiteRe = /\\s*/;\n  var spaceRe = /\\s+/;\n  var nonSpaceRe = /\\S/;\n  var eqRe = /\\s*=/;\n  var curlyRe = /\\s*\\}/;\n  var tagRe = /#|\\^|\\/|>|\\{|&|=|!/;\n\n  // Workaround for https://issues.apache.org/jira/browse/COUCHDB-577\n  // See https://github.com/janl/mustache.js/issues/189\n  var RegExp_test = RegExp.prototype.test;\n  function testRegExp(re, string) {\n    return RegExp_test.call(re, string);\n  }\n\n  function isWhitespace(string) {\n    return !testRegExp(nonSpaceRe, string);\n  }\n\n  var Object_toString = Object.prototype.toString;\n  var isArray = Array.isArray || function (obj) {\n    return Object_toString.call(obj) === '[object Array]';\n  };\n\n  function escapeRegExp(string) {\n    return string.replace(/[\\-\\[\\]{}()*+?.,\\\\\\^$|#\\s]/g, \"\\\\$&\");\n  }\n\n  var entityMap = {\n    \"&\": \"&amp;\",\n    \"<\": \"&lt;\",\n    \">\": \"&gt;\",\n    '\"': '&quot;',\n    \"'\": '&#39;',\n    \"/\": '&#x2F;'\n  };\n\n  function escapeHtml(string) {\n    return String(string).replace(/[&<>\"'\\/]/g, function (s) {\n      return entityMap[s];\n    });\n  }\n\n  function Scanner(string) {\n    this.string = string;\n    this.tail = string;\n    this.pos = 0;\n  }\n\n  /**\n   * Returns `true` if the tail is empty (end of string).\n   */\n  Scanner.prototype.eos = function () {\n    return this.tail === \"\";\n  };\n\n  /**\n   * Tries to match the given regular expression at the current position.\n   * Returns the matched text if it can match, the empty string otherwise.\n   */\n  Scanner.prototype.scan = function (re) {\n    var match = this.tail.match(re);\n\n    if (match && match.index === 0) {\n      this.tail = this.tail.substring(match[0].length);\n      this.pos += match[0].length;\n      return match[0];\n    }\n\n    return \"\";\n  };\n\n  /**\n   * Skips all text until the given regular expression can be matched. Returns\n   * the skipped string, which is the entire tail if no match can be made.\n   */\n  Scanner.prototype.scanUntil = function (re) {\n    var match, pos = this.tail.search(re);\n\n    switch (pos) {\n    case -1:\n      match = this.tail;\n      this.pos += this.tail.length;\n      this.tail = \"\";\n      break;\n    case 0:\n      match = \"\";\n      break;\n    default:\n      match = this.tail.substring(0, pos);\n      this.tail = this.tail.substring(pos);\n      this.pos += pos;\n    }\n\n    return match;\n  };\n\n  function Context(view, parent) {\n    this.view = view || {};\n    this.parent = parent;\n    this._cache = {};\n  }\n\n  Context.make = function (view) {\n    return (view instanceof Context) ? view : new Context(view);\n  };\n\n  Context.prototype.push = function (view) {\n    return new Context(view, this);\n  };\n\n  Context.prototype.lookup = function (name) {\n    var value = this._cache[name];\n\n    if (!value) {\n      if (name == '.') {\n        value = this.view;\n      } else {\n        var context = this;\n\n        while (context) {\n          if (name.indexOf('.') > 0) {\n            value = context.view;\n            var names = name.split('.'), i = 0;\n            while (value && i < names.length) {\n              value = value[names[i++]];\n            }\n          } else {\n            value = context.view[name];\n          }\n\n          if (value != null) break;\n\n          context = context.parent;\n        }\n      }\n\n      this._cache[name] = value;\n    }\n\n    if (typeof value === 'function') value = value.call(this.view);\n\n    return value;\n  };\n\n  function Writer() {\n    this.clearCache();\n  }\n\n  Writer.prototype.clearCache = function () {\n    this._cache = {};\n    this._partialCache = {};\n  };\n\n  Writer.prototype.compile = function (template, tags) {\n    var fn = this._cache[template];\n\n    if (!fn) {\n      var tokens = mustache.parse(template, tags);\n      fn = this._cache[template] = this.compileTokens(tokens, template);\n    }\n\n    return fn;\n  };\n\n  Writer.prototype.compilePartial = function (name, template, tags) {\n    var fn = this.compile(template, tags);\n    this._partialCache[name] = fn;\n    return fn;\n  };\n\n  Writer.prototype.getPartial = function (name) {\n    if (!(name in this._partialCache) && this._loadPartial) {\n      this.compilePartial(name, this._loadPartial(name));\n    }\n\n    return this._partialCache[name];\n  };\n\n  Writer.prototype.compileTokens = function (tokens, template) {\n    var self = this;\n    return function (view, partials) {\n      if (partials) {\n        if (typeof partials === 'function') {\n          self._loadPartial = partials;\n        } else {\n          for (var name in partials) {\n            self.compilePartial(name, partials[name]);\n          }\n        }\n      }\n\n      return renderTokens(tokens, self, Context.make(view), template);\n    };\n  };\n\n  Writer.prototype.render = function (template, view, partials) {\n    return this.compile(template)(view, partials);\n  };\n\n  /**\n   * Low-level function that renders the given `tokens` using the given `writer`\n   * and `context`. The `template` string is only needed for templates that use\n   * higher-order sections to extract the portion of the original template that\n   * was contained in that section.\n   */\n  function renderTokens(tokens, writer, context, template) {\n    var buffer = '';\n\n    var token, tokenValue, value;\n    for (var i = 0, len = tokens.length; i < len; ++i) {\n      token = tokens[i];\n      tokenValue = token[1];\n\n      switch (token[0]) {\n      case '#':\n        value = context.lookup(tokenValue);\n\n        if (typeof value === 'object') {\n          if (isArray(value)) {\n            for (var j = 0, jlen = value.length; j < jlen; ++j) {\n              buffer += renderTokens(token[4], writer, context.push(value[j]), template);\n            }\n          } else if (value) {\n            buffer += renderTokens(token[4], writer, context.push(value), template);\n          }\n        } else if (typeof value === 'function') {\n          var text = template == null ? null : template.slice(token[3], token[5]);\n          value = value.call(context.view, text, function (template) {\n            return writer.render(template, context);\n          });\n          if (value != null) buffer += value;\n        } else if (value) {\n          buffer += renderTokens(token[4], writer, context, template);\n        }\n\n        break;\n      case '^':\n        value = context.lookup(tokenValue);\n\n        // Use JavaScript's definition of falsy. Include empty arrays.\n        // See https://github.com/janl/mustache.js/issues/186\n        if (!value || (isArray(value) && value.length === 0)) {\n          buffer += renderTokens(token[4], writer, context, template);\n        }\n\n        break;\n      case '>':\n        value = writer.getPartial(tokenValue);\n        if (typeof value === 'function') buffer += value(context);\n        break;\n      case '&':\n        value = context.lookup(tokenValue);\n        if (value != null) buffer += value;\n        break;\n      case 'name':\n        value = context.lookup(tokenValue);\n        if (value != null) buffer += mustache.escape(value);\n        break;\n      case 'text':\n        buffer += tokenValue;\n        break;\n      }\n    }\n\n    return buffer;\n  }\n\n  /**\n   * Forms the given array of `tokens` into a nested tree structure where\n   * tokens that represent a section have two additional items: 1) an array of\n   * all tokens that appear in that section and 2) the index in the original\n   * template that represents the end of that section.\n   */\n  function nestTokens(tokens) {\n    var tree = [];\n    var collector = tree;\n    var sections = [];\n\n    var token;\n    for (var i = 0, len = tokens.length; i < len; ++i) {\n      token = tokens[i];\n      switch (token[0]) {\n      case '#':\n      case '^':\n        sections.push(token);\n        collector.push(token);\n        collector = token[4] = [];\n        break;\n      case '/':\n        var section = sections.pop();\n        section[5] = token[2];\n        collector = sections.length > 0 ? sections[sections.length - 1][4] : tree;\n        break;\n      default:\n        collector.push(token);\n      }\n    }\n\n    return tree;\n  }\n\n  /**\n   * Combines the values of consecutive text tokens in the given `tokens` array\n   * to a single token.\n   */\n  function squashTokens(tokens) {\n    var squashedTokens = [];\n\n    var token, lastToken;\n    for (var i = 0, len = tokens.length; i < len; ++i) {\n      token = tokens[i];\n      if (token) {\n        if (token[0] === 'text' && lastToken && lastToken[0] === 'text') {\n          lastToken[1] += token[1];\n          lastToken[3] = token[3];\n        } else {\n          lastToken = token;\n          squashedTokens.push(token);\n        }\n      }\n    }\n\n    return squashedTokens;\n  }\n\n  function escapeTags(tags) {\n    return [\n      new RegExp(escapeRegExp(tags[0]) + \"\\\\s*\"),\n      new RegExp(\"\\\\s*\" + escapeRegExp(tags[1]))\n    ];\n  }\n\n  /**\n   * Breaks up the given `template` string into a tree of token objects. If\n   * `tags` is given here it must be an array with two string values: the\n   * opening and closing tags used in the template (e.g. [\"<%\", \"%>\"]). Of\n   * course, the default is to use mustaches (i.e. Mustache.tags).\n   */\n  function parseTemplate(template, tags) {\n    template = template || '';\n    tags = tags || mustache.tags;\n\n    if (typeof tags === 'string') tags = tags.split(spaceRe);\n    if (tags.length !== 2) throw new Error('Invalid tags: ' + tags.join(', '));\n\n    var tagRes = escapeTags(tags);\n    var scanner = new Scanner(template);\n\n    var sections = [];     // Stack to hold section tokens\n    var tokens = [];       // Buffer to hold the tokens\n    var spaces = [];       // Indices of whitespace tokens on the current line\n    var hasTag = false;    // Is there a {{tag}} on the current line?\n    var nonSpace = false;  // Is there a non-space char on the current line?\n\n    // Strips all whitespace tokens array for the current line\n    // if there was a {{#tag}} on it and otherwise only space.\n    function stripSpace() {\n      if (hasTag && !nonSpace) {\n        while (spaces.length) {\n          delete tokens[spaces.pop()];\n        }\n      } else {\n        spaces = [];\n      }\n\n      hasTag = false;\n      nonSpace = false;\n    }\n\n    var start, type, value, chr, token;\n    while (!scanner.eos()) {\n      start = scanner.pos;\n\n      // Match any text between tags.\n      value = scanner.scanUntil(tagRes[0]);\n      if (value) {\n        for (var i = 0, len = value.length; i < len; ++i) {\n          chr = value.charAt(i);\n\n          if (isWhitespace(chr)) {\n            spaces.push(tokens.length);\n          } else {\n            nonSpace = true;\n          }\n\n          tokens.push(['text', chr, start, start + 1]);\n          start += 1;\n\n          // Check for whitespace on the current line.\n          if (chr == '\\n') stripSpace();\n        }\n      }\n\n      // Match the opening tag.\n      if (!scanner.scan(tagRes[0])) break;\n      hasTag = true;\n\n      // Get the tag type.\n      type = scanner.scan(tagRe) || 'name';\n      scanner.scan(whiteRe);\n\n      // Get the tag value.\n      if (type === '=') {\n        value = scanner.scanUntil(eqRe);\n        scanner.scan(eqRe);\n        scanner.scanUntil(tagRes[1]);\n      } else if (type === '{') {\n        value = scanner.scanUntil(new RegExp('\\\\s*' + escapeRegExp('}' + tags[1])));\n        scanner.scan(curlyRe);\n        scanner.scanUntil(tagRes[1]);\n        type = '&';\n      } else {\n        value = scanner.scanUntil(tagRes[1]);\n      }\n\n      // Match the closing tag.\n      if (!scanner.scan(tagRes[1])) throw new Error('Unclosed tag at ' + scanner.pos);\n\n      token = [type, value, start, scanner.pos];\n      tokens.push(token);\n\n      if (type === '#' || type === '^') {\n        sections.push(token);\n      } else if (type === '/') {\n        // Check section nesting.\n        if (sections.length === 0) throw new Error('Unopened section \"' + value + '\" at ' + start);\n        var openSection = sections.pop();\n        if (openSection[1] !== value) throw new Error('Unclosed section \"' + openSection[1] + '\" at ' + start);\n      } else if (type === 'name' || type === '{' || type === '&') {\n        nonSpace = true;\n      } else if (type === '=') {\n        // Set the tags for the next time around.\n        tags = value.split(spaceRe);\n        if (tags.length !== 2) throw new Error('Invalid tags at ' + start + ': ' + tags.join(', '));\n        tagRes = escapeTags(tags);\n      }\n    }\n\n    // Make sure there are no open sections when we're done.\n    var openSection = sections.pop();\n    if (openSection) throw new Error('Unclosed section \"' + openSection[1] + '\" at ' + scanner.pos);\n\n    tokens = squashTokens(tokens);\n\n    return nestTokens(tokens);\n  }\n\n  mustache.name = \"mustache.js\";\n  mustache.version = \"0.7.2\";\n  mustache.tags = [\"{{\", \"}}\"];\n\n  mustache.Scanner = Scanner;\n  mustache.Context = Context;\n  mustache.Writer = Writer;\n\n  mustache.parse = parseTemplate;\n\n  // Export the escaping function so that the user may override it.\n  // See https://github.com/janl/mustache.js/issues/244\n  mustache.escape = escapeHtml;\n\n  // All Mustache.* functions use this writer.\n  var defaultWriter = new Writer();\n\n  /**\n   * Clears all cached templates and partials in the default writer.\n   */\n  mustache.clearCache = function () {\n    return defaultWriter.clearCache();\n  };\n\n  /**\n   * Compiles the given `template` to a reusable function using the default\n   * writer.\n   */\n  mustache.compile = function (template, tags) {\n    return defaultWriter.compile(template, tags);\n  };\n\n  /**\n   * Compiles the partial with the given `name` and `template` to a reusable\n   * function using the default writer.\n   */\n  mustache.compilePartial = function (name, template, tags) {\n    return defaultWriter.compilePartial(name, template, tags);\n  };\n\n  /**\n   * Compiles the given array of tokens (the output of a parse) to a reusable\n   * function using the default writer.\n   */\n  mustache.compileTokens = function (tokens, template) {\n    return defaultWriter.compileTokens(tokens, template);\n  };\n\n  /**\n   * Renders the `template` with the given `view` and `partials` using the\n   * default writer.\n   */\n  mustache.render = function (template, view, partials) {\n    return defaultWriter.render(template, view, partials);\n  };\n\n  // This is here for backwards compatibility with 0.4.x.\n  mustache.to_html = function (template, view, partials, send) {\n    var result = mustache.render(template, view, partials);\n\n    if (typeof send === \"function\") {\n      send(result);\n    } else {\n      return result;\n    }\n  };\n\n}));\n\n//# sourceURL=/thirdparty/mustache/mustache.js"),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Utilities for creating and managing standard modal dialogs.\n */\ndefine(\'widgets/Dialogs\',[\'require\',\'exports\',\'module\',\'utils/Global\',\'command/KeyBindingManager\',\'utils/KeyEvent\',\'strings\',\'text!htmlContent/dialog-template.html\',\'thirdparty/mustache/mustache\'],function (require, exports, module) {\n    "use strict";\n\n    require("utils/Global");\n\n    var KeyBindingManager = require("command/KeyBindingManager"),\n        KeyEvent          = require("utils/KeyEvent"),\n        Strings           = require("strings"),\n        DialogTemplate    = require("text!htmlContent/dialog-template.html"),\n        Mustache          = require("thirdparty/mustache/mustache");\n\n    /**\n     * Dialog Buttons IDs\n     * @const {string}\n     */\n    var DIALOG_BTN_CANCEL           = "cancel",\n        DIALOG_BTN_OK               = "ok",\n        DIALOG_BTN_DONTSAVE         = "dontsave",\n        DIALOG_BTN_SAVE_AS          = "save_as",\n        DIALOG_CANCELED             = "_canceled",\n        DIALOG_BTN_DOWNLOAD         = "download";\n\n    /**\n     * Dialog Buttons Class Names\n     * @const {string}\n     */\n    var DIALOG_BTN_CLASS_PRIMARY    = "primary",\n        DIALOG_BTN_CLASS_NORMAL     = "",\n        DIALOG_BTN_CLASS_LEFT       = "left";\n\n    /**\n     * The z-index used for the dialogs. Each new dialog increase this number by 2\n     * @type {number}\n     */\n    var zIndex = 1050;\n\n    /**\n     * @private\n     * Dismises a modal dialog\n     * @param {$.Element} $dlg\n     * @param {string} buttonId\n     */\n    function _dismissDialog($dlg, buttonId) {\n        $dlg.data("buttonId", buttonId);\n        $dlg.modal("hide");\n    }\n\n    /**\n     * @private\n     * If autoDismiss is true, then dismisses the dialog. Otherwise just raises an event that the\n     * given button was clicked.\n     * @param {$.Element} $dlg The dialog element to be dismissed.\n     * @param {string} buttonId The ID of the button that was clicked.\n     * @param {boolean} autoDismiss Whether to autodismiss the dialog on a button click.\n     */\n    function _processButton($dlg, buttonId, autoDismiss) {\n        if (autoDismiss) {\n            _dismissDialog($dlg, buttonId);\n        } else {\n            $dlg.triggerHandler("buttonClick", buttonId);\n        }\n    }\n\n    /**\n     * @private\n     * Returns true if the modal dialog has a button with the given ID\n     * @param {$.Element} $dlg\n     * @param {string} buttonId\n     * @return {boolean}\n     */\n    function _hasButton($dlg, buttonId) {\n        return ($dlg.find("[data-button-id=\'" + buttonId + "\']").length > 0);\n    }\n\n\n    /**\n     * @private\n     * Handles the use of Tab so that it stays inside the Dialog\n     * @param {$.Event} event\n     * @param {$.Element} $dlg\n     */\n    function _handleTab(event, $dlg) {\n        var $inputs = $(":input:enabled, a", $dlg).filter(":visible");\n\n        function stopEvent() {\n            event.stopPropagation();\n            event.preventDefault();\n        }\n\n        if ($(event.target).closest($dlg).length) {\n            // If it\'s the first or last tabbable element, focus the last/first element\n            if ((!event.shiftKey && event.target === $inputs[$inputs.length - 1]) ||\n                    (event.shiftKey && event.target === $inputs[0])) {\n                $inputs.filter(event.shiftKey ? ":last" : ":first").focus();\n                stopEvent();\n\n            // If there is no element to focus, don\'t let it focus outside of the dialog\n            } else if (!$inputs.length) {\n                stopEvent();\n            }\n\n        // If the focus left the dialog, focus the first element in the dialog\n        } else {\n            $inputs.first().focus();\n            stopEvent();\n        }\n    }\n\n\n    /**\n     * Handles the keyDown event for the dialogs\n     * @param {$.Event} e\n     * @param {boolean} autoDismiss\n     * @return {boolean}\n     */\n    var _keydownHook = function (e, autoDismiss) {\n        var $primaryBtn     = this.find(".primary"),\n            buttonId        = null,\n            which           = String.fromCharCode(e.which),\n            $focusedElement = this.find(".dialog-button:focus, a:focus");\n\n        function stopEvent() {\n            e.preventDefault();\n            e.stopPropagation();\n        }\n\n        // There might be a textfield in the dialog\'s UI; don\'t want to mistake normal typing for dialog dismissal\n        var inTextArea    = (e.target.tagName === "TEXTAREA"),\n            inTypingField = inTextArea || ($(e.target).filter(":text, :password").length > 0);\n\n        if (e.which === KeyEvent.DOM_VK_TAB) {\n            // We don\'t want to stopEvent() in this case since we might want the default behavior.\n            // _handleTab takes care of stopping/preventing default as necessary.\n            _handleTab(e, this);\n        } else if (e.which === KeyEvent.DOM_VK_ESCAPE) {\n            buttonId = DIALOG_BTN_CANCEL;\n        } else if (e.which === KeyEvent.DOM_VK_RETURN && (!inTextArea || e.ctrlKey)) {\n            // Enter key in single-line text input always dismisses; in text area, only Ctrl+Enter dismisses\n            // Click primary\n            stopEvent();\n            if (e.target.tagName === "BUTTON") {\n                this.find(e.target).click();\n            } else if (e.target.tagName !== "INPUT") {\n                // If the target element is not BUTTON or INPUT, click the primary button\n                // We\'re making an exception for INPUT element because of this issue: GH-11416\n                $primaryBtn.click();\n            }\n        } else if (e.which === KeyEvent.DOM_VK_SPACE) {\n            if ($focusedElement.length) {\n                // Space bar on focused button or link\n                stopEvent();\n                $focusedElement.click();\n            }\n        } else if (brackets.platform === "mac") {\n            // CMD+Backspace Don\'t Save\n            if (e.metaKey && (e.which === KeyEvent.DOM_VK_BACK_SPACE)) {\n                if (_hasButton(this, DIALOG_BTN_DONTSAVE)) {\n                    buttonId = DIALOG_BTN_DONTSAVE;\n                }\n            // FIXME (issue #418) CMD+. Cancel swallowed by native shell\n            } else if (e.metaKey && (e.which === KeyEvent.DOM_VK_PERIOD)) {\n                buttonId = DIALOG_BTN_CANCEL;\n            }\n        } else { // if (brackets.platform === "win") {\n            // \'N\' Don\'t Save\n            if (which === "N" && !inTypingField) {\n                if (_hasButton(this, DIALOG_BTN_DONTSAVE)) {\n                    buttonId = DIALOG_BTN_DONTSAVE;\n                }\n            }\n        }\n\n        if (buttonId) {\n            stopEvent();\n            _processButton(this, buttonId, autoDismiss);\n        }\n\n        // Stop any other global hooks from processing the event (but\n        // allow it to continue bubbling if we haven\'t otherwise stopped it).\n        return true;\n    };\n\n\n\n    /**\n     * @constructor\n     * @private\n     *\n     * @param {$.Element} $dlg The dialog jQuery element\n     * @param {$.Promise} promise A promise that will be resolved with the ID of the clicked button when the dialog\n     *     is dismissed. Never rejected.\n     */\n    function Dialog($dlg, promise) {\n        this._$dlg    = $dlg;\n        this._promise = promise;\n    }\n\n    /**\n     * The dialog jQuery element\n     * @type {$.Element}\n     */\n    Dialog.prototype.getElement = function () {\n        return this._$dlg;\n    };\n\n    /**\n     * The dialog promise\n     * @type {$.Promise}\n     */\n    Dialog.prototype.getPromise = function () {\n        return this._promise;\n    };\n\n    /**\n     * Closes the dialog if is visible\n     */\n    Dialog.prototype.close = function () {\n        if (this._$dlg.is(":visible")) {   // Bootstrap breaks if try to hide dialog that\'s already hidden\n            _dismissDialog(this._$dlg, DIALOG_CANCELED);\n        }\n    };\n\n    /**\n     * Adds a done callback to the dialog promise\n     */\n    Dialog.prototype.done = function (callback) {\n        this._promise.done(callback);\n    };\n\n\n    /**\n     * Don\'t allow dialog to exceed viewport size\n     */\n    function setDialogMaxSize() {\n        var maxWidth, maxHeight,\n            $dlgs = $(".modal-inner-wrapper > .instance");\n\n        // Verify 1 or more modal dialogs are showing\n        if ($dlgs.length > 0) {\n            maxWidth  = $("body").width();\n            maxHeight = $("body").height();\n\n            $dlgs.css({\n                "max-width":  maxWidth,\n                "max-height": maxHeight,\n                "overflow":   "auto"\n            });\n        }\n    }\n\n    /**\n     * Creates a new modal dialog from a given template.\n     * The template can either be a string or a jQuery object representing a DOM node that is *not* in the current DOM.\n     *\n     * @param {string} template A string template or jQuery object to use as the dialog HTML.\n     * @param {boolean=} autoDismiss Whether to automatically dismiss the dialog when one of the buttons\n     *      is clicked. Default true. If false, you\'ll need to manually handle button clicks and the Esc\n     *      key, and dismiss the dialog yourself when ready by calling `close()` on the returned dialog.\n     * @return {Dialog}\n     */\n    function showModalDialogUsingTemplate(template, autoDismiss) {\n        if (autoDismiss === undefined) {\n            autoDismiss = true;\n        }\n\n        $("body").append("<div class=\'modal-wrapper\'><div class=\'modal-inner-wrapper\'></div></div>");\n\n        var result  = new $.Deferred(),\n            promise = result.promise(),\n            $dlg    = $(template)\n                .addClass("instance")\n                .appendTo(".modal-inner-wrapper:last");\n\n        // Don\'t allow dialog to exceed viewport size\n        setDialogMaxSize();\n\n        // Save the dialog promise for unit tests\n        $dlg.data("promise", promise);\n\n        var keydownHook = function (e) {\n            return _keydownHook.call($dlg, e, autoDismiss);\n        };\n\n        // Store current focus\n        var lastFocus = window.document.activeElement;\n\n        // Pipe dialog-closing notification back to client code\n        $dlg.one("hidden", function () {\n            var buttonId = $dlg.data("buttonId");\n            if (!buttonId) {    // buttonId will be undefined if closed via Bootstrap\'s "x" button\n                buttonId = DIALOG_BTN_CANCEL;\n            }\n\n            // Let call stack return before notifying that dialog has closed; this avoids issue #191\n            // if the handler we\'re triggering might show another dialog (as long as there\'s no\n            // fade-out animation)\n            window.setTimeout(function () {\n                result.resolve(buttonId);\n            }, 0);\n\n            // Remove the dialog instance from the DOM.\n            $dlg.remove();\n\n            // Remove our global keydown handler.\n            KeyBindingManager.removeGlobalKeydownHook(keydownHook);\n\n            // Restore previous focus\n            if (lastFocus) {\n                lastFocus.focus();    \n            }\n\n            //Remove wrapper\n            $(".modal-wrapper:last").remove();\n        }).one("shown", function () {\n            var $primaryBtn = $dlg.find(".primary:enabled"),\n                $otherBtn   = $dlg.find(".modal-footer .dialog-button:enabled:eq(0)");\n\n            // Set focus to the primary button, to any other button, or to the dialog depending\n            // if there are buttons\n            if ($primaryBtn.length) {\n                $primaryBtn.focus();\n            } else if ($otherBtn.length) {\n                $otherBtn.focus();\n            } else {\n                window.document.activeElement.blur();\n            }\n\n            // Push our global keydown handler onto the global stack of handlers.\n            KeyBindingManager.addGlobalKeydownHook(keydownHook);\n        });\n\n        // Click handler for buttons\n        $dlg.one("click", ".dialog-button", function (e) {\n            _processButton($dlg, $(this).attr("data-button-id"), autoDismiss);\n        });\n\n        // Run the dialog\n        $dlg\n            .modal({\n                backdrop: "static",\n                show:     true,\n                selector: ".modal-inner-wrapper:last",\n                keyboard: false // handle the ESC key ourselves so we can deal with nested dialogs\n            })\n            // Updates the z-index of the modal dialog and the backdrop\n            .css("z-index", zIndex + 1)\n            .next()\n            .css("z-index", zIndex);\n\n        zIndex += 2;\n\n        return (new Dialog($dlg, promise));\n    }\n\n\n    /**\n     * Creates a new general purpose modal dialog using the default template and the template variables given\n     * as parameters as described.\n     *\n     * @param {string} dlgClass A class name identifier for the dialog. Typically one of DefaultDialogs.*\n     * @param {string=} title The title of the dialog. Can contain HTML markup. Defaults to "".\n     * @param {string=} message The message to display in the dialog. Can contain HTML markup. Defaults to "".\n     * @param {Array.<{className: string, id: string, text: string}>=} buttons An array of buttons where each button\n     *      has a class, id and text property. The id is used in "data-button-id". Defaults to a single Ok button.\n     *      Typically className is one of DIALOG_BTN_CLASS_*, id is one of DIALOG_BTN_*\n     * @param {boolean=} autoDismiss Whether to automatically dismiss the dialog when one of the buttons\n     *      is clicked. Default true. If false, you\'ll need to manually handle button clicks and the Esc\n     *      key, and dismiss the dialog yourself when ready by calling `close()` on the returned dialog.\n     * @return {Dialog}\n     */\n    function showModalDialog(dlgClass, title, message, buttons, autoDismiss) {\n        var templateVars = {\n            dlgClass: dlgClass,\n            title:    title   || "",\n            message:  message || "",\n            buttons:  buttons || [{ className: DIALOG_BTN_CLASS_PRIMARY, id: DIALOG_BTN_OK, text: Strings.OK }]\n        };\n        var template = Mustache.render(DialogTemplate, templateVars);\n\n        return showModalDialogUsingTemplate(template, autoDismiss);\n    }\n\n    /**\n     * Immediately closes any dialog instances with the given class. The dialog callback for each instance will\n     * be called with the special buttonId DIALOG_CANCELED (note: callback is run asynchronously).\n     * @param {string} dlgClass The class name identifier for the dialog.\n     * @param {string=} buttonId The button id to use when closing the dialog. Defaults to DIALOG_CANCELED\n     */\n    function cancelModalDialogIfOpen(dlgClass, buttonId) {\n        $("." + dlgClass + ".instance").each(function () {\n            if ($(this).is(":visible")) {   // Bootstrap breaks if try to hide dialog that\'s already hidden\n                _dismissDialog($(this), buttonId || DIALOG_CANCELED);\n            }\n        });\n    }\n\n    /**\n     * Ensures that all <a> tags with a URL have a tooltip showing the same URL\n     * @param {!jQueryObject|Dialog} elementOrDialog  Dialog intance, or root of other DOM tree to add tooltips to\n     */\n    function addLinkTooltips(elementOrDialog) {\n        var $element;\n        if (elementOrDialog.getElement) {\n            $element = elementOrDialog.getElement().find(".dialog-message");\n        } else {\n            $element = elementOrDialog;\n        }\n        $element.find("a").each(function (index, elem) {\n            var $elem = $(elem);\n            var url = $elem.attr("href");\n            if (url && url !== "#" && !$elem.attr("title")) {\n                $elem.attr("title", url);\n            }\n        });\n    }\n\n    window.addEventListener("resize", setDialogMaxSize);\n\n    exports.DIALOG_BTN_CANCEL            = DIALOG_BTN_CANCEL;\n    exports.DIALOG_BTN_OK                = DIALOG_BTN_OK;\n    exports.DIALOG_BTN_DONTSAVE          = DIALOG_BTN_DONTSAVE;\n    exports.DIALOG_BTN_SAVE_AS           = DIALOG_BTN_SAVE_AS;\n    exports.DIALOG_CANCELED              = DIALOG_CANCELED;\n    exports.DIALOG_BTN_DOWNLOAD          = DIALOG_BTN_DOWNLOAD;\n\n    exports.DIALOG_BTN_CLASS_PRIMARY     = DIALOG_BTN_CLASS_PRIMARY;\n    exports.DIALOG_BTN_CLASS_NORMAL      = DIALOG_BTN_CLASS_NORMAL;\n    exports.DIALOG_BTN_CLASS_LEFT        = DIALOG_BTN_CLASS_LEFT;\n\n    exports.showModalDialog              = showModalDialog;\n    exports.showModalDialogUsingTemplate = showModalDialogUsingTemplate;\n    exports.cancelModalDialogIfOpen      = cancelModalDialogIfOpen;\n    exports.addLinkTooltips              = addLinkTooltips;\n});\n\n//# sourceURL=/widgets/Dialogs.js'),
eval('define(\'text!htmlContent/project-settings-dialog.html\',[],function () { return \'<div class="project-settings-dialog modal">\\n    <div class="modal-header">\\n        <h1 class="dialog-title">{{title}}</h1>\\n    </div>\\n    <div class="modal-body">\\n        <div class="field-container">\\n            <label>\\n                {{Strings.PROJECT_SETTING_BASE_URL}}: <input type="text" placeholder="{{Strings.PROJECT_SETTING_BASE_URL_HINT}}" value="{{baseUrl}}" class="url" />\\n            </label>\\n            {{#errorMessage}}<div class="alert" style="margin-bottom: 0">{{{errorMessage}}}</div>{{/errorMessage}}\\n         </div>\\n    </div>\\n    <div class="modal-footer">\\n        <button class="dialog-button btn" data-button-id="cancel">{{Strings.CANCEL}}</button>\\n        <button class="dialog-button btn primary" data-button-id="ok">{{Strings.DONE}}</button>\\n    </div>\\n</div>\\n\';});\n\n//# sourceURL=/text!htmlContent/project-settings-dialog.html'),eval('/** \n * @license\n * path-utils.js - version 0.0.2\n * Copyright (c) 2011, Kin Blas\n * All rights reserved.\n * \n * Redistribution and use in source and binary forms, with or without\n * modification, are permitted provided that the following conditions are met:\n *     * Redistributions of source code must retain the above copyright\n *       notice, this list of conditions and the following disclaimer.\n *     * Redistributions in binary form must reproduce the above copyright\n *       notice, this list of conditions and the following disclaimer in the\n *       documentation and/or other materials provided with the distribution.\n *     * Neither the name of the <organization> nor the\n *       names of its contributors may be used to endorse or promote products\n *       derived from this software without specific prior written permission.\n * \n * THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS "AS IS" AND\n * ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED\n * WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE\n * DISCLAIMED. IN NO EVENT SHALL <COPYRIGHT HOLDER> BE LIABLE FOR ANY\n * DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES\n * (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES;\n * LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND\n * ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT\n * (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS\n * SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.\n */\n\n(function (root, factory) {\n	if (typeof define === \'function\' && define.amd) {\n		// AMD. Register as an anonymous module.\n		define(\'thirdparty/path-utils/path-utils\',[], factory);\n	} else if (typeof module === \'object\' && module.exports) {\n		// Node. Does not work with strict CommonJS, but\n		// only CommonJS-like environments that support module.exports,\n		// like Node.\n		module.exports = factory();\n	} else {\n		// Browser globals (root is window)\n		root.PathUtils = factory();\n	}\n}(this, function(){\n	\n	var PathUtils = {\n		// This scary looking regular expression parses an absolute URL or its relative\n		// variants (protocol, site, document, query, and hash), into the various\n		// components (protocol, host, path, query, fragment, etc that make up the\n		// URL as well as some other commonly used sub-parts. When used with RegExp.exec()\n		// or String.match, it parses the URL into a results array that looks like this:\n		//\n		//     [0]: http://jblas:password@mycompany.com:8080/mail/inbox?msg=1234&type=unread#msg-content\n		//     [1]: http://jblas:password@mycompany.com:8080/mail/inbox?msg=1234&type=unread\n		//     [2]: http://jblas:password@mycompany.com:8080/mail/inbox\n		//     [3]: http://jblas:password@mycompany.com:8080\n		//     [4]: http:\n		//     [5]: //\n		//     [6]: jblas:password@mycompany.com:8080\n		//     [7]: jblas:password\n		//     [8]: jblas\n		//     [9]: password\n		//    [10]: mycompany.com:8080\n		//    [11]: mycompany.com\n		//    [12]: 8080\n		//    [13]: /mail/inbox\n		//    [14]: /mail/\n		//    [15]: inbox\n		//    [16]: ?msg=1234&type=unread\n		//    [17]: #msg-content\n		//\n		urlParseRE: /^(((([^:\\/#\\?]+:)?(?:(\\/\\/)((?:(([^:@\\/#\\?]+)(?:\\:([^:@\\/#\\?]+))?)@)?(([^:\\/#\\?\\]\\[]+|\\[[^\\/\\]@#?]+\\])(?:\\:([0-9]+))?))?)?)?((\\/?(?:[^\\/\\?#]+\\/+)*)([^\\?#\\.]*(?:\\.[^\\?#\\.]+)*(\\.[^\\?#\\.]+)|[^\\?#]*)))?(\\?[^#]+)?)(#.*)?/,\n\n		// These are the property names we set on the parsed url object. The order of the names\n		// in this array must match the order of the sub-matches in urlParseRE!\n		parsedUrlPropNames: [\n				"href",\n				"hrefNoHash",\n				"hrefNoSearch",\n				"domain",\n				"protocol",\n				"doubleSlash",\n				"authority",\n				"userinfo",\n				"username",\n				"password",\n				"host",\n				"hostname",\n				"port",\n				"pathname",\n				"directory",\n				"filename",\n				"filenameExtension",\n				"search",\n				"hash"\n		],\n\n		defaultPorts: { http: "80", https: "443", ftp: "20", ftps: "990" },\n\n		parseUrl: function( url ) {\n\n			// If we\'re passed an object, we\'ll assume that it is\n			// a parsed url object and just return it back to the caller.\n			if ( url && typeof url === "object" ) {\n				return url;\n			}\n\n			var matches = PathUtils.urlParseRE.exec( url || "" ) || [],\n				props = PathUtils.parsedUrlPropNames,\n				cnt = props.length,\n				result = {},\n				i;\n\n			for ( i = 0; i < cnt; i++ ) {\n				// Most browsers returns an empty string for empty sub-matches, but\n				// IE returns undefined, so we need to make sure we normalize empty\n				// sub-matches so results are consistent across all browsers.\n\n				result[ props[ i ] ] = matches[ i ] || "";\n			}\n\n			return result;\n		},\n\n		port: function( url ) {\n			var u = PathUtils.parseUrl( url );\n			return u.port || PathUtils.defaultPorts[u.protocol];\n		},\n\n		isSameDomain: function( absUrl1, absUrl2 ) {\n			return PathUtils.parseUrl( absUrl1 ).domain === PathUtils.parseUrl( absUrl2 ).domain;\n		},\n\n		//Returns true for any relative variant.\n		isRelativeUrl: function( url ) {\n			// All relative Url variants have one thing in common, no protocol.\n			return PathUtils.parseUrl( url ).protocol === "";\n		},\n\n		//Returns true for an absolute url.\n		isAbsoluteUrl: function( url ) {\n			return PathUtils.parseUrl( url ).protocol !== "";\n		},\n\n		// Turn relPath into an asbolute path. absPath is\n		// an optional absolute path which describes what\n		// relPath is relative to.\n\n		makePathAbsolute: function( relPath, absPath ) {\n			if ( relPath && relPath.charAt( 0 ) === "/" ) {\n				return relPath;\n			}\n\n			relPath = relPath || "";\n			absPath = absPath ? absPath.replace( /^\\/|(\\/[^\\/]*|[^\\/]+)$/g, "" ) : "";\n\n			var absStack = absPath ? absPath.split( "/" ) : [],\n				relStack = relPath.split( "/" );\n			for ( var i = 0; i < relStack.length; i++ ) {\n				var d = relStack[ i ];\n				switch ( d ) {\n					case ".":\n						break;\n					case "..":\n						if ( absStack.length ) {\n							absStack.pop();\n						}\n						break;\n					default:\n						absStack.push( d );\n						break;\n				}\n			}\n			return "/" + absStack.join( "/" );\n		},\n\n		// Turn absolute pathA into a path that is\n		// relative to absolute pathB.\n\n		makePathRelative: function( pathA, pathB ) {\n			// Remove any file reference in the path.\n			pathB = pathB ? pathB.replace( /^\\/|\\/?[^\\/]*$/g, "" ) : "";\n			pathA = pathA ? pathA.replace( /^\\//, "" ) : "";\n\n			var stackB = pathB ? pathB.split( "/" ) : [],\n				stackA = pathA.split( "/" ),\n				stackC = [],\n				len = stackB.length,\n				upLevel = false,\n				startIndex = 0;\n\n			for ( var i = 0; i < len; i++ ) {\n				upLevel = upLevel || stackA[ 0 ] !== stackB[ i ];\n				if ( upLevel ) {\n					stackC.push( ".." );\n				} else {\n					stackA.shift();\n				}\n			}\n			return stackC.concat( stackA ).join( "/" );\n		},\n\n		// Turn any relative URL variant into an absolute URL.\n\n		makeUrlAbsolute: function( relUrl, absUrl ) {\n			if ( !PathUtils.isRelativeUrl( relUrl ) ) {\n				return relUrl;\n			}\n\n			var relObj = PathUtils.parseUrl( relUrl ),\n				absObj = PathUtils.parseUrl( absUrl ),\n				protocol = relObj.protocol || absObj.protocol,\n				doubleSlash = relObj.protocol ? relObj.doubleSlash : ( relObj.doubleSlash || absObj.doubleSlash ),\n				authority = relObj.authority || absObj.authority,\n				hasPath = relObj.pathname !== "",\n				pathname = PathUtils.makePathAbsolute( relObj.pathname || absObj.filename, absObj.pathname ),\n				search = relObj.search || ( !hasPath && absObj.search ) || "",\n				hash = relObj.hash;\n\n			return protocol + doubleSlash + authority + pathname + search + hash;\n		}\n	};\n\n	// For every parsedUrlPropName, make sure there is a getter function defined on the PathUtils object.\n\n	function getterFunc( propName )\n	{\n		return function( url ){\n			return PathUtils.parseUrl( url )[ propName ];\n		}\n	}\n\n	var i, prop, props = PathUtils.parsedUrlPropNames, cnt = props.length;\n	for ( i = 0; i < cnt; i++ ) {\n		prop = props[ i ];\n		if ( !PathUtils[ prop ] ) {\n			PathUtils[ prop ] = getterFunc( prop );\n		}\n	}\n\n	// Expose PathUtils to the world.\n	return PathUtils;\n}));\n//# sourceURL=/thirdparty/path-utils/path-utils.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * PreferencesDialogs\n *\n */\ndefine(\'preferences/PreferencesDialogs\',[\'require\',\'exports\',\'module\',\'widgets/Dialogs\',\'project/ProjectManager\',\'utils/StringUtils\',\'strings\',\'text!htmlContent/project-settings-dialog.html\',\'thirdparty/mustache/mustache\',\'thirdparty/path-utils/path-utils\'],function (require, exports, module) {\n    "use strict";\n\n    var Dialogs                = require("widgets/Dialogs"),\n        ProjectManager         = require("project/ProjectManager"),\n        StringUtils            = require("utils/StringUtils"),\n        Strings                = require("strings"),\n        SettingsDialogTemplate = require("text!htmlContent/project-settings-dialog.html"),\n        Mustache               = require("thirdparty/mustache/mustache"),\n        PathUtils              = require("thirdparty/path-utils/path-utils");\n\n    /**\n     * Validate that text string is a valid base url which should map to a server folder\n     * @param {string} url\n     * @return {string} Empty string if valid, otherwise error string\n     */\n    function _validateBaseUrl(url) {\n        var result = "";\n        // Empty url means "no server mapping; use file directly"\n        if (url === "") {\n            return result;\n        }\n\n        var obj = PathUtils.parseUrl(url);\n        if (!obj) {\n            result = Strings.BASEURL_ERROR_UNKNOWN_ERROR;\n        } else if (obj.href.search(/^(http|https):\\/\\//i) !== 0) {\n            result = StringUtils.format(Strings.BASEURL_ERROR_INVALID_PROTOCOL, obj.href.substring(0, obj.href.indexOf("//")));\n        } else if (obj.search !== "") {\n            result = StringUtils.format(Strings.BASEURL_ERROR_SEARCH_DISALLOWED, obj.search);\n        } else if (obj.hash !== "") {\n            result = StringUtils.format(Strings.BASEURL_ERROR_HASH_DISALLOWED, obj.hash);\n        } else {\n            var index = url.search(/[ \\^\\[\\]\\{\\}<>\\\\"\\?]+/);\n            if (index !== -1) {\n                result = StringUtils.format(Strings.BASEURL_ERROR_INVALID_CHAR, url[index]);\n            }\n        }\n\n        return result;\n    }\n\n    /**\n     * Show a dialog that shows the project preferences\n     * @param {string} baseUrl Initial value\n     * @param {string} errorMessage Error to display\n     * @return {Dialog} A Dialog object with an internal promise that will be resolved with the ID\n     *      of the clicked button when the dialog is dismissed. Never rejected.\n     */\n    function showProjectPreferencesDialog(baseUrl, errorMessage) {\n        var $baseUrlControl,\n            dialog;\n\n        // Title\n        var projectName = "",\n            projectRoot = ProjectManager.getProjectRoot(),\n            title;\n        if (projectRoot) {\n            projectName = projectRoot.name;\n        }\n        title = StringUtils.format(Strings.PROJECT_SETTINGS_TITLE, projectName);\n\n        var templateVars = {\n            title        : title,\n            baseUrl      : baseUrl,\n            errorMessage : errorMessage,\n            Strings      : Strings\n        };\n\n        dialog = Dialogs.showModalDialogUsingTemplate(Mustache.render(SettingsDialogTemplate, templateVars));\n\n        dialog.done(function (id) {\n            if (id === Dialogs.DIALOG_BTN_OK) {\n                var baseUrlValue = $baseUrlControl.val();\n                var result = _validateBaseUrl(baseUrlValue);\n                if (result === "") {\n                    ProjectManager.setBaseUrl(baseUrlValue);\n                } else {\n                    // Re-invoke dialog with result (error message)\n                    showProjectPreferencesDialog(baseUrlValue, result);\n                }\n            }\n        });\n\n        // Give focus to first control\n        $baseUrlControl = dialog.getElement().find(".url");\n        $baseUrlControl.focus();\n\n        return dialog;\n    }\n\n    // For unit testing\n    exports._validateBaseUrl                = _validateBaseUrl;\n\n    exports.showProjectPreferencesDialog    = showProjectPreferencesDialog;\n});\n\n//# sourceURL=/preferences/PreferencesDialogs.js'),eval('// This is a slightly modified version of the minimatch library\n// https://github.com/isaacs/minimatch\n// (MIT-licensed, Copyright 2009-2011 Isaac Z. Schlueter)\n//\n// It has been modified to work properly with RequireJS and\n// to export an fnmatch function adapted from the EditorConfig project:\n// https://github.com/editorconfig/editorconfig-core-js/\n// (MIT-licensed, Copyright 2012 EditorConfig Team)\n\n\ndefine(\'thirdparty/globmatch\',[\'require\',\'exports\',\'module\'],function (r, exports, module, platform) {\n\nmodule.exports = fnmatch;\nminimatch.Minimatch = Minimatch;\n    \nfunction fnmatch(filepath, glob) {\n  var matchOptions = {dot: true, noext: true};\n  \n  // brackets #7374: don\'t try to match base if a directory name is passed in\n  if (filepath[filepath.length - 1] !== "/") {\n    matchOptions.matchBase = true;\n  }\n  \n  glob = glob.replace(/\\*\\*/g, \'{*,**/**/**}\');\n  return minimatch(filepath, glob, matchOptions);\n};\n\nvar LRU = function LRUCache () {\n        // not quite an LRU, but still space-limited.\n        var cache = {}\n        var cnt = 0\n        this.set = function (k, v) {\n          cnt ++\n          if (cnt >= 100) cache = {}\n          cache[k] = v\n        }\n        this.get = function (k) { return cache[k] }\n      }\n  , cache = minimatch.cache = new LRU({max: 100})\n  , GLOBSTAR = minimatch.GLOBSTAR = Minimatch.GLOBSTAR = {}\n  , sigmund = function sigmund (obj) {\n        return JSON.stringify(obj)\n      };\n\nvar path = { basename: function (f) {\n        f = f.split(/[\\/\\\\]/)\n        var e = f.pop()\n        if (!e) e = f.pop()\n        return e\n      }}\n  // any single thing other than /\n  // don\'t need to escape / when using new RegExp()\n  , qmark = "[^/]"\n\n  // * => any number of characters\n  , star = qmark + "*?"\n\n  // ** when dots are allowed.  Anything goes, except .. and .\n  // not (^ or / followed by one or two dots followed by $ or /),\n  // followed by anything, any number of times.\n  , twoStarDot = "(?:(?!(?:\\\\\\/|^)(?:\\\\.{1,2})($|\\\\\\/)).)*?"\n\n  // not a ^ or / followed by a dot,\n  // followed by anything, any number of times.\n  , twoStarNoDot = "(?:(?!(?:\\\\\\/|^)\\\\.).)*?"\n\n  // characters that need to be escaped in RegExp.\n  , reSpecials = charSet("().*{}+?[]^$\\\\!")\n\n// "abc" -> { a:true, b:true, c:true }\nfunction charSet (s) {\n  return s.split("").reduce(function (set, c) {\n    set[c] = true\n    return set\n  }, {})\n}\n\n// normalizes slashes.\nvar slashSplit = /\\/+/\n\nminimatch.monkeyPatch = monkeyPatch\nfunction monkeyPatch () {\n  var desc = Object.getOwnPropertyDescriptor(String.prototype, "match")\n  var orig = desc.value\n  desc.value = function (p) {\n    if (p instanceof Minimatch) return p.match(this)\n    return orig.call(this, p)\n  }\n  Object.defineProperty(String.prototype, desc)\n}\n\nminimatch.filter = filter\nfunction filter (pattern, options) {\n  options = options || {}\n  return function (p, i, list) {\n    return minimatch(p, pattern, options)\n  }\n}\n\nfunction ext (a, b) {\n  a = a || {}\n  b = b || {}\n  var t = {}\n  Object.keys(b).forEach(function (k) {\n    t[k] = b[k]\n  })\n  Object.keys(a).forEach(function (k) {\n    t[k] = a[k]\n  })\n  return t\n}\n\nminimatch.defaults = function (def) {\n  if (!def || !Object.keys(def).length) return minimatch\n\n  var orig = minimatch\n\n  var m = function minimatch (p, pattern, options) {\n    return orig.minimatch(p, pattern, ext(def, options))\n  }\n\n  m.Minimatch = function Minimatch (pattern, options) {\n    return new orig.Minimatch(pattern, ext(def, options))\n  }\n\n  return m\n}\n\nMinimatch.defaults = function (def) {\n  if (!def || !Object.keys(def).length) return Minimatch\n  return minimatch.defaults(def).Minimatch\n}\n\n\nfunction minimatch (p, pattern, options) {\n  if (typeof pattern !== "string") {\n    throw new TypeError("glob pattern string required")\n  }\n\n  if (!options) options = {}\n\n  // shortcut: comments match nothing.\n  if (!options.nocomment && pattern.charAt(0) === "#") {\n    return false\n  }\n\n  // "" only matches ""\n  if (pattern.trim() === "") return p === ""\n\n  return new Minimatch(pattern, options).match(p)\n}\n\nfunction Minimatch (pattern, options) {\n  if (!(this instanceof Minimatch)) {\n    return new Minimatch(pattern, options, cache)\n  }\n\n  if (typeof pattern !== "string") {\n    throw new TypeError("glob pattern string required")\n  }\n\n  if (!options) options = {}\n  pattern = pattern.trim()\n\n  // windows: need to use /, not \\\n  // On other platforms, \\ is a valid (albeit bad) filename char.\n  if (platform === "win32") {\n    pattern = pattern.split("\\\\").join("/")\n  }\n\n  // lru storage.\n  // these things aren\'t particularly big, but walking down the string\n  // and turning it into a regexp can get pretty costly.\n  var cacheKey = pattern + "\\n" + sigmund(options)\n  var cached = minimatch.cache.get(cacheKey)\n  if (cached) return cached\n  minimatch.cache.set(cacheKey, this)\n\n  this.options = options\n  this.set = []\n  this.pattern = pattern\n  this.regexp = null\n  this.negate = false\n  this.comment = false\n  this.empty = false\n\n  // make the set of regexps etc.\n  this.make()\n}\n\nMinimatch.prototype.make = make\nfunction make () {\n  // don\'t do it more than once.\n  if (this._made) return\n\n  var pattern = this.pattern\n  var options = this.options\n\n  // empty patterns and comments match nothing.\n  if (!options.nocomment && pattern.charAt(0) === "#") {\n    this.comment = true\n    return\n  }\n  if (!pattern) {\n    this.empty = true\n    return\n  }\n\n  // step 1: figure out negation, etc.\n  this.parseNegate()\n\n  // step 2: expand braces\n  var set = this.globSet = this.braceExpand()\n\n  if (options.debug) console.error(this.pattern, set)\n\n  // step 3: now we have a set, so turn each one into a series of path-portion\n  // matching patterns.\n  // These will be regexps, except in the case of "**", which is\n  // set to the GLOBSTAR object for globstar behavior,\n  // and will not contain any / characters\n  set = this.globParts = set.map(function (s) {\n    return s.split(slashSplit)\n  })\n\n  if (options.debug) console.error(this.pattern, set)\n\n  // glob --> regexps\n  set = set.map(function (s, si, set) {\n    return s.map(this.parse, this)\n  }, this)\n\n  if (options.debug) console.error(this.pattern, set)\n\n  // filter out everything that didn\'t compile properly.\n  set = set.filter(function (s) {\n    return -1 === s.indexOf(false)\n  })\n\n  if (options.debug) console.error(this.pattern, set)\n\n  this.set = set\n}\n\nMinimatch.prototype.parseNegate = parseNegate\nfunction parseNegate () {\n  var pattern = this.pattern\n    , negate = false\n    , options = this.options\n    , negateOffset = 0\n\n  if (options.nonegate) return\n\n  for ( var i = 0, l = pattern.length\n      ; i < l && pattern.charAt(i) === "!"\n      ; i ++) {\n    negate = !negate\n    negateOffset ++\n  }\n\n  if (negateOffset) this.pattern = pattern.substr(negateOffset)\n  this.negate = negate\n}\n\n// Brace expansion:\n// a{b,c}d -> abd acd\n// a{b,}c -> abc ac\n// a{0..3}d -> a0d a1d a2d a3d\n// a{b,c{d,e}f}g -> abg acdfg acefg\n// a{b,c}d{e,f}g -> abdeg acdeg abdeg abdfg\n//\n// Invalid sets are not expanded.\n// a{2..}b -> a{2..}b\n// a{b}c -> a{b}c\nminimatch.braceExpand = function (pattern, options) {\n  return new Minimatch(pattern, options).braceExpand()\n}\n\nMinimatch.prototype.braceExpand = braceExpand\nfunction braceExpand (pattern, options) {\n  options = options || this.options\n  pattern = typeof pattern === "undefined"\n    ? this.pattern : pattern\n\n  if (typeof pattern === "undefined") {\n    throw new Error("undefined pattern")\n  }\n\n  if (options.nobrace ||\n      !pattern.match(/\\{.*\\}/)) {\n    // shortcut. no need to expand.\n    return [pattern]\n  }\n\n  var escaping = false\n\n  // examples and comments refer to this crazy pattern:\n  // a{b,c{d,e},{f,g}h}x{y,z}\n  // expected:\n  // abxy\n  // abxz\n  // acdxy\n  // acdxz\n  // acexy\n  // acexz\n  // afhxy\n  // afhxz\n  // aghxy\n  // aghxz\n\n  // everything before the first \\{ is just a prefix.\n  // So, we pluck that off, and work with the rest,\n  // and then prepend it to everything we find.\n  if (pattern.charAt(0) !== "{") {\n    // console.error(pattern)\n    var prefix = null\n    for (var i = 0, l = pattern.length; i < l; i ++) {\n      var c = pattern.charAt(i)\n      // console.error(i, c)\n      if (c === "\\\\") {\n        escaping = !escaping\n      } else if (c === "{" && !escaping) {\n        prefix = pattern.substr(0, i)\n        break\n      }\n    }\n\n    // actually no sets, all { were escaped.\n    if (prefix === null) {\n      // console.error("no sets")\n      return [pattern]\n    }\n\n    var tail = braceExpand(pattern.substr(i), options)\n    return tail.map(function (t) {\n      return prefix + t\n    })\n  }\n\n  // now we have something like:\n  // {b,c{d,e},{f,g}h}x{y,z}\n  // walk through the set, expanding each part, until\n  // the set ends.  then, we\'ll expand the suffix.\n  // If the set only has a single member, then\'ll put the {} back\n\n  // first, handle numeric sets, since they\'re easier\n  var numset = pattern.match(/^\\{(-?[0-9]+)\\.\\.(-?[0-9]+)\\}/)\n  if (numset) {\n    // console.error("numset", numset[1], numset[2])\n    var suf = braceExpand(pattern.substr(numset[0].length), options)\n      , start = +numset[1]\n      , end = +numset[2]\n      , inc = start > end ? -1 : 1\n      , set = []\n    for (var i = start; i != (end + inc); i += inc) {\n      // append all the suffixes\n      for (var ii = 0, ll = suf.length; ii < ll; ii ++) {\n        set.push(i + suf[ii])\n      }\n    }\n    return set\n  }\n\n  // ok, walk through the set\n  // We hope, somewhat optimistically, that there\n  // will be a } at the end.\n  // If the closing brace isn\'t found, then the pattern is\n  // interpreted as braceExpand("\\\\" + pattern) so that\n  // the leading \\{ will be interpreted literally.\n  var i = 1 // skip the \\{\n    , depth = 1\n    , set = []\n    , member = ""\n    , sawEnd = false\n    , escaping = false\n\n  function addMember () {\n    set.push(member)\n    member = ""\n  }\n\n  // console.error("Entering for")\n  FOR: for (i = 1, l = pattern.length; i < l; i ++) {\n    var c = pattern.charAt(i)\n    // console.error("", i, c)\n\n    if (escaping) {\n      escaping = false\n      member += "\\\\" + c\n    } else {\n      switch (c) {\n        case "\\\\":\n          escaping = true\n          continue\n\n        case "{":\n          depth ++\n          member += "{"\n          continue\n\n        case "}":\n          depth --\n          // if this closes the actual set, then we\'re done\n          if (depth === 0) {\n            addMember()\n            // pluck off the close-brace\n            i ++\n            break FOR\n          } else {\n            member += c\n            continue\n          }\n\n        case ",":\n          if (depth === 1) {\n            addMember()\n          } else {\n            member += c\n          }\n          continue\n\n        default:\n          member += c\n          continue\n      } // switch\n    } // else\n  } // for\n\n  // now we\'ve either finished the set, and the suffix is\n  // pattern.substr(i), or we have *not* closed the set,\n  // and need to escape the leading brace\n  if (depth !== 0) {\n    // console.error("didn\'t close", pattern)\n    return braceExpand("\\\\" + pattern, options)\n  }\n\n  // x{y,z} -> ["xy", "xz"]\n  // console.error("set", set)\n  // console.error("suffix", pattern.substr(i))\n  var suf = braceExpand(pattern.substr(i), options)\n  // ["b", "c{d,e}","{f,g}h"] ->\n  //   [["b"], ["cd", "ce"], ["fh", "gh"]]\n  var addBraces = set.length === 1\n  // console.error("set pre-expanded", set)\n  set = set.map(function (p) {\n    return braceExpand(p, options)\n  })\n  // console.error("set expanded", set)\n\n\n  // [["b"], ["cd", "ce"], ["fh", "gh"]] ->\n  //   ["b", "cd", "ce", "fh", "gh"]\n  set = set.reduce(function (l, r) {\n    return l.concat(r)\n  })\n\n  if (addBraces) {\n    set = set.map(function (s) {\n      return "{" + s + "}"\n    })\n  }\n\n  // now attach the suffixes.\n  var ret = []\n  for (var i = 0, l = set.length; i < l; i ++) {\n    for (var ii = 0, ll = suf.length; ii < ll; ii ++) {\n      ret.push(set[i] + suf[ii])\n    }\n  }\n  return ret\n}\n\n// parse a component of the expanded set.\n// At this point, no pattern may contain "/" in it\n// so we\'re going to return a 2d array, where each entry is the full\n// pattern, split on \'/\', and then turned into a regular expression.\n// A regexp is made at the end which joins each array with an\n// escaped /, and another full one which joins each regexp with |.\n//\n// Following the lead of Bash 4.1, note that "**" only has special meaning\n// when it is the *only* thing in a path portion.  Otherwise, any series\n// of * is equivalent to a single *.  Globstar behavior is enabled by\n// default, and can be disabled by setting options.noglobstar.\nMinimatch.prototype.parse = parse\nvar SUBPARSE = {}\nfunction parse (pattern, isSub) {\n  var options = this.options\n\n  // shortcuts\n  if (!options.noglobstar && pattern === "**") return GLOBSTAR\n  if (pattern === "") return ""\n\n  var re = ""\n    , hasMagic = !!options.nocase\n    , escaping = false\n    // ? => one single character\n    , patternListStack = []\n    , plType\n    , stateChar\n    , inClass = false\n    , reClassStart = -1\n    , classStart = -1\n    // . and .. never match anything that doesn\'t start with .,\n    // even when options.dot is set.\n    , patternStart = pattern.charAt(0) === "." ? "" // anything\n      // not (start or / followed by . or .. followed by / or end)\n      : options.dot ? "(?!(?:^|\\\\\\/)\\\\.{1,2}(?:$|\\\\\\/))"\n      : "(?!\\\\.)"\n\n  function clearStateChar () {\n    if (stateChar) {\n      // we had some state-tracking character\n      // that wasn\'t consumed by this pass.\n      switch (stateChar) {\n        case "*":\n          re += star\n          hasMagic = true\n          break\n        case "?":\n          re += qmark\n          hasMagic = true\n          break\n        default:\n          re += "\\\\"+stateChar\n          break\n      }\n      stateChar = false\n    }\n  }\n\n  for ( var i = 0, len = pattern.length, c\n      ; (i < len) && (c = pattern.charAt(i))\n      ; i ++ ) {\n\n    if (options.debug) {\n      console.error("%s\\t%s %s %j", pattern, i, re, c)\n    }\n\n    // skip over any that are escaped.\n    if (escaping && reSpecials[c]) {\n      re += "\\\\" + c\n      escaping = false\n      continue\n    }\n\n    SWITCH: switch (c) {\n      case "/":\n        // completely not allowed, even escaped.\n        // Should already be path-split by now.\n        return false\n\n      case "\\\\":\n        clearStateChar()\n        escaping = true\n        continue\n\n      // the various stateChar values\n      // for the "extglob" stuff.\n      case "?":\n      case "*":\n      case "+":\n      case "@":\n      case "!":\n        if (options.debug) {\n          console.error("%s\\t%s %s %j <-- stateChar", pattern, i, re, c)\n        }\n\n        // all of those are literals inside a class, except that\n        // the glob [!a] means [^a] in regexp\n        if (inClass) {\n          if (c === "!" && i === classStart + 1) c = "^"\n          re += c\n          continue\n        }\n\n        // if we already have a stateChar, then it means\n        // that there was something like ** or +? in there.\n        // Handle the stateChar, then proceed with this one.\n        clearStateChar()\n        stateChar = c\n        // if extglob is disabled, then +(asdf|foo) isn\'t a thing.\n        // just clear the statechar *now*, rather than even diving into\n        // the patternList stuff.\n        if (options.noext) clearStateChar()\n        continue\n\n      case "(":\n        if (inClass) {\n          re += "("\n          continue\n        }\n\n        if (!stateChar) {\n          re += "\\\\("\n          continue\n        }\n\n        plType = stateChar\n        patternListStack.push({ type: plType\n                              , start: i - 1\n                              , reStart: re.length })\n        // negation is (?:(?!js)[^/]*)\n        re += stateChar === "!" ? "(?:(?!" : "(?:"\n        stateChar = false\n        continue\n\n      case ")":\n        if (inClass || !patternListStack.length) {\n          re += "\\\\)"\n          continue\n        }\n\n        hasMagic = true\n        re += ")"\n        plType = patternListStack.pop().type\n        // negation is (?:(?!js)[^/]*)\n        // The others are (?:<pattern>)<type>\n        switch (plType) {\n          case "!":\n            re += "[^/]*?)"\n            break\n          case "?":\n          case "+":\n          case "*": re += plType\n          case "@": break // the default anyway\n        }\n        continue\n\n      case "|":\n        if (inClass || !patternListStack.length || escaping) {\n          re += "\\\\|"\n          escaping = false\n          continue\n        }\n\n        re += "|"\n        continue\n\n      // these are mostly the same in regexp and glob\n      case "[":\n        // swallow any state-tracking char before the [\n        clearStateChar()\n\n        if (inClass) {\n          re += "\\\\" + c\n          continue\n        }\n\n        inClass = true\n        classStart = i\n        reClassStart = re.length\n        re += c\n        continue\n\n      case "]":\n        //  a right bracket shall lose its special\n        //  meaning and represent itself in\n        //  a bracket expression if it occurs\n        //  first in the list.  -- POSIX.2 2.8.3.2\n        if (i === classStart + 1 || !inClass) {\n          re += "\\\\" + c\n          escaping = false\n          continue\n        }\n\n        // finish up the class.\n        hasMagic = true\n        inClass = false\n        re += c\n        continue\n\n      default:\n        // swallow any state char that wasn\'t consumed\n        clearStateChar()\n\n        if (escaping) {\n          // no need\n          escaping = false\n        } else if (reSpecials[c]\n                   && !(c === "^" && inClass)) {\n          re += "\\\\"\n        }\n\n        re += c\n\n    } // switch\n  } // for\n\n\n  // handle the case where we left a class open.\n  // "[abc" is valid, equivalent to "\\[abc"\n  if (inClass) {\n    // split where the last [ was, and escape it\n    // this is a huge pita.  We now have to re-walk\n    // the contents of the would-be class to re-translate\n    // any characters that were passed through as-is\n    var cs = pattern.substr(classStart + 1)\n      , sp = this.parse(cs, SUBPARSE)\n    re = re.substr(0, reClassStart) + "\\\\[" + sp[0]\n    hasMagic = hasMagic || sp[1]\n  }\n\n  // handle the case where we had a +( thing at the *end*\n  // of the pattern.\n  // each pattern list stack adds 3 chars, and we need to go through\n  // and escape any | chars that were passed through as-is for the regexp.\n  // Go through and escape them, taking care not to double-escape any\n  // | chars that were already escaped.\n  var pl\n  while (pl = patternListStack.pop()) {\n    var tail = re.slice(pl.reStart + 3)\n    // maybe some even number of \\, then maybe 1 \\, followed by a |\n    tail = tail.replace(/((?:\\\\{2})*)(\\\\?)\\|/g, function (_, $1, $2) {\n      if (!$2) {\n        // the | isn\'t already escaped, so escape it.\n        $2 = "\\\\"\n      }\n\n      // need to escape all those slashes *again*, without escaping the\n      // one that we need for escaping the | character.  As it works out,\n      // escaping an even number of slashes can be done by simply repeating\n      // it exactly after itself.  That\'s why this trick works.\n      //\n      // I am sorry that you have to see this.\n      return $1 + $1 + $2 + "|"\n    })\n\n    // console.error("tail=%j\\n   %s", tail, tail)\n    var t = pl.type === "*" ? star\n          : pl.type === "?" ? qmark\n          : "\\\\" + pl.type\n\n    hasMagic = true\n    re = re.slice(0, pl.reStart)\n       + t + "\\\\("\n       + tail\n  }\n\n  // handle trailing things that only matter at the very end.\n  clearStateChar()\n  if (escaping) {\n    // trailing \\\\\n    re += "\\\\\\\\"\n  }\n\n  // only need to apply the nodot start if the re starts with\n  // something that could conceivably capture a dot\n  var addPatternStart = false\n  switch (re.charAt(0)) {\n    case ".":\n    case "[":\n    case "(": addPatternStart = true\n  }\n\n  // if the re is not "" at this point, then we need to make sure\n  // it doesn\'t match against an empty path part.\n  // Otherwise a/* will match a/, which it should not.\n  if (re !== "" && hasMagic) re = "(?=.)" + re\n\n  if (addPatternStart) re = patternStart + re\n\n  // parsing just a piece of a larger pattern.\n  if (isSub === SUBPARSE) {\n    return [ re, hasMagic ]\n  }\n\n  // skip the regexp for non-magical patterns\n  // unescape anything in it, though, so that it\'ll be\n  // an exact match against a file etc.\n  if (!hasMagic) {\n    return globUnescape(pattern)\n  }\n\n  var flags = options.nocase ? "i" : ""\n    , regExp = new RegExp("^" + re + "$", flags)\n\n  regExp._glob = pattern\n  regExp._src = re\n\n  return regExp\n}\n\nminimatch.makeRe = function (pattern, options) {\n  return new Minimatch(pattern, options || {}).makeRe()\n}\n\nMinimatch.prototype.makeRe = makeRe\nfunction makeRe () {\n  if (this.regexp || this.regexp === false) return this.regexp\n\n  // at this point, this.set is a 2d array of partial\n  // pattern strings, or "**".\n  //\n  // It\'s better to use .match().  This function shouldn\'t\n  // be used, really, but it\'s pretty convenient sometimes,\n  // when you just want to work with a regex.\n  var set = this.set\n\n  if (!set.length) return this.regexp = false\n  var options = this.options\n\n  var twoStar = options.noglobstar ? star\n      : options.dot ? twoStarDot\n      : twoStarNoDot\n    , flags = options.nocase ? "i" : ""\n\n  var re = set.map(function (pattern) {\n    return pattern.map(function (p) {\n      return (p === GLOBSTAR) ? twoStar\n           : (typeof p === "string") ? regExpEscape(p)\n           : p._src\n    }).join("\\\\\\/")\n  }).join("|")\n\n  // must match entire pattern\n  // ending in a * or ** will make it less strict.\n  re = "^(?:" + re + ")$"\n\n  // can match anything, as long as it\'s not this.\n  if (this.negate) re = "^(?!" + re + ").*$"\n\n  try {\n    return this.regexp = new RegExp(re, flags)\n  } catch (ex) {\n    return this.regexp = false\n  }\n}\n\nminimatch.match = function (list, pattern, options) {\n  var mm = new Minimatch(pattern, options)\n  list = list.filter(function (f) {\n    return mm.match(f)\n  })\n  if (options.nonull && !list.length) {\n    list.push(pattern)\n  }\n  return list\n}\n\nMinimatch.prototype.match = match\nfunction match (f, partial) {\n  // console.error("match", f, this.pattern)\n  // short-circuit in the case of busted things.\n  // comments, etc.\n  if (this.comment) return false\n  if (this.empty) return f === ""\n\n  if (f === "/" && partial) return true\n\n  var options = this.options\n\n  // windows: need to use /, not \\\n  // On other platforms, \\ is a valid (albeit bad) filename char.\n  if (platform === "win32") {\n    f = f.split("\\\\").join("/")\n  }\n\n  // treat the test path as a set of pathparts.\n  f = f.split(slashSplit)\n  if (options.debug) {\n    console.error(this.pattern, "split", f)\n  }\n\n  // just ONE of the pattern sets in this.set needs to match\n  // in order for it to be valid.  If negating, then just one\n  // match means that we have failed.\n  // Either way, return on the first hit.\n\n  var set = this.set\n  // console.error(this.pattern, "set", set)\n\n  for (var i = 0, l = set.length; i < l; i ++) {\n    var pattern = set[i]\n    var hit = this.matchOne(f, pattern, partial)\n    if (hit) {\n      if (options.flipNegate) return true\n      return !this.negate\n    }\n  }\n\n  // didn\'t get any hits.  this is success if it\'s a negative\n  // pattern, failure otherwise.\n  if (options.flipNegate) return false\n  return this.negate\n}\n\n// set partial to true to test if, for example,\n// "/a/b" matches the start of "/*/b/*/d"\n// Partial means, if you run out of file before you run\n// out of pattern, then that\'s fine, as long as all\n// the parts match.\nMinimatch.prototype.matchOne = function (file, pattern, partial) {\n  var options = this.options\n\n  if (options.debug) {\n    console.error("matchOne",\n                  { "this": this\n                  , file: file\n                  , pattern: pattern })\n  }\n\n  if (options.matchBase && pattern.length === 1) {\n    file = path.basename(file.join("/")).split("/")\n  }\n\n  if (options.debug) {\n    console.error("matchOne", file.length, pattern.length)\n  }\n\n  for ( var fi = 0\n          , pi = 0\n          , fl = file.length\n          , pl = pattern.length\n      ; (fi < fl) && (pi < pl)\n      ; fi ++, pi ++ ) {\n\n    if (options.debug) {\n      console.error("matchOne loop")\n    }\n    var p = pattern[pi]\n      , f = file[fi]\n\n    if (options.debug) {\n      console.error(pattern, p, f)\n    }\n\n    // should be impossible.\n    // some invalid regexp stuff in the set.\n    if (p === false) return false\n\n    if (p === GLOBSTAR) {\n      if (options.debug)\n        console.error(\'GLOBSTAR\', [pattern, p, f])\n\n      // "**"\n      // a/**/b/**/c would match the following:\n      // a/b/x/y/z/c\n      // a/x/y/z/b/c\n      // a/b/x/b/x/c\n      // a/b/c\n      // To do this, take the rest of the pattern after\n      // the **, and see if it would match the file remainder.\n      // If so, return success.\n      // If not, the ** "swallows" a segment, and try again.\n      // This is recursively awful.\n      //\n      // a/**/b/**/c matching a/b/x/y/z/c\n      // - a matches a\n      // - doublestar\n      //   - matchOne(b/x/y/z/c, b/**/c)\n      //     - b matches b\n      //     - doublestar\n      //       - matchOne(x/y/z/c, c) -> no\n      //       - matchOne(y/z/c, c) -> no\n      //       - matchOne(z/c, c) -> no\n      //       - matchOne(c, c) yes, hit\n      var fr = fi\n        , pr = pi + 1\n      if (pr === pl) {\n        if (options.debug)\n          console.error(\'** at the end\')\n        // a ** at the end will just swallow the rest.\n        // We have found a match.\n        // however, it will not swallow /.x, unless\n        // options.dot is set.\n        // . and .. are *never* matched by **, for explosively\n        // exponential reasons.\n        for ( ; fi < fl; fi ++) {\n          if (file[fi] === "." || file[fi] === ".." ||\n              (!options.dot && file[fi].charAt(0) === ".")) return false\n        }\n        return true\n      }\n\n      // ok, let\'s see if we can swallow whatever we can.\n      WHILE: while (fr < fl) {\n        var swallowee = file[fr]\n\n        if (options.debug) {\n          console.error(\'\\nglobstar while\',\n                        file, fr, pattern, pr, swallowee)\n        }\n\n        // XXX remove this slice.  Just pass the start index.\n        if (this.matchOne(file.slice(fr), pattern.slice(pr), partial)) {\n          if (options.debug)\n            console.error(\'globstar found match!\', fr, fl, swallowee)\n          // found a match.\n          return true\n        } else {\n          // can\'t swallow "." or ".." ever.\n          // can only swallow ".foo" when explicitly asked.\n          if (swallowee === "." || swallowee === ".." ||\n              (!options.dot && swallowee.charAt(0) === ".")) {\n            if (options.debug)\n              console.error("dot detected!", file, fr, pattern, pr)\n            break WHILE\n          }\n\n          // ** swallows a segment, and continue.\n          if (options.debug)\n            console.error(\'globstar swallow a segment, and continue\')\n          fr ++\n        }\n      }\n      // no match was found.\n      // However, in partial mode, we can\'t say this is necessarily over.\n      // If there\'s more *pattern* left, then \n      if (partial) {\n        // ran out of file\n        // console.error("\\n>>> no match, partial?", file, fr, pattern, pr)\n        if (fr === fl) return true\n      }\n      return false\n    }\n\n    // something other than **\n    // non-magic patterns just have to match exactly\n    // patterns with magic have been turned into regexps.\n    var hit\n    if (typeof p === "string") {\n      if (options.nocase) {\n        hit = f.toLowerCase() === p.toLowerCase()\n      } else {\n        hit = f === p\n      }\n      if (options.debug) {\n        console.error("string match", p, f, hit)\n      }\n    } else {\n      hit = f.match(p)\n      if (options.debug) {\n        console.error("pattern match", p, f, hit)\n      }\n    }\n\n    if (!hit) return false\n  }\n\n  // Note: ending in / means that we\'ll get a final ""\n  // at the end of the pattern.  This can only match a\n  // corresponding "" at the end of the file.\n  // If the file ends in /, then it can only match a\n  // a pattern that ends in /, unless the pattern just\n  // doesn\'t have any more for it. But, a/b/ should *not*\n  // match "a/b/*", even though "" matches against the\n  // [^/]*? pattern, except in partial mode, where it might\n  // simply not be reached yet.\n  // However, a/b/ should still satisfy a/*\n\n  // now either we fell off the end of the pattern, or we\'re done.\n  if (fi === fl && pi === pl) {\n    // ran out of pattern and filename at the same time.\n    // an exact hit!\n    return true\n  } else if (fi === fl) {\n    // ran out of file, but still had pattern left.\n    // this is ok if we\'re doing the match as part of\n    // a glob fs traversal.\n    return partial\n  } else if (pi === pl) {\n    // ran out of pattern, still have file left.\n    // this is only acceptable if we\'re on the very last\n    // empty segment of a file with a trailing slash.\n    // a/* should match a/b/\n    var emptyFileEnd = (fi === fl - 1) && (file[fi] === "")\n    return emptyFileEnd\n  }\n\n  // should be unreachable.\n  throw new Error("wtf?")\n}\n\n\n// replace stuff like \\* with *\nfunction globUnescape (s) {\n  return s.replace(/\\\\(.)/g, "$1")\n}\n\n\nfunction regExpEscape (s) {\n  return s.replace(/[-[\\]{}()*+?.,\\\\^$|#\\s]/g, "\\\\$&")\n}\n\n});\n//# sourceURL=/thirdparty/globmatch.js'),
eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*global appshell */\n/*unittests: Preferences Base */\n\n/**\n * Infrastructure for the preferences system.\n *\n * At the top, the level at which most people will interact, is the `PreferencesSystem` object.\n * The most common operation is `get(id)`, which simply retrieves the value of a given preference.\n *\n * The PreferencesSystem has a collection of Scopes, which it traverses in a specified order.\n * Each Scope holds one level of settings.\n *\n * PreferencesManager.js sets up a singleton PreferencesSystem that has the following Scopes:\n *\n * * default (the default values for any settings that are explicitly registered)\n * * user (the user\'s customized settings – the equivalent of Brackets\' old\n *   localStorage-based system. This is the settings file that lives in AppData)\n * * Additional scopes for each .brackets.json file going upward in the file tree from the\n *   current file\n *\n * For example, if spaceUnits has a value set in a .brackets.json file near the open file,\n * then a call to get("spaceUnits") would return the value from that file. File values come\n * first, user values next, default values last. If the setting is not known\n * at all, undefined is returned.\n *\n * Each Scope has an associated Storage object that knows how to load and\n * save the preferences value for that Scope. There are two implementations:\n * MemoryStorage and FileStorage.\n *\n * The final concept used is that of Layers, which can be added to Scopes. Generally, a Layer looks\n * for a collection of preferences that are nested in some fashion in the Scope\'s\n * data. Under certain circumstances (decided upon by the Layer object),\n * those nested preferences will take precedence over the main preferences in the Scope.\n */\ndefine(\'preferences/PreferencesBase\',[\'require\',\'exports\',\'module\',\'file/FileUtils\',\'filesystem/FileSystem\',\'filesystem/FileSystemError\',\'utils/EventDispatcher\',\'thirdparty/lodash\',\'utils/Async\',\'thirdparty/globmatch\'],function (require, exports, module) {\n    "use strict";\n\n    var FileUtils       = require("file/FileUtils"),\n        FileSystem      = require("filesystem/FileSystem"),\n        FileSystemError = require("filesystem/FileSystemError"),\n        EventDispatcher = require("utils/EventDispatcher"),\n        _               = require("thirdparty/lodash"),\n        Async           = require("utils/Async"),\n        globmatch       = require("thirdparty/globmatch");\n\n    // CONSTANTS\n    var PREFERENCE_CHANGE = "change",\n        SCOPEORDER_CHANGE = "scopeOrderChange";\n\n    /*\n     * Storages manage the loading and saving of preference data.\n     */\n\n    /**\n     * MemoryStorage, as the name implies, stores the preferences in memory.\n     * This is suitable for single session data or testing.\n     *\n     * @constructor\n     * @param {?Object} data Initial data for the storage.\n     */\n    function MemoryStorage(data) {\n        this.data = data || {};\n    }\n\n    MemoryStorage.prototype = {\n\n        /**\n         * *Synchronously* returns the data stored in this storage.\n         * The original object (not a clone) is returned.\n         *\n         * @return {Promise} promise that is already resolved\n         */\n        load: function () {\n            var result = new $.Deferred();\n            result.resolve(this.data);\n            return result.promise();\n        },\n\n        /**\n         * *Synchronously* saves the data to this storage. This saves\n         * the `newData` object reference without cloning it.\n         *\n         * @param {Object} newData The data to store.\n         * @return {Promise} promise that is already resolved\n         */\n        save: function (newData) {\n            var result = new $.Deferred();\n            this.data = newData;\n            result.resolve();\n            return result.promise();\n        },\n\n        /**\n         * MemoryStorage is not stored in a file, so fileChanged is ignored.\n         *\n         * @param {string} filePath File that has changed\n         */\n        fileChanged: function (filePath) {\n        }\n    };\n\n    // MemoryStorage never actually dispatches change events, but Storage interface requires implementing on()/off()\n    EventDispatcher.makeEventDispatcher(MemoryStorage.prototype);\n\n\n    /**\n     * Error type for problems parsing preference files.\n     *\n     * @constructor\n     * @param {string} message Error message\n     */\n    function ParsingError(message) {\n        this.name = "ParsingError";\n        this.message = message || "";\n    }\n\n    ParsingError.prototype = new Error();\n\n\n    /**\n     * Loads/saves preferences from a JSON file on disk.\n     *\n     * @constructor\n     * @param {string}  path        Path to the preferences file\n     * @param {boolean} createIfMissing True if the file should be created if it doesn\'t exist.\n     *                              If this is not true, an exception will be thrown if the\n     *                              file does not exist.\n     * @param {boolean} recreateIfInvalid True if the file needs to be recreated if it is invalid.\n     *                              Invalid- Either unreadable or unparseable.\n     *                              The invalid copy will be sent to trash in case the user wants to refer to it.\n     */\n    function FileStorage(path, createIfMissing, recreateIfInvalid) {\n        this.path = path;\n        this.createIfMissing = createIfMissing;\n        this.recreateIfInvalid = recreateIfInvalid;\n        this._lineEndings = FileUtils.getPlatformLineEndings();\n    }\n\n    FileStorage.prototype = {\n\n        /**\n         * Loads the preferences from disk. Can throw an exception if the file is not\n         * readable or parseable.\n         *\n         * @return {Promise} Resolved with the data once it has been parsed.\n         */\n        load: function () {\n            var result = new $.Deferred();\n            var path = this.path;\n            var createIfMissing = this.createIfMissing;\n            var recreateIfInvalid = this.recreateIfInvalid;\n            var self = this;\n\n            if (path) {\n                var prefFile = FileSystem.getFileForPath(path);\n                prefFile.read({}, function (err, text) {\n                    if (err) {\n                        if (createIfMissing) {\n                            // Unreadable file is also unwritable -- delete so get recreated\n                            if (recreateIfInvalid && (err === FileSystemError.NOT_READABLE || err === FileSystemError.UNSUPPORTED_ENCODING)) {\n                                appshell.fs.moveToTrash(path, function (err) {\n                                    if (err) {\n                                        console.log("Cannot move unreadable preferences file " + path + " to trash!!");\n                                    } else {\n                                        console.log("Brackets has recreated the unreadable preferences file " + path + ". You may refer to the deleted file in trash in case you need it!!");\n                                    }\n                                }.bind(this));\n                            }\n                            result.resolve({});\n                        } else {\n                            result.reject(new Error("Unable to load preferences at " + path + " " + err));\n                        }\n                        return;\n                    }\n\n                    self._lineEndings = FileUtils.sniffLineEndings(text);\n\n                    // If the file is empty, turn it into an empty object\n                    if (/^\\s*$/.test(text)) {\n                        result.resolve({});\n                    } else {\n                        try {\n                            result.resolve(JSON.parse(text));\n                        } catch (e) {\n                            if (recreateIfInvalid) {\n                                // JSON parsing error -- recreate the preferences file\n                                appshell.fs.moveToTrash(path, function (err) {\n                                    if (err) {\n                                        console.log("Cannot move unparseable preferences file " + path + " to trash!!");\n                                    } else {\n                                        console.log("Brackets has recreated the Invalid JSON preferences file " + path + ". You may refer to the deleted file in trash in case you need it!!");\n                                    }\n                                }.bind(this));\n                                result.resolve({});\n                            } else {\n                                result.reject(new ParsingError("Invalid JSON settings at " + path + "(" + e.toString() + ")"));\n                            }\n                        }\n                    }\n                });\n            } else {\n                result.resolve({});\n            }\n\n            return result.promise();\n        },\n\n        /**\n         * Saves the new data to disk.\n         *\n         * @param {Object} newData data to save\n         * @return {Promise} Promise resolved (with no arguments) once the data has been saved\n         */\n        save: function (newData) {\n            var result = new $.Deferred();\n            var path = this.path;\n            var prefFile = FileSystem.getFileForPath(path);\n\n            if (path) {\n                try {\n                    var text = JSON.stringify(newData, null, 4);\n\n                    // maintain the original line endings\n                    text = FileUtils.translateLineEndings(text, this._lineEndings);\n                    prefFile.write(text, {}, function (err) {\n                        if (err) {\n                            result.reject("Unable to save prefs at " + path + " " + err);\n                        } else {\n                            result.resolve();\n                        }\n                    });\n                } catch (e) {\n                    result.reject("Unable to convert prefs to JSON" + e.toString());\n                }\n            } else {\n                result.resolve();\n            }\n            return result.promise();\n        },\n\n        /**\n         * Changes the path to the preferences file.\n         * This sends a "changed" event to listeners, regardless of whether\n         * the path has changed.\n         *\n         * @param {string} newPath location of this settings file\n         */\n        setPath: function (newPath) {\n            this.path = newPath;\n            this.trigger("changed");\n        },\n\n        /**\n         * If the filename matches this Storage\'s path, a changed message is triggered.\n         *\n         * @param {string} filePath File that has changed\n         */\n        fileChanged: function (filePath) {\n            if (filePath === this.path) {\n                this.trigger("changed");\n            }\n        }\n    };\n\n    EventDispatcher.makeEventDispatcher(FileStorage.prototype);\n\n\n    /**\n     * A `Scope` is a data container that is tied to a `Storage`.\n     *\n     * Additionally, `Scope`s support "layers" which are additional levels of preferences\n     * that are stored within a single preferences file.\n     *\n     * @constructor\n     * @param {Storage} storage Storage object from which prefs are loaded/saved\n     */\n    function Scope(storage) {\n        this.storage = storage;\n        storage.on("changed", this.load.bind(this));\n        this.data = {};\n        this._dirty = false;\n        this._layers = [];\n        this._layerMap = {};\n        this._exclusions = [];\n    }\n\n    _.extend(Scope.prototype, {\n        /**\n         * Loads the prefs for this `Scope` from the `Storage`.\n         *\n         * @return {Promise} Promise that is resolved once loading is complete\n         */\n        load: function () {\n            var result = new $.Deferred();\n            this.storage.load()\n                .then(function (data) {\n                    var oldKeys = this.getKeys();\n                    this.data = data;\n                    result.resolve();\n                    this.trigger(PREFERENCE_CHANGE, {\n                        ids: _.union(this.getKeys(), oldKeys)\n                    });\n                }.bind(this))\n                .fail(function (error) {\n                    result.reject(error);\n                });\n            return result.promise();\n        },\n\n        /**\n         * Saves the prefs for this `Scope`.\n         *\n         * @return {Promise} promise resolved once the data is saved.\n         */\n        save: function () {\n            var self = this;\n            if (this._dirty) {\n                self._dirty = false;\n                return this.storage.save(this.data);\n            } else {\n                return (new $.Deferred()).resolve().promise();\n            }\n        },\n\n        /**\n         * Sets the value for `id`. The value is set at the location given, or at the current\n         * location for the preference if no location is specified. If an invalid location is\n         * given, nothing will be set and no exception is thrown.\n         *\n         * @param {string} id Key to set\n         * @param {*} value Value for this key\n         * @param {Object=} context Optional additional information about the request (typically used for layers)\n         * @param {{layer: ?string, layerID: ?Object}=} location Optional location in which to set the value.\n         *                                                      If the object is empty, the value will be\n         *                                                      set at the Scope\'s base level.\n         * @return {boolean} true if the value was set\n         */\n        set: function (id, value, context, location) {\n            if (!location) {\n                location = this.getPreferenceLocation(id, context);\n            }\n            if (location && location.layer) {\n                var layer = this._layerMap[location.layer];\n                if (layer) {\n                    if (this.data[layer.key] === undefined) {\n                        this.data[layer.key] = {};\n                    }\n\n                    var wasSet = layer.set(this.data[layer.key], id, value, context, location.layerID);\n                    this._dirty = this._dirty || wasSet;\n                    return wasSet;\n                } else {\n                    return false;\n                }\n            } else {\n                return this._performSet(id, value);\n            }\n        },\n\n        /**\n         * @private\n         *\n         * Performs the set operation on this Scope\'s data, deleting the given ID if\n         * the new value is undefined. The dirty flag will be set as well.\n         *\n         * @param {string} id key to set or delete\n         * @param {*} value value for this key (undefined to delete)\n         * @return {boolean} true if the value was set.\n         */\n        _performSet: function (id, value) {\n            if (!_.isEqual(this.data[id], value)) {\n                this._dirty = true;\n                if (value === undefined) {\n                    delete this.data[id];\n                } else {\n                    this.data[id] = _.cloneDeep(value);\n                }\n                return true;\n            }\n            return false;\n        },\n\n        /**\n         * Get the value for id, given the context. The context is provided to layers\n         * which may override the value from the main data of the Scope. Note that\n         * layers will often exclude values from consideration.\n         *\n         * @param {string} id Preference to retrieve\n         * @param {?Object} context Optional additional information about the request\n         * @return {*} Current value of the Preference\n         */\n        get: function (id, context) {\n            var layerCounter,\n                layers = this._layers,\n                layer,\n                data = this.data,\n                result;\n\n            context = context || {};\n\n            for (layerCounter = 0; layerCounter < layers.length; layerCounter++) {\n                layer = layers[layerCounter];\n                result = layer.get(data[layer.key], id, context);\n                if (result !== undefined) {\n                    return result;\n                }\n            }\n\n            if (this._exclusions.indexOf(id) === -1) {\n                return data[id];\n            }\n        },\n\n        /**\n         * Get the location in this Scope (if any) where the given preference is set.\n         *\n         * @param {string} id Name of the preference for which the value should be retrieved\n         * @param {Object=} context Optional context object to change the preference lookup\n         * @return {{layer: ?string, layerID: ?object}|undefined} Object describing where the preferences came from.\n         *                                              An empty object means that it was defined in the Scope\'s\n         *                                              base data. Undefined means the pref is not\n         *                                              defined in this Scope.\n         */\n        getPreferenceLocation: function (id, context) {\n            var layerCounter,\n                layers = this._layers,\n                layer,\n                data = this.data,\n                result;\n\n            context = context || {};\n\n            for (layerCounter = 0; layerCounter < layers.length; layerCounter++) {\n                layer = layers[layerCounter];\n                result = layer.getPreferenceLocation(data[layer.key], id, context);\n                if (result !== undefined) {\n                    return {\n                        layer: layer.key,\n                        layerID: result\n                    };\n                }\n            }\n\n            if (this._exclusions.indexOf(id) === -1 && data[id] !== undefined) {\n                // The value is defined in this Scope, which means we need to return an\n                // empty object as a signal to the PreferencesSystem that this pref\n                // is defined in this Scope (in the base data)\n                return {};\n            }\n\n            // return undefined when this Scope does not have the requested pref\n            return undefined;\n        },\n\n        /**\n         * Get the preference IDs that are set in this Scope. All layers are added\n         * in. If context is not provided, the set of all keys in the Scope including\n         * all keys in each layer will be returned.\n         *\n         * @param {?Object} context Optional additional information for looking up the keys\n         * @return {Array.<string>} Set of preferences set by this Scope\n         */\n        getKeys: function (context) {\n            context = context || {};\n\n            var layerCounter,\n                layers = this._layers,\n                layer,\n                data = this.data;\n\n            var keySets = [_.difference(_.keys(data), this._exclusions)];\n            for (layerCounter = 0; layerCounter < layers.length; layerCounter++) {\n                layer = layers[layerCounter];\n                keySets.push(layer.getKeys(data[layer.key], context));\n            }\n\n            return _.union.apply(null, keySets);\n        },\n\n        /**\n         * Adds a Layer to this Scope. The Layer object should define a `key`, which\n         * represents the subset of the preference data that the Layer works with.\n         * Layers should also define `get` and `getKeys` operations that are like their\n         * counterparts in Scope but take "data" as the first argument.\n         *\n         * Listeners are notified of potential changes in preferences with the addition of\n         * this layer.\n         *\n         * @param {Layer} layer Layer object to add to this Scope\n         */\n        addLayer: function (layer) {\n            this._layers.push(layer);\n            this._layerMap[layer.key] = layer;\n            this._exclusions.push(layer.key);\n            this.trigger(PREFERENCE_CHANGE, {\n                ids: layer.getKeys(this.data[layer.key], {})\n            });\n        },\n\n        /**\n         * Tells the Scope that the given file has been changed so that the\n         * Storage can be reloaded if needed.\n         *\n         * @param {string} filePath File that has changed\n         */\n        fileChanged: function (filePath) {\n            this.storage.fileChanged(filePath);\n        },\n\n        /**\n         * Determines if there are likely to be any changes based on the change\n         * of context.\n         *\n         * @param {{path: string, language: string}} oldContext Old context\n         * @param {{path: string, language: string}} newContext New context\n         * @return {Array.<string>} List of changed IDs\n         */\n        contextChanged: function (oldContext, newContext) {\n            var changes = [],\n                data    = this.data;\n\n            _.each(this._layers, function (layer) {\n                if (data[layer.key] && oldContext[layer.key] !== newContext[layer.key]) {\n                    var changesInLayer = layer.contextChanged(data[layer.key],\n                                                              oldContext,\n                                                              newContext);\n                    if (changesInLayer) {\n                        changes.push(changesInLayer);\n                    }\n                }\n            });\n            return _.union.apply(null, changes);\n        }\n    });\n\n    EventDispatcher.makeEventDispatcher(Scope.prototype);\n\n\n    // Utility functions for the PathLayer\n\n    /**\n     * @private\n     *\n     * Look for a matching file glob among the collection of paths.\n     *\n     * @param {Object} pathData The keys are globs and the values are the preferences for that glob\n     * @param {string} filename relative filename to match against the globs\n     * @return {?string} glob pattern that matched, if any\n     */\n    function _findMatchingGlob(pathData, filename) {\n        var globs = Object.keys(pathData),\n            globCounter;\n\n        if (!filename) {\n            return;\n        }\n\n        for (globCounter = 0; globCounter < globs.length; globCounter++) {\n            var glob = globs[globCounter];\n\n            if (globmatch(filename, glob)) {\n                return glob;\n            }\n        }\n    }\n\n    /**\n     * Create a default project layer object that has a single property "key"\n     * with "project" as its value.\n     *\n     * @constructor\n     */\n    function ProjectLayer() {\n        this.projectPath = null;\n    }\n\n    ProjectLayer.prototype = {\n        key: "project",\n\n        /**\n         * Retrieve the current value based on the current project path\n         * in the layer.\n         *\n         * @param {Object} data the preference data from the Scope\n         * @param {string} id preference ID to look up\n         */\n        get: function (data, id) {\n            if (!data || !this.projectPath) {\n                return;\n            }\n\n            if (data[this.projectPath] && (data[this.projectPath][id] !== undefined)) {\n                return data[this.projectPath][id];\n            }\n            return;\n        },\n\n        /**\n         * Gets the location in which the given pref was set, if it was set within\n         * this project layer for the current project path.\n         *\n         * @param {Object} data the preference data from the Scope\n         * @param {string} id preference ID to look up\n         * @return {string} the Layer ID, in this case the current project path.\n         */\n        getPreferenceLocation: function (data, id) {\n            if (!data || !this.projectPath) {\n                return;\n            }\n\n            if (data[this.projectPath] && (data[this.projectPath][id] !== undefined)) {\n                return this.projectPath;\n            }\n\n            return;\n        },\n\n        /**\n         * Sets the preference value in the given data structure for the layerID provided. If no\n         * layerID is provided, then the current project path is used. If a layerID is provided\n         * and it does not exist, it will be created.\n         *\n         * This function returns whether or not a value was set.\n         *\n         * @param {Object} data the preference data from the Scope\n         * @param {string} id preference ID to look up\n         * @param {Object} value new value to assign to the preference\n         * @param {Object} context Object with scope and layer key-value pairs (not yet used in project layer)\n         * @param {string=} layerID Optional: project path to be used for setting value\n         * @return {boolean} true if the value was set\n         */\n        set: function (data, id, value, context, layerID) {\n            if (!layerID) {\n                layerID = this.getPreferenceLocation(data, id);\n            }\n\n            if (!layerID) {\n                return false;\n            }\n\n            var section = data[layerID];\n            if (!section) {\n                data[layerID] = section = {};\n            }\n            if (!_.isEqual(section[id], value)) {\n                if (value === undefined) {\n                    delete section[id];\n                } else {\n                    section[id] = _.cloneDeep(value);\n                }\n                return true;\n            }\n            return false;\n        },\n\n        /**\n         * Retrieves the keys provided by this layer object.\n         *\n         * @param {Object} data the preference data from the Scope\n         */\n        getKeys: function (data) {\n            if (!data) {\n                return;\n            }\n\n            return _.union.apply(null, _.map(_.values(data), _.keys));\n        },\n\n        /**\n         * Set the project path to be used as the layer ID of this layer object.\n         *\n         * @param {string} projectPath Path of the project root\n         */\n        setProjectPath: function (projectPath) {\n            this.projectPath = projectPath;\n        }\n    };\n\n\n    /**\n     * @constructor\n     *\n     * Create a language layer object. Language Layer is completely stateless, it\n     * only knows how look up and process prefs set in the language layer. Desired\n     * language id should be specified in the "language" field of the context.\n     */\n    function LanguageLayer() {\n    }\n\n    LanguageLayer.prototype = {\n        key: "language",\n\n        /**\n         * Retrieve the current value based on the specified context. If the context\n         * does contain language field, undefined is returned.\n         *\n         * @param {Object} data the preference data from the Scope\n         * @param {string} id preference ID to look up\n         * @param {{language: string}} context Context to operate with\n         * @return {*|undefined} property value\n         */\n        get: function (data, id, context) {\n            if (!data || !context.language) {\n                return;\n            }\n\n            if (data[context.language] && (data[context.language][id] !== undefined)) {\n                return data[context.language][id];\n            }\n            return;\n        },\n\n        /**\n         * Gets the location in which the given pref was set, if it was set within\n         * this language layer for the current language.\n         *\n         * @param {Object} data the preference data from the Scope\n         * @param {string} id preference ID to look up\n         * @param {{language: string}} context Context to operate with\n         * @return {string|undefined} the Layer ID, in this case the current language\n         */\n        getPreferenceLocation: function (data, id, context) {\n            if (!data || !context.language) {\n                return;\n            }\n\n            if (data[context.language] && (data[context.language][id] !== undefined)) {\n                return context.language;\n            }\n\n            return;\n        },\n        /**\n         * Retrieves the keys provided by this layer object. If the context is\n         * empty, it will return all the keys provided in all the layerIDs\n         * (languages).\n         *\n         * @param {Object} data the preference data from the Scope\n         * @param {{language: string}} context Context to operate with\n         * @return {Array<{string}>|undefined} An array of pref ids\n         */\n        getKeys: function (data, context) {\n            if (!data) {\n                return;\n            }\n\n            // do not upset other layers if context for the this one is not specified\n            if (!_.isEmpty(context)) {\n                if (data[context.language]) {\n                    return _.keys(data[context.language]);\n                } else {\n                    return [];\n                }\n            } else {\n                return _.union.apply(null, _.map(_.values(data), _.keys));\n            }\n        },\n\n        /**\n         * Sets the preference value in the given data structure for the layerID\n         * provided. If no layerID is provided, then it will be determined using\n         * getPreferenceLocation. If a layerID is located, but it does not\n         * exist, it will be created.\n         *\n         * This function returns whether or not a value was set.\n         *\n         * @param {Object} data The preference data from the Scope\n         * @param {string} id Preference ID to look up\n         * @param {Object} value New value to assign to the preference\n         * @param {{language: string}} context Context to operate with\n         * @param {string=} layerID Language to be used for setting value\n         * @return {boolean} True if the value was set\n         */\n        set: function (data, id, value, context, layerID) {\n            if (!layerID) {\n                layerID = this.getPreferenceLocation(data, id, context);\n            }\n\n            if (!layerID) {\n                return false;\n            }\n\n            var section = data[layerID];\n            if (!section) {\n                data[layerID] = section = {};\n            }\n            if (!_.isEqual(section[id], value)) {\n                if (value === undefined) {\n                    delete section[id];\n                    if (_.isEmpty(section)) {\n                        delete data[layerID];\n                    }\n                } else {\n                    section[id] = _.cloneDeep(value);\n                }\n                return true;\n            }\n            return false;\n        },\n\n        /**\n         * Determines if there are preference IDs that could change as a result\n         * of the context change. This implementation considers only changes in\n         * language.\n         *\n         * @param {Object} data Data in the Scope\n         * @param {{language: string}} oldContext Old context\n         * @param {{language: string}} newContext New context\n         * @return {Array.<string>|undefined} list of preference IDs that could have changed\n         */\n        contextChanged: function (data, oldContext, newContext) {\n            // this function is called only if the language has changed\n            if (newContext.language === undefined) {\n                return _.keys(data[oldContext.language]);\n            }\n            if (oldContext.language === undefined) {\n                return _.keys(data[newContext.language]);\n            }\n\n            return _.union(_.keys(data[newContext.language]), _.keys(data[oldContext.language]));\n        }\n    };\n\n    /**\n     * Provides layered preferences based on file globs, generally following the model provided\n     * by [EditorConfig](http://editorconfig.org/). In usage, it looks something like this\n     * (switching to single line comments because the glob interferes with the multiline comment):\n     */\n//    "path": {\n//        "src/thirdparty/CodeMirror/**/*.js": {\n//            "spaceUnits": 2,\n//            "linting.enabled": false\n//        }\n//    }\n\n    /**\n     * There can be multiple paths and they are each checked in turn. The first that matches the\n     * currently edited file wins.\n     *\n     * @constructor\n     * @param {string} prefFilePath path to the preference file\n     */\n    function PathLayer(prefFilePath) {\n        this.setPrefFilePath(prefFilePath);\n    }\n\n    PathLayer.prototype = {\n        key: "path",\n\n        /**\n         * Retrieve the current value based on the filename in the context\n         * object, comparing globs relative to the prefFilePath that this\n         * PathLayer was set up with.\n         *\n         * @param {Object} data the preference data from the Scope\n         * @param {string} id preference ID to look up\n         * @param {Object} context Object with filename that will be compared to the globs\n         */\n        get: function (data, id, context) {\n            var glob = this.getPreferenceLocation(data, id, context);\n\n            if (!glob) {\n                return;\n            }\n\n            return data[glob][id];\n        },\n\n        /**\n         * Gets the location in which the given pref was set, if it was set within\n         * this path layer for the current path.\n         *\n         * @param {Object} data the preference data from the Scope\n         * @param {string} id preference ID to look up\n         * @param {Object} context Object with filename that will be compared to the globs\n         * @return {string} the Layer ID, in this case the glob that matched\n         */\n        getPreferenceLocation: function (data, id, context) {\n            if (!data) {\n                return;\n            }\n\n            var relativeFilename = FileUtils.getRelativeFilename(this.prefFilePath, context[this.key]);\n            if (!relativeFilename) {\n                return;\n            }\n\n            return _findMatchingGlob(data, relativeFilename);\n        },\n\n        /**\n         * Sets the preference value in the given data structure for the layerID provided. If no\n         * layerID is provided, then the current layer is used. If a layerID is provided and it\n         * does not exist, it will be created.\n         *\n         * This function returns whether or not a value was set.\n         *\n         * @param {Object} data the preference data from the Scope\n         * @param {string} id preference ID to look up\n         * @param {Object} value new value to assign to the preference\n         * @param {Object} context Object with filename that will be compared to the globs\n         * @param {string=} layerID Optional: glob pattern for a specific section to set the value in\n         * @return {boolean} true if the value was set\n         */\n        set: function (data, id, value, context, layerID) {\n            if (!layerID) {\n                layerID = this.getPreferenceLocation(data, id, context);\n            }\n\n            if (!layerID) {\n                return false;\n            }\n\n            var section = data[layerID];\n            if (!section) {\n                data[layerID] = section = {};\n            }\n            if (!_.isEqual(section[id], value)) {\n                if (value === undefined) {\n                    delete section[id];\n                } else {\n                    section[id] = _.cloneDeep(value);\n                }\n                return true;\n            }\n            return false;\n        },\n\n        /**\n         * Retrieves the keys provided by this layer object. If context with a filename is provided,\n         * only the keys for the matching file glob are given. Otherwise, all keys for all globs\n         * are provided.\n         *\n         * @param {Object} data the preference data from the Scope\n         * @param {?Object} context Additional context data (filename in particular is important)\n         */\n        getKeys: function (data, context) {\n            if (!data) {\n                return;\n            }\n\n            var relativeFilename = FileUtils.getRelativeFilename(this.prefFilePath, context[this.key]);\n\n            if (relativeFilename) {\n                var glob = _findMatchingGlob(data, relativeFilename);\n                if (glob) {\n                    return _.keys(data[glob]);\n                } else {\n                    return [];\n                }\n            }\n            return _.union.apply(null, _.map(_.values(data), _.keys));\n        },\n\n        /**\n         * Changes the preference file path.\n         *\n         * @param {string} prefFilePath New path to the preferences file\n         */\n        setPrefFilePath: function (prefFilePath) {\n            if (!prefFilePath) {\n                this.prefFilePath = "/";\n            } else {\n                this.prefFilePath = FileUtils.getDirectoryPath(prefFilePath);\n            }\n        },\n\n        /**\n         * Determines if there are preference IDs that could change as a result of\n         * a change in the context. This implementation considers only the path portion\n         * of the context and looks up matching globes if any.\n         *\n         * @param {Object} data Data in the Scope\n         * @param {{path: string}} oldContext Old context\n         * @param {{path: string}} newContext New context\n         * @return {Array.<string>} list of preference IDs that could have changed\n         */\n        contextChanged: function (data, oldContext, newContext) {\n            var newGlob = _findMatchingGlob(data,\n                              FileUtils.getRelativeFilename(this.prefFilePath, newContext[this.key])),\n                oldGlob = _findMatchingGlob(data,\n                              FileUtils.getRelativeFilename(this.prefFilePath, oldContext[this.key]));\n\n            if (newGlob === oldGlob) {\n                return;\n            }\n            if (newGlob === undefined) {\n                return _.keys(data[oldGlob]);\n            }\n            if (oldGlob === undefined) {\n                return _.keys(data[newGlob]);\n            }\n\n            return _.union(_.keys(data[oldGlob]), _.keys(data[newGlob]));\n        }\n    };\n\n\n    /**\n     * Represents a single, known Preference.\n     *\n     * @constructor\n     * @param {Object} properties Information about the Preference that is stored on this object\n     */\n    function Preference(properties) {\n        _.extend(this, properties);\n    }\n\n    EventDispatcher.makeEventDispatcher(Preference.prototype);\n\n\n    /**\n     * Utility for PreferencesSystem & PrefixedPreferencesSystem -- attach EventDispatcher\'s on()/off()\n     * implementation as private _on_internal()/_off_internal() methods, so the custom on()/off() APIs\n     * these classes use can leverage EventDispatcher code internally. Also attach the regular public trigger().\n     */\n    function _addEventDispatcherImpl(proto) {\n        var temp = {};\n        EventDispatcher.makeEventDispatcher(temp);\n        proto._on_internal  = temp.on;\n        proto._off_internal = temp.off;\n        proto.trigger       = temp.trigger;\n    }\n\n    /**\n     * Provides a subset of the PreferencesSystem functionality with preference\n     * access always occurring with the given prefix.\n     *\n     * @constructor\n     * @param {PreferencesSystem} base The real PreferencesSystem that is backing this one\n     * @param {string} prefix Prefix that is used for preferences lookup. Any separator characters should already be added.\n     */\n    function PrefixedPreferencesSystem(base, prefix) {\n        this.base = base;\n        this.prefix = prefix;\n        this._listenerInstalled = false;\n    }\n\n    PrefixedPreferencesSystem.prototype = {\n        /**\n         * Defines a new (prefixed) preference.\n         *\n         * @param {string} id unprefixed identifier of the preference. Generally a dotted name.\n         * @param {string} type Data type for the preference (generally, string, boolean, number)\n         * @param {Object} initial Default value for the preference\n         * @param {?{name: string=, description: string=, validator: function=, excludeFromHints: boolean=, keys: object=, values: array=, valueType: string=}} options\n         *      Additional options for the pref.\n         *      - `options.name`               Name of the preference that can be used in the UI.\n         *      - `options.description`        A description of the preference.\n         *      - `options.validator`          A function to validate the value of a preference.\n         *      - `options.excludeFromHints`   True if you want to exclude a preference from code hints.\n         *      - `options.keys`               An object that will hold the child preferences in case the preference type is `object`\n         *      - `options.values`             An array of possible values of a preference. It will show up in code hints.\n         *      - `options.valueType`          In case the preference type is `array`, `valueType` should hold data type of its elements.\n         * @return {Object} The preference object.\n         */\n        definePreference: function (id, type, initial, options) {\n            return this.base.definePreference(this.prefix + id, type, initial, options);\n        },\n\n        /**\n         * Get the prefixed preference object\n         *\n         * @param {string} id ID of the pref to retrieve.\n         */\n        getPreference: function (id) {\n            return this.base.getPreference(this.prefix + id);\n        },\n\n        /**\n         * Gets the prefixed preference\n         *\n         * @param {string} id Name of the preference for which the value should be retrieved\n         * @param {Object=} context Optional context object to change the preference lookup\n         */\n        get: function (id, context) {\n            context = context || {};\n            return this.base.get(this.prefix + id, this.base._getContext(context));\n        },\n\n        /**\n         * Gets the location in which the value of a prefixed preference has been set.\n         *\n         * @param {string} id Name of the preference for which the value should be retrieved\n         * @param {Object=} context Optional context object to change the preference lookup\n         * @return {{scope: string, layer: ?string, layerID: ?object}} Object describing where the preferences came from\n         */\n        getPreferenceLocation: function (id, context) {\n            return this.base.getPreferenceLocation(this.prefix + id, context);\n        },\n\n        /**\n         * Sets the prefixed preference\n         *\n         * @param {string} id Identifier of the preference to set\n         * @param {Object} value New value for the preference\n         * @param {{location: ?Object, context: ?Object}=} options Specific location in which to set the value or the context to use when setting the value\n         * @param {boolean=} doNotSave True if the preference change should not be saved automatically.\n         * @return {valid:  {boolean}, true if no validator specified or if value is valid\n         *          stored: {boolean}} true if a value was stored\n         */\n        set: function (id, value, options, doNotSave) {\n            return this.base.set(this.prefix + id, value, options, doNotSave);\n        },\n\n        /**\n         * @private\n         *\n         * Listens for events on the base PreferencesSystem to filter down to the\n         * events that consumers of this PreferencesSystem would be interested in.\n         */\n        _installListener: function () {\n            if (this._listenerInstalled) {\n                return;\n            }\n            var self = this,\n                prefix = this.prefix;\n\n            var onlyWithPrefix = function (id) {\n                if (_.startsWith(id, prefix)) {\n                    return true;\n                }\n                return false;\n            };\n\n            var withoutPrefix = function (id) {\n                return id.substr(prefix.length);\n            };\n\n            this.base.on(PREFERENCE_CHANGE, function (e, data) {\n                var prefixedIds = data.ids.filter(onlyWithPrefix);\n\n                if (prefixedIds.length > 0) {\n                    self.trigger(PREFERENCE_CHANGE, {\n                        ids: prefixedIds.map(withoutPrefix)\n                    });\n                }\n            });\n\n            this._listenerInstalled = true;\n        },\n\n        /**\n         * Sets up a listener for events for this PrefixedPreferencesSystem. Only prefixed events\n         * will notify. Optionally, you can set up a listener for a specific preference.\n         *\n         * @param {string} event Name of the event to listen for\n         * @param {string|Function} preferenceID Name of a specific preference or the handler function\n         * @param {?Function} handler Handler for the event\n         */\n        on: function (event, preferenceID, handler) {\n            if (typeof preferenceID === "function") {\n                handler = preferenceID;\n                preferenceID = null;\n            }\n\n            if (preferenceID) {\n                var pref = this.getPreference(preferenceID);\n                pref.on(event, handler);\n            } else {\n                this._installListener();\n                this._on_internal(event, handler);\n            }\n        },\n\n        /**\n         * Turns off the event handlers for a given event, optionally for a specific preference\n         * or a specific handler function.\n         *\n         * @param {string} event Name of the event for which to turn off listening\n         * @param {string|Function} preferenceID Name of a specific preference or the handler function\n         * @param {?Function} handler Specific handler which should stop being notified\n         */\n        off: function (event, preferenceID, handler) {\n            if (typeof preferenceID === "function") {\n                handler = preferenceID;\n                preferenceID = null;\n            }\n\n            if (preferenceID) {\n                var pref = this.getPreference(preferenceID);\n                pref.off(event, handler);\n            } else {\n                this._off_internal(event, handler);\n            }\n        },\n\n        /**\n         * Saves the preferences. If a save is already in progress, a Promise is returned for\n         * that save operation.\n         *\n         * @return {Promise} Resolved when the preferences are done saving.\n         */\n        save: function () {\n            return this.base.save();\n        }\n    };\n\n    _addEventDispatcherImpl(PrefixedPreferencesSystem.prototype);\n\n\n    /**\n     * PreferencesSystem ties everything together to provide a simple interface for\n     * managing the whole prefs system.\n     *\n     * It keeps track of multiple Scope levels and also manages path-based Scopes.\n     *\n     * It also provides the ability to register preferences, which gives a fine-grained\n     * means for listening for changes and will ultimately allow for automatic UI generation.\n     *\n     * The contextBuilder is used to construct get/set contexts based on the needs of individual\n     * context systems. It can be passed in at construction time or set later.\n     *\n     * @constructor\n     * @param {function=} contextNormalizer function that is passed the context used for get or set to adjust for specific PreferencesSystem behavior\n     */\n    function PreferencesSystem(contextBuilder) {\n        this.contextBuilder = contextBuilder;\n\n        this._knownPrefs = {};\n        this._scopes = {\n            "default": new Scope(new MemoryStorage())\n        };\n\n        this._scopes["default"].load();\n\n        this._defaults = {\n            scopeOrder: ["default"],\n            _shadowScopeOrder: [{\n                id: "default",\n                scope: this._scopes["default"],\n                promise: (new $.Deferred()).resolve().promise()\n            }]\n        };\n\n        this._pendingScopes = {};\n\n        this._saveInProgress = false;\n        this._nextSaveDeferred = null;\n\n        // The objects that define the different kinds of path-based Scope handlers.\n        // Examples could include the handler for .brackets.json files or an .editorconfig\n        // handler.\n        this._pathScopeDefinitions = {};\n\n        // Names of the files that contain path scopes\n        this._pathScopeFilenames = [];\n\n        // Keeps track of cached path scope objects.\n        this._pathScopes = {};\n\n        // Keeps track of change events that need to be sent when change events are resumed\n        this._changeEventQueue = null;\n\n        var notifyPrefChange = function (id) {\n            var pref = this._knownPrefs[id];\n            if (pref) {\n                pref.trigger(PREFERENCE_CHANGE);\n            }\n        }.bind(this);\n\n        // When we signal a general change message on this manager, we also signal a change\n        // on the individual preference object.\n        this.on(PREFERENCE_CHANGE, function (e, data) {\n            data.ids.forEach(notifyPrefChange);\n        }.bind(this));\n    }\n\n    _.extend(PreferencesSystem.prototype, {\n\n        /**\n         * Defines a new preference.\n         *\n         * @param {string} id identifier of the preference. Generally a dotted name.\n         * @param {string} type Data type for the preference (generally, string, boolean, number)\n         * @param {Object} initial Default value for the preference\n         * @param {?{name: string=, description: string=, validator: function=, excludeFromHints: boolean=, keys: object=, values: array=, valueType: string=}} options\n         *      Additional options for the pref.\n         *      - `options.name`               Name of the preference that can be used in the UI.\n         *      - `options.description`        A description of the preference.\n         *      - `options.validator`          A function to validate the value of a preference.\n         *      - `options.excludeFromHints`   True if you want to exclude a preference from code hints.\n         *      - `options.keys`               An object that will hold the child preferences in case the preference type is `object`\n         *      - `options.values`             An array of possible values of a preference. It will show up in code hints.\n         *      - `options.valueType`          In case the preference type is `array`, `valueType` should hold data type of its elements.\n         * @return {Object} The preference object.\n         */\n        definePreference: function (id, type, initial, options) {\n            options = options || {};\n            if (this._knownPrefs.hasOwnProperty(id)) {\n                throw new Error("Preference " + id + " was redefined");\n            }\n            var pref = this._knownPrefs[id] = new Preference({\n                type: type,\n                initial: initial,\n                name: options.name,\n                description: options.description,\n                validator: options.validator,\n                excludeFromHints: options.excludeFromHints,\n                keys: options.keys,\n                values: options.values,\n                valueType: options.valueType\n            });\n            this.set(id, initial, {\n                location: {\n                    scope: "default"\n                }\n            });\n            return pref;\n        },\n\n        /**\n         * Get the preference object for the given ID.\n         *\n         * @param {string} id ID of the pref to retrieve.\n         */\n        getPreference: function (id) {\n            return this._knownPrefs[id];\n        },\n\n        /**\n         * Returns a clone of all preferences defined.\n         *\n         * @return {Object}\n         */\n        getAllPreferences: function () {\n            return _.cloneDeep(this._knownPrefs);\n        },\n\n        /**\n         * @private\n         *\n         * Adds the scope before the scope specified by before argument.  This\n         * function must never be called directly. Use addScope to add scopes to\n         * PreferencesSystem, including from within its implementation.\n         *\n         * @param {string} id Id of the scope to add\n         * @param {string} before Id of the scope to add it before\n         */\n        _pushToScopeOrder: function (id, before) {\n            var defaultScopeOrder = this._defaults.scopeOrder,\n                index = _.findIndex(defaultScopeOrder, function (id) {\n                    return id === before;\n                });\n            if (index > -1) {\n                defaultScopeOrder.splice(index, 0, id);\n            } else {\n                // error\n                throw new Error("Internal error: scope " + before + " should be in the scope order");\n            }\n\n        },\n\n        /**\n         * @private\n         *\n         * Tries to add scope to the scopeOrder once it\'s resolved. It looks up\n         * context\'s _shadowScopeOrder to find an appropriate context to add it\n         * before.\n         *\n         * @param {Object} shadowEntry Shadow entry of the resolved scope\n         */\n        _tryAddToScopeOrder: function (shadowEntry) {\n            var shadowScopeOrder = this._defaults._shadowScopeOrder,\n                index = _.findIndex(shadowScopeOrder, function (entry) {\n                    return entry === shadowEntry;\n                }),\n                i = index + 1;\n\n            // Find an appropriate scope of lower priority to add it before\n            while (i < shadowScopeOrder.length) {\n                if (shadowScopeOrder[i].promise.state() === "pending" ||\n                        shadowScopeOrder[i].promise.state() === "resolved") {\n                    break;\n                }\n                i++;\n            }\n            switch (shadowScopeOrder[i].promise.state()) {\n            case "pending":\n                // cannot decide now, lookup once pending promise is settled\n                shadowScopeOrder[i].promise.always(function () {\n                    this._tryAddToScopeOrder(shadowEntry);\n                }.bind(this));\n                break;\n            case "resolved":\n                this._pushToScopeOrder(shadowEntry.id, shadowScopeOrder[i].id);\n                this.trigger(SCOPEORDER_CHANGE, {\n                    id: shadowEntry.id,\n                    action: "added"\n                });\n                this._triggerChange({\n                    ids: shadowEntry.scope.getKeys()\n                });\n                break;\n            default:\n                throw new Error("Internal error: no scope found to add before. \\"default\\" is missing?..");\n            }\n\n        },\n\n        /**\n         * @private\n         *\n         * Schedules the new Scope to be added the scope order in the specified\n         * location once the promise is resolved. Context\'s _shadowScopeOrder is\n         * used to keep track of the order in which the scope should appear. If\n         * the scope which should precede this scope fails to load, then\n         * _shadowScopeOrder will be searched for the next appropriate context\n         * (the first one which is pending or loaded that is before the failed\n         * scope). There\'s always the lowest-priority "default" scope which is\n         * loaded and added, it guarantees that a successfully loaded scope will\n         * always be added.\n         *\n         * Adding a Scope "before" another Scope means that the new Scope\'s\n         * preferences will take priority over the "before" Scope\'s preferences.\n         *\n         * @param {string} id Name of the new Scope\n         * @param {Scope} scope The scope object to add\n         * @param {$.Promise} promise Scope\'s load promise\n         * @param {?string} addBefore Name of the Scope before which this new one is added\n         */\n        _addToScopeOrder: function (id, scope, promise, addBefore) {\n            var shadowScopeOrder = this._defaults._shadowScopeOrder,\n                shadowEntry,\n                index,\n                isPending = false,\n                self = this;\n\n            scope.on(PREFERENCE_CHANGE + ".prefsys", function (e, data) {\n                self._triggerChange(data);\n            }.bind(this));\n\n            index = _.findIndex(shadowScopeOrder, function (entry) {\n                return entry.id === id;\n            });\n\n            if (index > -1) {\n                shadowEntry = shadowScopeOrder[index];\n            } else {\n                /* new scope is being added. */\n                shadowEntry = {\n                    id: id,\n                    promise: promise,\n                    scope: scope\n                };\n                if (!addBefore) {\n                    shadowScopeOrder.unshift(shadowEntry);\n                } else {\n                    index = _.findIndex(shadowScopeOrder, function (entry) {\n                        return entry.id === addBefore;\n                    });\n                    if (index > -1) {\n                        shadowScopeOrder.splice(index, 0, shadowEntry);\n                    } else {\n                        var queue = this._pendingScopes[addBefore];\n                        if (!queue) {\n                            queue = [];\n                            this._pendingScopes[addBefore] = queue;\n                        }\n                        queue.unshift(shadowEntry);\n                        isPending = true;\n                    }\n                }\n            }\n\n            if (!isPending) {\n                promise\n                    .then(function () {\n                        this._scopes[id] = scope;\n                        this._tryAddToScopeOrder(shadowEntry);\n                    }.bind(this))\n                    .fail(function (err) {\n                        // clean up all what\'s been done up to this point\n                        _.pull(shadowScopeOrder, shadowEntry);\n                    }.bind(this));\n                if (this._pendingScopes[id]) {\n                    var pending = this._pendingScopes[id];\n                    delete this._pendingScopes[id];\n                    pending.forEach(function (entry) {\n                        this._addToScopeOrder(entry.id, entry.scope, entry.promise, id);\n                    }.bind(this));\n                }\n            }\n        },\n\n        /**\n         * Adds scope to the scope order by its id. The scope should be previously added to the preference system.\n         *\n         * @param {string} id the scope id\n         * @param {string} before the id of the scope to add before\n         *\n         */\n        addToScopeOrder: function (id, addBefore) {\n            var shadowScopeOrder = this._defaults._shadowScopeOrder,\n                index = _.findIndex(shadowScopeOrder, function (entry) {\n                    return entry.id === id;\n                }),\n                entry;\n            if (index > -1) {\n                entry = shadowScopeOrder[index];\n                this._addToScopeOrder(entry.id, entry.scope, entry.promise, addBefore);\n            }\n        },\n\n        /**\n         * Removes a scope from the default scope order.\n         *\n         * @param {string} id Name of the Scope to remove from the default scope order.\n         */\n        removeFromScopeOrder: function (id) {\n            var scope = this._scopes[id];\n            if (scope) {\n                _.pull(this._defaults.scopeOrder, id);\n                scope.off(".prefsys");\n                this.trigger(SCOPEORDER_CHANGE, {\n                    id: id,\n                    action: "removed"\n                });\n                this._triggerChange({\n                    ids: scope.getKeys()\n                });\n            }\n        },\n\n        /**\n         * @private\n         *\n         * Normalizes the context to be one of:\n         *\n         * 1. a context object that was passed in\n         * 2. the default context\n         *\n         * @param {Object} context Context that was passed in\n         * @return {{scopeOrder: string, filename: ?string}} context object\n         */\n        _getContext: function (context) {\n            if (context) {\n                if (this.contextBuilder) {\n                    context = this.contextBuilder(context);\n                }\n                if (!context.scopeOrder) {\n                    context.scopeOrder = this._defaults.scopeOrder;\n                }\n                return context;\n            }\n            return { scopeOrder: this._defaults.scopeOrder };\n        },\n\n        /**\n         * Adds a new Scope. New Scopes are added at the highest precedence, unless the "before" option\n         * is given. The new Scope is automatically loaded.\n         *\n         * @param {string} id Name of the Scope\n         * @param {Scope|Storage} scope the Scope object itself. Optionally, can be given a Storage directly for convenience.\n         * @param {{before: string}} options optional behavior when adding (e.g. setting which scope this comes before)\n         * @return {Promise} Promise that is resolved when the Scope is loaded. It is resolved\n         *                   with id and scope.\n         */\n        addScope: function (id, scope, options) {\n            var promise;\n            options = options || {};\n\n            if (this._scopes[id]) {\n                throw new Error("Attempt to redefine preferences scope: " + id);\n            }\n\n            // Check to see if scope is a Storage that needs to be wrapped\n            if (!scope.get) {\n                scope = new Scope(scope);\n            }\n\n            promise = scope.load();\n\n            this._addToScopeOrder(id, scope, promise, options.before);\n\n            promise\n                .fail(function (err) {\n                    // With preferences, it is valid for there to be no file.\n                    // It is not valid to have an unparseable file.\n                    if (err instanceof ParsingError) {\n                        console.error(err);\n                    }\n                });\n\n            return promise;\n        },\n\n        /**\n         * Removes a Scope from this PreferencesSystem. Returns without doing anything\n         * if the Scope does not exist. Notifies listeners of preferences that may have\n         * changed.\n         *\n         * @param {string} id Name of the Scope to remove\n         */\n        removeScope: function (id) {\n            var scope = this._scopes[id],\n                shadowIndex;\n            if (!scope) {\n                return;\n            }\n\n            this.removeFromScopeOrder(id);\n            shadowIndex = _.findIndex(this._defaults._shadowScopeOrder, function (entry) {\n                return entry.id === id;\n            });\n            this._defaults._shadowScopeOrder.splice(shadowIndex, 1);\n            delete this._scopes[id];\n        },\n\n        /**\n         * @private\n         *\n         * Retrieves the appropriate scopeOrder based on the given context.\n         * If the context contains a scopeOrder, that will be used. If not,\n         * the default scopeOrder is used.\n         *\n         * @param {{scopeOrder: ?Array.<string>} context\n         * @return {Array.<string>} list of scopes in the correct order for traversal\n         */\n        _getScopeOrder: function (context) {\n            return context.scopeOrder || this._defaults.scopeOrder;\n        },\n\n        /**\n         * Get the current value of a preference. The optional context provides a way to\n         * change scope ordering or the reference filename for path-based scopes.\n         *\n         * @param {string} id Name of the preference for which the value should be retrieved\n         * @param {Object|string=} context Optional context object or name of context to change the preference lookup\n         */\n        get: function (id, context) {\n            var scopeCounter;\n\n            context = this._getContext(context);\n\n            var scopeOrder = this._getScopeOrder(context);\n\n            for (scopeCounter = 0; scopeCounter < scopeOrder.length; scopeCounter++) {\n                var scope = this._scopes[scopeOrder[scopeCounter]];\n                if (scope) {\n                    var result = scope.get(id, context);\n                    if (result !== undefined) {\n                        var pref      = this.getPreference(id),\n                            validator = pref && pref.validator;\n                        if (!validator || validator(result)) {\n                            if (pref && pref.type === "object") {\n                                result = _.extend({}, pref.initial, result);\n                            }\n                            return _.cloneDeep(result);\n                        }\n                    }\n                }\n            }\n        },\n\n        /**\n         * Gets the location in which the value of a preference has been set.\n         *\n         * @param {string} id Name of the preference for which the value should be retrieved\n         * @param {Object=} context Optional context object to change the preference lookup\n         * @return {{scope: string, layer: ?string, layerID: ?object}} Object describing where the preferences came from\n         */\n        getPreferenceLocation: function (id, context) {\n            var scopeCounter,\n                scopeName;\n\n            context = this._getContext(context);\n\n            var scopeOrder = this._getScopeOrder(context);\n\n            for (scopeCounter = 0; scopeCounter < scopeOrder.length; scopeCounter++) {\n                scopeName = scopeOrder[scopeCounter];\n                var scope = this._scopes[scopeName];\n                if (scope) {\n                    var result = scope.getPreferenceLocation(id, context);\n                    if (result !== undefined) {\n                        result.scope = scopeName;\n                        return result;\n                    }\n                }\n            }\n        },\n\n        /**\n         * Sets a preference and notifies listeners that there may\n         * have been a change. By default, the preference is set in the same location in which\n         * it was defined except for the "default" scope. If the current value of the preference\n         * comes from the "default" scope, the new value will be set at the level just above\n         * default.\n         *\n         * @param {string} id Identifier of the preference to set\n         * @param {Object} value New value for the preference\n         * @param {{location: ?Object, context: ?Object}=} options Specific location in which to set the value or the context to use when setting the value\n         * @param {boolean=} doNotSave True if the preference change should not be saved automatically.\n         * @return {valid:  {boolean}, true if no validator specified or if value is valid\n         *          stored: {boolean}} true if a value was stored\n         */\n        set: function (id, value, options, doNotSave) {\n            options = options || {};\n            var context = this._getContext(options.context),\n\n                // The case where the "default" scope was chosen specifically is special.\n                // Usually "default" would come up only when a preference did not have any\n                // user-set value, in which case we\'d want to set the value in a different scope.\n                forceDefault = options.location && options.location.scope === "default" ? true : false,\n                location = options.location || this.getPreferenceLocation(id, context);\n\n            if (!location || (location.scope === "default" && !forceDefault)) {\n                var scopeOrder = this._getScopeOrder(context);\n\n                // The default scope for setting a preference is the lowest priority\n                // scope after "default".\n                if (scopeOrder.length > 1) {\n                    location = {\n                        scope: scopeOrder[scopeOrder.length - 2]\n                    };\n                } else {\n                    return { valid: true, stored: false };\n                }\n            }\n\n            var scope = this._scopes[location.scope];\n            if (!scope) {\n                return { valid: true, stored: false };\n            }\n\n            var pref      = this.getPreference(id),\n                validator = pref && pref.validator;\n            if (validator && !validator(value)) {\n                return { valid: false, stored: false };\n            }\n\n            var wasSet = scope.set(id, value, context, location);\n            if (wasSet) {\n                if (!doNotSave) {\n                    this.save();\n                }\n                this._triggerChange({\n                    ids: [id]\n                });\n            }\n            return { valid: true, stored: wasSet };\n        },\n\n        /**\n         * Saves the preferences. If a save is already in progress, a Promise is returned for\n         * that save operation.\n         *\n         * @return {Promise} Resolved when the preferences are done saving.\n         */\n        save: function () {\n            if (this._saveInProgress) {\n                if (!this._nextSaveDeferred) {\n                    this._nextSaveDeferred = new $.Deferred();\n                }\n                return this._nextSaveDeferred.promise();\n            }\n\n            var deferred = this._nextSaveDeferred || (new $.Deferred());\n            this._saveInProgress = true;\n            this._nextSaveDeferred = null;\n\n            Async.doInParallel(_.values(this._scopes), function (scope) {\n                if (scope) {\n                    return scope.save();\n                } else {\n                    return (new $.Deferred()).resolve().promise();\n                }\n            }.bind(this))\n                .then(function () {\n                    this._saveInProgress = false;\n                    if (this._nextSaveDeferred) {\n                        this.save();\n                    }\n                    deferred.resolve();\n                }.bind(this))\n                .fail(function (err) {\n                    deferred.reject(err);\n                });\n\n            return deferred.promise();\n        },\n\n        /**\n         * Signals the context change to all the scopes within the preferences\n         * layer.  PreferencesManager is in charge of computing the context and\n         * signaling the changes to PreferencesSystem.\n         *\n         * @param {{path: string, language: string}} oldContext Old context\n         * @param {{path: string, language: string}} newContext New context\n         */\n        signalContextChanged: function (oldContext, newContext) {\n            var changes = [];\n\n            _.each(this._scopes, function (scope) {\n                var changedInScope = scope.contextChanged(oldContext, newContext);\n                if (changedInScope) {\n                    changes.push(changedInScope);\n                }\n            });\n\n            changes = _.union.apply(null, changes);\n            if (changes.length > 0) {\n                this._triggerChange({\n                    ids: changes\n                });\n            }\n        },\n\n        /**\n         * Sets up a listener for events. Optionally, you can set up a listener for a\n         * specific preference.\n         *\n         * @param {string} event Name of the event to listen for\n         * @param {string|Function} preferenceID Name of a specific preference or the handler function\n         * @param {?Function} handler Handler for the event\n         */\n        on: function (event, preferenceID, handler) {\n            if (typeof preferenceID === "function") {\n                handler = preferenceID;\n                preferenceID = null;\n            }\n\n            if (preferenceID) {\n                var pref = this.getPreference(preferenceID);\n                pref.on(event, handler);\n            } else {\n                this._on_internal(event, handler);\n            }\n        },\n\n        /**\n         * Turns off the event handlers for a given event, optionally for a specific preference\n         * or a specific handler function.\n         *\n         * @param {string} event Name of the event for which to turn off listening\n         * @param {string|Function} preferenceID Name of a specific preference or the handler function\n         * @param {?Function} handler Specific handler which should stop being notified\n         */\n        off: function (event, preferenceID, handler) {\n            if (typeof preferenceID === "function") {\n                handler = preferenceID;\n                preferenceID = null;\n            }\n\n            if (preferenceID) {\n                var pref = this.getPreference(preferenceID);\n                pref.off(event, handler);\n            } else {\n                this._off_internal(event, handler);\n            }\n        },\n\n        /**\n         * @private\n         *\n         * Sends a change event to listeners. If change events have been paused (see\n         * pauseChangeEvents) then the IDs are queued up.\n         *\n         * @param {{ids: Array.<string>}} data Message to send\n         */\n        _triggerChange: function (data) {\n            if (this._changeEventQueue) {\n                this._changeEventQueue = _.union(this._changeEventQueue, data.ids);\n            } else {\n                this.trigger(PREFERENCE_CHANGE, data);\n            }\n        },\n\n        /**\n         * Turns off sending of change events, queueing them up for sending once sending is resumed.\n         * The events are compacted so that each preference that will be notified is only\n         * notified once. (For example, if `spaceUnits` is changed 5 times, only one change\n         * event will be sent upon resuming events.)\n         */\n        pauseChangeEvents: function () {\n            if (!this._changeEventQueue) {\n                this._changeEventQueue = [];\n            }\n        },\n\n        /**\n         * Turns sending of events back on, sending any events that were queued while the\n         * events were paused.\n         */\n        resumeChangeEvents: function () {\n            if (this._changeEventQueue) {\n                this.trigger(PREFERENCE_CHANGE, {\n                    ids: this._changeEventQueue\n                });\n                this._changeEventQueue = null;\n            }\n        },\n\n        /**\n         * Tells the PreferencesSystem that the given file has been changed so that any\n         * related Scopes can be reloaded.\n         *\n         * @param {string} filePath File that has changed\n         */\n        fileChanged: function (filePath) {\n            _.forEach(this._scopes, function (scope) {\n                scope.fileChanged(filePath);\n            });\n        },\n\n        /**\n         * Retrieves a PreferencesSystem in which all preference access is prefixed.\n         * This helps provide namespacing so that different preferences consumers do\n         * not interfere with one another.\n         *\n         * The prefix provided has a `.` character appended when preference lookups are\n         * done.\n         */\n        getPrefixedSystem: function (prefix) {\n            return new PrefixedPreferencesSystem(this, prefix + ".");\n        }\n\n    });\n\n    _addEventDispatcherImpl(PreferencesSystem.prototype);\n\n\n    // Public interface\n    exports.PreferencesSystem   = PreferencesSystem;\n    exports.Scope               = Scope;\n    exports.MemoryStorage       = MemoryStorage;\n    exports.PathLayer           = PathLayer;\n    exports.ProjectLayer        = ProjectLayer;\n    exports.LanguageLayer       = LanguageLayer;\n    exports.FileStorage         = FileStorage;\n});\n\n//# sourceURL=/preferences/PreferencesBase.js'),
eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Generates the fully configured preferences systems used throughout Brackets. This is intended\n * to be essentially private implementation that can be overridden for tests.\n */\ndefine(\'preferences/PreferencesImpl\',[\'require\',\'exports\',\'module\',\'./PreferencesBase\',\'utils/Async\'],function (require, exports, module) {\n    "use strict";\n\n    var PreferencesBase = require("./PreferencesBase"),\n        Async           = require("utils/Async"),\n\n        // The SETTINGS_FILENAME is used with a preceding "." within user projects\n        SETTINGS_FILENAME = "brackets.json",\n        STATE_FILENAME    = "state.json",\n\n        // User-level preferences\n        userPrefFile = brackets.app.getApplicationSupportDirectory() + "/" + SETTINGS_FILENAME;\n\n    /**\n     * A deferred object which is used to indicate PreferenceManager readiness during the start-up.\n     * @private\n     * @type {$.Deferred}\n     */\n    var _prefManagerReadyDeferred = new $.Deferred();\n\n    /**\n     * A boolean property indicating if the user scope configuration file is malformed.\n     */\n    var userScopeCorrupt = false;\n\n    function isUserScopeCorrupt() {\n        return userScopeCorrupt;\n    }\n\n    /**\n     * Promises to add scopes. Used at init time only.\n     * @private\n     * @type {Array.<$.Promise>}\n     */\n    var _addScopePromises = [];\n\n    var manager = new PreferencesBase.PreferencesSystem();\n    manager.pauseChangeEvents();\n\n    // Create a Project scope\n    var projectStorage          = new PreferencesBase.FileStorage(undefined, true),\n        projectScope            = new PreferencesBase.Scope(projectStorage),\n        projectPathLayer        = new PreferencesBase.PathLayer(),\n        projectLanguageLayer    = new PreferencesBase.LanguageLayer();\n\n    projectScope.addLayer(projectPathLayer);\n    projectScope.addLayer(projectLanguageLayer);\n\n    // Create a User scope\n    var userStorage             = new PreferencesBase.FileStorage(userPrefFile, true),\n        userScope               = new PreferencesBase.Scope(userStorage),\n        userLanguageLayer       = new PreferencesBase.LanguageLayer();\n\n    userScope.addLayer(userLanguageLayer);\n\n    var userScopeLoading = manager.addScope("user", userScope);\n\n    _addScopePromises.push(userScopeLoading);\n\n    // Set up the .brackets.json file handling\n    userScopeLoading\n        .fail(function (err) {\n            _addScopePromises.push(manager.addScope("user", new PreferencesBase.MemoryStorage(), {\n                before: "default"\n            }));\n\n            if (err.name && err.name === "ParsingError") {\n                userScopeCorrupt = true;\n            }\n        })\n        .always(function () {\n            _addScopePromises.push(manager.addScope("project", projectScope, {\n                before: "user"\n            }));\n\n            // Session Scope is for storing prefs in memory only but with the highest precedence.\n            _addScopePromises.push(manager.addScope("session", new PreferencesBase.MemoryStorage()));\n\n            Async.waitForAll(_addScopePromises)\n                .always(function () {\n                    _prefManagerReadyDeferred.resolve();\n                });\n        });\n\n\n    // "State" is stored like preferences but it is not generally intended to be user-editable.\n    // It\'s for more internal, implicit things like window size, working set, etc.\n    var stateManager = new PreferencesBase.PreferencesSystem();\n    var userStateFile = brackets.app.getApplicationSupportDirectory() + "/" + STATE_FILENAME;\n    var smUserScope = new PreferencesBase.Scope(new PreferencesBase.FileStorage(userStateFile, true, true));\n    var stateProjectLayer = new PreferencesBase.ProjectLayer();\n    smUserScope.addLayer(stateProjectLayer);\n    var smUserScopeLoading = stateManager.addScope("user", smUserScope);\n\n\n    // Listen for times where we might be unwatching a root that contains one of the user-level prefs files,\n    // and force a re-read of the file in order to ensure we can write to it later (see #7300).\n    function _reloadUserPrefs(rootDir) {\n        var prefsDir = brackets.app.getApplicationSupportDirectory() + "/";\n        if (prefsDir.indexOf(rootDir.fullPath) === 0) {\n            manager.fileChanged(userPrefFile);\n            stateManager.fileChanged(userStateFile);\n        }\n    }\n\n    // Semi-Public API. Use this at your own risk. The public API is in PreferencesManager.\n    exports.manager             = manager;\n    exports.projectStorage      = projectStorage;\n    exports.projectPathLayer    = projectPathLayer;\n    exports.userScopeLoading    = userScopeLoading;\n    exports.stateManager        = stateManager;\n    exports.stateProjectLayer   = stateProjectLayer;\n    exports.smUserScopeLoading  = smUserScopeLoading;\n    exports.userPrefFile        = userPrefFile;\n    exports.isUserScopeCorrupt  = isUserScopeCorrupt;\n    exports.managerReady        = _prefManagerReadyDeferred.promise();\n    exports.reloadUserPrefs     = _reloadUserPrefs;\n    exports.STATE_FILENAME      = STATE_FILENAME;\n    exports.SETTINGS_FILENAME   = SETTINGS_FILENAME;\n});\n\n//# sourceURL=/preferences/PreferencesImpl.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*global define, console */\n/*unittests: Preferences Manager */\n\n/**\n * PreferencesManager\n *\n */\ndefine(\'preferences/PreferencesManager\',[\'require\',\'exports\',\'module\',\'utils/AppInit\',\'command/Commands\',\'command/CommandManager\',\'file/FileUtils\',\'preferences/PreferencesBase\',\'filesystem/FileSystem\',\'strings\',\'preferences/PreferencesImpl\',\'thirdparty/lodash\'],function (require, exports, module) {\n    "use strict";\n\n    var AppInit                 = require("utils/AppInit"),\n        Commands                = require("command/Commands"),\n        CommandManager          = require("command/CommandManager"),\n        FileUtils               = require("file/FileUtils"),\n        PreferencesBase         = require("preferences/PreferencesBase"),\n        FileSystem              = require("filesystem/FileSystem"),\n        Strings                 = require("strings"),\n        PreferencesImpl         = require("preferences/PreferencesImpl"),\n        _                       = require("thirdparty/lodash");\n\n    var currentFilename         = null, // the filename currently being edited\n        currentLanguageId       = null, // the language id of the file currently being edited\n        projectDirectory        = null,\n        projectScopeIsIncluded  = true;\n\n    /**\n     * @private\n     *\n     * Determines whether the project Scope should be included based on whether\n     * the currently edited file is within the project.\n     *\n     * @param {string=} filename Full path to edited file\n     * @return {boolean} true if the project Scope should be included.\n     */\n    function _includeProjectScope(filename) {\n        filename = filename || currentFilename;\n        if (!filename || !projectDirectory) {\n            return false;\n        }\n        return FileUtils.getRelativeFilename(projectDirectory, filename) !== undefined;\n    }\n\n    /**\n     * Get the full path to the user-level preferences file.\n     *\n     * @return {string} Path to the preferences file\n     */\n    function getUserPrefFile() {\n        return PreferencesImpl.userPrefFile;\n    }\n\n    /**\n     * @private\n     *\n     * Adds or removes the project Scope as needed based on whether the currently\n     * edited file is within the project.\n     */\n    function _toggleProjectScope() {\n        if (_includeProjectScope() === projectScopeIsIncluded) {\n            return;\n        }\n        if (projectScopeIsIncluded) {\n            PreferencesImpl.manager.removeFromScopeOrder("project");\n        } else {\n            PreferencesImpl.manager.addToScopeOrder("project", "user");\n        }\n        projectScopeIsIncluded = !projectScopeIsIncluded;\n    }\n\n    /**\n     * @private\n     *\n     * This is used internally within Brackets for the ProjectManager to signal\n     * which file contains the project-level preferences.\n     *\n     * @param {string} settingsFile Full path to the project\'s settings file\n     */\n    function _setProjectSettingsFile(settingsFile) {\n        projectDirectory = FileUtils.getDirectoryPath(settingsFile);\n        _toggleProjectScope();\n        PreferencesImpl.projectPathLayer.setPrefFilePath(settingsFile);\n        PreferencesImpl.projectStorage.setPath(settingsFile);\n    }\n\n    /**\n     * Creates an extension-specific preferences manager using the prefix given.\n     * A `.` character will be appended to the prefix. So, a preference named `foo`\n     * with a prefix of `myExtension` will be stored as `myExtension.foo` in the\n     * preferences files.\n     *\n     * @param {string} prefix Prefix to be applied\n     */\n    function getExtensionPrefs(prefix) {\n        return PreferencesImpl.manager.getPrefixedSystem(prefix);\n    }\n\n    // Constants for preference lookup contexts.\n\n    /**\n     * Context to look up preferences in the current project.\n     * @type {Object}\n     */\n    var CURRENT_PROJECT = {};\n\n    /**\n     * Context to look up preferences for the currently edited file.\n     * This is undefined because this is the default behavior of PreferencesSystem.get.\n     *\n     * @type {Object}\n     */\n    var CURRENT_FILE;\n\n    /**\n     * Cached copy of the scopeOrder with the project Scope\n     */\n    var scopeOrderWithProject = null;\n\n    /**\n     * Cached copy of the scopeOrder without the project Scope\n     */\n    var scopeOrderWithoutProject = null;\n\n    /**\n     * @private\n     *\n     * Adjusts scopeOrder to have the project Scope if necessary.\n     * Returns a new array if changes are needed, otherwise returns\n     * the original array.\n     *\n     * @param {Array.<string>} scopeOrder initial scopeOrder\n     * @param {boolean} includeProject Whether the project Scope should be included\n     * @return {Array.<string>} array with or without project Scope as needed.\n     */\n    function _adjustScopeOrderForProject(scopeOrder, includeProject) {\n        var hasProject = scopeOrder.indexOf("project") > -1;\n\n        if (hasProject === includeProject) {\n            return scopeOrder;\n        }\n\n        var newScopeOrder;\n\n        if (includeProject) {\n            var before = scopeOrder.indexOf("user");\n            if (before === -1) {\n                before = scopeOrder.length - 2;\n            }\n            newScopeOrder = _.take(scopeOrder, before);\n            newScopeOrder.push("project");\n            newScopeOrder.push.apply(newScopeOrder, _.drop(scopeOrder, before));\n        } else {\n            newScopeOrder = _.without(scopeOrder, "project");\n        }\n        return newScopeOrder;\n    }\n\n    /**\n     * @private\n     *\n     * Creates a context based on the specified filename and language.\n     *\n     * @param {string=} filename Filename to create the context with.\n     * @param {string=} languageId Language ID to create the context with.\n     */\n    function _buildContext(filename, languageId) {\n        var ctx = {};\n        if (filename) {\n            ctx.path = filename;\n        } else {\n            ctx.path = currentFilename;\n        }\n        if (languageId) {\n            ctx.language = languageId;\n        } else {\n            ctx.language = currentLanguageId;\n        }\n        ctx.scopeOrder = _includeProjectScope(ctx.path) ?\n                        scopeOrderWithProject :\n                        scopeOrderWithoutProject;\n        return ctx;\n    }\n\n    function _getContext(context) {\n        context = context || {};\n        return _buildContext(context.path, context.language);\n    }\n\n    /**\n     * @private\n     *\n     * This is used internally within Brackets for the EditorManager to signal\n     * to the preferences what the currently edited file is.\n     *\n     * @param {string} newFilename Full path to currently edited file\n     */\n    function _setCurrentFile(newFilename) {\n        var oldFilename = currentFilename;\n        if (oldFilename === newFilename) {\n            return;\n        }\n        currentFilename = newFilename;\n        _toggleProjectScope();\n        PreferencesImpl.manager.signalContextChanged(_buildContext(oldFilename, currentLanguageId),\n                                                     _buildContext(newFilename, currentLanguageId));\n    }\n\n    /**\n     * @private\n     * This function is used internally to set the current language of the document.\n     * Both at the moment of opening the file and when the language is manually\n     * overriden.\n     *\n     * @param {string} newLanguageId The id of the language of the current editor.\n     */\n    function _setCurrentLanguage(newLanguageId) {\n        var oldLanguageId = currentLanguageId;\n        if (oldLanguageId === newLanguageId) {\n            return;\n        }\n        currentLanguageId = newLanguageId;\n        PreferencesImpl.manager.signalContextChanged(_buildContext(currentFilename, oldLanguageId),\n                                                     _buildContext(currentFilename, newLanguageId));\n    }\n\n\n    PreferencesImpl.manager.contextBuilder = _getContext;\n\n    /**\n     * @private\n     *\n     * Updates the CURRENT_PROJECT context to have the correct scopes.\n     */\n    function _updateCurrentProjectContext() {\n        var defaultScopeOrder = PreferencesImpl.manager._getScopeOrder({});\n        scopeOrderWithProject = _adjustScopeOrderForProject(defaultScopeOrder, true);\n        scopeOrderWithoutProject = _adjustScopeOrderForProject(defaultScopeOrder, false);\n        CURRENT_PROJECT.scopeOrder = scopeOrderWithProject;\n    }\n\n    _updateCurrentProjectContext();\n\n    PreferencesImpl.manager.on("scopeOrderChange", _updateCurrentProjectContext);\n\n    /**\n     * @private\n     */\n    function _handleOpenPreferences() {\n        var fullPath = getUserPrefFile(),\n            file = FileSystem.getFileForPath(fullPath);\n        file.exists(function (err, doesExist) {\n            if (doesExist) {\n                CommandManager.execute(Commands.FILE_OPEN, { fullPath: fullPath });\n            } else {\n                FileUtils.writeText(file, "", true)\n                    .done(function () {\n                        CommandManager.execute(Commands.FILE_OPEN, { fullPath: fullPath });\n                    });\n            }\n        });\n\n    }\n\n    CommandManager.register(Strings.CMD_OPEN_PREFERENCES, Commands.FILE_OPEN_PREFERENCES, _handleOpenPreferences);\n\n    /**\n     * Convenience function that gets a view state\n     *\n     * @param {string} id preference to get\n     * @param {?Object} context Optional additional information about the request\n     */\n    function getViewState(id, context) {\n        return PreferencesImpl.stateManager.get(id, context);\n    }\n\n    /**\n     * Convenience function that sets a view state and then saves the file\n     *\n     * @param {string} id preference to set\n     * @param {*} value new value for the preference\n     * @param {?Object} context Optional additional information about the request\n     * @param {boolean=} doNotSave If it is undefined or false, then save the\n     *      view state immediately.\n     */\n    function setViewState(id, value, context, doNotSave) {\n\n        PreferencesImpl.stateManager.set(id, value, context);\n\n        if (!doNotSave) {\n            PreferencesImpl.stateManager.save();\n        }\n    }\n\n    AppInit.appReady(function () {\n        PreferencesImpl.manager.resumeChangeEvents();\n    });\n\n    // Private API for unit testing and use elsewhere in Brackets core\n    exports._isUserScopeCorrupt     = PreferencesImpl.isUserScopeCorrupt;\n    exports._setCurrentFile         = _setCurrentFile;\n    exports._setCurrentLanguage     = _setCurrentLanguage;\n    exports._setProjectSettingsFile = _setProjectSettingsFile;\n    exports._smUserScopeLoading     = PreferencesImpl.smUserScopeLoading;\n    exports._stateProjectLayer      = PreferencesImpl.stateProjectLayer;\n    exports._reloadUserPrefs        = PreferencesImpl.reloadUserPrefs;\n    exports._buildContext           = _buildContext;\n\n    // Public API\n\n    // Context names for preference lookups\n    exports.CURRENT_FILE        = CURRENT_FILE;\n    exports.CURRENT_PROJECT     = CURRENT_PROJECT;\n\n    exports.ready               = PreferencesImpl.managerReady;\n    exports.getUserPrefFile     = getUserPrefFile;\n    exports.get                 = PreferencesImpl.manager.get.bind(PreferencesImpl.manager);\n    exports.set                 = PreferencesImpl.manager.set.bind(PreferencesImpl.manager);\n    exports.save                = PreferencesImpl.manager.save.bind(PreferencesImpl.manager);\n    exports.on                  = PreferencesImpl.manager.on.bind(PreferencesImpl.manager);\n    exports.off                 = PreferencesImpl.manager.off.bind(PreferencesImpl.manager);\n    exports.getPreference       = PreferencesImpl.manager.getPreference.bind(PreferencesImpl.manager);\n    exports.getAllPreferences   = PreferencesImpl.manager.getAllPreferences.bind(PreferencesImpl.manager);\n    exports.getExtensionPrefs   = getExtensionPrefs;\n    exports.getViewState        = getViewState;\n    exports.setViewState        = setViewState;\n    exports.addScope            = PreferencesImpl.manager.addScope.bind(PreferencesImpl.manager);\n    exports.stateManager        = PreferencesImpl.stateManager;\n    exports.FileStorage         = PreferencesBase.FileStorage;\n    exports.SETTINGS_FILENAME   = PreferencesImpl.SETTINGS_FILENAME;\n    exports.definePreference    = PreferencesImpl.manager.definePreference.bind(PreferencesImpl.manager);\n    exports.fileChanged         = PreferencesImpl.manager.fileChanged.bind(PreferencesImpl.manager);\n});\n\n//# sourceURL=/preferences/PreferencesManager.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'utils/ViewUtils\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'language/LanguageManager\'],function (require, exports, module) {\n    "use strict";\n\n    var _                   = require("thirdparty/lodash"),\n        LanguageManager     = require("language/LanguageManager");\n\n    var SCROLL_SHADOW_HEIGHT = 5;\n\n    /**\n     * @private\n     */\n    var _resizeHandlers = [];\n\n    /**\n     * Positions shadow background elements to indicate vertical scrolling.\n     * @param {!DOMElement} $displayElement the DOMElement that displays the shadow\n     * @param {!Object} $scrollElement the object that is scrolled\n     * @param {!DOMElement} $shadowTop div .scroller-shadow.top\n     * @param {!DOMElement} $shadowBottom div .scroller-shadow.bottom\n     * @param {boolean} isPositionFixed When using absolute position, top remains at 0.\n     */\n    function _updateScrollerShadow($displayElement, $scrollElement, $shadowTop, $shadowBottom, isPositionFixed) {\n        var offsetTop           = 0,\n            scrollElement       = $scrollElement.get(0),\n            scrollTop           = scrollElement.scrollTop,\n            topShadowOffset     = Math.min(scrollTop - SCROLL_SHADOW_HEIGHT, 0),\n            displayElementWidth = $displayElement.width();\n\n        if ($shadowTop) {\n            $shadowTop.css("background-position", "0px " + topShadowOffset + "px");\n\n            if (isPositionFixed) {\n                offsetTop = $displayElement.offset().top;\n                $shadowTop.css("top", offsetTop);\n            }\n\n            if (isPositionFixed) {\n                $shadowTop.css("width", displayElementWidth);\n            }\n        }\n\n        if ($shadowBottom) {\n            var clientHeight        = scrollElement.clientHeight,\n                outerHeight         = $displayElement.outerHeight(),\n                scrollHeight        = scrollElement.scrollHeight,\n                bottomShadowOffset  = SCROLL_SHADOW_HEIGHT; // outside of shadow div viewport\n\n            if (scrollHeight > clientHeight) {\n                bottomShadowOffset -= Math.min(SCROLL_SHADOW_HEIGHT, (scrollHeight - (scrollTop + clientHeight)));\n            }\n\n            $shadowBottom.css("background-position", "0px " + bottomShadowOffset + "px");\n            $shadowBottom.css("top", offsetTop + outerHeight - SCROLL_SHADOW_HEIGHT);\n            $shadowBottom.css("width", displayElementWidth);\n        }\n    }\n\n    function getOrCreateShadow($displayElement, position, isPositionFixed) {\n        var $findShadow = $displayElement.find(".scroller-shadow." + position);\n\n        if ($findShadow.length === 0) {\n            $findShadow = $(window.document.createElement("div")).addClass("scroller-shadow " + position);\n            $displayElement.append($findShadow);\n        }\n\n        if (!isPositionFixed) {\n            // position is fixed by default\n            $findShadow.css("position", "absolute");\n            $findShadow.css(position, "0");\n        }\n\n        return $findShadow;\n    }\n\n    /**\n     * Installs event handlers for updatng shadow background elements to indicate vertical scrolling.\n     * @param {!DOMElement} displayElement the DOMElement that displays the shadow. Must fire\n     *  "contentChanged" events when the element is resized or repositioned.\n     * @param {?Object} scrollElement the object that is scrolled. Must fire "scroll" events\n     *  when the element is scrolled. If null, the displayElement is used.\n     * @param {?boolean} showBottom optionally show the bottom shadow\n     */\n    function addScrollerShadow(displayElement, scrollElement, showBottom) {\n        // use fixed positioning when the display and scroll elements are the same\n        var isPositionFixed = false;\n\n        if (!scrollElement) {\n            scrollElement = displayElement;\n            isPositionFixed = true;\n        }\n\n        // update shadows when the scrolling element is scrolled\n        var $displayElement = $(displayElement),\n            $scrollElement = $(scrollElement);\n\n        var $shadowTop = getOrCreateShadow($displayElement, "top", isPositionFixed);\n        var $shadowBottom = (showBottom) ? getOrCreateShadow($displayElement, "bottom", isPositionFixed) : null;\n\n        var doUpdate = function () {\n            _updateScrollerShadow($displayElement, $scrollElement, $shadowTop, $shadowBottom, isPositionFixed);\n        };\n\n        // remove any previously installed listeners on this node\n        $scrollElement.off("scroll.scroller-shadow");\n        $displayElement.off("contentChanged.scroller-shadow");\n\n        // add new ones\n        $scrollElement.on("scroll.scroller-shadow", doUpdate);\n        $displayElement.on("contentChanged.scroller-shadow", doUpdate);\n\n        // update immediately\n        doUpdate();\n    }\n\n    /**\n     * Remove scroller-shadow effect.\n     * @param {!DOMElement} displayElement the DOMElement that displays the shadow\n     * @param {?Object} scrollElement the object that is scrolled\n     */\n    function removeScrollerShadow(displayElement, scrollElement) {\n        if (!scrollElement) {\n            scrollElement = displayElement;\n        }\n\n        var $displayElement = $(displayElement),\n            $scrollElement = $(scrollElement);\n\n        // remove scrollerShadow elements from DOM\n        $displayElement.find(".scroller-shadow.top").remove();\n        $displayElement.find(".scroller-shadow.bottom").remove();\n\n        // remove event handlers\n        $scrollElement.off("scroll.scroller-shadow");\n        $displayElement.off("contentChanged.scroller-shadow");\n    }\n\n    /**\n     * Utility function to replace jQuery.toggleClass when used with the second argument, which needs to be a true boolean for jQuery\n     * @param {!jQueryObject} $domElement The jQueryObject to toggle the Class on\n     * @param {!string} className Class name or names (separated by spaces) to toggle\n     * @param {!boolean} addClass A truthy value to add the class and a falsy value to remove the class\n     */\n    function toggleClass($domElement, className, addClass) {\n        if (addClass) {\n            $domElement.addClass(className);\n        } else {\n            $domElement.removeClass(className);\n        }\n    }\n\n    /**\n     * Within a scrolling DOMElement, creates and positions a styled selection\n     * div to align a single selected list item from a ul list element.\n     *\n     * Assumptions:\n     * - scrollerElement is a child of the #sidebar div\n     * - ul list element fires a "selectionChanged" event after the\n     *   selectedClassName is assigned to a new list item\n     *\n     * @param {!DOMElement} scrollElement A DOMElement containing a ul list element\n     * @param {!string} selectedClassName A CSS class name on at most one list item in the contained list\n     */\n    function sidebarList($scrollerElement, selectedClassName, leafClassName) {\n        var $listElement = $scrollerElement.find("ul"),\n            $selectionMarker,\n            $selectionExtension,\n            $sidebar = $("#sidebar"),\n            showExtension = true;\n\n        // build selectionMarker and position absolute within the scroller\n        $selectionMarker = $(window.document.createElement("div")).addClass("sidebar-selection");\n        $scrollerElement.prepend($selectionMarker);\n\n        // enable scrolling\n        $scrollerElement.css("overflow", "auto");\n\n        // use relative postioning for clipping the selectionMarker within the scrollElement\n        $scrollerElement.css("position", "relative");\n\n        // build selectionExtension and position fixed to the window\n        $selectionExtension = $(window.document.createElement("div")).addClass("sidebar-selection-extension");\n\n        $scrollerElement.append($selectionExtension);\n\n        selectedClassName = "." + (selectedClassName || "selected");\n\n        var updateSelectionExtension = function () {\n            var selectionMarkerHeight = $selectionMarker.height(),\n                selectionMarkerOffset = $selectionMarker.offset(),  // offset relative to *document*\n                scrollerOffset = $scrollerElement.offset(),\n                selectionExtensionHeight = $selectionExtension.outerHeight(),\n                scrollerTop = scrollerOffset.top,\n                scrollerBottom = scrollerTop + $scrollerElement.outerHeight(),\n                selectionExtensionTop = selectionMarkerOffset.top;\n\n            $selectionExtension.css("top", selectionExtensionTop);\n            $selectionExtension.css("left", $sidebar.width() - $selectionExtension.outerWidth());\n            toggleClass($selectionExtension, "selectionExtension-visible", showExtension);\n\n            var selectionExtensionClipOffsetYBy = Math.floor((selectionMarkerHeight - selectionExtensionHeight) / 2),\n                selectionExtensionBottom = selectionExtensionTop + selectionExtensionHeight + selectionExtensionClipOffsetYBy;\n\n            if (selectionExtensionTop < scrollerTop || selectionExtensionBottom > scrollerBottom) {\n                $selectionExtension.css("clip", "rect(" + Math.max(scrollerTop - selectionExtensionTop - selectionExtensionClipOffsetYBy, 0) + "px, auto, " +\n                                           (selectionExtensionHeight - Math.max(selectionExtensionBottom - scrollerBottom, 0)) + "px, auto)");\n            } else {\n                $selectionExtension.css("clip", "");\n            }\n        };\n\n        var hideSelectionMarker = function (event) {\n            $selectionExtension.addClass("forced-hidden");\n            $selectionMarker.addClass("forced-hidden");\n        };\n\n        var updateSelectionMarker = function (event, reveal) {\n            // find the selected list item\n            var $listItem = $listElement.find(selectedClassName).closest("li");\n\n            if (leafClassName) {\n                showExtension = $listItem.hasClass(leafClassName);\n            }\n\n            $selectionExtension.removeClass("forced-hidden");\n            $selectionMarker.removeClass("forced-hidden");\n\n            // always hide selection visuals first to force layout (issue #719)\n            $selectionExtension.hide();\n            $selectionMarker.hide();\n\n            if ($listItem.length === 1) {\n                // list item position is relative to scroller\n                var selectionMarkerTop = $listItem.offset().top - $scrollerElement.offset().top + $scrollerElement.get(0).scrollTop;\n\n                // move the selectionMarker position to align with the list item\n                $selectionMarker.css("top", selectionMarkerTop);\n                $selectionMarker.show();\n\n                updateSelectionExtension();\n                $selectionExtension.show();\n\n                // fully scroll to the selectionMarker if it\'s not initially in the viewport\n                var scrollerElement = $scrollerElement.get(0),\n                    scrollerHeight = scrollerElement.clientHeight,\n                    selectionMarkerHeight = $selectionMarker.height(),\n                    selectionMarkerBottom = selectionMarkerTop + selectionMarkerHeight,\n                    currentScrollBottom = scrollerElement.scrollTop + scrollerHeight;\n\n                // update scrollTop to reveal the selected list item\n                if (reveal) {\n                    if (selectionMarkerTop >= currentScrollBottom) {\n                        $listItem.get(0).scrollIntoView(false);\n                    } else if (selectionMarkerBottom <= scrollerElement.scrollTop) {\n                        $listItem.get(0).scrollIntoView(true);\n                    }\n                }\n            }\n        };\n\n        $listElement.on("selectionChanged", updateSelectionMarker);\n        $scrollerElement.on("scroll", updateSelectionExtension);\n        $scrollerElement.on("selectionRedraw", updateSelectionExtension);\n        $scrollerElement.on("selectionHide", hideSelectionMarker);\n\n        // update immediately\n        updateSelectionMarker();\n\n        // update clipping when the window resizes\n        _resizeHandlers.push(updateSelectionExtension);\n    }\n\n    /**\n     * @private\n     */\n    function _handleResize() {\n        _resizeHandlers.forEach(function (f) {\n            f.apply();\n        });\n    }\n\n    /**\n     * Determine how much of an element rect is clipped in view.\n     *\n     * @param {!DOMElement} $view - A jQuery scrolling container\n     * @param {!{top: number, left: number, height: number, width: number}}\n     *          elementRect - rectangle of element\'s default position/size\n     * @return {{top: number, right: number, bottom: number, left: number}}\n     *          amount element rect is clipped in each direction\n     */\n    function getElementClipSize($view, elementRect) {\n        var delta,\n            clip = { top: 0, right: 0, bottom: 0, left: 0 },\n            viewOffset = $view.offset() || { top: 0, left: 0};\n\n        // Check if element extends below viewport\n        delta = (elementRect.top + elementRect.height) - (viewOffset.top + $view.height());\n        if (delta > 0) {\n            clip.bottom = delta;\n        }\n\n        // Check if element extends above viewport\n        delta = viewOffset.top - elementRect.top;\n        if (delta > 0) {\n            clip.top = delta;\n        }\n\n        // Check if element extends to the left of viewport\n        delta = viewOffset.left - elementRect.left;\n        if (delta > 0) {\n            clip.left = delta;\n        }\n\n        // Check if element extends to the right of viewport\n        delta = (elementRect.left + elementRect.width) - (viewOffset.left + $view.width());\n        if (delta > 0) {\n            clip.right = delta;\n        }\n\n        return clip;\n    }\n\n    /**\n     * Within a scrolling DOMElement, if necessary, scroll element into viewport.\n     *\n     * To Perform the minimum amount of scrolling necessary, cases should be handled as follows:\n     * - element already completely in view : no scrolling\n     * - element above    viewport          : scroll view so element is at top\n     * - element left of  viewport          : scroll view so element is at left\n     * - element below    viewport          : scroll view so element is at bottom\n     * - element right of viewport          : scroll view so element is at right\n     *\n     * Assumptions:\n     * - $view is a scrolling container\n     *\n     * @param {!DOMElement} $view - A jQuery scrolling container\n     * @param {!DOMElement} $element - A jQuery element\n     * @param {?boolean} scrollHorizontal - whether to also scroll horizontally\n     */\n    function scrollElementIntoView($view, $element, scrollHorizontal) {\n        var elementOffset = $element.offset();\n\n        // scroll minimum amount\n        var elementRect = {\n                top:    elementOffset.top,\n                left:   elementOffset.left,\n                height: $element.height(),\n                width:  $element.width()\n            },\n            clip = getElementClipSize($view, elementRect);\n\n        if (clip.bottom > 0) {\n            // below viewport\n            $view.scrollTop($view.scrollTop() + clip.bottom);\n        } else if (clip.top > 0) {\n            // above viewport\n            $view.scrollTop($view.scrollTop() - clip.top);\n        }\n\n        if (scrollHorizontal) {\n            if (clip.left > 0) {\n                $view.scrollLeft($view.scrollLeft() - clip.left);\n            } else if (clip.right > 0) {\n                $view.scrollLeft($view.scrollLeft() + clip.right);\n            }\n        }\n    }\n\n    /**\n     * HTML formats a file entry name  for display in the sidebar.\n     * @param {!File} entry File entry to display\n     * @return {string} HTML formatted string\n     */\n    function getFileEntryDisplay(entry) {\n        var name = entry.name,\n            ext = LanguageManager.getCompoundFileExtension(name),\n            i = name.lastIndexOf("." + ext);\n\n        if (i > 0) {\n            // Escape all HTML-sensitive characters in filename.\n            name = _.escape(name.substring(0, i)) + "<span class=\'extension\'>" + _.escape(name.substring(i)) + "</span>";\n        } else {\n            name = _.escape(name);\n        }\n\n        return name;\n    }\n\n    /**\n     * Determine the minimum directory path to distinguish duplicate file names\n     * for each file in list.\n     *\n     * @param {Array.<File>} files - list of Files with the same filename\n     * @return {Array.<string>} directory paths to match list of files\n     */\n    function getDirNamesForDuplicateFiles(files) {\n        // Must have at least two files in list for this to make sense\n        if (files.length <= 1) {\n            return [];\n        }\n\n        // First collect paths from the list of files and fill map with them\n        var map = {}, filePaths = [], displayPaths = [];\n        files.forEach(function (file, index) {\n            var fp = file.fullPath.split("/");\n            fp.pop(); // Remove the filename itself\n            displayPaths[index] = fp.pop();\n            filePaths[index] = fp;\n\n            if (!map[displayPaths[index]]) {\n                map[displayPaths[index]] = [index];\n            } else {\n                map[displayPaths[index]].push(index);\n            }\n        });\n\n        // This function is used to loop through map and resolve duplicate names\n        var processMap = function (map) {\n            var didSomething = false;\n            _.forEach(map, function (arr, key) {\n                // length > 1 means we have duplicates that need to be resolved\n                if (arr.length > 1) {\n                    arr.forEach(function (index) {\n                        if (filePaths[index].length !== 0) {\n                            displayPaths[index] = filePaths[index].pop() + "/" + displayPaths[index];\n                            didSomething = true;\n\n                            if (!map[displayPaths[index]]) {\n                                map[displayPaths[index]] = [index];\n                            } else {\n                                map[displayPaths[index]].push(index);\n                            }\n                        }\n                    });\n                }\n                delete map[key];\n            });\n            return didSomething;\n        };\n\n        var repeat;\n        do {\n            repeat = processMap(map);\n        } while (repeat);\n\n        return displayPaths;\n    }\n\n    function traverseViewArray(viewArray, startIndex, direction) {\n        if (Math.abs(direction) !== 1) {\n            console.error("traverseViewArray called with unsupported direction: " + direction.toString());\n            return null;\n        }\n        if (startIndex === -1) {\n            // If doc not in view list, return most recent view list item\n            if (viewArray.length > 0) {\n                return viewArray[0];\n            }\n        } else if (viewArray.length > 1) {\n            // If doc is in view list, return next/prev item with wrap-around\n            startIndex += direction;\n            if (startIndex >= viewArray.length) {\n                startIndex = 0;\n            } else if (startIndex < 0) {\n                startIndex = viewArray.length - 1;\n            }\n\n            return viewArray[startIndex];\n        }\n\n        // If no doc open or view list empty, there is no "next" file\n        return null;\n    }\n\n    function hideMainToolBar() {\n        $("#main-toolbar").addClass("forced-hidden");\n        $(".main-view .content").each(function (index, element) {\n            $(element).addClass("force-right-zero");\n        });\n    }\n\n    function showMainToolBar() {\n        $("#main-toolbar").removeClass("forced-hidden");\n        $(".main-view .content").each(function (index, element) {\n            $(element).removeClass("force-right-zero");\n        });\n    }\n\n    // handle all resize handlers in a single listener\n    $(window).resize(_handleResize);\n\n    // Define public API\n    exports.SCROLL_SHADOW_HEIGHT         = SCROLL_SHADOW_HEIGHT;\n    exports.addScrollerShadow            = addScrollerShadow;\n    exports.removeScrollerShadow         = removeScrollerShadow;\n    exports.sidebarList                  = sidebarList;\n    exports.showMainToolBar              = showMainToolBar;\n    exports.hideMainToolBar              = hideMainToolBar;\n    exports.scrollElementIntoView        = scrollElementIntoView;\n    exports.getElementClipSize           = getElementClipSize;\n    exports.getFileEntryDisplay          = getFileEntryDisplay;\n    exports.toggleClass                  = toggleClass;\n    exports.getDirNamesForDuplicateFiles = getDirNamesForDuplicateFiles;\n    exports.traverseViewArray            = traverseViewArray;\n});\n\n//# sourceURL=/utils/ViewUtils.js'),
eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Resizer is a Module utility to inject resizing capabilities to any element\n * inside Brackets.\n *\n * On initialization, Resizer discovers all nodes tagged as "vert-resizable"\n * and "horz-resizable" to add the resizer handler. Additionally, "top-resizer",\n * "bottom-resizer", "left-resizer" and "right-resizer" classes control the\n * position of the resizer on the element.\n *\n * An element can be made resizable at any time using the `makeResizable()` API.\n * Panel sizes are saved via preferences and restored when the DOM node becomes resizable\n * again in a subsequent launch.\n *\n * The resizable elements trigger a panelResizeStart, panelResizeUpdate and panelResizeEnd\n * event that can be used to create performance optimizations (such as hiding/showing elements\n * while resizing), custom layout logic, etc. See makeResizable() for details on the events.\n *\n * A resizable element can be collapsed/expanded using the `show`, `hide` and `toggle` APIs or\n * via user action. This triggers panelCollapsed/panelExpanded events - see makeResizable().\n */\ndefine(\'utils/Resizer\',[\'require\',\'exports\',\'module\',\'utils/AppInit\',\'utils/EventDispatcher\',\'utils/ViewUtils\',\'preferences/PreferencesManager\'],function (require, exports, module) {\n    "use strict";\n\n    var DIRECTION_VERTICAL = "vert";\n    var DIRECTION_HORIZONTAL = "horz";\n\n    var POSITION_TOP = "top";\n    var POSITION_BOTTOM = "bottom";\n    var POSITION_LEFT = "left";\n    var POSITION_RIGHT = "right";\n    var PREFS_PURE_CODE = "noDistractions";\n\n    // Minimum size (height or width) for autodiscovered resizable panels\n    var DEFAULT_MIN_SIZE = 100;\n\n    // Load dependent modules\n    var AppInit                 = require("utils/AppInit"),\n        EventDispatcher         = require("utils/EventDispatcher"),\n        ViewUtils               = require("utils/ViewUtils"),\n        PreferencesManager      = require("preferences/PreferencesManager");\n\n    var $mainView,\n        $sideBar;\n\n    var isResizing = false,\n        isWindowResizing = false;\n\n    /**\n     * Shows a resizable element.\n     * @param {DOMNode} element Html element to show if possible\n     */\n    function show(element) {\n        var showFunc = $(element).data("show");\n        if (showFunc) {\n            showFunc.apply(element);\n        }\n    }\n\n    /**\n     * Hides a resizable element.\n     * @param {DOMNode} element Html element to hide if possible\n     */\n    function hide(element) {\n        var hideFunc = $(element).data("hide");\n        if (hideFunc) {\n            hideFunc.apply(element);\n        }\n    }\n\n    /**\n     * Changes the visibility state of a resizable element. The toggle\n     * functionality is added when an element is made resizable.\n     * @param {DOMNode} element Html element to toggle\n     */\n    function toggle(element) {\n        if ($(element).is(":visible")) {\n            hide(element);\n        } else {\n            show(element);\n        }\n    }\n\n    /**\n     * Removes the resizability of an element if it\'s resizable\n     * @param {DOMNode} element Html element in which to remove sizing\n     */\n    function removeSizable(element) {\n        var removeSizableFunc = $(element).data("removeSizable");\n        if (removeSizableFunc) {\n            removeSizableFunc.apply(element);\n        }\n    }\n\n    /**\n     * Updates the sizing div by resyncing to the sizing edge of the element\n     * Call this method after manually changing the size of the element\n     * @param {DOMNode} element Html element whose sizer should be resynchronized\n     */\n    function resyncSizer(element) {\n        var resyncSizerFunc = $(element).data("resyncSizer");\n        if (resyncSizerFunc) {\n            resyncSizerFunc.apply(element);\n        }\n    }\n\n    /**\n     * Returns the visibility state of a resizable element.\n     * @param {DOMNode} element Html element to toggle\n     * @return {boolean} true if element is visible, false if it is not visible\n     */\n    function isVisible(element) {\n        return $(element).is(":visible");\n    }\n\n    function _isPercentage(value) {\n        return !$.isNumeric(value) && value.indexOf(\'%\') > -1;\n    }\n\n    function _percentageToPixels(value, total) {\n        return parseFloat(value.replace(\'%\', \'\')) * (total / 100);\n    }\n\n    function _sideBarMaxSize() {\n        var siblingsWidth = 0;\n        $sideBar.siblings().not(".content").each(function (i, elem) {\n            var $elem = $(elem);\n            if ($elem.css("display") !== "none") {\n                siblingsWidth += $elem.outerWidth();\n            }\n        });\n        return $(".main-view").width() - siblingsWidth - 1;\n    }\n\n    /**\n     * Adds resizing and (optionally) expand/collapse capabilities to a given html element. The element\'s size\n     * & visibility are automatically saved & restored as a view-state preference.\n     *\n     * Resizing can be configured in two directions:\n     *  - Vertical ("vert"): Resizes the height of the element\n     *  - Horizontal ("horz"): Resizes the width of the element\n     *\n     * Resizer handlers can be positioned on the element at:\n     *  - Top ("top") or bottom ("bottom") for vertical resizing\n     *  - Left ("left") or right ("right") for horizontal resizing\n     *\n     * A resizable element triggers the following events while resizing:\n     *  - panelResizeStart: When the resize starts. Passed the new size.\n     *  - panelResizeUpdate: When the resize gets updated. Passed the new size.\n     *  - panelResizeEnd: When the resize ends. Passed the final size.\n     *  - panelCollapsed: When the panel gets collapsed (or hidden). Passed the last size\n     *      before collapse. May occur without any resize events.\n     *  - panelExpanded: When the panel gets expanded (or shown). Passed the initial size.\n     *      May occur without any resize events.\n     *\n     * @param {!DOMNode} element DOM element which should be made resizable. Must have an id attribute, for\n     *                          use as a preferences key.\n     * @param {!string} direction Direction of the resize action: one of the DIRECTION_* constants.\n     * @param {!string} position Which side of the element can be dragged: one of the POSITION_* constants\n     *                          (TOP/BOTTOM for vertical resizing or LEFT/RIGHT for horizontal).\n     * @param {?number} minSize Minimum size (width or height) of the element\'s outer dimensions, including\n     *                          border & padding. Defaults to DEFAULT_MIN_SIZE.\n     * @param {?boolean} collapsible Indicates the panel is collapsible on double click on the\n     *                          resizer. Defaults to false.\n     * @param {?string} forceLeft CSS selector indicating element whose \'left\' should be locked to the\n     *                          the resizable element\'s size (useful for siblings laid out to the right of\n     *                          the element). Must lie in element\'s parent\'s subtree.\n     * @param {?boolean} createdByWorkspaceManager For internal use only\n     * @param {?boolean} usePercentages Maintain the size of the element as a percentage of its parent\n     *                          the default is to maintain the size of the element in pixels\n     * @param {?boolean} _attachToParent Attaches the resizer element to parent of the element rather than\n     *                          to element itself. Attach the resizer to the parent *ONLY* if element has the\n     *                          same offset as parent otherwise the resizer will be incorrectly positioned.\n     *                          FOR INTERNAL USE ONLY\n     */\n    function makeResizable(element, direction, position, minSize, collapsible, forceLeft, createdByWorkspaceManager, usePercentages, _attachToParent) {\n        var $resizer            = $(\'<div class="\' + direction + \'-resizer"></div>\'),\n            $element            = $(element),\n            $parent             = $element.parent(),\n            $resizableElement   = $($element.find(".resizable-content:first")[0]),\n            $body               = $(window.document.body),\n            elementID           = $element.attr("id"),\n            elementPrefs        = PreferencesManager.getViewState(elementID) || {},\n            animationRequest    = null,\n            directionProperty   = direction === DIRECTION_HORIZONTAL ? "clientX" : "clientY",\n            directionIncrement  = (position === POSITION_TOP || position === POSITION_LEFT) ? 1 : -1,\n            parentSizeFunction  = direction === DIRECTION_HORIZONTAL ? $parent.innerWidth : $parent.innerHeight,\n\n            elementSizeFunction = function (newSize) {\n                if (!newSize) {\n                    // calling the function as a getter\n                    if (direction === DIRECTION_HORIZONTAL) {\n                        return this.width();\n                    } else {\n                        return this.height();\n                    }\n                } else if (!usePercentages) {\n                    if (direction === DIRECTION_HORIZONTAL) {\n                        return this.width(newSize);\n                    } else {\n                        return this.height(newSize);\n                    }\n                } else {\n                    // calling the function as a setter\n                    var parentSize = parentSizeFunction.apply($parent),\n                        percentage,\n                        prop;\n\n                    if (direction === DIRECTION_HORIZONTAL) {\n                        prop = "width";\n                    } else {\n                        prop = "height";\n                    }\n                    percentage = newSize / parentSize;\n                    this.css(prop, (percentage * 100) + "%");\n\n                    return this; // chainable\n                }\n            },\n\n            resizerCSSPosition  = direction === DIRECTION_HORIZONTAL ? "left" : "top",\n            contentSizeFunction = direction === DIRECTION_HORIZONTAL ? $resizableElement.width : $resizableElement.height;\n\n        if (PreferencesManager.get(PREFS_PURE_CODE) &&\n                ($element.hasClass("bottom-panel") || $element.hasClass("sidebar"))) {\n            elementPrefs.visible = false;\n        }\n\n        if (!elementID) {\n            console.error("Resizable panels must have a DOM id to use as a preferences key:", element);\n            return;\n        }\n        // Detect legacy cases where panels in the editor area are created without using WorkspaceManager APIs\n        if ($parent[0] && $parent.is(".content") && !createdByWorkspaceManager) {\n            console.error("Resizable panels within the editor area should be created via WorkspaceManager.createBottomPanel(). \\nElement:", element);\n            return;\n        }\n\n        if (minSize === undefined) {\n            minSize = DEFAULT_MIN_SIZE;\n        }\n\n        collapsible = collapsible || false;\n\n        if (_attachToParent) {\n            $parent.prepend($resizer);\n        } else {\n            $element.prepend($resizer);\n        }\n        // Important so min/max sizes behave predictably\n        $element.css("box-sizing", "border-box");\n\n        function adjustSibling(size) {\n            if (forceLeft !== undefined) {\n                $(forceLeft, $parent).css("left", size);\n            }\n        }\n\n        function resizeElement(elementSize, contentSize) {\n            elementSizeFunction.apply($element, [elementSize]);\n\n            if ($resizableElement.length) {\n                contentSizeFunction.apply($resizableElement, [contentSize]);\n            }\n        }\n\n        // If the resizer is positioned right or bottom of the panel, we need to listen to\n        // reposition it if the element size changes externally\n        function repositionResizer(elementSize) {\n            var resizerPosition = elementSize || 1;\n            if (position === POSITION_RIGHT || position === POSITION_BOTTOM) {\n                $resizer.css(resizerCSSPosition, resizerPosition);\n            }\n        }\n\n        $element.data("removeSizable", function () {\n            $resizer.off(".resizer");\n\n            $element.removeData("show");\n            $element.removeData("hide");\n            $element.removeData("resyncSizer");\n            $element.removeData("removeSizable");\n\n            $resizer.remove();\n        });\n\n        $element.data("resyncSizer", function () {\n            repositionResizer(elementSizeFunction.apply($element));\n        });\n\n        $element.data("show", function () {\n            var elementOffset   = $element.offset(),\n                elementSize     = elementSizeFunction.apply($element) || elementPrefs.size,\n                contentSize     = contentSizeFunction.apply($resizableElement) || elementPrefs.contentSize;\n\n            // Resize the element before showing it again. If the panel was collapsed by dragging\n            // the resizer, the size of the element should be 0, so we restore size in preferences\n            resizeElement(elementSize, contentSize);\n\n            $element.show();\n            elementPrefs.visible = true;\n\n            if (collapsible) {\n                if (_attachToParent) {\n                    $parent.prepend($resizer);\n                } else {\n                    $element.prepend($resizer);\n                }\n                if (position === POSITION_TOP) {\n                    $resizer.css(resizerCSSPosition, "");\n                } else if (position === POSITION_RIGHT) {\n                    $resizer.css(resizerCSSPosition, elementOffset[resizerCSSPosition] + elementSize);\n                }\n            }\n\n            adjustSibling(elementSize);\n\n            $element.trigger("panelExpanded", [elementSize]);\n            PreferencesManager.setViewState(elementID, elementPrefs, null, isResizing);\n        });\n\n        $element.data("hide", function () {\n            var elementOffset   = $element.offset(),\n                elementSize     = elementSizeFunction.apply($element),\n                resizerSize     = elementSizeFunction.apply($resizer);\n\n            $element.hide();\n            elementPrefs.visible = false;\n            if (collapsible) {\n                $resizer.insertBefore($element);\n                if (position === POSITION_RIGHT) {\n                    $resizer.css(resizerCSSPosition, "");\n                } else if (position === POSITION_TOP) {\n                    $resizer.css(resizerCSSPosition, elementOffset[resizerCSSPosition] + elementSize - resizerSize);\n                }\n            }\n\n            adjustSibling(0);\n\n            $element.trigger("panelCollapsed", [elementSize]);\n            PreferencesManager.setViewState(elementID, elementPrefs, null, isResizing);\n        });\n\n\n        $resizer.on("mousedown.resizer", function (e) {\n            var $resizeShield   = $("<div class=\'resizing-container " + direction + "-resizing\' />"),\n                startPosition   = e[directionProperty],\n                startSize       = $element.is(":visible") ? elementSizeFunction.apply($element) : 0,\n                newSize         = startSize,\n                previousSize    = startSize,\n                baseSize        = 0,\n                resizeStarted   = false;\n\n            isResizing = true;\n            $body.append($resizeShield);\n\n            if ($resizableElement.length) {\n                $element.children().not(".horz-resizer, .vert-resizer, .resizable-content").each(function (index, child) {\n                    if (direction === DIRECTION_HORIZONTAL) {\n                        baseSize += $(child).outerWidth();\n                    } else {\n                        baseSize += $(child).outerHeight();\n                    }\n                });\n            }\n\n            function doRedraw() {\n                // only run this if the mouse is down so we don\'t constantly loop even\n                // after we\'re done resizing.\n                if (!isResizing) {\n                    return;\n                }\n\n                // Check for real size changes to avoid unnecessary resizing and events\n                if (newSize !== previousSize) {\n                    previousSize = newSize;\n\n                    if ($element.is(":visible")) {\n                        if (newSize < 10) {\n                            toggle($element);\n                            elementSizeFunction.apply($element, [0]);\n                        } else {\n                            // Trigger resizeStarted just before the first successful resize update\n                            if (!resizeStarted) {\n                                resizeStarted = true;\n                                $element.trigger("panelResizeStart", newSize);\n                            }\n\n                            // Resize the main element to the new size. If there is a content element,\n                            // its size is the new size minus the size of the non-resizable elements\n                            resizeElement(newSize, (newSize - baseSize));\n                            adjustSibling(newSize);\n\n                            $element.trigger("panelResizeUpdate", [newSize]);\n                        }\n                    } else if (newSize > 10) {\n                        elementSizeFunction.apply($element, [newSize]);\n                        toggle($element);\n\n                        // Trigger resizeStarted after expanding the element if it was previously collapsed\n                        if (!resizeStarted) {\n                            resizeStarted = true;\n                            $element.trigger("panelResizeStart", newSize);\n                        }\n                    }\n                }\n\n                animationRequest = window.requestAnimationFrame(doRedraw);\n            }\n\n            function onMouseMove(e) {\n                // calculate newSize adding to startSize the difference\n                // between starting and current position, capped at minSize\n                newSize = Math.max(startSize + directionIncrement * (startPosition - e[directionProperty]), minSize);\n\n                // respect max size if one provided (e.g. by WorkspaceManager)\n                var maxSize = $element.data("maxsize");\n                if (maxSize !== undefined) {\n                    // if provided as percentage size convert it to a pixel size\n                    if (_isPercentage(maxSize)) {\n                        maxSize = _percentageToPixels(maxSize, _sideBarMaxSize());\n                    }\n                    newSize = Math.min(newSize, maxSize);\n                }\n\n                e.preventDefault();\n\n                if (animationRequest === null) {\n                    animationRequest = window.requestAnimationFrame(doRedraw);\n                }\n            }\n\n            $(window.document).on("mousemove", onMouseMove);\n\n            // If the element is marked as collapsible, check for double click\n            // to toggle the element visibility\n            if (collapsible) {\n                $resizeShield.on("mousedown", function (e) {\n                    $(window.document).off("mousemove", onMouseMove);\n                    $resizeShield.off("mousedown");\n                    $resizeShield.remove();\n                    animationRequest = null;\n                    toggle($element);\n                });\n            }\n\n            function endResize(e) {\n                if (isResizing) {\n\n                    var elementSize	= elementSizeFunction.apply($element);\n                    if ($element.is(":visible")) {\n                        elementPrefs.size = elementSize;\n                        if ($resizableElement.length) {\n                            elementPrefs.contentSize = contentSizeFunction.apply($resizableElement);\n                        }\n                        PreferencesManager.setViewState(elementID, elementPrefs);\n                        repositionResizer(elementSize);\n                    }\n\n                    isResizing = false;\n\n                    if (resizeStarted) {\n                        $element.trigger("panelResizeEnd", [elementSize]);\n                    }\n\n                    // We wait 300ms to remove the resizer container to capture a mousedown\n                    // on the container that would account for double click\n                    window.setTimeout(function () {\n                        $(window.document).off("mousemove", onMouseMove);\n                        $resizeShield.off("mousedown");\n                        $resizeShield.remove();\n                        animationRequest = null;\n                    }, 300);\n                }\n            }\n\n            $(window.document).one("mouseup", endResize);\n\n            e.preventDefault();\n        });\n\n        // Panel preferences initialization\n        if (elementPrefs) {\n\n            if (elementPrefs.size !== undefined) {\n                elementSizeFunction.apply($element, [elementPrefs.size]);\n            }\n\n            if (elementPrefs.contentSize !== undefined) {\n                contentSizeFunction.apply($resizableElement, [elementPrefs.contentSize]);\n            }\n\n            if (elementPrefs.visible !== undefined && !elementPrefs.visible) {\n                hide($element);\n            } else {\n                adjustSibling(elementSizeFunction.apply($element));\n                repositionResizer(elementSizeFunction.apply($element));\n            }\n        }\n    }\n\n    function updateResizeLimits() {\n        var sideBarMaxSize = _sideBarMaxSize(),\n            maxSize = $sideBar.data("maxsize"),\n            width = false;\n\n        if (maxSize !== undefined && _isPercentage(maxSize)) {\n            sideBarMaxSize = _percentageToPixels(maxSize, sideBarMaxSize);\n        }\n\n        if ($sideBar.width() > sideBarMaxSize) {\n            // Adjust the sideBar\'s width in case it exceeds the window\'s width when resizing the window.\n            $sideBar.width(sideBarMaxSize);\n            resyncSizer($sideBar);\n            $(".content").css("left", $sideBar.width());\n            $sideBar.trigger("panelResizeStart", $sideBar.width());\n            $sideBar.trigger("panelResizeUpdate", [$sideBar.width()]);\n            $sideBar.trigger("panelResizeEnd", [$sideBar.width()]);\n        }\n    }\n\n    function onWindowResize(e) {\n        if ($sideBar.css("display") === "none") {\n            return;\n        }\n\n        if (!isWindowResizing) {\n            isWindowResizing = true;\n\n            // We don\'t need any fancy debouncing here - we just need to react before the user can start\n            // resizing any panels at the new window size. So just listen for first mousemove once the\n            // window resize releases mouse capture.\n            $(window.document).one("mousemove", function () {\n                isWindowResizing = false;\n                updateResizeLimits();\n            });\n        }\n    }\n\n    window.addEventListener("resize", onWindowResize, true);\n\n    // Scan DOM for horz-resizable and vert-resizable classes and make them resizable\n    AppInit.htmlReady(function () {\n        var minSize = DEFAULT_MIN_SIZE;\n\n        $mainView = $(".main-view");\n        $sideBar = $("#sidebar");\n\n        $(".vert-resizable").each(function (index, element) {\n\n            if ($(element).data().minsize !== undefined) {\n                minSize = $(element).data().minsize;\n            }\n\n            if ($(element).hasClass("top-resizer")) {\n                makeResizable(element, DIRECTION_VERTICAL, POSITION_TOP, minSize, $(element).hasClass("collapsible"));\n            }\n\n            //if ($(element).hasClass("bottom-resizer")) {\n            //    makeResizable(element, DIRECTION_VERTICAL, POSITION_BOTTOM, DEFAULT_MIN_SIZE);\n            //}\n        });\n\n        $(".horz-resizable").each(function (index, element) {\n\n            if ($(element).data().minsize !== undefined) {\n                minSize = $(element).data().minsize;\n            }\n\n            //if ($(element).hasClass("left-resizer")) {\n            //    makeResizable(element, DIRECTION_HORIZONTAL, POSITION_LEFT, DEFAULT_MIN_SIZE);\n            //}\n\n            if ($(element).hasClass("right-resizer")) {\n                makeResizable(element, DIRECTION_HORIZONTAL, POSITION_RIGHT, minSize, $(element).hasClass("collapsible"), $(element).data().forceleft);\n            }\n        });\n\n        // The main toolbar is only collapsible.\n        if ($("#main-toolbar").hasClass("collapsible") && PreferencesManager.get(PREFS_PURE_CODE)) {\n            ViewUtils.hideMainToolBar();\n        }\n    });\n\n    EventDispatcher.makeEventDispatcher(exports);\n\n    exports.makeResizable   = makeResizable;\n    exports.removeSizable   = removeSizable;\n    exports.resyncSizer     = resyncSizer;\n    exports.toggle          = toggle;\n    exports.show            = show;\n    exports.hide            = hide;\n    exports.isVisible       = isVisible;\n\n    //Resizer Constants\n    exports.DIRECTION_VERTICAL   = DIRECTION_VERTICAL;\n    exports.DIRECTION_HORIZONTAL = DIRECTION_HORIZONTAL;\n    exports.POSITION_TOP         = POSITION_TOP;\n    exports.POSITION_RIGHT       = POSITION_RIGHT;\n    exports.POSITION_BOTTOM      = POSITION_BOTTOM;\n    exports.POSITION_LEFT        = POSITION_LEFT;\n});\n\n//# sourceURL=/utils/Resizer.js'),eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n* Manages layout of panels surrounding the editor area, and size of the editor area (but not its contents).\n *\n * Updates panel sizes when the window is resized. Maintains the max resizing limits for panels, based on\n * currently available window size.\n *\n * Events:\n * `workspaceUpdateLayout` When workspace size changes for any reason (including panel show/hide panel resize, or the window resize).\n *              The 2nd arg is the available workspace height.\n *              The 3rd arg is a refreshHint flag for internal use (passed in to recomputeLayout)\n */\ndefine(\'view/WorkspaceManager\',[\'require\',\'exports\',\'module\',\'utils/AppInit\',\'utils/EventDispatcher\',\'utils/Resizer\'],function (require, exports, module) {\n    "use strict";\n\n    var AppInit                 = require("utils/AppInit"),\n        EventDispatcher         = require("utils/EventDispatcher"),\n        Resizer                 = require("utils/Resizer");\n\n    //constants\n    var EVENT_WORKSPACE_UPDATE_LAYOUT  = "workspaceUpdateLayout",\n        EVENT_WORKSPACE_PANEL_SHOWN    = "workspacePanelShown",\n        EVENT_WORKSPACE_PANEL_HIDDEN   = "workspacePanelHidden";\n\n    /**\n     * The ".content" vertical stack (editor + all header/footer panels)\n     * @type {jQueryObject}\n     */\n    var $windowContent;\n\n    /**\n     * The "#editor-holder": has only one visible child, the current CodeMirror instance (or the no-editor placeholder)\n     * @type {jQueryObject}\n     */\n    var $editorHolder;\n\n    /**\n     * A map from panel ID\'s to all reated panels\n     */\n    var panelIDMap = {};\n\n    /**\n     * Have we already started listening for the end of the ongoing window resize?\n     * @type {boolean}\n     */\n    var windowResizing = false;\n\n\n    /**\n     * Calculates the available height for the full-size Editor (or the no-editor placeholder),\n     * accounting for the current size of all visible panels, toolbar, & status bar.\n     * @return {number}\n     */\n    function calcAvailableHeight() {\n        var availableHt = $windowContent.height();\n\n        $editorHolder.siblings().each(function (i, elem) {\n            var $elem = $(elem);\n            if ($elem.css("display") !== "none" && $elem.css("position") !== "absolute") {\n                availableHt -= $elem.outerHeight();\n            }\n        });\n\n        // Clip value to 0 (it could be negative if a panel wants more space than we have)\n        return Math.max(availableHt, 0);\n    }\n\n    /** Updates panel resize limits to disallow making panels big enough to shrink editor area below 0 */\n    function updateResizeLimits() {\n        var editorAreaHeight = $editorHolder.height();\n\n        $editorHolder.siblings().each(function (i, elem) {\n            var $elem = $(elem);\n            if ($elem.css("display") === "none") {\n                $elem.data("maxsize", editorAreaHeight);\n            } else {\n                $elem.data("maxsize", editorAreaHeight + $elem.outerHeight());\n            }\n        });\n    }\n\n\n    /**\n     * Calculates a new size for editor-holder and resizes it accordingly, then and dispatches the "workspaceUpdateLayout"\n     * event. (The editors within are resized by EditorManager, in response to that event).\n     *\n     * @param {boolean=} refreshHint  true to force a complete refresh\n     */\n    function triggerUpdateLayout(refreshHint) {\n        // Find how much space is left for the editor\n        var editorAreaHeight = calcAvailableHeight();\n\n        $editorHolder.height(editorAreaHeight);  // affects size of "not-editor" placeholder as well\n\n        // Resize editor to fill the space\n        exports.trigger(EVENT_WORKSPACE_UPDATE_LAYOUT, editorAreaHeight, refreshHint);\n    }\n\n\n    /** Trigger editor area resize whenever the window is resized */\n    function handleWindowResize() {\n        // These are not initialized in Jasmine Spec Runner window until a test\n        // is run that creates a mock document.\n        if (!$windowContent || !$editorHolder) {\n            return;\n        }\n\n        // FIXME (issue #4564) Workaround https://github.com/codemirror/CodeMirror/issues/1787\n        triggerUpdateLayout();\n\n        if (!windowResizing) {\n            windowResizing = true;\n\n            // We don\'t need any fancy debouncing here - we just need to react before the user can start\n            // resizing any panels at the new window size. So just listen for first mousemove once the\n            // window resize releases mouse capture.\n            $(window.document).one("mousemove", function () {\n                windowResizing = false;\n                updateResizeLimits();\n            });\n        }\n    }\n\n    /** Trigger editor area resize whenever the given panel is shown/hidden/resized\n     *  @param {!jQueryObject} $panel the jquery object in which to attach event handlers\n     */\n    function listenToResize($panel) {\n        // Update editor height when shown/hidden, & continuously as panel is resized\n        $panel.on("panelCollapsed panelExpanded panelResizeUpdate", function () {\n            triggerUpdateLayout();\n        });\n        // Update max size of sibling panels when shown/hidden, & at *end* of resize gesture\n        $panel.on("panelCollapsed panelExpanded panelResizeEnd", function () {\n            updateResizeLimits();\n        });\n    }\n\n\n    /**\n     * Represents a panel below the editor area (a child of ".content").\n     * @constructor\n     * @param {!jQueryObject} $panel  The entire panel, including any chrome, already in the DOM.\n     * @param {number=} minSize  Minimum height of panel in px.\n     */\n    function Panel($panel, minSize) {\n        this.$panel = $panel;\n\n        Resizer.makeResizable($panel[0], Resizer.DIRECTION_VERTICAL, Resizer.POSITION_TOP, minSize, false, undefined, true);\n        listenToResize($panel);\n    }\n\n    /**\n     * Dom node holding the rendered panel\n     * @type {jQueryObject}\n     */\n    Panel.prototype.$panel = null;\n\n    /**\n     * Determines if the panel is visible\n     * @return {boolean} true if visible, false if not\n     */\n    Panel.prototype.isVisible = function () {\n        return this.$panel.is(":visible");\n    };\n\n    /**\n     * Shows the panel\n     */\n    Panel.prototype.show = function () {\n        Resizer.show(this.$panel[0]);\n        exports.trigger(EVENT_WORKSPACE_PANEL_SHOWN, this.panelID);\n    };\n\n    /**\n     * Hides the panel\n     */\n    Panel.prototype.hide = function () {\n        Resizer.hide(this.$panel[0]);\n        exports.trigger(EVENT_WORKSPACE_PANEL_HIDDEN, this.panelID);\n    };\n\n    /**\n     * Sets the panel\'s visibility state\n     * @param {boolean} visible true to show, false to hide\n     */\n    Panel.prototype.setVisible = function (visible) {\n        if (visible) {\n            this.show();\n        } else {\n            this.hide();\n        }\n    };\n\n\n    /**\n     * Creates a new resizable panel beneath the editor area and above the status bar footer. Panel is initially invisible.\n     * The panel\'s size & visibility are automatically saved & restored as a view-state preference.\n     *\n     * @param {!string} id  Unique id for this panel. Use package-style naming, e.g. "myextension.feature.panelname"\n     * @param {!jQueryObject} $panel  DOM content to use as the panel. Need not be in the document yet. Must have an id\n     *      attribute, for use as a preferences key.\n     * @param {number=} minSize  Minimum height of panel in px.\n     * @return {!Panel}\n     */\n    function createBottomPanel(id, $panel, minSize) {\n        $panel.insertBefore("#status-bar");\n        $panel.hide();\n        updateResizeLimits();  // initialize panel\'s max size\n\n        panelIDMap[id] = new Panel($panel, minSize);\n        panelIDMap[id].panelID = id;\n\n        return panelIDMap[id];\n    }\n\n    /**\n     * Returns an array of all panel ID\'s\n     * @returns {Array} List of ID\'s of all bottom panels\n     */\n    function getAllPanelIDs() {\n        var property, panelIDs = [];\n        for (property in panelIDMap) {\n            if (panelIDMap.hasOwnProperty(property)) {\n                panelIDs.push(property);\n            }\n        }\n        return panelIDs;\n    }\n\n    /**\n     * Gets the Panel interface for the given ID. Can return undefined if no panel with the ID is found.\n     * @param   {string} panelID\n     * @returns {Object} Panel object for the ID or undefined\n     */\n    function getPanelForID(panelID) {\n        return panelIDMap[panelID];\n    }\n\n    /**\n     * Called when an external widget has appeared and needs some of the space occupied\n     *  by the mainview manager\n     * @param {boolean} refreshHint true to refresh the editor, false if not\n     */\n    function recomputeLayout(refreshHint) {\n        triggerUpdateLayout(refreshHint);\n        updateResizeLimits();\n    }\n\n\n    /* Attach to key parts of the overall UI, once created */\n    AppInit.htmlReady(function () {\n        $windowContent = $(".content");\n        $editorHolder = $("#editor-holder");\n\n        // Sidebar is a special case: it isn\'t a Panel, and is not created dynamically. Need to explicitly\n        // listen for resize here.\n        listenToResize($("#sidebar"));\n    });\n\n    /* Unit test only: allow passing in mock DOM notes, e.g. for use with SpecRunnerUtils.createMockEditor() */\n    function _setMockDOM($mockWindowContent, $mockEditorHolder) {\n        $windowContent = $mockWindowContent;\n        $editorHolder = $mockEditorHolder;\n    }\n\n    /* Add this as a capture handler so we\'re guaranteed to run it before the editor does its own\n     * refresh on resize.\n     */\n    window.addEventListener("resize", handleWindowResize, true);\n\n\n    EventDispatcher.makeEventDispatcher(exports);\n\n    // Define public API\n    exports.createBottomPanel               = createBottomPanel;\n    exports.recomputeLayout                 = recomputeLayout;\n    exports.getAllPanelIDs                  = getAllPanelIDs;\n    exports.getPanelForID                   = getPanelForID;\n    exports._setMockDOM                     = _setMockDOM;\n    exports.EVENT_WORKSPACE_UPDATE_LAYOUT   = EVENT_WORKSPACE_UPDATE_LAYOUT;\n    exports.EVENT_WORKSPACE_PANEL_SHOWN     = EVENT_WORKSPACE_PANEL_SHOWN;\n    exports.EVENT_WORKSPACE_PANEL_HIDDEN    = EVENT_WORKSPACE_PANEL_HIDDEN;\n});\n\n//# sourceURL=/view/WorkspaceManager.js'),
eval("/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the \"Software\"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * MainViewFactory is a singleton for managing view factories.\n *\n * Registering a view factory:\n *\n *      registerViewFactory({\n *           canOpenFile: function (fullPath) {\n *               return (fullPath.slice(-4) === \".ico\");\n *           },\n *           openFile: function(file, pane) {\n *               return createIconView(file, pane);\n *           }\n *      });\n *\n *  The openFile method is used to open the file and construct\n *  a view of it.  Implementation should add the view to the pane\n *\n *      function createIconView(file, pane) {\n *          // IconView will construct its DOM and append\n *          //  it to pane.$el\n *          var view = new IconView(file, pane.$el);\n *          // Then tell the pane to add it to\n *          //  its view map and show it\n *          pane.addView(view, true);\n *          return new $.Deferred().resolve().promise();\n *      }\n *\n *  Factories should only create 1 view of a file per pane.  Brackets currently only supports 1 view of\n *  a file open at a given time but that may change to allow the same file open in more than 1 pane. Therefore\n *  Factories can do a simple check to see if a view already exists and show it before creating a new one:\n *\n *      var view = pane.getViewForPath(file.fullPath);\n *      if (view) {\n *          pane.showView(view);\n *      } else {\n *          return createIconView(file, pane);\n *      }\n *\n */\ndefine('view/MainViewFactory',['require','exports','module','thirdparty/lodash'],function (require, exports, module) {\n    \"use strict\";\n\n    var _ = require(\"thirdparty/lodash\");\n\n\n    /**\n     * @typedef {canOpenFile:function(path:string):boolean, openFile:function(path:string, pane:Pane)} Factory\n     */\n\n    /**\n     * The view registration Database\n     * @private\n     * @type {Array.<Factory>}\n     */\n    var _factories = [];\n\n    /**\n     * Registers a view factory\n     * @param {!Factory} factory - the view factory to register\n     */\n    function registerViewFactory(factory) {\n        _factories.push(factory);\n    }\n\n    /**\n     * Finds a factory that can open the specified file\n     * @param {!string} fullPath - the file to open\n     * @return {?Factory} A factory that can create a view for the path or undefined if there isn't one.\n     */\n    function findSuitableFactoryForPath(fullPath) {\n        return _.find(_factories, function (factory) {\n            // This could get more complex in the future by searching in this order\n            //  1) a factory that can open the file by fullPath\n            //  2) a factory that can open the file by name\n            //  3) a factory that can open the file by filetype\n            return factory.canOpenFile(fullPath);\n        });\n    }\n\n    /*\n     * Public API\n     */\n    exports.registerViewFactory         = registerViewFactory;\n    exports.findSuitableFactoryForPath  = findSuitableFactoryForPath;\n});\n\n//# sourceURL=/view/MainViewFactory.js"),eval("/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the \"Software\"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * ViewStateManager is a singleton for views to park their global viwe state. The state is saved\n * with project data but the View or View Factory is responsible for restoring the view state\n * when the view is created.\n *\n * Views should implement `getViewState()` so that the view state can be saved and that data is cached\n * for later use.\n *\n * Views or View Factories are responsible for restoring the view state when the view of that file is created\n * by recalling the cached state.  Views determine what data is store in the view state and how to restore it.\n */\ndefine('view/ViewStateManager',['require','exports','module','thirdparty/lodash'],function (require, exports, module) {\n    \"use strict\";\n\n    var _ = require(\"thirdparty/lodash\");\n\n    /**\n     * The view state cache.\n     * @type {Object.<string,*>}\n     * @private\n     */\n    var _viewStateCache = {};\n\n    /**\n     * resets the view state cache\n     */\n    function reset() {\n        _viewStateCache = {};\n    }\n\n    /**\n     * Sets the view state for the specfied file\n     * @param {!File} file - the file to record the view state for\n     * @param {?*} viewState - any data that the view needs to restore the view state.\n     */\n    function _setViewState(file, viewState) {\n        _viewStateCache[file.fullPath] = viewState;\n    }\n\n\n    /**\n     * Updates the view state for the specified view\n     * @param {!{!getFile:function():File, getViewState:function():*}} view - the to save state\n     * @param {?*} viewState - any data that the view needs to restore the view state.\n     */\n    function updateViewState(view) {\n        if (view.getViewState) {\n            _setViewState(view.getFile(), view.getViewState());\n        }\n    }\n\n    /**\n     * gets the view state for the specified file\n     * @param {!File} file - the file to record the view state for\n     * @return {?*} whatever data that was saved earlier with a call setViewState\n     */\n    function getViewState(file) {\n        return _viewStateCache[file.fullPath];\n    }\n\n    /**\n     * adds an array of view states\n     * @param {!object.<string, *>} viewStates - View State object to append to the current set of view states\n     */\n    function addViewStates(viewStates) {\n        _viewStateCache = _.extend(_viewStateCache, viewStates);\n    }\n\n    /*\n     * Public API\n     */\n    exports.reset           = reset;\n    exports.updateViewState = updateViewState;\n    exports.getViewState    = getViewState;\n    exports.addViewStates   = addViewStates;\n});\n\n//# sourceURL=/view/ViewStateManager.js"),eval("/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the \"Software\"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Represents a file that will never exist on disk - a placeholder backing file for untitled Documents. NO ONE\n * other than DocumentManager should create instances of InMemoryFile. It is valid to test for one (`instanceof\n * InMemoryFile`), but it's better to check `doc.isUntitled` where possible.\n *\n * Attempts to read/write an InMemoryFile will always fail, and exists() always yields false. InMemoryFile.fullPath\n * is just a placeholder, and should not be displayed anywhere in the UI; fullPath IS guaranteed to be unique, however.\n *\n * An InMemoryFile is not added to the filesystem index, so if you ask the the filesystem anything about this\n * object, it won't know what you're talking about (`filesystem.getFileForPath(someInMemFile.fullPath)` will not\n * return someInMemFile).\n */\ndefine('document/InMemoryFile',['require','exports','module','filesystem/File','filesystem/FileSystemError'],function (require, exports, module) {\n    \"use strict\";\n\n    var File            = require(\"filesystem/File\"),\n        FileSystemError = require(\"filesystem/FileSystemError\");\n\n    function InMemoryFile(fullPath, fileSystem) {\n        File.call(this, fullPath, fileSystem);\n    }\n\n    InMemoryFile.prototype = Object.create(File.prototype);\n    InMemoryFile.prototype.constructor = InMemoryFile;\n    InMemoryFile.prototype.parentClass = File.prototype;\n\n    // Stub out invalid calls inherited from File\n\n    /**\n     * Reject any attempts to read the file.\n     *\n     * Read a file as text.\n     *\n     * @param {Object=} options Currently unused.\n     * @param {function (number, string, object)} callback\n     */\n    InMemoryFile.prototype.read = function (options, callback) {\n        if (typeof (options) === \"function\") {\n            callback = options;\n        }\n        callback(FileSystemError.NOT_FOUND);\n    };\n\n    /**\n     * Rejects any attempts to write the file.\n     *\n     * @param {string} data Data to write.\n     * @param {string=} encoding Encoding for data. Defaults to UTF-8.\n     * @param {!function (err, object)} callback Callback that is passed the\n     *              error code and the file's new stats if the write is sucessful.\n     */\n    InMemoryFile.prototype.write = function (data, encoding, callback) {\n        if (typeof (encoding) === \"function\") {\n            callback = encoding;\n        }\n        callback(FileSystemError.NOT_FOUND);\n    };\n\n\n    // Stub out invalid calls inherited from FileSystemEntry\n\n    InMemoryFile.prototype.exists = function (callback) {\n        callback(null, false);\n    };\n\n    InMemoryFile.prototype.stat = function (callback) {\n        callback(FileSystemError.NOT_FOUND);\n    };\n\n    InMemoryFile.prototype.unlink = function (callback) {\n        callback(FileSystemError.NOT_FOUND);\n    };\n\n    InMemoryFile.prototype.rename = function (newName, callback) {\n        callback(FileSystemError.NOT_FOUND);\n    };\n\n    InMemoryFile.prototype.moveToTrash = function (callback) {\n        callback(FileSystemError.NOT_FOUND);\n    };\n\n    // Export this class\n    module.exports = InMemoryFile;\n});\n\n//# sourceURL=/document/InMemoryFile.js"),eval('define(\'text!htmlContent/pane.html\',[],function () { return \'<div id="{{id}}" class="view-pane">\\n    <div class="pane-header">\\n        <div class="pane-header-text"></div>\\n        <div class="pane-header-flipview-btn flipview-icon-none"></div>\\n        <div class="pane-header-close-btn file-status-icon can-close"></div>\\n    </div>\\n    <div class="pane-content">\\n        <div class="not-editor"></div>\\n    </div>\\n</div>\';});\n\n//# sourceURL=/text!htmlContent/pane.html'),eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n /**\n  * Pane objects host views of files, editors, etc... Clients cannot access\n  * Pane objects directly. Instead the implementation is protected by the\n  * MainViewManager -- however View Factories are given a Pane object which\n  * they can use to add views.  References to Pane objects should not be kept\n  * as they may be destroyed and removed from the DOM.\n  *\n  * To get a custom view, there are two components:\n  *\n  *  1) A View Factory\n  *  2) A View Object\n  *\n  * View objects are anonymous object that have a particular interface.\n  *\n  * Views can be added to a pane but do not have to exist in the Pane object\'s view list.\n  * Such views are "temporary views".  Temporary views are not serialized with the Pane state\n  * or reconstituted when the pane is serialized from disk.  They are destroyed at the earliest\n  * opportunity.\n  *\n  * Temporary views are added by calling `Pane.showView()` and passing it the view object. The view\n  * will be destroyed when the next view is shown, the pane is mereged with another pane or the "Close All"\n  * command is exectuted on the Pane.  Temporary Editor Views do not contain any modifications and are\n  * added to the workingset (and are no longer tempoary views) once the document has been modified. They\n  * will remain in the working set until closed from that point on.\n  *\n  * Views that have a longer life span are added by calling addView to associate the view with a\n  * filename in the _views object.  These views are not destroyed until they are removed from the pane\n  * by calling one of the following: removeView, removeViews, or _reset\n  *\n  * Pane Object Events:\n  *\n  *  - viewListChange - Whenever there is a file change to a file in the working set.  These 2 events: `DocumentManager.pathRemove`\n  *  and `DocumentManager.fileNameChange` will cause a `viewListChange` event so the WorkingSetView can update.\n  *\n  *  - currentViewChange - Whenever the current view changes.\n  *             (e, newView:View, oldView:View)\n  *\n  *  - viewDestroy - Whenever a view has been destroyed\n  *             (e, view:View)\n  *\n  * View Interface:\n  *\n  * The view is an anonymous object which has the following method signatures. see ImageViewer for an example or the sample\n  * provided with Brackets `src/extensions/samples/BracketsConfigCentral`\n  *\n  *     {\n  *         $el:jQuery\n  *         getFile: function ():!File\n  *         updateLayout: function(forceRefresh:boolean)\n  *         destroy: function()\n  *         getScrollPos: function():*=\n  *         adjustScrollPos: function(state:Object=, heightDelta:number)=\n  *         notifyContainerChange: function()=\n  *         notifyVisibilityChange: function(boolean)=\n  *         focus:function()=\n  *     }\n  *\n  * When views are created they can be added to the pane by calling `pane.addView()`.\n  * Views can be created and parented by attaching directly  to `pane.$el`\n  *\n  *     this._codeMirror = new CodeMirror(pane.$el, ...)\n  *\n  * Factories can create a view that\'s initially hidden by calling `pane.addView(view)` and passing `false` for the show parameter.\n  * Hidden views can be later shown by calling `pane.showView(view)`\n  *\n  * `$el:jQuery!`\n  *\n  *  property that stores the jQuery wrapped DOM element of the view. All views must have one so pane objects can manipulate the DOM\n  *  element when necessary (e.g. `showView`, `_reparent`, etc...)\n  *\n  * `getFile():File!`\n  *\n  *  Called throughout the life of a View when the current file is queried by the system.\n  *\n  * `updateLayout(forceRefresh:boolean)`\n  *\n  *  Called to notify the view that it should be resized to fit its parent container.  This may be called several times\n  *  or only once.  Views can ignore the `forceRefresh` flag. It is used for editor views to force a relayout of the editor\n  *  which probably isn\'t necessary for most views.  Views should implement their html to be dynamic and not rely on this\n  *  function to be called whenever possible.\n  *\n  * `destroy()`\n  *\n  *  Views must implement a destroy method to remove their DOM element at the very least.  There is no default\n  *  implementation and views are hidden before this method is called. The Pane object doesn\'t make assumptions\n  *  about when it is safe to remove a node. In some instances other cleanup  must take place before a the DOM\n  *  node is destroyed so the implementation details are left to the view.\n  *\n  *  Views can implement a simple destroy by calling\n  *\n  *      this.$el.remove()\n  *\n  *  These members are optional and need not be implemented by Views\n  *\n  *      getScrollPos()\n  *      adjustScrollPos()\n  *\n  *  The system at various times will want to save and restore a view\'s scroll position.  The data returned by `getScrollPos()`\n  *  is specific to the view and will be passed back to `adjustScrollPos()` when the scroll position needs to be restored.\n  *\n  *  When Modal Bars are invoked, the system calls `getScrollPos()` so that the current scroll psotion of all visible Views can be cached.\n  *  That cached scroll position is later passed to `adjustScrollPos()` along with a height delta.  The height delta is used to\n  *  scroll the view so that it doesn\'t appear to have "jumped" when invoking the Modal Bar.\n  *\n  *  Height delta will be a positive when the Modal Bar is being shown and negative number when the Modal Bar is being hidden.\n  *\n  *  `getViewState()` is another optional member that is used to cache a view\'s state when hiding or destroying a view or closing the project.\n  *  The data returned by this member is stored in `ViewStateManager` and is saved with the project.\n  *\n  *  Views or View Factories are responsible for restoring the view state when the view of that file is created by recalling the cached state\n  *\n  *      var view = createIconView(file, pane);\n  *      view.restoreViewState(ViewStateManager.getViewState(file.fullPath));\n  *\n  *  Notifications\n  *  The following optional methods receive notifications from the Pane object when certain events take place which affect the view:\n  *\n  * `notifyContainerChange()`\n  *\n  *  Optional Notification callback called when the container changes. The view can perform any synchronization or state update\n  *  it needs to do when its parent container changes.\n  *\n  * `notifyVisiblityChange()`\n  *\n  *  Optional Notification callback called when the view\'s vsibility changes.  The view can perform any synchronization or\n  *  state update it needs to do when its visiblity state changes.\n  */\ndefine(\'view/Pane\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'thirdparty/mustache/mustache\',\'utils/EventDispatcher\',\'filesystem/FileSystem\',\'document/InMemoryFile\',\'view/ViewStateManager\',\'view/MainViewManager\',\'preferences/PreferencesManager\',\'document/DocumentManager\',\'command/CommandManager\',\'command/Commands\',\'strings\',\'utils/StringUtils\',\'utils/ViewUtils\',\'project/ProjectManager\',\'text!htmlContent/pane.html\'],function (require, exports, module) {\n    "use strict";\n\n    var _                   = require("thirdparty/lodash"),\n        Mustache            = require("thirdparty/mustache/mustache"),\n        EventDispatcher     = require("utils/EventDispatcher"),\n        FileSystem          = require("filesystem/FileSystem"),\n        InMemoryFile        = require("document/InMemoryFile"),\n        ViewStateManager    = require("view/ViewStateManager"),\n        MainViewManager     = require("view/MainViewManager"),\n        PreferencesManager  = require("preferences/PreferencesManager"),\n        DocumentManager     = require("document/DocumentManager"),\n        CommandManager      = require("command/CommandManager"),\n        Commands            = require("command/Commands"),\n        Strings             = require("strings"),\n        StringUtils         = require("utils/StringUtils"),\n        ViewUtils           = require("utils/ViewUtils"),\n        ProjectManager      = require("project/ProjectManager"),\n        paneTemplate        = require("text!htmlContent/pane.html");\n\n    /**\n     * Internal pane id\n     * @const\n     * @private\n     */\n    var FIRST_PANE          = "first-pane";\n\n    /**\n     * Internal pane id\n     * @const\n     * @private\n     */\n    var SECOND_PANE         = "second-pane";\n\n    // Define showPaneHeaderButtons, which controls when to show close and flip-view buttons\n    // on the header.\n    PreferencesManager.definePreference("pane.showPaneHeaderButtons", "string", "hover", {\n        description: Strings.DESCRIPTION_SHOW_PANE_HEADER_BUTTONS,\n        values: ["hover", "always", "never"]\n    });\n\n    // Define mergePanesWhenLastFileClosed, which controls if a split view pane should be\n    // closed when the last file is closed, skipping the "Open a file while this pane has focus"\n    // step completely.\n    PreferencesManager.definePreference("pane.mergePanesWhenLastFileClosed", "boolean", false, {\n        description: Strings.DESCRIPTION_MERGE_PANES_WHEN_LAST_FILE_CLOSED\n    });\n\n    /**\n     * Make an index request object\n     * @param {boolean} requestIndex - true to request an index, false if not\n     * @param {number} index - the index to request\n     * @return {indexRequested:boolean, index:number} an object that can be pased to\n     * {@link Pane#addToViewList} to insert the item at a specific index\n     * @see Pane#addToViewList\n     */\n    function _makeIndexRequestObject(requestIndex, index) {\n        return {indexRequested: requestIndex, index: index};\n    }\n\n    /**\n     * Ensures that the given pane is focused after other focus related events occur\n     * @params {string} paneId - paneId of the pane to focus\n     * @private\n     */\n    function _ensurePaneIsFocused(paneId) {\n        var pane = MainViewManager._getPane(paneId);\n\n        // Defer the focusing until other focus events have occurred.\n        setTimeout(function () {\n            // Focus has most likely changed: give it back to the given pane.\n            pane.focus();\n            this._lastFocusedElement = pane.$el[0];\n            MainViewManager.setActivePaneId(paneId);\n        }, 1);\n    }\n\n    /**\n     * @typedef {!$el: jQuery, getFile:function():!File, updateLayout:function(forceRefresh:boolean), destroy:function(),  getScrollPos:function():?,  adjustScrollPos:function(state:Object=, heightDelta:number)=, getViewState:function():?*=, restoreViewState:function(viewState:!*)=, notifyContainerChange:function()=, notifyVisibilityChange:function(boolean)=} View\n     */\n\n    /**\n     * Pane Objects are constructed by the MainViewManager object when a Pane view is needed\n     * @see {@link MainViewManager} for more information\n     *\n     * @constructor\n     * @param {!string} id - The id to use to identify this pane\n     * @param {!JQuery} $container - The parent $container to place the pane view\n     */\n    function Pane(id, $container) {\n        this._initialize();\n\n        // Setup the container and the element we\'re inserting\n        var self = this,\n            showPaneHeaderButtonsPref = PreferencesManager.get("pane.showPaneHeaderButtons"),\n            $el = $container.append(Mustache.render(paneTemplate, {id: id})).find("#" + id),\n            $header  = $el.find(".pane-header"),\n            $headerText = $header.find(".pane-header-text"),\n            $headerFlipViewBtn = $header.find(".pane-header-flipview-btn"),\n            $headerCloseBtn = $header.find(".pane-header-close-btn"),\n            $content = $el.find(".pane-content");\n\n        $el.on("focusin.pane", function (e) {\n            self._lastFocusedElement = e.target;\n        });\n\n        // Flips the current file to the other pane when clicked\n        $headerFlipViewBtn.on("click.pane", function (e) {\n            var currentFile = self.getCurrentlyViewedFile();\n            var otherPaneId = self.id === FIRST_PANE ? SECOND_PANE : FIRST_PANE;\n            var otherPane = MainViewManager._getPane(otherPaneId);\n            var sameDocInOtherView = otherPane.getViewForPath(currentFile.fullPath);\n            \n            // If the same doc view is present in the destination, show the file instead of flipping it\n            if (sameDocInOtherView) {\n                CommandManager.execute(Commands.FILE_OPEN, {fullPath: currentFile.fullPath,\n                                                            paneId: otherPaneId}).always(function () {\n                    _ensurePaneIsFocused(otherPaneId);\n                });\n                return;\n            }\n\n            // Currently active pane is not necessarily self.id as just clicking the button does not\n            // give focus to the pane. This way it is possible to flip multiple panes to the active one\n            // without losing focus.\n            var activePaneIdBeforeFlip = MainViewManager.getActivePaneId();\n\n            MainViewManager._moveView(self.id, otherPaneId, currentFile).always(function () {\n                CommandManager.execute(Commands.FILE_OPEN, {fullPath: currentFile.fullPath,\n                                                            paneId: otherPaneId}).always(function () {\n                    // Trigger view list changes for both panes\n                    self.trigger("viewListChange");\n                    otherPane.trigger("viewListChange");\n                    _ensurePaneIsFocused(activePaneIdBeforeFlip);\n                });\n            });\n        });\n\n        // Closes the current view on the pane when clicked. If pane has no files, merge\n        // panes.\n        $headerCloseBtn.on("click.pane", function () {\n            //set clicked pane as active to ensure that this._currentView is updated before closing\n            MainViewManager.setActivePaneId(self.id);\n            var file = self.getCurrentlyViewedFile();\n\n            if (file) {\n                CommandManager.execute(Commands.FILE_CLOSE, {File: file, paneId: self.id});\n\n                if (!self.getCurrentlyViewedFile() && PreferencesManager.get("pane.mergePanesWhenLastFileClosed")) {\n                    MainViewManager.setLayoutScheme(1, 1);\n                }\n            } else {\n                MainViewManager.setLayoutScheme(1, 1);\n            }\n        });\n\n        this._lastFocusedElement = $el[0];\n\n        // Make these properties read only\n        Object.defineProperty(this,  "id", {\n            get: function () {\n                return id;\n            },\n            set: function () {\n                console.error("cannot change the id of a working pane");\n            }\n        });\n\n        Object.defineProperty(this,  "$el", {\n            get: function () {\n                return $el;\n            },\n            set: function () {\n                console.error("cannot change the DOM node of a working pane");\n            }\n        });\n\n        Object.defineProperty(this,  "$header", {\n            get: function () {\n                return $header;\n            },\n            set: function () {\n                console.error("cannot change the DOM node of a working pane");\n            }\n        });\n\n        Object.defineProperty(this,  "$headerText", {\n            get: function () {\n                return $headerText;\n            },\n            set: function () {\n                console.error("cannot change the DOM node of a working pane");\n            }\n        });\n\n        Object.defineProperty(this,  "$headerFlipViewBtn", {\n            get: function () {\n                return $headerFlipViewBtn;\n            },\n            set: function () {\n                console.error("cannot change the DOM node of a working pane");\n            }\n        });\n\n        Object.defineProperty(this,  "$headerCloseBtn", {\n            get: function () {\n                return $headerCloseBtn;\n            },\n            set: function () {\n                console.error("cannot change the DOM node of a working pane");\n            }\n        });\n\n        Object.defineProperty(this,  "$content", {\n            get: function () {\n                return $content;\n            },\n            set: function () {\n                console.error("cannot change the DOM node of a working pane");\n            }\n        });\n\n        Object.defineProperty(this,  "$container", {\n            get: function () {\n                return $container;\n            },\n            set: function () {\n                console.error("cannot change the DOM node of a working pane");\n            }\n        });\n\n        this.updateHeaderText();\n\n        switch (showPaneHeaderButtonsPref) {\n        case "always":\n            this.$header.addClass("always-show-header-buttons");\n            break;\n        case "never":\n            this.$headerFlipViewBtn.css("display", "none");\n            this.$headerCloseBtn.css("display", "none");\n            break;\n        }\n\n        // Listen to document events so we can update ourself\n        DocumentManager.on(this._makeEventName("fileNameChange"),  _.bind(this._handleFileNameChange, this));\n        DocumentManager.on(this._makeEventName("pathDeleted"), _.bind(this._handleFileDeleted, this));\n        MainViewManager.on(this._makeEventName("activePaneChange"), _.bind(this._handleActivePaneChange, this));\n        MainViewManager.on(this._makeEventName("workingSetAdd"), _.bind(this.updateHeaderText, this));\n        MainViewManager.on(this._makeEventName("workingSetRemove"), _.bind(this.updateHeaderText, this));\n        MainViewManager.on(this._makeEventName("workingSetAddList"), _.bind(this.updateHeaderText, this));\n        MainViewManager.on(this._makeEventName("workingSetRemoveList"), _.bind(this.updateHeaderText, this));\n        MainViewManager.on(this._makeEventName("paneLayoutChange"), _.bind(this.updateFlipViewIcon, this));\n    }\n    EventDispatcher.makeEventDispatcher(Pane.prototype);\n\n    /**\n     * id of the pane\n     * @readonly\n     * @type {!string}\n     */\n    Pane.prototype.id = null;\n\n    /**\n     * container where the pane lives\n     * @readonly\n     * @type {JQuery}\n     */\n    Pane.prototype.$container = null;\n\n    /**\n     * the wrapped DOM node of this pane\n     * @readonly\n     * @type {JQuery}\n     */\n    Pane.prototype.$el = null;\n\n    /**\n     * the wrapped DOM node container that contains name of current view and the switch view button, or informational string if there is no view\n     * @readonly\n     * @type {JQuery}\n     */\n    Pane.prototype.$header = null;\n\n    /**\n     * the wrapped DOM node that contains name of current view, or informational string if there is no view\n     * @readonly\n     * @type {JQuery}\n     */\n    Pane.prototype.$headerText = null;\n\n    /**\n     * the wrapped DOM node that is used to flip the view to another pane\n     * @readonly\n     * @type {JQuery}\n     */\n    Pane.prototype.$headerFlipViewBtn = null;\n\n    /**\n     * close button of the pane\n     * @readonly\n     * @type {JQuery}\n     */\n    Pane.prototype.$headerCloseBtn = null;\n\n    /**\n     * the wrapped DOM node that contains views\n     * @readonly\n     * @type {JQuery}\n     */\n    Pane.prototype.$content = null;\n\n    /**\n     * The list of files views\n     * @type {Array.<File>}\n     */\n    Pane.prototype._viewList = [];\n\n    /**\n     * The list of files views in MRU order\n     * @type {Array.<File>}\n     */\n    Pane.prototype._viewListMRUOrder = [];\n\n    /**\n     * The list of files views in Added order\n     * @type {Array.<File>}\n     */\n    Pane.prototype._viewListAddedOrder = [];\n\n    /**\n     * Dictionary mapping fullpath to view\n     * @type {Object.<!string, !View>}\n     * @private\n     */\n    Pane.prototype._views = {};\n\n    /**\n     * The current view\n     * @type {?View}\n     * @private\n     */\n    Pane.prototype._currentView = null;\n\n    /**\n     * The last thing that received a focus event\n     * @type {?DomElement}\n     * @private\n     */\n    Pane.prototype._lastFocusedElement = null;\n\n    /**\n     * Initializes the Pane to its default state\n     * @private\n     */\n    Pane.prototype._initialize = function () {\n        this._viewList = [];\n        this._viewListMRUOrder = [];\n        this._viewListAddedOrder = [];\n        this._views = {};\n        this._currentView = null;\n        this.showInterstitial(true);\n    };\n\n   /**\n     * Creates a pane event namespaced to this pane\n     * (pass an empty string to generate just the namespace key to pass to jQuery to turn off all events handled by this pane)\n     * @private\n     * @param {!string} name - the name of the event to namespace\n     * @return {string} an event namespaced to this pane\n     */\n    Pane.prototype._makeEventName = function (name) {\n        return name + ".pane-" + this.id;\n    };\n\n   /**\n     * Reparents a view to this pane\n     * @private\n     * @param {!View} view - the view to reparent\n     */\n    Pane.prototype._reparent = function (view) {\n        view.$el.appendTo(this.$content);\n        this._views[view.getFile().fullPath] = view;\n        if (view.notifyContainerChange) {\n            view.notifyContainerChange();\n        }\n    };\n\n    /**\n     * Hides the current view if there is one, shows the\n     *  interstitial screen and notifies that the view changed\n     */\n    Pane.prototype._hideCurrentView = function () {\n        if (this._currentView) {\n            var currentView = this._currentView;\n            this._setViewVisibility(this._currentView, false);\n            this.showInterstitial(true);\n            this._currentView = null;\n            this._notifyCurrentViewChange(null, currentView);\n        }\n    };\n\n    /**\n     * moves a view from one pane to another\n     * @param {!File} file - the File to move\n     * @param {Pane} destinationPane - the destination pane\n     * @param {Number} destinationIndex - the working set index of the file in the destination pane\n     * @return {jQuery.Promise} a promise object which resolves after the view has been moved and its\n     * replacement document has been opened\n     * @private\n     */\n    Pane.prototype.moveView = function (file, destinationPane, destinationIndex) {\n        var self = this,\n            openNextPromise = new $.Deferred(),\n            result = new $.Deferred();\n\n        // if we\'re moving the currently viewed file we\n        //  need to open another file so wait for that operation\n        //  to finish before we move the view\n        if ((this.getCurrentlyViewedPath() === file.fullPath)) {\n            var nextFile = this.traverseViewListByMRU(1, file.fullPath);\n            if (nextFile) {\n                this._execOpenFile(nextFile.fullPath)\n                    .fail(function () {\n                        // the FILE_OPEN failed\n                        self._hideCurrentView();\n                    })\n                    .always(function () {\n                        openNextPromise.resolve();\n                    });\n            } else {\n                this._hideCurrentView();\n                openNextPromise.resolve();\n            }\n        } else {\n            openNextPromise.resolve();\n        }\n\n        // Once the next file has opened, we can\n        //  move the item in the working set and\n        //  open it in the destination pane\n        openNextPromise.done(function () {\n            var viewListIndex = self.findInViewList(file.fullPath);\n            var shouldAddView = viewListIndex !== -1;\n            var view = self._views[file.fullPath];\n\n            // If the file isn\'t in working set, destroy the view and delete it from\n            // source pane\'s view map and return as solved\n            if (!shouldAddView) {\n                if (view) {\n                    self._doDestroyView(view);\n                }\n                return result.resolve();\n            }\n\n            // Remove file from all 3 view lists\n            self._viewList.splice(viewListIndex, 1);\n            self._viewListMRUOrder.splice(self.findInViewListMRUOrder(file.fullPath), 1);\n            self._viewListAddedOrder.splice(self.findInViewListAddedOrder(file.fullPath), 1);\n\n            // insert the view into the working set\n            destinationPane._addToViewList(file,  _makeIndexRequestObject(true, destinationIndex));\n\n            // if we had a view, it had previously been opened\n            // otherwise, the file was in the working set unopened\n            if (view) {\n                // delete it from the source pane\'s view map and add it to the destination pane\'s view map\n                delete self._views[file.fullPath];\n                destinationPane.addView(view, !destinationPane.getCurrentlyViewedFile());\n\n                // we\'re done\n                result.resolve();\n            } else if (!destinationPane.getCurrentlyViewedFile()) {\n                // The view has not have been created and the pane was\n                //  not showing anything so open the file moved in to the pane\n                destinationPane._execOpenFile(file.fullPath).always(function () {\n                    // wait until the file has been opened before\n                    //  we resolve the promise so the working set\n                    //  view can sync appropriately\n                    result.resolve();\n                });\n            } else {\n                // nothing to do, we\'re done\n                result.resolve();\n            }\n        });\n        return result.promise();\n    };\n\n    /**\n     * Merges the another Pane object\'s contents into this Pane\n     * @param {!Pane} Other - Pane from which to copy\n     */\n    Pane.prototype.mergeFrom = function (other) {\n        // save this because we\'re setting it to null and we\n        //  may need to destroy it if it\'s a temporary view\n        var otherCurrentView = other._currentView;\n\n        // Hide the current view while we\n        //  merge the 2 panes together\n        other._hideCurrentView();\n\n        // Copy the File lists\n        this._viewList = _.union(this._viewList, other._viewList);\n        this._viewListMRUOrder = _.union(this._viewListMRUOrder, other._viewListMRUOrder);\n        this._viewListAddedOrder = _.union(this._viewListAddedOrder, other._viewListAddedOrder);\n\n        var self = this,\n            viewsToDestroy = [];\n\n        // Copy the views\n        _.forEach(other._views, function (view) {\n            var file = view.getFile(),\n                fullPath = file && file.fullPath;\n            if (fullPath && other.findInViewList(fullPath) !== -1) {\n                // switch the container to this Pane\n                self._reparent(view);\n            } else {\n                // We don\'t copy temporary views so destroy them\n                viewsToDestroy.push(view);\n            }\n        });\n\n        // 1-off views\n        if (otherCurrentView && !other._isViewNeeded(otherCurrentView) && viewsToDestroy.indexOf(otherCurrentView) === -1) {\n            viewsToDestroy.push(otherCurrentView);\n        }\n\n        // Destroy temporary views\n        _.forEach(viewsToDestroy, function (view) {\n            self.trigger("viewDestroy", view);\n            view.destroy();\n        });\n\n        // this _reset all internal data structures\n        //  and will set the current view to null\n        other._initialize();\n    };\n\n    /**\n     * Removes the DOM node for the Pane, removes all\n     *  event handlers and _resets all internal data structures\n     */\n    Pane.prototype.destroy = function () {\n        if (this._currentView ||\n                Object.keys(this._views).length > 0 ||\n                this._viewList.length > 0) {\n            console.warn("destroying a pane that isn\'t empty");\n        }\n\n        this._reset();\n\n        DocumentManager.off(this._makeEventName(""));\n        MainViewManager.off(this._makeEventName(""));\n\n        this.$el.off(".pane");\n        this.$el.remove();\n    };\n\n   /**\n     * Returns a copy of the view file list\n     * @return {!Array.<File>}\n     */\n    Pane.prototype.getViewList = function () {\n        return _.clone(this._viewList);\n    };\n\n    /**\n     * Returns the number of entries in the view file list\n     * @return {number}\n     */\n    Pane.prototype.getViewListSize = function () {\n        return this._viewList.length;\n    };\n\n    /**\n     * Returns the index of the item in the view file list\n     * @param {!string} fullPath the full path of the item to look for\n     * @return {number} index of the item or -1 if not found\n     */\n    Pane.prototype.findInViewList = function (fullPath) {\n        return _.findIndex(this._viewList, function (file) {\n            return file.fullPath === fullPath;\n        });\n    };\n\n    /**\n     * Returns the order in which the item was added\n     * @param {!string} fullPath the full path of the item to look for\n     * @return {number} order of the item or -1 if not found\n     */\n    Pane.prototype.findInViewListAddedOrder = function (fullPath) {\n        return _.findIndex(this._viewListAddedOrder, function (file) {\n            return file.fullPath === fullPath;\n        });\n    };\n\n   /**\n     * Returns the order in which the item was last used\n     * @param {!string} fullPath the full path of the item to look for\n     * @return {number} order of the item or -1 if not found.\n     *      0 indicates most recently used, followed by 1 and so on...\n     */\n    Pane.prototype.findInViewListMRUOrder = function (fullPath) {\n        return _.findIndex(this._viewListMRUOrder, function (file) {\n            return file.fullPath === fullPath;\n        });\n    };\n\n    /**\n     * Return value from reorderItem when the Item was not found\n     * @see {@link Pane#reorderItem}\n     * @const\n     */\n    Pane.prototype.ITEM_NOT_FOUND = -1;\n\n    /**\n     * Return value from reorderItem when the Item was found at its natural index\n     * and the workingset does not need to be resorted\n     * @see {@link Pane#reorderItem}\n     * @const\n     */\n    Pane.prototype.ITEM_FOUND_NO_SORT = 0;\n\n    /**\n     * Return value from reorderItem when the Item was found and reindexed\n     * and the workingset needs to be resorted\n     * @see {@link Pane#reorderItem}\n     * @const\n     */\n    Pane.prototype.ITEM_FOUND_NEEDS_SORT = 1;\n\n    /**\n     * reorders the specified file in the view list to the desired position\n     *\n     * @param {File} file - the file object of the item to reorder\n     * @param {number=} index - the new position of the item\n     * @param {boolean=} force - true to force the item into that position, false otherwise.  (Requires an index be requested)\n     * @return {number} this function returns one of the following manifest constants:\n     *            ITEM_NOT_FOUND        : The request file object was not found\n     *            ITEM_FOUND_NO_SORT    : The request file object was found but it was already at the requested index\n     *            ITEM_FOUND_NEEDS_SORT : The request file object was found and moved to a new index and the list should be resorted\n     */\n    Pane.prototype.reorderItem = function (file, index, force) {\n        var indexRequested = (index !== undefined && index !== null && index >= 0),\n            curIndex = this.findInViewList(file.fullPath);\n\n        if (curIndex !== -1) {\n            // File is in view list, but not at the specifically requested index - only need to reorder\n            if (force || (indexRequested && curIndex !== index)) {\n                var entry = this._viewList.splice(curIndex, 1)[0];\n                this._viewList.splice(index, 0, entry);\n                return this.ITEM_FOUND_NEEDS_SORT;\n            }\n            return this.ITEM_FOUND_NO_SORT;\n        }\n\n        return this.ITEM_NOT_FOUND;\n    };\n\n    /**\n     * Determines if a file can be added to our file list\n     * @private\n     * @param {!File} file - file object to test\n     * @return {boolean} true if it can be added, false if not\n     */\n    Pane.prototype._canAddFile = function (file) {\n        return ((this._views.hasOwnProperty(file.fullPath) && this.findInViewList(file.fullPath) === -1) ||\n                    (MainViewManager._getPaneIdForPath(file.fullPath) !== this.id));\n    };\n\n    /**\n     * Adds the given file to the end of the workingset, if it is not already in the list\n     * @private\n     * @param {!File} file\n     * @param {Object=} inPlace record with inPlace add data (index, indexRequested). Used internally\n     */\n    Pane.prototype._addToViewList = function (file, inPlace) {\n        if (inPlace && inPlace.indexRequested) {\n            // If specified, insert into the workingset at this 0-based index\n            this._viewList.splice(inPlace.index, 0, file);\n        } else {\n            // If no index is specified, just add the file to the end of the workingset.\n            this._viewList.push(file);\n        }\n\n        // Add to MRU order: either first or last, depending on whether it\'s already the current doc or not\n        var currentPath = this.getCurrentlyViewedPath();\n        if (currentPath && currentPath === file.fullPath) {\n            this._viewListMRUOrder.unshift(file);\n        } else {\n            this._viewListMRUOrder.push(file);\n        }\n\n        // Add first to Added order\n        this._viewListAddedOrder.unshift(file);\n    };\n\n\n    /**\n     * Adds the given file to the end of the workingset, if it is not already in the list\n     * Does not change which document is currently open in the editor. Completes synchronously.\n     * @param {!File} file - file to add\n     * @param {number=} index - position where to add the item\n     * @return {number} index of where the item was added\n     */\n    Pane.prototype.addToViewList = function (file, index) {\n        var indexRequested = (index !== undefined && index !== null && index >= 0 && index < this._viewList.length);\n        this._addToViewList(file, _makeIndexRequestObject(indexRequested, index));\n\n        if (!indexRequested) {\n            index = this._viewList.length - 1;\n        }\n\n        return index;\n    };\n\n\n    /**\n     * Adds the given file list to the end of the workingset.\n     * @param {!Array.<File>} fileList\n     * @return {!Array.<File>} list of files added to the list\n     */\n    Pane.prototype.addListToViewList = function (fileList) {\n        var self = this,\n            uniqueFileList = [];\n\n        // Process only files not already in view list\n        fileList.forEach(function (file) {\n            if (self._canAddFile(file)) {\n                self._addToViewList(file);\n                uniqueFileList.push(file);\n            }\n        });\n\n        return uniqueFileList;\n    };\n\n    /**\n     * Dispatches a currentViewChange event\n     * @param {?View} newView - the view become the current view\n     * @param {?View} oldView - the view being replaced\n     */\n    Pane.prototype._notifyCurrentViewChange = function (newView, oldView) {\n        this.updateHeaderText();\n\n        this.trigger("currentViewChange", newView, oldView);\n    };\n\n\n    /**\n     * Destroys a view and removes it from the view map. If it is the current view then the view\n     * is first hidden and the interstitial page is displayed\n     * @private\n     * @param {!View} view - view to destroy\n     */\n    Pane.prototype._doDestroyView = function (view) {\n        if (this._currentView === view) {\n            // if we\'re removing the current\n            //  view then we need to hide the view\n            this._hideCurrentView();\n        }\n        delete this._views[view.getFile().fullPath];\n        this.trigger("viewDestroy", view);\n        view.destroy();\n    };\n\n    /**\n     * Removes the specifed file from all internal lists, destroys the view of the file (if there is one)\n     *  and shows the interstitial page if the current view is destroyed\n     * @private\n     * @param {!File} file - file to remove\n     * @param {boolean} preventViewChange - false to hide the current view if removing the current view, true\n     *                                      to prevent the current view from changing.\n     *\n     * When passing true for preventViewChange, it is assumed that the caller will perform an OPEN_FILE op\n     * to show the next file in line to view.  Since the file was removed from the workingset in _doRemove\n     * its view is now considered to be a temporary view and the call to showView for the OPEN_FILE op\n     * will destroy the view. the caller needs to handle the reject case in the event of failure\n     *\n     * @return {boolean} true if removed, false if the file was not found either in a list or view\n     */\n    Pane.prototype._doRemove = function (file, preventViewChange) {\n\n        // If it\'s in the view list then we need to remove it\n        var index = this.findInViewList(file.fullPath);\n\n        if (index > -1) {\n            // Remove it from all 3 view lists\n            this._viewList.splice(index, 1);\n            this._viewListMRUOrder.splice(this.findInViewListMRUOrder(file.fullPath), 1);\n            this._viewListAddedOrder.splice(this.findInViewListAddedOrder(file.fullPath), 1);\n        }\n\n        // Destroy the view\n        var view = this._views[file.fullPath];\n\n        if (view) {\n            if (!preventViewChange) {\n                this._doDestroyView(view);\n            }\n        }\n\n        return ((index > -1) || Boolean(view));\n    };\n\n    /**\n     * Moves the specified file to the front of the MRU list\n     * @param {!File} file\n     */\n    Pane.prototype.makeViewMostRecent = function (file) {\n        var index = this.findInViewListMRUOrder(file.fullPath);\n        if (index !== -1) {\n            this._viewListMRUOrder.splice(index, 1);\n            this._viewListMRUOrder.unshift(file);\n        }\n    };\n\n    /**\n     * Sorts items in the pane\'s view list\n     * @param {function(paneId:!string, left:!string, right:!string):number} compareFn - the function used to compare items in the viewList\n     */\n\n    /**\n     * invokes Array.sort method on the internal view list.\n     * @param {sortFunctionCallback} compareFn - the function to call to determine if the\n     */\n    Pane.prototype.sortViewList = function (compareFn) {\n        this._viewList.sort(_.partial(compareFn, this.id));\n    };\n\n    /**\n     * moves a working set item from one index to another shifting the items\n     * after in the working set up and reinserting it at the desired location\n     * @param {!number} fromIndex - the index of the item to move\n     * @param {!number} toIndex - the index to move to\n     * @private\n     */\n    Pane.prototype.moveWorkingSetItem = function (fromIndex, toIndex) {\n        this._viewList.splice(toIndex, 0, this._viewList.splice(fromIndex, 1)[0]);\n    };\n\n    /**\n     * Swaps two items in the file view list (used while dragging items in the working set view)\n     * @param {number} index1 - the index of the first item to swap\n     * @param {number} index2 - the index of the second item to swap\n     * @return {boolean}} true\n     */\n    Pane.prototype.swapViewListIndexes = function (index1, index2) {\n        var temp = this._viewList[index1];\n        this._viewList[index1] = this._viewList[index2];\n        this._viewList[index2] = temp;\n        return true;\n    };\n\n    /**\n     * Traverses the list and returns the File object of the next item in the MRU order\n     * @param {!number} direction - Must be 1 or -1 to traverse forward or backward\n     * @param {string=} current - the fullPath of the item where traversal is to start.\n     *                              If this paramater is ommitted then the path of the current view is used.\n     *                              If the current view is a temporary view then the first item in the MRU list is returned\n     * @return {?File}  The File object of the next item in the travesal order or null if there isn\'t one.\n     */\n    Pane.prototype.traverseViewListByMRU = function (direction, current) {\n        if (!current && this._currentView) {\n            var file = this._currentView.getFile();\n            current = file && file.fullPath;\n        }\n\n        var index = current ? this.findInViewListMRUOrder(current) : -1;\n        return ViewUtils.traverseViewArray(this._viewListMRUOrder, index, direction);\n    };\n\n    /**\n     * Updates flipview icon in pane header\n     * @private\n     */\n    Pane.prototype.updateFlipViewIcon = function () {\n        var paneID = this.id,\n            directionIndex = 0,\n            ICON_CLASSES = ["flipview-icon-none", "flipview-icon-top", "flipview-icon-right", "flipview-icon-bottom", "flipview-icon-left"],\n            DIRECTION_STRINGS = ["", Strings.TOP, Strings.RIGHT, Strings.BOTTOM, Strings.LEFT],\n            layoutScheme = MainViewManager.getLayoutScheme(),\n            hasFile = this.getCurrentlyViewedFile();\n\n        if (layoutScheme.columns > 1 && hasFile) {\n            directionIndex = paneID === FIRST_PANE ? 2 : 4;\n        } else if (layoutScheme.rows > 1 && hasFile) {\n            directionIndex = paneID === FIRST_PANE ? 3 : 1;\n        }\n\n        this.$headerFlipViewBtn.removeClass(ICON_CLASSES.join(" "))\n                      .addClass(ICON_CLASSES[directionIndex]);\n\n        this.$headerFlipViewBtn.attr("title", StringUtils.format(Strings.FLIPVIEW_BTN_TOOLTIP,  DIRECTION_STRINGS[directionIndex].toLowerCase()));\n    };\n\n    /**\n     * Updates text in pane header\n     * @private\n     */\n    Pane.prototype.updateHeaderText = function () {\n        var file = this.getCurrentlyViewedFile(),\n            files,\n            displayName;\n\n        if (file) {\n            files = MainViewManager.getAllOpenFiles().filter(function (item) {\n                return (item.name === file.name);\n            });\n            if (files.length < 2) {\n                this.$headerText.text(file.name);\n            } else {\n                displayName = ProjectManager.makeProjectRelativeIfPossible(file.fullPath);\n                this.$headerText.text(displayName);\n            }\n        } else {\n            this.$headerText.html(Strings.EMPTY_VIEW_HEADER);\n        }\n\n        this.updateFlipViewIcon();\n    };\n\n    /**\n     * Event handler when a file changes name\n     * @private\n     * @param {!JQuery.Event} e - jQuery event object\n     * @param {!string} oldname - path of the file that was renamed\n     * @param {!string} newname - the new path to the file\n     */\n    Pane.prototype._handleFileNameChange = function (e, oldname, newname) {\n        // Check to see if we need to dispatch a viewListChange event\n        // The list contains references to file objects and, for a rename event,\n        // the File object\'s name has changed by the time we\'ve gotten the event.\n        // So, we need to look for the file by its new name to determine if\n        // if we need to dispatch the event which may look funny\n        var dispatchEvent = (this.findInViewList(newname) >= 0);\n\n        // rename the view\n        if (this._views.hasOwnProperty(oldname)) {\n            var view = this._views[oldname];\n\n            this._views[newname] = view;\n            delete this._views[oldname];\n        }\n\n        this.updateHeaderText();\n\n        // dispatch the change event\n        if (dispatchEvent) {\n            this.trigger("viewListChange");\n        }\n    };\n\n    /**\n     * Event handler when a file is deleted\n     * @private\n     * @param {!JQuery.Event} e - jQuery event object\n     * @param {!string} fullPath - path of the file that was deleted\n     */\n    Pane.prototype._handleFileDeleted = function (e, fullPath) {\n        if (this.removeView({fullPath: fullPath})) {\n            this.trigger("viewListChange");\n        }\n    };\n\n    /**\n     * Shows the pane\'s interstitial page\n     * @param {boolean} show - show or hide the interstitial page\n     */\n    Pane.prototype.showInterstitial = function (show) {\n        if (this.$content) {\n            this.$content.find(".not-editor").css("display", (show) ? "" : "none");\n        }\n    };\n\n    /**\n     * retrieves the view object for the given path\n     * @param {!string}  path - the fullPath of the view to retrieve\n     * @return {boolean} show - show or hide the interstitial page\n     */\n    Pane.prototype.getViewForPath = function (path) {\n        return this._views[path];\n    };\n\n    /**\n     * Adds a view to the pane\n     * @param {!View} view - the View object to add\n     * @param {boolean} show - true to show the view right away, false otherwise\n     */\n    Pane.prototype.addView = function (view, show) {\n        var file = view.getFile(),\n            path = file && file.fullPath;\n\n        if (!path) {\n            console.error("cannot add a view that does not have a fullPath");\n            return;\n        }\n\n        if (view.$el.parent() !== this.$content) {\n            this._reparent(view);\n        } else {\n            this._views[path] = view;\n        }\n\n        // Ensure that we don\'t endup marking the custom views\n        if (view.markPaneId) {\n            view.markPaneId(this.id);\n        }\n\n        if (show) {\n            this.showView(view);\n        }\n    };\n\n    /**\n     * Shows or hides a view\n     * @param {!View} view - the to show or hide\n     * @param {boolean} visible - true to show the view, false to hide it\n     * @private\n     */\n    Pane.prototype._setViewVisibility = function (view, visible) {\n        view.$el.css("display", (visible ? "" : "none"));\n        if (view.notifyVisibilityChange) {\n            view.notifyVisibilityChange(visible);\n        }\n    };\n\n    /**\n     * Swaps the current view with the requested view.\n     * If the interstitial page is shown, it is hidden.\n     * If the currentView is a temporary view, it is destroyed.\n     * @param {!View} view - the to show\n     */\n    Pane.prototype.showView = function (view) {\n        if (this._currentView && this._currentView === view) {\n            this._setViewVisibility(this._currentView, true);\n            this.updateLayout(true);\n            return;\n        }\n\n        var file = view.getFile(),\n            newPath = file && file.fullPath,\n            oldView = this._currentView;\n\n        if (this._currentView) {\n            if (this._currentView.getFile()) {\n                ViewStateManager.updateViewState(this._currentView);\n            }\n            this._setViewVisibility(this._currentView, false);\n        } else {\n            this.showInterstitial(false);\n        }\n\n        this._currentView = view;\n        this._setViewVisibility(this._currentView, true);\n        this.updateLayout();\n\n        this._notifyCurrentViewChange(view, oldView);\n\n        if (oldView) {\n            this.destroyViewIfNotNeeded(oldView);\n        }\n\n        if (!this._views.hasOwnProperty(newPath)) {\n            console.error(newPath + " found in pane working set but pane.addView() has not been called for the view created for it");\n        }\n    };\n\n    /**\n     * Update header and content height\n     */\n    Pane.prototype._updateHeaderHeight = function () {\n        var paneContentHeight = this.$el.height();\n\n        // Adjust pane content height for header\n        if (MainViewManager.getPaneCount() > 1) {\n            this.$header.show();\n            paneContentHeight -= this.$header.outerHeight();\n        } else {\n            this.$header.hide();\n        }\n\n        this.$content.height(paneContentHeight);\n    };\n\n    /**\n     * Sets pane content height. Updates the layout causing the current view to redraw itself\n     * @param {boolean} forceRefresh - true to force a resize and refresh of the current view,\n     * false if just to resize forceRefresh is only used by Editor views to force a relayout\n     * of all editor DOM elements. Custom View implementations should just ignore this flag.\n     */\n    Pane.prototype.updateLayout = function (forceRefresh) {\n        this._updateHeaderHeight();\n        if (this._currentView) {\n            this._currentView.updateLayout(forceRefresh);\n        }\n    };\n\n    /**\n     * Determines if the view can be disposed of\n     * @private\n     * @param {!View} view - the View object to test\n     * @return {boolean}} true if the view can be disposed, false if not\n     */\n    Pane.prototype._isViewNeeded = function (view) {\n        var path = view.getFile().fullPath,\n            currentPath = this.getCurrentlyViewedPath();\n\n        return ((this._currentView && currentPath === path) || (this.findInViewList(path) !== -1));\n    };\n\n\n    /**\n     * Retrieves the File object of the current view\n     * @return {?File} the File object of the current view or null if there isn\'t one\n     */\n    Pane.prototype.getCurrentlyViewedFile = function () {\n        return this._currentView ? this._currentView.getFile() : null;\n    };\n\n    /**\n     * Retrieves the path of the current view\n     * @return {?string} the path of the current view or null if there isn\'t one\n     */\n    Pane.prototype.getCurrentlyViewedPath = function () {\n        var file = this.getCurrentlyViewedFile();\n        return file ? file.fullPath : null;\n    };\n\n    /**\n     * destroys the view if it isn\'t needed\n     * @param {View} view - the view to destroy\n     */\n    Pane.prototype.destroyViewIfNotNeeded = function (view) {\n        if (!this._isViewNeeded(view)) {\n            var file = view.getFile(),\n                path = file && file.fullPath;\n            delete this._views[path];\n            this.trigger("viewDestroy", view);\n            view.destroy();\n        }\n    };\n\n    /**\n     * _resets the pane to an empty state\n     * @private\n     */\n    Pane.prototype._reset = function () {\n        var self = this,\n            views = [],\n            view = this._currentView;\n\n        _.forEach(this._views, function (_view) {\n            views.push(_view);\n        });\n\n        // If the current view is a temporary view,\n        //  add it to the destroy list to dispose of\n        if (this._currentView && views.indexOf(this._currentView) === -1) {\n            views.push(this._currentView);\n        }\n\n        // This will reinitialize the object back to\n        //  the default state\n        this._initialize();\n\n        if (view) {\n            this._notifyCurrentViewChange(null, view);\n        }\n\n        // Now destroy the views\n        views.forEach(function (_view) {\n            self.trigger("viewDestroy", _view);\n            _view.destroy();\n        });\n    };\n\n    /**\n     * Executes a FILE_OPEN command to open a file\n     * @param  {!string} fullPath - path of the file to open\n     * @return {jQuery.promise} promise that will resolve when the file is opened\n     */\n    Pane.prototype._execOpenFile = function (fullPath) {\n        return CommandManager.execute(Commands.CMD_ADD_TO_WORKINGSET_AND_OPEN, { fullPath: fullPath, paneId: this.id, options: {noPaneActivate: true}});\n    };\n\n    /**\n     * Removes the view and opens the next view\n     * @param {File} file - the file to close\n     * @param {boolean} suppressOpenNextFile - suppresses opening the next file in MRU order\n     * @param {boolean} preventViewChange - if suppressOpenNextFile is truthy, this flag can be used to\n     *                                      prevent the current view from being destroyed.\n     *                                      Ignored if suppressOpenNextFile is falsy\n     * @return {boolean} true if the file was removed from the working set\n     *  This function will remove a temporary view of a file but will return false in that case\n     */\n    Pane.prototype.removeView = function (file, suppressOpenNextFile, preventViewChange) {\n        var nextFile = !suppressOpenNextFile && this.traverseViewListByMRU(1, file.fullPath);\n        if (nextFile && nextFile.fullPath !== file.fullPath && this.getCurrentlyViewedPath() === file.fullPath) {\n            var self = this,\n                fullPath = nextFile.fullPath,\n                needOpenNextFile = this.findInViewList(fullPath) !== -1;\n\n            if (this._doRemove(file, needOpenNextFile)) {\n                if (needOpenNextFile) {\n                    // this will destroy the current view\n                    this._execOpenFile(fullPath)\n                        .fail(function () {\n                            // the FILE_OPEN op failed so destroy the current view\n                            self._doDestroyView(self._currentView);\n                        });\n                }\n                return true;\n            } else {\n                // Nothing was removed so don\'t try to remove it again\n                return false;\n            }\n        } else {\n            return this._doRemove(file, preventViewChange);\n        }\n    };\n\n    /**\n     * Removes the specifed file from all internal lists, destroys the view of the file (if there is one)\n     *  and shows the interstitial page if the current view is destroyed.\n     * @param {!Array.<File>}  list - Array of files to remove\n     * @return {!Array.<File>} Array of File objects removed from the working set.\n     *  This function will remove temporary views but the file objects for those views will not be found\n     *  in the result set.  Only the file objects removed from the working set are returned.\n     */\n    Pane.prototype.removeViews = function (list) {\n        var self = this,\n            needsDestroyCurrentView = false,\n            result;\n\n        // Check to see if we need to destroy the current view later\n        needsDestroyCurrentView = _.findIndex(list, function (file) {\n            return file.fullPath === self.getCurrentlyViewedPath();\n        }) !== -1;\n\n        // destroy the views in the list\n        result = list.filter(function (file) {\n            return (self.removeView(file, true, true));\n        });\n\n        // we may have been passed a list of files that did not include the current view\n        if (needsDestroyCurrentView) {\n            // _doRemove will have whittled the MRU list down to just the remaining views\n            var nextFile = this.traverseViewListByMRU(1, this.getCurrentlyViewedPath()),\n                fullPath = nextFile && nextFile.fullPath,\n                needOpenNextFile = fullPath && (this.findInViewList(fullPath) !== -1);\n\n            if (needOpenNextFile) {\n                // A successful open will destroy the current view\n                this._execOpenFile(fullPath)\n                    .fail(function () {\n                        // the FILE_OPEN op failed so destroy the current view\n                        self._doDestroyView(self._currentView);\n                    });\n            } else {\n                // Nothing left to show so destroy the current view\n                this._doDestroyView(this._currentView);\n            }\n        }\n\n        // return the result\n        return result;\n    };\n\n    /**\n     * Gives focus to the last thing that had focus, the current view or the pane in that order\n     */\n    Pane.prototype.focus = function () {\n        var current = window.document.activeElement,\n            self = this;\n\n        // Helper to focus the current view if it can\n        function tryFocusingCurrentView() {\n            if (self._currentView) {\n                if (self._currentView.focus) {\n                    //  Views can implement a focus\n                    //  method for focusing a complex\n                    //  DOM like codemirror\n                    self._currentView.focus();\n                } else {\n                    //  Otherwise, no focus method\n                    //  just try and give the DOM\n                    //  element focus\n                    self._currentView.$el.focus();\n                }\n            } else {\n                // no view so just focus the pane\n                self.$el.focus();\n            }\n        }\n\n        // short-circuit for performance\n        if (this._lastFocusedElement === current) {\n            return;\n        }\n\n        // If the focus was in a <textarea> (assumed to be CodeMirror) and currentView is\n        // anything other than an Editor, blur the textarea explicitly, in case the new\n        // _currentView\'s $el isn\'t focusable. E.g.:\n        //  1. Open a js file in the left pane and an image in the right pane and\n        //  2. Focus the js file using the working-set\n        //  3. Focus the image view using the working-set.\n        //  ==> Focus is still in the text area. Any keyboard input will modify the document\n        if (current.tagName.toLowerCase() === "textarea" &&\n                (!this._currentView || !this._currentView._codeMirror)) {\n            current.blur();\n        }\n\n        var $lfe = $(this._lastFocusedElement);\n\n        if ($lfe.length && !$lfe.is(".view-pane") && $lfe.is(":visible")) {\n            // if we had a last focused element\n            //  and it wasn\'t a pane element\n            //  and it\'s still visible, focus it\n            $lfe.focus();\n        } else {\n            // otherwise, just try to give focus\n            //  to the currently active view\n            tryFocusingCurrentView();\n        }\n    };\n\n    /**\n     * MainViewManager.activePaneChange handler\n     * @param {jQuery.event} e - event data\n     * @param {!string} activePaneId - the new active pane id\n     */\n    Pane.prototype._handleActivePaneChange = function (e, activePaneId) {\n        this.$el.toggleClass("active-pane", Boolean(activePaneId === this.id));\n    };\n\n\n\n    /**\n     * serializes the pane state from JSON\n     * @param {!Object} state - the state to load\n     * @return {jQuery.Promise} A promise which resolves to\n     *              {fullPath:string, paneId:string}\n     *              which can be passed as command data to FILE_OPEN\n     */\n    Pane.prototype.loadState = function (state) {\n        var filesToAdd = [],\n            viewStates = {},\n            activeFile,\n            data,\n            self = this;\n\n        var getInitialViewFilePath = function () {\n            return (self._viewList.length > 0) ? self._viewList[0].fullPath : null;\n        };\n\n        _.forEach(state, function (entry) {\n            filesToAdd.push(FileSystem.getFileForPath(entry.file));\n            if (entry.active) {\n                activeFile = entry.file;\n            }\n            if (entry.viewState) {\n                viewStates[entry.file] = entry.viewState;\n            }\n        });\n\n        this.addListToViewList(filesToAdd);\n\n        ViewStateManager.addViewStates(viewStates);\n\n        activeFile = activeFile || getInitialViewFilePath();\n\n        if (activeFile) {\n            data = {paneId: self.id, fullPath: activeFile};\n        }\n\n        return new $.Deferred().resolve(data);\n    };\n\n    /**\n     * Returns the JSON-ified state of the object so it can be serialize\n     * @return {!Object} state - the state to save\n     */\n    Pane.prototype.saveState = function () {\n        var result = [],\n            currentlyViewedPath = this.getCurrentlyViewedPath();\n\n        // Save the current view state first\n        if (this._currentView && this._currentView.getFile()) {\n            // We save the view state of the current view before\n            //  hiding the view and showing to a different file\n            // But the current view\'s view state may not be\n            //  up to date in the view state cache so update it\n            //  before we save so we don\'t JSON-ify stale data.\n            ViewStateManager.updateViewState(this._currentView);\n        }\n\n        // walk the list of views and save\n        this._viewList.forEach(function (file) {\n            // Do not persist untitled document paths\n            if (!(file instanceof InMemoryFile)) {\n                result.push({\n                    file: file.fullPath,\n                    active: (file.fullPath === currentlyViewedPath),\n                    viewState:  ViewStateManager.getViewState(file)\n                });\n            }\n        });\n\n        return result;\n    };\n\n    /**\n     * gets the current view\'s scroll state data\n     * @return {Object=} scroll state - the current scroll state\n     */\n    Pane.prototype.getScrollState = function () {\n        if (this._currentView && this._currentView.getScrollPos) {\n            return {scrollPos: this._currentView.getScrollPos()};\n        }\n    };\n\n    /**\n     * tells the current view to restore its scroll state from cached data and apply a height delta\n     * @param {Object=} state - the current scroll state\n     * @param {number=} heightDelta - the amount to add or subtract from the state\n     */\n    Pane.prototype.restoreAndAdjustScrollState = function (state, heightDelta) {\n        if (this._currentView && state && state.scrollPos && this._currentView.adjustScrollPos) {\n            this._currentView.adjustScrollPos(state.scrollPos, heightDelta);\n        }\n    };\n\n    exports.Pane = Pane;\n});\n\n//# sourceURL=/view/Pane.js'),
eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * MainViewManager manages the arrangement of all open panes as well as provides the controller\n * logic behind all views in the MainView (e.g. ensuring that a file doesn\'t appear in 2 lists)\n *\n * Each pane contains one or more views wich are created by a view factory and inserted into a pane list.\n * There may be several panes managed by the MainViewManager with each pane containing a list of views.\n * The panes are always visible and the layout is determined by the MainViewManager and the user.\n *\n * Currently we support only 2 panes.\n *\n * All of the WorkingSet APIs take a paneId Argument.  This can be an actual pane Id, ALL_PANES (in most cases)\n * or ACTIVE_PANE. ALL_PANES may not be supported for some APIs.  See the API for details.\n *\n * This module dispatches several events:\n *\n *    - activePaneChange - When the active pane changes.  There will always be an active pane.\n *          (e, newPaneId:string, oldPaneId:string)\n *    - currentFileChange -- When the user has switched to another pane, file, document. When the user closes a view\n *      and there are no other views to show the current file will be null.\n *          (e, newFile:File, newPaneId:string, oldFile:File, oldPaneId:string)\n *    - paneLayoutChange -- When Orientation changes.\n *          (e, orientation:string)\n *    - paneCreate -- When a pane is created\n *          (e, paneId:string)\n *    - paneDestroy -- When a pane is destroyed\n *          (e, paneId:string)\n *\n *\n *    To listen for working set changes, you must listen to *all* of these events:\n *    - workingSetAdd -- When a file is added to the working set\n *          (e, fileAdded:File, index:number, paneId:string)\n *    - workingSetAddList -- When multiple files are added to the working set\n *          (e, fileAdded:Array.<File>, paneId:string)\n *    - workingSetMove - When a File has moved to a different working set\n *          (e, File:FILE, sourcePaneId:string, destinationPaneId:string)\n *    - workingSetRemove -- When a file is removed from the working set\n *          (e, fileRemoved:File, suppressRedraw:boolean, paneId:string)\n *    - workingSetRemoveList -- When multiple files are removed from the working set\n *          (e, filesRemoved:Array.<File>, paneId:string)\n *    - workingSetSort -- When a pane\'s view array is reordered without additions or removals.\n *          (e, paneId:string)\n *    - workingSetUpdate -- When changes happen due to system events such as a file being deleted.\n *                              listeners should discard all working set info and rebuilt it from the pane\n *                              by calling getWorkingSet()\n *          (e, paneId:string)\n *    - _workingSetDisableAutoSort -- When the working set is reordered by manually dragging a file.\n *          (e, paneId:string) For Internal Use Only.\n *\n * To listen for events, do something like this: (see EventDispatcher for details on this pattern)\n *    `MainViewManager.on("eventname", handler);`\n */\ndefine(\'view/MainViewManager\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'utils/EventDispatcher\',\'strings\',\'utils/AppInit\',\'command/CommandManager\',\'view/MainViewFactory\',\'view/ViewStateManager\',\'command/Commands\',\'editor/EditorManager\',\'filesystem/FileSystemError\',\'document/DocumentManager\',\'preferences/PreferencesManager\',\'project/ProjectManager\',\'view/WorkspaceManager\',\'utils/Async\',\'utils/ViewUtils\',\'utils/Resizer\',\'view/Pane\'],function (require, exports, module) {\n    "use strict";\n\n    var _                   = require("thirdparty/lodash"),\n        EventDispatcher     = require("utils/EventDispatcher"),\n        Strings             = require("strings"),\n        AppInit             = require("utils/AppInit"),\n        CommandManager      = require("command/CommandManager"),\n        MainViewFactory     = require("view/MainViewFactory"),\n        ViewStateManager    = require("view/ViewStateManager"),\n        Commands            = require("command/Commands"),\n        EditorManager       = require("editor/EditorManager"),\n        FileSystemError     = require("filesystem/FileSystemError"),\n        DocumentManager     = require("document/DocumentManager"),\n        PreferencesManager  = require("preferences/PreferencesManager"),\n        ProjectManager      = require("project/ProjectManager"),\n        WorkspaceManager    = require("view/WorkspaceManager"),\n        AsyncUtils          = require("utils/Async"),\n        ViewUtils           = require("utils/ViewUtils"),\n        Resizer             = require("utils/Resizer"),\n        Pane                = require("view/Pane").Pane,\n        KeyBindingManager   = brackets.getModule("command/KeyBindingManager");\n\n    /**\n     * Preference setting name for the MainView Saved State\n     * @const\n     * @private\n     */\n    var PREFS_NAME          = "mainView.state";\n\n    /**\n     * Legacy Preference setting name used to migrate old preferences\n     * @const\n     * @private\n     */\n    var OLD_PREFS_NAME      = "project.files";\n\n    /**\n     * Special paneId shortcut that can be used to specify that\n     * all panes should be targeted by the API.\n     * Not all APIs support this constnant.\n     * Check the API documentation before use.\n     * @const\n     */\n    var ALL_PANES           = "ALL_PANES";\n\n    /**\n     * Special paneId shortcut that can be used to specify that\n     * the API should target the focused pane only.\n     * All APIs support this shortcut.\n     * @const\n     */\n    var ACTIVE_PANE        = "ACTIVE_PANE";\n\n    /**\n     * Internal pane id\n     * @const\n     * @private\n     */\n    var FIRST_PANE          = "first-pane";\n\n    /**\n     * Internal pane id\n     * @const\n     * @private\n     */\n    var SECOND_PANE         = "second-pane";\n\n    /*\n     * NOTE: The following commands and constants will change\n     *        when implementing the UX UI Treatment @larz0\n     */\n\n    /**\n     * Vertical layout state name\n     * @const\n     * @private\n     */\n    var VERTICAL            = "VERTICAL";\n\n    /**\n     * Horizontal layout state name\n     * @const\n     * @private\n     */\n    var HORIZONTAL          = "HORIZONTAL";\n\n    /**\n     * The minimum width or height that a pane can be\n     * @const\n     * @private\n     */\n    var MIN_PANE_SIZE      = 75;\n\n    /**\n     * current orientation (null, VERTICAL or HORIZONTAL)\n     * @type {string=}\n     * @private\n     */\n    var _orientation = null;\n\n    /**\n     * current pane id. May not be null\n     * @type {!string}\n     * @private\n     */\n    var _activePaneId = null;\n\n    /**\n     * DOM element hosting the Main View.\n     * @type {jQuery}\n     * @private\n     */\n    var _$el;\n\n    /**\n     * Maps paneId to Pane objects\n     * @type {Object.<string, Pane>}\n     * @private\n     */\n    var _panes = {};\n\n\n    /**\n     * map of pane scroll states\n     * @type {Object.map<string, *>}\n     * @private\n     */\n    var _paneScrollStates = {};\n\n\n    /**\n     * flag indicating if traversing is currently taking place\n     * When True, changes the current pane\'s MRU list will not be updated.\n     * Useful for next/previous keyboard navigation (until Ctrl is released)\n     * or for incremental-search style document preview like Quick Open will eventually have.\n     * @type {!boolean}\n     * @private\n     */\n    var _traversingFileList = false;\n\n    /**\n     * The global MRU list (for traversing)\n     * @type {Array.<file:File, paneId:string>}\n     */\n    var _mruList = [];\n\n    /**\n     * localized pane titles\n     * @type {Object.<FIRST_PANE|SECOND_PANE, <VERTICAL.string, HORIZONTAL.string>}}\n     *  Localized string for first and second panes in the current orientation.\n     * @see {@link #getPaneTitle} for more information\n     * @private\n     */\n    var _paneTitles  = {};\n\n    /*\n     * Initialize _paneTitles\n     */\n    _paneTitles[FIRST_PANE] = {};\n    _paneTitles[SECOND_PANE] = {};\n\n    _paneTitles[FIRST_PANE][VERTICAL]     = Strings.LEFT;\n    _paneTitles[FIRST_PANE][HORIZONTAL]   = Strings.TOP;\n    _paneTitles[SECOND_PANE][VERTICAL]    = Strings.RIGHT;\n    _paneTitles[SECOND_PANE][HORIZONTAL]  = Strings.BOTTOM;\n\n    /**\n     * Makes a MRU List Entry\n     * @param {!File} File - the file\n     * @param {!string} paneId - the paneId\n     * @return {{file:File, paneId:string}}\n     * @private\n     */\n    function _makeMRUListEntry(file, paneId) {\n        return {file: file, paneId: paneId};\n    }\n\n    /**\n     * Locates the first  MRU entry of a file for the requested pane\n     * @param {!string} paneId - the paneId\n     * @param {!File} File - the file\n     * @return {{file:File, paneId:string}}\n     * @private\n     */\n    function _findFileInMRUList(paneId, file) {\n        return _.findIndex(_mruList, function (record) {\n            return (record.file.fullPath === file.fullPath && record.paneId === paneId);\n        });\n    }\n\n    /**\n     * Checks whether a file is listed exclusively in the provided pane\n     * @param {!File} File - the file\n     * @return {{file:File, paneId:string}}\n     */\n    function isExclusiveToPane(file, paneId) {\n        paneId = paneId === ACTIVE_PANE && _activePaneId ? _activePaneId : paneId;\n        var index = _.findIndex(_mruList, function (record) {\n            return (record.file.fullPath === file.fullPath && record.paneId !== paneId);\n        });\n        return index === -1;\n    }\n\n\n    /**\n     * Retrieves the currently active Pane Id\n     * @return {!string} Active Pane\'s ID.\n     */\n    function getActivePaneId() {\n        return _activePaneId;\n    }\n\n    /**\n     * Resolve paneId to actual pane.\n     * @param {?string} paneId - id of the desired pane. May be symbolic or null (to indicate current pane)\n     * @return {string} id of the pane in which to open the document\n     */\n    function _resolvePaneId(paneId) {\n        if (!paneId || paneId === ACTIVE_PANE) {\n            return getActivePaneId();\n        }\n        return paneId;\n    }\n\n    /**\n     * Retrieves the Pane object for the given paneId\n     * @param {!string} paneId - id of the pane to retrieve\n     * @return {?Pane} the Pane object or null if a pane object doesn\'t exist for the pane\n     * @private\n     */\n    function _getPane(paneId) {\n        paneId = _resolvePaneId(paneId);\n\n        if (_panes[paneId]) {\n            return _panes[paneId];\n        }\n\n        return null;\n    }\n\n    /**\n     * Focuses the current pane. If the current pane has a current view, then the pane will focus the view.\n     */\n    function focusActivePane() {\n        _getPane(ACTIVE_PANE).focus();\n    }\n\n    /**\n     * Determines if the pane id is a special pane id\n     * @param {!string} paneId - the id to test\n     * @return {boolean} true if the pane id is a special identifier, false if not\n     */\n    function _isSpecialPaneId(paneId) {\n        return paneId === ACTIVE_PANE || paneId === ALL_PANES;\n    }\n\n    /**\n     * Makes the file the most recent for the pane and the global mru lists\n     * @param {!string} paneId - id of the pane to mae th file most recent or ACTIVE_PANE\n     * @param {!File} file - File object to make most recent\n     * @private\n     */\n    function _makeFileMostRecent(paneId, file) {\n        var index,\n            entry,\n            pane = _getPane(paneId);\n\n        if (!_traversingFileList) {\n            pane.makeViewMostRecent(file);\n\n            index = _.findIndex(_mruList, function (record) {\n                return (record.file === file && record.paneId === pane.id);\n            });\n\n            entry = _makeMRUListEntry(file, pane.id);\n\n            if (index !== -1) {\n                _mruList.splice(index, 1);\n            }\n\n            if (_findFileInMRUList(pane.id, file) !== -1) {\n                console.log(file.fullPath + " duplicated in mru list");\n            }\n\n            // add it to the front of the list\n            _mruList.unshift(entry);\n        }\n    }\n\n    /**\n     * Makes the Pane\'s current file the most recent\n     * @param {!string} paneId - id of the pane to make the file most recent, or ACTIVE_PANE\n     * @param {!File} file - File object to make most recent\n     * @private\n     */\n    function _makePaneMostRecent(paneId) {\n        var pane = _getPane(paneId);\n\n        if (pane.getCurrentlyViewedFile()) {\n            _makeFileMostRecent(paneId, pane.getCurrentlyViewedFile());\n        }\n    }\n\n    /**\n     * Switch active pane to the specified pane id (or ACTIVE_PANE/ALL_PANES, in which case this\n     * call does nothing).\n     * @param {!string} paneId - the id of the pane to activate\n     */\n    function setActivePaneId(newPaneId) {\n        if (!_isSpecialPaneId(newPaneId) && newPaneId !== _activePaneId) {\n            var oldPaneId = _activePaneId,\n                oldPane = _getPane(ACTIVE_PANE),\n                newPane = _getPane(newPaneId);\n\n            if (!newPane) {\n                throw new Error("invalid pane id: " + newPaneId);\n            }\n\n            _activePaneId = newPaneId;\n\n            exports.trigger("activePaneChange", newPaneId, oldPaneId);\n            exports.trigger("currentFileChange", _getPane(ACTIVE_PANE).getCurrentlyViewedFile(),\n                                                            newPaneId,\n                                                            oldPane.getCurrentlyViewedFile(),\n                                                            oldPaneId);\n\n            _makePaneMostRecent(_activePaneId);\n            focusActivePane();\n        }\n    }\n\n    /**\n     * Retrieves the Pane ID for the specified container\n     * @param {!jQuery} $el - the element of the pane to fetch\n     * @return {?string} the id of the pane that matches the container or undefined if a pane doesn\'t exist for that container\n     */\n    function _getPaneFromElement($el) {\n        return _.find(_panes, function (pane) {\n            if (pane.$el[0] === $el[0]) {\n                return pane;\n            }\n        });\n    }\n\n    /**\n     * Retrieves the currently viewed file of the specified paneId\n     * @param {?string} paneId - the id of the pane in which to retrieve the currently viewed file\n     * @return {?File} File object of the currently viewed file, or null if there isn\'t one or there\'s no such pane\n     */\n    function getCurrentlyViewedFile(paneId) {\n        var pane = _getPane(paneId);\n        return pane ? pane.getCurrentlyViewedFile() : null;\n    }\n\n    /**\n     * Retrieves the currently viewed path of the pane specified by paneId\n     * @param {?string} paneId - the id of the pane in which to retrieve the currently viewed path\n     * @return {?string} the path of the currently viewed file or null if there isn\'t one\n     */\n    function getCurrentlyViewedPath(paneId) {\n        var file = getCurrentlyViewedFile(paneId);\n        return file ? file.fullPath : null;\n    }\n\n    /**\n     * EditorManager.activeEditorChange handler\n     *   This event is triggered when an visible editor gains focus\n     *   Therefore we need to Activate the pane that the active editor belongs to\n     * @private\n     * @param {!jQuery.Event} e - jQuery Event object\n     * @param {Editor=} current - editor being made the current editor\n     */\n    function _activeEditorChange(e, current) {\n        if (current) {\n            var $container = current.$el.parent().parent(),\n                pane = _getPaneFromElement($container);\n\n            if (pane) {\n                // Editor is a full editor\n                if (pane.id !== _activePaneId) {\n                    // we just need to set the active pane in this case\n                    //  it will dispatch the currentFileChange message as well\n                    //  as dispatching other events when the active pane changes\n                    setActivePaneId(pane.id);\n                }\n            } else {\n                // Editor is an inline editor, find the parent pane\n                var parents = $container.parents(".view-pane");\n                if (parents.length === 1) {\n                    $container = $(parents[0]);\n                    pane = _getPaneFromElement($container);\n                    if (pane) {\n                        if (pane.id !== _activePaneId) {\n                            // activate the pane which will put focus in the pane\'s doc\n                            setActivePaneId(pane.id);\n                            // reset the focus to the inline editor\n                            current.focus();\n                        }\n                    }\n                }\n            }\n        }\n    }\n\n\n    /**\n     * Iterates over the pane or ALL_PANES and calls the callback function for each.\n     * @param {!string} paneId - id of the pane in which to adjust the scroll state, ALL_PANES or ACTIVE_PANE\n     * @param {!function(!pane:Pane):boolean} callback - function to callback on to perform work.\n     * The callback will receive a Pane and should return false to stop iterating.\n     * @private\n     */\n    function _forEachPaneOrPanes(paneId, callback) {\n        if (paneId === ALL_PANES) {\n            _.forEach(_panes, callback);\n        } else {\n            callback(_getPane(paneId));\n        }\n    }\n\n    /**\n     * Caches the specified pane\'s current scroll state\n     * If there was already cached state for the specified pane, it is discarded and overwritten\n     * @param {!string} paneId - id of the pane in which to cache the scroll state,\n     *                            ALL_PANES or ACTIVE_PANE\n     */\n    function cacheScrollState(paneId) {\n        _forEachPaneOrPanes(paneId, function (pane) {\n            _paneScrollStates[pane.id] = pane.getScrollState();\n        });\n    }\n\n\n    /**\n     * Restores the scroll state from cache and applies the heightDelta\n     * The view implementation is responsible for applying or ignoring the heightDelta.\n     * This is used primarily when a modal bar opens to keep the editor from scrolling the current\n     * page out of view in order to maintain the appearance.\n     * The state is removed from the cache after calling this function.\n     * @param {!string} paneId - id of the pane in which to adjust the scroll state,\n     *                              ALL_PANES or ACTIVE_PANE\n     * @param {!number} heightDelta - delta H to apply to the scroll state\n     */\n    function restoreAdjustedScrollState(paneId, heightDelta) {\n        _forEachPaneOrPanes(paneId, function (pane) {\n            pane.restoreAndAdjustScrollState(_paneScrollStates[pane.id], heightDelta);\n            delete _paneScrollStates[pane.id];\n        });\n    }\n\n\n    /**\n     * Retrieves the WorkingSet for the given paneId not including temporary views\n     * @param {!string} paneId - id of the pane in which to get the view list, ALL_PANES or ACTIVE_PANE\n     * @return {Array.<File>}\n     */\n    function getWorkingSet(paneId) {\n        var result = [];\n\n        _forEachPaneOrPanes(paneId, function (pane) {\n            var viewList = pane.getViewList();\n            result = _.union(result, viewList);\n        });\n\n        return result;\n    }\n\n\n    /**\n     * Retrieves the list of all open files including temporary views\n     * @return {array.<File>} the list of all open files in all open panes\n     */\n    function getAllOpenFiles() {\n        var result = getWorkingSet(ALL_PANES);\n        _.forEach(_panes, function (pane) {\n            var file = pane.getCurrentlyViewedFile();\n            if (file) {\n                result = _.union(result, [file]);\n            }\n        });\n        return result;\n    }\n\n    /**\n     * Retrieves the list of all open pane ids\n     * @return {array.<string>} the list of all open panes\n     */\n    function getPaneIdList() {\n        return Object.keys(_panes);\n    }\n\n    /**\n     * Retrieves the size of the selected pane\'s view list\n     * @param {!string} paneId - id of the pane in which to get the workingset size.\n     *      Can use `ALL_PANES` or `ACTIVE_PANE`\n     * @return {!number} the number of items in the specified pane\n     */\n    function getWorkingSetSize(paneId) {\n        var result = 0;\n        _forEachPaneOrPanes(paneId, function (pane) {\n            result += pane.getViewListSize();\n        });\n        return result;\n    }\n\n    /**\n     * Retrieves the title to display in the workingset view\n     * @param {!string} paneId - id of the pane in which to get the title\n     * @return {?string} title\n     */\n    function getPaneTitle(paneId) {\n        return _paneTitles[paneId][_orientation];\n    }\n\n    /**\n     * Retrieves the number of panes\n     * @return {number}\n     */\n    function getPaneCount() {\n        return Object.keys(_panes).length;\n    }\n\n    /**\n     * Helper to abastract the common working set search functions\n     * @param {!string} paneId - id of the pane to search or ALL_PANES to search all panes\n     * @param {!string} fullPath - path of the file to locate\n     * @param {!string} method - name of the method to use for searching\n     *       "findInViewList", "findInViewListAddedOrder" or "FindInViewListMRUOrder"\n     *\n     * @private\n     */\n    function _doFindInWorkingSet(paneId, fullPath, method) {\n        var result = -1;\n        _forEachPaneOrPanes(paneId, function (pane) {\n            var index = pane[method].call(pane, fullPath);\n            if (index >= 0) {\n                result = index;\n                return false;\n            }\n        });\n        return result;\n    }\n\n    /**\n     * Finds all instances of the specified file in all working sets.\n     * If there is a temporary view of the file, it is not part of the result set\n     * @param {!string} fullPath - path of the file to find views of\n     * @return {Array.<{pane:string, index:number}>} an array of paneId/index records\n     */\n    function findInAllWorkingSets(fullPath) {\n        var index,\n            result = [];\n\n        _.forEach(_panes, function (pane) {\n            index = pane.findInViewList(fullPath);\n            if (index >= 0) {\n                result.push({paneId: pane.id, index: index});\n            }\n        });\n\n        return result;\n    }\n\n    /**\n     * Gets the index of the file matching fullPath in the workingset\n     * @param {!string} paneId - id of the pane in which to search or ALL_PANES or ACTIVE_PANE\n     * @param {!string} fullPath - full path of the file to search for\n     * @return {number} index, -1 if not found.\n     */\n    function findInWorkingSet(paneId, fullPath) {\n        return _doFindInWorkingSet(paneId, fullPath, "findInViewList");\n    }\n\n    /**\n     * Gets the index of the file matching fullPath in the added order workingset\n     * @param {!string} paneId - id of the pane in which to search or ALL_PANES or ACTIVE_PANE\n     * @param {!string} fullPath - full path of the file to search for\n     * @return {number} index, -1 if not found.\n     */\n    function findInWorkingSetByAddedOrder(paneId, fullPath) {\n        return _doFindInWorkingSet(paneId, fullPath, "findInViewListAddedOrder");\n    }\n\n    /**\n     * Gets the index of the file matching fullPath in the MRU order workingset\n     * @param {!string} paneId - id of the pane in which to search or ALL_PANES or ACTIVE_PANE\n     * @param {!string} fullPath - full path of the file to search for\n     * @return {number} index, -1 if not found.\n     */\n    function findInWorkingSetByMRUOrder(paneId, fullPath) {\n        return _doFindInWorkingSet(paneId, fullPath, "findInViewListMRUOrder");\n    }\n\n    /**\n     * @private\n     * Retrieves pane id where the specified file has been opened. Used to ensure that a file\n     *  is open in only one pane so this will change once support for multiple views is added\n     * The result includes panes with a temporary view of the file not just working set instances\n     * @param {!string} fullPath - full path of the file to search for\n     * @return {?string} pane id where the file has been opened or null if it wasn\'t found\n     */\n    function _getPaneIdForPath(fullPath) {\n        // Search all working sets and pull off the first one\n        var info = findInAllWorkingSets(fullPath).shift();\n\n        // Look for a view that has not been added to a working set\n        if (!info) {\n            _.forEach(_panes, function (pane) {\n                if (pane.getCurrentlyViewedPath() === fullPath) {\n                    info = {paneId: pane.id};\n                    return false;\n                }\n            });\n        }\n\n        if (!info) {\n            return null;\n        }\n\n        return info.paneId;\n    }\n\n    /**\n     * Adds the given file to the end of the workingset, if it is not already there.\n     *  This API does not create a view of the file, it just adds it to the working set\n     * Views of files in the working set are persisted and are not destroyed until the user\n     *  closes the file using FILE_CLOSE; Views are created using FILE_OPEN and, when opened, are\n     *  made the current view. If a File is already opened then the file is just made current\n     *  and its view is shown.\n     * @param {!string} paneId - The id of the pane in which to add the file object to or ACTIVE_PANE\n     * @param {!File} file - The File object to add to the workingset\n     * @param {number=} index - Position to add to list (defaults to last); -1 is ignored\n     * @param {boolean=} forceRedraw - If true, a workingset change notification is always sent\n     *    (useful if suppressRedraw was used with removeView() earlier)\n     */\n    function addToWorkingSet(paneId, file, index, force) {\n        // look for the file to have already been added to another pane\n        var pane = _getPane(paneId);\n        if (!pane) {\n            throw new Error("invalid pane id: " + paneId);\n        }\n\n        var result = pane.reorderItem(file, index, force),\n            entry = _makeMRUListEntry(file, pane.id);\n\n\n        // handles the case of save as so that the file remains in the\n        //  the same location in the working set as the file that was renamed\n        if (result === pane.ITEM_FOUND_NEEDS_SORT) {\n            console.warn("pane.reorderItem returned pane.ITEM_FOUND_NEEDS_SORT which shouldn\'t happen " + file);\n            exports.trigger("workingSetSort", pane.id);\n        } else if (result === pane.ITEM_NOT_FOUND) {\n            index = pane.addToViewList(file, index);\n\n            if (_findFileInMRUList(pane.id, file) === -1) {\n                // Add to or update the position in MRU\n                if (pane.getCurrentlyViewedFile() === file) {\n                    _mruList.unshift(entry);\n                } else {\n                    _mruList.push(entry);\n                }\n            }\n\n            exports.trigger("workingSetAdd", file, index, pane.id);\n        }\n    }\n\n    /**\n     * Adds the given file list to the end of the workingset.\n     * @param {!string} paneId - The id of the pane in which to add the file object to or ACTIVE_PANE\n     * @param {!Array.<File>} fileList - Array of files to add to the pane\n     */\n    function addListToWorkingSet(paneId, fileList) {\n        var uniqueFileList,\n            pane = _getPane(paneId);\n\n        uniqueFileList = pane.addListToViewList(fileList);\n\n        uniqueFileList.forEach(function (file) {\n            if (_findFileInMRUList(pane.id, file) !== -1) {\n                console.log(file.fullPath + " duplicated in mru list");\n            }\n            _mruList.push(_makeMRUListEntry(file, pane.id));\n        });\n\n        exports.trigger("workingSetAddList", uniqueFileList, pane.id);\n\n        //  find all of the files that could be added but were not\n        var unsolvedList = fileList.filter(function (item) {\n            // if the file open in another pane, then add it to the list of unsolvedList\n            return (pane.findInViewList(item.fullPath) === -1 && _getPaneIdForPath(item.fullPath));\n        });\n\n        // Use the pane id of the first one in the list for pane id and recurse\n        //  if we add more panes, then this will recurse until all items in the list are satisified\n        if (unsolvedList.length) {\n            addListToWorkingSet(_getPaneIdForPath(unsolvedList[0].fullPath), unsolvedList);\n        }\n    }\n\n    /**\n     * Removes a file from the global MRU list. Future versions of this\n     *  implementation may support the ALL_PANES constant but FOCUS_PANE is not allowed\n     * @param {!string} paneId - Must be a valid paneId (not a shortcut e.g. ALL_PANES)\n     @ @param {File} file The file object to remove.\n     * @private\n     */\n    function _removeFileFromMRU(paneId, file) {\n        var index,\n            compare = function (record) {\n                return (record.file === file && record.paneId === paneId);\n            };\n\n        // find and remove all instances\n        do {\n            index = _.findIndex(_mruList, compare);\n            if (index !== -1) {\n                _mruList.splice(index, 1);\n            }\n        } while (index !== -1);\n    }\n\n    /**\n     * Removes a file the specified pane\n     * @param {!string} paneId - Must be a valid paneId (not a shortcut e.g. ALL_PANES)\n     * @param {!File} file - the File to remove\n     * @param {boolean=} suppressRedraw - true to tell listeners not to redraw\n     *          Use the suppressRedraw flag when calling this function along with many changes to prevent flicker\n     * @private\n     */\n    function _removeView(paneId, file, suppressRedraw) {\n        var pane = _getPane(paneId);\n\n        if (pane.removeView(file)) {\n            _removeFileFromMRU(pane.id, file);\n            exports.trigger("workingSetRemove", file, suppressRedraw, pane.id);\n        }\n    }\n\n    /**\n     * moves a view from one pane to another\n     * @param {!string} sourcePaneId - id of the source pane\n     * @param {!string} destinationPaneId - id of the destination pane\n     * @param {!File} file - the File to move\n     * @param {Number} destinationIndex - the working set index of the file in the destination pane\n     * @return {jQuery.Promise} a promise that resolves when the move has completed.\n     * @private\n     */\n    function _moveView(sourcePaneId, destinationPaneId, file, destinationIndex) {\n        var result = new $.Deferred(),\n            sourcePane = _getPane(sourcePaneId),\n            destinationPane = _getPane(destinationPaneId);\n\n        sourcePane.moveView(file, destinationPane, destinationIndex)\n            .done(function () {\n                // remove existing entry from mrulist for the same document if present \n                _removeFileFromMRU(destinationPane.id, file);\n                // update the mru list\n                _mruList.every(function (record) {\n                    if (record.file === file && record.paneId === sourcePane.id) {\n                        record.paneId = destinationPane.id;\n                        return false;\n                    }\n                    return true;\n                });\n                exports.trigger("workingSetMove", file, sourcePane.id, destinationPane.id);\n                result.resolve();\n            });\n\n        return result.promise();\n    }\n\n    /**\n     * Switch between panes\n     */\n    function switchPaneFocus() {\n        var $firstPane = $(\'#first-pane\'), $secondPane = $(\'#second-pane\');\n        if($firstPane.hasClass(\'active-pane\')) {\n            $secondPane.click();\n        }\n        else {\n            $firstPane.click();\n        }\n    }\n\n    /**\n     * DocumentManager.pathDeleted Event handler to remove a file\n     * from the MRU list\n     * @param {!jQuery.event} e -\n     * @param {!string} fullPath - path of the file to remove\n     * @private\n     */\n    function _removeDeletedFileFromMRU(e, fullPath) {\n        var index,\n            compare = function (record) {\n                return (record.file.fullPath === fullPath);\n            };\n\n        // find and remove all instances\n        do {\n            index = _.findIndex(_mruList, compare);\n            if (index !== -1) {\n                _mruList.splice(index, 1);\n            }\n        } while (index !== -1);\n    }\n\n    /**\n     * sorts the pane\'s view list\n     * @param {!string} paneId - id of the pane to sort, ALL_PANES or ACTIVE_PANE\n     * @param {sortFunctionCallback} compareFn - callback to determine sort order (called on each item)\n     * @see {@link Pane#sortViewList} for more information\n     * @see {@link https://developer.mozilla.org/en-US/docs/JavaScript/Reference/Global_Objects/Array/sort|Sort Array - MDN}\n     * @private\n     */\n    function _sortWorkingSet(paneId, compareFn) {\n        _forEachPaneOrPanes(paneId, function (pane) {\n            pane.sortViewList(compareFn);\n            exports.trigger("workingSetSort", pane.id);\n        });\n    }\n\n    /**\n     * moves a working set item from one index to another shifting the items\n     * after in the working set up and reinserting it at the desired location\n     * @param {!string} paneId - id of the pane to sort\n     * @param {!number} fromIndex - the index of the item to move\n     * @param {!number} toIndex - the index to move to\n     * @private\n     */\n    function _moveWorkingSetItem(paneId, fromIndex, toIndex) {\n        var pane = _getPane(paneId);\n\n        pane.moveWorkingSetItem(fromIndex, toIndex);\n        exports.trigger("workingSetSort", pane.id);\n        exports.trigger("_workingSetDisableAutoSort", pane.id);\n    }\n\n    /**\n     * Mutually exchanges the files at the indexes passed by parameters.\n     * @param {!string} paneId - id of the pane to swap indices or ACTIVE_PANE\n     * @param {!number} index1 - the index on the left\n     * @param {!number} index2 - the index on the rigth\n     * @private\n     */\n    function _swapWorkingSetListIndexes(paneId, index1, index2) {\n        var pane = _getPane(paneId);\n\n        pane.swapViewListIndexes(index1, index2);\n        exports.trigger("workingSetSort", pane.id);\n        exports.trigger("_workingSetDisableAutoSort", pane.id);\n    }\n\n    /**\n     * Get the next or previous file in the MRU list.\n     * @param {!number} direction - Must be 1 or -1 to traverse forward or backward\n     * @return {?{file:File, paneId:string}} The File object of the next item in the traversal order or null if there aren\'t any files to traverse.\n     *                                       May return current file if there are no other files to traverse.\n     */\n    function traverseToNextViewByMRU(direction) {\n        var file = getCurrentlyViewedFile(),\n            paneId = getActivePaneId(),\n            index = _.findIndex(_mruList, function (record) {\n                return (record.file === file && record.paneId === paneId);\n            });\n\n        return ViewUtils.traverseViewArray(_mruList, index, direction);\n    }\n\n    /**\n     * Get the next or previous file in list order.\n     * @param {!number} direction - Must be 1 or -1 to traverse forward or backward\n     * @return {?{file:File, paneId:string}} The File object of the next item in the traversal order or null if there aren\'t any files to traverse.\n     *                                       May return current file if there are no other files to traverse.\n     */\n    function traverseToNextViewInListOrder(direction) {\n        var file = getCurrentlyViewedFile(),\n            curPaneId = getActivePaneId(),\n            allFiles = [],\n            index;\n\n        getPaneIdList().forEach(function (paneId) {\n            var paneFiles = getWorkingSet(paneId).map(function (file) {\n                return { file: file, pane: paneId };\n            });\n            allFiles = allFiles.concat(paneFiles);\n        });\n\n        index = _.findIndex(allFiles, function (record) {\n            return (record.file === file && record.pane === curPaneId);\n        });\n\n        return ViewUtils.traverseViewArray(allFiles, index, direction);\n    }\n\n    /**\n     * Indicates that traversal has begun.\n     * Can be called any number of times.\n     */\n    function beginTraversal() {\n        _traversingFileList = true;\n    }\n\n    /**\n     * Un-freezes the MRU list after one or more beginTraversal() calls.\n     * Whatever file is current is bumped to the front of the MRU list.\n     */\n    function endTraversal() {\n        var pane = _getPane(ACTIVE_PANE);\n\n        if (_traversingFileList) {\n            _traversingFileList = false;\n\n            _makeFileMostRecent(pane.id, pane.getCurrentlyViewedFile());\n        }\n    }\n\n    /**\n     * Synchronizes the pane\'s sizer element, updates the pane\'s resizer maxsize value\n     *   and tells the pane to update its layout\n     * @param {boolean} forceRefresh - true to force a resize and refresh of the entire view\n     * @private\n     */\n    function _synchronizePaneSize(pane, forceRefresh) {\n        var available;\n\n        if (_orientation === VERTICAL) {\n            available = _$el.innerWidth();\n        } else {\n            available = _$el.innerHeight();\n        }\n\n        // Update the pane\'s sizer element if it has one and update the max size\n        Resizer.resyncSizer(pane.$el);\n        pane.$el.data("maxsize", available - MIN_PANE_SIZE);\n        pane.updateLayout(forceRefresh);\n    }\n\n\n    /**\n     * Event handler for "workspaceUpdateLayout" to update the layout\n     * @param {jQuery.Event} event - jQuery event object\n     * @param {number} viewAreaHeight - unused\n     * @param {boolean} forceRefresh - true to force a resize and refresh of the entire view\n     * @private\n     */\n    function _updateLayout(event, viewAreaHeight, forceRefresh) {\n        var available;\n\n        if (_orientation === VERTICAL) {\n            available = _$el.innerWidth();\n        } else {\n            available = _$el.innerHeight();\n        }\n\n        _.forEach(_panes, function (pane) {\n            // For VERTICAL orientation, we set the second pane to be width: auto\n            //  so that it resizes to fill the available space in the containing div\n            // unfortunately, that doesn\'t work in the HORIZONTAL orientation so we\n            //  must update the height and convert it into a percentage\n            if (pane.id === SECOND_PANE && _orientation === HORIZONTAL) {\n                var percentage = ((_panes[FIRST_PANE].$el.height() + 1) / available);\n                pane.$el.css("height", 100 - (percentage * 100) + "%");\n            }\n\n            _synchronizePaneSize(pane, forceRefresh);\n        });\n    }\n\n    /**\n     * Sets up the initial layout so panes are evenly distributed\n     * This also sets css properties that aid in the layout when _updateLayout is called\n     * @param {boolean} forceRefresh - true to force a resize and refresh of the entire view\n     * @private\n     */\n    function _initialLayout(forceRefresh) {\n        var panes = Object.keys(_panes),\n            size = 100 / panes.length;\n\n        _.forEach(_panes, function (pane) {\n            if (pane.id === FIRST_PANE) {\n                if (_orientation === VERTICAL) {\n                    pane.$el.css({height: "100%",\n                                  width: size + "%",\n                                  float: "left"\n                                 });\n                } else {\n                    pane.$el.css({ height: size + "%",\n                                   width: "100%"\n                                 });\n                }\n            } else {\n                if (_orientation === VERTICAL) {\n                    pane.$el.css({  height: "100%",\n                                    width: "auto",\n                                    float: "none"\n                                 });\n                } else {\n                    pane.$el.css({ width: "100%",\n                                   height: "50%"\n                                 });\n                }\n            }\n\n            _synchronizePaneSize(pane, forceRefresh);\n        });\n    }\n\n    /**\n     * Updates the header text for all panes\n     */\n    function _updatePaneHeaders() {\n        _forEachPaneOrPanes(ALL_PANES, function (pane) {\n            pane.updateHeaderText();\n        });\n\n    }\n\n    /**\n     * Creates a pane for paneId if one doesn\'t already exist\n     * @param {!string} paneId - id of the pane to create\n     * @private\n     * @return {?Pane} - the pane object of the new pane, or undefined if no pane created\n     */\n    function _createPaneIfNecessary(paneId) {\n        var newPane;\n\n        if (!_panes.hasOwnProperty(paneId)) {\n            newPane = new Pane(paneId, _$el);\n            _panes[paneId] = newPane;\n\n            exports.trigger("paneCreate", newPane.id);\n\n            newPane.$el.on("click.mainview dragover.mainview", function () {\n                setActivePaneId(newPane.id);\n            });\n\n            newPane.on("viewListChange.mainview", function () {\n                _updatePaneHeaders();\n                exports.trigger("workingSetUpdate", newPane.id);\n            });\n            newPane.on("currentViewChange.mainview", function (e, newView, oldView) {\n                _updatePaneHeaders();\n                if (_activePaneId === newPane.id) {\n                    exports.trigger("currentFileChange",\n                                               newView && newView.getFile(),\n                                               newPane.id, oldView && oldView.getFile(),\n                                               newPane.id);\n                }\n            });\n            newPane.on("viewDestroy.mainView", function (e, view) {\n                _removeFileFromMRU(newPane.id, view.getFile());\n            });\n        }\n\n        return newPane;\n    }\n\n    /**\n     * Makes the first pane resizable\n     * @private\n     */\n    function _makeFirstPaneResizable() {\n        var firstPane = _panes[FIRST_PANE];\n        Resizer.makeResizable(firstPane.$el,\n                              _orientation === HORIZONTAL ? Resizer.DIRECTION_VERTICAL : Resizer.DIRECTION_HORIZONTAL,\n                              _orientation === HORIZONTAL ? Resizer.POSITION_BOTTOM : Resizer.POSITION_RIGHT,\n                              MIN_PANE_SIZE, false, false, false, true, true);\n\n        firstPane.$el.on("panelResizeUpdate", function () {\n            _updateLayout();\n        });\n    }\n\n\n    /**\n     * Creates a split for the specified orientation\n     * @private\n     * @param {!string} orientation (VERTICAL|HORIZONTAL)\n     */\n    function _doSplit(orientation) {\n        var firstPane, newPane;\n\n        if (orientation === _orientation) {\n            return;\n        }\n\n        firstPane = _panes[FIRST_PANE];\n        Resizer.removeSizable(firstPane.$el);\n\n        if (_orientation) {\n            _$el.removeClass("split-" + _orientation.toLowerCase());\n        }\n        _$el.addClass("split-" + orientation.toLowerCase());\n\n        _orientation = orientation;\n        newPane = _createPaneIfNecessary(SECOND_PANE);\n        _makeFirstPaneResizable();\n\n        // reset the layout to 50/50 split\n        // if we changed orientation then\n        //  the percentages are reset as well\n        _initialLayout();\n\n        exports.trigger("paneLayoutChange", _orientation);\n\n        // if new pane was created, and original pane is not empty, make new pane the active pane\n        if (newPane && getCurrentlyViewedFile(firstPane.id)) {\n            setActivePaneId(newPane.id);\n        }\n    }\n\n    /**\n     * Edits a document in the specified pane.\n     * This function is only used by:\n     *  - Unit Tests (which construct Mock Document objects),\n     *  - by File > New  because there is yet to be an established File object\n     *  - by Find In Files which needs to open documents synchronously in some cases\n     * Do not use this API it is for internal use only\n     * @param {!string} paneId - id of the pane in which to open the document\n     * @param {!Document} doc - document to edit\n     * @param {{noPaneActivate:boolean=}=} optionsIn - options\n     * @private\n     */\n    function _edit(paneId, doc, optionsIn) {\n        var options = optionsIn || {};\n\n        var pane = _getPane(paneId);\n\n        // If file is untitled or otherwise not within project tree, add it to\n        // working set right now (don\'t wait for it to become dirty)\n        if (doc.isUntitled() || !ProjectManager.isWithinProject(doc.file.fullPath)) {\n            addToWorkingSet(paneId, doc.file);\n        }\n\n        // open document will show the editor if there is one already\n        EditorManager.openDocument(doc, pane, options);\n        _makeFileMostRecent(paneId, doc.file);\n\n        if (!options.noPaneActivate) {\n            setActivePaneId(paneId);\n        }\n    }\n\n    /**\n     * Opens a file in the specified pane this can be used to open a file with a custom viewer\n     * or a document for editing.  If it\'s a document for editing, edit is called on the document\n     * @param {!string} paneId - id of the pane in which to open the document\n     * @param {!File} file - file to open\n     * @param {{noPaneActivate:boolean=}=} optionsIn - options\n     * @return {jQuery.Promise}  promise that resolves to a File object or\n     *                           rejects with a File error or string\n     */\n    function _open(paneId, file, optionsIn) {\n        var result = new $.Deferred(),\n            options = optionsIn || {};\n\n        function doPostOpenActivation() {\n            if (!options.noPaneActivate) {\n                setActivePaneId(paneId);\n            }\n        }\n\n        if (!file || !_getPane(paneId)) {\n            return result.reject("bad argument").promise();\n        }\n\n\n        // See if there is already a view for the file\n        var pane = _getPane(paneId);\n\n        // See if there is a factory to create a view for this file\n        //  we want to do this first because, we don\'t want our internal\n        //  editor to edit files for which there are suitable viewfactories\n        var factory = MainViewFactory.findSuitableFactoryForPath(file.fullPath);\n\n        if (factory) {\n            file.exists(function (fileError, fileExists) {\n                if (fileExists) {\n                    // let the factory open the file and create a view for it\n                    factory.openFile(file, pane)\n                        .done(function () {\n                            // if we opened a file that isn\'t in the project\n                            //  then add the file to the working set\n                            if (!ProjectManager.isWithinProject(file.fullPath)) {\n                                addToWorkingSet(paneId, file);\n                            }\n                            doPostOpenActivation();\n                            result.resolve(file);\n                        })\n                        .fail(function (fileError) {\n                            result.reject(fileError);\n                        });\n                } else {\n                    result.reject(fileError || FileSystemError.NOT_FOUND);\n                }\n            });\n        } else {\n            DocumentManager.getDocumentForPath(file.fullPath)\n                .done(function (doc) {\n                    if (doc) {\n                        _edit(paneId, doc, $.extend({}, options, {\n                            noPaneActivate: true\n                        }));\n                        doPostOpenActivation();\n                        result.resolve(doc.file);\n                    } else {\n                        result.resolve(null);\n                    }\n                })\n                .fail(function (fileError) {\n                    result.reject(fileError);\n                });\n        }\n\n        result.done(function () {\n            _makeFileMostRecent(paneId, file);\n        });\n\n        return result;\n    }\n\n    /**\n     * Merges second pane into first pane and opens the current file\n     * @private\n     */\n    function _mergePanes() {\n        if (_panes.hasOwnProperty(SECOND_PANE)) {\n\n            var firstPane = _panes[FIRST_PANE],\n                secondPane = _panes[SECOND_PANE],\n                fileList = secondPane.getViewList(),\n                lastViewed = getCurrentlyViewedFile();\n\n            Resizer.removeSizable(firstPane.$el);\n            firstPane.mergeFrom(secondPane);\n\n            exports.trigger("workingSetRemoveList", fileList, secondPane.id);\n\n            setActivePaneId(firstPane.id);\n\n            secondPane.$el.off(".mainview");\n            secondPane.off(".mainview");\n\n            secondPane.destroy();\n            delete _panes[SECOND_PANE];\n            exports.trigger("paneDestroy", secondPane.id);\n            exports.trigger("workingSetAddList", fileList, firstPane.id);\n\n            _mruList.forEach(function (record) {\n                if (record.paneId === secondPane.id) {\n                    record.paneId = firstPane.id;\n                }\n            });\n\n            _$el.removeClass("split-" + _orientation.toLowerCase());\n            _orientation = null;\n            // this will set the remaining pane to 100%\n            _initialLayout();\n\n            exports.trigger("paneLayoutChange", _orientation);\n\n            // if the current view before the merger was in the pane\n            //  that went away then reopen it so that it\'s now the current view again\n            if (lastViewed && getCurrentlyViewedFile() !== lastViewed) {\n                exports._open(firstPane.id, lastViewed);\n            }\n        }\n    }\n\n    /**\n     * Closes a file in the specified pane or panes\n     * @param {!string} paneId - id of the pane in which to open the document\n     * @param {!File} file - file to close\n     * @param {Object={noOpenNextFile:boolean}} optionsIn - options\n     * This function does not fail if the file is not open\n     */\n    function _close(paneId, file, optionsIn) {\n        var options = optionsIn || {};\n        _forEachPaneOrPanes(paneId, function (pane) {\n            if (pane.removeView(file, options.noOpenNextFile) && (paneId === ACTIVE_PANE || pane.id === paneId)) {\n                _removeFileFromMRU(pane.id, file);\n                exports.trigger("workingSetRemove", file, false, pane.id);\n                return false;\n            }\n        });\n    }\n\n    /**\n     * Closes a list of file in the specified pane or panes\n     * @param {!string} paneId - id of the pane in which to open the document\n     * @param {!Array.<File>} fileList - files to close\n     * This function does not fail if the file is not open\n     */\n    function _closeList(paneId, fileList) {\n        _forEachPaneOrPanes(paneId, function (pane) {\n            var closedList = pane.removeViews(fileList);\n            closedList.forEach(function (file) {\n                _removeFileFromMRU(pane.id, file);\n            });\n\n            exports.trigger("workingSetRemoveList", closedList, pane.id);\n        });\n    }\n\n    /**\n     * Closes all files in the specified pane or panes\n     * @param {!string} paneId - id of the pane in which to open the document\n     * This function does not fail if the file is not open\n     */\n    function _closeAll(paneId) {\n        _forEachPaneOrPanes(paneId, function (pane) {\n            var closedList = pane.getViewList();\n            closedList.forEach(function (file) {\n                _removeFileFromMRU(pane.id, file);\n            });\n\n            pane._reset();\n            exports.trigger("workingSetRemoveList", closedList, pane.id);\n        });\n    }\n\n\n    /**\n     * Finds which pane a document belongs to\n     * @param {!Document} document - the document to locate\n     * @return {?Pane} the pane where the document lives or NULL if it isn\'t in a pane\n     * @private\n     */\n    function _findPaneForDocument(document) {\n        // First check for an editor view of the document\n        var pane = _getPaneFromElement($(document._masterEditor.$el.parent().parent()));\n\n        if (!pane) {\n            // No view of the document, it may be in a working set and not yet opened\n            var info = findInAllWorkingSets(document.file.fullPath).shift();\n            if (info) {\n                pane = _panes[info.paneId];\n            }\n        }\n\n        return pane;\n    }\n\n    /**\n     * Destroys an editor object if a document is no longer referenced\n     * @param {!Document} doc - document to destroy\n     */\n    function _destroyEditorIfNotNeeded(document) {\n        if (!(document instanceof DocumentManager.Document)) {\n            throw new Error("_destroyEditorIfUnneeded() should be passed a Document");\n        }\n        if (document._masterEditor) {\n            // findPaneForDocument tries to locate the pane in which the document\n            //  is either opened or will be opened (in the event that the document is\n            //  in a working set but has yet to be opened) and then asks the pane\n            //  to destroy the view if it doesn\'t need it anymore\n            var pane = _findPaneForDocument(document);\n\n            if (pane) {\n                // let the pane deceide if it wants to destroy the view if it\'s no needed\n                pane.destroyViewIfNotNeeded(document._masterEditor);\n            } else {\n                // in this case, the document isn\'t referenced at all so just destroy it\n                document._masterEditor.destroy();\n            }\n        }\n    }\n\n\n    /**\n     * Loads the workingset state\n     * @private\n     */\n    function _loadViewState(e) {\n        // file root is appended for each project\n        var panes,\n            promises = [],\n            context = { location : { scope: "user",\n                                     layer: "project" } },\n            state = PreferencesManager.getViewState(PREFS_NAME, context);\n\n        function convertViewState() {\n            var context = { location : { scope: "user",\n                                         layer: "project" } },\n                files = PreferencesManager.getViewState(OLD_PREFS_NAME, context);\n\n            if (!files) {\n                // nothing to convert\n                return;\n            }\n\n            var result = {\n                orientation: null,\n                activePaneId: FIRST_PANE,\n                panes: {\n                    "first-pane": []\n                }\n            };\n\n            // Add all files to the workingset without verifying that\n            // they still exist on disk (for faster project switching)\n            files.forEach(function (value) {\n                result.panes[FIRST_PANE].push(value);\n            });\n\n            return result;\n        }\n\n        if (!state) {\n            // not converted yet\n            state = convertViewState();\n        }\n\n        // reset\n        _mergePanes();\n        _mruList = [];\n        ViewStateManager.reset();\n\n        if (state) {\n\n            panes = Object.keys(state.panes);\n            _orientation = (panes.length > 1) ? state.orientation : null;\n\n            _.forEach(state.panes, function (paneState, paneId) {\n                _createPaneIfNecessary(paneId);\n                promises.push(_panes[paneId].loadState(paneState));\n            });\n\n            AsyncUtils.waitForAll(promises).then(function (opensList) {\n\n                // this will set the default layout of 50/50 or 100\n                //  based on the number of panes\n                _initialLayout();\n\n                // More than 1 pane, then make it resizable\n                //  and layout the panes from serialized state\n                if (panes.length > 1) {\n                    _makeFirstPaneResizable();\n\n                    // If the split state was serialized correctly\n                    //  then setup the splits according to was serialized\n                    // Avoid a zero and negative split percentages\n                    if ($.isNumeric(state.splitPercentage) && state.splitPercentage > 0) {\n                        var prop;\n                        if (_orientation === VERTICAL) {\n                            prop = "width";\n                        } else {\n                            prop = "height";\n                        }\n\n                        _panes[FIRST_PANE].$el.css(prop, state.splitPercentage * 100 + "%");\n                        _updateLayout();\n                    }\n                }\n\n                if (_orientation) {\n                    _$el.addClass("split-" + _orientation.toLowerCase());\n                    exports.trigger("paneLayoutChange", _orientation);\n                }\n\n                _.forEach(_panes, function (pane) {\n                    var fileList = pane.getViewList();\n\n                    fileList.forEach(function (file) {\n                        if (_findFileInMRUList(pane.id, file) !== -1) {\n                            console.log(file.fullPath + " duplicated in mru list");\n                        }\n                        _mruList.push(_makeMRUListEntry(file, pane.id));\n                    });\n                    exports.trigger("workingSetAddList", fileList, pane.id);\n                });\n\n                promises = [];\n\n                opensList.forEach(function (openData) {\n                    if (openData) {\n                        promises.push(CommandManager.execute(Commands.FILE_OPEN, openData));\n                    }\n                });\n\n                // finally set the active pane\n                AsyncUtils.waitForAll(promises).then(function () {\n                    setActivePaneId(state.activePaneId);\n                });\n            });\n        }\n    }\n\n    /**\n     * Saves the workingset state\n     * @private\n     */\n    function _saveViewState() {\n        function _computeSplitPercentage() {\n            var available,\n                used;\n\n            if (getPaneCount() === 1) {\n                // just short-circuit here and\n                //  return 100% to avoid any rounding issues\n                return 1;\n            } else {\n                if (_orientation === VERTICAL) {\n                    available = _$el.innerWidth();\n                    used = _panes[FIRST_PANE].$el.width();\n                } else {\n                    available = _$el.innerHeight();\n                    used = _panes[FIRST_PANE].$el.height();\n                }\n\n                return used / available;\n            }\n        }\n\n        var projectRoot     = ProjectManager.getProjectRoot(),\n            context         = { location : { scope: "user",\n                                         layer: "project",\n                                         layerID: projectRoot.fullPath } },\n\n            state = {\n                orientation: _orientation,\n                activePaneId: getActivePaneId(),\n                splitPercentage: _computeSplitPercentage(),\n                panes: {\n                }\n            };\n\n\n        if (!projectRoot) {\n            return;\n        }\n\n        _.forEach(_panes, function (pane) {\n            state.panes[pane.id] = pane.saveState();\n        });\n\n        PreferencesManager.setViewState(PREFS_NAME, state, context);\n    }\n\n    /**\n     * Initializes the MainViewManager\'s view state\n     * @param {jQuery} $container - the container where the main view will live\n     * @private\n     */\n    function _initialize($container) {\n        if (_activePaneId) {\n            throw new Error("MainViewManager has already been initialized");\n        }\n\n        _$el = $container;\n        _createPaneIfNecessary(FIRST_PANE);\n        _activePaneId = FIRST_PANE;\n        // One-time init so the pane has the "active" appearance\n        _panes[FIRST_PANE]._handleActivePaneChange(undefined, _activePaneId);\n        _initialLayout();\n\n        // This ensures that unit tests that use this function\n        //  get an event handler for workspace events and we don\'t listen\n        //  to the event before we\'ve been initialized\n        WorkspaceManager.on("workspaceUpdateLayout", _updateLayout);\n\n        // Listen to key Alt-W to toggle between panes\n        CommandManager.register(Strings.CMD_SWITCH_PANE_FOCUS, Commands.CMD_SWITCH_PANE_FOCUS, switchPaneFocus);\n        KeyBindingManager.addBinding(Commands.CMD_SWITCH_PANE_FOCUS, {key: \'Alt-W\'});\n    }\n\n    /**\n     * Changes the layout scheme\n     * @param {!number} rows (may be 1 or 2)\n     * @param {!number} columns (may be 1 or 2)\n     * @summay Rows or Columns may be 1 or 2 but both cannot be 2. 1x2, 2x1 or 1x1 are the legal values\n     */\n    function setLayoutScheme(rows, columns) {\n        if ((rows < 1) || (rows > 2) || (columns < 1) || (columns > 2) || (columns === 2 && rows === 2)) {\n            console.error("setLayoutScheme unsupported layout " + rows + ", " + columns);\n            return false;\n        }\n\n        if (rows === columns) {\n            _mergePanes();\n        } else if (rows > columns) {\n            _doSplit(HORIZONTAL);\n        } else {\n            _doSplit(VERTICAL);\n        }\n        return true;\n    }\n\n    /**\n     * Retrieves the current layout scheme\n     * @return {!{rows: number, columns: number>}}\n     */\n    function getLayoutScheme() {\n        var result = {\n            rows: 1,\n            columns: 1\n        };\n\n        if (_orientation === HORIZONTAL) {\n            result.rows = 2;\n        } else if (_orientation === VERTICAL) {\n            result.columns = 2;\n        }\n\n        return result;\n    }\n    \n    \n    /**\n     * Setup a ready event to initialize ourself\n     */\n    AppInit.htmlReady(function () {\n        _initialize($("#editor-holder"));\n    });\n\n    // Event handlers - not safe to call on() directly, due to circular dependencies\n    EventDispatcher.on_duringInit(ProjectManager, "projectOpen",                       _loadViewState);\n    EventDispatcher.on_duringInit(ProjectManager, "beforeProjectClose beforeAppClose", _saveViewState);\n    EventDispatcher.on_duringInit(EditorManager, "activeEditorChange",                 _activeEditorChange);\n    EventDispatcher.on_duringInit(DocumentManager, "pathDeleted",                      _removeDeletedFileFromMRU);\n\n\n    EventDispatcher.makeEventDispatcher(exports);\n\n    // Unit Test Helpers\n    exports._initialize                   = _initialize;\n    exports._getPane                      = _getPane;\n\n    // Private Helpers\n    exports._removeView                   = _removeView;\n    exports._moveView                     = _moveView;\n\n    // Private API\n    exports._sortWorkingSet               = _sortWorkingSet;\n    exports._moveWorkingSetItem           = _moveWorkingSetItem;\n    exports._swapWorkingSetListIndexes    = _swapWorkingSetListIndexes;\n    exports._destroyEditorIfNotNeeded     = _destroyEditorIfNotNeeded;\n    exports._edit                         = _edit;\n    exports._open                         = _open;\n    exports._close                        = _close;\n    exports._closeAll                     = _closeAll;\n    exports._closeList                    = _closeList;\n    exports._getPaneIdForPath             = _getPaneIdForPath;\n\n    // WorkingSet Management\n    exports.addToWorkingSet               = addToWorkingSet;\n    exports.addListToWorkingSet           = addListToWorkingSet;\n    exports.getWorkingSetSize             = getWorkingSetSize;\n    exports.getWorkingSet                 = getWorkingSet;\n\n    // Pane state\n    exports.cacheScrollState              = cacheScrollState;\n    exports.restoreAdjustedScrollState    = restoreAdjustedScrollState;\n\n    // Searching\n    exports.findInWorkingSet              = findInWorkingSet;\n    exports.findInWorkingSetByAddedOrder  = findInWorkingSetByAddedOrder;\n    exports.findInWorkingSetByMRUOrder    = findInWorkingSetByMRUOrder;\n    exports.findInAllWorkingSets          = findInAllWorkingSets;\n    exports.findInGlobalMRUList           = _findFileInMRUList;\n\n    // Traversal\n    exports.beginTraversal                = beginTraversal;\n    exports.endTraversal                  = endTraversal;\n    exports.traverseToNextViewByMRU       = traverseToNextViewByMRU;\n    exports.traverseToNextViewInListOrder = traverseToNextViewInListOrder;\n\n    // PaneView Attributes\n    exports.getActivePaneId               = getActivePaneId;\n    exports.setActivePaneId               = setActivePaneId;\n    exports.getPaneIdList                 = getPaneIdList;\n    exports.getPaneTitle                  = getPaneTitle;\n    exports.getPaneCount                  = getPaneCount;\n    exports.isExclusiveToPane             = isExclusiveToPane;\n\n    exports.getAllOpenFiles               = getAllOpenFiles;\n    exports.focusActivePane               = focusActivePane;\n    exports.switchPaneFocus               = switchPaneFocus;\n\n    // Layout\n    exports.setLayoutScheme               = setLayoutScheme;\n    exports.getLayoutScheme               = getLayoutScheme;\n\n    // Convenience\n    exports.getCurrentlyViewedFile        = getCurrentlyViewedFile;\n    exports.getCurrentlyViewedPath        = getCurrentlyViewedPath;\n\n    // Constants\n    exports.ALL_PANES                     = ALL_PANES;\n    exports.ACTIVE_PANE                   = ACTIVE_PANE;\n    exports.FIRST_PANE                    = FIRST_PANE;\n    exports.SECOND_PANE                   = SECOND_PANE;\n});\n\n//# sourceURL=/view/MainViewManager.js'),
eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Utilities for dealing with animations in the UI.\n */\ndefine(\'utils/AnimationUtils\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'utils/Async\'],function (require, exports, module) {\n    "use strict";\n\n    var _     = require("thirdparty/lodash"),\n        Async = require("utils/Async");\n\n    /**\n     * @private\n     * Detect the browser\'s supported transitionend event.\n     * @return {string} The supported transitionend event name.\n     */\n    function _detectTransitionEvent() {\n        var event, el = window.document.createElement("fakeelement");\n\n        var transitions = {\n            "OTransition"     : "oTransitionEnd",\n            "MozTransition"   : "transitionend",\n            "WebkitTransition": "webkitTransitionEnd",\n            "transition"      : "transitionend"\n        };\n\n        _.forEach(transitions, function (value, key) {\n            if (el.style[key] !== undefined) {\n                event = value;\n            }\n        });\n        return event;\n    }\n\n    var _transitionEvent = _detectTransitionEvent();\n\n    /**\n     * Start an animation by adding the given class to the given target. When the\n     * animation is complete, removes the class, clears the event handler we attach\n     * to watch for the animation to finish, and resolves the returned promise.\n     *\n     * @param {Element} target The DOM node to animate.\n     * @param {string} animClass The class that applies the animation/transition to the target.\n     * @param {number=} timeoutDuration Time to wait in ms before rejecting promise. Default is 400.\n     * @return {$.Promise} A promise that is resolved when the animation completes. Never rejected.\n     */\n    function animateUsingClass(target, animClass, timeoutDuration) {\n        var result  = new $.Deferred(),\n            $target = $(target);\n\n        timeoutDuration = timeoutDuration || 400;\n\n        function finish(e) {\n            if (e.target === target) {\n                result.resolve();\n            }\n        }\n\n        function cleanup() {\n            $target\n                .removeClass(animClass)\n                .off(_transitionEvent, finish);\n        }\n\n        if ($target.is(":hidden")) {\n            // Don\'t do anything if the element is hidden because transitionEnd wouldn\'t fire\n            result.resolve();\n        } else {\n            // Note that we can\'t just use $.one() here because we only want to remove\n            // the handler when we get the transition end event for the correct target (not\n            // a child).\n            $target\n                .addClass(animClass)\n                .on(_transitionEvent, finish);\n        }\n\n        // Use timeout in case transition end event is not sent\n        return Async.withTimeout(result.promise(), timeoutDuration, true)\n            .done(cleanup);\n    }\n\n    exports.animateUsingClass = animateUsingClass;\n});\n\n//# sourceURL=/utils/AnimationUtils.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Utilities for managing pop-ups.\n */\ndefine(\'widgets/PopUpManager\',[\'require\',\'exports\',\'module\',\'utils/AppInit\',\'utils/EventDispatcher\',\'command/CommandManager\',\'utils/KeyEvent\'],function (require, exports, module) {\n    "use strict";\n\n    var AppInit         = require("utils/AppInit"),\n        EventDispatcher = require("utils/EventDispatcher"),\n        CommandManager  = require("command/CommandManager"),\n        KeyEvent        = require("utils/KeyEvent");\n\n    var _popUps = [];\n\n    /**\n     * Add Esc key handling for a popup DOM element.\n     *\n     * @param {!jQuery} $popUp jQuery object for the DOM element pop-up\n     * @param {function} removeHandler Pop-up specific remove (e.g. display:none or DOM removal)\n     * @param {?Boolean} autoRemove - Specify true to indicate the PopUpManager should\n     *      remove the popup from the _popUps array when the popup is closed. Specify false\n     *      when the popup is always persistant in the _popUps array.\n     *\n     */\n    function addPopUp($popUp, removeHandler, autoRemove) {\n        autoRemove = autoRemove || false;\n\n        _popUps.push($popUp[0]);\n        $popUp.data("PopUpManager-autoRemove", autoRemove);\n        $popUp.data("PopUpManager-removeHandler", removeHandler);\n    }\n\n    /**\n     * Remove Esc key handling for a pop-up. Removes the pop-up from the DOM\n     * if the pop-up is currently visible and was not originally attached.\n     *\n     * @param {!jQuery} $popUp\n     */\n    function removePopUp($popUp) {\n        // check visible first to help protect against recursive calls\n        // via removeHandler\n        if ($popUp.find(":visible").length > 0) {\n            var removeHandler = $popUp.data("PopUpManager-removeHandler");\n            if (removeHandler) {\n                removeHandler();\n            }\n        }\n\n        // check index after removeHandler is done processing to protect\n        // against recursive calls\n        var index = _popUps.indexOf($popUp[0]);\n        if (index >= 0) {\n            var autoRemove = $popUp.data("PopUpManager-autoRemove");\n            if (autoRemove) {\n                $popUp.remove();\n                _popUps.splice(index, 1);\n            }\n        }\n    }\n\n    /**\n     * Remove Esc key handling for a pop-up. Removes the pop-up from the DOM\n     * if the pop-up is currently visible and was not originally attached.\n     *\n     * @param {KeyboardEvent=} keyEvent (optional)\n     */\n    function removeCurrentPopUp(keyEvent) {\n        // allow the popUp to prevent closing\n        var $popUp,\n            i,\n            event = new $.Event("popUpClose");\n\n        for (i = _popUps.length - 1; i >= 0; i--) {\n            $popUp = $(_popUps[i]);\n\n            if ($popUp.find(":visible").length > 0) {\n                $popUp.trigger(event);\n\n                if (!event.isDefaultPrevented()) {\n                    // Stop the DOM event from propagating\n                    if (keyEvent) {\n                        keyEvent.stopImmediatePropagation();\n                    }\n\n                    removePopUp($popUp);\n\n                    // TODO: right now Menus and Context Menus do not take focus away from\n                    // the editor. We need to have a focus manager to correctly manage focus\n                    // between editors and other UI elements.\n                    // For now we don\'t set focus here and assume individual popups\n                    // adjust focus if necessary\n                    // See story in Trello card #404\n                    //EditorManager.focusEditor();\n                }\n\n                break;\n            }\n        }\n    }\n\n    function _keydownCaptureListener(keyEvent) {\n         // Escape key or Alt key (Windows-only)\n        if (keyEvent.keyCode !== KeyEvent.DOM_VK_ESCAPE &&\n                !(keyEvent.keyCode === KeyEvent.DOM_VK_ALT && brackets.platform === "win")) {\n            return;\n        }\n\n        // Don\'t dismiss the popup if both Ctrl and Alt keys are pressed.\n        if (keyEvent.keyCode === KeyEvent.DOM_VK_ALT && keyEvent.ctrlKey) {\n            return;\n        }\n\n        removeCurrentPopUp(keyEvent);\n    }\n\n    /**\n     * A menu is being popped up, so remove any menu that is currently popped up\n     */\n    function _beforeMenuPopup() {\n        removeCurrentPopUp();\n    }\n\n    /**\n     * Context menus are also created in AppInit.htmlReady(), so they may not\n     * yet have been created when we get our AppInit.htmlReady() callback, so\n     * we provide this method to tell us when to start listening for their events\n     *\n     * @param {ContextMenu} contextMenu\n     */\n    function listenToContextMenu(contextMenu) {\n        contextMenu.on("beforeContextMenuOpen", _beforeMenuPopup);\n    }\n\n    AppInit.htmlReady(function () {\n        // Register for events\n        window.document.body.addEventListener("keydown", _keydownCaptureListener, true);\n        exports.on("beforeMenuPopup", _beforeMenuPopup);\n\n        // Close all popups when a command is executed\n        CommandManager.on("beforeExecuteCommand", function (event, commandId) {\n            removeCurrentPopUp();\n        });\n    });\n\n\n    EventDispatcher.makeEventDispatcher(exports);\n\n    exports.addPopUp            = addPopUp;\n    exports.removePopUp         = removePopUp;\n    exports.listenToContextMenu = listenToContextMenu;\n});\n\n//# sourceURL=/widgets/PopUpManager.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'command/Menus\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'command/Commands\',\'utils/EventDispatcher\',\'command/KeyBindingManager\',\'utils/StringUtils\',\'command/CommandManager\',\'widgets/PopUpManager\',\'utils/ViewUtils\',\'utils/DeprecationWarning\',\'utils/Global\'],function (require, exports, module) {\n    "use strict";\n\n    var _ = require("thirdparty/lodash");\n\n    // Load dependent modules\n    var Commands            = require("command/Commands"),\n        EventDispatcher     = require("utils/EventDispatcher"),\n        KeyBindingManager   = require("command/KeyBindingManager"),\n        StringUtils         = require("utils/StringUtils"),\n        CommandManager      = require("command/CommandManager"),\n        PopUpManager        = require("widgets/PopUpManager"),\n        ViewUtils           = require("utils/ViewUtils"),\n        DeprecationWarning  = require("utils/DeprecationWarning");\n\n    // make sure the global brackets variable is loaded\n    require("utils/Global");\n\n    /**\n     * Brackets Application Menu Constants\n     * @enum {string}\n     */\n    var AppMenuBar = {\n        FILE_MENU       : "file-menu",\n        EDIT_MENU       : "edit-menu",\n        FIND_MENU       : "find-menu",\n        VIEW_MENU       : "view-menu",\n        NAVIGATE_MENU   : "navigate-menu",\n        HELP_MENU       : "help-menu"\n    };\n\n    /**\n     * Brackets Context Menu Constants\n     * @enum {string}\n     */\n    var ContextMenuIds = {\n        EDITOR_MENU:                    "editor-context-menu",\n        INLINE_EDITOR_MENU:             "inline-editor-context-menu",\n        PROJECT_MENU:                   "project-context-menu",\n        WORKING_SET_CONTEXT_MENU:       "workingset-context-menu",\n        WORKING_SET_CONFIG_MENU:        "workingset-configuration-menu",\n        SPLITVIEW_MENU:                 "splitview-menu"\n    };\n\n    /**\n     * Brackets Application Menu Section Constants\n     * It is preferred that plug-ins specify the location of new MenuItems\n     * in terms of a menu section rather than a specific MenuItem. This provides\n     * looser coupling to Bracket\'s internal MenuItems and makes menu organization\n     * more semantic.\n     * Use these constants as the "relativeID" parameter when calling addMenuItem() and\n     * specify a position of FIRST_IN_SECTION or LAST_IN_SECTION.\n     *\n     * Menu sections are denoted by dividers or the beginning/end of a menu\n     */\n    var MenuSection = {\n        // Menu Section                     Command ID to mark the section\n        FILE_OPEN_CLOSE_COMMANDS:           {sectionMarker: Commands.FILE_NEW},\n        FILE_SAVE_COMMANDS:                 {sectionMarker: Commands.FILE_SAVE},\n        FILE_LIVE:                          {sectionMarker: Commands.FILE_LIVE_FILE_PREVIEW},\n        FILE_EXTENSION_MANAGER:             {sectionMarker: Commands.FILE_EXTENSION_MANAGER},\n\n        EDIT_UNDO_REDO_COMMANDS:            {sectionMarker: Commands.EDIT_UNDO},\n        EDIT_TEXT_COMMANDS:                 {sectionMarker: Commands.EDIT_CUT},\n        EDIT_SELECTION_COMMANDS:            {sectionMarker: Commands.EDIT_SELECT_ALL},\n        EDIT_MODIFY_SELECTION:              {sectionMarker: Commands.EDIT_INDENT},\n        EDIT_COMMENT_SELECTION:             {sectionMarker: Commands.EDIT_LINE_COMMENT},\n        EDIT_CODE_HINTS_COMMANDS:           {sectionMarker: Commands.SHOW_CODE_HINTS},\n        EDIT_TOGGLE_OPTIONS:                {sectionMarker: Commands.TOGGLE_CLOSE_BRACKETS},\n\n        FIND_FIND_COMMANDS:                 {sectionMarker: Commands.CMD_FIND},\n        FIND_FIND_IN_COMMANDS:              {sectionMarker: Commands.CMD_FIND_IN_FILES},\n        FIND_REPLACE_COMMANDS:              {sectionMarker: Commands.CMD_REPLACE},\n\n        VIEW_HIDESHOW_COMMANDS:             {sectionMarker: Commands.VIEW_HIDE_SIDEBAR},\n        VIEW_FONTSIZE_COMMANDS:             {sectionMarker: Commands.VIEW_INCREASE_FONT_SIZE},\n        VIEW_TOGGLE_OPTIONS:                {sectionMarker: Commands.TOGGLE_ACTIVE_LINE},\n\n        NAVIGATE_GOTO_COMMANDS:             {sectionMarker: Commands.NAVIGATE_QUICK_OPEN},\n        NAVIGATE_DOCUMENTS_COMMANDS:        {sectionMarker: Commands.NAVIGATE_NEXT_DOC},\n        NAVIGATE_OS_COMMANDS:               {sectionMarker: Commands.NAVIGATE_SHOW_IN_FILE_TREE},\n        NAVIGATE_QUICK_EDIT_COMMANDS:       {sectionMarker: Commands.TOGGLE_QUICK_EDIT},\n        NAVIGATE_QUICK_DOCS_COMMANDS:       {sectionMarker: Commands.TOGGLE_QUICK_DOCS}\n    };\n\n\n    /**\n     * Insertion position constants\n     * Used by addMenu(), addMenuItem(), and addSubMenu() to\n     * specify the relative position of a newly created menu object\n     * @enum {string}\n     */\n    var BEFORE           = "before",\n        AFTER            = "after",\n        FIRST            = "first",\n        LAST             = "last",\n        FIRST_IN_SECTION = "firstInSection",\n        LAST_IN_SECTION  = "lastInSection";\n\n    /**\n     * Other constants\n     */\n    var DIVIDER = "---";\n\n    /**\n     * Error Codes from Brackets Shell\n     * @enum {number}\n     */\n    var NO_ERROR           = 0,\n        ERR_UNKNOWN        = 1,\n        ERR_INVALID_PARAMS = 2,\n        ERR_NOT_FOUND      = 3;\n\n    /**\n     * Maps menuID\'s to Menu objects\n     * @type {Object.<string, Menu>}\n     */\n    var menuMap = {};\n\n    /**\n     * Maps contextMenuID\'s to ContextMenu objects\n     * @type {Object.<string, ContextMenu>}\n     */\n    var contextMenuMap = {};\n\n    /**\n     * Maps menuItemID\'s to MenuItem objects\n     * @type {Object.<string, MenuItem>}\n     */\n    var menuItemMap = {};\n\n    /**\n     * Retrieves the Menu object for the corresponding id.\n     * @param {string} id\n     * @return {Menu}\n     */\n    function getMenu(id) {\n        return menuMap[id];\n    }\n\n    /**\n     * Retrieves the map of all Menu objects.\n     * @return {Object.<string, Menu>}\n     */\n    function getAllMenus() {\n        return menuMap;\n    }\n\n    /**\n     * Retrieves the ContextMenu object for the corresponding id.\n     * @param {string} id\n     * @return {ContextMenu}\n     */\n    function getContextMenu(id) {\n        return contextMenuMap[id];\n    }\n\n    /**\n    * Removes the attached event listeners from the corresponding object.\n    * @param {ManuItem} menuItem\n    */\n    function removeMenuItemEventListeners(menuItem) {\n        menuItem._command\n            .off("enabledStateChange", menuItem._enabledChanged)\n            .off("checkedStateChange", menuItem._checkedChanged)\n            .off("nameChange", menuItem._nameChanged)\n            .off("keyBindingAdded", menuItem._keyBindingAdded)\n            .off("keyBindingRemoved", menuItem._keyBindingRemoved);\n    }\n\n    /**\n     * Check whether a ContextMenu exists for the given id.\n     * @param {string} id\n     * @return {boolean}\n     */\n    function _isContextMenu(id) {\n        return !!getContextMenu(id);\n    }\n\n    function _isHTMLMenu(id) {\n        return (!brackets.nativeMenus || _isContextMenu(id));\n    }\n\n    /**\n     * Retrieves the MenuItem object for the corresponding id.\n     * @param {string} id\n     * @return {MenuItem}\n     */\n    function getMenuItem(id) {\n        return menuItemMap[id];\n    }\n\n    function _getHTMLMenu(id) {\n        return $("#" + StringUtils.jQueryIdEscape(id)).get(0);\n    }\n\n    function _getHTMLMenuItem(id) {\n        return $("#" + StringUtils.jQueryIdEscape(id)).get(0);\n    }\n\n    function _addKeyBindingToMenuItem($menuItem, key, displayKey) {\n        var $shortcut = $menuItem.find(".menu-shortcut");\n\n        if ($shortcut.length === 0) {\n            $shortcut = $("<span class=\'menu-shortcut\' />");\n            $menuItem.append($shortcut);\n        }\n\n        $shortcut.data("key", key);\n        $shortcut.text(KeyBindingManager.formatKeyDescriptor(displayKey));\n    }\n\n    function _addExistingKeyBinding(menuItem) {\n        var bindings = KeyBindingManager.getKeyBindings(menuItem.getCommand().getID()),\n            binding = null;\n\n        if (bindings.length > 0) {\n            // add the latest key binding\n            binding = bindings[bindings.length - 1];\n            _addKeyBindingToMenuItem($(_getHTMLMenuItem(menuItem.id)), binding.key, binding.displayKey);\n        }\n\n        return binding;\n    }\n\n    var _menuDividerIDCount = 1;\n    function _getNextMenuItemDividerID() {\n        return "brackets-menuDivider-" + _menuDividerIDCount++;\n    }\n\n    // Help function for inserting elements into a list\n    function _insertInList($list, $element, position, $relativeElement) {\n        // Determine where to insert. Default is LAST.\n        var inserted = false;\n        if (position) {\n\n            // Adjust relative position for menu section positions since $relativeElement\n            // has already been resolved by _getRelativeMenuItem() to a menuItem\n            if (position === FIRST_IN_SECTION) {\n                position = BEFORE;\n            } else if (position === LAST_IN_SECTION) {\n                position = AFTER;\n            }\n\n            if (position === FIRST) {\n                $list.prepend($element);\n                inserted = true;\n            } else if ($relativeElement && $relativeElement.length > 0) {\n                if (position === AFTER) {\n                    $relativeElement.after($element);\n                    inserted = true;\n                } else if (position === BEFORE) {\n                    $relativeElement.before($element);\n                    inserted = true;\n                }\n            }\n        }\n\n        // Default to LAST\n        if (!inserted) {\n            $list.append($element);\n        }\n    }\n\n    /**\n     * MenuItem represents a single menu item that executes a Command or a menu divider. MenuItems\n     * may have a sub-menu. A MenuItem may correspond to an HTML-based\n     * menu item or a native menu item if Brackets is running in a native application shell\n     *\n     * Since MenuItems may have a native implementation clients should create MenuItems through\n     * addMenuItem() and should NOT construct a MenuItem object directly.\n     * Clients should also not access HTML content of a menu directly and instead use\n     * the MenuItem API to query and modify menus items.\n     *\n     * MenuItems are views on to Command objects so modify the underlying Command to modify the\n     * name, enabled, and checked state of a MenuItem. The MenuItem will update automatically\n     *\n     * @constructor\n     * @private\n     *\n     * @param {string} id\n     * @param {string|Command} command - the Command this MenuItem will reflect.\n     *                                   Use DIVIDER to specify a menu divider\n     */\n    function MenuItem(id, command) {\n        this.id = id;\n        this.isDivider = (command === DIVIDER);\n        this.isNative = false;\n\n        if (!this.isDivider) {\n            // Bind event handlers\n            this._enabledChanged = this._enabledChanged.bind(this);\n            this._checkedChanged = this._checkedChanged.bind(this);\n            this._nameChanged = this._nameChanged.bind(this);\n            this._keyBindingAdded = this._keyBindingAdded.bind(this);\n            this._keyBindingRemoved = this._keyBindingRemoved.bind(this);\n\n            this._command = command;\n            this._command\n                .on("enabledStateChange", this._enabledChanged)\n                .on("checkedStateChange", this._checkedChanged)\n                .on("nameChange", this._nameChanged)\n                .on("keyBindingAdded", this._keyBindingAdded)\n                .on("keyBindingRemoved", this._keyBindingRemoved);\n        }\n    }\n\n    /**\n     * Menu represents a top-level menu in the menu bar. A Menu may correspond to an HTML-based\n     * menu or a native menu if Brackets is running in a native application shell.\n     *\n     * Since menus may have a native implementation clients should create Menus through\n     * addMenu() and should NOT construct a Menu object directly.\n     * Clients should also not access HTML content of a menu directly and instead use\n     * the Menu API to query and modify menus.\n     *\n     * @constructor\n     * @private\n     *\n     * @param {string} id\n     */\n    function Menu(id) {\n        this.id = id;\n    }\n\n    Menu.prototype._getMenuItemId = function (commandId) {\n        return (this.id + "-" + commandId);\n    };\n\n    /**\n     * Determine MenuItem in this Menu, that has the specified command\n     *\n     * @param {Command} command - the command to search for.\n     * @return {?HTMLLIElement} menu item list element\n     */\n    Menu.prototype._getMenuItemForCommand = function (command) {\n        if (!command) {\n            return null;\n        }\n        var foundMenuItem = menuItemMap[this._getMenuItemId(command.getID())];\n        if (!foundMenuItem) {\n            return null;\n        }\n        return $(_getHTMLMenuItem(foundMenuItem.id)).closest("li");\n    };\n\n    /**\n     * Determine relative MenuItem\n     *\n     * @param {?string} relativeID - id of command (future: sub-menu).\n     * @param {?string} position - only needed when relativeID is a MenuSection\n     * @return {?HTMLLIElement} menu item list element\n     */\n    Menu.prototype._getRelativeMenuItem = function (relativeID, position) {\n        var $relativeElement;\n\n        if (relativeID) {\n            if (position === FIRST_IN_SECTION || position === LAST_IN_SECTION) {\n                if (!relativeID.hasOwnProperty("sectionMarker")) {\n                    console.error("Bad Parameter in _getRelativeMenuItem(): relativeID must be a MenuSection when position refers to a menu section");\n                    return null;\n                }\n\n                // Determine the $relativeElement by traversing the sibling list and\n                // stop at the first divider found\n                // TODO: simplify using nextUntil()/prevUntil()\n                var $sectionMarker = this._getMenuItemForCommand(CommandManager.get(relativeID.sectionMarker));\n                if (!$sectionMarker) {\n                    console.error("_getRelativeMenuItem(): MenuSection " + relativeID.sectionMarker +\n                                  " not found in Menu " + this.id);\n                    return null;\n                }\n                var $listElem = $sectionMarker;\n                $relativeElement = $listElem;\n                while (true) {\n                    $listElem = (position === FIRST_IN_SECTION ? $listElem.prev() : $listElem.next());\n                    if ($listElem.length === 0) {\n                        break;\n                    } else if ($listElem.find(".divider").length > 0) {\n                        break;\n                    } else {\n                        $relativeElement = $listElem;\n                    }\n                }\n\n            } else {\n                if (relativeID.hasOwnProperty("sectionMarker")) {\n                    console.error("Bad Parameter in _getRelativeMenuItem(): if relativeID is a MenuSection, position must be FIRST_IN_SECTION or LAST_IN_SECTION");\n                    return null;\n                }\n\n                // handle FIRST, LAST, BEFORE, & AFTER\n                var command = CommandManager.get(relativeID);\n                if (command) {\n                    // Lookup Command for this Command id\n                    // Find MenuItem that has this command\n                    $relativeElement = this._getMenuItemForCommand(command);\n                }\n                if (!$relativeElement) {\n                    console.error("_getRelativeMenuItem(): MenuItem with Command id " + relativeID +\n                                  " not found in Menu " + this.id);\n                    return null;\n                }\n            }\n\n            return $relativeElement;\n\n        } else if (position && position !== FIRST && position !== LAST) {\n            console.error("Bad Parameter in _getRelativeMenuItem(): relative position specified with no relativeID");\n            return null;\n        }\n\n        return $relativeElement;\n    };\n\n    /**\n     * Removes the specified menu item from this Menu. Key bindings are unaffected; use KeyBindingManager\n     * directly to remove key bindings if desired.\n     *\n     * @param {!string | Command} command - command the menu would execute if we weren\'t deleting it.\n     */\n    Menu.prototype.removeMenuItem = function (command) {\n        var menuItemID,\n            commandID;\n\n        if (!command) {\n            console.error("removeMenuItem(): missing required parameters: command");\n            return;\n        }\n\n        if (typeof (command) === "string") {\n            var commandObj = CommandManager.get(command);\n            if (!commandObj) {\n                console.error("removeMenuItem(): command not found: " + command);\n                return;\n            }\n            commandID = command;\n        } else {\n            commandID = command.getID();\n        }\n        menuItemID = this._getMenuItemId(commandID);\n\n        var menuItem = getMenuItem(menuItemID);\n        removeMenuItemEventListeners(menuItem);\n\n        if (_isHTMLMenu(this.id)) {\n            // Targeting parent to get the menu item <a> and the <li> that contains it\n            $(_getHTMLMenuItem(menuItemID)).parent().remove();\n        } else {\n            brackets.app.removeMenuItem(commandID, function (err) {\n                if (err) {\n                    console.error("removeMenuItem() -- command not found: " + commandID + " (error: " + err + ")");\n                }\n            });\n        }\n\n        delete menuItemMap[menuItemID];\n    };\n\n    /**\n     * Removes the specified menu divider from this Menu.\n     *\n     * @param {!string} menuItemID - the menu item id of the divider to remove.\n     */\n    Menu.prototype.removeMenuDivider = function (menuItemID) {\n        var menuItem,\n            $HTMLMenuItem;\n\n        if (!menuItemID) {\n            console.error("removeMenuDivider(): missing required parameters: menuItemID");\n            return;\n        }\n\n        menuItem = getMenuItem(menuItemID);\n\n        if (!menuItem) {\n            console.error("removeMenuDivider(): parameter menuItemID: %s is not a valid menu item id", menuItemID);\n            return;\n        }\n\n        if (!menuItem.isDivider) {\n            console.error("removeMenuDivider(): parameter menuItemID: %s is not a menu divider", menuItemID);\n            return;\n        }\n\n        if (_isHTMLMenu(this.id)) {\n            // Targeting parent to get the menu divider <hr> and the <li> that contains it\n            $HTMLMenuItem = $(_getHTMLMenuItem(menuItemID)).parent();\n            if ($HTMLMenuItem) {\n                $HTMLMenuItem.remove();\n            } else {\n                console.error("removeMenuDivider(): HTML menu divider not found: %s", menuItemID);\n                return;\n            }\n        } else {\n            brackets.app.removeMenuItem(menuItem.dividerId, function (err) {\n                if (err) {\n                    console.error("removeMenuDivider() -- divider not found: %s (error: %s)", menuItemID, err);\n                }\n            });\n        }\n\n        if (!menuItemMap[menuItemID]) {\n            console.error("removeMenuDivider(): menu divider not found in menuItemMap: %s", menuItemID);\n            return;\n        }\n\n        delete menuItemMap[menuItemID];\n    };\n\n    /**\n     * Adds a new menu item with the specified id and display text. The insertion position is\n     * specified via the relativeID and position arguments which describe a position\n     * relative to another MenuItem or MenuGroup. It is preferred that plug-ins\n     * insert new  MenuItems relative to a menu section rather than a specific\n     * MenuItem (see Menu Section Constants).\n     *\n     * TODO: Sub-menus are not yet supported, but when they are implemented this API will\n     * allow adding new MenuItems to sub-menus as well.\n     *\n     * Note, keyBindings are bound to Command objects not MenuItems. The provided keyBindings\n     *      will be bound to the supplied Command object rather than the MenuItem.\n     *\n     * @param {!string | Command} command - the command the menu will execute.\n     *      Pass Menus.DIVIDER for a menu divider, or just call addMenuDivider() instead.\n     * @param {?string | Array.<{key: string, platform: string}>}  keyBindings - register one\n     *      one or more key bindings to associate with the supplied command.\n     * @param {?string} position - constant defining the position of new MenuItem relative to\n     *      other MenuItems. Values:\n     *          - With no relativeID, use Menus.FIRST or LAST (default is LAST)\n     *          - Relative to a command id, use BEFORE or AFTER (required)\n     *          - Relative to a MenuSection, use FIRST_IN_SECTION or LAST_IN_SECTION (required)\n     * @param {?string} relativeID - command id OR one of the MenuSection.* constants. Required\n     *      for all position constants except FIRST and LAST.\n     *\n     * @return {MenuItem} the newly created MenuItem\n     */\n    Menu.prototype.addMenuItem = function (command, keyBindings, position, relativeID) {\n        var menuID = this.id,\n            id,\n            $menuItem,\n            menuItem,\n            name,\n            commandID;\n\n        if (!command) {\n            console.error("addMenuItem(): missing required parameters: command");\n            return null;\n        }\n\n        if (typeof (command) === "string") {\n            if (command === DIVIDER) {\n                name = DIVIDER;\n                commandID = _getNextMenuItemDividerID();\n            } else {\n                commandID = command;\n                command = CommandManager.get(commandID);\n                if (!command) {\n                    console.error("addMenuItem(): commandID not found: " + commandID);\n                    return null;\n                }\n                name = command.getName();\n            }\n        } else {\n            commandID = command.getID();\n            name = command.getName();\n        }\n\n        // Internal id is the a composite of the parent menu id and the command id.\n        id = this._getMenuItemId(commandID);\n\n        if (menuItemMap[id]) {\n            console.log("MenuItem added with same id of existing MenuItem: " + id);\n            return null;\n        }\n\n        // create MenuItem\n        menuItem = new MenuItem(id, command);\n        menuItemMap[id] = menuItem;\n\n        // create MenuItem DOM\n        if (_isHTMLMenu(this.id)) {\n            if (name === DIVIDER) {\n                $menuItem = $("<li><hr class=\'divider\' id=\'" + id + "\' /></li>");\n            } else {\n                // Create the HTML Menu\n                $menuItem = $("<li><a href=\'#\' id=\'" + id + "\'> <span class=\'menu-name\'></span></a></li>");\n\n                $menuItem.on("click", function () {\n                    menuItem._command.execute();\n                });\n            }\n\n            // Insert menu item\n            var $relativeElement = this._getRelativeMenuItem(relativeID, position);\n            _insertInList($("li#" + StringUtils.jQueryIdEscape(this.id) + " > ul.dropdown-menu"),\n                          $menuItem, position, $relativeElement);\n        } else {\n            var bindings = KeyBindingManager.getKeyBindings(commandID),\n                binding,\n                bindingStr = "",\n                displayStr = "";\n\n            if (bindings && bindings.length > 0) {\n                binding = bindings[bindings.length - 1];\n                bindingStr = binding.displayKey || binding.key;\n            }\n\n            if (bindingStr.length > 0) {\n                displayStr = KeyBindingManager.formatKeyDescriptor(bindingStr);\n            }\n\n            if (position === FIRST_IN_SECTION || position === LAST_IN_SECTION) {\n                if (!relativeID.hasOwnProperty("sectionMarker")) {\n                    console.error("Bad Parameter in _getRelativeMenuItem(): relativeID must be a MenuSection when position refers to a menu section");\n                    return null;\n                }\n\n                // For sections, pass in the marker for that section.\n                relativeID = relativeID.sectionMarker;\n            }\n\n            brackets.app.addMenuItem(this.id, name, commandID, bindingStr, displayStr, position, relativeID, function (err) {\n                switch (err) {\n                case NO_ERROR:\n                    break;\n                case ERR_INVALID_PARAMS:\n                    console.error("addMenuItem(): Invalid Parameters when adding the command " + commandID);\n                    break;\n                case ERR_NOT_FOUND:\n                    console.error("_getRelativeMenuItem(): MenuItem with Command id " + relativeID + " not found in the Menu " + menuID);\n                    break;\n                default:\n                    console.error("addMenuItem(); Unknown Error (" + err + ") when adding the command " + commandID);\n                }\n            });\n            menuItem.isNative = true;\n        }\n\n        // Initialize MenuItem state\n        if (menuItem.isDivider) {\n            menuItem.dividerId = commandID;\n        } else {\n            if (keyBindings) {\n                // Add key bindings. The MenuItem listens to the Command object to update MenuItem DOM with shortcuts.\n                if (!Array.isArray(keyBindings)) {\n                    keyBindings = [keyBindings];\n                }\n            }\n\n            // Note that keyBindings passed during MenuItem creation take precedent over any existing key bindings\n            KeyBindingManager.addBinding(commandID, keyBindings);\n\n            // Look for existing key bindings\n            _addExistingKeyBinding(menuItem, commandID);\n\n            menuItem._checkedChanged();\n            menuItem._enabledChanged();\n            menuItem._nameChanged();\n        }\n\n        return menuItem;\n    };\n\n    /**\n     * Inserts divider item in menu.\n     * @param {?string} position - constant defining the position of new the divider relative\n     *      to other MenuItems. Default is LAST.  (see Insertion position constants).\n     * @param {?string} relativeID - id of menuItem, sub-menu, or menu section that the new\n     *      divider will be positioned relative to. Required for all position constants\n     *      except FIRST and LAST\n     *\n     * @return {MenuItem} the newly created divider\n     */\n    Menu.prototype.addMenuDivider = function (position, relativeID) {\n        return this.addMenuItem(DIVIDER, "", position, relativeID);\n    };\n\n    /**\n     * NOT IMPLEMENTED\n     * Alternative JSON based API to addMenuItem()\n     *\n     * All properties are required unless noted as optional.\n     *\n     * @param { Array.<{\n     *              id:         string,\n     *              command:    string | Command,\n     *              ?bindings:   string | Array.<{key: string, platform: string}>,\n     *          }>} jsonStr\n     *        }\n     * @param {?string} position - constant defining the position of new the MenuItem relative\n     *      to other MenuItems. Default is LAST.  (see Insertion position constants).\n     * @param {?string} relativeID - id of menuItem, sub-menu, or menu section that the new\n     *      menuItem will be positioned relative to. Required when position is\n     *      AFTER or BEFORE, ignored when position is FIRST or LAST.\n     *\n     * @return {MenuItem} the newly created MenuItem\n     */\n    // Menu.prototype.createMenuItemsFromJSON = function (jsonStr, position, relativeID) {\n    //     NOT IMPLEMENTED\n    // };\n\n\n    /**\n     * NOT IMPLEMENTED\n     * @param {!string} text displayed in menu item\n     * @param {!string} id\n     * @param {?string} position - constant defining the position of new the MenuItem relative\n     *      to other MenuItems. Default is LAST.  (see Insertion position constants)\n     * @param {?string} relativeID - id of menuItem, sub-menu, or menu section that the new\n     *      menuItem will be positioned relative to. Required when position is\n     *      AFTER or BEFORE, ignored when position is FIRST or LAST.\n     *\n     * @return {MenuItem} newly created menuItem for sub-menu\n     */\n    // MenuItem.prototype.createSubMenu = function (text, id, position, relativeID) {\n    //     NOT IMPLEMENTED\n    // };\n\n    /**\n     * Gets the Command associated with a MenuItem\n     * @return {Command}\n     */\n    MenuItem.prototype.getCommand = function () {\n        return this._command;\n    };\n\n    /**\n     * NOT IMPLEMENTED\n     * Returns the parent MenuItem if the menu item is a sub-menu, returns null otherwise.\n     * @return {MenuItem}\n     */\n    // MenuItem.prototype.getParentMenuItem = function () {\n    //     NOT IMPLEMENTED;\n    // };\n\n    /**\n     * Returns the parent Menu for this MenuItem\n     * @return {Menu}\n     */\n    MenuItem.prototype.getParentMenu = function () {\n        var parent = $(_getHTMLMenuItem(this.id)).parents(".dropdown").get(0);\n        if (!parent) {\n            return null;\n        }\n\n        return getMenu(parent.id);\n    };\n\n    /**\n     * Synchronizes MenuItem checked state with underlying Command checked state\n     */\n    MenuItem.prototype._checkedChanged = function () {\n        var checked = !!this._command.getChecked();\n        if (this.isNative) {\n            var enabled = !!this._command.getEnabled();\n            brackets.app.setMenuItemState(this._command.getID(), enabled, checked, function (err) {\n                if (err) {\n                    console.log("Error setting menu item state: " + err);\n                }\n            });\n        } else {\n            ViewUtils.toggleClass($(_getHTMLMenuItem(this.id)), "checked", checked);\n        }\n    };\n\n    /**\n     * Synchronizes MenuItem enabled state with underlying Command enabled state\n     */\n    MenuItem.prototype._enabledChanged = function () {\n        if (this.isNative) {\n            var enabled = !!this._command.getEnabled();\n            var checked = !!this._command.getChecked();\n            brackets.app.setMenuItemState(this._command.getID(), enabled, checked, function (err) {\n                if (err) {\n                    console.log("Error setting menu item state: " + err);\n                }\n            });\n        } else {\n            ViewUtils.toggleClass($(_getHTMLMenuItem(this.id)), "disabled", !this._command.getEnabled());\n        }\n    };\n\n    /**\n     * Synchronizes MenuItem name with underlying Command name\n     */\n    MenuItem.prototype._nameChanged = function () {\n        if (this.isNative) {\n            brackets.app.setMenuTitle(this._command.getID(), this._command.getName(), function (err) {\n                if (err) {\n                    console.log("Error setting menu title: " + err);\n                }\n            });\n        } else {\n            $(_getHTMLMenuItem(this.id)).find(".menu-name").text(this._command.getName());\n        }\n    };\n\n    /**\n     * @private\n     * Updates MenuItem DOM with a keyboard shortcut label\n     */\n    MenuItem.prototype._keyBindingAdded = function (event, keyBinding) {\n        if (this.isNative) {\n            var shortcutKey = keyBinding.displayKey || keyBinding.key;\n            brackets.app.setMenuItemShortcut(this._command.getID(), shortcutKey, KeyBindingManager.formatKeyDescriptor(shortcutKey), function (err) {\n                if (err) {\n                    console.error("Error setting menu item shortcut: " + err);\n                }\n            });\n        } else {\n            _addKeyBindingToMenuItem($(_getHTMLMenuItem(this.id)), keyBinding.key, keyBinding.displayKey);\n        }\n    };\n\n    /**\n     * @private\n     * Updates MenuItem DOM to remove keyboard shortcut label\n     */\n    MenuItem.prototype._keyBindingRemoved = function (event, keyBinding) {\n        if (this.isNative) {\n            brackets.app.setMenuItemShortcut(this._command.getID(), "", "", function (err) {\n                if (err) {\n                    console.error("Error setting menu item shortcut: " + err);\n                }\n            });\n        } else {\n            var $shortcut = $(_getHTMLMenuItem(this.id)).find(".menu-shortcut");\n\n            if ($shortcut.length > 0 && $shortcut.data("key") === keyBinding.key) {\n                // check for any other bindings\n                if (_addExistingKeyBinding(this) === null) {\n                    $shortcut.empty();\n                }\n            }\n        }\n    };\n\n    /**\n     * Closes all menus that are open\n     */\n    function closeAll() {\n        $(".dropdown").removeClass("open");\n    }\n\n    /**\n     * Adds a top-level menu to the application menu bar which may be native or HTML-based.\n     *\n     * @param {!string} name - display text for menu\n     * @param {!string} id - unique identifier for a menu.\n     *      Core Menus in Brackets use a simple  title as an id, for example "file-menu".\n     *      Extensions should use the following format: "author.myextension.mymenuname".\n     * @param {?string} position - constant defining the position of new the Menu relative\n     *  to other Menus. Default is LAST (see Insertion position constants).\n     *\n     * @param {?string} relativeID - id of Menu the new Menu will be positioned relative to. Required\n     *      when position is AFTER or BEFORE, ignored when position is FIRST or LAST\n     *\n     * @return {?Menu} the newly created Menu\n     */\n    function addMenu(name, id, position, relativeID) {\n        name = _.escape(name);\n        var $menubar = $("#titlebar .nav"),\n            menu;\n\n        if (!name || !id) {\n            console.error("call to addMenu() is missing required parameters");\n            return null;\n        }\n\n        // Guard against duplicate menu ids\n        if (menuMap[id]) {\n            console.log("Menu added with same name and id of existing Menu: " + id);\n            return null;\n        }\n\n        menu = new Menu(id);\n        menuMap[id] = menu;\n\n        if (!_isHTMLMenu(id)) {\n            brackets.app.addMenu(name, id, position, relativeID, function (err) {\n                switch (err) {\n                case NO_ERROR:\n                    // Make sure name is up to date\n                    brackets.app.setMenuTitle(id, name, function (err) {\n                        if (err) {\n                            console.error("setMenuTitle() -- error: " + err);\n                        }\n                    });\n                    break;\n                case ERR_UNKNOWN:\n                    console.error("addMenu(): Unknown Error when adding the menu " + id);\n                    break;\n                case ERR_INVALID_PARAMS:\n                    console.error("addMenu(): Invalid Parameters when adding the menu " + id);\n                    break;\n                case ERR_NOT_FOUND:\n                    console.error("addMenu(): Menu with command " + relativeID + " could not be found when adding the menu " + id);\n                    break;\n                default:\n                    console.error("addMenu(): Unknown Error (" + err + ") when adding the menu " + id);\n                }\n            });\n            return menu;\n        }\n\n        var $toggle = $("<a href=\'#\' class=\'dropdown-toggle\' data-toggle=\'dropdown\'>" + name + "</a>"),\n            $popUp = $("<ul class=\'dropdown-menu\'></ul>"),\n            $newMenu = $("<li class=\'dropdown\' id=\'" + id + "\'></li>").append($toggle).append($popUp);\n\n        // Insert menu\n        var $relativeElement = relativeID && $(_getHTMLMenu(relativeID));\n        _insertInList($menubar, $newMenu, position, $relativeElement);\n\n        // Install ESC key handling\n        PopUpManager.addPopUp($popUp, closeAll, false);\n\n        // todo error handling\n\n        return menu;\n    }\n\n    /**\n     * Removes a top-level menu from the application menu bar which may be native or HTML-based.\n     *\n     * @param {!string} id - unique identifier for a menu.\n     *      Core Menus in Brackets use a simple title as an id, for example "file-menu".\n     *      Extensions should use the following format: "author.myextension.mymenuname".\n     */\n    function removeMenu(id) {\n        var menu,\n            commandID = "";\n\n        if (!id) {\n            console.error("removeMenu(): missing required parameter: id");\n            return;\n        }\n\n        if (!menuMap[id]) {\n            console.error("removeMenu(): menu id not found: %s", id);\n            return;\n        }\n\n        // Remove all of the menu items in the menu\n        menu = getMenu(id);\n\n        _.forEach(menuItemMap, function (value, key) {\n            if (_.startsWith(key, id)) {\n                if (value.isDivider) {\n                    menu.removeMenuDivider(key);\n                } else {\n                    commandID = value.getCommand();\n                    menu.removeMenuItem(commandID);\n                }\n            }\n        });\n\n        if (_isHTMLMenu(id)) {\n            $(_getHTMLMenu(id)).remove();\n        } else {\n            brackets.app.removeMenu(id, function (err) {\n                if (err) {\n                    console.error("removeMenu() -- id not found: " + id + " (error: " + err + ")");\n                }\n            });\n        }\n\n        delete menuMap[id];\n    }\n\n    /**\n     * Represents a context menu that can open at a specific location in the UI.\n     *\n     * Clients should not create this object directly and should instead use registerContextMenu()\n     * to create new ContextMenu objects.\n     *\n     * Context menus in brackets may be HTML-based or native so clients should not reach into\n     * the HTML and should instead manipulate ContextMenus through the API.\n     *\n     * Events:\n     * - beforeContextMenuOpen\n     * - beforeContextMenuClose\n     *\n     * @constructor\n     * @extends {Menu}\n     */\n    function ContextMenu(id) {\n        Menu.apply(this, arguments);\n\n        var $newMenu = $("<li class=\'dropdown context-menu\' id=\'" + StringUtils.jQueryIdEscape(id) + "\'></li>"),\n            $popUp = $("<ul class=\'dropdown-menu\'></ul>"),\n            $toggle = $("<a href=\'#\' class=\'dropdown-toggle\' data-toggle=\'dropdown\'></a>").hide();\n\n        // assemble the menu fragments\n        $newMenu.append($toggle).append($popUp);\n\n        // insert into DOM\n        $("#context-menu-bar > ul").append($newMenu);\n\n        var self = this;\n        PopUpManager.addPopUp($popUp,\n            function () {\n                self.close();\n            },\n            false);\n\n        // Listen to ContextMenu\'s beforeContextMenuOpen event to first close other popups\n        PopUpManager.listenToContextMenu(this);\n    }\n    ContextMenu.prototype = Object.create(Menu.prototype);\n    ContextMenu.prototype.constructor = ContextMenu;\n    ContextMenu.prototype.parentClass = Menu.prototype;\n    EventDispatcher.makeEventDispatcher(ContextMenu.prototype);\n\n\n    /**\n     * Displays the ContextMenu at the specified location and dispatches the\n     * "beforeContextMenuOpen" event.The menu location may be adjusted to prevent\n     * clipping by the browser window. All other menus and ContextMenus will be closed\n     * bofore a new menu is shown.\n     *\n     * @param {MouseEvent | {pageX:number, pageY:number}} mouseOrLocation - pass a MouseEvent\n     *      to display the menu near the mouse or pass in an object with page x/y coordinates\n     *      for a specific location.\n     */\n    ContextMenu.prototype.open = function (mouseOrLocation) {\n\n        if (!mouseOrLocation || !mouseOrLocation.hasOwnProperty("pageX") || !mouseOrLocation.hasOwnProperty("pageY")) {\n            console.error("ContextMenu open(): missing required parameter");\n            return;\n        }\n\n        var $window = $(window),\n            escapedId = StringUtils.jQueryIdEscape(this.id),\n            $menuAnchor = $("#" + escapedId),\n            $menuWindow = $("#" + escapedId + " > ul"),\n            posTop  = mouseOrLocation.pageY,\n            posLeft = mouseOrLocation.pageX;\n\n        // only show context menu if it has menu items\n        if ($menuWindow.children().length <= 0) {\n            return;\n        }\n\n        this.trigger("beforeContextMenuOpen");\n\n        // close all other dropdowns\n        closeAll();\n\n        // adjust positioning so menu is not clipped off bottom or right\n        var elementRect = {\n                top:    posTop,\n                left:   posLeft,\n                height: $menuWindow.height() + 25,\n                width:  $menuWindow.width()\n            },\n            clip = ViewUtils.getElementClipSize($window, elementRect);\n\n        if (clip.bottom > 0) {\n            posTop = Math.max(0, posTop - clip.bottom);\n        }\n        posTop -= 30;   // shift top for hidden parent element\n        posLeft += 5;\n\n\n        if (clip.right > 0) {\n            posLeft = Math.max(0, posLeft - clip.right);\n        }\n\n        // open the context menu at final location\n        $menuAnchor.addClass("open")\n                   .css({"left": posLeft, "top": posTop});\n    };\n\n\n    /**\n     * Closes the context menu.\n     */\n    ContextMenu.prototype.close = function () {\n        this.trigger("beforeContextMenuClose");\n        $("#" + StringUtils.jQueryIdEscape(this.id)).removeClass("open");\n    };\n\n    /**\n     * Detect if current context menu is already open\n     */\n    ContextMenu.prototype.isOpen = function () {\n        return $("#" + StringUtils.jQueryIdEscape(this.id)).hasClass("open");\n    };\n\n\n    /**\n     * Associate a context menu to a DOM element.\n     * This static function take care of registering event handlers for the click event\n     * listener and passing the right "position" object to the Context#open method\n     */\n    ContextMenu.assignContextMenuToSelector = function (selector, cmenu) {\n        $(selector).on("click", function (e) {\n            var buttonOffset,\n                buttonHeight;\n\n            e.stopPropagation();\n\n            if (cmenu.isOpen()) {\n                cmenu.close();\n            } else {\n                buttonOffset = $(this).offset();\n                buttonHeight = $(this).outerHeight();\n                cmenu.open({\n                    pageX: buttonOffset.left,\n                    pageY: buttonOffset.top + buttonHeight\n                });\n            }\n        });\n    };\n\n\n    /**\n     * Registers new context menu with Brackets.\n\n     * Extensions should generally use the predefined context menus built into Brackets. Use this\n     * API to add a new context menu to UI that is specific to an extension.\n     *\n     * After registering  a new context menu clients should:\n     *      - use addMenuItem() to add items to the context menu\n     *      - call open() to show the context menu.\n     *      For example:\n     *      $("#my_ID").contextmenu(function (e) {\n     *          if (e.which === 3) {\n     *              my_cmenu.open(e);\n     *          }\n     *      });\n     *\n     * To make menu items be contextual to things like selection, listen for the "beforeContextMenuOpen"\n     * to make changes to Command objects before the context menu is shown. MenuItems are views of\n     * Commands, which control a MenuItem\'s name, enabled state, and checked state.\n     *\n     * @param {string} id - unique identifier for context menu.\n     *      Core context menus in Brackets use a simple title as an id.\n     *      Extensions should use the following format: "author.myextension.mycontextmenu name"\n     * @return {?ContextMenu} the newly created context menu\n     */\n    function registerContextMenu(id) {\n        if (!id) {\n            console.error("call to registerContextMenu() is missing required parameters");\n            return null;\n        }\n\n        // Guard against duplicate menu ids\n        if (contextMenuMap[id]) {\n            console.log("Context Menu added with same name and id of existing Context Menu: " + id);\n            return null;\n        }\n\n        var cmenu = new ContextMenu(id);\n        contextMenuMap[id] = cmenu;\n        return cmenu;\n    }\n\n    // Deprecated menu ids\n    DeprecationWarning.deprecateConstant(ContextMenuIds, "WORKING_SET_MENU", "WORKING_SET_CONTEXT_MENU");\n    DeprecationWarning.deprecateConstant(ContextMenuIds, "WORKING_SET_SETTINGS_MENU", "WORKING_SET_CONFIG_MENU");\n\n    // Define public API\n    exports.AppMenuBar = AppMenuBar;\n    exports.ContextMenuIds = ContextMenuIds;\n    exports.MenuSection = MenuSection;\n    exports.BEFORE = BEFORE;\n    exports.AFTER = AFTER;\n    exports.LAST = LAST;\n    exports.FIRST = FIRST;\n    exports.FIRST_IN_SECTION = FIRST_IN_SECTION;\n    exports.LAST_IN_SECTION = LAST_IN_SECTION;\n    exports.DIVIDER = DIVIDER;\n    exports.getMenu = getMenu;\n    exports.getAllMenus = getAllMenus;\n    exports.getMenuItem = getMenuItem;\n    exports.getContextMenu = getContextMenu;\n    exports.addMenu = addMenu;\n    exports.removeMenu = removeMenu;\n    exports.registerContextMenu = registerContextMenu;\n    exports.closeAll = closeAll;\n    exports.Menu = Menu;\n    exports.MenuItem = MenuItem;\n    exports.ContextMenu = ContextMenu;\n});\n\n//# sourceURL=/command/Menus.js'),
eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n */\ndefine(\'document/TextRange\',[\'require\',\'exports\',\'module\',\'utils/EventDispatcher\'],function (require, exports, module) {\n    "use strict";\n\n    var EventDispatcher = require("utils/EventDispatcher");\n\n\n    /**\n     * Stores a range of lines that is automatically maintained as the Document changes. The range\n     * MAY drop out of sync with the Document in certain edge cases; startLine & endLine will become\n     * null when that happens.\n     *\n     * Important: you must dispose() a TextRange when you\'re done with it. Because TextRange addRef()s\n     * the Document (in order to listen to it), you will leak Documents otherwise.\n     *\n     * TextRange dispatches these events:\n     *  - change -- When the range boundary line numbers change (due to a Document change)\n     *  - contentChange -- When the actual content of the range changes. This might or might not\n     *    be accompanied by a change in the boundary line numbers.\n     *  - lostSync -- When the backing Document changes in such a way that the range can no longer\n     *    accurately be maintained. Generally, occurs whenever an edit spans a range boundary.\n     *    After this, startLine & endLine will be unusable (set to null).\n     *    Also occurs when the document is deleted, though startLine & endLine won\'t be modified\n     * These events only ever occur in response to Document changes, so if you are already listening\n     * to the Document, you could ignore the TextRange events and just read its updated value in your\n     * own Document change handler.\n     *\n     * @constructor\n     *\n     * @param {!Document} document\n     * @param {number} startLine First line in range (0-based, inclusive)\n     * @param {number} endLine   Last line in range (0-based, inclusive)\n     */\n    function TextRange(document, startLine, endLine) {\n        this.startLine = startLine;\n        this.endLine = endLine;\n\n        this.document = document;\n        document.addRef();\n        // store this-bound versions of listeners so we can remove them later\n        this._handleDocumentChange = this._handleDocumentChange.bind(this);\n        this._handleDocumentDeleted = this._handleDocumentDeleted.bind(this);\n        document.on("change", this._handleDocumentChange);\n        document.on("deleted", this._handleDocumentDeleted);\n    }\n    EventDispatcher.makeEventDispatcher(TextRange.prototype);\n\n\n    /** Detaches from the Document. The TextRange will no longer update or send change events */\n    TextRange.prototype.dispose = function (editor, change) {\n        // Disconnect from Document\n        this.document.releaseRef();\n        this.document.off("change", this._handleDocumentChange);\n        this.document.off("deleted", this._handleDocumentDeleted);\n    };\n\n\n    /**\n     * Containing document\n     * @type {!Document}\n     */\n    TextRange.prototype.document = null;\n\n    /**\n     * Starting Line\n     * @type {?number} Null after "lostSync" is dispatched\n     */\n    TextRange.prototype.startLine = null;\n\n    /**\n     * Ending Line\n     * @type {?number} Null after "lostSync" is dispatched\n     */\n    TextRange.prototype.endLine = null;\n\n\n    /**\n     * Applies a single Document change object (out of the linked list of multiple such objects)\n     * to this range.\n     * @param {Object} change The CodeMirror change record.\n     * @return {{hasChanged: boolean, hasContentChanged: boolean}} Whether the range boundary\n     *     and/or content has changed.\n     */\n    TextRange.prototype._applySingleChangeToRange = function (change) {\n        // console.log(this + " applying change to (" +\n        //         (change.from && (change.from.line+","+change.from.ch)) + " - " +\n        //         (change.to && (change.to.line+","+change.to.ch)) + ")");\n\n        // Special case: the range is no longer meaningful since the entire text was replaced\n        if (!change.from || !change.to) {\n            this.startLine = null;\n            this.endLine = null;\n            return {hasChanged: true, hasContentChanged: true};\n\n        // Special case: certain changes around the edges of the range are problematic, because\n        // if they\'re undone, we\'ll be unable to determine how to fix up the range to include the\n        // undone content. (The "undo" will just look like an insertion outside our bounds.) So\n        // in those cases, we destroy the range instead of fixing it up incorrectly. The specific\n        // cases are:\n        // 1. Edit crosses the start boundary of the inline editor (defined as character 0\n        //    of the first line).\n        // 2. Edit crosses the end boundary of the inline editor (defined as the newline at\n        //    the end of the last line).\n        // Note: we also used to disallow edits that start at the beginning of the range (character 0\n        //    of the first line) if they crossed a newline. This was a vestige from before case #1\n        //    was added; now that edits crossing the top boundary (actually, undos of such edits) are\n        //    out of the picture, edits on the first line of the range unambiguously belong inside it.\n        } else if ((change.from.line < this.startLine && change.to.line >= this.startLine) ||\n                   (change.from.line <= this.endLine && change.to.line > this.endLine)) {\n            this.startLine = null;\n            this.endLine = null;\n            return {hasChanged: true, hasContentChanged: true};\n\n        // Normal case: update the range end points if any content was added before them. Note that\n        // we don\'t rely on line handles for this since we want to gracefully handle cases where the\n        // start or end line was deleted during a change.\n        } else {\n            var numAdded = change.text.length - (change.to.line - change.from.line + 1);\n            var result = {hasChanged: false, hasContentChanged: false};\n\n            // This logic is so simple because we\'ve already excluded all cases where the change\n            // crosses the range boundaries\n            if (numAdded !== 0) {\n                if (change.to.line < this.startLine) {\n                    this.startLine += numAdded;\n                    result.hasChanged = true;\n                }\n                if (change.to.line <= this.endLine) {\n                    this.endLine += numAdded;\n                    result.hasChanged = true;\n                }\n            }\n            if (change.from.line >= this.startLine && change.from.line <= this.endLine) {\n                // Since we know the change doesn\'t cross the range boundary, as long as the\n                // start of the change is within the range, we know the content changed.\n                result.hasContentChanged = true;\n            }\n\n            // console.log("Now " + this);\n\n            return result;\n        }\n    };\n\n    /**\n     * Updates the range based on the changeList from a Document "change" event. Dispatches a\n     * "change" event if the range was adjusted at all. Dispatches a "lostSync" event instead if the\n     * range can no longer be accurately maintained.\n     */\n    TextRange.prototype._applyChangesToRange = function (changeList) {\n        var hasChanged = false, hasContentChanged = false;\n        var i;\n        for (i = 0; i < changeList.length; i++) {\n            // Apply this step of the change list\n            var result = this._applySingleChangeToRange(changeList[i]);\n            hasChanged = hasChanged || result.hasChanged;\n            hasContentChanged = hasContentChanged || result.hasContentChanged;\n\n            // If we lost sync with the range, just bail now\n            if (this.startLine === null || this.endLine === null) {\n                this.trigger("lostSync");\n                break;\n            }\n        }\n\n        if (hasChanged) {\n            this.trigger("change");\n        }\n        if (hasContentChanged) {\n            this.trigger("contentChange");\n        }\n    };\n\n    TextRange.prototype._handleDocumentChange = function (event, doc, changeList) {\n        this._applyChangesToRange(changeList);\n    };\n\n    TextRange.prototype._handleDocumentDeleted = function (event) {\n        this.trigger("lostSync");\n    };\n\n\n    /* (pretty toString(), to aid debugging) */\n    TextRange.prototype.toString = function () {\n        return "[TextRange " + this.startLine + "-" + this.endLine + " in " + this.document + "]";\n    };\n\n\n    // Define public API\n    exports.TextRange = TextRange;\n});\n\n//# sourceURL=/document/TextRange.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Functions for iterating through tokens in the current editor buffer. Useful for doing\n * light parsing that can rely purely on information gathered by the code coloring mechanism.\n */\n\ndefine(\'utils/TokenUtils\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'thirdparty/CodeMirror/lib/codemirror\'],function (require, exports, module) {\n    "use strict";\n\n    var _           = require("thirdparty/lodash"),\n        CodeMirror  = require("thirdparty/CodeMirror/lib/codemirror");\n\n    var cache;\n\n\n    function _clearCache(cm) {\n        cache = null;\n        if (cm) { // event handler\n            cm.off("changes", _clearCache);\n        }\n    }\n\n    /*\n     * Caches the tokens for the given editor/line if needed\n     * @param {!CodeMirror} cm\n     * @param {!number} line\n     * @return {Array.<Object>} (Cached) array of tokens\n     */\n    function _manageCache(cm, line) {\n        if (!cache || !cache.tokens || cache.line !== line || cache.cm !== cm) {\n            // Cache is no longer matching -> Update\n            var tokens = cm.getLineTokens(line, false);\n            // Add empty beginning-of-line token for backwards compatibility\n            tokens.unshift(cm.getTokenAt({line: line, ch: 0}, false));\n            cache = {\n                cm: cm,\n                line: line,\n                timeStamp: Date.now(),\n                tokens: tokens\n            };\n            cm.off("changes", _clearCache);\n            cm.on("changes", _clearCache);\n        }\n        return cache.tokens;\n    }\n\n    /*\n     * Like cm.getTokenAt, but with caching. Way more performant for long lines.\n     * @param {!CodeMirror} cm\n     * @param {!{ch:number, line:number}} pos\n     * @param {boolean} precise If given, results in more current results. Suppresses caching.\n     * @return {Object} Token for position\n     */\n    function getTokenAt(cm, pos, precise) {\n        if (precise) {\n            _clearCache(); // reset cache\n            return cm.getTokenAt(pos, precise);\n        }\n        var cachedTokens    = _manageCache(cm, pos.line),\n            tokenIndex      = _.sortedIndex(cachedTokens, {end: pos.ch}, "end"), // binary search is faster for long arrays\n            token           = cachedTokens[tokenIndex];\n        return token || cm.getTokenAt(pos, precise); // fall back to CMs getTokenAt, for example in an empty line\n    }\n\n   /**\n     * Creates a context object for the given editor and position, suitable for passing to the\n     * move functions.\n     * @param {!CodeMirror} cm\n     * @param {!{ch:number, line:number}} pos\n     * @return {!{editor:!CodeMirror, pos:!{ch:number, line:number}, token:Object}}\n     */\n    function getInitialContext(cm, pos) {\n        return {\n            "editor": cm,\n            "pos": pos,\n            "token": cm.getTokenAt(pos, true)\n        };\n    }\n\n    /**\n     * Moves the given context backwards by one token.\n     * @param {!{editor:!CodeMirror, pos:!{ch:number, line:number}, token:Object}} ctx\n     * @param {boolean=} precise If code is being edited, use true (default) for accuracy.\n     *      If parsing unchanging code, use false to use cache for performance.\n     * @return {boolean} whether the context changed\n     */\n    function movePrevToken(ctx, precise) {\n        if (precise === undefined) {\n            precise = true;\n        }\n\n        if (ctx.pos.ch <= 0 || ctx.token.start <= 0) {\n            //move up a line\n            if (ctx.pos.line <= 0) {\n                return false; //at the top already\n            }\n            ctx.pos.line--;\n            ctx.pos.ch = ctx.editor.getLine(ctx.pos.line).length;\n        } else {\n            ctx.pos.ch = ctx.token.start;\n        }\n        ctx.token = getTokenAt(ctx.editor, ctx.pos, precise);\n        return true;\n    }\n\n    /**\n     * @param {!{editor:!CodeMirror, pos:!{ch:number, line:number}, token:Object}} ctx\n     * @return {boolean} true if movePrevToken() would return false without changing pos\n     */\n    function isAtStart(ctx) {\n        return (ctx.pos.ch <= 0 || ctx.token.start <= 0) && (ctx.pos.line <= 0);\n    }\n\n    /**\n     * Moves the given context forward by one token.\n     * @param {!{editor:!CodeMirror, pos:!{ch:number, line:number}, token:Object}} ctx\n     * @param {boolean=} precise If code is being edited, use true (default) for accuracy.\n     *      If parsing unchanging code, use false to use cache for performance.\n     * @return {boolean} whether the context changed\n     */\n    function moveNextToken(ctx, precise) {\n        var eol = ctx.editor.getLine(ctx.pos.line).length;\n        if (precise === undefined) {\n            precise = true;\n        }\n\n        if (ctx.pos.ch >= eol || ctx.token.end >= eol) {\n            //move down a line\n            if (ctx.pos.line >= ctx.editor.lineCount() - 1) {\n                return false; //at the bottom\n            }\n            ctx.pos.line++;\n            ctx.pos.ch = 0;\n        } else {\n            ctx.pos.ch = ctx.token.end + 1;\n        }\n        ctx.token = getTokenAt(ctx.editor, ctx.pos, precise);\n        return true;\n    }\n\n    /**\n     * @param {!{editor:!CodeMirror, pos:!{ch:number, line:number}, token:Object}} ctx\n     * @return {boolean} true if moveNextToken() would return false without changing pos\n     */\n    function isAtEnd(ctx) {\n        var eol = ctx.editor.getLine(ctx.pos.line).length;\n        return (ctx.pos.ch >= eol || ctx.token.end >= eol) && (ctx.pos.line >= ctx.editor.lineCount() - 1);\n    }\n\n   /**\n     * Moves the given context in the given direction, skipping any whitespace it hits.\n     * @param {function} moveFxn the function to move the context\n     * @param {!{editor:!CodeMirror, pos:!{ch:number, line:number}, token:Object}} ctx\n     * @return {boolean} whether the context changed\n     */\n    function moveSkippingWhitespace(moveFxn, ctx) {\n        if (!moveFxn(ctx)) {\n            return false;\n        }\n        while (!ctx.token.type && !/\\S/.test(ctx.token.string)) {\n            if (!moveFxn(ctx)) {\n                return false;\n            }\n        }\n        return true;\n    }\n\n    /**\n     * In the given context, get the character offset of pos from the start of the token.\n     * @param {!{editor:!CodeMirror, pos:!{ch:number, line:number}, token:Object}} context\n     * @return {number}\n     */\n    function offsetInToken(ctx) {\n        var offset = ctx.pos.ch - ctx.token.start;\n        if (offset < 0) {\n            console.log("CodeHintUtils: _offsetInToken - Invalid context: pos not in the current token!");\n        }\n        return offset;\n    }\n\n    /**\n     * Returns the mode object and mode name string at a given position\n     * @param {!CodeMirror} cm CodeMirror instance\n     * @param {!{line:number, ch:number}} pos Position to query for mode\n     * @param {boolean} precise If given, results in more current results. Suppresses caching.\n     * @return {mode:{Object}, name:string}\n     */\n    function getModeAt(cm, pos, precise) {\n        precise = precise || true;\n        var modeData = cm.getMode(),\n            name;\n\n        if (modeData.innerMode) {\n            modeData = CodeMirror.innerMode(modeData, getTokenAt(cm, pos, precise).state).mode;\n        }\n\n        name = (modeData.name === "xml") ?\n                modeData.configuration : modeData.name;\n\n        return {mode: modeData, name: name};\n    }\n\n    exports.getTokenAt              = getTokenAt;\n    exports.movePrevToken           = movePrevToken;\n    exports.moveNextToken           = moveNextToken;\n    exports.isAtStart               = isAtStart;\n    exports.isAtEnd                 = isAtEnd;\n    exports.moveSkippingWhitespace  = moveSkippingWhitespace;\n    exports.getInitialContext       = getInitialContext;\n    exports.offsetInToken           = offsetInToken;\n    exports.getModeAt               = getModeAt;\n});\n\n//# sourceURL=/utils/TokenUtils.js'),eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'utils/ValidationUtils\',[\'require\',\'exports\',\'module\'],function (require, exports, module) {\n    "use strict";\n\n\n    /**\n     * Used to validate whether type of unknown value is an integer.\n     *\n     * @param {*} value Value for which to validate its type\n     * @return {boolean} true if value is a finite integer\n     */\n    function isInteger(value) {\n        // Validate value is a number\n        if (typeof (value) !== "number" || isNaN(parseInt(value, 10))) {\n            return false;\n        }\n\n        // Validate number is an integer\n        if (Math.floor(value) !== value) {\n            return false;\n        }\n\n        // Validate number is finite\n        if (!isFinite(value)) {\n            return false;\n        }\n\n        return true;\n    }\n\n    /**\n     * Used to validate whether type of unknown value is an integer, and, if so,\n     * is it within the option lower and upper limits.\n     *\n     * @param {*} value Value for which to validate its type\n     * @param {number=} lowerLimit Optional lower limit (inclusive)\n     * @param {number=} upperLimit Optional upper limit (inclusive)\n     * @return {boolean} true if value is an interger, and optionally in specified range.\n     */\n    function isIntegerInRange(value, lowerLimit, upperLimit) {\n        // Validate value is an integer\n        if (!isInteger(value)) {\n            return false;\n        }\n\n        // Validate integer is in range\n        var hasLowerLimt = (typeof (lowerLimit) === "number"),\n            hasUpperLimt = (typeof (upperLimit) === "number");\n\n        return ((!hasLowerLimt || value >= lowerLimit) && (!hasUpperLimt || value <= upperLimit));\n    }\n\n\n    // Define public API\n    exports.isInteger               = isInteger;\n    exports.isIntegerInRange        = isIntegerInRange;\n});\n\n//# sourceURL=/utils/ValidationUtils.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Editor is a 1-to-1 wrapper for a CodeMirror editor instance. It layers on Brackets-specific\n * functionality and provides APIs that cleanly pass through the bits of CodeMirror that the rest\n * of our codebase may want to interact with. An Editor is always backed by a Document, and stays\n * in sync with its content; because Editor keeps the Document alive, it\'s important to always\n * destroy() an Editor that\'s going away so it can release its Document ref.\n *\n * For now, there\'s a distinction between the "master" Editor for a Document - which secretly acts\n * as the Document\'s internal model of the text state - and the multitude of "slave" secondary Editors\n * which, via Document, sync their changes to and from that master.\n *\n * For now, direct access to the underlying CodeMirror object is still possible via `_codeMirror` --\n * but this is considered deprecated and may go away.\n *\n * The Editor object dispatches the following events:\n *    - keydown, keypress, keyup -- When any key event happens in the editor (whether it changes the\n *      text or not). Handlers are passed `(BracketsEvent, Editor, KeyboardEvent)`. The 3nd arg is the\n *      raw DOM event. Note: most listeners will only want to listen for "keypress".\n *    - cursorActivity -- When the user moves the cursor or changes the selection, or an edit occurs.\n *      Note: do not listen to this in order to be generally informed of edits--listen to the\n *      "change" event on Document instead.\n *    - scroll -- When the editor is scrolled, either by user action or programmatically.\n *    - lostContent -- When the backing Document changes in such a way that this Editor is no longer\n *      able to display accurate text. This occurs if the Document\'s file is deleted, or in certain\n *      Document->editor syncing edge cases that we do not yet support (the latter cause will\n *      eventually go away).\n *    - optionChange -- Triggered when an option for the editor is changed. The 2nd arg to the listener\n *      is a string containing the editor option that is changing. The 3rd arg, which can be any\n *      data type, is the new value for the editor option.\n *    - beforeDestroy - Triggered before the object is about to dispose of all its internal state data\n *      so that listeners can cache things like scroll pos, etc...\n *\n * The Editor also dispatches "change" events internally, but you should listen for those on\n * Documents, not Editors.\n *\n * To listen for events, do something like this: (see EventDispatcher for details on this pattern)\n *     `editorInstance.on("eventname", handler);`\n */\ndefine(\'editor/Editor\',[\'require\',\'exports\',\'module\',\'utils/AnimationUtils\',\'utils/Async\',\'thirdparty/CodeMirror/lib/codemirror\',\'language/LanguageManager\',\'utils/EventDispatcher\',\'command/Menus\',\'utils/PerfUtils\',\'widgets/PopUpManager\',\'preferences/PreferencesManager\',\'strings\',\'document/TextRange\',\'utils/TokenUtils\',\'utils/ValidationUtils\',\'utils/ViewUtils\',\'view/MainViewManager\',\'thirdparty/lodash\'],function (require, exports, module) {\n    "use strict";\n\n    var AnimationUtils     = require("utils/AnimationUtils"),\n        Async              = require("utils/Async"),\n        CodeMirror         = require("thirdparty/CodeMirror/lib/codemirror"),\n        LanguageManager    = require("language/LanguageManager"),\n        EventDispatcher    = require("utils/EventDispatcher"),\n        Menus              = require("command/Menus"),\n        PerfUtils          = require("utils/PerfUtils"),\n        PopUpManager       = require("widgets/PopUpManager"),\n        PreferencesManager = require("preferences/PreferencesManager"),\n        Strings            = require("strings"),\n        TextRange          = require("document/TextRange").TextRange,\n        TokenUtils         = require("utils/TokenUtils"),\n        ValidationUtils    = require("utils/ValidationUtils"),\n        ViewUtils          = require("utils/ViewUtils"),\n        MainViewManager    = require("view/MainViewManager"),\n        _                  = require("thirdparty/lodash");\n\n    /** Editor preferences */\n    var CLOSE_BRACKETS      = "closeBrackets",\n        CLOSE_TAGS          = "closeTags",\n        DRAG_DROP           = "dragDropText",\n        HIGHLIGHT_MATCHES   = "highlightMatches",\n        LINEWISE_COPY_CUT   = "lineWiseCopyCut",\n        SCROLL_PAST_END     = "scrollPastEnd",\n        SHOW_CURSOR_SELECT  = "showCursorWhenSelecting",\n        SHOW_LINE_NUMBERS   = "showLineNumbers",\n        SMART_INDENT        = "smartIndent",\n        SOFT_TABS           = "softTabs",\n        SPACE_UNITS         = "spaceUnits",\n        STYLE_ACTIVE_LINE   = "styleActiveLine",\n        TAB_SIZE            = "tabSize",\n        UPPERCASE_COLORS    = "uppercaseColors",\n        USE_TAB_CHAR        = "useTabChar",\n        WORD_WRAP           = "wordWrap",\n        INDENT_LINE_COMMENT   = "indentLineComment";\n\n    /**\n      * A list of gutter name and priorities currently registered for editors.\n      * The line number gutter is defined as { name: LINE_NUMBER_GUTTER, priority: 100 }\n      * @type {Array.<{name: string, priority: number, languageIds: Array}}\n      */\n    var registeredGutters = [];\n\n    var cmOptions         = {};\n\n    /**\n     * Constants\n     * @type {number}\n     */\n    var MIN_SPACE_UNITS         =  1,\n        MIN_TAB_SIZE            =  1,\n        DEFAULT_SPACE_UNITS     =  4,\n        DEFAULT_TAB_SIZE        =  4,\n        MAX_SPACE_UNITS         = 10,\n        MAX_TAB_SIZE            = 10;\n\n    var LINE_NUMBER_GUTTER = "CodeMirror-linenumbers",\n        LINE_NUMBER_GUTTER_PRIORITY     = 100,\n        CODE_FOLDING_GUTTER_PRIORITY    = 1000;\n\n    // Mappings from Brackets preferences to CodeMirror options\n    cmOptions[CLOSE_BRACKETS]     = "autoCloseBrackets";\n    cmOptions[CLOSE_TAGS]         = "autoCloseTags";\n    cmOptions[DRAG_DROP]          = "dragDrop";\n    cmOptions[HIGHLIGHT_MATCHES]  = "highlightSelectionMatches";\n    cmOptions[LINEWISE_COPY_CUT]  = "lineWiseCopyCut";\n    cmOptions[SCROLL_PAST_END]    = "scrollPastEnd";\n    cmOptions[SHOW_CURSOR_SELECT] = "showCursorWhenSelecting";\n    cmOptions[SHOW_LINE_NUMBERS]  = "lineNumbers";\n    cmOptions[SMART_INDENT]       = "smartIndent";\n    cmOptions[SPACE_UNITS]        = "indentUnit";\n    cmOptions[STYLE_ACTIVE_LINE]  = "styleActiveLine";\n    cmOptions[TAB_SIZE]           = "tabSize";\n    cmOptions[USE_TAB_CHAR]       = "indentWithTabs";\n    cmOptions[WORD_WRAP]          = "lineWrapping";\n\n    PreferencesManager.definePreference(CLOSE_BRACKETS,     "boolean", true, {\n        description: Strings.DESCRIPTION_CLOSE_BRACKETS\n    });\n\n    // CodeMirror, html mode, set some tags do not close automatically.\n    // We do not initialize "dontCloseTags" because otherwise we would overwrite the default behavior of CodeMirror.\n    PreferencesManager.definePreference(CLOSE_TAGS,         "object", { whenOpening: true, whenClosing: true, indentTags: [] }, {\n        description: Strings.DESCRIPTION_CLOSE_TAGS,\n        keys: {\n            dontCloseTags: {\n                type: "array",\n                description: Strings.DESCRIPTION_CLOSE_TAGS_DONT_CLOSE_TAGS\n            },\n            whenOpening: {\n                type: "boolean",\n                description: Strings.DESCRIPTION_CLOSE_TAGS_WHEN_OPENING,\n                initial: true\n            },\n            whenClosing: {\n                type: "boolean",\n                description: Strings.DESCRIPTION_CLOSE_TAGS_WHEN_CLOSING,\n                initial: true\n            },\n            indentTags: {\n                type: "array",\n                description: Strings.DESCRIPTION_CLOSE_TAGS_INDENT_TAGS\n            }\n        }\n    });\n    PreferencesManager.definePreference(DRAG_DROP,          "boolean", false, {\n        description: Strings.DESCRIPTION_DRAG_DROP_TEXT\n    });\n    PreferencesManager.definePreference(HIGHLIGHT_MATCHES,  "boolean", false, {\n        description: Strings.DESCRIPTION_HIGHLIGHT_MATCHES,\n        keys: {\n            showToken: {\n                type: "boolean",\n                description: Strings.DESCRIPTION_HIGHLIGHT_MATCHES_SHOW_TOKEN,\n                initial: false\n            },\n            wordsOnly: {\n                type: "boolean",\n                description: Strings.DESCRIPTION_HIGHLIGHT_MATCHES_WORDS_ONLY,\n                initial: false\n            }\n        }\n    });\n    PreferencesManager.definePreference(LINEWISE_COPY_CUT,  "boolean", true, {\n        description: Strings.DESCRIPTION_LINEWISE_COPY_CUT\n    });\n    PreferencesManager.definePreference(SCROLL_PAST_END,    "boolean", false, {\n        description: Strings.DESCRIPTION_SCROLL_PAST_END\n    });\n    PreferencesManager.definePreference(SHOW_CURSOR_SELECT, "boolean", false, {\n        description: Strings.DESCRIPTION_SHOW_CURSOR_WHEN_SELECTING\n    });\n    PreferencesManager.definePreference(SHOW_LINE_NUMBERS,  "boolean", true, {\n        description: Strings.DESCRIPTION_SHOW_LINE_NUMBERS\n    });\n    PreferencesManager.definePreference(SMART_INDENT,       "boolean", true, {\n        description: Strings.DESCRIPTION_SMART_INDENT\n    });\n    PreferencesManager.definePreference(SOFT_TABS,          "boolean", true, {\n        description: Strings.DESCRIPTION_SOFT_TABS\n    });\n    PreferencesManager.definePreference(SPACE_UNITS,        "number", DEFAULT_SPACE_UNITS, {\n        validator: _.partialRight(ValidationUtils.isIntegerInRange, MIN_SPACE_UNITS, MAX_SPACE_UNITS),\n        description: Strings.DESCRIPTION_SPACE_UNITS\n    });\n    PreferencesManager.definePreference(STYLE_ACTIVE_LINE,  "boolean", false, {\n        description: Strings.DESCRIPTION_STYLE_ACTIVE_LINE\n    });\n    PreferencesManager.definePreference(TAB_SIZE,           "number", DEFAULT_TAB_SIZE, {\n        validator: _.partialRight(ValidationUtils.isIntegerInRange, MIN_TAB_SIZE, MAX_TAB_SIZE),\n        description: Strings.DESCRIPTION_TAB_SIZE\n    });\n    PreferencesManager.definePreference(UPPERCASE_COLORS,   "boolean", false, {\n        description: Strings.DESCRIPTION_UPPERCASE_COLORS\n    });\n    PreferencesManager.definePreference(USE_TAB_CHAR,       "boolean", false, {\n        description: Strings.DESCRIPTION_USE_TAB_CHAR\n    });\n    PreferencesManager.definePreference(WORD_WRAP,          "boolean", true, {\n        description: Strings.DESCRIPTION_WORD_WRAP\n    });\n\n    PreferencesManager.definePreference(INDENT_LINE_COMMENT,  "boolean", false, {\n        description: Strings.DESCRIPTION_INDENT_LINE_COMMENT\n    });\n\n    var editorOptions = Object.keys(cmOptions);\n\n    /** Editor preferences */\n\n    /**\n     * Guard flag to prevent focus() reentrancy (via blur handlers), even across Editors\n     * @type {boolean}\n     */\n    var _duringFocus = false;\n\n    /**\n     * Constant: ignore upper boundary when centering text\n     * @type {number}\n     */\n    var BOUNDARY_CHECK_NORMAL   = 0,\n        BOUNDARY_IGNORE_TOP     = 1;\n\n    /**\n     * @private\n     * Create a copy of the given CodeMirror position\n     * @param {!CodeMirror.Pos} pos\n     * @return {CodeMirror.Pos}\n     */\n    function _copyPos(pos) {\n        return new CodeMirror.Pos(pos.line, pos.ch);\n    }\n\n    /**\n     * Helper functions to check options.\n     * @param {number} options BOUNDARY_CHECK_NORMAL or BOUNDARY_IGNORE_TOP\n     */\n    function _checkTopBoundary(options) {\n        return (options !== BOUNDARY_IGNORE_TOP);\n    }\n\n    function _checkBottomBoundary(options) {\n        return true;\n    }\n\n    /**\n     * Helper function to build preferences context based on the full path of\n     * the file.\n     *\n     * @param {string} fullPath Full path of the file\n     *\n     * @return {*} A context for the specified file name\n     */\n    function _buildPreferencesContext(fullPath) {\n        return PreferencesManager._buildContext(fullPath,\n            fullPath ? LanguageManager.getLanguageForPath(fullPath).getId() : undefined);\n    }\n\n    /**\n     * List of all current (non-destroy()ed) Editor instances. Needed when changing global preferences\n     * that affect all editors, e.g. tabbing or color scheme settings.\n     * @type {Array.<Editor>}\n     */\n    var _instances = [];\n\n    /**\n     * Creates a new CodeMirror editor instance bound to the given Document. The Document need not have\n     * a "master" Editor realized yet, even if makeMasterEditor is false; in that case, the first time\n     * an edit occurs we will automatically ask EditorManager to create a "master" editor to render the\n     * Document modifiable.\n     *\n     * ALWAYS call destroy() when you are done with an Editor - otherwise it will leak a Document ref.\n     *\n     * @constructor\n     *\n     * @param {!Document} document\n     * @param {!boolean} makeMasterEditor  If true, this Editor will set itself as the (secret) "master"\n     *          Editor for the Document. If false, this Editor will attach to the Document as a "slave"/\n     *          secondary editor.\n     * @param {!jQueryObject|DomNode} container  Container to add the editor to.\n     * @param {{startLine: number, endLine: number}=} range If specified, range of lines within the document\n     *          to display in this editor. Inclusive.\n     * @param {!Object} options If specified, contains editor options that can be passed to CodeMirror\n     */\n    function Editor(document, makeMasterEditor, container, range, options) {\n        var self = this;\n\n        var isReadOnly = options && options.isReadOnly;\n\n        _instances.push(this);\n\n        // Attach to document: add ref & handlers\n        this.document = document;\n        document.addRef();\n\n        if (container.jquery) {\n            // CodeMirror wants a DOM element, not a jQuery wrapper\n            container = container.get(0);\n        }\n\n        var $container = $(container);\n\n        if (range) {    // attach this first: want range updated before we process a change\n            this._visibleRange = new TextRange(document, range.startLine, range.endLine);\n        }\n\n        // store this-bound version of listeners so we can remove them later\n        this._handleDocumentChange = this._handleDocumentChange.bind(this);\n        this._handleDocumentDeleted = this._handleDocumentDeleted.bind(this);\n        this._handleDocumentLanguageChanged = this._handleDocumentLanguageChanged.bind(this);\n        this._doWorkingSetSync = this._doWorkingSetSync.bind(this);\n        document.on("change", this._handleDocumentChange);\n        document.on("deleted", this._handleDocumentDeleted);\n        document.on("languageChanged", this._handleDocumentLanguageChanged);\n        // To sync working sets if the view is for same doc across panes\n        document.on("_dirtyFlagChange", this._doWorkingSetSync);\n\n        var mode = this._getModeFromDocument();\n\n        // (if makeMasterEditor, we attach the Doc back to ourselves below once we\'re fully initialized)\n\n        this._inlineWidgets = [];\n        this._inlineWidgetQueues = {};\n        this._hideMarks = [];\n        this._lastEditorWidth = null;\n\n        this._$messagePopover = null;\n\n        // To track which pane the editor is being attached to if it\'s a full editor\n        this._paneId = null;\n\n        // To track the parent editor ( host editor at that time of creation) of an inline editor\n        this._hostEditor = null;\n\n        // Editor supplies some standard keyboard behavior extensions of its own\n        var codeMirrorKeyMap = {\n            "Tab": function () { self._handleTabKey(); },\n            "Shift-Tab": "indentLess",\n\n            "Left": function (instance) {\n                self._handleSoftTabNavigation(-1, "moveH");\n            },\n            "Right": function (instance) {\n                self._handleSoftTabNavigation(1, "moveH");\n            },\n            "Backspace": function (instance) {\n                self._handleSoftTabNavigation(-1, "deleteH");\n            },\n            "Delete": function (instance) {\n                self._handleSoftTabNavigation(1, "deleteH");\n            },\n            "Esc": function (instance) {\n                if (self.getSelections().length > 1) {\n                    CodeMirror.commands.singleSelection(instance);\n                } else {\n                    self.removeAllInlineWidgets();\n                }\n            },\n            "Home":      "goLineLeftSmart",\n            "Cmd-Left":  "goLineLeftSmart",\n            "End":       "goLineRight",\n            "Cmd-Right": "goLineRight"\n        };\n\n        var currentOptions = this._currentOptions = _.zipObject(\n            editorOptions,\n            _.map(editorOptions, function (prefName) {\n                return self._getOption(prefName);\n            })\n        );\n\n        // When panes are created *after* the showLineNumbers option has been turned off\n        //  we need to apply the show-line-padding class or the text will be juxtaposed\n        //  to the edge of the editor which makes it not easy to read.  The code below to handle\n        //  that the option change only applies the class to panes that have already been created\n        // This line ensures that the class is applied to any editor created after the fact\n        $container.toggleClass("show-line-padding", Boolean(!this._getOption("showLineNumbers")));\n\n        // Create the CodeMirror instance\n        // (note: CodeMirror doesn\'t actually require using \'new\', but jslint complains without it)\n        this._codeMirror = new CodeMirror(container, {\n            autoCloseBrackets           : currentOptions[CLOSE_BRACKETS],\n            autoCloseTags               : currentOptions[CLOSE_TAGS],\n            coverGutterNextToScrollbar  : true,\n            cursorScrollMargin          : 3,\n            dragDrop                    : currentOptions[DRAG_DROP],\n            electricChars               : true,\n            extraKeys                   : codeMirrorKeyMap,\n            highlightSelectionMatches   : currentOptions[HIGHLIGHT_MATCHES],\n            indentUnit                  : currentOptions[USE_TAB_CHAR] ? currentOptions[TAB_SIZE] : currentOptions[SPACE_UNITS],\n            indentWithTabs              : currentOptions[USE_TAB_CHAR],\n            inputStyle                  : "textarea", // the "contenteditable" mode used on mobiles could cause issues\n            lineNumbers                 : currentOptions[SHOW_LINE_NUMBERS],\n            lineWiseCopyCut             : currentOptions[LINEWISE_COPY_CUT],\n            lineWrapping                : currentOptions[WORD_WRAP],\n            matchBrackets               : { maxScanLineLength: 50000, maxScanLines: 1000 },\n            matchTags                   : { bothTags: true },\n            scrollPastEnd               : !range && currentOptions[SCROLL_PAST_END],\n            showCursorWhenSelecting     : currentOptions[SHOW_CURSOR_SELECT],\n            smartIndent                 : currentOptions[SMART_INDENT],\n            styleActiveLine             : currentOptions[STYLE_ACTIVE_LINE],\n            tabSize                     : currentOptions[TAB_SIZE],\n            readOnly                    : isReadOnly\n        });\n\n        // Can\'t get CodeMirror\'s focused state without searching for\n        // CodeMirror-focused. Instead, track focus via onFocus and onBlur\n        // options and track state with this._focused\n        this._focused = false;\n\n        this._installEditorListeners();\n\n        this._renderGutters();\n\n        this.on("cursorActivity", function (event, editor) {\n            self._handleCursorActivity(event);\n        });\n        this.on("keypress", function (event, editor, domEvent) {\n            self._handleKeypressEvents(domEvent);\n        });\n        this.on("change", function (event, editor, changeList) {\n            self._handleEditorChange(changeList);\n        });\n        this.on("focus", function (event, editor) {\n            if (self._hostEditor) {\n                // Mark the host editor as the master editor for the hosting document\n                self._hostEditor.document._toggleMasterEditor(self._hostEditor);\n            } else {\n                // Set this full editor as master editor for the document\n                self.document._toggleMasterEditor(self);\n            }\n        });\n\n        // Set code-coloring mode BEFORE populating with text, to avoid a flash of uncolored text\n        this._codeMirror.setOption("mode", mode);\n\n        // Initially populate with text. This will send a spurious change event, so need to make\n        // sure this is understood as a \'sync from document\' case, not a genuine edit\n        this._duringSync = true;\n        this._resetText(document.getText());\n        this._duringSync = false;\n\n        if (range) {\n            this._updateHiddenLines();\n            this.setCursorPos(range.startLine, 0);\n        }\n\n        // Now that we\'re fully initialized, we can point the document back at us if needed\n        if (makeMasterEditor) {\n            document._makeEditable(this);\n        }\n\n        // Add scrollTop property to this object for the scroll shadow code to use\n        Object.defineProperty(this, "scrollTop", {\n            get: function () {\n                return this._codeMirror.getScrollInfo().top;\n            }\n        });\n\n        // Add an $el getter for Pane Views\n        Object.defineProperty(this,  "$el", {\n            get: function () {\n                return $(this.getRootElement());\n            }\n        });\n    }\n\n    EventDispatcher.makeEventDispatcher(Editor.prototype);\n    EventDispatcher.markDeprecated(Editor.prototype, "keyEvent", "\'keydown/press/up\'");\n\n    Editor.prototype.markPaneId = function (paneId) {\n        this._paneId = paneId;\n\n        // Also add this to the pool of full editors\n        this.document._associateEditor(this);\n\n        // In case this Editor is initialized not as the first full editor for the document\n        // and the document is already dirty and present in another working set, make sure\n        // to add this documents to the new panes working set.\n        this._doWorkingSetSync(null, this.document);\n    };\n\n    Editor.prototype._doWorkingSetSync = function (event, doc) {\n        if (doc === this.document && this._paneId && this.document.isDirty) {\n            MainViewManager.addToWorkingSet(this._paneId, this.document.file, -1, false);\n        }\n    };\n\n    /**\n     * Removes this editor from the DOM and detaches from the Document. If this is the "master"\n     * Editor that is secretly providing the Document\'s backing state, then the Document reverts to\n     * a read-only string-backed mode.\n     */\n    Editor.prototype.destroy = function () {\n        this.trigger("beforeDestroy", this);\n\n        // CodeMirror docs for getWrapperElement() say all you have to do is "Remove this from your\n        // tree to delete an editor instance."\n        $(this.getRootElement()).remove();\n\n        _instances.splice(_instances.indexOf(this), 1);\n\n        // Disconnect from Document\n        this.document.releaseRef();\n        this.document.off("change", this._handleDocumentChange);\n        this.document.off("deleted", this._handleDocumentDeleted);\n        this.document.off("languageChanged", this._handleDocumentLanguageChanged);\n        this.document.off("_dirtyFlagChange", this._doWorkingSetSync);\n\n        if (this._visibleRange) {   // TextRange also refs the Document\n            this._visibleRange.dispose();\n        }\n\n        // If we\'re the Document\'s master editor, disconnecting from it has special meaning\n        if (this.document._masterEditor === this) {\n            this.document._makeNonEditable();\n        } else {\n            this.document._disassociateEditor(this);\n        }\n\n        // Destroying us destroys any inline widgets we\'re hosting. Make sure their closeCallbacks\n        // run, at least, since they may also need to release Document refs\n        var self = this;\n        this._inlineWidgets.forEach(function (inlineWidget) {\n            self._removeInlineWidgetInternal(inlineWidget);\n        });\n    };\n\n    /**\n     * @private\n     * Handle any cursor movement in editor, including selecting and unselecting text.\n     * @param {!Event} event\n     */\n    Editor.prototype._handleCursorActivity = function (event) {\n        this._updateStyleActiveLine();\n    };\n\n    /**\n     * @private\n     * Removes any whitespace after one of ]{}) to prevent trailing whitespace when auto-indenting\n     */\n    Editor.prototype._handleWhitespaceForElectricChars = function () {\n        var self        = this,\n            instance    = this._codeMirror,\n            selections,\n            lineStr;\n\n        selections = this.getSelections().map(function (sel) {\n            lineStr = instance.getLine(sel.end.line);\n\n            if (lineStr && !/\\S/.test(lineStr)) {\n                // if the line is all whitespace, move the cursor to the end of the line\n                // before indenting so that embedded whitespace such as indents are not\n                // orphaned to the right of the electric char being inserted\n                sel.end.ch = self.document.getLine(sel.end.line).length;\n            }\n            return sel;\n        });\n        this.setSelections(selections);\n    };\n\n    /**\n     * @private\n     * Handle CodeMirror key events.\n     * @param {!Event} event\n     */\n    Editor.prototype._handleKeypressEvents = function (event) {\n        var keyStr = String.fromCharCode(event.which || event.keyCode);\n\n        if (/[\\]\\{\\}\\)]/.test(keyStr)) {\n            this._handleWhitespaceForElectricChars();\n        }\n    };\n\n    /**\n     * @private\n     * Helper function for `_handleTabKey()` (case 2) - see comment in that function.\n     * @param {Array.<{start:{line:number, ch:number}, end:{line:number, ch:number}, reversed:boolean, primary:boolean}>} selections\n     *     The selections to indent.\n     */\n    Editor.prototype._addIndentAtEachSelection = function (selections) {\n        var instance = this._codeMirror,\n            usingTabs = instance.getOption("indentWithTabs"),\n            indentUnit = instance.getOption("indentUnit"),\n            edits = [];\n\n        _.each(selections, function (sel) {\n            var indentStr = "", i, numSpaces;\n            if (usingTabs) {\n                indentStr = "\\t";\n            } else {\n                numSpaces = indentUnit - (sel.start.ch % indentUnit);\n                for (i = 0; i < numSpaces; i++) {\n                    indentStr += " ";\n                }\n            }\n            edits.push({edit: {text: indentStr, start: sel.start}});\n        });\n\n        this.document.doMultipleEdits(edits);\n    };\n\n    /**\n     * @private\n     * Helper function for `_handleTabKey()` (case 3) - see comment in that function.\n     * @param {Array.<{start:{line:number, ch:number}, end:{line:number, ch:number}, reversed:boolean, primary:boolean}>} selections\n     *     The selections to indent.\n     */\n    Editor.prototype._autoIndentEachSelection = function (selections) {\n        // Capture all the line lengths, so we can tell if anything changed.\n        // Note that this function should only be called if all selections are within a single line.\n        var instance = this._codeMirror,\n            lineLengths = {};\n        _.each(selections, function (sel) {\n            lineLengths[sel.start.line] = instance.getLine(sel.start.line).length;\n        });\n\n        // First, try to do a smart indent on all selections.\n        CodeMirror.commands.indentAuto(instance);\n\n        // If there were no code or selection changes, then indent each selection one more indent.\n        var changed = false,\n            newSelections = this.getSelections();\n        if (newSelections.length === selections.length) {\n            _.each(selections, function (sel, index) {\n                var newSel = newSelections[index];\n                if (CodeMirror.cmpPos(sel.start, newSel.start) !== 0 ||\n                        CodeMirror.cmpPos(sel.end, newSel.end) !== 0 ||\n                        instance.getLine(sel.start.line).length !== lineLengths[sel.start.line]) {\n                    changed = true;\n                    // Bail - we don\'t need to look any further once we\'ve found a change.\n                    return false;\n                }\n            });\n        } else {\n            changed = true;\n        }\n\n        if (!changed) {\n            CodeMirror.commands.indentMore(instance);\n        }\n    };\n\n    /**\n     * @private\n     * Handle Tab key press.\n     */\n    Editor.prototype._handleTabKey = function () {\n        // Tab key handling is done as follows:\n        // 1. If any of the selections are multiline, just add one indent level to the\n        //    beginning of all lines that intersect any selection.\n        // 2. Otherwise, if any of the selections is a cursor or single-line range that\n        //    ends at or after the first non-whitespace character in a line:\n        //    - if indentation is set to tabs, just insert a hard tab before each selection.\n        //    - if indentation is set to spaces, insert the appropriate number of spaces before\n        //      each selection to get to its next soft tab stop.\n        // 3. Otherwise (all selections are cursors or single-line, and are in the whitespace\n        //    before their respective lines), try to autoindent each line based on the mode.\n        //    If none of the cursors moved and no space was added, then add one indent level\n        //    to the beginning of all lines.\n\n        // Note that in case 2, we do the "dumb" insertion even if the cursor is immediately\n        // before the first non-whitespace character in a line. It might seem more convenient\n        // to do autoindent in that case. However, the problem is if that line is already\n        // indented past its "proper" location. In that case, we don\'t want Tab to\n        // *outdent* the line. If we had more control over the autoindent algorithm or\n        // implemented it ourselves, we could handle that case separately.\n\n        var instance = this._codeMirror,\n            selectionType = "indentAuto",\n            selections = this.getSelections();\n\n        _.each(selections, function (sel) {\n            if (sel.start.line !== sel.end.line) {\n                // Case 1 - we found a multiline selection. We can bail as soon as we find one of these.\n                selectionType = "indentAtBeginning";\n                return false;\n            } else if (sel.end.ch > 0 && sel.end.ch >= instance.getLine(sel.end.line).search(/\\S/)) {\n                // Case 2 - we found a selection that ends at or after the first non-whitespace\n                // character on the line. We need to keep looking in case we find a later multiline\n                // selection though.\n                selectionType = "indentAtSelection";\n            }\n        });\n\n        switch (selectionType) {\n        case "indentAtBeginning":\n            // Case 1\n            CodeMirror.commands.indentMore(instance);\n            break;\n\n        case "indentAtSelection":\n            // Case 2\n            this._addIndentAtEachSelection(selections);\n            break;\n\n        case "indentAuto":\n            // Case 3\n            this._autoIndentEachSelection(selections);\n            break;\n        }\n    };\n\n    /**\n     * @private\n     * Handle left arrow, right arrow, backspace and delete keys when soft tabs are used.\n     * @param {number} direction Direction of movement: 1 for forward, -1 for backward\n     * @param {string} functionName name of the CodeMirror function to call if we handle the key\n     */\n    Editor.prototype._handleSoftTabNavigation = function (direction, functionName) {\n        var instance = this._codeMirror,\n            overallJump = null;\n\n        if (!instance.getOption("indentWithTabs") && PreferencesManager.get(SOFT_TABS)) {\n            var indentUnit = instance.getOption("indentUnit");\n\n            _.each(this.getSelections(), function (sel) {\n                if (CodeMirror.cmpPos(sel.start, sel.end) !== 0) {\n                    // This is a range - it will just collapse/be deleted regardless of the jump we set, so\n                    // we can just ignore it and continue. (We don\'t want to return false in this case since\n                    // we want to keep looking at other ranges.)\n                    return;\n                }\n\n                var cursor = sel.start,\n                    jump   = (indentUnit === 0) ? 1 : cursor.ch % indentUnit,\n                    line   = instance.getLine(cursor.line);\n\n                // Don\'t do any soft tab handling if there are non-whitespace characters before the cursor in\n                // any of the selections.\n                if (line.substr(0, cursor.ch).search(/\\S/) !== -1) {\n                    jump = null;\n                } else if (direction === 1) { // right\n                    if (indentUnit) {\n                        jump = indentUnit - jump;\n                    }\n\n                    // Don\'t jump if it would take us past the end of the line, or if there are\n                    // non-whitespace characters within the jump distance.\n                    if (cursor.ch + jump > line.length || line.substr(cursor.ch, jump).search(/\\S/) !== -1) {\n                        jump = null;\n                    }\n                } else { // left\n                    // If we are on the tab boundary, jump by the full amount,\n                    // but not beyond the start of the line.\n                    if (jump === 0) {\n                        jump = indentUnit;\n                    }\n                    if (cursor.ch - jump < 0) {\n                        jump = null;\n                    } else {\n                        // We\'re moving left, so negate the jump.\n                        jump = -jump;\n                    }\n                }\n\n                // Did we calculate a jump, and is this jump value either the first one or\n                // consistent with all the other jumps? If so, we\'re good. Otherwise, bail\n                // out of the foreach, since as soon as we hit an inconsistent jump we don\'t\n                // have to look any further.\n                if (jump !== null &&\n                        (overallJump === null || overallJump === jump)) {\n                    overallJump = jump;\n                } else {\n                    overallJump = null;\n                    return false;\n                }\n            });\n        }\n\n        if (overallJump === null) {\n            // Just do the default move, which is one char in the given direction.\n            overallJump = direction;\n        }\n        instance[functionName](overallJump, "char");\n    };\n\n    /**\n     * Determine the mode to use from the document\'s language\n     * Uses "text/plain" if the language does not define a mode\n     * @return {string} The mode to use\n     */\n    Editor.prototype._getModeFromDocument = function () {\n        // We\'d like undefined/null/"" to mean plain text mode. CodeMirror defaults to plaintext for any\n        // unrecognized mode, but it complains on the console in that fallback case: so, convert\n        // here so we\'re always explicit, avoiding console noise.\n        return this.document.getLanguage().getMode() || "text/plain";\n    };\n\n\n    /**\n     * Selects all text and maintains the current scroll position.\n     */\n    Editor.prototype.selectAllNoScroll = function () {\n        var cm = this._codeMirror,\n            info = this._codeMirror.getScrollInfo();\n\n        // Note that we do not have to check for the visible range here. This\n        // concern is handled internally by code mirror.\n        cm.operation(function () {\n            cm.scrollTo(info.left, info.top);\n            cm.execCommand("selectAll");\n        });\n    };\n\n    /**\n     * @return {boolean} True if editor is not showing the entire text of the document (i.e. an inline editor)\n     */\n    Editor.prototype.isTextSubset = function () {\n        return Boolean(this._visibleRange);\n    };\n\n    /**\n     * Ensures that the lines that are actually hidden in the inline editor correspond to\n     * the desired visible range.\n     */\n    Editor.prototype._updateHiddenLines = function () {\n        if (this._visibleRange) {\n            var cm = this._codeMirror,\n                self = this;\n            cm.operation(function () {\n                self._hideMarks.forEach(function (mark) {\n                    if (mark) {\n                        mark.clear();\n                    }\n                });\n                self._hideMarks = [];\n                self._hideMarks.push(self._hideLines(0, self._visibleRange.startLine));\n                self._hideMarks.push(self._hideLines(self._visibleRange.endLine + 1, self.lineCount()));\n            });\n        }\n    };\n\n    Editor.prototype._applyChanges = function (changeList) {\n        // _visibleRange has already updated via its own Document listener. See if this change caused\n        // it to lose sync. If so, our whole view is stale - signal our owner to close us.\n        if (this._visibleRange) {\n            if (this._visibleRange.startLine === null || this._visibleRange.endLine === null) {\n                this.trigger("lostContent");\n                return;\n            }\n        }\n\n        // Apply text changes to CodeMirror editor\n        var cm = this._codeMirror;\n        cm.operation(function () {\n            var change, newText, i;\n            for (i = 0; i < changeList.length; i++) {\n                change = changeList[i];\n                newText = change.text.join(\'\\n\');\n                if (!change.from || !change.to) {\n                    if (change.from || change.to) {\n                        console.error("Change record received with only one end undefined--replacing entire text");\n                    }\n                    cm.setValue(newText);\n                } else {\n                    cm.replaceRange(newText, change.from, change.to, change.origin);\n                }\n\n            }\n        });\n\n        // The update above may have inserted new lines - must hide any that fall outside our range\n        this._updateHiddenLines();\n    };\n\n    /**\n     * Responds to changes in the CodeMirror editor\'s text, syncing the changes to the Document.\n     * There are several cases where we want to ignore a CodeMirror change:\n     *  - if we\'re the master editor, editor changes can be ignored because Document is already listening\n     *    for our changes\n     *  - if we\'re a secondary editor, editor changes should be ignored if they were caused by us reacting\n     *    to a Document change\n     */\n    Editor.prototype._handleEditorChange = function (changeList) {\n        // we\'re currently syncing from the Document, so don\'t echo back TO the Document\n        if (this._duringSync) {\n            return;\n        }\n\n        // Secondary editor: force creation of "master" editor backing the model, if doesn\'t exist yet\n        this.document._ensureMasterEditor();\n\n        if (this.document._masterEditor !== this) {\n            // Secondary editor:\n            // we\'re not the ground truth; if we got here, this was a real editor change (not a\n            // sync from the real ground truth), so we need to sync from us into the document\n            // (which will directly push the change into the master editor).\n            // FUTURE: Technically we should add a replaceRange() method to Document and go through\n            // that instead of talking to its master editor directly. It\'s not clear yet exactly\n            // what the right Document API would be, though.\n            this._duringSync = true;\n            this.document._masterEditor._applyChanges(changeList);\n            this._duringSync = false;\n\n            // Update which lines are hidden inside our editor, since we\'re not going to go through\n            // _applyChanges() in our own editor.\n            this._updateHiddenLines();\n        }\n        // Else, Master editor:\n        // we\'re the ground truth; nothing else to do, since Document listens directly to us\n        // note: this change might have been a real edit made by the user, OR this might have\n        // been a change synced from another editor\n\n        // The "editorChange" event is mostly for the use of the CodeHintManager.\n        // It differs from the normal "change" event, that it\'s actually publicly usable,\n        // whereas the "change" event should be listened to on the document. Also the\n        // Editor dispatches a change event before this event is dispatched, because\n        // CodeHintManager needs to hook in here when other things are already done.\n        this.trigger("editorChange", this, changeList);\n    };\n\n    /**\n     * Responds to changes in the Document\'s text, syncing the changes into our CodeMirror instance.\n     * There are several cases where we want to ignore a Document change:\n     *  - if we\'re the master editor, Document changes should be ignored because we already have the right\n     *    text (either the change originated with us, or it has already been set into us by Document)\n     *  - if we\'re a secondary editor, Document changes should be ignored if they were caused by us sending\n     *    the document an editor change that originated with us\n     */\n    Editor.prototype._handleDocumentChange = function (event, doc, changeList) {\n        // we\'re currently syncing to the Document, so don\'t echo back FROM the Document\n        if (this._duringSync) {\n            return;\n        }\n\n        if (this.document._masterEditor !== this) {\n            // Secondary editor:\n            // we\'re not the ground truth; and if we got here, this was a Document change that\n            // didn\'t come from us (e.g. a sync from another editor, a direct programmatic change\n            // to the document, or a sync from external disk changes)... so sync from the Document\n            this._duringSync = true;\n            this._applyChanges(changeList);\n            this._duringSync = false;\n        }\n        // Else, Master editor:\n        // we\'re the ground truth; nothing to do since Document change is just echoing our\n        // editor changes\n    };\n\n    /**\n     * Responds to the Document\'s underlying file being deleted. The Document is now basically dead,\n     * so we must close.\n     */\n    Editor.prototype._handleDocumentDeleted = function (event) {\n        // Pass the delete event along as the cause (needed in MultiRangeInlineEditor)\n        this.trigger("lostContent", event);\n    };\n\n    /**\n     * Responds to language changes, for instance when the file extension is changed.\n     */\n    Editor.prototype._handleDocumentLanguageChanged = function (event) {\n        this._codeMirror.setOption("mode", this._getModeFromDocument());\n    };\n\n\n    /**\n     * Install event handlers on the CodeMirror instance, translating them into\n     * jQuery events on the Editor instance.\n     */\n    Editor.prototype._installEditorListeners = function () {\n        var self = this;\n\n        // Redispatch these CodeMirror key events as Editor events\n        function _onKeyEvent(instance, event) {\n            self.trigger("keyEvent", self, event);  // deprecated\n            self.trigger(event.type, self, event);\n            return event.defaultPrevented;   // false tells CodeMirror we didn\'t eat the event\n        }\n        this._codeMirror.on("keydown",  _onKeyEvent);\n        this._codeMirror.on("keypress", _onKeyEvent);\n        this._codeMirror.on("keyup",    _onKeyEvent);\n\n        // FUTURE: if this list grows longer, consider making this a more generic mapping\n        // NOTE: change is a "private" event--others shouldn\'t listen to it on Editor, only on\n        // Document\n        // Also, note that we use the new "changes" event in v4, which provides an array of\n        // change objects. Our own event is still called just "change".\n        this._codeMirror.on("changes", function (instance, changeList) {\n            self.trigger("change", self, changeList);\n        });\n        this._codeMirror.on("beforeChange", function (instance, changeObj) {\n            self.trigger("beforeChange", self, changeObj);\n        });\n        this._codeMirror.on("cursorActivity", function (instance) {\n            self.trigger("cursorActivity", self);\n        });\n        this._codeMirror.on("scroll", function (instance) {\n            // If this editor is visible, close all dropdowns on scroll.\n            // (We don\'t want to do this if we\'re just scrolling in a non-visible editor\n            // in response to some document change event.)\n            if (self.isFullyVisible()) {\n                Menus.closeAll();\n            }\n\n            self.trigger("scroll", self);\n        });\n\n        // Convert CodeMirror onFocus events to EditorManager activeEditorChanged\n        this._codeMirror.on("focus", function () {\n            self._focused = true;\n            self.trigger("focus", self);\n            \n        });\n\n        this._codeMirror.on("blur", function () {\n            self._focused = false;\n            self.trigger("blur", self);\n        });\n\n        this._codeMirror.on("update", function (instance) {\n            self.trigger("update", self);\n        });\n        this._codeMirror.on("overwriteToggle", function (instance, newstate) {\n            self.trigger("overwriteToggle", self, newstate);\n        });\n\n        // Disable CodeMirror\'s drop handling if a file/folder is dropped\n        this._codeMirror.on("drop", function (cm, event) {\n            var files = event.dataTransfer.files;\n            if (files && files.length) {\n                event.preventDefault();\n            }\n        });\n        // For word wrap. Code adapted from https://codemirror.net/demo/indentwrap.html#\n        this._codeMirror.on("renderLine", function (cm, line, elt) {\n            var charWidth = self._codeMirror.defaultCharWidth();\n            var off = CodeMirror.countColumn(line.text, null, cm.getOption("tabSize")) * charWidth;\n            elt.style.textIndent = "-" + off + "px";\n            elt.style.paddingLeft = off + "px";\n        });\n    };\n\n    /**\n     * Sets the contents of the editor, clears the undo/redo history and marks the document clean. Dispatches a change event.\n     * Semi-private: only Document should call this.\n     * @param {!string} text\n     */\n    Editor.prototype._resetText = function (text) {\n        var currentText = this._codeMirror.getValue();\n\n        // compare with ignoring line-endings, issue #11826\n        var textLF = text ? text.replace(/(\\r\\n|\\r|\\n)/g, "\\n") : null;\n        var currentTextLF = currentText ? currentText.replace(/(\\r\\n|\\r|\\n)/g, "\\n") : null;\n        if (textLF === currentTextLF) {\n            // there\'s nothing to reset\n            return;\n        }\n\n        var perfTimerName = PerfUtils.markStart("Editor._resetText()\\t" + (!this.document || this.document.file.fullPath));\n\n        var cursorPos = this.getCursorPos(),\n            scrollPos = this.getScrollPos();\n\n        // This *will* fire a change event, but we clear the undo immediately afterward\n        this._codeMirror.setValue(text);\n        this._codeMirror.refresh();\n\n        // Make sure we can\'t undo back to the empty state before setValue(), and mark\n        // the document clean.\n        this._codeMirror.clearHistory();\n        this._codeMirror.markClean();\n\n        // restore cursor and scroll positions\n        this.setCursorPos(cursorPos);\n        this.setScrollPos(scrollPos.x, scrollPos.y);\n\n        PerfUtils.addMeasurement(perfTimerName);\n    };\n\n   /**\n    * Gets the file associated with this editor\n    * This is a required Pane-View interface method\n    * @return {!File} the file associated with this editor\n    */\n    Editor.prototype.getFile = function () {\n        return this.document.file;\n    };\n\n    /**\n     * Gets the current cursor position within the editor.\n     * @param {boolean} expandTabs  If true, return the actual visual column number instead of the character offset in\n     *      the "ch" property.\n     * @param {?string} which Optional string indicating which end of the\n     *  selection to return. It may be "start", "end", "head" (the side of the\n     *  selection that moves when you press shift+arrow), or "anchor" (the\n     *  fixed side of the selection). Omitting the argument is the same as\n     *  passing "head". A {line, ch} object will be returned.)\n     * @return {!{line:number, ch:number}}\n     */\n    Editor.prototype.getCursorPos = function (expandTabs, which) {\n        // Translate "start" and "end" to the official CM names (it actually\n        // supports them as-is, but that isn\'t documented and we don\'t want to\n        // rely on it).\n        if (which === "start") {\n            which = "from";\n        } else if (which === "end") {\n            which = "to";\n        }\n        var cursor = _copyPos(this._codeMirror.getCursor(which));\n\n        if (expandTabs) {\n            cursor.ch = this.getColOffset(cursor);\n        }\n        return cursor;\n    };\n\n    /**\n     * Returns the display column (zero-based) for a given string-based pos. Differs from pos.ch only\n     * when the line contains preceding \\t chars. Result depends on the current tab size setting.\n     * @param {!{line:number, ch:number}} pos\n     * @return {number}\n     */\n    Editor.prototype.getColOffset = function (pos) {\n        var line    = this._codeMirror.getRange({line: pos.line, ch: 0}, pos),\n            tabSize = null,\n            column  = 0,\n            i;\n\n        for (i = 0; i < line.length; i++) {\n            if (line[i] === \'\\t\') {\n                if (tabSize === null) {\n                    tabSize = Editor.getTabSize();\n                }\n                if (tabSize > 0) {\n                    column += (tabSize - (column % tabSize));\n                }\n            } else {\n                column++;\n            }\n        }\n        return column;\n    };\n\n    /**\n     * Returns the string-based pos for a given display column (zero-based) in given line. Differs from column\n     * only when the line contains preceding \\t chars. Result depends on the current tab size setting.\n     * @param {number} lineNum Line number\n     * @param {number} column Display column number\n     * @return {number}\n     */\n    Editor.prototype.getCharIndexForColumn = function (lineNum, column) {\n        var line    = this._codeMirror.getLine(lineNum),\n            tabSize = null,\n            iCol    = 0,\n            i;\n\n        for (i = 0; iCol < column; i++) {\n            if (line[i] === \'\\t\') {\n                if (tabSize === null) {\n                    tabSize = Editor.getTabSize();\n                }\n                if (tabSize > 0) {\n                    iCol += (tabSize - (iCol % tabSize));\n                }\n            } else {\n                iCol++;\n            }\n        }\n        return i;\n    };\n\n    /**\n     * Sets the cursor position within the editor. Removes any selection.\n     * @param {number} line  The 0 based line number.\n     * @param {number} ch  The 0 based character position; treated as 0 if unspecified.\n     * @param {boolean=} center  True if the view should be centered on the new cursor position.\n     * @param {boolean=} expandTabs  If true, use the actual visual column number instead of the character offset as\n     *      the "ch" parameter.\n     */\n    Editor.prototype.setCursorPos = function (line, ch, center, expandTabs) {\n        if (expandTabs) {\n            ch = this.getColOffset({line: line, ch: ch});\n        }\n        this._codeMirror.setCursor(line, ch);\n        if (center) {\n            this.centerOnCursor();\n        }\n    };\n\n    /**\n     * Set the editor size in pixels or percentage\n     * @param {(number|string)} width\n     * @param {(number|string)} height\n     */\n    Editor.prototype.setSize = function (width, height) {\n        this._codeMirror.setSize(width, height);\n    };\n\n    /** @const */\n    var CENTERING_MARGIN = 0.15;\n\n    /**\n     * Scrolls the editor viewport to vertically center the line with the cursor,\n     * but only if the cursor is currently near the edges of the viewport or\n     * entirely outside the viewport.\n     *\n     * This does not alter the horizontal scroll position.\n     *\n     * @param {number} centerOptions Option value, or 0 for no options; one of the BOUNDARY_* constants above.\n     */\n    Editor.prototype.centerOnCursor = function (centerOptions) {\n        var $scrollerElement = $(this.getScrollerElement());\n        var editorHeight = $scrollerElement.height();\n\n        // we need to make adjustments for the statusbar\'s padding on the bottom and the menu bar on top.\n        var statusBarHeight = $scrollerElement.outerHeight() - editorHeight;\n        var menuBarHeight = $scrollerElement.offset().top;\n\n        var documentCursorPosition = this._codeMirror.cursorCoords(null, "local").bottom;\n        var screenCursorPosition = this._codeMirror.cursorCoords(null, "page").bottom - menuBarHeight;\n\n        // If the cursor is already reasonably centered, we won\'t\n        // make any change. "Reasonably centered" is defined as\n        // not being within CENTERING_MARGIN of the top or bottom\n        // of the editor (where CENTERING_MARGIN is a percentage\n        // of the editor height).\n        // For finding the first item (i.e. find while typing), do\n        // not center if hit is in first half of screen because this\n        // appears to be an unnecesary scroll.\n        if ((_checkTopBoundary(centerOptions) && (screenCursorPosition < editorHeight * CENTERING_MARGIN)) ||\n                (_checkBottomBoundary(centerOptions) && (screenCursorPosition > editorHeight * (1 - CENTERING_MARGIN)))) {\n\n            var pos = documentCursorPosition - editorHeight / 2 + statusBarHeight;\n            var info = this._codeMirror.getScrollInfo();\n            pos = Math.min(Math.max(pos, 0), (info.height - info.clientHeight));\n            this.setScrollPos(null, pos);\n        }\n    };\n\n    /**\n     * Given a position, returns its index within the text (assuming \\n newlines)\n     * @param {!{line:number, ch:number}}\n     * @return {number}\n     */\n    Editor.prototype.indexFromPos = function (coords) {\n        return this._codeMirror.indexFromPos(coords);\n    };\n\n    /**\n     * Returns true if pos is between start and end (INclusive at start; EXclusive at end by default,\n     * but overridable via the endInclusive flag).\n     * @param {{line:number, ch:number}} pos\n     * @param {{line:number, ch:number}} start\n     * @param {{line:number, ch:number}} end\n     * @param {boolean} endInclusive\n     *\n     */\n    Editor.prototype.posWithinRange = function (pos, start, end, endInclusive) {\n        if (start.line <= pos.line && end.line >= pos.line) {\n            if (endInclusive) {\n                return (start.line < pos.line || start.ch <= pos.ch) &&  // inclusive\n                    (end.line > pos.line   || end.ch >= pos.ch);      // inclusive\n            } else {\n                return (start.line < pos.line || start.ch <= pos.ch) &&  // inclusive\n                    (end.line > pos.line   || end.ch > pos.ch);       // exclusive\n            }\n\n        }\n        return false;\n    };\n\n    /**\n     * @return {boolean} True if there\'s a text selection; false if there\'s just an insertion point\n     */\n    Editor.prototype.hasSelection = function () {\n        return this._codeMirror.somethingSelected();\n    };\n\n    /**\n     * @private\n     * Takes an anchor/head pair and returns a start/end pair where the start is guaranteed to be <= end, and a "reversed" flag indicating\n     * if the head is before the anchor.\n     * @param {!{line: number, ch: number}} anchorPos\n     * @param {!{line: number, ch: number}} headPos\n     * @return {!{start:{line:number, ch:number}, end:{line:number, ch:number}}, reversed:boolean} the normalized range with start <= end\n     */\n    function _normalizeRange(anchorPos, headPos) {\n        if (headPos.line < anchorPos.line || (headPos.line === anchorPos.line && headPos.ch < anchorPos.ch)) {\n            return {start: _copyPos(headPos), end: _copyPos(anchorPos), reversed: true};\n        } else {\n            return {start: _copyPos(anchorPos), end: _copyPos(headPos), reversed: false};\n        }\n    }\n\n    /**\n     * Gets the current selection; if there is more than one selection, returns the primary selection\n     * (generally the last one made). Start is inclusive, end is exclusive. If there is no selection,\n     * returns the current cursor position as both the start and end of the range (i.e. a selection\n     * of length zero). If `reversed` is set, then the head of the selection (the end of the selection\n     * that would be changed if the user extended the selection) is before the anchor.\n     * @return {!{start:{line:number, ch:number}, end:{line:number, ch:number}}, reversed:boolean}\n     */\n    Editor.prototype.getSelection = function () {\n        return _normalizeRange(this.getCursorPos(false, "anchor"), this.getCursorPos(false, "head"));\n    };\n\n    /**\n     * Returns an array of current selections, nonoverlapping and sorted in document order.\n     * Each selection is a start/end pair, with the start guaranteed to come before the end.\n     * Cursors are represented as a range whose start is equal to the end.\n     * If `reversed` is set, then the head of the selection\n     * (the end of the selection that would be changed if the user extended the selection)\n     * is before the anchor.\n     * If `primary` is set, then that selection is the primary selection.\n     * @return {Array.<{start:{line:number, ch:number}, end:{line:number, ch:number}, reversed:boolean, primary:boolean}>}\n     */\n    Editor.prototype.getSelections = function () {\n        var primarySel = this.getSelection();\n        return _.map(this._codeMirror.listSelections(), function (sel) {\n            var result = _normalizeRange(sel.anchor, sel.head);\n            if (result.start.line === primarySel.start.line && result.start.ch === primarySel.start.ch &&\n                    result.end.line === primarySel.end.line && result.end.ch === primarySel.end.ch) {\n                result.primary = true;\n            } else {\n                result.primary = false;\n            }\n            return result;\n        });\n    };\n\n    /**\n     * Takes the given selections, and expands each selection so it encompasses whole lines. Merges\n     * adjacent line selections together. Keeps track of each original selection associated with a given\n     * line selection (there might be multiple if individual selections were merged into a single line selection).\n     * Useful for doing multiple-selection-aware line edits.\n     *\n     * @param {Array.<{start:{line:number, ch:number}, end:{line:number, ch:number}, reversed:boolean, primary:boolean}>} selections\n     *      The selections to expand.\n     * @param {{expandEndAtStartOfLine: boolean, mergeAdjacent: boolean}} options\n     *      expandEndAtStartOfLine: true if a range selection that ends at the beginning of a line should be expanded\n     *          to encompass the line. Default false.\n     *      mergeAdjacent: true if adjacent line ranges should be merged. Default true.\n     * @return {Array.<{selectionForEdit: {start:{line:number, ch:number}, end:{line:number, ch:number}, reversed:boolean, primary:boolean},\n     *                  selectionsToTrack: Array.<{start:{line:number, ch:number}, end:{line:number, ch:number}, reversed:boolean, primary:boolean}>}>}\n     *      The combined line selections. For each selection, `selectionForEdit` is the line selection, and `selectionsToTrack` is\n     *      the set of original selections that combined to make up the given line selection. Note that the selectionsToTrack will\n     *      include the original objects passed in `selections`, so if it is later mutated the original passed-in selections will be\n     *      mutated as well.\n     */\n    Editor.prototype.convertToLineSelections = function (selections, options) {\n        var self = this;\n        options = options || {};\n        _.defaults(options, { expandEndAtStartOfLine: false, mergeAdjacent: true });\n\n        // Combine adjacent lines with selections so they don\'t collide with each other, as they would\n        // if we did them individually.\n        var combinedSelections = [], prevSel;\n        _.each(selections, function (sel) {\n            var newSel = _.cloneDeep(sel);\n\n            // Adjust selection to encompass whole lines.\n            newSel.start.ch = 0;\n            // The end of the selection becomes the start of the next line, if it isn\'t already\n            // or if expandEndAtStartOfLine is set.\n            var hasSelection = (newSel.start.line !== newSel.end.line) || (newSel.start.ch !== newSel.end.ch);\n            if (options.expandEndAtStartOfLine || !hasSelection || newSel.end.ch !== 0) {\n                newSel.end = {line: newSel.end.line + 1, ch: 0};\n            }\n\n            // If the start of the new selection is within the range of the previous (expanded) selection, merge\n            // the two selections together, but keep track of all the original selections that were related to this\n            // selection, so they can be properly adjusted. (We only have to check for the start being inside the previous\n            // range - it can\'t be before it because the selections started out sorted.)\n            if (prevSel && self.posWithinRange(newSel.start, prevSel.selectionForEdit.start, prevSel.selectionForEdit.end, options.mergeAdjacent)) {\n                prevSel.selectionForEdit.end.line = newSel.end.line;\n                prevSel.selectionsToTrack.push(sel);\n            } else {\n                prevSel = {selectionForEdit: newSel, selectionsToTrack: [sel]};\n                combinedSelections.push(prevSel);\n            }\n        });\n        return combinedSelections;\n    };\n\n    /**\n     * Returns the currently selected text, or "" if no selection. Includes \\n if the\n     * selection spans multiple lines (does NOT reflect the Document\'s line-endings style). By\n     * default, returns only the contents of the primary selection, unless `allSelections` is true.\n     * @param {boolean=} allSelections Whether to return the contents of all selections (separated\n     *     by newlines) instead of just the primary selection. Default false.\n     * @return {!string} The selected text.\n     */\n    Editor.prototype.getSelectedText = function (allSelections) {\n        if (allSelections) {\n            return this._codeMirror.getSelection();\n        } else {\n            var sel = this.getSelection();\n            return this.document.getRange(sel.start, sel.end);\n        }\n    };\n\n    /**\n     * Sets the current selection. Start is inclusive, end is exclusive. Places the cursor at the\n     * end of the selection range. Optionally centers around the cursor after\n     * making the selection\n     *\n     * @param {!{line:number, ch:number}} start\n     * @param {{line:number, ch:number}=} end If not specified, defaults to start.\n     * @param {boolean} center true to center the viewport\n     * @param {number} centerOptions Option value, or 0 for no options; one of the BOUNDARY_* constants above.\n     * @param {?string} origin An optional string that describes what other selection or edit operations this\n     *      should be merged with for the purposes of undo. See {@link Document#replaceRange} for more details.\n     */\n    Editor.prototype.setSelection = function (start, end, center, centerOptions, origin) {\n        this.setSelections([{start: start, end: end || start}], center, centerOptions, origin);\n    };\n\n    /**\n     * Sets a multiple selection, with the "primary" selection (the one returned by\n     * getSelection() and getCursorPos()) defaulting to the last if not specified.\n     * Overlapping ranges will be automatically merged, and the selection will be sorted.\n     * Optionally centers around the primary selection after making the selection.\n     * @param {!Array<{start:{line:number, ch:number}, end:{line:number, ch:number}, primary:boolean, reversed: boolean}>} selections\n     *      The selection ranges to set. If the start and end of a range are the same, treated as a cursor.\n     *      If reversed is true, set the anchor of the range to the end instead of the start.\n     *      If primary is true, this is the primary selection. Behavior is undefined if more than\n     *      one selection has primary set to true. If none has primary set to true, the last one is primary.\n     * @param {boolean} center true to center the viewport around the primary selection.\n     * @param {number} centerOptions Option value, or 0 for no options; one of the BOUNDARY_* constants above.\n     * @param {?string} origin An optional string that describes what other selection or edit operations this\n     *      should be merged with for the purposes of undo. See {@link Document#replaceRange} for more details.\n     */\n    Editor.prototype.setSelections = function (selections, center, centerOptions, origin) {\n        var primIndex = selections.length - 1, options;\n        if (origin) {\n            options = { origin: origin };\n        }\n        this._codeMirror.setSelections(_.map(selections, function (sel, index) {\n            if (sel.primary) {\n                primIndex = index;\n            }\n            return { anchor: sel.reversed ? sel.end : sel.start, head: sel.reversed ? sel.start : sel.end };\n        }), primIndex, options);\n        if (center) {\n            this.centerOnCursor(centerOptions);\n        }\n    };\n\n    /**\n     * Sets the editors overwrite mode state. If null is passed, the state is toggled.\n     *\n     * @param {?boolean} start\n     */\n    Editor.prototype.toggleOverwrite = function (state) {\n        this._codeMirror.toggleOverwrite(state);\n    };\n\n    /**\n     * Selects word that the given pos lies within or adjacent to. If pos isn\'t touching a word\n     * (e.g. within a token like "//"), moves the cursor to pos without selecting a range.\n     * @param {!{line:number, ch:number}}\n     */\n    Editor.prototype.selectWordAt = function (pos) {\n        var word = this._codeMirror.findWordAt(pos);\n        this.setSelection(word.anchor, word.head);\n    };\n\n    /**\n     * Gets the total number of lines in the the document (includes lines not visible in the viewport)\n     * @return {!number}\n     */\n    Editor.prototype.lineCount = function () {\n        return this._codeMirror.lineCount();\n    };\n\n    /**\n     * Deterines if line is fully visible.\n     * @param {number} zero-based index of the line to test\n     * @return {boolean} true if the line is fully visible, false otherwise\n     */\n    Editor.prototype.isLineVisible = function (line) {\n        var coords = this._codeMirror.charCoords({line: line, ch: 0}, "local"),\n            scrollInfo = this._codeMirror.getScrollInfo(),\n            top = scrollInfo.top,\n            bottom = scrollInfo.top + scrollInfo.clientHeight;\n\n        // Check top and bottom and return false for partially visible lines.\n        return (coords.top >= top && coords.bottom <= bottom);\n    };\n\n    /**\n     * Gets the number of the first visible line in the editor.\n     * @return {number} The 0-based index of the first visible line.\n     */\n    Editor.prototype.getFirstVisibleLine = function () {\n        return (this._visibleRange ? this._visibleRange.startLine : 0);\n    };\n\n    /**\n     * Gets the number of the last visible line in the editor.\n     * @return {number} The 0-based index of the last visible line.\n     */\n    Editor.prototype.getLastVisibleLine = function () {\n        return (this._visibleRange ? this._visibleRange.endLine : this.lineCount() - 1);\n    };\n\n    /* Hides the specified line number in the editor\n     * @param {!from} line to start hiding from (inclusive)\n     * @param {!to} line to end hiding at (exclusive)\n     * @return {TextMarker} The CodeMirror mark object that\'s hiding the lines\n     */\n    Editor.prototype._hideLines = function (from, to) {\n        if (to <= from) {\n            return;\n        }\n\n        // We set clearWhenEmpty: false so that if there\'s a blank line at the beginning or end of\n        // the document, and that\'s the only hidden line, we can still actually hide it. Doing so\n        // requires us to create a 0-length marked span, which would ordinarily be cleaned up by CM\n        // if clearWithEmpty is true. See https://groups.google.com/forum/#!topic/codemirror/RB8VNF8ow2w\n        var value = this._codeMirror.markText(\n            {line: from, ch: 0},\n            {line: to - 1, ch: this._codeMirror.getLine(to - 1).length},\n            {collapsed: true, inclusiveLeft: true, inclusiveRight: true, clearWhenEmpty: false}\n        );\n\n        return value;\n    };\n\n    /**\n     * Gets the total height of the document in pixels (not the viewport)\n     * @return {!number} height in pixels\n     */\n    Editor.prototype.totalHeight = function () {\n        return this.getScrollerElement().scrollHeight;\n    };\n\n    /**\n     * Gets the scroller element from the editor.\n     * @return {!HTMLDivElement} scroller\n     */\n    Editor.prototype.getScrollerElement = function () {\n        return this._codeMirror.getScrollerElement();\n    };\n\n    /**\n     * Gets the root DOM node of the editor.\n     * @return {!HTMLDivElement} The editor\'s root DOM node.\n     */\n    Editor.prototype.getRootElement = function () {\n        return this._codeMirror.getWrapperElement();\n    };\n\n\n    /**\n     * Gets the lineSpace element within the editor (the container around the individual lines of code).\n     * FUTURE: This is fairly CodeMirror-specific. Logic that depends on this may break if we switch\n     * editors.\n     * @return {!HTMLDivElement} The editor\'s lineSpace element.\n     */\n    Editor.prototype._getLineSpaceElement = function () {\n        return $(".CodeMirror-lines", this.getScrollerElement()).children().get(0);\n    };\n\n    /**\n     * Returns the current scroll position of the editor.\n     * @return {{x:number, y:number}} The x,y scroll position in pixels\n     */\n    Editor.prototype.getScrollPos = function () {\n        var scrollInfo = this._codeMirror.getScrollInfo();\n        return { x: scrollInfo.left, y: scrollInfo.top };\n    };\n\n    /**\n     * Restores and adjusts the current scroll position of the editor.\n     * @param {{x:number, y:number}} scrollPos - The x,y scroll position in pixels\n     * @param {!number} heightDelta - The amount of delta H to apply to the scroll position\n     */\n    Editor.prototype.adjustScrollPos = function (scrollPos, heightDelta) {\n        this._codeMirror.scrollTo(scrollPos.x, scrollPos.y + heightDelta);\n    };\n\n    /**\n     * Sets the current scroll position of the editor.\n     * @param {number} x scrollLeft position in pixels\n     * @param {number} y scrollTop position in pixels\n     */\n    Editor.prototype.setScrollPos = function (x, y) {\n        this._codeMirror.scrollTo(x, y);\n    };\n\n    /*\n     * Returns the current text height of the editor.\n     * @return {number} Height of the text in pixels\n     */\n    Editor.prototype.getTextHeight = function () {\n        return this._codeMirror.defaultTextHeight();\n    };\n\n    /**\n     * Adds an inline widget below the given line. If any inline widget was already open for that\n     * line, it is closed without warning.\n     * @param {!{line:number, ch:number}} pos  Position in text to anchor the inline.\n     * @param {!InlineWidget} inlineWidget The widget to add.\n     * @param {boolean=} scrollLineIntoView Scrolls the associated line into view. Default true.\n     * @return {$.Promise} A promise object that is resolved when the widget has been added (but might\n     *     still be animating open). Never rejected.\n     */\n    Editor.prototype.addInlineWidget = function (pos, inlineWidget, scrollLineIntoView) {\n        var self = this,\n            queue = this._inlineWidgetQueues[pos.line],\n            deferred = new $.Deferred();\n        if (!queue) {\n            queue = new Async.PromiseQueue();\n            this._inlineWidgetQueues[pos.line] = queue;\n        }\n        queue.add(function () {\n            self._addInlineWidgetInternal(pos, inlineWidget, scrollLineIntoView, deferred);\n            return deferred.promise();\n        });\n        return deferred.promise();\n    };\n\n    /**\n     * @private\n     * Does the actual work of addInlineWidget().\n     */\n    Editor.prototype._addInlineWidgetInternal = function (pos, inlineWidget, scrollLineIntoView, deferred) {\n        var self = this;\n\n        this.removeAllInlineWidgetsForLine(pos.line).done(function () {\n            if (scrollLineIntoView === undefined) {\n                scrollLineIntoView = true;\n            }\n\n            if (scrollLineIntoView) {\n                self._codeMirror.scrollIntoView(pos);\n            }\n\n            inlineWidget.info = self._codeMirror.addLineWidget(pos.line, inlineWidget.htmlContent,\n                                                               { coverGutter: true, noHScroll: true });\n            CodeMirror.on(inlineWidget.info.line, "delete", function () {\n                self._removeInlineWidgetInternal(inlineWidget);\n            });\n            self._inlineWidgets.push(inlineWidget);\n\n            // Set up the widget to start closed, then animate open when its initial height is set.\n            inlineWidget.$htmlContent.height(0);\n            AnimationUtils.animateUsingClass(inlineWidget.htmlContent, "animating")\n                .done(function () {\n                    deferred.resolve();\n                });\n\n            // Callback to widget once parented to the editor. The widget should call back to\n            // setInlineWidgetHeight() in order to set its initial height and animate open.\n            inlineWidget.onAdded();\n        });\n    };\n\n    /**\n     * Removes all inline widgets\n     */\n    Editor.prototype.removeAllInlineWidgets = function () {\n        // copy the array because _removeInlineWidgetInternal will modify the original\n        var widgets = [].concat(this.getInlineWidgets());\n\n        return Async.doInParallel(\n            widgets,\n            this.removeInlineWidget.bind(this)\n        );\n    };\n\n    /**\n     * Removes the given inline widget.\n     * @param {number} inlineWidget The widget to remove.\n     * @return {$.Promise} A promise that is resolved when the inline widget is fully closed and removed from the DOM.\n     */\n    Editor.prototype.removeInlineWidget = function (inlineWidget) {\n        var deferred = new $.Deferred(),\n            self = this;\n\n        function finishRemoving() {\n            self._codeMirror.removeLineWidget(inlineWidget.info);\n            self._removeInlineWidgetInternal(inlineWidget);\n            deferred.resolve();\n        }\n\n        if (!inlineWidget.closePromise) {\n            // Remove the inline widget from our internal list immediately, so\n            // everyone external to us knows it\'s essentially already gone. We\n            // don\'t want to wait until it\'s done animating closed (but we do want\n            // the other stuff in _removeInlineWidgetInternal to wait until then).\n            self._removeInlineWidgetFromList(inlineWidget);\n\n            // If we\'re not visible (in which case the widget will have 0 client height),\n            // don\'t try to do the animation, because nothing will happen and we won\'t get\n            // called back right away. (The animation would happen later when we switch\n            // back to the editor.)\n            if (self.isFullyVisible()) {\n                AnimationUtils.animateUsingClass(inlineWidget.htmlContent, "animating")\n                    .done(finishRemoving);\n                inlineWidget.$htmlContent.height(0);\n            } else {\n                finishRemoving();\n            }\n            inlineWidget.closePromise = deferred.promise();\n        }\n        return inlineWidget.closePromise;\n    };\n\n    /**\n     * Removes all inline widgets for a given line\n     * @param {number} lineNum The line number to modify\n     */\n    Editor.prototype.removeAllInlineWidgetsForLine = function (lineNum) {\n        var lineInfo = this._codeMirror.lineInfo(lineNum),\n            widgetInfos = (lineInfo && lineInfo.widgets) ? [].concat(lineInfo.widgets) : null,\n            self = this;\n\n        if (widgetInfos && widgetInfos.length) {\n            // Map from CodeMirror LineWidget to Brackets InlineWidget\n            var inlineWidget,\n                allWidgetInfos = this._inlineWidgets.map(function (w) {\n                    return w.info;\n                });\n\n            return Async.doInParallel(\n                widgetInfos,\n                function (info) {\n                    // Lookup the InlineWidget object using the same index\n                    inlineWidget = self._inlineWidgets[allWidgetInfos.indexOf(info)];\n                    if (inlineWidget) {\n                        return self.removeInlineWidget(inlineWidget);\n                    } else {\n                        return new $.Deferred().resolve().promise();\n                    }\n                }\n            );\n        } else {\n            return new $.Deferred().resolve().promise();\n        }\n    };\n\n    /**\n     * Cleans up the given inline widget from our internal list of widgets. It\'s okay\n     * to call this multiple times for the same widget--it will just do nothing if\n     * the widget has already been removed.\n     * @param {InlineWidget} inlineWidget  an inline widget.\n     */\n    Editor.prototype._removeInlineWidgetFromList = function (inlineWidget) {\n        var l = this._inlineWidgets.length,\n            i;\n        for (i = 0; i < l; i++) {\n            if (this._inlineWidgets[i] === inlineWidget) {\n                this._inlineWidgets.splice(i, 1);\n                break;\n            }\n        }\n    };\n\n    /**\n     * Removes the inline widget from the editor and notifies it to clean itself up.\n     * @param {InlineWidget} inlineWidget  an inline widget.\n     */\n    Editor.prototype._removeInlineWidgetInternal = function (inlineWidget) {\n        if (!inlineWidget.isClosed) {\n            this._removeInlineWidgetFromList(inlineWidget);\n            inlineWidget.onClosed();\n            inlineWidget.isClosed = true;\n        }\n    };\n\n    /**\n     * Returns a list of all inline widgets currently open in this editor. Each entry contains the\n     * inline\'s id, and the data parameter that was passed to addInlineWidget().\n     * @return {!Array.<{id:number, data:Object}>}\n     */\n    Editor.prototype.getInlineWidgets = function () {\n        return this._inlineWidgets;\n    };\n\n      /**\n     * Returns the currently focused inline widget, if any.\n     * @return {?InlineWidget}\n     */\n    Editor.prototype.getFocusedInlineWidget = function () {\n        var result = null;\n\n        this.getInlineWidgets().forEach(function (widget) {\n            if (widget.hasFocus()) {\n                result = widget;\n            }\n        });\n\n        return result;\n    };\n\n    /**\n     * Display temporary popover message at current cursor position. Display message above\n     * cursor if space allows, otherwise below.\n     *\n     * @param {string} errorMsg Error message to display\n     */\n    Editor.prototype.displayErrorMessageAtCursor = function (errorMsg) {\n        var arrowBelow, cursorPos, cursorCoord, popoverRect,\n            top, left, clip, arrowCenter, arrowLeft,\n            self = this,\n            POPOVER_MARGIN = 10,\n            POPOVER_ARROW_HALF_WIDTH = 10,\n            POPOVER_ARROW_HALF_BASE = POPOVER_ARROW_HALF_WIDTH + 3; // 3 is border radius\n\n        function _removeListeners() {\n            self.off(".msgbox");\n        }\n\n        // PopUpManager.removePopUp() callback\n        function _clearMessagePopover() {\n            if (self._$messagePopover && self._$messagePopover.length > 0) {\n                // self._$messagePopover.remove() is done by PopUpManager\n                self._$messagePopover = null;\n            }\n            _removeListeners();\n        }\n\n        // PopUpManager.removePopUp() is called either directly by this closure, or by\n        // PopUpManager as a result of another popup being invoked.\n        function _removeMessagePopover() {\n            if (self._$messagePopover) {\n                PopUpManager.removePopUp(self._$messagePopover);\n            }\n        }\n\n        function _addListeners() {\n            self\n                .on("blur.msgbox",           _removeMessagePopover)\n                .on("change.msgbox",         _removeMessagePopover)\n                .on("cursorActivity.msgbox", _removeMessagePopover)\n                .on("update.msgbox",         _removeMessagePopover);\n        }\n\n        // Only 1 message at a time\n        if (this._$messagePopover) {\n            _removeMessagePopover();\n        }\n\n        // Make sure cursor is in view\n        cursorPos = this.getCursorPos();\n        this._codeMirror.scrollIntoView(cursorPos);\n\n        // Determine if arrow is above or below\n        cursorCoord = this._codeMirror.charCoords(cursorPos);\n\n        // Assume popover height is max of 2 lines\n        arrowBelow = (cursorCoord.top > 100);\n\n        // Text is dynamic, so build popover first so we can measure final width\n        this._$messagePopover = $("<div/>").addClass("popover-message").appendTo($("body"));\n        if (!arrowBelow) {\n            $("<div/>").addClass("arrowAbove").appendTo(this._$messagePopover);\n        }\n        $("<div/>").addClass("text").appendTo(this._$messagePopover).html(errorMsg);\n        if (arrowBelow) {\n            $("<div/>").addClass("arrowBelow").appendTo(this._$messagePopover);\n        }\n\n        // Estimate where to position popover.\n        top = (arrowBelow) ? cursorCoord.top - this._$messagePopover.height() - POPOVER_MARGIN\n                           : cursorCoord.bottom + POPOVER_MARGIN;\n        left = cursorCoord.left - (this._$messagePopover.width() / 2);\n\n        popoverRect = {\n            top:    top,\n            left:   left,\n            height: this._$messagePopover.height(),\n            width:  this._$messagePopover.width()\n        };\n\n        // See if popover is clipped on any side\n        clip = ViewUtils.getElementClipSize($("#editor-holder"), popoverRect);\n\n        // Prevent horizontal clipping\n        if (clip.left > 0) {\n            left += clip.left;\n        } else if (clip.right > 0) {\n            left -= clip.right;\n        }\n\n        // Popover text and arrow are positioned individually\n        this._$messagePopover.css({"top": top, "left": left});\n\n        // Position popover arrow centered over/under cursor...\n        arrowCenter = cursorCoord.left - left;\n\n        // ... but don\'t let it slide off text box\n        arrowCenter = Math.min(popoverRect.width - POPOVER_ARROW_HALF_BASE,\n                               Math.max(arrowCenter, POPOVER_ARROW_HALF_BASE));\n\n        arrowLeft = arrowCenter - POPOVER_ARROW_HALF_WIDTH;\n        if (arrowBelow) {\n            this._$messagePopover.find(".arrowBelow").css({"margin-left": arrowLeft});\n        } else {\n            this._$messagePopover.find(".arrowAbove").css({"margin-left": arrowLeft});\n        }\n\n        // Add listeners\n        PopUpManager.addPopUp(this._$messagePopover, _clearMessagePopover, true);\n        _addListeners();\n\n        // Animate open\n        AnimationUtils.animateUsingClass(this._$messagePopover[0], "animateOpen").done(function () {\n            // Make sure we still have a popover\n            if (self._$messagePopover && self._$messagePopover.length > 0) {\n                self._$messagePopover.addClass("open");\n\n                // Don\'t add scroll listeners until open so we don\'t get event\n                // from scrolling cursor into view\n                self.on("scroll.msgbox", _removeMessagePopover);\n\n                // Animate closed -- which includes delay to show message\n                AnimationUtils.animateUsingClass(self._$messagePopover[0], "animateClose", 6000)\n                    .done(_removeMessagePopover);\n            }\n        });\n    };\n\n    /**\n     * Returns the offset of the top of the virtual scroll area relative to the browser window (not the editor\n     * itself). Mainly useful for calculations related to scrollIntoView(), where you\'re starting with the\n     * offset() of a child widget (relative to the browser window) and need to figure out how far down it is from\n     * the top of the virtual scroll area (excluding the top padding).\n     * @return {number}\n     */\n    Editor.prototype.getVirtualScrollAreaTop = function () {\n        var topPadding = this._getLineSpaceElement().offsetTop, // padding within mover\n            scroller = this.getScrollerElement();\n        return $(scroller).offset().top - scroller.scrollTop + topPadding;\n    };\n\n    /**\n     * Sets the height of an inline widget in this editor.\n     * @param {!InlineWidget} inlineWidget The widget whose height should be set.\n     * @param {!number} height The height of the widget.\n     * @param {boolean=} ensureVisible Whether to scroll the entire widget into view. Default false.\n     */\n    Editor.prototype.setInlineWidgetHeight = function (inlineWidget, height, ensureVisible) {\n        var self = this,\n            node = inlineWidget.htmlContent,\n            oldHeight = (node && $(node).height()) || 0,\n            changed = (oldHeight !== height),\n            isAttached = inlineWidget.info !== undefined;\n\n        function updateHeight() {\n            // Notify CodeMirror for the height change.\n            if (isAttached) {\n                inlineWidget.info.changed();\n            }\n        }\n\n        function setOuterHeight() {\n            function finishAnimating(e) {\n                if (e.target === node) {\n                    updateHeight();\n                    $(node).off("webkitTransitionEnd", finishAnimating);\n                }\n            }\n            $(node).height(height);\n            if ($(node).hasClass("animating")) {\n                $(node).on("webkitTransitionEnd", finishAnimating);\n            } else {\n                updateHeight();\n            }\n        }\n\n        // Make sure we set an explicit height on the widget, so children can use things like\n        // min-height if they want.\n        if (changed || !node.style.height) {\n            // If we\'re animating, set the wrapper\'s height on a timeout so the layout is finished before we animate.\n            if ($(node).hasClass("animating")) {\n                window.setTimeout(setOuterHeight, 0);\n            } else {\n                setOuterHeight();\n            }\n        }\n\n        if (ensureVisible && isAttached) {\n            var offset = $(node).offset(), // offset relative to document\n                position = $(node).position(), // position within parent linespace\n                scrollerTop = self.getVirtualScrollAreaTop();\n\n            self._codeMirror.scrollIntoView({\n                left: position.left,\n                top: offset.top - scrollerTop,\n                right: position.left, // don\'t try to make the right edge visible\n                bottom: offset.top + height - scrollerTop\n            });\n        }\n    };\n\n    /**\n     * @private\n     * Get the starting line number for an inline widget.\n     * @param {!InlineWidget} inlineWidget\n     * @return {number} The line number of the widget or -1 if not found.\n     */\n    Editor.prototype._getInlineWidgetLineNumber = function (inlineWidget) {\n        return this._codeMirror.getLineNumber(inlineWidget.info.line);\n    };\n\n    /** Gives focus to the editor control */\n    Editor.prototype.focus = function () {\n        // Focusing an editor synchronously triggers focus/blur handlers. If a blur handler attemps to focus\n        // another editor, we\'ll put CM in a bad state (because CM assumes programmatically focusing itself\n        // will always succeed, and if you\'re in the middle of another focus change that appears to be untrue).\n        // So instead, we simply ignore reentrant focus attempts.\n        // See bug #2951 for an example of this happening and badly hosing things.\n        if (_duringFocus) {\n            return;\n        }\n\n        _duringFocus = true;\n        try {\n            this._codeMirror.focus();\n        } finally {\n            _duringFocus = false;\n        }\n    };\n\n    /** Returns true if the editor has focus */\n    Editor.prototype.hasFocus = function () {\n        return this._focused;\n    };\n\n    /*\n     * @typedef {scrollPos:{x:number, y:number},Array.<{start:{line:number, ch:number},end:{line:number, ch:number}}>} EditorViewState\n     */\n\n    /*\n     * returns the view state for the editor\n     * @return {!EditorViewState}\n     */\n    Editor.prototype.getViewState = function () {\n        return {\n            selections: this.getSelections(),\n            scrollPos: this.getScrollPos()\n        };\n\n    };\n\n    /*\n     * Restores the view state\n     * @param {!EditorViewState} viewState - the view state object to restore\n     */\n    Editor.prototype.restoreViewState = function (viewState) {\n        if (viewState.selection) {\n            // We no longer write out single-selection, but there might be some view state\n            // from an older version.\n            this.setSelection(viewState.selection.start, viewState.selection.end);\n        }\n        if (viewState.selections) {\n            this.setSelections(viewState.selections);\n        }\n        if (viewState.scrollPos) {\n            this.setScrollPos(viewState.scrollPos.x, viewState.scrollPos.y);\n        }\n    };\n\n    /**\n     * Re-renders the editor UI\n     * @param {boolean=} handleResize true if this is in response to resizing the editor. Default false.\n     */\n    Editor.prototype.refresh = function (handleResize) {\n        // If focus is currently in a child of the CodeMirror editor (e.g. in an inline widget), but not in\n        // the CodeMirror input field itself, remember the focused item so we can restore focus after the\n        // refresh (which might cause the widget to be removed from the display list temporarily).\n        var focusedItem = window.document.activeElement,\n            restoreFocus = $.contains(this._codeMirror.getScrollerElement(), focusedItem);\n        this._codeMirror.refresh();\n        if (restoreFocus) {\n            focusedItem.focus();\n        }\n    };\n\n    /**\n     * Re-renders the editor, and all children inline editors.\n     * @param {boolean=} handleResize true if this is in response to resizing the editor. Default false.\n     */\n    Editor.prototype.refreshAll = function (handleResize) {\n        this.refresh(handleResize);\n        this.getInlineWidgets().forEach(function (inlineWidget) {\n            inlineWidget.refresh();\n        });\n    };\n\n    /** Undo the last edit. */\n    Editor.prototype.undo = function () {\n        this._codeMirror.undo();\n    };\n\n    /** Redo the last un-done edit. */\n    Editor.prototype.redo = function () {\n        this._codeMirror.redo();\n    };\n\n    /**\n     * View API Visibility Change Notification handler.  This is also\n     * called by the native "setVisible" API which refresh can be optimized\n     * @param {boolean} show true to show the editor, false to hide it\n     * @param {boolean} refresh true (default) to refresh the editor, false to skip refreshing it\n     */\n    Editor.prototype.notifyVisibilityChange = function (show, refresh) {\n        if (show && (refresh || refresh === undefined)) {\n            this.refresh();\n        }\n        if (show) {\n            this._inlineWidgets.forEach(function (inlineWidget) {\n                inlineWidget.onParentShown();\n            });\n        }\n    };\n\n    /**\n     * Shows or hides the editor within its parent. Does not force its ancestors to\n     * become visible.\n     * @param {boolean} show true to show the editor, false to hide it\n     * @param {boolean} refresh true (default) to refresh the editor, false to skip refreshing it\n     */\n    Editor.prototype.setVisible = function (show, refresh) {\n        this.$el.css("display", (show ? "" : "none"));\n        this.notifyVisibilityChange(show, refresh);\n    };\n\n    /**\n     * Returns true if the editor is fully visible--i.e., is in the DOM, all ancestors are\n     * visible, and has a non-zero width/height.\n     */\n    Editor.prototype.isFullyVisible = function () {\n        return $(this.getRootElement()).is(":visible");\n    };\n\n    /**\n     * Gets the syntax-highlighting mode for the given range.\n     * Returns null if the mode at the start of the selection differs from the mode at the end -\n     * an *approximation* of whether the mode is consistent across the whole range (a pattern like\n     * A-B-A would return A as the mode, not null).\n     *\n     * @param {!{line: number, ch: number}} start The start of the range to check.\n     * @param {!{line: number, ch: number}} end The end of the range to check.\n     * @param {boolean=} knownMixed Whether we already know we\'re in a mixed mode and need to check both\n     *     the start and end.\n     * @return {?(Object|string)} Name of syntax-highlighting mode, or object containing a "name" property\n     *     naming the mode along with configuration options required by the mode.\n     * @see {@link LanguageManager::#getLanguageForPath} and {@link LanguageManager::Language#getMode}.\n     */\n    Editor.prototype.getModeForRange = function (start, end, knownMixed) {\n        var outerMode = this._codeMirror.getMode(),\n            startMode = TokenUtils.getModeAt(this._codeMirror, start),\n            endMode = TokenUtils.getModeAt(this._codeMirror, end);\n        if (!knownMixed && outerMode.name === startMode.name) {\n            // Mode does not vary: just use the editor-wide mode name\n            return this._codeMirror.getOption("mode");\n        } else if (!startMode || !endMode || startMode.name !== endMode.name) {\n            return null;\n        } else {\n            return startMode;\n        }\n    };\n\n    /**\n     * Gets the syntax-highlighting mode for the current selection or cursor position. (The mode may\n     * vary within one file due to embedded languages, e.g. JS embedded in an HTML script block). See\n     * `getModeForRange()` for how this is determined for a single selection.\n     *\n     * If there are multiple selections, this will return a mode only if all the selections are individually\n     * consistent and resolve to the same mode.\n     *\n     * @return {?(Object|string)} Name of syntax-highlighting mode, or object containing a "name" property\n     *     naming the mode along with configuration options required by the mode.\n     * @see {@link LanguageManager::#getLanguageForPath} and {@link LanguageManager::Language#getMode}.\n     */\n    Editor.prototype.getModeForSelection = function () {\n        // Check for mixed mode info\n        var self        = this,\n            sels        = this.getSelections(),\n            primarySel  = this.getSelection(),\n            outerMode   = this._codeMirror.getMode(),\n            startMode   = TokenUtils.getModeAt(this._codeMirror, primarySel.start),\n            isMixed     = (outerMode.name !== startMode.name);\n\n        if (isMixed) {\n            // Shortcut the first check to avoid getModeAt(), which can be expensive\n            if (primarySel.start.line !== primarySel.end.line || primarySel.start.ch !== primarySel.end.ch) {\n                var endMode = TokenUtils.getModeAt(this._codeMirror, primarySel.end);\n\n                if (startMode.name !== endMode.name) {\n                    return null;\n                }\n            }\n\n            // If mixed mode, check that mode is the same at start & end of each selection\n            var hasMixedSel = _.some(sels, function (sel) {\n                if (sels === primarySel) {\n                    // We already checked this before, so we know it\'s not mixed.\n                    return false;\n                }\n\n                var rangeMode = self.getModeForRange(sel.start, sel.end, true);\n                return (!rangeMode || rangeMode.name !== startMode.name);\n            });\n            if (hasMixedSel) {\n                return null;\n            }\n\n            return startMode.name;\n        } else {\n            // Mode does not vary: just use the editor-wide mode\n            return this._codeMirror.getOption("mode");\n        }\n    };\n\n    /*\n     * gets the language for the selection. (Javascript selected from an HTML document or CSS selected from an HTML document, etc...)\n     * @return {!Language}\n     */\n    Editor.prototype.getLanguageForSelection = function () {\n        return this.document.getLanguage().getLanguageForMode(this.getModeForSelection());\n    };\n\n    /**\n     * Gets the syntax-highlighting mode for the document.\n     *\n     * @return {Object|String} Object or Name of syntax-highlighting mode\n     * @see {@link LanguageManager::#getLanguageForPath|LanguageManager.getLanguageForPath} and {@link LanguageManager::Language#getMode|Language.getMode}.\n     */\n    Editor.prototype.getModeForDocument = function () {\n        return this._codeMirror.getOption("mode");\n    };\n\n    /**\n     * The Document we\'re bound to\n     * @type {!Document}\n     */\n    Editor.prototype.document = null;\n\n\n    /**\n     * The Editor\'s last known width.\n     * Used in conjunction with updateLayout to recompute the layout\n     * if the the parent container changes its size since our last layout update.\n     * @type {?number}\n     */\n    Editor.prototype._lastEditorWidth = null;\n\n\n    /**\n     * If true, we\'re in the middle of syncing to/from the Document. Used to ignore spurious change\n     * events caused by us (vs. change events caused by others, which we need to pay attention to).\n     * @type {!boolean}\n     */\n    Editor.prototype._duringSync = false;\n\n    /**\n     * @private\n     * NOTE: this is actually "semi-private": EditorManager also accesses this field... as well as\n     * a few other modules. However, we should try to gradually move most code away from talking to\n     * CodeMirror directly.\n     * @type {!CodeMirror}\n     */\n    Editor.prototype._codeMirror = null;\n\n    /**\n     * @private\n     * @type {!Array.<{id:number, data:Object}>}\n     */\n    Editor.prototype._inlineWidgets = null;\n\n    /**\n     * @private\n     * @type {?TextRange}\n     */\n    Editor.prototype._visibleRange = null;\n\n    /**\n     * @private\n     * @type {Object}\n     * Promise queues for inline widgets being added to a given line.\n     */\n    Editor.prototype._inlineWidgetQueues = null;\n\n    /**\n     * @private\n     * @type {Array}\n     * A list of objects corresponding to the markers that are hiding lines in the current editor.\n     */\n    Editor.prototype._hideMarks = null;\n\n    /**\n     * @private\n     *\n     * Retrieve the value of the named preference for this document.\n     *\n     * @param {string} prefName Name of preference to retrieve.\n     * @return {*} current value of that pref\n     */\n    Editor.prototype._getOption = function (prefName) {\n        return PreferencesManager.get(prefName, PreferencesManager._buildContext(this.document.file.fullPath, this.document.getLanguage().getId()));\n    };\n\n    /**\n     * @private\n     *\n     * Updates the editor to the current value of prefName for the file being edited.\n     *\n     * @param {string} prefName Name of the preference to visibly update\n     */\n    Editor.prototype._updateOption = function (prefName) {\n        var oldValue = this._currentOptions[prefName],\n            newValue = this._getOption(prefName);\n\n        if (oldValue !== newValue) {\n            this._currentOptions[prefName] = newValue;\n\n            if (prefName === USE_TAB_CHAR) {\n                this._codeMirror.setOption(cmOptions[prefName], newValue);\n                this._codeMirror.setOption("indentUnit", newValue === true ?\n                                           this._currentOptions[TAB_SIZE] :\n                                           this._currentOptions[SPACE_UNITS]\n                                          );\n            } else if (prefName === STYLE_ACTIVE_LINE) {\n                this._updateStyleActiveLine();\n            } else if (prefName === SCROLL_PAST_END && this._visibleRange) {\n                // Do not apply this option to inline editors\n                return;\n            } else if (prefName === SHOW_LINE_NUMBERS) {\n                Editor._toggleLinePadding(!newValue);\n                this._codeMirror.setOption(cmOptions[SHOW_LINE_NUMBERS], newValue);\n                if (newValue) {\n                    Editor.registerGutter(LINE_NUMBER_GUTTER, LINE_NUMBER_GUTTER_PRIORITY);\n                } else {\n                    Editor.unregisterGutter(LINE_NUMBER_GUTTER);\n                }\n                this.refreshAll();\n            } else {\n                this._codeMirror.setOption(cmOptions[prefName], newValue);\n            }\n\n            this.trigger("optionChange", prefName, newValue);\n        }\n    };\n\n    /**\n     * @private\n     *\n     * Used to ensure that "style active line" is turned off when there is a selection.\n     */\n    Editor.prototype._updateStyleActiveLine = function () {\n        if (this.hasSelection()) {\n            if (this._codeMirror.getOption("styleActiveLine")) {\n                this._codeMirror.setOption("styleActiveLine", false);\n            }\n        } else {\n            this._codeMirror.setOption("styleActiveLine", this._currentOptions[STYLE_ACTIVE_LINE]);\n        }\n    };\n\n    /**\n     * resizes the editor to fill its parent container\n     * should not be used on inline editors\n     * @param {boolean=} forceRefresh - forces the editor to update its layout\n     *                                   even if it already matches the container\'s height / width\n     */\n    Editor.prototype.updateLayout = function (forceRefresh) {\n        var curRoot = this.getRootElement(),\n            curWidth = $(curRoot).width(),\n            $editorHolder = this.$el.parent(),\n            editorAreaHt = $editorHolder.height();\n\n        if (!curRoot.style.height || $(curRoot).height() !== editorAreaHt) {\n            // Call setSize() instead of $.height() to allow CodeMirror to\n            // check for options like line wrapping\n            this.setSize(null, editorAreaHt);\n            if (forceRefresh === undefined) {\n                forceRefresh = true;\n            }\n        } else if (curWidth !== this._lastEditorWidth) {\n            if (forceRefresh === undefined) {\n                forceRefresh = true;\n            }\n        }\n        this._lastEditorWidth = curWidth;\n\n        if (forceRefresh) {\n            this.refreshAll(forceRefresh);\n        }\n    };\n\n    /**\n     * Clears all marks from the gutter with the specified name.\n     * @param {string} name The name of the gutter to clear.\n     */\n    Editor.prototype.clearGutter = function (name) {\n        this._codeMirror.clearGutter(name);\n    };\n\n    /**\n     * Renders all registered gutters\n     * @private\n     */\n    Editor.prototype._renderGutters = function () {\n        var languageId = this.document.getLanguage().getId();\n\n        function _filterByLanguages(gutter) {\n            return !gutter.languages || gutter.languages.indexOf(languageId) > -1;\n        }\n\n        function _sortByPriority(a, b) {\n            return a.priority - b.priority;\n        }\n\n        function _getName(gutter) {\n            return gutter.name;\n        }\n\n        var gutters = registeredGutters.map(_getName),\n            rootElement = this.getRootElement();\n\n        // If the line numbers gutter has not been explicitly registered and the CodeMirror lineNumbes option is\n        // set to true, we explicitly add the line numbers gutter. This case occurs the first time the editor loads\n        // and showLineNumbers is set to true in preferences\n        if (gutters.indexOf(LINE_NUMBER_GUTTER) < 0 && this._codeMirror.getOption(cmOptions[SHOW_LINE_NUMBERS])) {\n            registeredGutters.push({name: LINE_NUMBER_GUTTER, priority: LINE_NUMBER_GUTTER_PRIORITY});\n        }\n\n        gutters = registeredGutters.sort(_sortByPriority)\n            .filter(_filterByLanguages)\n            .map(_getName);\n\n        this._codeMirror.setOption("gutters", gutters);\n        this._codeMirror.refresh();\n\n        if (gutters.indexOf(LINE_NUMBER_GUTTER) < 0) {\n            $(rootElement).addClass("linenumber-disabled");\n        } else {\n            $(rootElement).removeClass("linenumber-disabled");\n        }\n    };\n\n    /**\n     * Sets the marker for the specified gutter on the specified line number\n     * @param   {string}   lineNumber The line number for the inserted gutter marker\n     * @param   {string}   gutterName The name of the gutter\n     * @param   {object}   marker     The dom element representing the marker to the inserted in the gutter\n     */\n    Editor.prototype.setGutterMarker = function (lineNumber, gutterName, marker) {\n        var gutterNameRegistered = registeredGutters.some(function (gutter) {\n            return gutter.name === gutterName;\n        });\n\n        if (!gutterNameRegistered) {\n            console.warn("Gutter name must be registered before calling editor.setGutterMarker");\n            return;\n        }\n\n        this._codeMirror.setGutterMarker(lineNumber, gutterName, marker);\n    };\n\n    /**\n     * Returns the list of gutters current registered on all editors.\n     * @return {!Array.<{name: string, priority: number}>}\n     */\n    Editor.getRegisteredGutters = function () {\n        return registeredGutters;\n    };\n\n    /**\n     * Registers the gutter with the specified name at the given priority.\n     * @param {string} name    The name of the gutter.\n     * @param {number} priority  A number denoting the priority of the gutter. Priorities higher than LINE_NUMBER_GUTTER_PRIORITY appear after the line numbers. Priority less than LINE_NUMBER_GUTTER_PRIORITY appear before.\n     * @param {?Array<string>} languageIds A list of language ids that this gutter is valid for. If no language ids are passed, then the gutter is valid in all languages.\n     */\n    Editor.registerGutter = function (name, priority, languageIds) {\n        if (isNaN(priority)) {\n            console.warn("A non-numeric priority value was passed to registerGutter. The value will default to 0.");\n            priority = 0;\n        }\n\n        if (!name || typeof name !== "string") {\n            console.error("The name of the registered gutter must be a string.");\n            return;\n        }\n\n        var gutter = {name: name, priority: priority, languages: languageIds},\n            gutterExists = registeredGutters.some(function (gutter) {\n                return gutter.name === name;\n            });\n\n        if (!gutterExists) {\n            registeredGutters.push(gutter);\n        }\n\n        Editor.forEveryEditor(function (editor) {\n            editor._renderGutters();\n        });\n    };\n\n    /**\n     * Unregisters the gutter with the specified name and removes it from the UI.\n     * @param {string} name The name of the gutter to be unregistered.\n     */\n    Editor.unregisterGutter = function (name) {\n        var i, gutter;\n        registeredGutters = registeredGutters.filter(function (gutter) {\n            return gutter.name !== name;\n        });\n\n        Editor.forEveryEditor(function (editor) {\n            editor._renderGutters();\n        });\n    };\n\n    // Global settings that affect Editor instances that share the same preference locations\n\n    /**\n     * Sets whether to use tab characters (vs. spaces) when inserting new text.\n     * Affects any editors that share the same preference location.\n     * @param {boolean} value\n     * @param {string=} fullPath Path to file to get preference for\n     * @return {boolean} true if value was valid\n     */\n    Editor.setUseTabChar = function (value, fullPath) {\n        var options = fullPath && {context: fullPath};\n        return PreferencesManager.set(USE_TAB_CHAR, value, options);\n    };\n\n    /**\n     * Gets whether the specified or current file uses tab characters (vs. spaces) when inserting new text\n     * @param {string=} fullPath Path to file to get preference for\n     * @return {boolean}\n     */\n    Editor.getUseTabChar = function (fullPath) {\n        return PreferencesManager.get(USE_TAB_CHAR, _buildPreferencesContext(fullPath));\n    };\n\n    /**\n     * Sets tab character width.\n     * Affects any editors that share the same preference location.\n     * @param {number} value\n     * @param {string=} fullPath Path to file to get preference for\n     * @return {boolean} true if value was valid\n     */\n    Editor.setTabSize = function (value, fullPath) {\n        var options = fullPath && {context: fullPath};\n        return PreferencesManager.set(TAB_SIZE, value, options);\n    };\n\n    /**\n     * Get indent unit\n     * @param {string=} fullPath Path to file to get preference for\n     * @return {number}\n     */\n    Editor.getTabSize = function (fullPath) {\n        return PreferencesManager.get(TAB_SIZE, _buildPreferencesContext(fullPath));\n    };\n\n    /**\n     * Sets indentation width.\n     * Affects any editors that share the same preference location.\n     * @param {number} value\n     * @param {string=} fullPath Path to file to get preference for\n     * @return {boolean} true if value was valid\n     */\n    Editor.setSpaceUnits = function (value, fullPath) {\n        var options = fullPath && {context: fullPath};\n        return PreferencesManager.set(SPACE_UNITS, value, options);\n    };\n\n    /**\n     * Get indentation width\n     * @param {string=} fullPath Path to file to get preference for\n     * @return {number}\n     */\n    Editor.getSpaceUnits = function (fullPath) {\n        return PreferencesManager.get(SPACE_UNITS, _buildPreferencesContext(fullPath));\n    };\n\n    /**\n     * Sets the auto close brackets.\n     * Affects any editors that share the same preference location.\n     * @param {boolean} value\n     * @param {string=} fullPath Path to file to get preference for\n     * @return {boolean} true if value was valid\n     */\n    Editor.setCloseBrackets = function (value, fullPath) {\n        var options = fullPath && {context: fullPath};\n        return PreferencesManager.set(CLOSE_BRACKETS, value, options);\n    };\n\n    /**\n     * Gets whether the specified or current file uses auto close brackets\n     * @param {string=} fullPath Path to file to get preference for\n     * @return {boolean}\n     */\n    Editor.getCloseBrackets = function (fullPath) {\n        return PreferencesManager.get(CLOSE_BRACKETS, _buildPreferencesContext(fullPath));\n    };\n\n    /**\n     * Sets show line numbers option.\n     * Affects any editors that share the same preference location.\n     * @param {boolean} value\n     * @param {string=} fullPath Path to file to get preference for\n     * @return {boolean} true if value was valid\n     */\n    Editor.setShowLineNumbers = function (value, fullPath) {\n        var options = fullPath && {context: fullPath};\n        return PreferencesManager.set(SHOW_LINE_NUMBERS, value, options);\n    };\n\n    /**\n     * Returns true if show line numbers is enabled for the specified or current file\n     * @param {string=} fullPath Path to file to get preference for\n     * @return {boolean}\n     */\n    Editor.getShowLineNumbers = function (fullPath) {\n        return PreferencesManager.get(SHOW_LINE_NUMBERS, _buildPreferencesContext(fullPath));\n    };\n\n    /**\n     * Sets show active line option.\n     * Affects any editors that share the same preference location.\n     * @param {boolean} value\n     * @param {string=} fullPath Path to file to get preference for\n     * @return {boolean} true if value was valid\n     */\n    Editor.setShowActiveLine = function (value, fullPath) {\n        return PreferencesManager.set(STYLE_ACTIVE_LINE, value);\n    };\n\n    /**\n     * Returns true if show active line is enabled for the specified or current file\n     * @param {string=} fullPath Path to file to get preference for\n     * @return {boolean}\n     */\n    Editor.getShowActiveLine = function (fullPath) {\n        return PreferencesManager.get(STYLE_ACTIVE_LINE, _buildPreferencesContext(fullPath));\n    };\n\n    /**\n     * Sets word wrap option.\n     * Affects any editors that share the same preference location.\n     * @param {boolean} value\n     * @param {string=} fullPath Path to file to get preference for\n     * @return {boolean} true if value was valid\n     */\n    Editor.setWordWrap = function (value, fullPath) {\n        var options = fullPath && {context: fullPath};\n        return PreferencesManager.set(WORD_WRAP, value, options);\n    };\n\n    /**\n     * Returns true if word wrap is enabled for the specified or current file\n     * @param {string=} fullPath Path to file to get preference for\n     * @return {boolean}\n     */\n    Editor.getWordWrap = function (fullPath) {\n        return PreferencesManager.get(WORD_WRAP, _buildPreferencesContext(fullPath));\n    };\n\n    /**\n     * Sets lineCommentIndent option.\n     *\n     * @param {boolean} value\n     * @param {string=} fullPath Path to file to get preference for\n     * @return {boolean} true if value was valid\n     */\n    Editor.setIndentLineComment = function (value, fullPath) {\n        var options = fullPath && {context: fullPath};\n        return PreferencesManager.set(INDENT_LINE_COMMENT, value, options);\n    };\n\n    /**\n     * Returns true if word wrap is enabled for the specified or current file\n     * @param {string=} fullPath Path to file to get preference for\n     * @return {boolean}\n     */\n    Editor.getIndentLineComment = function (fullPath) {\n        return PreferencesManager.get(INDENT_LINE_COMMENT, _buildPreferencesContext(fullPath));\n    };\n\n    /**\n     * Runs callback for every Editor instance that currently exists\n     * @param {!function(!Editor)} callback\n     */\n    Editor.forEveryEditor = function (callback) {\n        _instances.forEach(callback);\n    };\n\n    /**\n     * @private\n     * Toggles the left padding of all code editors.  Used to provide more\n     * space between the code text and the left edge of the editor when\n     * line numbers are hidden.\n     * @param {boolean} showLinePadding\n     */\n    Editor._toggleLinePadding = function (showLinePadding) {\n        // apply class to all pane DOM nodes\n        var $holders = [];\n        _instances.forEach(function (editor) {\n            var $editorHolder = editor.$el.parent();\n            if ($holders.indexOf($editorHolder) === -1) {\n                $holders.push($editorHolder);\n            }\n        });\n\n        _.each($holders, function ($holder) {\n            $holder.toggleClass("show-line-padding", Boolean(showLinePadding));\n        });\n    };\n    \n    Editor.LINE_NUMBER_GUTTER_PRIORITY = LINE_NUMBER_GUTTER_PRIORITY;\n    Editor.CODE_FOLDING_GUTTER_PRIORITY = CODE_FOLDING_GUTTER_PRIORITY;\n    \n    // Set up listeners for preference changes\n    editorOptions.forEach(function (prefName) {\n        PreferencesManager.on("change", prefName, function () {\n            _instances.forEach(function (editor) {\n                editor._updateOption(prefName);\n            });\n        });\n    });\n\n    // Define public API\n    exports.Editor                  = Editor;\n    exports.BOUNDARY_CHECK_NORMAL   = BOUNDARY_CHECK_NORMAL;\n    exports.BOUNDARY_IGNORE_TOP     = BOUNDARY_IGNORE_TOP;\n});\n\n//# sourceURL=/editor/Editor.js'),
eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'editor/InlineWidget\',[\'require\',\'exports\',\'module\',\'editor/EditorManager\',\'utils/EventDispatcher\',\'utils/KeyEvent\'],function (require, exports, module) {\n    "use strict";\n\n    // Load dependent modules\n    var EditorManager       = require("editor/EditorManager"),\n        EventDispatcher     = require("utils/EventDispatcher"),\n        KeyEvent            = require("utils/KeyEvent");\n\n    /**\n     * @constructor\n     *\n     */\n    function InlineWidget() {\n        var self = this;\n\n        // create the outer wrapper div\n        this.htmlContent = window.document.createElement("div");\n        this.$htmlContent = $(this.htmlContent).addClass("inline-widget").attr("tabindex", "-1");\n        this.$htmlContent.append("<div class=\'shadow top\' />")\n            .append("<div class=\'shadow bottom\' />")\n            .append("<a href=\'#\' class=\'close no-focus\'>&times;</a>");\n\n        // create the close button\n        this.$closeBtn = this.$htmlContent.find(".close");\n        this.$closeBtn.click(function (e) {\n            self.close();\n            e.stopImmediatePropagation();\n        });\n\n        this.$htmlContent.on("keydown", function (e) {\n            if (e.keyCode === KeyEvent.DOM_VK_ESCAPE) {\n                self.close();\n                e.stopImmediatePropagation();\n            }\n        });\n    }\n    InlineWidget.prototype.htmlContent = null;\n    InlineWidget.prototype.$htmlContent = null;\n    InlineWidget.prototype.id = null;\n    InlineWidget.prototype.hostEditor = null;\n    EventDispatcher.makeEventDispatcher(InlineWidget.prototype);\n\n    /**\n     * Initial height of inline widget in pixels. Can be changed later via hostEditor.setInlineWidgetHeight()\n     * @type {number}\n     */\n    InlineWidget.prototype.height = 0;\n\n    /**\n     * Closes this inline widget and all its contained Editors\n     * @return {$.Promise} A promise that\'s resolved when the widget is fully closed.\n     */\n    InlineWidget.prototype.close = function () {\n        return EditorManager.closeInlineWidget(this.hostEditor, this);\n        // closeInlineWidget() causes our onClosed() handler to be called\n    };\n\n    /**\n     * @return {boolean} True if any part of the inline widget is focused\n     */\n    InlineWidget.prototype.hasFocus = function () {\n        var focusedItem = window.document.activeElement,\n            htmlContent = this.$htmlContent[0];\n        return $.contains(htmlContent, focusedItem) || htmlContent === focusedItem;\n    };\n\n    /**\n     * Called any time inline is closed, whether manually or automatically.\n     */\n    InlineWidget.prototype.onClosed = function () {\n        this.trigger("close");\n    };\n\n    /**\n     * Called once content is parented in the host editor\'s DOM. Useful for performing tasks like setting\n     * focus or measuring content, which require htmlContent to be in the DOM tree.\n     *\n     * IMPORTANT: onAdded() MUST be overridden to call hostEditor.setInlineWidgetHeight() at least once to\n     * set the initial height (required to animate it open). The widget will never open otherwise.\n     */\n    InlineWidget.prototype.onAdded = function () {\n        this.trigger("add");\n    };\n\n    /**\n     * @param {Editor} hostEditor\n     */\n    InlineWidget.prototype.load = function (hostEditor) {\n        this.hostEditor = hostEditor;\n    };\n\n    /**\n     * Called when the editor containing the inline is made visible.\n     */\n    InlineWidget.prototype.onParentShown = function () {\n        // do nothing - base implementation\n    };\n\n    /**\n     * Called when the parent editor does a full refresh--for example, when the font size changes.\n     */\n    InlineWidget.prototype.refresh = function () {\n        // do nothing - base implementation\n    };\n\n    exports.InlineWidget = InlineWidget;\n\n});\n\n//# sourceURL=/editor/InlineWidget.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n\n// FUTURE: Merge part (or all) of this class with MultiRangeInlineEditor\n\ndefine(\'editor/InlineTextEditor\',[\'require\',\'exports\',\'module\',\'thirdparty/CodeMirror/lib/codemirror\',\'utils/EventDispatcher\',\'document/DocumentManager\',\'editor/EditorManager\',\'command/CommandManager\',\'command/Commands\',\'editor/InlineWidget\',\'utils/KeyEvent\'],function (require, exports, module) {\n    "use strict";\n\n    // Load dependent modules\n    var CodeMirror          = require("thirdparty/CodeMirror/lib/codemirror"),\n        EventDispatcher     = require("utils/EventDispatcher"),\n        DocumentManager     = require("document/DocumentManager"),\n        EditorManager       = require("editor/EditorManager"),\n        CommandManager      = require("command/CommandManager"),\n        Commands            = require("command/Commands"),\n        InlineWidget        = require("editor/InlineWidget").InlineWidget,\n        KeyEvent            = require("utils/KeyEvent");\n\n    /**\n     * Shows or hides the dirty indicator\n     * @private\n     */\n    function _showDirtyIndicator($indicatorDiv, isDirty) {\n        // Show or hide the dirty indicator by adjusting\n        // the width of the div.\n        $indicatorDiv.css("width", isDirty ? 16 : 0);\n    }\n\n    /**\n     * Respond to dirty flag change event. If the dirty flag is associated with an inline editor,\n     * show (or hide) the dirty indicator.\n     * @private\n     */\n    function _dirtyFlagChangeHandler(event, doc) {\n        var $dirtyIndicators = $(".inline-text-editor .dirty-indicator"),\n            $indicator;\n\n        $dirtyIndicators.each(function (index, indicator) {\n            $indicator = $(this);\n            if ($indicator.data("fullPath") === doc.file.fullPath) {\n                _showDirtyIndicator($indicator, doc.isDirty);\n            }\n        });\n    }\n\n    /**\n     * @constructor\n     * @extends {InlineWidget}\n     */\n    function InlineTextEditor() {\n        InlineWidget.call(this);\n\n        this.editor = null;\n\n        // We need to set this as a capture handler so CodeMirror doesn\'t handle Esc before we see it.\n        this.handleKeyDown = this.handleKeyDown.bind(this);\n        this.htmlContent.addEventListener("keydown", this.handleKeyDown, true);\n    }\n    InlineTextEditor.prototype = Object.create(InlineWidget.prototype);\n    InlineTextEditor.prototype.constructor = InlineTextEditor;\n    InlineTextEditor.prototype.parentClass = InlineWidget.prototype;\n\n    InlineTextEditor.prototype.$wrapper = null;\n    /** @type {Editor} */\n    InlineTextEditor.prototype.editor = null;\n    InlineTextEditor.prototype.$editorHolder = null;\n    InlineTextEditor.prototype.$header = null;\n    InlineTextEditor.prototype.$filename = null;\n\n   /**\n     * Given a host editor and its inline editors, find the widest gutter and make all the others match\n     * @param {!Editor} hostEditor Host editor containing all the inline editors to sync\n     * @private\n     */\n    function _syncGutterWidths(hostEditor) {\n        var allHostedEditors = EditorManager.getInlineEditors(hostEditor);\n\n        // add the host itself to the list too\n        allHostedEditors.push(hostEditor);\n\n        var maxWidth = 0;\n        allHostedEditors.forEach(function (editor) {\n            var $gutter = $(editor._codeMirror.getGutterElement()).find(".CodeMirror-linenumbers");\n            $gutter.css("min-width", "");\n            var curWidth = $gutter.width();\n            if (curWidth > maxWidth) {\n                maxWidth = curWidth;\n            }\n        });\n\n        if (allHostedEditors.length === 1) {\n            //There\'s only the host, just refresh the gutter\n            allHostedEditors[0]._codeMirror.setOption("gutters", allHostedEditors[0]._codeMirror.getOption("gutters"));\n            return;\n        }\n\n        maxWidth = maxWidth + "px";\n        allHostedEditors.forEach(function (editor) {\n            $(editor._codeMirror.getGutterElement()).find(".CodeMirror-linenumbers").css("min-width", maxWidth);\n\n            // Force CodeMirror to refresh the gutter\n            editor._codeMirror.setOption("gutters", editor._codeMirror.getOption("gutters"));\n        });\n    }\n\n    /**\n     * Called any time inline was closed, whether manually (via close()) or automatically\n     */\n    InlineTextEditor.prototype.onClosed = function () {\n        InlineTextEditor.prototype.parentClass.onClosed.apply(this, arguments);\n\n        _syncGutterWidths(this.hostEditor);\n\n        // Destroy the inline editor.\n        this.setInlineContent(null);\n        this.htmlContent.removeEventListener("keydown", this.handleKeyDown, true);\n    };\n\n    /**\n     * Update the inline editor\'s height when the number of lines change. The\n     * base implementation of this method does nothing.\n     */\n    InlineTextEditor.prototype.sizeInlineWidgetToContents = function () {\n        // brackets_codemirror_overrides.css adds height:auto to CodeMirror\n        // Inline editors themselves do not need to be sized, but layouts like\n        // the one used in CSSInlineEditor do need some manual layout.\n    };\n\n    /**\n     * Some tasks have to wait until we\'ve been parented into the outer editor\n     * @param {string} the inline ID that is generated by CodeMirror after the widget that holds the inline\n     *  editor is constructed and added to the DOM\n     */\n    InlineTextEditor.prototype.onAdded = function () {\n        var self = this;\n\n        InlineTextEditor.prototype.parentClass.onAdded.apply(this, arguments);\n\n        if (this.editor) {\n            this.editor.refresh();\n        }\n\n        // Update display of inline editors when the hostEditor signals a redraw\n        CodeMirror.on(this.info, "redraw", function () {\n            // At the point where we get the redraw, CodeMirror might not yet have actually\n            // re-added the widget to the DOM. This is filed as https://github.com/codemirror/CodeMirror/issues/1226.\n            // For now, we can work around it by doing the refresh on a setTimeout().\n            window.setTimeout(function () {\n                if (self.editor) {\n                    self.editor.refresh();\n                }\n            }, 0);\n        });\n\n        _syncGutterWidths(this.hostEditor);\n\n        if (this.editor) {\n            this.editor.focus();\n        }\n    };\n\n    /**\n     * @return {?Editor} If an Editor within this inline editor has focus, returns it. Otherwise returns null.\n     */\n    InlineTextEditor.prototype.getFocusedEditor = function () {\n        if (this.editor && this.editor.hasFocus()) {\n            return this.editor;\n        }\n        return null;\n    };\n\n    /**\n     * @private\n     * Make sure that if we want to handle Esc to cancel a multiple selection, we don\'t let it bubble\n     * up to InlineWidget, which will close the edit.\n     */\n    InlineTextEditor.prototype.handleKeyDown = function (e) {\n        if (e.keyCode === KeyEvent.DOM_VK_ESCAPE && this.editor && this.editor.getSelections().length > 1) {\n            CodeMirror.commands.singleSelection(this.editor._codeMirror);\n            e.stopImmediatePropagation();\n        }\n    };\n\n    /**\n     * Sets the document and range to show in the inline editor, or null to destroy the current editor and leave\n     * the content blank.\n     * @param {Document} doc The document to show, or null to show nothing\n     * @param {number} startLine The first line of text in `doc` to show in inline editor. Ignored if doc is null.\n     * @param {number} endLine The last line of text in `doc` to show in inline editor. Ignored if doc is null.\n     */\n    InlineTextEditor.prototype.setInlineContent = function (doc, startLine, endLine) {\n        var self = this;\n\n        // Destroy the previous editor if we had one and clear out the filename info.\n        if (this.editor) {\n            this.editor.off(".InlineTextEditor");\n            this.editor.destroy(); // remove from DOM and release ref on Document\n            this.editor = null;\n            this.$filename.off(".InlineTextEditor")\n                .removeAttr("title");\n            this.$filename.html("");\n        }\n\n        if (!doc) {\n            return;\n        }\n\n        var range = {\n            startLine: startLine,\n            endLine: endLine\n        };\n\n        // dirty indicator, with file path stored on it\n        var $dirtyIndicatorDiv = $("<div/>")\n            .addClass("dirty-indicator")\n            .html("&bull;")\n            .width(0); // initialize indicator as hidden\n        $dirtyIndicatorDiv.data("fullPath", doc.file.fullPath);\n\n        this.$lineNumber = $("<span class=\'line-number\'/>");\n\n        // update contents of filename link\n        this.$filename.append($dirtyIndicatorDiv)\n            .append(doc.file.name + " : ")\n            .append(this.$lineNumber)\n            .attr("title", doc.file.fullPath);\n\n        // clicking filename jumps to full editor view\n        this.$filename.on("click.InlineTextEditor", function () {\n            CommandManager.execute(Commands.FILE_OPEN, { fullPath: doc.file.fullPath })\n                .done(function () {\n                    EditorManager.getCurrentFullEditor().setCursorPos(startLine, 0, true);\n                });\n        });\n\n        var inlineInfo = EditorManager.createInlineEditorForDocument(doc, range, this.$editorHolder.get(0));\n        this.editor = inlineInfo.editor;\n\n        // Init line number display\n        this._updateLineRange(inlineInfo.editor);\n\n        // Always update the widget height when an inline editor completes a\n        // display update\n        this.editor.on("update.InlineTextEditor", function (event, editor) {\n            self.sizeInlineWidgetToContents();\n        });\n\n        // Size editor to content whenever text changes (via edits here or any\n        // other view of the doc: Editor fires "change" any time its text\n        // changes, regardless of origin)\n        this.editor.on("change.InlineTextEditor", function (event, editor) {\n            if (self.hostEditor.isFullyVisible()) {\n                self.sizeInlineWidgetToContents();\n                self._updateLineRange(editor);\n            }\n        });\n\n        // If Document\'s file is deleted, or Editor loses sync with Document, delegate to this._onLostContent()\n        this.editor.on("lostContent.InlineTextEditor", function () {\n            self._onLostContent.apply(self, arguments);\n        });\n\n        // set dirty indicator state\n        _showDirtyIndicator($dirtyIndicatorDiv, doc.isDirty);\n    };\n\n    /**\n     * Updates start line display.\n     * @param {Editor} editor\n     */\n    InlineTextEditor.prototype._updateLineRange = function (editor) {\n        this._startLine = editor.getFirstVisibleLine();\n        this._endLine = editor.getLastVisibleLine();\n        this._lineCount = this._endLine - this._startLine;\n\n        this.$lineNumber.text(this._startLine + 1);\n    };\n\n    /**\n     * @param {Editor} hostEditor\n     */\n    InlineTextEditor.prototype.load = function (hostEditor) {\n        InlineTextEditor.prototype.parentClass.load.apply(this, arguments);\n\n        // We don\'t create the actual editor here--that will happen the first time\n        // setInlineContent() is called.\n        this.$wrapper = $("<div/>").addClass("inline-text-editor").appendTo(this.$htmlContent);\n        this.$header = $("<div/>").addClass("inline-editor-header").appendTo(this.$wrapper);\n        this.$filename = $("<a/>").addClass("filename").appendTo(this.$header);\n        this.$editorHolder = $("<div/>").addClass("inline-editor-holder").appendTo(this.$wrapper);\n    };\n\n    /**\n     * Called when the editor containing the inline is made visible.\n     */\n    InlineTextEditor.prototype.onParentShown = function () {\n        InlineTextEditor.prototype.parentClass.onParentShown.apply(this, arguments);\n\n        // Refresh line number display and codemirror line number gutter\n        if (this.editor) {\n            this._updateLineRange(this.editor);\n            this.editor.refresh();\n        }\n\n        // We need to call this explicitly whenever the host editor is reshown\n        this.sizeInlineWidgetToContents();\n    };\n\n    /**\n     * If Document\'s file is deleted, or Editor loses sync with Document, just close\n     */\n    InlineTextEditor.prototype._onLostContent = function () {\n        // Note: this closes the entire inline widget if any one Editor loses sync. This seems\n        // better than leaving it open but suddenly removing one rule from the result list.\n        this.close();\n    };\n\n\n    // Consolidate all dirty document updates\n    // Due to circular dependencies, not safe to call on() directly\n    EventDispatcher.on_duringInit(DocumentManager, "dirtyFlagChange", _dirtyFlagChangeHandler);\n\n    exports.InlineTextEditor = InlineTextEditor;\n\n});\n\n//# sourceURL=/editor/InlineTextEditor.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * EditorManager owns the UI for the editor area. This essentially mirrors the \'current document\'\n * property maintained by DocumentManager\'s model.\n *\n * Note that there is a little bit of unusual overlap between EditorManager and DocumentManager:\n * because the Document state is actually stored in the CodeMirror editor UI, DocumentManager is\n * not a pure headless model. Each Document encapsulates an editor instance, and thus EditorManager\n * must have some knowledge about Document\'s internal state (we access its _editor property).\n *\n * This module dispatches the following events:\n *    - activeEditorChange --  Fires after the active editor (full or inline).\n *\n *      Doesn\'t fire when editor temporarily loses focus to a non-editor\n *      control (e.g. search toolbar or modal dialog, or window deactivation).\n *\n *      Does fire when focus moves between inline editor and its full-size container.\n *\n *      This event tracks `MainViewManagers\'s `currentFileChange` event and all editor\n *      objects "focus" event.\n *\n *          (e, editorGainingFocus:editor, editorLosingFocus:editor)\n *\n *      The 2nd arg to the listener is which Editor became active; the 3rd arg is\n *      which Editor is deactivated as a result. Either one may be null.\n *      NOTE (#1257): `getFocusedEditor()` sometimes lags behind this event. Listeners\n *      should use the arguments or call `getActiveEditor()` to reliably see which Editor\n *      just gained focus.\n */\ndefine(\'editor/EditorManager\',[\'require\',\'exports\',\'module\',\'command/Commands\',\'utils/EventDispatcher\',\'view/WorkspaceManager\',\'preferences/PreferencesManager\',\'command/CommandManager\',\'document/DocumentManager\',\'view/MainViewManager\',\'view/ViewStateManager\',\'utils/PerfUtils\',\'editor/Editor\',\'editor/InlineTextEditor\',\'strings\',\'language/LanguageManager\',\'utils/DeprecationWarning\'],function (require, exports, module) {\n    "use strict";\n\n    // Load dependent modules\n    var Commands            = require("command/Commands"),\n        EventDispatcher     = require("utils/EventDispatcher"),\n        WorkspaceManager    = require("view/WorkspaceManager"),\n        PreferencesManager  = require("preferences/PreferencesManager"),\n        CommandManager      = require("command/CommandManager"),\n        DocumentManager     = require("document/DocumentManager"),\n        MainViewManager     = require("view/MainViewManager"),\n        ViewStateManager    = require("view/ViewStateManager"),\n        PerfUtils           = require("utils/PerfUtils"),\n        Editor              = require("editor/Editor").Editor,\n        InlineTextEditor    = require("editor/InlineTextEditor").InlineTextEditor,\n        Strings             = require("strings"),\n        LanguageManager     = require("language/LanguageManager"),\n        DeprecationWarning  = require("utils/DeprecationWarning");\n\n\n    /**\n     * Currently focused Editor (full-size, inline, or otherwise)\n     * @type {?Editor}\n     * @private\n     */\n    var _lastFocusedEditor = null;\n\n    /**\n     * Registered inline-editor widget providers sorted descending by priority.\n     * @see {@link #registerInlineEditProvider}.\n     * @type {Array.<{priority:number, provider:function(...)}>}\n     * @private\n     */\n    var _inlineEditProviders = [];\n\n    /**\n     * Registered inline documentation widget providers sorted descending by priority.\n     * @see {@link #registerInlineDocsProvider}.\n     * @type {Array.<{priority:number, provider:function(...)}>}\n     * @private\n     */\n    var _inlineDocsProviders = [];\n\n    /**\n     * Registered jump-to-definition providers.\n     * @see {@link #registerJumpToDefProvider}.\n     * @private\n     * @type {Array.<function(...)>}\n     */\n    var _jumpToDefProviders = [];\n\n\n    /**\n     * DOM element to house any hidden editors created soley for inline widgets\n     * @private\n     * @type {jQuery}\n     */\n    var _$hiddenEditorsContainer;\n\n\n    /**\n     * Retrieves the visible full-size Editor for the currently opened file in the ACTIVE_PANE\n     * @return {?Editor} editor of the current view or null\n     */\n    function getCurrentFullEditor() {\n        var currentPath = MainViewManager.getCurrentlyViewedPath(MainViewManager.ACTIVE_PANE),\n            doc = currentPath && DocumentManager.getOpenDocumentForPath(currentPath);\n        return doc && doc._masterEditor;\n    }\n\n\n\n    /**\n     * Updates _viewStateCache from the given editor\'s actual current state\n     * @private\n     * @param {!Editor} editor - editor to cache data for\n     */\n    function _saveEditorViewState(editor) {\n        ViewStateManager.updateViewState(editor);\n    }\n\n    /**\n     * Updates _viewStateCache from the given editor\'s actual current state\n     * @param {!Editor} editor - editor restore cached data\n     * @private\n     */\n    function _restoreEditorViewState(editor) {\n        // We want to ignore the current state of the editor, so don\'t call __getViewState()\n        var viewState = ViewStateManager.getViewState(editor.document.file);\n        if (viewState) {\n            editor.restoreViewState(viewState);\n        }\n    }\n\n\n	/**\n     * Editor focus handler to change the currently active editor\n     * @private\n     * @param {?Editor} current - the editor that will be the active editor\n     */\n    function _notifyActiveEditorChanged(current) {\n        // Skip if the Editor that gained focus was already the most recently focused editor.\n        // This may happen e.g. if the window loses then regains focus.\n        if (_lastFocusedEditor === current) {\n            return;\n        }\n        var previous = _lastFocusedEditor;\n        _lastFocusedEditor = current;\n\n        exports.trigger("activeEditorChange", current, previous);\n    }\n\n    /**\n     * Current File Changed handler\n     * MainViewManager dispatches a "currentFileChange" event whenever the currently viewed\n     * file changes.  Which could mean that the previously viewed file has been closed or a\n     * non-editor view (image) has been given focus.  _notifyAcitveEditorChanged is also hooked\n     * up to editor.focus to handle focus events for editors which handles changing focus between\n     * two editors but, because editormanager maintains  a "_lastFocusedEditor" state, we have to\n     * "nullify" that state whenever the focus goes to a non-editor or when the current editor is closed\n     * @private\n     * @param {!jQuery.Event} e - event\n     * @param {?File} file - current file (can be null)\n     */\n    function _handleCurrentFileChange(e, file) {\n        var doc = file && DocumentManager.getOpenDocumentForPath(file.fullPath);\n        _notifyActiveEditorChanged(doc && doc._masterEditor);\n    }\n\n    /**\n     * Creates a new Editor bound to the given Document.\n     * The editor is appended to the given container as a visible child.\n     * @private\n     * @param {!Document} doc  Document for the Editor\'s content\n     * @param {!boolean} makeMasterEditor  If true, the Editor will set itself as the private "master"\n     *          Editor for the Document. If false, the Editor will attach to the Document as a "slave."\n     * @param {!jQueryObject} container  Container to add the editor to.\n     * @param {{startLine: number, endLine: number}=} range If specified, range of lines within the document\n     *          to display in this editor. Inclusive.\n     * @param {!Object} editorOptions If specified, contains editor options that can be passed to CodeMirror\n     * @return {Editor} the newly created editor.\n     */\n    function _createEditorForDocument(doc, makeMasterEditor, container, range, editorOptions) {\n        var editor = new Editor(doc, makeMasterEditor, container, range, editorOptions);\n\n        editor.on("focus", function () {\n            _notifyActiveEditorChanged(editor);\n        });\n\n        editor.on("beforeDestroy", function () {\n            if (editor.$el.is(":visible")) {\n                _saveEditorViewState(editor);\n            }\n        });\n\n        return editor;\n    }\n\n    /**\n     * @private\n     * Finds an inline widget provider from the given list that can offer a widget for the current cursor\n     * position, and once the widget has been created inserts it into the editor.\n     *\n     * @param {!Editor} editor The host editor\n     * @param {Array.<{priority:number, provider:function(...)}>} providers\n     *      prioritized list of providers\n     * @param {string=} defaultErrorMsg Default message to display if no providers return non-null\n     * @return {$.Promise} a promise that will be resolved when an InlineWidget\n     *      is created or rejected if no inline providers have offered one.\n     */\n    function _openInlineWidget(editor, providers, defaultErrorMsg) {\n        PerfUtils.markStart(PerfUtils.INLINE_WIDGET_OPEN);\n\n        // Run through inline-editor providers until one responds\n        var pos = editor.getCursorPos(),\n            inlinePromise,\n            i,\n            result = new $.Deferred(),\n            errorMsg,\n            providerRet;\n\n        // Query each provider in priority order. Provider may return:\n        // 1. `null` to indicate it does not apply to current cursor position\n        // 2. promise that should resolve to an InlineWidget\n        // 3. string which indicates provider does apply to current cursor position,\n        //    but reason it could not create InlineWidget\n        //\n        // Keep looping until a provider is found. If a provider is not found,\n        // display highest priority error message that was found, otherwise display\n        // default error message\n        for (i = 0; i < providers.length && !inlinePromise; i++) {\n            var provider = providers[i].provider;\n            providerRet = provider(editor, pos);\n            if (providerRet) {\n                if (providerRet.hasOwnProperty("done")) {\n                    inlinePromise = providerRet;\n                } else if (!errorMsg && typeof (providerRet) === "string") {\n                    errorMsg = providerRet;\n                }\n            }\n        }\n\n        // Use default error message if none other provided\n        errorMsg = errorMsg || defaultErrorMsg;\n\n        // If one of them will provide a widget, show it inline once ready\n        if (inlinePromise) {\n            inlinePromise.done(function (inlineWidget) {\n                editor.addInlineWidget(pos, inlineWidget).done(function () {\n                    PerfUtils.addMeasurement(PerfUtils.INLINE_WIDGET_OPEN);\n                    result.resolve();\n                });\n            }).fail(function () {\n                // terminate timer that was started above\n                PerfUtils.finalizeMeasurement(PerfUtils.INLINE_WIDGET_OPEN);\n                editor.displayErrorMessageAtCursor(errorMsg);\n                result.reject();\n            });\n        } else {\n            // terminate timer that was started above\n            PerfUtils.finalizeMeasurement(PerfUtils.INLINE_WIDGET_OPEN);\n            editor.displayErrorMessageAtCursor(errorMsg);\n            result.reject();\n        }\n\n        return result.promise();\n    }\n\n\n    /**\n     * Closes any focused inline widget. Else, asynchronously asks providers to create one.\n     *\n     * @param {Array.<{priority:number, provider:function(...)}>} providers\n     *   prioritized list of providers\n     * @param {string=} errorMsg Default message to display if no providers return non-null\n     * @return {!Promise} A promise resolved with true if an inline widget is opened or false\n     *   when closed. Rejected if there is neither an existing widget to close nor a provider\n     *   willing to create a widget (or if no editor is open).\n     */\n    function _toggleInlineWidget(providers, errorMsg) {\n        var result = new $.Deferred();\n\n        var currentEditor = getCurrentFullEditor();\n\n        if (currentEditor) {\n            var inlineWidget = currentEditor.getFocusedInlineWidget();\n\n            if (inlineWidget) {\n                // an inline widget\'s editor has focus, so close it\n                PerfUtils.markStart(PerfUtils.INLINE_WIDGET_CLOSE);\n                inlineWidget.close().done(function () {\n                    PerfUtils.addMeasurement(PerfUtils.INLINE_WIDGET_CLOSE);\n                    // return a resolved promise to CommandManager\n                    result.resolve(false);\n                });\n            } else {\n                // main editor has focus, so create an inline editor\n                _openInlineWidget(currentEditor, providers, errorMsg).done(function () {\n                    result.resolve(true);\n                }).fail(function () {\n                    result.reject();\n                });\n            }\n        } else {\n            // Can not open an inline editor without a host editor\n            result.reject();\n        }\n\n        return result.promise();\n    }\n\n    /**\n     * Inserts a prioritized provider object into the array in sorted (descending) order.\n     * @private\n     * @param {Array.<{priority:number, provider:function(...)}>} array\n     * @param {number} priority\n     * @param {function(...)} provider\n     */\n    function _insertProviderSorted(array, provider, priority) {\n        var index,\n            prioritizedProvider = {\n                priority: priority,\n                provider: provider\n            };\n\n        for (index = 0; index < array.length; index++) {\n            if (array[index].priority < priority) {\n                break;\n            }\n        }\n\n        array.splice(index, 0, prioritizedProvider);\n    }\n\n\n    /**\n     * Creates a hidden, unattached master editor that is needed when a document is created for the\n     * sole purpose of creating an inline editor so operations that require a master editor can be performed\n     * Only called from Document._ensureMasterEditor()\n     * The editor view is placed in a hidden part of the DOM but can later be moved to a visible pane\n     * when the document is opened using pane.addView()\n     * @param {!Document} doc - document to create a hidden editor for\n     */\n    function _createUnattachedMasterEditor(doc) {\n        // attach to the hidden containers DOM node if necessary\n        if (!_$hiddenEditorsContainer) {\n            _$hiddenEditorsContainer = $("#hidden-editors");\n        }\n        // Create an editor\n        var editor = _createEditorForDocument(doc, true, _$hiddenEditorsContainer);\n        // and hide it\n        editor.setVisible(false);\n    }\n\n    /**\n     * Removes the given widget UI from the given hostEditor (agnostic of what the widget\'s content\n     * is). The widget\'s onClosed() callback will be run as a result.\n     * @param {!Editor} hostEditor The editor containing the widget.\n     * @param {!InlineWidget} inlineWidget The inline widget to close.\n     * @return {$.Promise} A promise that\'s resolved when the widget is fully closed.\n     */\n    function closeInlineWidget(hostEditor, inlineWidget) {\n        // If widget has focus, return it to the hostEditor & move the cursor to where the inline used to be\n        if (inlineWidget.hasFocus()) {\n            // Place cursor back on the line just above the inline (the line from which it was opened)\n            // If cursor\'s already on that line, leave it be to preserve column position\n            var widgetLine = hostEditor._codeMirror.getLineNumber(inlineWidget.info.line);\n            var cursorLine = hostEditor.getCursorPos().line;\n            if (cursorLine !== widgetLine) {\n                hostEditor.setCursorPos({ line: widgetLine, pos: 0 });\n            }\n\n            hostEditor.focus();\n        }\n\n        return hostEditor.removeInlineWidget(inlineWidget);\n    }\n\n    /**\n     * Registers a new inline editor provider. When Quick Edit is invoked each registered provider is\n     * asked if it wants to provide an inline editor given the current editor and cursor location.\n     * An optional priority parameter is used to give providers with higher priority an opportunity\n     * to provide an inline editor before providers with lower priority.\n     *\n     * @param {function(!Editor, !{line:number, ch:number}):?($.Promise|string)} provider\n     * @param {number=} priority\n     * The provider returns a promise that will be resolved with an InlineWidget, or returns a string\n     * indicating why the provider cannot respond to this case (or returns null to indicate no reason).\n     */\n    function registerInlineEditProvider(provider, priority) {\n        if (priority === undefined) {\n            priority = 0;\n        }\n        _insertProviderSorted(_inlineEditProviders, provider, priority);\n    }\n\n    /**\n     * Registers a new inline docs provider. When Quick Docs is invoked each registered provider is\n     * asked if it wants to provide inline docs given the current editor and cursor location.\n     * An optional priority parameter is used to give providers with higher priority an opportunity\n     * to provide an inline editor before providers with lower priority.\n     *\n     * @param {function(!Editor, !{line:number, ch:number}):?($.Promise|string)} provider\n     * @param {number=} priority\n     * The provider returns a promise that will be resolved with an InlineWidget, or returns a string\n     * indicating why the provider cannot respond to this case (or returns null to indicate no reason).\n     */\n    function registerInlineDocsProvider(provider, priority) {\n        if (priority === undefined) {\n            priority = 0;\n        }\n        _insertProviderSorted(_inlineDocsProviders, provider, priority);\n    }\n\n    /**\n     * Registers a new jump-to-definition provider. When jump-to-definition is invoked each\n     * registered provider is asked if it wants to provide jump-to-definition results, given\n     * the current editor and cursor location.\n     *\n     * @param {function(!Editor, !{line:number, ch:number}):?$.Promise} provider\n     * The provider returns a promise that is resolved whenever it\'s done handling the operation,\n     * or returns null to indicate the provider doesn\'t want to respond to this case. It is entirely\n     * up to the provider to open the file containing the definition, select the appropriate text, etc.\n     */\n    function registerJumpToDefProvider(provider) {\n        _jumpToDefProviders.push(provider);\n    }\n\n    /**\n     * @private\n     * Given a host editor, return a list of all Editors in all its open inline widgets. (Ignoring\n     * any other inline widgets that might be open but don\'t contain Editors).\n     * @param {!Editor} hostEditor\n     * @return {Array.<Editor>}\n     *\n     */\n    function getInlineEditors(hostEditor) {\n        var inlineEditors = [];\n\n        if (hostEditor) {\n            hostEditor.getInlineWidgets().forEach(function (widget) {\n                if (widget instanceof InlineTextEditor && widget.editor) {\n                    inlineEditors.push(widget.editor);\n                }\n            });\n        }\n\n        return inlineEditors;\n    }\n\n\n\n    /**\n     * @private\n     * Creates a new "full-size" (not inline) Editor for the given Document, and sets it as the\n     * Document\'s master backing editor. The editor is not yet visible;\n     * Semi-private: should only be called within this module or by Document.\n     * @param {!Document} document  Document whose main/full Editor to create\n     * @param {!Pane} pane  Pane in which the editor will be hosted\n     * @param {!Object} editorOptions If specified, contains editor options that\n     * can be passed to CodeMirror\n     * @return {!Editor}\n     */\n    function _createFullEditorForDocument(document, pane, editorOptions) {\n        // Create editor; make it initially invisible\n        var editor = _createEditorForDocument(document, true, pane.$content, undefined, editorOptions);\n        editor.setVisible(false);\n        pane.addView(editor);\n        exports.trigger("_fullEditorCreatedForDocument", document, editor, pane.id);\n        return editor;\n    }\n\n\n    /**\n     * Creates a new inline Editor instance for the given Document.\n     * The editor is not yet visible or attached to a host editor.\n     * @param {!Document} doc  Document for the Editor\'s content\n     * @param {?{startLine:Number, endLine:Number}} range  If specified, all lines outside the given\n     *      range are hidden from the editor. Range is inclusive. Line numbers start at 0.\n     * @param {HTMLDivContainer} inlineContent\n     * @param  {function(inlineWidget)} closeThisInline\n     *\n     * @return {{content:DOMElement, editor:Editor}}\n     */\n    function createInlineEditorForDocument(doc, range, inlineContent) {\n        // Hide the container for the editor before creating it so that CodeMirror doesn\'t do extra work\n        // when initializing the document. When we construct the editor, we have to set its text and then\n        // set the (small) visible range that we show in the editor. If the editor is visible, CM has to\n        // render a large portion of the document before setting the visible range. By hiding the editor\n        // first and showing it after the visible range is set, we avoid that initial render.\n        $(inlineContent).hide();\n        var inlineEditor = _createEditorForDocument(doc, false, inlineContent, range);\n        inlineEditor._hostEditor = getCurrentFullEditor();\n        $(inlineContent).show();\n\n        return { content: inlineContent, editor: inlineEditor };\n    }\n\n    /**\n     * Returns focus to the last visible editor that had focus. If no editor visible, does nothing.\n     * This function should be called to restore editor focus after it has been temporarily\n     * removed. For example, after a dialog with editable text is closed.\n     */\n    function focusEditor() {\n        DeprecationWarning.deprecationWarning("Use MainViewManager.focusActivePane() instead of EditorManager.focusEditor().", true);\n        MainViewManager.focusActivePane();\n    }\n\n    /**\n     * @deprecated\n     * resizes the editor\n     */\n    function resizeEditor() {\n        DeprecationWarning.deprecationWarning("Use WorkspaceManager.recomputeLayout() instead of EditorManager.resizeEditor().", true);\n        WorkspaceManager.recomputeLayout();\n    }\n\n    /**\n     * Create and/or show the editor for the specified document\n     * @param {!Document} document - document to edit\n     * @param {!Pane} pane - pane to show it in\n     * @param {!Object} editorOptions - If specified, contains\n     * editor options that can be passed to CodeMirror\n     * @private\n     */\n    function _showEditor(document, pane, editorOptions) {\n        // Ensure a main editor exists for this document to show in the UI\n        var createdNewEditor = false,\n            editor = document._masterEditor;\n\n        // Check if a master editor is not set already or the current master editor doesn\'t belong\n        // to the pane container requested - to support creation of multiple full editors\n        // This check is required as _masterEditor is the active full editor for the document\n        // and there can be existing full editor created for other panes\n        if (editor && editor._paneId && editor._paneId !== pane.id) {\n            editor = document._checkAssociatedEditorForPane(pane.id);\n        }\n\n        if (!editor) {\n            // Performance (see #4757) Chrome wastes time messing with selection\n            // that will just be changed at end, so clear it for now\n            if (window.getSelection && window.getSelection().empty) {  // Chrome\n                window.getSelection().empty();\n            }\n\n            // Editor doesn\'t exist: populate a new Editor with the text\n            editor = _createFullEditorForDocument(document, pane, editorOptions);\n            createdNewEditor = true;\n        } else if (editor.$el.parent()[0] !== pane.$content[0]) {\n            // editor does exist but is not a child of the pane so add it to the\n            //  pane (which will switch the view\'s container as well)\n            pane.addView(editor);\n        }\n\n        // show the view\n        pane.showView(editor);\n\n        if (MainViewManager.getActivePaneId() === pane.id) {\n            // give it focus\n            editor.focus();\n        }\n\n        if (createdNewEditor) {\n            _restoreEditorViewState(editor);\n        }\n    }\n\n    /**\n     * @deprecated use MainViewManager.getCurrentlyViewedFile() instead\n     * @return {string=} path of the file currently viewed in the active, full sized editor or null when there is no active editor\n     */\n    function getCurrentlyViewedPath() {\n        DeprecationWarning.deprecationWarning("Use MainViewManager.getCurrentlyViewedFile() instead of EditorManager.getCurrentlyViewedPath().", true);\n\n        // We only want to return a path of a document object\n        // not other things like images, etc...\n        var currentPath = MainViewManager.getCurrentlyViewedPath(MainViewManager.ACTIVE_PANE),\n            doc;\n\n        if (currentPath) {\n            doc = DocumentManager.getOpenDocumentForPath(currentPath);\n        }\n\n        if (doc) {\n            return currentPath;\n        }\n\n        return null;\n    }\n\n    /**\n     * @deprecated There is no equivelent API moving forward.\n     * Use MainViewManager._initialize() from a unit test to create a Main View attached to a specific DOM element\n     */\n    function setEditorHolder() {\n        throw new Error("EditorManager.setEditorHolder() has been removed.");\n    }\n\n    /**\n     * @deprecated Register a View Factory instead\n     * @see MainViewFactory::#registerViewFactory\n     */\n    function registerCustomViewer() {\n        throw new Error("EditorManager.registerCustomViewer() has been removed.");\n    }\n\n    /**\n     * Determines if the file can be opened in an editor\n     * @param {!string} fullPath - file to be opened\n     * @return {boolean} true if the file can be opened in an editor, false if not\n     */\n    function canOpenPath(fullPath) {\n        return !LanguageManager.getLanguageForPath(fullPath).isBinary();\n    }\n\n    /**\n     * Opens the specified document in the given pane\n     * @param {!Document} doc - the document to open\n     * @param {!Pane} pane - the pane to open the document in\n     * @param {!Object} editorOptions - If specified, contains\n     * editor options that can be passed to CodeMirror\n     * @return {boolean} true if the file can be opened, false if not\n     */\n    function openDocument(doc, pane, editorOptions) {\n        var perfTimerName = PerfUtils.markStart("EditorManager.openDocument():\\t" + (!doc || doc.file.fullPath));\n\n        if (doc && pane) {\n            _showEditor(doc, pane, editorOptions);\n        }\n\n        PerfUtils.addMeasurement(perfTimerName);\n    }\n\n    /**\n     * Returns the currently focused inline widget, if any.\n     * @return {?InlineWidget}\n     */\n    function getFocusedInlineWidget() {\n        var currentEditor = getCurrentFullEditor();\n        if (currentEditor) {\n            return currentEditor.getFocusedInlineWidget();\n        }\n        return null;\n    }\n\n    /**\n     * Returns the focused Editor within an inline text editor, or null if something else has focus\n     * @return {?Editor}\n     */\n    function _getFocusedInlineEditor() {\n        var focusedWidget = getFocusedInlineWidget();\n        if (focusedWidget instanceof InlineTextEditor) {\n            return focusedWidget.getFocusedEditor();\n        }\n        return null;\n    }\n\n    /**\n     * Returns the currently focused editor instance (full-sized OR inline editor).\n     * This function is similar to getActiveEditor(), with one main difference: this\n     * function will only return editors that currently have focus, whereas\n     * getActiveEditor() will return the last visible editor that was given focus (but\n     * may not currently have focus because, for example, a dialog with editable text\n     * is open).\n     * @return {?Editor}\n     */\n    function getFocusedEditor() {\n        var currentEditor = getCurrentFullEditor();\n        if (currentEditor) {\n\n            // See if any inlines have focus\n            var focusedInline = _getFocusedInlineEditor();\n            if (focusedInline) {\n                return focusedInline;\n            }\n\n            // otherwise, see if full-sized editor has focus\n            if (currentEditor.hasFocus()) {\n                return currentEditor;\n            }\n        }\n\n        return null;\n    }\n\n    /**\n     * Returns the current active editor (full-sized OR inline editor). This editor may not\n     * have focus at the moment, but it is visible and was the last editor that was given\n     * focus. Returns null if no editors are active.\n     * @see #getFocusedEditor\n     * @return {?Editor}\n     */\n    function getActiveEditor() {\n        return _lastFocusedEditor;\n    }\n\n\n  /**\n     * Asynchronously asks providers to handle jump-to-definition.\n     * @return {!Promise} Resolved when the provider signals that it\'s done; rejected if no\n     *      provider responded or the provider that responded failed.\n     */\n    function _doJumpToDef() {\n        var providers = _jumpToDefProviders;\n        var promise,\n            i,\n            result = new $.Deferred();\n\n        var editor = getActiveEditor();\n\n        if (editor) {\n            var pos = editor.getCursorPos();\n\n            PerfUtils.markStart(PerfUtils.JUMP_TO_DEFINITION);\n\n            // Run through providers until one responds\n            for (i = 0; i < providers.length && !promise; i++) {\n                var provider = providers[i];\n                promise = provider(editor, pos);\n            }\n\n            // Will one of them will provide a result?\n            if (promise) {\n                promise.done(function () {\n                    PerfUtils.addMeasurement(PerfUtils.JUMP_TO_DEFINITION);\n                    result.resolve();\n                }).fail(function () {\n                    // terminate timer that was started above\n                    PerfUtils.finalizeMeasurement(PerfUtils.JUMP_TO_DEFINITION);\n                    result.reject();\n                });\n            } else {\n                // terminate timer that was started above\n                PerfUtils.finalizeMeasurement(PerfUtils.JUMP_TO_DEFINITION);\n                result.reject();\n            }\n\n        } else {\n            result.reject();\n        }\n\n        return result.promise();\n    }\n\n\n    /**\n     * file removed from pane handler.\n     * @param {jQuery.Event} e\n     * @param {File|Array.<File>} removedFiles - file, path or array of files or paths that are being removed\n     */\n    function _handleRemoveFromPaneView(e, removedFiles) {\n        var handleFileRemoved = function (file) {\n            var doc = DocumentManager.getOpenDocumentForPath(file.fullPath);\n\n            if (doc) {\n                MainViewManager._destroyEditorIfNotNeeded(doc);\n            }\n        };\n\n        // when files are removed from a pane then\n        //    we should destroy any unnecssary views\n        if ($.isArray(removedFiles)) {\n            removedFiles.forEach(function (removedFile) {\n                handleFileRemoved(removedFile);\n            });\n        } else {\n            handleFileRemoved(removedFiles);\n        }\n    }\n\n\n    // Set up event dispatching\n    EventDispatcher.makeEventDispatcher(exports);\n\n    // File-based preferences handling\n    exports.on("activeEditorChange", function (e, current) {\n        if (current && current.document && current.document.file) {\n            PreferencesManager._setCurrentFile(current.document.file.fullPath);\n        }\n    });\n\n    // Initialize: command handlers\n    CommandManager.register(Strings.CMD_TOGGLE_QUICK_EDIT, Commands.TOGGLE_QUICK_EDIT, function () {\n        return _toggleInlineWidget(_inlineEditProviders, Strings.ERROR_QUICK_EDIT_PROVIDER_NOT_FOUND);\n    });\n    CommandManager.register(Strings.CMD_TOGGLE_QUICK_DOCS, Commands.TOGGLE_QUICK_DOCS, function () {\n        return _toggleInlineWidget(_inlineDocsProviders, Strings.ERROR_QUICK_DOCS_PROVIDER_NOT_FOUND);\n    });\n    CommandManager.register(Strings.CMD_JUMPTO_DEFINITION, Commands.NAVIGATE_JUMPTO_DEFINITION, _doJumpToDef);\n\n    // Create PerfUtils measurement\n    PerfUtils.createPerfMeasurement("JUMP_TO_DEFINITION", "Jump-To-Definiiton");\n\n    MainViewManager.on("currentFileChange", _handleCurrentFileChange);\n    MainViewManager.on("workingSetRemove workingSetRemoveList", _handleRemoveFromPaneView);\n\n\n    // For unit tests and internal use only\n    exports._createFullEditorForDocument  = _createFullEditorForDocument;\n    exports._notifyActiveEditorChanged    = _notifyActiveEditorChanged;\n\n    // Internal Use only\n    exports._saveEditorViewState          = _saveEditorViewState;\n    exports._createUnattachedMasterEditor = _createUnattachedMasterEditor;\n\n    // Define public API\n    exports.createInlineEditorForDocument = createInlineEditorForDocument;\n    exports.getFocusedInlineWidget        = getFocusedInlineWidget;\n    exports.getInlineEditors              = getInlineEditors;\n    exports.closeInlineWidget             = closeInlineWidget;\n    exports.openDocument                  = openDocument;\n    exports.canOpenPath                   = canOpenPath;\n\n    // Convenience Methods\n    exports.getActiveEditor               = getActiveEditor;\n    exports.getCurrentFullEditor          = getCurrentFullEditor;\n    exports.getFocusedEditor              = getFocusedEditor;\n\n\n    exports.registerInlineEditProvider    = registerInlineEditProvider;\n    exports.registerInlineDocsProvider    = registerInlineDocsProvider;\n    exports.registerJumpToDefProvider     = registerJumpToDefProvider;\n\n    // Deprecated\n    exports.registerCustomViewer          = registerCustomViewer;\n    exports.resizeEditor                  = resizeEditor;\n    exports.focusEditor                   = focusEditor;\n    exports.getCurrentlyViewedPath        = getCurrentlyViewedPath;\n    exports.setEditorHolder               = setEditorHolder;\n});\n\n//# sourceURL=/editor/EditorManager.js'),
eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'document/Document\',[\'require\',\'exports\',\'module\',\'editor/EditorManager\',\'utils/EventDispatcher\',\'file/FileUtils\',\'document/InMemoryFile\',\'utils/PerfUtils\',\'language/LanguageManager\',\'thirdparty/CodeMirror/lib/codemirror\',\'thirdparty/lodash\'],function (require, exports, module) {\n    "use strict";\n\n    var EditorManager       = require("editor/EditorManager"),\n        EventDispatcher     = require("utils/EventDispatcher"),\n        FileUtils           = require("file/FileUtils"),\n        InMemoryFile        = require("document/InMemoryFile"),\n        PerfUtils           = require("utils/PerfUtils"),\n        LanguageManager     = require("language/LanguageManager"),\n        CodeMirror          = require("thirdparty/CodeMirror/lib/codemirror"),\n        _                   = require("thirdparty/lodash");\n\n    /**\n     * Model for the contents of a single file and its current modification state.\n     * See DocumentManager documentation for important usage notes.\n     *\n     * Document dispatches these events:\n     *\n     * __change__ -- When the text of the editor changes (including due to undo/redo).\n     *\n     * Passes ({Document}, {ChangeList}), where ChangeList is an array\n     * of change record objects. Each change record looks like:\n     *\n     *     { from: start of change, expressed as {line: <line number>, ch: <character offset>},\n     *       to: end of change, expressed as {line: <line number>, ch: <chracter offset>},\n     *       text: array of lines of text to replace existing text }\n     *\n     * The line and ch offsets are both 0-based.\n     *\n     * The ch offset in "from" is inclusive, but the ch offset in "to" is exclusive. For example,\n     * an insertion of new content (without replacing existing content) is expressed by a range\n     * where from and to are the same.\n     *\n     * If "from" and "to" are undefined, then this is a replacement of the entire text content.\n     *\n     * IMPORTANT: If you listen for the "change" event, you MUST also addRef() the document\n     * (and releaseRef() it whenever you stop listening). You should also listen to the "deleted"\n     * event.\n     *\n     * __deleted__ -- When the file for this document has been deleted. All views onto the document should\n     * be closed. The document will no longer be editable or dispatch "change" events.\n     *\n     * __languageChanged__ -- When the value of getLanguage() has changed. 2nd argument is the old value,\n     * 3rd argument is the new value.\n     *\n     * @constructor\n     * @param {!File} file  Need not lie within the project.\n     * @param {!Date} initialTimestamp  File\'s timestamp when we read it off disk.\n     * @param {!string} rawText  Text content of the file.\n     */\n    function Document(file, initialTimestamp, rawText) {\n        this.file = file;\n        this._updateLanguage();\n        this.refreshText(rawText, initialTimestamp, true);\n        // List of full editors which are initialized as master editors for this doc.\n        this._associatedFullEditors = [];\n    }\n\n    EventDispatcher.makeEventDispatcher(Document.prototype);\n\n    /**\n     * Number of clients who want this Document to stay alive. The Document is listed in\n     * DocumentManager._openDocuments whenever refCount > 0.\n     */\n    Document.prototype._refCount = 0;\n\n    /**\n     * The File for this document. Need not lie within the project.\n     * If Document is untitled, this is an InMemoryFile object.\n     * @type {!File}\n     */\n    Document.prototype.file = null;\n\n    /**\n     * The Language for this document. Will be resolved by file extension in the constructor\n     * @type {!Language}\n     */\n    Document.prototype.language = null;\n\n    /**\n     * Whether this document has unsaved changes or not.\n     * When this changes on any Document, DocumentManager dispatches a "dirtyFlagChange" event.\n     * @type {boolean}\n     */\n    Document.prototype.isDirty = false;\n\n    /**\n     * Whether this document is currently being saved.\n     * @type {boolean}\n     */\n    Document.prototype.isSaving = false;\n\n    /**\n     * What we expect the file\'s timestamp to be on disk. If the timestamp differs from this, then\n     * it means the file was modified by an app other than Brackets.\n     * @type {!Date}\n     */\n    Document.prototype.diskTimestamp = null;\n\n    /**\n     * The timestamp of the document at the point where the user last said to keep changes that conflict\n     * with the current disk version. Can also be -1, indicating that the file was deleted on disk at the\n     * last point when the user said to keep changes, or null, indicating that the user has not said to\n     * keep changes.\n     * Note that this is a time as returned by Date.getTime(), not a Date object.\n     * @type {?Number}\n     */\n    Document.prototype.keepChangesTime = null;\n\n    /**\n     * True while refreshText() is in progress and change notifications shouldn\'t trip the dirty flag.\n     * @type {boolean}\n     */\n    Document.prototype._refreshInProgress = false;\n\n    /**\n     * The text contents of the file, or null if our backing model is _masterEditor.\n     * @type {?string}\n     */\n    Document.prototype._text = null;\n\n    /**\n     * Editor object representing the full-size editor UI for this document. May be null if Document\n     * has not yet been modified or been the currentDocument; in that case, our backing model is the\n     * string _text.\n     * @type {?Editor}\n     */\n    Document.prototype._masterEditor = null;\n\n    /**\n     * The content\'s line-endings style. If a Document is created on empty text, or text with\n     * inconsistent line endings, defaults to the current platform\'s standard endings.\n     * @type {FileUtils.LINE_ENDINGS_CRLF|FileUtils.LINE_ENDINGS_LF}\n     */\n    Document.prototype._lineEndings = null;\n\n    /** Add a ref to keep this Document alive */\n    Document.prototype.addRef = function () {\n        //console.log("+++REF+++ "+this);\n\n        if (this._refCount === 0) {\n            //console.log("+++ adding to open list");\n            if (exports.trigger("_afterDocumentCreate", this)) {\n                return;\n            }\n        }\n        this._refCount++;\n    };\n    /** Remove a ref that was keeping this Document alive */\n    Document.prototype.releaseRef = function () {\n        //console.log("---REF--- "+this);\n\n        this._refCount--;\n        if (this._refCount < 0) {\n            console.error("Document ref count has fallen below zero!");\n            return;\n        }\n        if (this._refCount === 0) {\n            //console.log("--- removing from open list");\n            if (exports.trigger("_beforeDocumentDelete", this)) {\n                return;\n            }\n        }\n    };\n\n    /**\n     * Attach a backing Editor to the Document, enabling setText() to be called. Assumes Editor has\n     * already been initialized with the value of getText(). ONLY Editor should call this (and only\n     * when EditorManager has told it to act as the master editor).\n     * @param {!Editor} masterEditor\n     */\n    Document.prototype._makeEditable = function (masterEditor) {\n\n        this._text = null;\n        this._masterEditor = masterEditor;\n\n        masterEditor.on("change", this._handleEditorChange.bind(this));\n    };\n\n    /**\n     * Detach the backing Editor from the Document, disallowing setText(). The text content is\n     * stored back onto _text so other Document clients continue to have read-only access. ONLY\n     * Editor.destroy() should call this.\n     */\n    Document.prototype._makeNonEditable = function () {\n        if (!this._masterEditor) {\n            console.error("Document is already non-editable");\n        } else {\n            // _text represents the raw text, so fetch without normalized line endings\n            this._text = this.getText(true);\n            this._associatedFullEditors.splice(this._associatedFullEditors.indexOf(this._masterEditor), 1);\n\n            // Identify the most recently created full editor before this and set that as new master editor\n            if (this._associatedFullEditors.length > 0) {\n                this._masterEditor = this._associatedFullEditors[this._associatedFullEditors.length - 1];\n            } else {\n                this._masterEditor = null;\n            }\n        }\n    };\n\n    /**\n     * Toggles the master editor which has gained focus from a pool of full editors\n     * To be used internally by Editor only\n     */\n    Document.prototype._toggleMasterEditor = function (masterEditor) {\n        // Do a check before processing the request to ensure inline editors are not being set as master editor\n        if (this.file === masterEditor.document.file && this._associatedFullEditors.indexOf(masterEditor) >= 0) {\n            this._masterEditor = masterEditor;\n        }\n    };\n\n\n    /**\n     * Checks and returns if a full editor exists for the provided pane attached to this document\n     * @param {String} paneId\n     * @return {Editor} Attached editor bound to the provided pane id\n     */\n    Document.prototype._checkAssociatedEditorForPane = function (paneId) {\n        var editorCount, editorForPane;\n        for (editorCount = 0; editorCount < this._associatedFullEditors.length; ++editorCount) {\n            if (this._associatedFullEditors[editorCount]._paneId === paneId) {\n                editorForPane = this._associatedFullEditors[editorCount];\n                break;\n            }\n        }\n\n        return editorForPane;\n    };\n\n    /**\n     * Disassociates an editor from this document if present in the associated editor list\n     * To be used internally by Editor only when destroyed and not the current master editor for the document\n     */\n    Document.prototype._disassociateEditor = function (editor) {\n        // Do a check before processing the request to ensure inline editors are not being handled\n        if (this._associatedFullEditors.indexOf(editor) >= 0) {\n            this._associatedFullEditors.splice(this._associatedFullEditors.indexOf(editor), 1);\n        }\n    };\n\n    /**\n     * Aassociates a full editor to this document\n     * To be used internally by Editor only when pane marking happens\n     */\n    Document.prototype._associateEditor = function (editor) {\n        // Do a check before processing the request to ensure inline editors are not being handled\n        if (this._associatedFullEditors.indexOf(editor) === -1) {\n            this._associatedFullEditors.push(editor);\n        }\n    };\n\n    /**\n     * Guarantees that _masterEditor is non-null. If needed, asks EditorManager to create a new master\n     * editor bound to this Document (which in turn causes Document._makeEditable() to be called).\n     * Should ONLY be called by Editor and Document.\n     */\n    Document.prototype._ensureMasterEditor = function () {\n        if (!this._masterEditor) {\n            EditorManager._createUnattachedMasterEditor(this);\n        }\n    };\n\n    /**\n     * Returns the document\'s current contents; may not be saved to disk yet. Whenever this\n     * value changes, the Document dispatches a "change" event.\n     *\n     * @param {boolean=} useOriginalLineEndings If true, line endings in the result depend on the\n     *      Document\'s line endings setting (based on OS & the original text loaded from disk).\n     *      If false, line endings are always \\n (like all the other Document text getter methods).\n     * @return {string}\n     */\n    Document.prototype.getText = function (useOriginalLineEndings) {\n        if (this._masterEditor) {\n            // CodeMirror.getValue() always returns text with LF line endings; fix up to match line\n            // endings preferred by the document, if necessary\n            var codeMirrorText = this._masterEditor._codeMirror.getValue();\n            if (useOriginalLineEndings) {\n                if (this._lineEndings === FileUtils.LINE_ENDINGS_CRLF) {\n                    return codeMirrorText.replace(/\\n/g, "\\r\\n");\n                }\n            }\n            return codeMirrorText;\n\n        } else {\n            // Optimized path that doesn\'t require creating master editor\n            if (useOriginalLineEndings) {\n                return this._text;\n            } else {\n                return Document.normalizeText(this._text);\n            }\n        }\n    };\n\n    /** Normalizes line endings the same way CodeMirror would */\n    Document.normalizeText = function (text) {\n        return text.replace(/\\r\\n/g, "\\n");\n    };\n\n    /**\n     * Sets the contents of the document. Treated as an edit. Line endings will be rewritten to\n     * match the document\'s current line-ending style.\n     * @param {!string} text The text to replace the contents of the document with.\n     */\n    Document.prototype.setText = function (text) {\n        this._ensureMasterEditor();\n        this._masterEditor._codeMirror.setValue(text);\n        // _handleEditorChange() triggers "change" event\n    };\n\n    /**\n     * @private\n     * Triggers the appropriate events when a change occurs: "change" on the Document instance\n     * and "documentChange" on the Document module.\n     * @param {Object} changeList Changelist in CodeMirror format\n     */\n    Document.prototype._notifyDocumentChange = function (changeList) {\n        this.trigger("change", this, changeList);\n        exports.trigger("documentChange", this, changeList);\n    };\n\n    /**\n     * Sets the contents of the document. Treated as reloading the document from disk: the document\n     * will be marked clean with a new timestamp, the undo/redo history is cleared, and we re-check\n     * the text\'s line-ending style. CAN be called even if there is no backing editor.\n     * @param {!string} text The text to replace the contents of the document with.\n     * @param {!Date} newTimestamp Timestamp of file at the time we read its new contents from disk.\n     * @param {boolean} initial True if this is the initial load of the document. In that case,\n     *      we don\'t send change events.\n     */\n    Document.prototype.refreshText = function (text, newTimestamp, initial) {\n        var perfTimerName = PerfUtils.markStart("refreshText:\\t" + (!this.file || this.file.fullPath));\n\n        // If clean, don\'t transiently mark dirty during refresh\n        // (we\'ll still send change events though, of course)\n        this._refreshInProgress = true;\n\n        if (this._masterEditor) {\n            this._masterEditor._resetText(text);  // clears undo history too\n            // _handleEditorChange() triggers "change" event for us\n        } else {\n            this._text = text;\n\n            if (!initial) {\n                // We fake a change record here that looks like CodeMirror\'s text change records, but\n                // omits "from" and "to", by which we mean the entire text has changed.\n                // TODO: Dumb to split it here just to join it again in the change handler, but this is\n                // the CodeMirror change format. Should we document our change format to allow this to\n                // either be an array of lines or a single string?\n                this._notifyDocumentChange([{text: text.split(/\\r?\\n/)}]);\n            }\n        }\n        this._updateTimestamp(newTimestamp);\n\n        // If Doc was dirty before refresh, reset it to clean now (don\'t always call, to avoid no-op dirtyFlagChange events) Since\n        // _resetText() above already ensures Editor state is clean, it\'s safe to skip _markClean() as long as our own state is already clean too.\n        if (this.isDirty) {\n            this._markClean();\n        }\n        this._refreshInProgress = false;\n\n        // Sniff line-ending style\n        this._lineEndings = FileUtils.sniffLineEndings(text);\n        if (!this._lineEndings) {\n            this._lineEndings = FileUtils.getPlatformLineEndings();\n        }\n\n        exports.trigger("_documentRefreshed", this);\n\n        PerfUtils.addMeasurement(perfTimerName);\n    };\n\n    /**\n     * Adds, replaces, or removes text. If a range is given, the text at that range is replaced with the\n     * given new text; if text == "", then the entire range is effectively deleted. If \'end\' is omitted,\n     * then the new text is inserted at that point and all existing text is preserved. Line endings will\n     * be rewritten to match the document\'s current line-ending style.\n     *\n     * IMPORTANT NOTE: Because of #1688, do not use this in cases where you might be\n     * operating on a linked document (like the main document for an inline editor)\n     * during an outer CodeMirror operation (like a key event that\'s handled by the\n     * editor itself). A common case of this is code hints in inline editors. In\n     * such cases, use `editor._codeMirror.replaceRange()` instead. This should be\n     * fixed when we migrate to use CodeMirror\'s native document-linking functionality.\n     *\n     * @param {!string} text  Text to insert or replace the range with\n     * @param {!{line:number, ch:number}} start  Start of range, inclusive (if \'to\' specified) or insertion point (if not)\n     * @param {?{line:number, ch:number}} end  End of range, exclusive; optional\n     * @param {?string} origin  Optional string used to batch consecutive edits for undo.\n     *     If origin starts with "+", then consecutive edits with the same origin will be batched for undo if\n     *     they are close enough together in time.\n     *     If origin starts with "*", then all consecutive edit with the same origin will be batched for\n     *     undo.\n     *     Edits with origins starting with other characters will not be batched.\n     *     (Note that this is a higher level of batching than batchOperation(), which already batches all\n     *     edits within it for undo. Origin batching works across operations.)\n     */\n    Document.prototype.replaceRange = function (text, start, end, origin) {\n        this._ensureMasterEditor();\n        this._masterEditor._codeMirror.replaceRange(text, start, end, origin);\n        // _handleEditorChange() triggers "change" event\n    };\n\n    /**\n     * Returns the characters in the given range. Line endings are normalized to \'\\n\'.\n     * @param {!{line:number, ch:number}} start  Start of range, inclusive\n     * @param {!{line:number, ch:number}} end  End of range, exclusive\n     * @return {!string}\n     */\n    Document.prototype.getRange = function (start, end) {\n        this._ensureMasterEditor();\n        return this._masterEditor._codeMirror.getRange(start, end);\n    };\n\n    /**\n     * Returns the text of the given line (excluding any line ending characters)\n     * @param {number} Zero-based line number\n     * @return {!string}\n     */\n    Document.prototype.getLine = function (lineNum) {\n        this._ensureMasterEditor();\n        return this._masterEditor._codeMirror.getLine(lineNum);\n    };\n\n    /**\n     * Batches a series of related Document changes. Repeated calls to replaceRange() should be wrapped in a\n     * batch for efficiency. Begins the batch, calls doOperation(), ends the batch, and then returns.\n     * @param {function()} doOperation\n     */\n    Document.prototype.batchOperation = function (doOperation) {\n        this._ensureMasterEditor();\n\n        var self = this;\n        self._masterEditor._codeMirror.operation(doOperation);\n    };\n\n    /**\n     * Handles changes from the master backing Editor. Changes are triggered either by direct edits\n     * to that Editor\'s UI, OR by our setText()/refreshText() methods.\n     * @private\n     */\n    Document.prototype._handleEditorChange = function (event, editor, changeList) {\n        // Handle editor change event only when it is originated from the master editor for this doc\n        if (this._masterEditor !== editor) {\n            return;\n        }\n\n        // TODO: This needs to be kept in sync with SpecRunnerUtils.createMockActiveDocument(). In the\n        // future, we should fix things so that we either don\'t need mock documents or that this\n        // is factored so it will just run in both.\n        if (!this._refreshInProgress) {\n            // Sync isDirty from CodeMirror state\n            var wasDirty = this.isDirty;\n            this.isDirty = !editor._codeMirror.isClean();\n\n            // Notify if isDirty just changed (this also auto-adds us to working set if needed)\n            if (wasDirty !== this.isDirty) {\n                exports.trigger("_dirtyFlagChange", this);\n            }\n        }\n\n        // Notify that Document\'s text has changed\n        this._notifyDocumentChange(changeList);\n    };\n\n    /**\n     * @private\n     */\n    Document.prototype._markClean = function () {\n        this.isDirty = false;\n        if (this._masterEditor) {\n            this._masterEditor._codeMirror.markClean();\n        }\n        exports.trigger("_dirtyFlagChange", this);\n    };\n\n    /**\n     * @private\n     */\n    Document.prototype._updateTimestamp = function (timestamp) {\n        this.diskTimestamp = timestamp;\n        // Clear the "keep changes" timestamp since it\'s no longer relevant.\n        this.keepChangesTime = null;\n    };\n\n    /**\n     * Called when the document is saved (which currently happens in DocumentCommandHandlers). Marks the\n     * document not dirty and notifies listeners of the save.\n     */\n    Document.prototype.notifySaved = function () {\n        if (!this._masterEditor) {\n            console.log("### Warning: saving a Document that is not modifiable!");\n        }\n\n        this._markClean();\n\n        // TODO: (issue #295) fetching timestamp async creates race conditions (albeit unlikely ones)\n        var thisDoc = this;\n        this.file.stat(function (err, stat) {\n            if (!err) {\n                thisDoc._updateTimestamp(stat.mtime);\n            } else {\n                console.log("Error updating timestamp after saving file: " + thisDoc.file.fullPath);\n            }\n            exports.trigger("_documentSaved", thisDoc);\n        });\n    };\n\n    /**\n     * Adjusts a given position taking a given replaceRange-type edit into account.\n     * If the position is within the original edit range (start and end inclusive),\n     * it gets pushed to the end of the content that replaced the range. Otherwise,\n     * if it\'s after the edit, it gets adjusted so it refers to the same character\n     * it did before the edit.\n     * @param {!{line:number, ch: number}} pos The position to adjust.\n     * @param {!Array.<string>} textLines The text of the change, split into an array of lines.\n     * @param {!{line: number, ch: number}} start The start of the edit.\n     * @param {!{line: number, ch: number}} end The end of the edit.\n     * @return {{line: number, ch: number}} The adjusted position.\n     */\n    Document.prototype.adjustPosForChange = function (pos, textLines, start, end) {\n        // Same as CodeMirror.adjustForChange(), but that\'s a private function\n        // and Marijn would rather not expose it publicly.\n        var change = { text: textLines, from: start, to: end };\n\n        if (CodeMirror.cmpPos(pos, start) < 0) {\n            return pos;\n        }\n        if (CodeMirror.cmpPos(pos, end) <= 0) {\n            return CodeMirror.changeEnd(change);\n        }\n\n        var line = pos.line + change.text.length - (change.to.line - change.from.line) - 1,\n            ch = pos.ch;\n        if (pos.line === change.to.line) {\n            ch += CodeMirror.changeEnd(change).ch - change.to.ch;\n        }\n        return {line: line, ch: ch};\n    };\n\n    /**\n     * Like _.each(), but if given a single item not in an array, acts as\n     * if it were an array containing just that item.\n     */\n    function oneOrEach(itemOrArr, cb) {\n        if (Array.isArray(itemOrArr)) {\n            _.each(itemOrArr, cb);\n        } else {\n            cb(itemOrArr, 0);\n        }\n    }\n\n    /**\n     * Helper function for edit operations that operate on multiple selections. Takes an "edit list"\n     * that specifies a list of replaceRanges that should occur, but where all the positions are with\n     * respect to the document state before all the edits (i.e., you don\'t have to figure out how to fix\n     * up the selections after each sub-edit). Edits must be non-overlapping (in original-document terms).\n     * All the edits are done in a single batch.\n     *\n     * If your edits are structured in such a way that each individual edit would cause its associated\n     * selection to be properly updated, then all you need to specify are the edits themselves, and the\n     * selections will automatically be updated as the edits are performed. However, for some\n     * kinds of edits, you need to fix up the selection afterwards. In that case, you can specify one\n     * or more selections to be associated with each edit. Those selections are assumed to be in terms\n     * of the document state after the edit, *as if* that edit were the only one being performed (i.e.,\n     * you don\'t have to worry about adjusting for the effect of other edits). If you supply these selections,\n     * then this function will adjust them as necessary for the effects of other edits, and then return a\n     * flat list of all the selections, suitable for passing to `setSelections()`.\n     *\n     * @param {!Array.<{edit: {text: string, start:{line: number, ch: number}, end:?{line: number, ch: number}}\n     *                        | Array.<{text: string, start:{line: number, ch: number}, end:?{line: number, ch: number}}>,\n     *                  selection: ?{start:{line:number, ch:number}, end:{line:number, ch:number},\n     *                              primary:boolean, reversed: boolean, isBeforeEdit: boolean}>}\n     *                        | ?Array.<{start:{line:number, ch:number}, end:{line:number, ch:number},\n     *                                  primary:boolean, reversed: boolean, isBeforeEdit: boolean}>}>} edits\n     *     Specifies the list of edits to perform in a manner similar to CodeMirror\'s `replaceRange`. This array\n     *     will be mutated.\n     *\n     *     `edit` is the edit to perform:\n     *         `text` will replace the current contents of the range between `start` and `end`.\n     *         If `end` is unspecified, the text is inserted at `start`.\n     *         `start` and `end` should be positions relative to the document *ignoring* all other edit descriptions\n     *         (i.e., as if you were only performing this one edit on the document).\n     *     If any of the edits overlap, an error will be thrown.\n     *\n     *     If `selection` is specified, it should be a selection associated with this edit.\n     *          If `isBeforeEdit` is set on the selection, the selection will be fixed up for this edit.\n     *          If not, it won\'t be fixed up for this edit, meaning it should be expressed in terms of\n     *          the document state after this individual edit is performed (ignoring any other edits).\n     *          Note that if you were planning on just specifying `isBeforeEdit` for every selection, you can\n     *          accomplish the same thing by simply not passing any selections and letting the editor update\n     *          the existing selections automatically.\n     *\n     *     Note that `edit` and `selection` can each be either an individual edit/selection, or a group of\n     *     edits/selections to apply in order. This can be useful if you need to perform multiple edits in a row\n     *     and then specify a resulting selection that shouldn\'t be fixed up for any of those edits (but should be\n     *     fixed up for edits related to other selections). It can also be useful if you have several selections\n     *     that should ignore the effects of a given edit because you\'ve fixed them up already (this commonly happens\n     *     with line-oriented edits where multiple cursors on the same line should be ignored, but still tracked).\n     *     Within an edit group, edit positions must be specified relative to previous edits within that group. Also,\n     *     the total bounds of edit groups must not overlap (e.g. edits in one group can\'t surround an edit from another group).\n     *\n     * @param {?string} origin An optional edit origin that\'s passed through to each replaceRange().\n     * @return {Array<{start:{line:number, ch:number}, end:{line:number, ch:number}, primary:boolean, reversed: boolean}>}\n     *     The list of passed selections adjusted for the performed edits, if any.\n     */\n    Document.prototype.doMultipleEdits = function (edits, origin) {\n        var self = this;\n\n        // Sort the edits backwards, so we don\'t have to adjust the edit positions as we go along\n        // (though we do have to adjust the selection positions).\n        edits.sort(function (editDesc1, editDesc2) {\n            var edit1 = (Array.isArray(editDesc1.edit) ? editDesc1.edit[0] : editDesc1.edit),\n                edit2 = (Array.isArray(editDesc2.edit) ? editDesc2.edit[0] : editDesc2.edit);\n            // Treat all no-op edits as if they should happen before all other edits (the order\n            // doesn\'t really matter, as long as they sort out of the way of the real edits).\n            if (!edit1) {\n                return -1;\n            } else if (!edit2) {\n                return 1;\n            } else {\n                return CodeMirror.cmpPos(edit2.start, edit1.start);\n            }\n        });\n\n        // Pull out the selections, in the same order as the edits.\n        var result = _.cloneDeep(_.pluck(edits, "selection"));\n\n        // Preflight the edits to specify "end" if unspecified and make sure they don\'t overlap.\n        // (We don\'t want to do it during the actual edits, since we don\'t want to apply some of\n        // the edits before we find out.)\n        _.each(edits, function (editDesc, index) {\n            oneOrEach(editDesc.edit, function (edit) {\n                if (edit) {\n                    if (!edit.end) {\n                        edit.end = edit.start;\n                    }\n                    if (index > 0) {\n                        var prevEditGroup = edits[index - 1].edit;\n                        // The edits are in reverse order, so we want to make sure this edit ends\n                        // before any of the previous ones start.\n                        oneOrEach(prevEditGroup, function (prevEdit) {\n                            if (CodeMirror.cmpPos(edit.end, prevEdit.start) > 0) {\n                                throw new Error("Document.doMultipleEdits(): Overlapping edits specified");\n                            }\n                        });\n                    }\n                }\n            });\n        });\n\n        // Perform the edits.\n        this.batchOperation(function () {\n            _.each(edits, function (editDesc, index) {\n                // Perform this group of edits. The edit positions are guaranteed to be okay\n                // since all the previous edits we\'ve done have been later in the document. However,\n                // we have to fix up any selections that overlap or come after the edit.\n                oneOrEach(editDesc.edit, function (edit) {\n                    if (edit) {\n                        self.replaceRange(edit.text, edit.start, edit.end, origin);\n\n                        // Fix up all the selections *except* the one(s) related to this edit list that\n                        // are not "before-edit" selections.\n                        var textLines = edit.text.split("\\n");\n                        _.each(result, function (selections, selIndex) {\n                            if (selections) {\n                                oneOrEach(selections, function (sel) {\n                                    if (sel.isBeforeEdit || selIndex !== index) {\n                                        sel.start = self.adjustPosForChange(sel.start, textLines, edit.start, edit.end);\n                                        sel.end = self.adjustPosForChange(sel.end, textLines, edit.start, edit.end);\n                                    }\n                                });\n                            }\n                        });\n                    }\n                });\n            });\n        });\n\n        result = _.chain(result)\n            .filter(function (item) {\n                return item !== undefined;\n            })\n            .flatten()\n            .sort(function (sel1, sel2) {\n                return CodeMirror.cmpPos(sel1.start, sel2.start);\n            })\n            .value();\n        _.each(result, function (item) {\n            delete item.isBeforeEdit;\n        });\n        return result;\n    };\n\n    /* (pretty toString(), to aid debugging) */\n    Document.prototype.toString = function () {\n        var dirtyInfo = (this.isDirty ? " (dirty!)" : " (clean)");\n        var editorInfo = (this._masterEditor ? " (Editable)" : " (Non-editable)");\n        var refInfo = " refs:" + this._refCount;\n        return "[Document " + this.file.fullPath + dirtyInfo + editorInfo + refInfo + "]";\n    };\n\n    /**\n     * Returns the language this document is written in.\n     * The language returned is based on the file extension.\n     * @return {Language} An object describing the language used in this document\n     */\n    Document.prototype.getLanguage = function () {\n        return this.language;\n    };\n\n    /**\n     * Updates the language to match the current mapping given by LanguageManager\n     */\n    Document.prototype._updateLanguage = function () {\n        var oldLanguage = this.language;\n        this.language = LanguageManager.getLanguageForPath(this.file.fullPath);\n        if (oldLanguage && oldLanguage !== this.language) {\n            this.trigger("languageChanged", oldLanguage, this.language);\n        }\n    };\n\n    /** Called when Document.file has been modified (due to a rename) */\n    Document.prototype._notifyFilePathChanged = function () {\n        // File extension may have changed\n        this._updateLanguage();\n    };\n\n    /**\n     * Is this an untitled document?\n     *\n     * @return {boolean} - whether or not the document is untitled\n     */\n    Document.prototype.isUntitled = function () {\n        return this.file instanceof InMemoryFile;\n    };\n\n    // We dispatch events from the module level, and the instance level. Instance events are wired up\n    // in the Document constructor.\n    EventDispatcher.makeEventDispatcher(exports);\n\n    // Define public API\n    exports.Document = Document;\n});\n\n//# sourceURL=/document/Document.js'),
eval("/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the \"Software\"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * FileSyncManager is a set of utilities to help track external modifications to the files and folders\n * in the currently open project.\n *\n * Currently, we detect external changes purely by checking file timestamps against the last-sync\n * timestamp recorded on Document. Brackets triggers this check whenever an external change was detected\n * by our native file watchers, and on window focus. We recheck all open Documents, but with file caching\n * the timestamp check is a fast no-op for everything other than files where a watcher change was just\n * notified. If watchers/caching are disabled, we'll essentially check only on window focus, and we'll hit\n * the disk to check every open Document's timestamp every time.\n *\n * FUTURE: Whenever we have a 'project file tree model,' we should manipulate that instead of notifying\n * DocumentManager directly. DocumentManager, the tree UI, etc. then all listen to that model for changes.\n */\ndefine('project/FileSyncManager',['require','exports','module','project/ProjectManager','document/DocumentManager','view/MainViewManager','utils/Async','widgets/Dialogs','widgets/DefaultDialogs','strings','utils/StringUtils','file/FileUtils','filesystem/FileSystemError'],function (require, exports, module) {\n    \"use strict\";\n\n    // Load dependent modules\n    var ProjectManager  = require(\"project/ProjectManager\"),\n        DocumentManager = require(\"document/DocumentManager\"),\n        MainViewManager = require(\"view/MainViewManager\"),\n        Async           = require(\"utils/Async\"),\n        Dialogs         = require(\"widgets/Dialogs\"),\n        DefaultDialogs  = require(\"widgets/DefaultDialogs\"),\n        Strings         = require(\"strings\"),\n        StringUtils     = require(\"utils/StringUtils\"),\n        FileUtils       = require(\"file/FileUtils\"),\n        FileSystemError = require(\"filesystem/FileSystemError\");\n\n\n    /**\n     * Guard to spot re-entrancy while syncOpenDocuments() is still in progress\n     * @type {boolean}\n     */\n    var _alreadyChecking = false;\n\n    /**\n     * If true, we should bail from the syncOpenDocuments() process and then re-run it. See\n     * comments in syncOpenDocuments() for how this works.\n     * @type {boolean}\n     */\n    var _restartPending = false;\n\n    /**\n     * @type {Array.<Document>}\n     */\n    var toReload;\n\n    /**\n     * @type {Array.<Document>}\n     */\n    var toClose;\n\n    /**\n     * @type {Array.<{doc: Document, fileTime: number}>}\n     */\n    var editConflicts;\n\n    /**\n     * @type {Array.<{doc: Document, fileTime: number}>}\n     */\n    var deleteConflicts;\n\n\n    /**\n     * Scans all the given Documents for changes on disk, and sorts them into four buckets,\n     * populating the corresponding arrays:\n     *  toReload        - changed on disk; unchanged within Brackets\n     *  toClose         - deleted on disk; unchanged within Brackets\n     *  editConflicts   - changed on disk; also dirty in Brackets\n     *  deleteConflicts - deleted on disk; also dirty in Brackets\n     *\n     * @param {!Array.<Document>} docs\n     * @return {$.Promise}  Resolved when all scanning done, or rejected immediately if there's any\n     *      error while reading file timestamps. Errors are logged but no UI is shown.\n     */\n    function findExternalChanges(docs) {\n\n        toReload = [];\n        toClose = [];\n        editConflicts = [];\n        deleteConflicts = [];\n\n        function checkDoc(doc) {\n            var result = new $.Deferred();\n\n            // Check file timestamp / existence\n\n            if (doc.isUntitled()) {\n                result.resolve();\n            } else {\n                doc.file.stat(function (err, stat) {\n                    if (!err) {\n                        // Does file's timestamp differ from last sync time on the Document?\n                        var fileTime = stat.mtime.getTime();\n                        if (fileTime !== doc.diskTimestamp.getTime()) {\n                            // If the user has chosen to keep changes that conflict with the\n                            // current state of the file on disk, then do nothing. This means\n                            // that even if the user later undoes back to clean, we won't\n                            // automatically reload the file on window reactivation. We could\n                            // make it do that, but it seems better to be consistent with the\n                            // deletion case below, where it seems clear that you don't want\n                            // to auto-delete the file on window reactivation just because you\n                            // undid back to clean.\n                            if (doc.keepChangesTime !== fileTime) {\n                                if (doc.isDirty) {\n                                    editConflicts.push({doc: doc, fileTime: fileTime});\n                                } else {\n                                    toReload.push(doc);\n                                }\n                            }\n                        }\n                        result.resolve();\n                    } else {\n                        // File has been deleted externally\n                        if (err === FileSystemError.NOT_FOUND) {\n                            // If the user has chosen to keep changes previously, and the file\n                            // has been deleted, then do nothing. Like the case above, this\n                            // means that even if the user later undoes back to clean, we won't\n                            // then automatically delete the file on window reactivation.\n                            // (We use -1 as the \"mod time\" to indicate that the file didn't\n                            // exist, since there's no actual modification time to keep track of\n                            // and -1 isn't a valid mod time for a real file.)\n                            if (doc.keepChangesTime !== -1) {\n                                if (doc.isDirty) {\n                                    deleteConflicts.push({doc: doc, fileTime: -1});\n                                } else {\n                                    toClose.push(doc);\n                                }\n                            }\n                            result.resolve();\n                        } else {\n                            // Some other error fetching metadata: treat as a real error\n                            console.log(\"Error checking modification status of \" + doc.file.fullPath, err);\n                            result.reject();\n                        }\n                    }\n                });\n            }\n\n            return result.promise();\n        }\n\n        // Check all docs in parallel\n        // (fail fast b/c we won't continue syncing if there was any error fetching timestamps)\n        return Async.doInParallel(docs, checkDoc, true);\n    }\n\n    /**\n     * Scans all the files in the working set that do not have Documents (and thus were not scanned\n     * by findExternalChanges()). If any were deleted on disk, removes them from the working set.\n     */\n    function syncUnopenWorkingSet() {\n        // We only care about working set entries that have never been open (have no Document).\n        var unopenWorkingSetFiles = MainViewManager.getWorkingSet(MainViewManager.ALL_PANES).filter(function (wsFile) {\n            return !DocumentManager.getOpenDocumentForPath(wsFile.fullPath);\n        });\n\n        function checkWorkingSetFile(file) {\n            var result = new $.Deferred();\n\n            file.stat(function (err, stat) {\n                if (!err) {\n                    // File still exists\n                    result.resolve();\n                } else {\n                    // File has been deleted externally\n                    if (err === FileSystemError.NOT_FOUND) {\n                        DocumentManager.notifyFileDeleted(file);\n                        result.resolve();\n                    } else {\n                        // Some other error fetching metadata: treat as a real error\n                        console.log(\"Error checking for deletion of \" + file.fullPath, err);\n                        result.reject();\n                    }\n                }\n            });\n            return result.promise();\n        }\n\n        // Check all these files in parallel\n        return Async.doInParallel(unopenWorkingSetFiles, checkWorkingSetFile, false);\n    }\n\n\n    /**\n     * Reloads the Document's contents from disk, discarding any unsaved changes in the editor.\n     *\n     * @param {!Document} doc\n     * @return {$.Promise} Resolved after editor has been refreshed; rejected if unable to load the\n     *      file's new content. Errors are logged but no UI is shown.\n     */\n    function reloadDoc(doc) {\n\n        var promise = FileUtils.readAsText(doc.file);\n\n        promise.done(function (text, readTimestamp) {\n            doc.refreshText(text, readTimestamp);\n        });\n        promise.fail(function (error) {\n            console.log(\"Error reloading contents of \" + doc.file.fullPath, error);\n        });\n        return promise;\n    }\n\n    /**\n     * Reloads all the documents in \"toReload\" silently (no prompts). The operations are all run\n     * in parallel.\n     * @return {$.Promise} Resolved/rejected after all reloads done; will be rejected if any one\n     *      file's reload failed. Errors are logged (by reloadDoc()) but no UI is shown.\n     */\n    function reloadChangedDocs() {\n        // Reload each doc in turn, and once all are (async) done, signal that we're done\n        return Async.doInParallel(toReload, reloadDoc, false);\n    }\n\n    /**\n     * @param {FileError} error\n     * @param {!Document} doc\n     * @return {Dialog}\n     */\n    function showReloadError(error, doc) {\n        return Dialogs.showModalDialog(\n            DefaultDialogs.DIALOG_ID_ERROR,\n            Strings.ERROR_RELOADING_FILE_TITLE,\n            StringUtils.format(\n                Strings.ERROR_RELOADING_FILE,\n                StringUtils.breakableUrl(doc.file.fullPath),\n                FileUtils.getFileErrorString(error)\n            )\n        );\n    }\n\n\n    /**\n     * Closes all the documents in \"toClose\" silently (no prompts). Completes synchronously.\n     */\n    function closeDeletedDocs() {\n        toClose.forEach(function (doc) {\n            DocumentManager.notifyFileDeleted(doc.file);\n        });\n    }\n\n\n    /**\n     * Walks through all the documents in \"editConflicts\" & \"deleteConflicts\" and prompts the user\n     * about each one. Processing is sequential: if the user chooses to reload a document, the next\n     * prompt is not shown until after the reload has completed.\n     *\n     * @param {string} title Title of the dialog.\n     * @return {$.Promise} Resolved/rejected after all documents have been prompted and (if\n     *      applicable) reloaded (and any resulting error UI has been dismissed). Rejected if any\n     *      one reload failed.\n     */\n    function presentConflicts(title) {\n\n        var allConflicts = editConflicts.concat(deleteConflicts);\n\n        function presentConflict(docInfo, i) {\n            var result = new $.Deferred(),\n                promise = result.promise(),\n                doc = docInfo.doc,\n                fileTime = docInfo.fileTime;\n\n            // If window has been re-focused, skip all remaining conflicts so the sync can bail & restart\n            if (_restartPending) {\n                result.resolve();\n                return promise;\n            }\n\n            var toClose;\n            var dialogId;\n            var message;\n            var buttons;\n\n            // Prompt UI varies depending on whether the file on disk was modified vs. deleted\n            if (i < editConflicts.length) {\n                toClose = false;\n                dialogId = DefaultDialogs.DIALOG_ID_EXT_CHANGED;\n                message = StringUtils.format(\n                    Strings.EXT_MODIFIED_MESSAGE,\n                    StringUtils.breakableUrl(\n                        ProjectManager.makeProjectRelativeIfPossible(doc.file.fullPath)\n                    )\n                );\n                buttons = [\n                    {\n                        className: Dialogs.DIALOG_BTN_CLASS_LEFT,\n                        id:        Dialogs.DIALOG_BTN_DONTSAVE,\n                        text:      Strings.RELOAD_FROM_DISK\n                    },\n                    {\n                        className: Dialogs.DIALOG_BTN_CLASS_PRIMARY,\n                        id:        Dialogs.DIALOG_BTN_CANCEL,\n                        text:      Strings.KEEP_CHANGES_IN_EDITOR\n                    }\n                ];\n\n            } else {\n                toClose = true;\n                dialogId = DefaultDialogs.DIALOG_ID_EXT_DELETED;\n                message = StringUtils.format(\n                    Strings.EXT_DELETED_MESSAGE,\n                    StringUtils.breakableUrl(\n                        ProjectManager.makeProjectRelativeIfPossible(doc.file.fullPath)\n                    )\n                );\n                buttons = [\n                    {\n                        className: Dialogs.DIALOG_BTN_CLASS_LEFT,\n                        id:        Dialogs.DIALOG_BTN_DONTSAVE,\n                        text:      Strings.CLOSE_DONT_SAVE\n                    },\n                    {\n                        className: Dialogs.DIALOG_BTN_CLASS_PRIMARY,\n                        id:        Dialogs.DIALOG_BTN_CANCEL,\n                        text:      Strings.KEEP_CHANGES_IN_EDITOR\n                    }\n                ];\n            }\n\n            Dialogs.showModalDialog(dialogId, title, message, buttons)\n                .done(function (id) {\n                    if (id === Dialogs.DIALOG_BTN_DONTSAVE) {\n                        if (toClose) {\n                            // Discard - close all editors\n                            DocumentManager.notifyFileDeleted(doc.file);\n                            result.resolve();\n                        } else {\n                            // Discard - load changes from disk\n                            reloadDoc(doc)\n                                .done(function () {\n                                    result.resolve();\n                                })\n                                .fail(function (error) {\n                                    // Unable to load changed version from disk - show error UI\n                                    showReloadError(error, doc)\n                                        .done(function () {\n                                            // After user dismisses, move on to next conflict prompt\n                                            result.reject();\n                                        });\n                                });\n                        }\n\n                    } else {\n                        // Cancel - if user doesn't manually save or close, remember that they\n                        // chose to keep the changes in the editor and don't prompt again unless the\n                        // file changes again\n                        // OR programmatically canceled due to _resetPending - we'll skip all\n                        // remaining files in the conflicts list (see above)\n\n                        // If this wasn't programmatically cancelled, remember that the user\n                        // has accepted conflicting changes as of this file version.\n                        if (!_restartPending) {\n                            doc.keepChangesTime = fileTime;\n                        }\n\n                        result.resolve();\n                    }\n                });\n\n            return promise;\n        }\n\n        // Begin walking through the conflicts, one at a time\n        return Async.doSequentially(allConflicts, presentConflict, false);\n    }\n\n\n\n    /**\n     * Check to see whether any open files have been modified by an external app since the last time\n     * Brackets synced up with the copy on disk (either by loading or saving the file). For clean\n     * files, we silently upate the editor automatically. For files with unsaved changes, we prompt\n     * the user.\n     *\n     * @param {string} title Title to use for document. Default is \"External Changes\".\n     */\n    function syncOpenDocuments(title) {\n\n        title = title || Strings.EXT_MODIFIED_TITLE;\n\n        // We can become \"re-entrant\" if the user leaves & then returns to Brackets before we're\n        // done -- easy if a prompt dialog is left open. Since the user may have left Brackets to\n        // revert some of the disk changes, etc. we want to cancel the current sync and immediately\n        // begin a new one. We let the orig sync run until the user-visible dialog phase, then\n        // bail; if we're already there we programmatically close the dialog to bail right away.\n        if (_alreadyChecking) {\n            _restartPending = true;\n\n            // Close dialog if it was open. This will 'unblock' presentConflict(), which bails back\n            // to us immediately upon seeing _restartPending. We then restart the sync - see below\n            Dialogs.cancelModalDialogIfOpen(DefaultDialogs.DIALOG_ID_EXT_CHANGED);\n            Dialogs.cancelModalDialogIfOpen(DefaultDialogs.DIALOG_ID_EXT_DELETED);\n\n            return;\n        }\n\n        _alreadyChecking = true;\n\n\n        // Syncing proceeds in four phases:\n        //  1) Check all open files for external modifications\n        //  2) Check any other working set entries (that are not open) for deletion, and remove\n        //     from working set if deleted\n        //  3) Refresh all Documents that are clean (if file changed on disk)\n        //  4) Close all Documents that are clean (if file deleted on disk)\n        //  5) Prompt about any Documents that are dirty (if file changed/deleted on disk)\n        // Each phase fully completes (asynchronously) before the next one begins.\n\n\n        // 1) Check for external modifications\n        var allDocs = DocumentManager.getAllOpenDocuments();\n\n        findExternalChanges(allDocs)\n            .done(function () {\n                // 2) Check un-open working set entries for deletion (& \"close\" if needed)\n                syncUnopenWorkingSet()\n                    .always(function () {\n                        // If we were unable to check any un-open files for deletion, silently ignore\n                        // (after logging to console). This doesn't have any bearing on syncing truly\n                        // open Documents (which we've already successfully checked).\n\n                        // 3) Reload clean docs as needed\n                        reloadChangedDocs()\n                            .always(function () {\n                                // 4) Close clean docs as needed\n                                // This phase completes synchronously\n                                closeDeletedDocs();\n\n                                // 5) Prompt for dirty editors (conflicts)\n                                presentConflicts(title)\n                                    .always(function () {\n                                        if (_restartPending) {\n                                            // Restart the sync if needed\n                                            _restartPending = false;\n                                            _alreadyChecking = false;\n                                            syncOpenDocuments();\n                                        } else {\n                                            // We're really done!\n                                            _alreadyChecking = false;\n\n                                            // If we showed a dialog, restore focus to editor\n                                            if (editConflicts.length > 0 || deleteConflicts.length > 0) {\n                                                MainViewManager.focusActivePane();\n                                            }\n\n                                            // (Any errors that ocurred during presentConflicts() have already\n                                            // shown UI & been dismissed, so there's no fail() handler here)\n                                        }\n                                    });\n                            });\n                            // Note: if any auto-reloads failed, we silently ignore (after logging to console)\n                            // and we still continue onto phase 4 and try to process those files anyway.\n                            // (We'll retry the auto-reloads next time window is activated... and evenually\n                            // we'll also be double checking before each Save).\n                    });\n            }).fail(function () {\n                // Unable to fetch timestamps for some reason - silently ignore (after logging to console)\n                // (We'll retry next time window is activated... and evenually we'll also be double\n                // checking before each Save).\n\n                // We can't go on without knowing which files are dirty, so bail now\n                _alreadyChecking = false;\n            });\n\n    }\n\n\n    // Define public API\n    exports.syncOpenDocuments = syncOpenDocuments;\n});\n\n//# sourceURL=/project/FileSyncManager.js"),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * DocumentManager maintains a list of currently \'open\' Documents. The DocumentManager is responsible\n * for coordinating document operations and dispatching certain document events.\n *\n * Document is the model for a file\'s contents; it dispatches events whenever those contents change.\n * To transiently inspect a file\'s content, simply get a Document and call getText() on it. However,\n * to be notified of Document changes or to modify a Document, you MUST call addRef() to ensure the\n * Document instance \'stays alive\' and is shared by all other who read/modify that file. (\'Open\'\n * Documents are all Documents that are \'kept alive\', i.e. have ref count > 0).\n *\n * To get a Document, call getDocumentForPath(); never new up a Document yourself.\n *\n * Secretly, a Document may use an Editor instance to act as the model for its internal state. (This\n * is unavoidable because CodeMirror does not separate its model from its UI). Documents are not\n * modifiable until they have a backing \'master Editor\'. Creation of the backing Editor is owned by\n * EditorManager. A Document only gets a backing Editor if it opened in an editor.\n *\n * A non-modifiable Document may still dispatch change notifications, if the Document was changed\n * externally on disk.\n *\n * Aside from the text content, Document tracks a few pieces of metadata - notably, whether there are\n * any unsaved changes.\n *\n * This module dispatches several events:\n *\n *    - dirtyFlagChange -- When any Document\'s isDirty flag changes. The 2nd arg to the listener is the\n *      Document whose flag changed.\n *    - documentSaved -- When a Document\'s changes have been saved. The 2nd arg to the listener is the\n *      Document that has been saved.\n *    - documentRefreshed -- When a Document\'s contents have been reloaded from disk. The 2nd arg to the\n *      listener is the Document that has been refreshed.\n *\n * NOTE: WorkingSet APIs have been deprecated and have moved to MainViewManager as WorkingSet APIs\n *       Some WorkingSet APIs that have been identified as being used by 3rd party extensions will\n *       emit deprecation warnings and call the WorkingSet APIS to maintain backwards compatibility\n *\n *    - currentDocumentChange -- Deprecated: use EditorManager activeEditorChange (which covers all editors,\n *      not just full-sized editors) or MainViewManager currentFileChange (which covers full-sized views\n *      only, but is also triggered for non-editor views e.g. image files).\n *\n *    - fileNameChange -- When the name of a file or folder has changed. The 2nd arg is the old name.\n *      The 3rd arg is the new name.  Generally, however, file objects have already been changed by the\n *      time this event is dispatched so code that relies on matching the filename to a file object\n *      will need to compare the newname.\n *\n *    - pathDeleted -- When a file or folder has been deleted. The 2nd arg is the path that was deleted.\n *\n * To listen for events, do something like this: (see EventDispatcher for details on this pattern)\n *    DocumentManager.on("eventname", handler);\n *\n * Document objects themselves also dispatch some events - see Document docs for details.\n */\ndefine(\'document/DocumentManager\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'utils/AppInit\',\'utils/EventDispatcher\',\'document/Document\',\'utils/DeprecationWarning\',\'view/MainViewManager\',\'view/MainViewFactory\',\'project/FileSyncManager\',\'filesystem/FileSystem\',\'preferences/PreferencesManager\',\'file/FileUtils\',\'document/InMemoryFile\',\'command/CommandManager\',\'command/Commands\',\'utils/PerfUtils\',\'language/LanguageManager\',\'strings\'],function (require, exports, module) {\n    "use strict";\n\n    var _ = require("thirdparty/lodash");\n\n    var AppInit             = require("utils/AppInit"),\n        EventDispatcher     = require("utils/EventDispatcher"),\n        DocumentModule      = require("document/Document"),\n        DeprecationWarning  = require("utils/DeprecationWarning"),\n        MainViewManager     = require("view/MainViewManager"),\n        MainViewFactory     = require("view/MainViewFactory"),\n        FileSyncManager     = require("project/FileSyncManager"),\n        FileSystem          = require("filesystem/FileSystem"),\n        PreferencesManager  = require("preferences/PreferencesManager"),\n        FileUtils           = require("file/FileUtils"),\n        InMemoryFile        = require("document/InMemoryFile"),\n        CommandManager      = require("command/CommandManager"),\n        Commands            = require("command/Commands"),\n        PerfUtils           = require("utils/PerfUtils"),\n        LanguageManager     = require("language/LanguageManager"),\n        Strings             = require("strings");\n\n\n    /**\n     * @private\n     * Random path prefix for untitled documents\n     */\n    var _untitledDocumentPath = "/_brackets_" + _.random(10000000, 99999999);\n\n    /**\n     * All documents with refCount > 0. Maps Document.file.id -> Document.\n     * @private\n     * @type {Object.<string, Document>}\n     */\n    var _openDocuments = {};\n\n    /**\n     * Returns the existing open Document for the given file, or null if the file is not open (\'open\'\n     * means referenced by the UI somewhere). If you will hang onto the Document, you must addRef()\n     * it; see {@link #getDocumentForPath} for details.\n     * @param {!string} fullPath\n     * @return {?Document}\n     */\n    function getOpenDocumentForPath(fullPath) {\n        var id;\n\n        // Need to walk all open documents and check for matching path. We can\'t\n        // use getFileForPath(fullPath).id since the file it returns won\'t match\n        // an Untitled document\'s InMemoryFile.\n        for (id in _openDocuments) {\n            if (_openDocuments.hasOwnProperty(id)) {\n                if (_openDocuments[id].file.fullPath === fullPath) {\n                    return _openDocuments[id];\n                }\n            }\n        }\n        return null;\n    }\n\n    /**\n     * Returns the Document that is currently open in the editor UI. May be null.\n     * @return {?Document}\n     */\n    function getCurrentDocument() {\n        var file = MainViewManager.getCurrentlyViewedFile(MainViewManager.ACTIVE_PANE);\n\n        if (file) {\n            return getOpenDocumentForPath(file.fullPath);\n        }\n\n        return null;\n    }\n\n\n    /**\n     * Returns a list of items in the working set in UI list order. May be 0-length, but never null.\n     * @deprecated Use MainViewManager.getWorkingSet() instead\n     * @return {Array.<File>}\n     */\n    function getWorkingSet() {\n        DeprecationWarning.deprecationWarning("Use MainViewManager.getWorkingSet() instead of DocumentManager.getWorkingSet()", true);\n        return MainViewManager.getWorkingSet(MainViewManager.ALL_PANES)\n            .filter(function (file) {\n                // Legacy didn\'t allow for files with custom viewers\n                return !MainViewFactory.findSuitableFactoryForPath(file.fullPath);\n            });\n    }\n\n    /**\n     * Returns the index of the file matching fullPath in the working set.\n     * @deprecated Use MainViewManager.findInWorkingSet() instead\n     * @param {!string} fullPath\n     * @return {number} index, -1 if not found\n     */\n    function findInWorkingSet(fullPath) {\n        DeprecationWarning.deprecationWarning("Use MainViewManager.findInWorkingSet() instead of DocumentManager.findInWorkingSet()", true);\n        return MainViewManager.findInWorkingSet(MainViewManager.ACTIVE_PANE, fullPath);\n    }\n\n    /**\n     * Returns all Documents that are \'open\' in the UI somewhere (for now, this means open in an\n     * inline editor and/or a full-size editor). Only these Documents can be modified, and only\n     * these Documents are synced with external changes on disk.\n     * @return {Array.<Document>}\n     */\n    function getAllOpenDocuments() {\n        var result = [];\n        var id;\n        for (id in _openDocuments) {\n            if (_openDocuments.hasOwnProperty(id)) {\n                result.push(_openDocuments[id]);\n            }\n        }\n        return result;\n    }\n\n\n    /**\n     * Adds the given file to the end of the working set list.\n     * @deprecated Use MainViewManager.addToWorkingSet() instead\n     * @param {!File} file\n     * @param {number=} index  Position to add to list (defaults to last); -1 is ignored\n     * @param {boolean=} forceRedraw  If true, a working set change notification is always sent\n     *    (useful if suppressRedraw was used with removeFromWorkingSet() earlier)\n     */\n    function addToWorkingSet(file, index, forceRedraw) {\n        DeprecationWarning.deprecationWarning("Use MainViewManager.addToWorkingSet() instead of DocumentManager.addToWorkingSet()", true);\n        MainViewManager.addToWorkingSet(MainViewManager.ACTIVE_PANE, file, index, forceRedraw);\n    }\n\n    /**\n     * @deprecated Use MainViewManager.addListToWorkingSet() instead\n     * Adds the given file list to the end of the working set list.\n     * If a file in the list has its own custom viewer, then it\n     * is not added into the working set.\n     * Does not change which document is currently open in the editor.\n     * More efficient than calling addToWorkingSet() (in a loop) for\n     * a list of files because there\'s only 1 redraw at the end\n     * @param {!Array.<File>} fileList\n     */\n    function addListToWorkingSet(fileList) {\n        DeprecationWarning.deprecationWarning("Use MainViewManager.addListToWorkingSet() instead of DocumentManager.addListToWorkingSet()", true);\n        MainViewManager.addListToWorkingSet(MainViewManager.ACTIVE_PANE, fileList);\n    }\n\n\n    /**\n     * closes a list of files\n     * @deprecated Use CommandManager.execute(Commands.FILE_CLOSE_LIST) instead\n     * @param {!Array.<File>} list - list of File objectgs to close\n     */\n    function removeListFromWorkingSet(list) {\n        DeprecationWarning.deprecationWarning("Use CommandManager.execute(Commands.FILE_CLOSE_LIST, {PaneId: MainViewManager.ALL_PANES, fileList: list}) instead of DocumentManager.removeListFromWorkingSet()", true);\n        CommandManager.execute(Commands.FILE_CLOSE_LIST, {PaneId: MainViewManager.ALL_PANES, fileList: list});\n    }\n\n    /**\n     * closes all open files\n     * @deprecated CommandManager.execute(Commands.FILE_CLOSE_ALL) instead\n     */\n    function closeAll() {\n        DeprecationWarning.deprecationWarning("Use CommandManager.execute(Commands.FILE_CLOSE_ALL,{PaneId: MainViewManager.ALL_PANES}) instead of DocumentManager.closeAll()", true);\n        CommandManager.execute(Commands.FILE_CLOSE_ALL, {PaneId: MainViewManager.ALL_PANES});\n    }\n\n    /**\n     * closes the specified file file\n     * @deprecated use CommandManager.execute(Commands.FILE_CLOSE, {File: file}) instead\n     * @param {!File} file - the file to close\n     */\n    function closeFullEditor(file) {\n        DeprecationWarning.deprecationWarning("Use CommandManager.execute(Commands.FILE_CLOSE, {File: file} instead of DocumentManager.closeFullEditor()", true);\n        CommandManager.execute(Commands.FILE_CLOSE, {File: file});\n    }\n\n    /**\n     * opens the specified document for editing in the currently active pane\n     * @deprecated use CommandManager.execute(Commands.CMD_OPEN, {fullPath: doc.file.fullPath}) instead\n     * @param {!Document} document  The Document to make current.\n     */\n    function setCurrentDocument(doc) {\n        DeprecationWarning.deprecationWarning("Use CommandManager.execute(Commands.CMD_OPEN) instead of DocumentManager.setCurrentDocument()", true);\n        CommandManager.execute(Commands.CMD_OPEN, {fullPath: doc.file.fullPath});\n    }\n\n\n    /**\n     * freezes the Working Set MRU list\n     * @deprecated use MainViewManager.beginTraversal() instead\n     */\n    function beginDocumentNavigation() {\n        DeprecationWarning.deprecationWarning("Use MainViewManager.beginTraversal() instead of DocumentManager.beginDocumentNavigation()", true);\n        MainViewManager.beginTraversal();\n    }\n\n    /**\n     * ends document navigation and moves the current file to the front of the MRU list in the Working Set\n     * @deprecated use MainViewManager.endTraversal() instead\n     */\n    function finalizeDocumentNavigation() {\n        DeprecationWarning.deprecationWarning("Use MainViewManager.endTraversal() instead of DocumentManager.finalizeDocumentNavigation()", true);\n        MainViewManager.endTraversal();\n    }\n\n    /**\n     * Get the next or previous file in the working set, in MRU order (relative to currentDocument). May\n     * return currentDocument itself if working set is length 1.\n     * @deprecated use MainViewManager.traverseToNextViewByMRU() instead\n     */\n    function getNextPrevFile(inc) {\n        DeprecationWarning.deprecationWarning("Use MainViewManager.traverseToNextViewByMRU() instead of DocumentManager.getNextPrevFile()", true);\n        var result = MainViewManager.traverseToNextViewByMRU(inc);\n        if (result) {\n            return result.file;\n        }\n        return null;\n    }\n\n    /**\n     * Cleans up any loose Documents whose only ref is its own master Editor, and that Editor is not\n     * rooted in the UI anywhere. This can happen if the Editor is auto-created via Document APIs that\n     * trigger _ensureMasterEditor() without making it dirty. E.g. a command invoked on the focused\n     * inline editor makes no-op edits or does a read-only operation.\n     */\n    function _gcDocuments() {\n        getAllOpenDocuments().forEach(function (doc) {\n            // Is the only ref to this document its own master Editor?\n            if (doc._refCount === 1 && doc._masterEditor) {\n                // Destroy the Editor if it\'s not being kept alive by the UI\n                MainViewManager._destroyEditorIfNotNeeded(doc);\n            }\n        });\n    }\n\n\n    /**\n     * Gets an existing open Document for the given file, or creates a new one if the Document is\n     * not currently open (\'open\' means referenced by the UI somewhere). Always use this method to\n     * get Documents; do not call the Document constructor directly. This method is safe to call\n     * in parallel.\n     *\n     * If you are going to hang onto the Document for more than just the duration of a command - e.g.\n     * if you are going to display its contents in a piece of UI - then you must addRef() the Document\n     * and listen for changes on it. (Note: opening the Document in an Editor automatically manages\n     * refs and listeners for that Editor UI).\n     *\n     * If all you need is the Document\'s getText() value, use the faster getDocumentText() instead.\n     *\n     * @param {!string} fullPath\n     * @return {$.Promise} A promise object that will be resolved with the Document, or rejected\n     *      with a FileSystemError if the file is not yet open and can\'t be read from disk.\n     */\n    function getDocumentForPath(fullPath) {\n        var doc = getOpenDocumentForPath(fullPath);\n\n        if (doc) {\n            // use existing document\n            return new $.Deferred().resolve(doc).promise();\n        } else {\n            var result = new $.Deferred(),\n                promise = result.promise();\n\n            // return null in case of untitled documents\n            if (fullPath.indexOf(_untitledDocumentPath) === 0) {\n                result.resolve(null);\n                return promise;\n            }\n\n            var file            = FileSystem.getFileForPath(fullPath),\n                pendingPromise  = getDocumentForPath._pendingDocumentPromises[file.id];\n\n            if (pendingPromise) {\n                // wait for the result of a previous request\n                return pendingPromise;\n            } else {\n                // log this document\'s Promise as pending\n                getDocumentForPath._pendingDocumentPromises[file.id] = promise;\n\n                // create a new document\n                var perfTimerName = PerfUtils.markStart("getDocumentForPath:\\t" + fullPath);\n\n                result.done(function () {\n                    PerfUtils.addMeasurement(perfTimerName);\n                }).fail(function () {\n                    PerfUtils.finalizeMeasurement(perfTimerName);\n                });\n\n                FileUtils.readAsText(file)\n                    .always(function () {\n                        // document is no longer pending\n                        delete getDocumentForPath._pendingDocumentPromises[file.id];\n                    })\n                    .done(function (rawText, readTimestamp) {\n                        doc = new DocumentModule.Document(file, readTimestamp, rawText);\n\n                        // This is a good point to clean up any old dangling Documents\n                        _gcDocuments();\n\n                        result.resolve(doc);\n                    })\n                    .fail(function (fileError) {\n                        result.reject(fileError);\n                    });\n\n                return promise;\n            }\n        }\n    }\n\n    /**\n     * Document promises that are waiting to be resolved. It is possible for multiple clients\n     * to request the same document simultaneously before the initial request has completed.\n     * In particular, this happens at app startup where the working set is created and the\n     * intial active document is opened in an editor. This is essential to ensure that only\n     * one Document exists for any File.\n     * @private\n     * @type {Object.<string, $.Promise>}\n     */\n    getDocumentForPath._pendingDocumentPromises = {};\n\n    /**\n     * Gets the text of a Document (including any unsaved changes), or would-be Document if the\n     * file is not actually open. More efficient than getDocumentForPath(). Use when you\'re reading\n     * document(s) but don\'t need to hang onto a Document object.\n     *\n     * If the file is open this is equivalent to calling getOpenDocumentForPath().getText(). If the\n     * file is NOT open, this is like calling getDocumentForPath()...getText() but more efficient.\n     * Differs from plain FileUtils.readAsText() in two ways: (a) line endings are still normalized\n     * as in Document.getText(); (b) unsaved changes are returned if there are any.\n     *\n     * @param {!File} file The file to get the text for.\n     * @param {boolean=} checkLineEndings Whether to return line ending information. Default false (slightly more efficient).\n     * @return {$.Promise}\n     *     A promise that is resolved with three parameters:\n     *          contents - string: the document\'s text\n     *          timestamp - Date: the last time the document was changed on disk (might not be the same as the last time it was changed in memory)\n     *          lineEndings - string: the original line endings of the file, one of the FileUtils.LINE_ENDINGS_* constants;\n     *              will be null if checkLineEndings was false.\n     *     or rejected with a filesystem error.\n     */\n    function getDocumentText(file, checkLineEndings) {\n        var result = new $.Deferred(),\n            doc = getOpenDocumentForPath(file.fullPath);\n        if (doc) {\n            result.resolve(doc.getText(), doc.diskTimestamp, checkLineEndings ? doc._lineEndings : null);\n        } else {\n            file.read(function (err, contents, stat) {\n                if (err) {\n                    result.reject(err);\n                } else {\n                    // Normalize line endings the same way Document would, but don\'t actually\n                    // new up a Document (which entails a bunch of object churn).\n                    var originalLineEndings = checkLineEndings ? FileUtils.sniffLineEndings(contents) : null;\n                    contents = DocumentModule.Document.normalizeText(contents);\n                    result.resolve(contents, stat.mtime, originalLineEndings);\n                }\n            });\n        }\n        return result.promise();\n    }\n\n\n    /**\n     * Creates an untitled document. The associated File has a fullPath that\n     * looks like /some-random-string/Untitled-counter.fileExt.\n     *\n     * @param {number} counter - used in the name of the new Document\'s File\n     * @param {string} fileExt - file extension of the new Document\'s File, including "."\n     * @return {Document} - a new untitled Document\n     */\n    function createUntitledDocument(counter, fileExt) {\n        var filename = Strings.UNTITLED + "-" + counter + fileExt,\n            fullPath = _untitledDocumentPath + "/" + filename,\n            now = new Date(),\n            file = new InMemoryFile(fullPath, FileSystem);\n\n        FileSystem.addEntryForPathIfRequired(file, fullPath);\n\n        return new DocumentModule.Document(file, now, "");\n    }\n\n    /**\n     * Reacts to a file being deleted: if there is a Document for this file, causes it to dispatch a\n     * "deleted" event; ensures it\'s not the currentDocument; and removes this file from the working\n     * set. These actions in turn cause all open editors for this file to close. Discards any unsaved\n     * changes - it is expected that the UI has already confirmed with the user before calling.\n     *\n     * To simply close a main editor when the file hasn\'t been deleted, use closeFullEditor() or FILE_CLOSE.\n     *\n     * FUTURE: Instead of an explicit notify, we should eventually listen for deletion events on some\n     * sort of "project file model," making this just a private event handler.\n     *\n     * NOTE: This function is not for general consumption, is considered private and may be deprecated\n     *        without warning in a future release.\n     *\n     * @param {!File} file\n     */\n    function notifyFileDeleted(file) {\n        // Notify all editors to close as well\n        exports.trigger("pathDeleted", file.fullPath);\n\n        var doc = getOpenDocumentForPath(file.fullPath);\n\n        if (doc) {\n            doc.trigger("deleted");\n        }\n\n        // At this point, all those other views SHOULD have released the Doc\n        if (doc && doc._refCount > 0) {\n            console.warn("Deleted " + file.fullPath + " Document still has " + doc._refCount + " references. Did someone addRef() without listening for \'deleted\'?");\n        }\n    }\n\n    /**\n     * Called after a file or folder has been deleted. This function is responsible\n     * for updating underlying model data and notifying all views of the change.\n     *\n     * @param {string} fullPath The path of the file/folder that has been deleted\n     */\n    function notifyPathDeleted(fullPath) {\n        // FileSyncManager.syncOpenDocuments() does all the work prompting\n        //  the user to save any unsaved changes and then calls us back\n        //  via notifyFileDeleted\n        FileSyncManager.syncOpenDocuments(Strings.FILE_DELETED_TITLE);\n\n        if (!getOpenDocumentForPath(fullPath) &&\n                !MainViewManager.findInAllWorkingSets(fullPath).length) {\n            // For images not open in the workingset,\n            // FileSyncManager.syncOpenDocuments() will\n            //  not tell us to close those views\n            exports.trigger("pathDeleted", fullPath);\n        }\n    }\n\n    /**\n     * Called after a file or folder name has changed. This function is responsible\n     * for updating underlying model data and notifying all views of the change.\n     *\n     * @param {string} oldName The old name of the file/folder\n     * @param {string} newName The new name of the file/folder\n     */\n    function notifyPathNameChanged(oldName, newName) {\n        // Notify all open documents\n        _.forEach(_openDocuments, function (doc) {\n            // TODO: Only notify affected documents? For now _notifyFilePathChange\n            // just updates the language if the extension changed, so it\'s fine\n            // to call for all open docs.\n            doc._notifyFilePathChanged();\n        });\n\n        // Send a "fileNameChange" event. This will trigger the views to update.\n        exports.trigger("fileNameChange", oldName, newName);\n    }\n\n\n    /**\n     * @private\n     * Update document\n     */\n    function _handleLanguageAdded() {\n        _.forEach(_openDocuments, function (doc) {\n            // No need to look at the new language if this document has one already\n            if (doc.getLanguage().isFallbackLanguage()) {\n                doc._updateLanguage();\n            }\n        });\n    }\n\n    /**\n     * @private\n     * Update document\n     */\n    function _handleLanguageModified(event, language) {\n        _.forEach(_openDocuments, function (doc) {\n            var docLanguage = doc.getLanguage();\n            // A modified language can affect a document\n            // - if its language was modified\n            // - if the document doesn\'t have a language yet and its file extension was added to the modified language\n            if (docLanguage === language || docLanguage.isFallbackLanguage()) {\n                doc._updateLanguage();\n            }\n        });\n    }\n\n    // For compatibility\n    DocumentModule\n        .on("_afterDocumentCreate", function (event, doc) {\n            if (_openDocuments[doc.file.id]) {\n                console.error("Document for this path already in _openDocuments!");\n                return true;\n            }\n\n            _openDocuments[doc.file.id] = doc;\n            exports.trigger("afterDocumentCreate", doc);\n        })\n        .on("_beforeDocumentDelete", function (event, doc) {\n            if (!_openDocuments[doc.file.id]) {\n                console.error("Document with references was not in _openDocuments!");\n                return true;\n            }\n\n            exports.trigger("beforeDocumentDelete", doc);\n            delete _openDocuments[doc.file.id];\n        })\n        .on("_documentRefreshed", function (event, doc) {\n            exports.trigger("documentRefreshed", doc);\n        })\n        .on("_dirtyFlagChange", function (event, doc) {\n            // Modules listening on the doc instance notified about dirtyflag change\n            // To be used internally by Editor\n            doc.trigger("_dirtyFlagChange", doc);\n            exports.trigger("dirtyFlagChange", doc);\n            if (doc.isDirty) {\n                MainViewManager.addToWorkingSet(MainViewManager.ACTIVE_PANE, doc.file);\n\n                // We just dirtied a doc and added it to the active working set\n                //  this may have come from an internal dirtying so if it was\n                //  added to a working set that had no active document then\n                //  open the document\n                //\n                // See: https://github.com/adobe/brackets/issues/9569\n                //\n                // NOTE: Adding a file to the active working set may not actually add\n                //       it to the active working set (e.g. the document was already\n                //       opened to the inactive working set.)\n                //\n                //       Check that it was actually added to the active working set\n\n                if (!MainViewManager.getCurrentlyViewedFile() &&\n                        MainViewManager.findInWorkingSet(MainViewManager.ACTIVE_PANE, doc.file.fullPath) !== -1) {\n                    CommandManager.execute(Commands.FILE_OPEN, {fullPath: doc.file.fullPath});\n                }\n            }\n        })\n        .on("_documentSaved", function (event, doc) {\n            exports.trigger("documentSaved", doc);\n        });\n\n    // Set up event dispatch\n    EventDispatcher.makeEventDispatcher(exports);\n\n    // This deprecated event is dispatched manually from "currentFileChange" below\n    EventDispatcher.markDeprecated(exports, "currentDocumentChange", "MainViewManager.currentFileChange");\n\n    // These deprecated events are automatically dispatched by DeprecationWarning, set up in AppInit.extensionsLoaded()\n    EventDispatcher.markDeprecated(exports, "workingSetAdd",        "MainViewManager.workingSetAdd");\n    EventDispatcher.markDeprecated(exports, "workingSetAddList",    "MainViewManager.workingSetAddList");\n    EventDispatcher.markDeprecated(exports, "workingSetRemove",     "MainViewManager.workingSetRemove");\n    EventDispatcher.markDeprecated(exports, "workingSetRemoveList", "MainViewManager.workingSetRemoveList");\n    EventDispatcher.markDeprecated(exports, "workingSetSort",       "MainViewManager.workingSetSort");\n\n    /*\n     * After extensionsLoaded, register the proxying listeners that convert newer events to\n     * deprecated events. This ensures that extension listeners still run later than core\n     * listeners. If we registered these proxies earlier, extensions would get the deprecated\n     * event before some core listeners may have run, which could cause bugs (e.g. WorkingSetView\n     * needs to process these events before the Extension Highlighter extension).\n     */\n    AppInit.extensionsLoaded(function () {\n        // Listens for the given event on MainViewManager, and triggers a copy of the event\n        // on DocumentManager whenever it occurs\n        function _proxyDeprecatedEvent(eventName) {\n            DeprecationWarning.deprecateEvent(exports,\n                                              MainViewManager,\n                                              eventName,\n                                              eventName,\n                                              "DocumentManager." + eventName,\n                                              "MainViewManager." + eventName);\n        }\n        _proxyDeprecatedEvent("workingSetAdd");\n        _proxyDeprecatedEvent("workingSetAddList");\n        _proxyDeprecatedEvent("workingSetRemove");\n        _proxyDeprecatedEvent("workingSetRemoveList");\n        _proxyDeprecatedEvent("workingSetSort");\n    });\n\n    // Handle file saves that may affect preferences\n    exports.on("documentSaved", function (e, doc) {\n        PreferencesManager.fileChanged(doc.file.fullPath);\n    });\n\n    MainViewManager.on("currentFileChange", function (e, newFile, newPaneId, oldFile) {\n        var newDoc = null,\n            oldDoc = null;\n\n        if (newFile) {\n            newDoc = getOpenDocumentForPath(newFile.fullPath);\n        }\n\n        if (oldFile) {\n            oldDoc = getOpenDocumentForPath(oldFile.fullPath);\n        }\n\n        if (oldDoc) {\n            oldDoc.off("languageChanged.DocumentManager");\n        }\n\n        if (newDoc) {\n            PreferencesManager._setCurrentLanguage(newDoc.getLanguage().getId());\n            newDoc.on("languageChanged.DocumentManager", function (e, oldLang, newLang) {\n                PreferencesManager._setCurrentLanguage(newLang.getId());\n                exports.trigger("currentDocumentLanguageChanged", [oldLang, newLang]);\n            });\n        } else {\n            PreferencesManager._setCurrentLanguage(undefined);\n        }\n\n        if (newDoc !== oldDoc) {\n            // Dispatch deprecated event with doc args (not File args as the new event uses)\n            exports.trigger("currentDocumentChange", newDoc, oldDoc);\n        }\n\n    });\n\n    // Deprecated APIs\n    exports.getWorkingSet                  = getWorkingSet;\n    exports.findInWorkingSet               = findInWorkingSet;\n    exports.addToWorkingSet                = addToWorkingSet;\n    exports.addListToWorkingSet            = addListToWorkingSet;\n    exports.removeListFromWorkingSet       = removeListFromWorkingSet;\n    exports.getCurrentDocument             = getCurrentDocument;\n    exports.beginDocumentNavigation        = beginDocumentNavigation;\n    exports.finalizeDocumentNavigation     = finalizeDocumentNavigation;\n    exports.getNextPrevFile                = getNextPrevFile;\n    exports.setCurrentDocument             = setCurrentDocument;\n    exports.closeFullEditor                = closeFullEditor;\n    exports.closeAll                       = closeAll;\n\n    // Define public API\n    exports.Document                    = DocumentModule.Document;\n    exports.getDocumentForPath          = getDocumentForPath;\n    exports.getOpenDocumentForPath      = getOpenDocumentForPath;\n    exports.getDocumentText             = getDocumentText;\n    exports.createUntitledDocument      = createUntitledDocument;\n    exports.getAllOpenDocuments         = getAllOpenDocuments;\n\n    // For internal use only\n    exports.notifyPathNameChanged       = notifyPathNameChanged;\n    exports.notifyPathDeleted           = notifyPathDeleted;\n    exports.notifyFileDeleted           = notifyFileDeleted;\n\n    // Performance measurements\n    PerfUtils.createPerfMeasurement("DOCUMENT_MANAGER_GET_DOCUMENT_FOR_PATH", "DocumentManager.getDocumentForPath()");\n\n    // Handle Language change events\n    LanguageManager.on("languageAdded", _handleLanguageAdded);\n    LanguageManager.on("languageModified", _handleLanguageModified);\n});\n\n//# sourceURL=/document/DocumentManager.js'),
eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Responsible for coordinating file selection between views by permitting only one view\n * to show the current file selection at a time. Currently, only WorkingSetView and\n * ProjectManager can show file selection. In general the WorkingSetView takes higher\n * priority until the user selects a file in the ProjectManager.\n *\n * Events dispatched:\n * - documentSelectionFocusChange - indicates a document change has caused the focus to\n *   change between the working set and file tree.\n *\n * - fileViewFocusChange - indicates the selection focus has changed between the working\n *   set and the project tree, but the document selection has NOT changed\n *\n * Current file selection rules in views:\n * - select a file in WorkingSetView > select in WorkingSetView\n * - add a file to the WorkingSetView > select in WorkingSetView\n * - select a file in ProjectManager > select in ProjectManager\n * - open a file from places other than the WorkingSetView or ProjectManager >\n *       select file in WorkignSetView if its in the working set, otherwise select in ProjectManager\n */\n\ndefine(\'project/FileViewController\',[\'require\',\'exports\',\'module\',\'document/DocumentManager\',\'utils/EventDispatcher\',\'view/MainViewManager\',\'command/CommandManager\',\'utils/PerfUtils\',\'command/Commands\',\'utils/DeprecationWarning\'],function (require, exports, module) {\n    "use strict";\n\n    // Load dependent modules\n    var DocumentManager     = require("document/DocumentManager"),\n        EventDispatcher     = require("utils/EventDispatcher"),\n        MainViewManager     = require("view/MainViewManager"),\n        CommandManager      = require("command/CommandManager"),\n        PerfUtils           = require("utils/PerfUtils"),\n        Commands            = require("command/Commands"),\n        DeprecationWarning  = require("utils/DeprecationWarning");\n\n    /**\n     * Tracks whether a "currentFileChange" notification occured due to a call to\n     * openAndSelectDocument.\n     * @see #openAndSelectDocument\n     * @private\n     */\n    var _curDocChangedDueToMe = false;\n    var WORKING_SET_VIEW = "WorkingSetView";\n    var PROJECT_MANAGER = "ProjectManager";\n\n    /**\n     * @private\n     * @see #getFileSelectionFocus\n     */\n    var _fileSelectionFocus = PROJECT_MANAGER;\n\n    // Due to circular dependencies, not safe to call on() directly\n    /**\n     * Change the doc selection to the working set when ever a new file is added to the working set\n     */\n    EventDispatcher.on_duringInit(MainViewManager, "workingSetAdd", function (event, addedFile) {\n        _fileSelectionFocus = WORKING_SET_VIEW;\n        exports.trigger("documentSelectionFocusChange");\n    });\n\n    /**\n     * Update the file selection focus whenever the contents of the editor area change\n     */\n    EventDispatcher.on_duringInit(MainViewManager, "currentFileChange", function (event, file, paneId) {\n        var perfTimerName;\n        if (!_curDocChangedDueToMe) {\n            // The the cause of the doc change was not openAndSelectDocument, so pick the best fileSelectionFocus\n            perfTimerName = PerfUtils.markStart("FileViewController._oncurrentFileChange():\\t" + (file ? (file.fullPath) : "(no open file)"));\n            if (file && MainViewManager.findInWorkingSet(paneId,  file.fullPath) !== -1) {\n                _fileSelectionFocus = WORKING_SET_VIEW;\n            } else {\n                _fileSelectionFocus = PROJECT_MANAGER;\n            }\n        }\n\n        exports.trigger("documentSelectionFocusChange");\n\n        if (!_curDocChangedDueToMe) {\n            PerfUtils.addMeasurement(perfTimerName);\n        }\n    });\n\n    /**\n     * @private\n     * @param {string=} paneId - the Pane to activate\n     */\n    function _activatePane(paneId) {\n        if (paneId) {\n            MainViewManager.setActivePaneId(paneId);\n        } else {\n            MainViewManager.focusActivePane();\n        }\n        // If fullPath corresonds to the current doc being viewed then opening the file won\'t\n        // trigger a currentFileChange event, so we need to trigger a documentSelectionFocusChange\n        // in this case to signify the selection focus has changed even though the current document has not.\n        exports.trigger("documentSelectionFocusChange");\n    }\n\n    /**\n     * Modifies the selection focus in the project side bar. A file can either be selected\n     * in the working set (the open files) or in the file tree, but not both.\n     * @param {String} fileSelectionFocus - either PROJECT_MANAGER or WORKING_SET_VIEW\n     */\n    function setFileViewFocus(fileSelectionFocus) {\n        if (fileSelectionFocus !== PROJECT_MANAGER && fileSelectionFocus !== WORKING_SET_VIEW) {\n            console.error("Bad parameter passed to FileViewController.setFileViewFocus");\n            return;\n        }\n\n        if (_fileSelectionFocus !== fileSelectionFocus) {\n            _fileSelectionFocus = fileSelectionFocus;\n            exports.trigger("fileViewFocusChange");\n        }\n    }\n\n    /**\n     * Opens a document if it\'s not open and selects the file in the UI corresponding to\n     * fileSelectionFocus\n     * @param {!fullPath} fullPath - full path of the document to open\n     * @param {string} fileSelectionFocus - (WORKING_SET_VIEW || PROJECT_MANAGER)\n     * @param {string} paneId - pane in which to open the document\n     * @return {$.Promise}\n     */\n    function openAndSelectDocument(fullPath, fileSelectionFocus, paneId) {\n        var result,\n            curDocChangedDueToMe = _curDocChangedDueToMe;\n\n        function _getDerivedPaneContext() {\n\n            function _secondPaneContext() {\n                return (window.event.ctrlKey || window.event.metaKey) && window.event.altKey ? MainViewManager.SECOND_PANE : null;\n            }\n\n            function _firstPaneContext() {\n                return (window.event.ctrlKey || window.event.metaKey) ? MainViewManager.FIRST_PANE : null;\n            }\n\n            return window.event && (_secondPaneContext() || _firstPaneContext());\n        }\n\n        if (fileSelectionFocus !== PROJECT_MANAGER && fileSelectionFocus !== WORKING_SET_VIEW) {\n            console.error("Bad parameter passed to FileViewController.openAndSelectDocument");\n            return;\n        }\n\n        // Opening files are asynchronous and we want to know when this function caused a file\n        // to open so that _fileSelectionFocus is set appropriatly. _curDocChangedDueToMe is set here\n        // and checked in the currentFileChange handler\n        _curDocChangedDueToMe = true;\n\n        _fileSelectionFocus = fileSelectionFocus;\n\n\n        paneId = (paneId || _getDerivedPaneContext() || MainViewManager.ACTIVE_PANE);\n\n        // If fullPath corresonds to the current doc being viewed then opening the file won\'t\n        // trigger a currentFileChange event, so we need to trigger a documentSelectionFocusChange\n        // in this case to signify the selection focus has changed even though the current document has not.\n        var currentPath = MainViewManager.getCurrentlyViewedPath(paneId);\n        if (currentPath === fullPath) {\n            _activatePane(paneId);\n            result = (new $.Deferred()).resolve().promise();\n        } else {\n            result = CommandManager.execute(Commands.FILE_OPEN, {fullPath: fullPath,\n                                                                 paneId: paneId});\n        }\n\n        // clear after notification is done\n        result.always(function () {\n            _curDocChangedDueToMe = curDocChangedDueToMe;\n        });\n\n        return result;\n    }\n\n    /**\n     * Opens the specified document if it\'s not already open, adds it to the working set,\n     * and selects it in the WorkingSetView\n     * @param {!fullPath}\n     * @param {string=} paneId - Pane in which to add the view.  If omitted, the command default is to use the ACTIVE_PANE\n     * @return {!$.Promise}\n     */\n    function openFileAndAddToWorkingSet(fullPath, paneId) {\n        var result = new $.Deferred(),\n            promise = CommandManager.execute(Commands.CMD_ADD_TO_WORKINGSET_AND_OPEN, {fullPath: fullPath,\n                                                                                  paneId: paneId});\n\n        // This properly handles sending the right nofications in cases where the document\n        // is already the current one. In that case we will want to notify with\n        // documentSelectionFocusChange so the views change their selection\n        promise.done(function (file) {\n            // CMD_ADD_TO_WORKINGSET_AND_OPEN command sets the current document. Update the\n            // selection focus only if doc is not null. When double-clicking on an\n            // image file, we get a null doc here but we still want to keep _fileSelectionFocus\n            // as PROJECT_MANAGER. Regardless of doc is null or not, call _activatePane\n            // to trigger documentSelectionFocusChange event.\n            _fileSelectionFocus = WORKING_SET_VIEW;\n            _activatePane(paneId);\n\n            result.resolve(file);\n        }).fail(function (err) {\n            result.reject(err);\n        });\n\n        return result.promise();\n    }\n\n    /**\n     * Opens the specified document if it\'s not already open, adds it to the working set,\n     * and selects it in the WorkingSetView\n     * @deprecated use FileViewController.openFileAndAddToWorkingSet() instead\n     * @param {!fullPath}\n     * @return {!$.Promise}\n     */\n    function addToWorkingSetAndSelect(fullPath) {\n        DeprecationWarning.deprecationWarning("Use FileViewController.openFileAndAddToWorkingSet() instead of FileViewController.addToWorkingSetAndSelect().", true);\n        var result = new $.Deferred();\n        openFileAndAddToWorkingSet(fullPath)\n            .done(function (file) {\n                var doc;\n\n                if (file) {\n                    doc = DocumentManager.getOpenDocumentForPath(file.fullPath);\n                }\n\n                result.resolve(doc);\n            })\n            .fail(function (err) {\n                result.reject(err);\n            });\n        return result.promise();\n    }\n\n\n\n    /**\n     * returns either WORKING_SET_VIEW or PROJECT_MANAGER\n     * @return {!String}\n     */\n    function getFileSelectionFocus() {\n        return _fileSelectionFocus;\n    }\n\n\n    EventDispatcher.makeEventDispatcher(exports);\n\n    // Deprecated\n    exports.addToWorkingSetAndSelect = addToWorkingSetAndSelect;\n\n    // Define public API\n    exports.getFileSelectionFocus = getFileSelectionFocus;\n    exports.openAndSelectDocument = openAndSelectDocument;\n    exports.openFileAndAddToWorkingSet = openFileAndAddToWorkingSet;\n    exports.setFileViewFocus = setFileViewFocus;\n    exports.WORKING_SET_VIEW = WORKING_SET_VIEW;\n    exports.PROJECT_MANAGER = PROJECT_MANAGER;\n});\n\n//# sourceURL=/project/FileViewController.js'),eval("/**\n *  Copyright (c) 2014-2015, Facebook, Inc.\n *  All rights reserved.\n *\n *  This source code is licensed under the BSD-style license found in the\n *  LICENSE file in the root directory of this source tree. An additional grant\n *  of patent rights can be found in the PATENTS file in the same directory.\n */\n\n(function (global, factory) {\n  typeof exports === 'object' && typeof module !== 'undefined' ? module.exports = factory() :\n  typeof define === 'function' && define.amd ? define('thirdparty/immutable',factory) :\n  global.Immutable = factory();\n}(this, function () { 'use strict';var SLICE$0 = Array.prototype.slice;\n\n  function createClass(ctor, superClass) {\n    if (superClass) {\n      ctor.prototype = Object.create(superClass.prototype);\n    }\n    ctor.prototype.constructor = ctor;\n  }\n\n  function Iterable(value) {\n      return isIterable(value) ? value : Seq(value);\n    }\n\n\n  createClass(KeyedIterable, Iterable);\n    function KeyedIterable(value) {\n      return isKeyed(value) ? value : KeyedSeq(value);\n    }\n\n\n  createClass(IndexedIterable, Iterable);\n    function IndexedIterable(value) {\n      return isIndexed(value) ? value : IndexedSeq(value);\n    }\n\n\n  createClass(SetIterable, Iterable);\n    function SetIterable(value) {\n      return isIterable(value) && !isAssociative(value) ? value : SetSeq(value);\n    }\n\n\n\n  function isIterable(maybeIterable) {\n    return !!(maybeIterable && maybeIterable[IS_ITERABLE_SENTINEL]);\n  }\n\n  function isKeyed(maybeKeyed) {\n    return !!(maybeKeyed && maybeKeyed[IS_KEYED_SENTINEL]);\n  }\n\n  function isIndexed(maybeIndexed) {\n    return !!(maybeIndexed && maybeIndexed[IS_INDEXED_SENTINEL]);\n  }\n\n  function isAssociative(maybeAssociative) {\n    return isKeyed(maybeAssociative) || isIndexed(maybeAssociative);\n  }\n\n  function isOrdered(maybeOrdered) {\n    return !!(maybeOrdered && maybeOrdered[IS_ORDERED_SENTINEL]);\n  }\n\n  Iterable.isIterable = isIterable;\n  Iterable.isKeyed = isKeyed;\n  Iterable.isIndexed = isIndexed;\n  Iterable.isAssociative = isAssociative;\n  Iterable.isOrdered = isOrdered;\n\n  Iterable.Keyed = KeyedIterable;\n  Iterable.Indexed = IndexedIterable;\n  Iterable.Set = SetIterable;\n\n\n  var IS_ITERABLE_SENTINEL = '@@__IMMUTABLE_ITERABLE__@@';\n  var IS_KEYED_SENTINEL = '@@__IMMUTABLE_KEYED__@@';\n  var IS_INDEXED_SENTINEL = '@@__IMMUTABLE_INDEXED__@@';\n  var IS_ORDERED_SENTINEL = '@@__IMMUTABLE_ORDERED__@@';\n\n  // Used for setting prototype methods that IE8 chokes on.\n  var DELETE = 'delete';\n\n  // Constants describing the size of trie nodes.\n  var SHIFT = 5; // Resulted in best performance after ______?\n  var SIZE = 1 << SHIFT;\n  var MASK = SIZE - 1;\n\n  // A consistent shared value representing \"not set\" which equals nothing other\n  // than itself, and nothing that could be provided externally.\n  var NOT_SET = {};\n\n  // Boolean references, Rough equivalent of `bool &`.\n  var CHANGE_LENGTH = { value: false };\n  var DID_ALTER = { value: false };\n\n  function MakeRef(ref) {\n    ref.value = false;\n    return ref;\n  }\n\n  function SetRef(ref) {\n    ref && (ref.value = true);\n  }\n\n  // A function which returns a value representing an \"owner\" for transient writes\n  // to tries. The return value will only ever equal itself, and will not equal\n  // the return of any subsequent call of this function.\n  function OwnerID() {}\n\n  // http://jsperf.com/copy-array-inline\n  function arrCopy(arr, offset) {\n    offset = offset || 0;\n    var len = Math.max(0, arr.length - offset);\n    var newArr = new Array(len);\n    for (var ii = 0; ii < len; ii++) {\n      newArr[ii] = arr[ii + offset];\n    }\n    return newArr;\n  }\n\n  function ensureSize(iter) {\n    if (iter.size === undefined) {\n      iter.size = iter.__iterate(returnTrue);\n    }\n    return iter.size;\n  }\n\n  function wrapIndex(iter, index) {\n    // This implements \"is array index\" which the ECMAString spec defines as:\n    //\n    //     A String property name P is an array index if and only if\n    //     ToString(ToUint32(P)) is equal to P and ToUint32(P) is not equal\n    //     to 2^32−1.\n    //\n    // http://www.ecma-international.org/ecma-262/6.0/#sec-array-exotic-objects\n    if (typeof index !== 'number') {\n      var uint32Index = index >>> 0; // N >>> 0 is shorthand for ToUint32\n      if ('' + uint32Index !== index || uint32Index === 4294967295) {\n        return NaN;\n      }\n      index = uint32Index;\n    }\n    return index < 0 ? ensureSize(iter) + index : index;\n  }\n\n  function returnTrue() {\n    return true;\n  }\n\n  function wholeSlice(begin, end, size) {\n    return (begin === 0 || (size !== undefined && begin <= -size)) &&\n      (end === undefined || (size !== undefined && end >= size));\n  }\n\n  function resolveBegin(begin, size) {\n    return resolveIndex(begin, size, 0);\n  }\n\n  function resolveEnd(end, size) {\n    return resolveIndex(end, size, size);\n  }\n\n  function resolveIndex(index, size, defaultIndex) {\n    return index === undefined ?\n      defaultIndex :\n      index < 0 ?\n        Math.max(0, size + index) :\n        size === undefined ?\n          index :\n          Math.min(size, index);\n  }\n\n  /* global Symbol */\n\n  var ITERATE_KEYS = 0;\n  var ITERATE_VALUES = 1;\n  var ITERATE_ENTRIES = 2;\n\n  var REAL_ITERATOR_SYMBOL = typeof Symbol === 'function' && Symbol.iterator;\n  var FAUX_ITERATOR_SYMBOL = '@@iterator';\n\n  var ITERATOR_SYMBOL = REAL_ITERATOR_SYMBOL || FAUX_ITERATOR_SYMBOL;\n\n\n  function Iterator(next) {\n      this.next = next;\n    }\n\n    Iterator.prototype.toString = function() {\n      return '[Iterator]';\n    };\n\n\n  Iterator.KEYS = ITERATE_KEYS;\n  Iterator.VALUES = ITERATE_VALUES;\n  Iterator.ENTRIES = ITERATE_ENTRIES;\n\n  Iterator.prototype.inspect =\n  Iterator.prototype.toSource = function () { return this.toString(); }\n  Iterator.prototype[ITERATOR_SYMBOL] = function () {\n    return this;\n  };\n\n\n  function iteratorValue(type, k, v, iteratorResult) {\n    var value = type === 0 ? k : type === 1 ? v : [k, v];\n    iteratorResult ? (iteratorResult.value = value) : (iteratorResult = {\n      value: value, done: false\n    });\n    return iteratorResult;\n  }\n\n  function iteratorDone() {\n    return { value: undefined, done: true };\n  }\n\n  function hasIterator(maybeIterable) {\n    return !!getIteratorFn(maybeIterable);\n  }\n\n  function isIterator(maybeIterator) {\n    return maybeIterator && typeof maybeIterator.next === 'function';\n  }\n\n  function getIterator(iterable) {\n    var iteratorFn = getIteratorFn(iterable);\n    return iteratorFn && iteratorFn.call(iterable);\n  }\n\n  function getIteratorFn(iterable) {\n    var iteratorFn = iterable && (\n      (REAL_ITERATOR_SYMBOL && iterable[REAL_ITERATOR_SYMBOL]) ||\n      iterable[FAUX_ITERATOR_SYMBOL]\n    );\n    if (typeof iteratorFn === 'function') {\n      return iteratorFn;\n    }\n  }\n\n  function isArrayLike(value) {\n    return value && typeof value.length === 'number';\n  }\n\n  createClass(Seq, Iterable);\n    function Seq(value) {\n      return value === null || value === undefined ? emptySequence() :\n        isIterable(value) ? value.toSeq() : seqFromValue(value);\n    }\n\n    Seq.of = function(/*...values*/) {\n      return Seq(arguments);\n    };\n\n    Seq.prototype.toSeq = function() {\n      return this;\n    };\n\n    Seq.prototype.toString = function() {\n      return this.__toString('Seq {', '}');\n    };\n\n    Seq.prototype.cacheResult = function() {\n      if (!this._cache && this.__iterateUncached) {\n        this._cache = this.entrySeq().toArray();\n        this.size = this._cache.length;\n      }\n      return this;\n    };\n\n    // abstract __iterateUncached(fn, reverse)\n\n    Seq.prototype.__iterate = function(fn, reverse) {\n      return seqIterate(this, fn, reverse, true);\n    };\n\n    // abstract __iteratorUncached(type, reverse)\n\n    Seq.prototype.__iterator = function(type, reverse) {\n      return seqIterator(this, type, reverse, true);\n    };\n\n\n\n  createClass(KeyedSeq, Seq);\n    function KeyedSeq(value) {\n      return value === null || value === undefined ?\n        emptySequence().toKeyedSeq() :\n        isIterable(value) ?\n          (isKeyed(value) ? value.toSeq() : value.fromEntrySeq()) :\n          keyedSeqFromValue(value);\n    }\n\n    KeyedSeq.prototype.toKeyedSeq = function() {\n      return this;\n    };\n\n\n\n  createClass(IndexedSeq, Seq);\n    function IndexedSeq(value) {\n      return value === null || value === undefined ? emptySequence() :\n        !isIterable(value) ? indexedSeqFromValue(value) :\n        isKeyed(value) ? value.entrySeq() : value.toIndexedSeq();\n    }\n\n    IndexedSeq.of = function(/*...values*/) {\n      return IndexedSeq(arguments);\n    };\n\n    IndexedSeq.prototype.toIndexedSeq = function() {\n      return this;\n    };\n\n    IndexedSeq.prototype.toString = function() {\n      return this.__toString('Seq [', ']');\n    };\n\n    IndexedSeq.prototype.__iterate = function(fn, reverse) {\n      return seqIterate(this, fn, reverse, false);\n    };\n\n    IndexedSeq.prototype.__iterator = function(type, reverse) {\n      return seqIterator(this, type, reverse, false);\n    };\n\n\n\n  createClass(SetSeq, Seq);\n    function SetSeq(value) {\n      return (\n        value === null || value === undefined ? emptySequence() :\n        !isIterable(value) ? indexedSeqFromValue(value) :\n        isKeyed(value) ? value.entrySeq() : value\n      ).toSetSeq();\n    }\n\n    SetSeq.of = function(/*...values*/) {\n      return SetSeq(arguments);\n    };\n\n    SetSeq.prototype.toSetSeq = function() {\n      return this;\n    };\n\n\n\n  Seq.isSeq = isSeq;\n  Seq.Keyed = KeyedSeq;\n  Seq.Set = SetSeq;\n  Seq.Indexed = IndexedSeq;\n\n  var IS_SEQ_SENTINEL = '@@__IMMUTABLE_SEQ__@@';\n\n  Seq.prototype[IS_SEQ_SENTINEL] = true;\n\n\n\n  createClass(ArraySeq, IndexedSeq);\n    function ArraySeq(array) {\n      this._array = array;\n      this.size = array.length;\n    }\n\n    ArraySeq.prototype.get = function(index, notSetValue) {\n      return this.has(index) ? this._array[wrapIndex(this, index)] : notSetValue;\n    };\n\n    ArraySeq.prototype.__iterate = function(fn, reverse) {\n      var array = this._array;\n      var maxIndex = array.length - 1;\n      for (var ii = 0; ii <= maxIndex; ii++) {\n        if (fn(array[reverse ? maxIndex - ii : ii], ii, this) === false) {\n          return ii + 1;\n        }\n      }\n      return ii;\n    };\n\n    ArraySeq.prototype.__iterator = function(type, reverse) {\n      var array = this._array;\n      var maxIndex = array.length - 1;\n      var ii = 0;\n      return new Iterator(function() \n        {return ii > maxIndex ?\n          iteratorDone() :\n          iteratorValue(type, ii, array[reverse ? maxIndex - ii++ : ii++])}\n      );\n    };\n\n\n\n  createClass(ObjectSeq, KeyedSeq);\n    function ObjectSeq(object) {\n      var keys = Object.keys(object);\n      this._object = object;\n      this._keys = keys;\n      this.size = keys.length;\n    }\n\n    ObjectSeq.prototype.get = function(key, notSetValue) {\n      if (notSetValue !== undefined && !this.has(key)) {\n        return notSetValue;\n      }\n      return this._object[key];\n    };\n\n    ObjectSeq.prototype.has = function(key) {\n      return this._object.hasOwnProperty(key);\n    };\n\n    ObjectSeq.prototype.__iterate = function(fn, reverse) {\n      var object = this._object;\n      var keys = this._keys;\n      var maxIndex = keys.length - 1;\n      for (var ii = 0; ii <= maxIndex; ii++) {\n        var key = keys[reverse ? maxIndex - ii : ii];\n        if (fn(object[key], key, this) === false) {\n          return ii + 1;\n        }\n      }\n      return ii;\n    };\n\n    ObjectSeq.prototype.__iterator = function(type, reverse) {\n      var object = this._object;\n      var keys = this._keys;\n      var maxIndex = keys.length - 1;\n      var ii = 0;\n      return new Iterator(function()  {\n        var key = keys[reverse ? maxIndex - ii : ii];\n        return ii++ > maxIndex ?\n          iteratorDone() :\n          iteratorValue(type, key, object[key]);\n      });\n    };\n\n  ObjectSeq.prototype[IS_ORDERED_SENTINEL] = true;\n\n\n  createClass(IterableSeq, IndexedSeq);\n    function IterableSeq(iterable) {\n      this._iterable = iterable;\n      this.size = iterable.length || iterable.size;\n    }\n\n    IterableSeq.prototype.__iterateUncached = function(fn, reverse) {\n      if (reverse) {\n        return this.cacheResult().__iterate(fn, reverse);\n      }\n      var iterable = this._iterable;\n      var iterator = getIterator(iterable);\n      var iterations = 0;\n      if (isIterator(iterator)) {\n        var step;\n        while (!(step = iterator.next()).done) {\n          if (fn(step.value, iterations++, this) === false) {\n            break;\n          }\n        }\n      }\n      return iterations;\n    };\n\n    IterableSeq.prototype.__iteratorUncached = function(type, reverse) {\n      if (reverse) {\n        return this.cacheResult().__iterator(type, reverse);\n      }\n      var iterable = this._iterable;\n      var iterator = getIterator(iterable);\n      if (!isIterator(iterator)) {\n        return new Iterator(iteratorDone);\n      }\n      var iterations = 0;\n      return new Iterator(function()  {\n        var step = iterator.next();\n        return step.done ? step : iteratorValue(type, iterations++, step.value);\n      });\n    };\n\n\n\n  createClass(IteratorSeq, IndexedSeq);\n    function IteratorSeq(iterator) {\n      this._iterator = iterator;\n      this._iteratorCache = [];\n    }\n\n    IteratorSeq.prototype.__iterateUncached = function(fn, reverse) {\n      if (reverse) {\n        return this.cacheResult().__iterate(fn, reverse);\n      }\n      var iterator = this._iterator;\n      var cache = this._iteratorCache;\n      var iterations = 0;\n      while (iterations < cache.length) {\n        if (fn(cache[iterations], iterations++, this) === false) {\n          return iterations;\n        }\n      }\n      var step;\n      while (!(step = iterator.next()).done) {\n        var val = step.value;\n        cache[iterations] = val;\n        if (fn(val, iterations++, this) === false) {\n          break;\n        }\n      }\n      return iterations;\n    };\n\n    IteratorSeq.prototype.__iteratorUncached = function(type, reverse) {\n      if (reverse) {\n        return this.cacheResult().__iterator(type, reverse);\n      }\n      var iterator = this._iterator;\n      var cache = this._iteratorCache;\n      var iterations = 0;\n      return new Iterator(function()  {\n        if (iterations >= cache.length) {\n          var step = iterator.next();\n          if (step.done) {\n            return step;\n          }\n          cache[iterations] = step.value;\n        }\n        return iteratorValue(type, iterations, cache[iterations++]);\n      });\n    };\n\n\n\n\n  // # pragma Helper functions\n\n  function isSeq(maybeSeq) {\n    return !!(maybeSeq && maybeSeq[IS_SEQ_SENTINEL]);\n  }\n\n  var EMPTY_SEQ;\n\n  function emptySequence() {\n    return EMPTY_SEQ || (EMPTY_SEQ = new ArraySeq([]));\n  }\n\n  function keyedSeqFromValue(value) {\n    var seq =\n      Array.isArray(value) ? new ArraySeq(value).fromEntrySeq() :\n      isIterator(value) ? new IteratorSeq(value).fromEntrySeq() :\n      hasIterator(value) ? new IterableSeq(value).fromEntrySeq() :\n      typeof value === 'object' ? new ObjectSeq(value) :\n      undefined;\n    if (!seq) {\n      throw new TypeError(\n        'Expected Array or iterable object of [k, v] entries, '+\n        'or keyed object: ' + value\n      );\n    }\n    return seq;\n  }\n\n  function indexedSeqFromValue(value) {\n    var seq = maybeIndexedSeqFromValue(value);\n    if (!seq) {\n      throw new TypeError(\n        'Expected Array or iterable object of values: ' + value\n      );\n    }\n    return seq;\n  }\n\n  function seqFromValue(value) {\n    var seq = maybeIndexedSeqFromValue(value) ||\n      (typeof value === 'object' && new ObjectSeq(value));\n    if (!seq) {\n      throw new TypeError(\n        'Expected Array or iterable object of values, or keyed object: ' + value\n      );\n    }\n    return seq;\n  }\n\n  function maybeIndexedSeqFromValue(value) {\n    return (\n      isArrayLike(value) ? new ArraySeq(value) :\n      isIterator(value) ? new IteratorSeq(value) :\n      hasIterator(value) ? new IterableSeq(value) :\n      undefined\n    );\n  }\n\n  function seqIterate(seq, fn, reverse, useKeys) {\n    var cache = seq._cache;\n    if (cache) {\n      var maxIndex = cache.length - 1;\n      for (var ii = 0; ii <= maxIndex; ii++) {\n        var entry = cache[reverse ? maxIndex - ii : ii];\n        if (fn(entry[1], useKeys ? entry[0] : ii, seq) === false) {\n          return ii + 1;\n        }\n      }\n      return ii;\n    }\n    return seq.__iterateUncached(fn, reverse);\n  }\n\n  function seqIterator(seq, type, reverse, useKeys) {\n    var cache = seq._cache;\n    if (cache) {\n      var maxIndex = cache.length - 1;\n      var ii = 0;\n      return new Iterator(function()  {\n        var entry = cache[reverse ? maxIndex - ii : ii];\n        return ii++ > maxIndex ?\n          iteratorDone() :\n          iteratorValue(type, useKeys ? entry[0] : ii - 1, entry[1]);\n      });\n    }\n    return seq.__iteratorUncached(type, reverse);\n  }\n\n  function fromJS(json, converter) {\n    return converter ?\n      fromJSWith(converter, json, '', {'': json}) :\n      fromJSDefault(json);\n  }\n\n  function fromJSWith(converter, json, key, parentJSON) {\n    if (Array.isArray(json)) {\n      return converter.call(parentJSON, key, IndexedSeq(json).map(function(v, k)  {return fromJSWith(converter, v, k, json)}));\n    }\n    if (isPlainObj(json)) {\n      return converter.call(parentJSON, key, KeyedSeq(json).map(function(v, k)  {return fromJSWith(converter, v, k, json)}));\n    }\n    return json;\n  }\n\n  function fromJSDefault(json) {\n    if (Array.isArray(json)) {\n      return IndexedSeq(json).map(fromJSDefault).toList();\n    }\n    if (isPlainObj(json)) {\n      return KeyedSeq(json).map(fromJSDefault).toMap();\n    }\n    return json;\n  }\n\n  function isPlainObj(value) {\n    return value && (value.constructor === Object || value.constructor === undefined);\n  }\n\n  /**\n   * An extension of the \"same-value\" algorithm as [described for use by ES6 Map\n   * and Set](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Map#Key_equality)\n   *\n   * NaN is considered the same as NaN, however -0 and 0 are considered the same\n   * value, which is different from the algorithm described by\n   * [`Object.is`](https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Object/is).\n   *\n   * This is extended further to allow Objects to describe the values they\n   * represent, by way of `valueOf` or `equals` (and `hashCode`).\n   *\n   * Note: because of this extension, the key equality of Immutable.Map and the\n   * value equality of Immutable.Set will differ from ES6 Map and Set.\n   *\n   * ### Defining custom values\n   *\n   * The easiest way to describe the value an object represents is by implementing\n   * `valueOf`. For example, `Date` represents a value by returning a unix\n   * timestamp for `valueOf`:\n   *\n   *     var date1 = new Date(1234567890000); // Fri Feb 13 2009 ...\n   *     var date2 = new Date(1234567890000);\n   *     date1.valueOf(); // 1234567890000\n   *     assert( date1 !== date2 );\n   *     assert( Immutable.is( date1, date2 ) );\n   *\n   * Note: overriding `valueOf` may have other implications if you use this object\n   * where JavaScript expects a primitive, such as implicit string coercion.\n   *\n   * For more complex types, especially collections, implementing `valueOf` may\n   * not be performant. An alternative is to implement `equals` and `hashCode`.\n   *\n   * `equals` takes another object, presumably of similar type, and returns true\n   * if the it is equal. Equality is symmetrical, so the same result should be\n   * returned if this and the argument are flipped.\n   *\n   *     assert( a.equals(b) === b.equals(a) );\n   *\n   * `hashCode` returns a 32bit integer number representing the object which will\n   * be used to determine how to store the value object in a Map or Set. You must\n   * provide both or neither methods, one must not exist without the other.\n   *\n   * Also, an important relationship between these methods must be upheld: if two\n   * values are equal, they *must* return the same hashCode. If the values are not\n   * equal, they might have the same hashCode; this is called a hash collision,\n   * and while undesirable for performance reasons, it is acceptable.\n   *\n   *     if (a.equals(b)) {\n   *       assert( a.hashCode() === b.hashCode() );\n   *     }\n   *\n   * All Immutable collections implement `equals` and `hashCode`.\n   *\n   */\n  function is(valueA, valueB) {\n    if (valueA === valueB || (valueA !== valueA && valueB !== valueB)) {\n      return true;\n    }\n    if (!valueA || !valueB) {\n      return false;\n    }\n    if (typeof valueA.valueOf === 'function' &&\n        typeof valueB.valueOf === 'function') {\n      valueA = valueA.valueOf();\n      valueB = valueB.valueOf();\n      if (valueA === valueB || (valueA !== valueA && valueB !== valueB)) {\n        return true;\n      }\n      if (!valueA || !valueB) {\n        return false;\n      }\n    }\n    if (typeof valueA.equals === 'function' &&\n        typeof valueB.equals === 'function' &&\n        valueA.equals(valueB)) {\n      return true;\n    }\n    return false;\n  }\n\n  function deepEqual(a, b) {\n    if (a === b) {\n      return true;\n    }\n\n    if (\n      !isIterable(b) ||\n      a.size !== undefined && b.size !== undefined && a.size !== b.size ||\n      a.__hash !== undefined && b.__hash !== undefined && a.__hash !== b.__hash ||\n      isKeyed(a) !== isKeyed(b) ||\n      isIndexed(a) !== isIndexed(b) ||\n      isOrdered(a) !== isOrdered(b)\n    ) {\n      return false;\n    }\n\n    if (a.size === 0 && b.size === 0) {\n      return true;\n    }\n\n    var notAssociative = !isAssociative(a);\n\n    if (isOrdered(a)) {\n      var entries = a.entries();\n      return b.every(function(v, k)  {\n        var entry = entries.next().value;\n        return entry && is(entry[1], v) && (notAssociative || is(entry[0], k));\n      }) && entries.next().done;\n    }\n\n    var flipped = false;\n\n    if (a.size === undefined) {\n      if (b.size === undefined) {\n        if (typeof a.cacheResult === 'function') {\n          a.cacheResult();\n        }\n      } else {\n        flipped = true;\n        var _ = a;\n        a = b;\n        b = _;\n      }\n    }\n\n    var allEqual = true;\n    var bSize = b.__iterate(function(v, k)  {\n      if (notAssociative ? !a.has(v) :\n          flipped ? !is(v, a.get(k, NOT_SET)) : !is(a.get(k, NOT_SET), v)) {\n        allEqual = false;\n        return false;\n      }\n    });\n\n    return allEqual && a.size === bSize;\n  }\n\n  createClass(Repeat, IndexedSeq);\n\n    function Repeat(value, times) {\n      if (!(this instanceof Repeat)) {\n        return new Repeat(value, times);\n      }\n      this._value = value;\n      this.size = times === undefined ? Infinity : Math.max(0, times);\n      if (this.size === 0) {\n        if (EMPTY_REPEAT) {\n          return EMPTY_REPEAT;\n        }\n        EMPTY_REPEAT = this;\n      }\n    }\n\n    Repeat.prototype.toString = function() {\n      if (this.size === 0) {\n        return 'Repeat []';\n      }\n      return 'Repeat [ ' + this._value + ' ' + this.size + ' times ]';\n    };\n\n    Repeat.prototype.get = function(index, notSetValue) {\n      return this.has(index) ? this._value : notSetValue;\n    };\n\n    Repeat.prototype.includes = function(searchValue) {\n      return is(this._value, searchValue);\n    };\n\n    Repeat.prototype.slice = function(begin, end) {\n      var size = this.size;\n      return wholeSlice(begin, end, size) ? this :\n        new Repeat(this._value, resolveEnd(end, size) - resolveBegin(begin, size));\n    };\n\n    Repeat.prototype.reverse = function() {\n      return this;\n    };\n\n    Repeat.prototype.indexOf = function(searchValue) {\n      if (is(this._value, searchValue)) {\n        return 0;\n      }\n      return -1;\n    };\n\n    Repeat.prototype.lastIndexOf = function(searchValue) {\n      if (is(this._value, searchValue)) {\n        return this.size;\n      }\n      return -1;\n    };\n\n    Repeat.prototype.__iterate = function(fn, reverse) {\n      for (var ii = 0; ii < this.size; ii++) {\n        if (fn(this._value, ii, this) === false) {\n          return ii + 1;\n        }\n      }\n      return ii;\n    };\n\n    Repeat.prototype.__iterator = function(type, reverse) {var this$0 = this;\n      var ii = 0;\n      return new Iterator(function() \n        {return ii < this$0.size ? iteratorValue(type, ii++, this$0._value) : iteratorDone()}\n      );\n    };\n\n    Repeat.prototype.equals = function(other) {\n      return other instanceof Repeat ?\n        is(this._value, other._value) :\n        deepEqual(other);\n    };\n\n\n  var EMPTY_REPEAT;\n\n  function invariant(condition, error) {\n    if (!condition) throw new Error(error);\n  }\n\n  createClass(Range, IndexedSeq);\n\n    function Range(start, end, step) {\n      if (!(this instanceof Range)) {\n        return new Range(start, end, step);\n      }\n      invariant(step !== 0, 'Cannot step a Range by 0');\n      start = start || 0;\n      if (end === undefined) {\n        end = Infinity;\n      }\n      step = step === undefined ? 1 : Math.abs(step);\n      if (end < start) {\n        step = -step;\n      }\n      this._start = start;\n      this._end = end;\n      this._step = step;\n      this.size = Math.max(0, Math.ceil((end - start) / step - 1) + 1);\n      if (this.size === 0) {\n        if (EMPTY_RANGE) {\n          return EMPTY_RANGE;\n        }\n        EMPTY_RANGE = this;\n      }\n    }\n\n    Range.prototype.toString = function() {\n      if (this.size === 0) {\n        return 'Range []';\n      }\n      return 'Range [ ' +\n        this._start + '...' + this._end +\n        (this._step > 1 ? ' by ' + this._step : '') +\n      ' ]';\n    };\n\n    Range.prototype.get = function(index, notSetValue) {\n      return this.has(index) ?\n        this._start + wrapIndex(this, index) * this._step :\n        notSetValue;\n    };\n\n    Range.prototype.includes = function(searchValue) {\n      var possibleIndex = (searchValue - this._start) / this._step;\n      return possibleIndex >= 0 &&\n        possibleIndex < this.size &&\n        possibleIndex === Math.floor(possibleIndex);\n    };\n\n    Range.prototype.slice = function(begin, end) {\n      if (wholeSlice(begin, end, this.size)) {\n        return this;\n      }\n      begin = resolveBegin(begin, this.size);\n      end = resolveEnd(end, this.size);\n      if (end <= begin) {\n        return new Range(0, 0);\n      }\n      return new Range(this.get(begin, this._end), this.get(end, this._end), this._step);\n    };\n\n    Range.prototype.indexOf = function(searchValue) {\n      var offsetValue = searchValue - this._start;\n      if (offsetValue % this._step === 0) {\n        var index = offsetValue / this._step;\n        if (index >= 0 && index < this.size) {\n          return index\n        }\n      }\n      return -1;\n    };\n\n    Range.prototype.lastIndexOf = function(searchValue) {\n      return this.indexOf(searchValue);\n    };\n\n    Range.prototype.__iterate = function(fn, reverse) {\n      var maxIndex = this.size - 1;\n      var step = this._step;\n      var value = reverse ? this._start + maxIndex * step : this._start;\n      for (var ii = 0; ii <= maxIndex; ii++) {\n        if (fn(value, ii, this) === false) {\n          return ii + 1;\n        }\n        value += reverse ? -step : step;\n      }\n      return ii;\n    };\n\n    Range.prototype.__iterator = function(type, reverse) {\n      var maxIndex = this.size - 1;\n      var step = this._step;\n      var value = reverse ? this._start + maxIndex * step : this._start;\n      var ii = 0;\n      return new Iterator(function()  {\n        var v = value;\n        value += reverse ? -step : step;\n        return ii > maxIndex ? iteratorDone() : iteratorValue(type, ii++, v);\n      });\n    };\n\n    Range.prototype.equals = function(other) {\n      return other instanceof Range ?\n        this._start === other._start &&\n        this._end === other._end &&\n        this._step === other._step :\n        deepEqual(this, other);\n    };\n\n\n  var EMPTY_RANGE;\n\n  createClass(Collection, Iterable);\n    function Collection() {\n      throw TypeError('Abstract');\n    }\n\n\n  createClass(KeyedCollection, Collection);function KeyedCollection() {}\n\n  createClass(IndexedCollection, Collection);function IndexedCollection() {}\n\n  createClass(SetCollection, Collection);function SetCollection() {}\n\n\n  Collection.Keyed = KeyedCollection;\n  Collection.Indexed = IndexedCollection;\n  Collection.Set = SetCollection;\n\n  var imul =\n    typeof Math.imul === 'function' && Math.imul(0xffffffff, 2) === -2 ?\n    Math.imul :\n    function imul(a, b) {\n      a = a | 0; // int\n      b = b | 0; // int\n      var c = a & 0xffff;\n      var d = b & 0xffff;\n      // Shift by 0 fixes the sign on the high part.\n      return (c * d) + ((((a >>> 16) * d + c * (b >>> 16)) << 16) >>> 0) | 0; // int\n    };\n\n  // v8 has an optimization for storing 31-bit signed numbers.\n  // Values which have either 00 or 11 as the high order bits qualify.\n  // This function drops the highest order bit in a signed number, maintaining\n  // the sign bit.\n  function smi(i32) {\n    return ((i32 >>> 1) & 0x40000000) | (i32 & 0xBFFFFFFF);\n  }\n\n  function hash(o) {\n    if (o === false || o === null || o === undefined) {\n      return 0;\n    }\n    if (typeof o.valueOf === 'function') {\n      o = o.valueOf();\n      if (o === false || o === null || o === undefined) {\n        return 0;\n      }\n    }\n    if (o === true) {\n      return 1;\n    }\n    var type = typeof o;\n    if (type === 'number') {\n      var h = o | 0;\n      if (h !== o) {\n        h ^= o * 0xFFFFFFFF;\n      }\n      while (o > 0xFFFFFFFF) {\n        o /= 0xFFFFFFFF;\n        h ^= o;\n      }\n      return smi(h);\n    }\n    if (type === 'string') {\n      return o.length > STRING_HASH_CACHE_MIN_STRLEN ? cachedHashString(o) : hashString(o);\n    }\n    if (typeof o.hashCode === 'function') {\n      return o.hashCode();\n    }\n    if (type === 'object') {\n      return hashJSObj(o);\n    }\n    if (typeof o.toString === 'function') {\n      return hashString(o.toString());\n    }\n    throw new Error('Value type ' + type + ' cannot be hashed.');\n  }\n\n  function cachedHashString(string) {\n    var hash = stringHashCache[string];\n    if (hash === undefined) {\n      hash = hashString(string);\n      if (STRING_HASH_CACHE_SIZE === STRING_HASH_CACHE_MAX_SIZE) {\n        STRING_HASH_CACHE_SIZE = 0;\n        stringHashCache = {};\n      }\n      STRING_HASH_CACHE_SIZE++;\n      stringHashCache[string] = hash;\n    }\n    return hash;\n  }\n\n  // http://jsperf.com/hashing-strings\n  function hashString(string) {\n    // This is the hash from JVM\n    // The hash code for a string is computed as\n    // s[0] * 31 ^ (n - 1) + s[1] * 31 ^ (n - 2) + ... + s[n - 1],\n    // where s[i] is the ith character of the string and n is the length of\n    // the string. We \"mod\" the result to make it between 0 (inclusive) and 2^31\n    // (exclusive) by dropping high bits.\n    var hash = 0;\n    for (var ii = 0; ii < string.length; ii++) {\n      hash = 31 * hash + string.charCodeAt(ii) | 0;\n    }\n    return smi(hash);\n  }\n\n  function hashJSObj(obj) {\n    var hash;\n    if (usingWeakMap) {\n      hash = weakMap.get(obj);\n      if (hash !== undefined) {\n        return hash;\n      }\n    }\n\n    hash = obj[UID_HASH_KEY];\n    if (hash !== undefined) {\n      return hash;\n    }\n\n    if (!canDefineProperty) {\n      hash = obj.propertyIsEnumerable && obj.propertyIsEnumerable[UID_HASH_KEY];\n      if (hash !== undefined) {\n        return hash;\n      }\n\n      hash = getIENodeHash(obj);\n      if (hash !== undefined) {\n        return hash;\n      }\n    }\n\n    hash = ++objHashUID;\n    if (objHashUID & 0x40000000) {\n      objHashUID = 0;\n    }\n\n    if (usingWeakMap) {\n      weakMap.set(obj, hash);\n    } else if (isExtensible !== undefined && isExtensible(obj) === false) {\n      throw new Error('Non-extensible objects are not allowed as keys.');\n    } else if (canDefineProperty) {\n      Object.defineProperty(obj, UID_HASH_KEY, {\n        'enumerable': false,\n        'configurable': false,\n        'writable': false,\n        'value': hash\n      });\n    } else if (obj.propertyIsEnumerable !== undefined &&\n               obj.propertyIsEnumerable === obj.constructor.prototype.propertyIsEnumerable) {\n      // Since we can't define a non-enumerable property on the object\n      // we'll hijack one of the less-used non-enumerable properties to\n      // save our hash on it. Since this is a function it will not show up in\n      // `JSON.stringify` which is what we want.\n      obj.propertyIsEnumerable = function() {\n        return this.constructor.prototype.propertyIsEnumerable.apply(this, arguments);\n      };\n      obj.propertyIsEnumerable[UID_HASH_KEY] = hash;\n    } else if (obj.nodeType !== undefined) {\n      // At this point we couldn't get the IE `uniqueID` to use as a hash\n      // and we couldn't use a non-enumerable property to exploit the\n      // dontEnum bug so we simply add the `UID_HASH_KEY` on the node\n      // itself.\n      obj[UID_HASH_KEY] = hash;\n    } else {\n      throw new Error('Unable to set a non-enumerable property on object.');\n    }\n\n    return hash;\n  }\n\n  // Get references to ES5 object methods.\n  var isExtensible = Object.isExtensible;\n\n  // True if Object.defineProperty works as expected. IE8 fails this test.\n  var canDefineProperty = (function() {\n    try {\n      Object.defineProperty({}, '@', {});\n      return true;\n    } catch (e) {\n      return false;\n    }\n  }());\n\n  // IE has a `uniqueID` property on DOM nodes. We can construct the hash from it\n  // and avoid memory leaks from the IE cloneNode bug.\n  function getIENodeHash(node) {\n    if (node && node.nodeType > 0) {\n      switch (node.nodeType) {\n        case 1: // Element\n          return node.uniqueID;\n        case 9: // Document\n          return node.documentElement && node.documentElement.uniqueID;\n      }\n    }\n  }\n\n  // If possible, use a WeakMap.\n  var usingWeakMap = typeof WeakMap === 'function';\n  var weakMap;\n  if (usingWeakMap) {\n    weakMap = new WeakMap();\n  }\n\n  var objHashUID = 0;\n\n  var UID_HASH_KEY = '__immutablehash__';\n  if (typeof Symbol === 'function') {\n    UID_HASH_KEY = Symbol(UID_HASH_KEY);\n  }\n\n  var STRING_HASH_CACHE_MIN_STRLEN = 16;\n  var STRING_HASH_CACHE_MAX_SIZE = 255;\n  var STRING_HASH_CACHE_SIZE = 0;\n  var stringHashCache = {};\n\n  function assertNotInfinite(size) {\n    invariant(\n      size !== Infinity,\n      'Cannot perform this action with an infinite size.'\n    );\n  }\n\n  createClass(Map, KeyedCollection);\n\n    // @pragma Construction\n\n    function Map(value) {\n      return value === null || value === undefined ? emptyMap() :\n        isMap(value) && !isOrdered(value) ? value :\n        emptyMap().withMutations(function(map ) {\n          var iter = KeyedIterable(value);\n          assertNotInfinite(iter.size);\n          iter.forEach(function(v, k)  {return map.set(k, v)});\n        });\n    }\n\n    Map.prototype.toString = function() {\n      return this.__toString('Map {', '}');\n    };\n\n    // @pragma Access\n\n    Map.prototype.get = function(k, notSetValue) {\n      return this._root ?\n        this._root.get(0, undefined, k, notSetValue) :\n        notSetValue;\n    };\n\n    // @pragma Modification\n\n    Map.prototype.set = function(k, v) {\n      return updateMap(this, k, v);\n    };\n\n    Map.prototype.setIn = function(keyPath, v) {\n      return this.updateIn(keyPath, NOT_SET, function()  {return v});\n    };\n\n    Map.prototype.remove = function(k) {\n      return updateMap(this, k, NOT_SET);\n    };\n\n    Map.prototype.deleteIn = function(keyPath) {\n      return this.updateIn(keyPath, function()  {return NOT_SET});\n    };\n\n    Map.prototype.update = function(k, notSetValue, updater) {\n      return arguments.length === 1 ?\n        k(this) :\n        this.updateIn([k], notSetValue, updater);\n    };\n\n    Map.prototype.updateIn = function(keyPath, notSetValue, updater) {\n      if (!updater) {\n        updater = notSetValue;\n        notSetValue = undefined;\n      }\n      var updatedValue = updateInDeepMap(\n        this,\n        forceIterator(keyPath),\n        notSetValue,\n        updater\n      );\n      return updatedValue === NOT_SET ? undefined : updatedValue;\n    };\n\n    Map.prototype.clear = function() {\n      if (this.size === 0) {\n        return this;\n      }\n      if (this.__ownerID) {\n        this.size = 0;\n        this._root = null;\n        this.__hash = undefined;\n        this.__altered = true;\n        return this;\n      }\n      return emptyMap();\n    };\n\n    // @pragma Composition\n\n    Map.prototype.merge = function(/*...iters*/) {\n      return mergeIntoMapWith(this, undefined, arguments);\n    };\n\n    Map.prototype.mergeWith = function(merger) {var iters = SLICE$0.call(arguments, 1);\n      return mergeIntoMapWith(this, merger, iters);\n    };\n\n    Map.prototype.mergeIn = function(keyPath) {var iters = SLICE$0.call(arguments, 1);\n      return this.updateIn(\n        keyPath,\n        emptyMap(),\n        function(m ) {return typeof m.merge === 'function' ?\n          m.merge.apply(m, iters) :\n          iters[iters.length - 1]}\n      );\n    };\n\n    Map.prototype.mergeDeep = function(/*...iters*/) {\n      return mergeIntoMapWith(this, deepMerger, arguments);\n    };\n\n    Map.prototype.mergeDeepWith = function(merger) {var iters = SLICE$0.call(arguments, 1);\n      return mergeIntoMapWith(this, deepMergerWith(merger), iters);\n    };\n\n    Map.prototype.mergeDeepIn = function(keyPath) {var iters = SLICE$0.call(arguments, 1);\n      return this.updateIn(\n        keyPath,\n        emptyMap(),\n        function(m ) {return typeof m.mergeDeep === 'function' ?\n          m.mergeDeep.apply(m, iters) :\n          iters[iters.length - 1]}\n      );\n    };\n\n    Map.prototype.sort = function(comparator) {\n      // Late binding\n      return OrderedMap(sortFactory(this, comparator));\n    };\n\n    Map.prototype.sortBy = function(mapper, comparator) {\n      // Late binding\n      return OrderedMap(sortFactory(this, comparator, mapper));\n    };\n\n    // @pragma Mutability\n\n    Map.prototype.withMutations = function(fn) {\n      var mutable = this.asMutable();\n      fn(mutable);\n      return mutable.wasAltered() ? mutable.__ensureOwner(this.__ownerID) : this;\n    };\n\n    Map.prototype.asMutable = function() {\n      return this.__ownerID ? this : this.__ensureOwner(new OwnerID());\n    };\n\n    Map.prototype.asImmutable = function() {\n      return this.__ensureOwner();\n    };\n\n    Map.prototype.wasAltered = function() {\n      return this.__altered;\n    };\n\n    Map.prototype.__iterator = function(type, reverse) {\n      return new MapIterator(this, type, reverse);\n    };\n\n    Map.prototype.__iterate = function(fn, reverse) {var this$0 = this;\n      var iterations = 0;\n      this._root && this._root.iterate(function(entry ) {\n        iterations++;\n        return fn(entry[1], entry[0], this$0);\n      }, reverse);\n      return iterations;\n    };\n\n    Map.prototype.__ensureOwner = function(ownerID) {\n      if (ownerID === this.__ownerID) {\n        return this;\n      }\n      if (!ownerID) {\n        this.__ownerID = ownerID;\n        this.__altered = false;\n        return this;\n      }\n      return makeMap(this.size, this._root, ownerID, this.__hash);\n    };\n\n\n  function isMap(maybeMap) {\n    return !!(maybeMap && maybeMap[IS_MAP_SENTINEL]);\n  }\n\n  Map.isMap = isMap;\n\n  var IS_MAP_SENTINEL = '@@__IMMUTABLE_MAP__@@';\n\n  var MapPrototype = Map.prototype;\n  MapPrototype[IS_MAP_SENTINEL] = true;\n  MapPrototype[DELETE] = MapPrototype.remove;\n  MapPrototype.removeIn = MapPrototype.deleteIn;\n\n\n  // #pragma Trie Nodes\n\n\n\n    function ArrayMapNode(ownerID, entries) {\n      this.ownerID = ownerID;\n      this.entries = entries;\n    }\n\n    ArrayMapNode.prototype.get = function(shift, keyHash, key, notSetValue) {\n      var entries = this.entries;\n      for (var ii = 0, len = entries.length; ii < len; ii++) {\n        if (is(key, entries[ii][0])) {\n          return entries[ii][1];\n        }\n      }\n      return notSetValue;\n    };\n\n    ArrayMapNode.prototype.update = function(ownerID, shift, keyHash, key, value, didChangeSize, didAlter) {\n      var removed = value === NOT_SET;\n\n      var entries = this.entries;\n      var idx = 0;\n      for (var len = entries.length; idx < len; idx++) {\n        if (is(key, entries[idx][0])) {\n          break;\n        }\n      }\n      var exists = idx < len;\n\n      if (exists ? entries[idx][1] === value : removed) {\n        return this;\n      }\n\n      SetRef(didAlter);\n      (removed || !exists) && SetRef(didChangeSize);\n\n      if (removed && entries.length === 1) {\n        return; // undefined\n      }\n\n      if (!exists && !removed && entries.length >= MAX_ARRAY_MAP_SIZE) {\n        return createNodes(ownerID, entries, key, value);\n      }\n\n      var isEditable = ownerID && ownerID === this.ownerID;\n      var newEntries = isEditable ? entries : arrCopy(entries);\n\n      if (exists) {\n        if (removed) {\n          idx === len - 1 ? newEntries.pop() : (newEntries[idx] = newEntries.pop());\n        } else {\n          newEntries[idx] = [key, value];\n        }\n      } else {\n        newEntries.push([key, value]);\n      }\n\n      if (isEditable) {\n        this.entries = newEntries;\n        return this;\n      }\n\n      return new ArrayMapNode(ownerID, newEntries);\n    };\n\n\n\n\n    function BitmapIndexedNode(ownerID, bitmap, nodes) {\n      this.ownerID = ownerID;\n      this.bitmap = bitmap;\n      this.nodes = nodes;\n    }\n\n    BitmapIndexedNode.prototype.get = function(shift, keyHash, key, notSetValue) {\n      if (keyHash === undefined) {\n        keyHash = hash(key);\n      }\n      var bit = (1 << ((shift === 0 ? keyHash : keyHash >>> shift) & MASK));\n      var bitmap = this.bitmap;\n      return (bitmap & bit) === 0 ? notSetValue :\n        this.nodes[popCount(bitmap & (bit - 1))].get(shift + SHIFT, keyHash, key, notSetValue);\n    };\n\n    BitmapIndexedNode.prototype.update = function(ownerID, shift, keyHash, key, value, didChangeSize, didAlter) {\n      if (keyHash === undefined) {\n        keyHash = hash(key);\n      }\n      var keyHashFrag = (shift === 0 ? keyHash : keyHash >>> shift) & MASK;\n      var bit = 1 << keyHashFrag;\n      var bitmap = this.bitmap;\n      var exists = (bitmap & bit) !== 0;\n\n      if (!exists && value === NOT_SET) {\n        return this;\n      }\n\n      var idx = popCount(bitmap & (bit - 1));\n      var nodes = this.nodes;\n      var node = exists ? nodes[idx] : undefined;\n      var newNode = updateNode(node, ownerID, shift + SHIFT, keyHash, key, value, didChangeSize, didAlter);\n\n      if (newNode === node) {\n        return this;\n      }\n\n      if (!exists && newNode && nodes.length >= MAX_BITMAP_INDEXED_SIZE) {\n        return expandNodes(ownerID, nodes, bitmap, keyHashFrag, newNode);\n      }\n\n      if (exists && !newNode && nodes.length === 2 && isLeafNode(nodes[idx ^ 1])) {\n        return nodes[idx ^ 1];\n      }\n\n      if (exists && newNode && nodes.length === 1 && isLeafNode(newNode)) {\n        return newNode;\n      }\n\n      var isEditable = ownerID && ownerID === this.ownerID;\n      var newBitmap = exists ? newNode ? bitmap : bitmap ^ bit : bitmap | bit;\n      var newNodes = exists ? newNode ?\n        setIn(nodes, idx, newNode, isEditable) :\n        spliceOut(nodes, idx, isEditable) :\n        spliceIn(nodes, idx, newNode, isEditable);\n\n      if (isEditable) {\n        this.bitmap = newBitmap;\n        this.nodes = newNodes;\n        return this;\n      }\n\n      return new BitmapIndexedNode(ownerID, newBitmap, newNodes);\n    };\n\n\n\n\n    function HashArrayMapNode(ownerID, count, nodes) {\n      this.ownerID = ownerID;\n      this.count = count;\n      this.nodes = nodes;\n    }\n\n    HashArrayMapNode.prototype.get = function(shift, keyHash, key, notSetValue) {\n      if (keyHash === undefined) {\n        keyHash = hash(key);\n      }\n      var idx = (shift === 0 ? keyHash : keyHash >>> shift) & MASK;\n      var node = this.nodes[idx];\n      return node ? node.get(shift + SHIFT, keyHash, key, notSetValue) : notSetValue;\n    };\n\n    HashArrayMapNode.prototype.update = function(ownerID, shift, keyHash, key, value, didChangeSize, didAlter) {\n      if (keyHash === undefined) {\n        keyHash = hash(key);\n      }\n      var idx = (shift === 0 ? keyHash : keyHash >>> shift) & MASK;\n      var removed = value === NOT_SET;\n      var nodes = this.nodes;\n      var node = nodes[idx];\n\n      if (removed && !node) {\n        return this;\n      }\n\n      var newNode = updateNode(node, ownerID, shift + SHIFT, keyHash, key, value, didChangeSize, didAlter);\n      if (newNode === node) {\n        return this;\n      }\n\n      var newCount = this.count;\n      if (!node) {\n        newCount++;\n      } else if (!newNode) {\n        newCount--;\n        if (newCount < MIN_HASH_ARRAY_MAP_SIZE) {\n          return packNodes(ownerID, nodes, newCount, idx);\n        }\n      }\n\n      var isEditable = ownerID && ownerID === this.ownerID;\n      var newNodes = setIn(nodes, idx, newNode, isEditable);\n\n      if (isEditable) {\n        this.count = newCount;\n        this.nodes = newNodes;\n        return this;\n      }\n\n      return new HashArrayMapNode(ownerID, newCount, newNodes);\n    };\n\n\n\n\n    function HashCollisionNode(ownerID, keyHash, entries) {\n      this.ownerID = ownerID;\n      this.keyHash = keyHash;\n      this.entries = entries;\n    }\n\n    HashCollisionNode.prototype.get = function(shift, keyHash, key, notSetValue) {\n      var entries = this.entries;\n      for (var ii = 0, len = entries.length; ii < len; ii++) {\n        if (is(key, entries[ii][0])) {\n          return entries[ii][1];\n        }\n      }\n      return notSetValue;\n    };\n\n    HashCollisionNode.prototype.update = function(ownerID, shift, keyHash, key, value, didChangeSize, didAlter) {\n      if (keyHash === undefined) {\n        keyHash = hash(key);\n      }\n\n      var removed = value === NOT_SET;\n\n      if (keyHash !== this.keyHash) {\n        if (removed) {\n          return this;\n        }\n        SetRef(didAlter);\n        SetRef(didChangeSize);\n        return mergeIntoNode(this, ownerID, shift, keyHash, [key, value]);\n      }\n\n      var entries = this.entries;\n      var idx = 0;\n      for (var len = entries.length; idx < len; idx++) {\n        if (is(key, entries[idx][0])) {\n          break;\n        }\n      }\n      var exists = idx < len;\n\n      if (exists ? entries[idx][1] === value : removed) {\n        return this;\n      }\n\n      SetRef(didAlter);\n      (removed || !exists) && SetRef(didChangeSize);\n\n      if (removed && len === 2) {\n        return new ValueNode(ownerID, this.keyHash, entries[idx ^ 1]);\n      }\n\n      var isEditable = ownerID && ownerID === this.ownerID;\n      var newEntries = isEditable ? entries : arrCopy(entries);\n\n      if (exists) {\n        if (removed) {\n          idx === len - 1 ? newEntries.pop() : (newEntries[idx] = newEntries.pop());\n        } else {\n          newEntries[idx] = [key, value];\n        }\n      } else {\n        newEntries.push([key, value]);\n      }\n\n      if (isEditable) {\n        this.entries = newEntries;\n        return this;\n      }\n\n      return new HashCollisionNode(ownerID, this.keyHash, newEntries);\n    };\n\n\n\n\n    function ValueNode(ownerID, keyHash, entry) {\n      this.ownerID = ownerID;\n      this.keyHash = keyHash;\n      this.entry = entry;\n    }\n\n    ValueNode.prototype.get = function(shift, keyHash, key, notSetValue) {\n      return is(key, this.entry[0]) ? this.entry[1] : notSetValue;\n    };\n\n    ValueNode.prototype.update = function(ownerID, shift, keyHash, key, value, didChangeSize, didAlter) {\n      var removed = value === NOT_SET;\n      var keyMatch = is(key, this.entry[0]);\n      if (keyMatch ? value === this.entry[1] : removed) {\n        return this;\n      }\n\n      SetRef(didAlter);\n\n      if (removed) {\n        SetRef(didChangeSize);\n        return; // undefined\n      }\n\n      if (keyMatch) {\n        if (ownerID && ownerID === this.ownerID) {\n          this.entry[1] = value;\n          return this;\n        }\n        return new ValueNode(ownerID, this.keyHash, [key, value]);\n      }\n\n      SetRef(didChangeSize);\n      return mergeIntoNode(this, ownerID, shift, hash(key), [key, value]);\n    };\n\n\n\n  // #pragma Iterators\n\n  ArrayMapNode.prototype.iterate =\n  HashCollisionNode.prototype.iterate = function (fn, reverse) {\n    var entries = this.entries;\n    for (var ii = 0, maxIndex = entries.length - 1; ii <= maxIndex; ii++) {\n      if (fn(entries[reverse ? maxIndex - ii : ii]) === false) {\n        return false;\n      }\n    }\n  }\n\n  BitmapIndexedNode.prototype.iterate =\n  HashArrayMapNode.prototype.iterate = function (fn, reverse) {\n    var nodes = this.nodes;\n    for (var ii = 0, maxIndex = nodes.length - 1; ii <= maxIndex; ii++) {\n      var node = nodes[reverse ? maxIndex - ii : ii];\n      if (node && node.iterate(fn, reverse) === false) {\n        return false;\n      }\n    }\n  }\n\n  ValueNode.prototype.iterate = function (fn, reverse) {\n    return fn(this.entry);\n  }\n\n  createClass(MapIterator, Iterator);\n\n    function MapIterator(map, type, reverse) {\n      this._type = type;\n      this._reverse = reverse;\n      this._stack = map._root && mapIteratorFrame(map._root);\n    }\n\n    MapIterator.prototype.next = function() {\n      var type = this._type;\n      var stack = this._stack;\n      while (stack) {\n        var node = stack.node;\n        var index = stack.index++;\n        var maxIndex;\n        if (node.entry) {\n          if (index === 0) {\n            return mapIteratorValue(type, node.entry);\n          }\n        } else if (node.entries) {\n          maxIndex = node.entries.length - 1;\n          if (index <= maxIndex) {\n            return mapIteratorValue(type, node.entries[this._reverse ? maxIndex - index : index]);\n          }\n        } else {\n          maxIndex = node.nodes.length - 1;\n          if (index <= maxIndex) {\n            var subNode = node.nodes[this._reverse ? maxIndex - index : index];\n            if (subNode) {\n              if (subNode.entry) {\n                return mapIteratorValue(type, subNode.entry);\n              }\n              stack = this._stack = mapIteratorFrame(subNode, stack);\n            }\n            continue;\n          }\n        }\n        stack = this._stack = this._stack.__prev;\n      }\n      return iteratorDone();\n    };\n\n\n  function mapIteratorValue(type, entry) {\n    return iteratorValue(type, entry[0], entry[1]);\n  }\n\n  function mapIteratorFrame(node, prev) {\n    return {\n      node: node,\n      index: 0,\n      __prev: prev\n    };\n  }\n\n  function makeMap(size, root, ownerID, hash) {\n    var map = Object.create(MapPrototype);\n    map.size = size;\n    map._root = root;\n    map.__ownerID = ownerID;\n    map.__hash = hash;\n    map.__altered = false;\n    return map;\n  }\n\n  var EMPTY_MAP;\n  function emptyMap() {\n    return EMPTY_MAP || (EMPTY_MAP = makeMap(0));\n  }\n\n  function updateMap(map, k, v) {\n    var newRoot;\n    var newSize;\n    if (!map._root) {\n      if (v === NOT_SET) {\n        return map;\n      }\n      newSize = 1;\n      newRoot = new ArrayMapNode(map.__ownerID, [[k, v]]);\n    } else {\n      var didChangeSize = MakeRef(CHANGE_LENGTH);\n      var didAlter = MakeRef(DID_ALTER);\n      newRoot = updateNode(map._root, map.__ownerID, 0, undefined, k, v, didChangeSize, didAlter);\n      if (!didAlter.value) {\n        return map;\n      }\n      newSize = map.size + (didChangeSize.value ? v === NOT_SET ? -1 : 1 : 0);\n    }\n    if (map.__ownerID) {\n      map.size = newSize;\n      map._root = newRoot;\n      map.__hash = undefined;\n      map.__altered = true;\n      return map;\n    }\n    return newRoot ? makeMap(newSize, newRoot) : emptyMap();\n  }\n\n  function updateNode(node, ownerID, shift, keyHash, key, value, didChangeSize, didAlter) {\n    if (!node) {\n      if (value === NOT_SET) {\n        return node;\n      }\n      SetRef(didAlter);\n      SetRef(didChangeSize);\n      return new ValueNode(ownerID, keyHash, [key, value]);\n    }\n    return node.update(ownerID, shift, keyHash, key, value, didChangeSize, didAlter);\n  }\n\n  function isLeafNode(node) {\n    return node.constructor === ValueNode || node.constructor === HashCollisionNode;\n  }\n\n  function mergeIntoNode(node, ownerID, shift, keyHash, entry) {\n    if (node.keyHash === keyHash) {\n      return new HashCollisionNode(ownerID, keyHash, [node.entry, entry]);\n    }\n\n    var idx1 = (shift === 0 ? node.keyHash : node.keyHash >>> shift) & MASK;\n    var idx2 = (shift === 0 ? keyHash : keyHash >>> shift) & MASK;\n\n    var newNode;\n    var nodes = idx1 === idx2 ?\n      [mergeIntoNode(node, ownerID, shift + SHIFT, keyHash, entry)] :\n      ((newNode = new ValueNode(ownerID, keyHash, entry)), idx1 < idx2 ? [node, newNode] : [newNode, node]);\n\n    return new BitmapIndexedNode(ownerID, (1 << idx1) | (1 << idx2), nodes);\n  }\n\n  function createNodes(ownerID, entries, key, value) {\n    if (!ownerID) {\n      ownerID = new OwnerID();\n    }\n    var node = new ValueNode(ownerID, hash(key), [key, value]);\n    for (var ii = 0; ii < entries.length; ii++) {\n      var entry = entries[ii];\n      node = node.update(ownerID, 0, undefined, entry[0], entry[1]);\n    }\n    return node;\n  }\n\n  function packNodes(ownerID, nodes, count, excluding) {\n    var bitmap = 0;\n    var packedII = 0;\n    var packedNodes = new Array(count);\n    for (var ii = 0, bit = 1, len = nodes.length; ii < len; ii++, bit <<= 1) {\n      var node = nodes[ii];\n      if (node !== undefined && ii !== excluding) {\n        bitmap |= bit;\n        packedNodes[packedII++] = node;\n      }\n    }\n    return new BitmapIndexedNode(ownerID, bitmap, packedNodes);\n  }\n\n  function expandNodes(ownerID, nodes, bitmap, including, node) {\n    var count = 0;\n    var expandedNodes = new Array(SIZE);\n    for (var ii = 0; bitmap !== 0; ii++, bitmap >>>= 1) {\n      expandedNodes[ii] = bitmap & 1 ? nodes[count++] : undefined;\n    }\n    expandedNodes[including] = node;\n    return new HashArrayMapNode(ownerID, count + 1, expandedNodes);\n  }\n\n  function mergeIntoMapWith(map, merger, iterables) {\n    var iters = [];\n    for (var ii = 0; ii < iterables.length; ii++) {\n      var value = iterables[ii];\n      var iter = KeyedIterable(value);\n      if (!isIterable(value)) {\n        iter = iter.map(function(v ) {return fromJS(v)});\n      }\n      iters.push(iter);\n    }\n    return mergeIntoCollectionWith(map, merger, iters);\n  }\n\n  function deepMerger(existing, value, key) {\n    return existing && existing.mergeDeep && isIterable(value) ?\n      existing.mergeDeep(value) :\n      is(existing, value) ? existing : value;\n  }\n\n  function deepMergerWith(merger) {\n    return function(existing, value, key)  {\n      if (existing && existing.mergeDeepWith && isIterable(value)) {\n        return existing.mergeDeepWith(merger, value);\n      }\n      var nextValue = merger(existing, value, key);\n      return is(existing, nextValue) ? existing : nextValue;\n    };\n  }\n\n  function mergeIntoCollectionWith(collection, merger, iters) {\n    iters = iters.filter(function(x ) {return x.size !== 0});\n    if (iters.length === 0) {\n      return collection;\n    }\n    if (collection.size === 0 && !collection.__ownerID && iters.length === 1) {\n      return collection.constructor(iters[0]);\n    }\n    return collection.withMutations(function(collection ) {\n      var mergeIntoMap = merger ?\n        function(value, key)  {\n          collection.update(key, NOT_SET, function(existing )\n            {return existing === NOT_SET ? value : merger(existing, value, key)}\n          );\n        } :\n        function(value, key)  {\n          collection.set(key, value);\n        }\n      for (var ii = 0; ii < iters.length; ii++) {\n        iters[ii].forEach(mergeIntoMap);\n      }\n    });\n  }\n\n  function updateInDeepMap(existing, keyPathIter, notSetValue, updater) {\n    var isNotSet = existing === NOT_SET;\n    var step = keyPathIter.next();\n    if (step.done) {\n      var existingValue = isNotSet ? notSetValue : existing;\n      var newValue = updater(existingValue);\n      return newValue === existingValue ? existing : newValue;\n    }\n    invariant(\n      isNotSet || (existing && existing.set),\n      'invalid keyPath'\n    );\n    var key = step.value;\n    var nextExisting = isNotSet ? NOT_SET : existing.get(key, NOT_SET);\n    var nextUpdated = updateInDeepMap(\n      nextExisting,\n      keyPathIter,\n      notSetValue,\n      updater\n    );\n    return nextUpdated === nextExisting ? existing :\n      nextUpdated === NOT_SET ? existing.remove(key) :\n      (isNotSet ? emptyMap() : existing).set(key, nextUpdated);\n  }\n\n  function popCount(x) {\n    x = x - ((x >> 1) & 0x55555555);\n    x = (x & 0x33333333) + ((x >> 2) & 0x33333333);\n    x = (x + (x >> 4)) & 0x0f0f0f0f;\n    x = x + (x >> 8);\n    x = x + (x >> 16);\n    return x & 0x7f;\n  }\n\n  function setIn(array, idx, val, canEdit) {\n    var newArray = canEdit ? array : arrCopy(array);\n    newArray[idx] = val;\n    return newArray;\n  }\n\n  function spliceIn(array, idx, val, canEdit) {\n    var newLen = array.length + 1;\n    if (canEdit && idx + 1 === newLen) {\n      array[idx] = val;\n      return array;\n    }\n    var newArray = new Array(newLen);\n    var after = 0;\n    for (var ii = 0; ii < newLen; ii++) {\n      if (ii === idx) {\n        newArray[ii] = val;\n        after = -1;\n      } else {\n        newArray[ii] = array[ii + after];\n      }\n    }\n    return newArray;\n  }\n\n  function spliceOut(array, idx, canEdit) {\n    var newLen = array.length - 1;\n    if (canEdit && idx === newLen) {\n      array.pop();\n      return array;\n    }\n    var newArray = new Array(newLen);\n    var after = 0;\n    for (var ii = 0; ii < newLen; ii++) {\n      if (ii === idx) {\n        after = 1;\n      }\n      newArray[ii] = array[ii + after];\n    }\n    return newArray;\n  }\n\n  var MAX_ARRAY_MAP_SIZE = SIZE / 4;\n  var MAX_BITMAP_INDEXED_SIZE = SIZE / 2;\n  var MIN_HASH_ARRAY_MAP_SIZE = SIZE / 4;\n\n  createClass(List, IndexedCollection);\n\n    // @pragma Construction\n\n    function List(value) {\n      var empty = emptyList();\n      if (value === null || value === undefined) {\n        return empty;\n      }\n      if (isList(value)) {\n        return value;\n      }\n      var iter = IndexedIterable(value);\n      var size = iter.size;\n      if (size === 0) {\n        return empty;\n      }\n      assertNotInfinite(size);\n      if (size > 0 && size < SIZE) {\n        return makeList(0, size, SHIFT, null, new VNode(iter.toArray()));\n      }\n      return empty.withMutations(function(list ) {\n        list.setSize(size);\n        iter.forEach(function(v, i)  {return list.set(i, v)});\n      });\n    }\n\n    List.of = function(/*...values*/) {\n      return this(arguments);\n    };\n\n    List.prototype.toString = function() {\n      return this.__toString('List [', ']');\n    };\n\n    // @pragma Access\n\n    List.prototype.get = function(index, notSetValue) {\n      index = wrapIndex(this, index);\n      if (index >= 0 && index < this.size) {\n        index += this._origin;\n        var node = listNodeFor(this, index);\n        return node && node.array[index & MASK];\n      }\n      return notSetValue;\n    };\n\n    // @pragma Modification\n\n    List.prototype.set = function(index, value) {\n      return updateList(this, index, value);\n    };\n\n    List.prototype.remove = function(index) {\n      return !this.has(index) ? this :\n        index === 0 ? this.shift() :\n        index === this.size - 1 ? this.pop() :\n        this.splice(index, 1);\n    };\n\n    List.prototype.insert = function(index, value) {\n      return this.splice(index, 0, value);\n    };\n\n    List.prototype.clear = function() {\n      if (this.size === 0) {\n        return this;\n      }\n      if (this.__ownerID) {\n        this.size = this._origin = this._capacity = 0;\n        this._level = SHIFT;\n        this._root = this._tail = null;\n        this.__hash = undefined;\n        this.__altered = true;\n        return this;\n      }\n      return emptyList();\n    };\n\n    List.prototype.push = function(/*...values*/) {\n      var values = arguments;\n      var oldSize = this.size;\n      return this.withMutations(function(list ) {\n        setListBounds(list, 0, oldSize + values.length);\n        for (var ii = 0; ii < values.length; ii++) {\n          list.set(oldSize + ii, values[ii]);\n        }\n      });\n    };\n\n    List.prototype.pop = function() {\n      return setListBounds(this, 0, -1);\n    };\n\n    List.prototype.unshift = function(/*...values*/) {\n      var values = arguments;\n      return this.withMutations(function(list ) {\n        setListBounds(list, -values.length);\n        for (var ii = 0; ii < values.length; ii++) {\n          list.set(ii, values[ii]);\n        }\n      });\n    };\n\n    List.prototype.shift = function() {\n      return setListBounds(this, 1);\n    };\n\n    // @pragma Composition\n\n    List.prototype.merge = function(/*...iters*/) {\n      return mergeIntoListWith(this, undefined, arguments);\n    };\n\n    List.prototype.mergeWith = function(merger) {var iters = SLICE$0.call(arguments, 1);\n      return mergeIntoListWith(this, merger, iters);\n    };\n\n    List.prototype.mergeDeep = function(/*...iters*/) {\n      return mergeIntoListWith(this, deepMerger, arguments);\n    };\n\n    List.prototype.mergeDeepWith = function(merger) {var iters = SLICE$0.call(arguments, 1);\n      return mergeIntoListWith(this, deepMergerWith(merger), iters);\n    };\n\n    List.prototype.setSize = function(size) {\n      return setListBounds(this, 0, size);\n    };\n\n    // @pragma Iteration\n\n    List.prototype.slice = function(begin, end) {\n      var size = this.size;\n      if (wholeSlice(begin, end, size)) {\n        return this;\n      }\n      return setListBounds(\n        this,\n        resolveBegin(begin, size),\n        resolveEnd(end, size)\n      );\n    };\n\n    List.prototype.__iterator = function(type, reverse) {\n      var index = 0;\n      var values = iterateList(this, reverse);\n      return new Iterator(function()  {\n        var value = values();\n        return value === DONE ?\n          iteratorDone() :\n          iteratorValue(type, index++, value);\n      });\n    };\n\n    List.prototype.__iterate = function(fn, reverse) {\n      var index = 0;\n      var values = iterateList(this, reverse);\n      var value;\n      while ((value = values()) !== DONE) {\n        if (fn(value, index++, this) === false) {\n          break;\n        }\n      }\n      return index;\n    };\n\n    List.prototype.__ensureOwner = function(ownerID) {\n      if (ownerID === this.__ownerID) {\n        return this;\n      }\n      if (!ownerID) {\n        this.__ownerID = ownerID;\n        return this;\n      }\n      return makeList(this._origin, this._capacity, this._level, this._root, this._tail, ownerID, this.__hash);\n    };\n\n\n  function isList(maybeList) {\n    return !!(maybeList && maybeList[IS_LIST_SENTINEL]);\n  }\n\n  List.isList = isList;\n\n  var IS_LIST_SENTINEL = '@@__IMMUTABLE_LIST__@@';\n\n  var ListPrototype = List.prototype;\n  ListPrototype[IS_LIST_SENTINEL] = true;\n  ListPrototype[DELETE] = ListPrototype.remove;\n  ListPrototype.setIn = MapPrototype.setIn;\n  ListPrototype.deleteIn =\n  ListPrototype.removeIn = MapPrototype.removeIn;\n  ListPrototype.update = MapPrototype.update;\n  ListPrototype.updateIn = MapPrototype.updateIn;\n  ListPrototype.mergeIn = MapPrototype.mergeIn;\n  ListPrototype.mergeDeepIn = MapPrototype.mergeDeepIn;\n  ListPrototype.withMutations = MapPrototype.withMutations;\n  ListPrototype.asMutable = MapPrototype.asMutable;\n  ListPrototype.asImmutable = MapPrototype.asImmutable;\n  ListPrototype.wasAltered = MapPrototype.wasAltered;\n\n\n\n    function VNode(array, ownerID) {\n      this.array = array;\n      this.ownerID = ownerID;\n    }\n\n    // TODO: seems like these methods are very similar\n\n    VNode.prototype.removeBefore = function(ownerID, level, index) {\n      if (index === level ? 1 << level : 0 || this.array.length === 0) {\n        return this;\n      }\n      var originIndex = (index >>> level) & MASK;\n      if (originIndex >= this.array.length) {\n        return new VNode([], ownerID);\n      }\n      var removingFirst = originIndex === 0;\n      var newChild;\n      if (level > 0) {\n        var oldChild = this.array[originIndex];\n        newChild = oldChild && oldChild.removeBefore(ownerID, level - SHIFT, index);\n        if (newChild === oldChild && removingFirst) {\n          return this;\n        }\n      }\n      if (removingFirst && !newChild) {\n        return this;\n      }\n      var editable = editableVNode(this, ownerID);\n      if (!removingFirst) {\n        for (var ii = 0; ii < originIndex; ii++) {\n          editable.array[ii] = undefined;\n        }\n      }\n      if (newChild) {\n        editable.array[originIndex] = newChild;\n      }\n      return editable;\n    };\n\n    VNode.prototype.removeAfter = function(ownerID, level, index) {\n      if (index === (level ? 1 << level : 0) || this.array.length === 0) {\n        return this;\n      }\n      var sizeIndex = ((index - 1) >>> level) & MASK;\n      if (sizeIndex >= this.array.length) {\n        return this;\n      }\n\n      var newChild;\n      if (level > 0) {\n        var oldChild = this.array[sizeIndex];\n        newChild = oldChild && oldChild.removeAfter(ownerID, level - SHIFT, index);\n        if (newChild === oldChild && sizeIndex === this.array.length - 1) {\n          return this;\n        }\n      }\n\n      var editable = editableVNode(this, ownerID);\n      editable.array.splice(sizeIndex + 1);\n      if (newChild) {\n        editable.array[sizeIndex] = newChild;\n      }\n      return editable;\n    };\n\n\n\n  var DONE = {};\n\n  function iterateList(list, reverse) {\n    var left = list._origin;\n    var right = list._capacity;\n    var tailPos = getTailOffset(right);\n    var tail = list._tail;\n\n    return iterateNodeOrLeaf(list._root, list._level, 0);\n\n    function iterateNodeOrLeaf(node, level, offset) {\n      return level === 0 ?\n        iterateLeaf(node, offset) :\n        iterateNode(node, level, offset);\n    }\n\n    function iterateLeaf(node, offset) {\n      var array = offset === tailPos ? tail && tail.array : node && node.array;\n      var from = offset > left ? 0 : left - offset;\n      var to = right - offset;\n      if (to > SIZE) {\n        to = SIZE;\n      }\n      return function()  {\n        if (from === to) {\n          return DONE;\n        }\n        var idx = reverse ? --to : from++;\n        return array && array[idx];\n      };\n    }\n\n    function iterateNode(node, level, offset) {\n      var values;\n      var array = node && node.array;\n      var from = offset > left ? 0 : (left - offset) >> level;\n      var to = ((right - offset) >> level) + 1;\n      if (to > SIZE) {\n        to = SIZE;\n      }\n      return function()  {\n        do {\n          if (values) {\n            var value = values();\n            if (value !== DONE) {\n              return value;\n            }\n            values = null;\n          }\n          if (from === to) {\n            return DONE;\n          }\n          var idx = reverse ? --to : from++;\n          values = iterateNodeOrLeaf(\n            array && array[idx], level - SHIFT, offset + (idx << level)\n          );\n        } while (true);\n      };\n    }\n  }\n\n  function makeList(origin, capacity, level, root, tail, ownerID, hash) {\n    var list = Object.create(ListPrototype);\n    list.size = capacity - origin;\n    list._origin = origin;\n    list._capacity = capacity;\n    list._level = level;\n    list._root = root;\n    list._tail = tail;\n    list.__ownerID = ownerID;\n    list.__hash = hash;\n    list.__altered = false;\n    return list;\n  }\n\n  var EMPTY_LIST;\n  function emptyList() {\n    return EMPTY_LIST || (EMPTY_LIST = makeList(0, 0, SHIFT));\n  }\n\n  function updateList(list, index, value) {\n    index = wrapIndex(list, index);\n\n    if (index !== index) {\n      return list;\n    }\n\n    if (index >= list.size || index < 0) {\n      return list.withMutations(function(list ) {\n        index < 0 ?\n          setListBounds(list, index).set(0, value) :\n          setListBounds(list, 0, index + 1).set(index, value)\n      });\n    }\n\n    index += list._origin;\n\n    var newTail = list._tail;\n    var newRoot = list._root;\n    var didAlter = MakeRef(DID_ALTER);\n    if (index >= getTailOffset(list._capacity)) {\n      newTail = updateVNode(newTail, list.__ownerID, 0, index, value, didAlter);\n    } else {\n      newRoot = updateVNode(newRoot, list.__ownerID, list._level, index, value, didAlter);\n    }\n\n    if (!didAlter.value) {\n      return list;\n    }\n\n    if (list.__ownerID) {\n      list._root = newRoot;\n      list._tail = newTail;\n      list.__hash = undefined;\n      list.__altered = true;\n      return list;\n    }\n    return makeList(list._origin, list._capacity, list._level, newRoot, newTail);\n  }\n\n  function updateVNode(node, ownerID, level, index, value, didAlter) {\n    var idx = (index >>> level) & MASK;\n    var nodeHas = node && idx < node.array.length;\n    if (!nodeHas && value === undefined) {\n      return node;\n    }\n\n    var newNode;\n\n    if (level > 0) {\n      var lowerNode = node && node.array[idx];\n      var newLowerNode = updateVNode(lowerNode, ownerID, level - SHIFT, index, value, didAlter);\n      if (newLowerNode === lowerNode) {\n        return node;\n      }\n      newNode = editableVNode(node, ownerID);\n      newNode.array[idx] = newLowerNode;\n      return newNode;\n    }\n\n    if (nodeHas && node.array[idx] === value) {\n      return node;\n    }\n\n    SetRef(didAlter);\n\n    newNode = editableVNode(node, ownerID);\n    if (value === undefined && idx === newNode.array.length - 1) {\n      newNode.array.pop();\n    } else {\n      newNode.array[idx] = value;\n    }\n    return newNode;\n  }\n\n  function editableVNode(node, ownerID) {\n    if (ownerID && node && ownerID === node.ownerID) {\n      return node;\n    }\n    return new VNode(node ? node.array.slice() : [], ownerID);\n  }\n\n  function listNodeFor(list, rawIndex) {\n    if (rawIndex >= getTailOffset(list._capacity)) {\n      return list._tail;\n    }\n    if (rawIndex < 1 << (list._level + SHIFT)) {\n      var node = list._root;\n      var level = list._level;\n      while (node && level > 0) {\n        node = node.array[(rawIndex >>> level) & MASK];\n        level -= SHIFT;\n      }\n      return node;\n    }\n  }\n\n  function setListBounds(list, begin, end) {\n    // Sanitize begin & end using this shorthand for ToInt32(argument)\n    // http://www.ecma-international.org/ecma-262/6.0/#sec-toint32\n    if (begin !== undefined) {\n      begin = begin | 0;\n    }\n    if (end !== undefined) {\n      end = end | 0;\n    }\n    var owner = list.__ownerID || new OwnerID();\n    var oldOrigin = list._origin;\n    var oldCapacity = list._capacity;\n    var newOrigin = oldOrigin + begin;\n    var newCapacity = end === undefined ? oldCapacity : end < 0 ? oldCapacity + end : oldOrigin + end;\n    if (newOrigin === oldOrigin && newCapacity === oldCapacity) {\n      return list;\n    }\n\n    // If it's going to end after it starts, it's empty.\n    if (newOrigin >= newCapacity) {\n      return list.clear();\n    }\n\n    var newLevel = list._level;\n    var newRoot = list._root;\n\n    // New origin might need creating a higher root.\n    var offsetShift = 0;\n    while (newOrigin + offsetShift < 0) {\n      newRoot = new VNode(newRoot && newRoot.array.length ? [undefined, newRoot] : [], owner);\n      newLevel += SHIFT;\n      offsetShift += 1 << newLevel;\n    }\n    if (offsetShift) {\n      newOrigin += offsetShift;\n      oldOrigin += offsetShift;\n      newCapacity += offsetShift;\n      oldCapacity += offsetShift;\n    }\n\n    var oldTailOffset = getTailOffset(oldCapacity);\n    var newTailOffset = getTailOffset(newCapacity);\n\n    // New size might need creating a higher root.\n    while (newTailOffset >= 1 << (newLevel + SHIFT)) {\n      newRoot = new VNode(newRoot && newRoot.array.length ? [newRoot] : [], owner);\n      newLevel += SHIFT;\n    }\n\n    // Locate or create the new tail.\n    var oldTail = list._tail;\n    var newTail = newTailOffset < oldTailOffset ?\n      listNodeFor(list, newCapacity - 1) :\n      newTailOffset > oldTailOffset ? new VNode([], owner) : oldTail;\n\n    // Merge Tail into tree.\n    if (oldTail && newTailOffset > oldTailOffset && newOrigin < oldCapacity && oldTail.array.length) {\n      newRoot = editableVNode(newRoot, owner);\n      var node = newRoot;\n      for (var level = newLevel; level > SHIFT; level -= SHIFT) {\n        var idx = (oldTailOffset >>> level) & MASK;\n        node = node.array[idx] = editableVNode(node.array[idx], owner);\n      }\n      node.array[(oldTailOffset >>> SHIFT) & MASK] = oldTail;\n    }\n\n    // If the size has been reduced, there's a chance the tail needs to be trimmed.\n    if (newCapacity < oldCapacity) {\n      newTail = newTail && newTail.removeAfter(owner, 0, newCapacity);\n    }\n\n    // If the new origin is within the tail, then we do not need a root.\n    if (newOrigin >= newTailOffset) {\n      newOrigin -= newTailOffset;\n      newCapacity -= newTailOffset;\n      newLevel = SHIFT;\n      newRoot = null;\n      newTail = newTail && newTail.removeBefore(owner, 0, newOrigin);\n\n    // Otherwise, if the root has been trimmed, garbage collect.\n    } else if (newOrigin > oldOrigin || newTailOffset < oldTailOffset) {\n      offsetShift = 0;\n\n      // Identify the new top root node of the subtree of the old root.\n      while (newRoot) {\n        var beginIndex = (newOrigin >>> newLevel) & MASK;\n        if (beginIndex !== (newTailOffset >>> newLevel) & MASK) {\n          break;\n        }\n        if (beginIndex) {\n          offsetShift += (1 << newLevel) * beginIndex;\n        }\n        newLevel -= SHIFT;\n        newRoot = newRoot.array[beginIndex];\n      }\n\n      // Trim the new sides of the new root.\n      if (newRoot && newOrigin > oldOrigin) {\n        newRoot = newRoot.removeBefore(owner, newLevel, newOrigin - offsetShift);\n      }\n      if (newRoot && newTailOffset < oldTailOffset) {\n        newRoot = newRoot.removeAfter(owner, newLevel, newTailOffset - offsetShift);\n      }\n      if (offsetShift) {\n        newOrigin -= offsetShift;\n        newCapacity -= offsetShift;\n      }\n    }\n\n    if (list.__ownerID) {\n      list.size = newCapacity - newOrigin;\n      list._origin = newOrigin;\n      list._capacity = newCapacity;\n      list._level = newLevel;\n      list._root = newRoot;\n      list._tail = newTail;\n      list.__hash = undefined;\n      list.__altered = true;\n      return list;\n    }\n    return makeList(newOrigin, newCapacity, newLevel, newRoot, newTail);\n  }\n\n  function mergeIntoListWith(list, merger, iterables) {\n    var iters = [];\n    var maxSize = 0;\n    for (var ii = 0; ii < iterables.length; ii++) {\n      var value = iterables[ii];\n      var iter = IndexedIterable(value);\n      if (iter.size > maxSize) {\n        maxSize = iter.size;\n      }\n      if (!isIterable(value)) {\n        iter = iter.map(function(v ) {return fromJS(v)});\n      }\n      iters.push(iter);\n    }\n    if (maxSize > list.size) {\n      list = list.setSize(maxSize);\n    }\n    return mergeIntoCollectionWith(list, merger, iters);\n  }\n\n  function getTailOffset(size) {\n    return size < SIZE ? 0 : (((size - 1) >>> SHIFT) << SHIFT);\n  }\n\n  createClass(OrderedMap, Map);\n\n    // @pragma Construction\n\n    function OrderedMap(value) {\n      return value === null || value === undefined ? emptyOrderedMap() :\n        isOrderedMap(value) ? value :\n        emptyOrderedMap().withMutations(function(map ) {\n          var iter = KeyedIterable(value);\n          assertNotInfinite(iter.size);\n          iter.forEach(function(v, k)  {return map.set(k, v)});\n        });\n    }\n\n    OrderedMap.of = function(/*...values*/) {\n      return this(arguments);\n    };\n\n    OrderedMap.prototype.toString = function() {\n      return this.__toString('OrderedMap {', '}');\n    };\n\n    // @pragma Access\n\n    OrderedMap.prototype.get = function(k, notSetValue) {\n      var index = this._map.get(k);\n      return index !== undefined ? this._list.get(index)[1] : notSetValue;\n    };\n\n    // @pragma Modification\n\n    OrderedMap.prototype.clear = function() {\n      if (this.size === 0) {\n        return this;\n      }\n      if (this.__ownerID) {\n        this.size = 0;\n        this._map.clear();\n        this._list.clear();\n        return this;\n      }\n      return emptyOrderedMap();\n    };\n\n    OrderedMap.prototype.set = function(k, v) {\n      return updateOrderedMap(this, k, v);\n    };\n\n    OrderedMap.prototype.remove = function(k) {\n      return updateOrderedMap(this, k, NOT_SET);\n    };\n\n    OrderedMap.prototype.wasAltered = function() {\n      return this._map.wasAltered() || this._list.wasAltered();\n    };\n\n    OrderedMap.prototype.__iterate = function(fn, reverse) {var this$0 = this;\n      return this._list.__iterate(\n        function(entry ) {return entry && fn(entry[1], entry[0], this$0)},\n        reverse\n      );\n    };\n\n    OrderedMap.prototype.__iterator = function(type, reverse) {\n      return this._list.fromEntrySeq().__iterator(type, reverse);\n    };\n\n    OrderedMap.prototype.__ensureOwner = function(ownerID) {\n      if (ownerID === this.__ownerID) {\n        return this;\n      }\n      var newMap = this._map.__ensureOwner(ownerID);\n      var newList = this._list.__ensureOwner(ownerID);\n      if (!ownerID) {\n        this.__ownerID = ownerID;\n        this._map = newMap;\n        this._list = newList;\n        return this;\n      }\n      return makeOrderedMap(newMap, newList, ownerID, this.__hash);\n    };\n\n\n  function isOrderedMap(maybeOrderedMap) {\n    return isMap(maybeOrderedMap) && isOrdered(maybeOrderedMap);\n  }\n\n  OrderedMap.isOrderedMap = isOrderedMap;\n\n  OrderedMap.prototype[IS_ORDERED_SENTINEL] = true;\n  OrderedMap.prototype[DELETE] = OrderedMap.prototype.remove;\n\n\n\n  function makeOrderedMap(map, list, ownerID, hash) {\n    var omap = Object.create(OrderedMap.prototype);\n    omap.size = map ? map.size : 0;\n    omap._map = map;\n    omap._list = list;\n    omap.__ownerID = ownerID;\n    omap.__hash = hash;\n    return omap;\n  }\n\n  var EMPTY_ORDERED_MAP;\n  function emptyOrderedMap() {\n    return EMPTY_ORDERED_MAP || (EMPTY_ORDERED_MAP = makeOrderedMap(emptyMap(), emptyList()));\n  }\n\n  function updateOrderedMap(omap, k, v) {\n    var map = omap._map;\n    var list = omap._list;\n    var i = map.get(k);\n    var has = i !== undefined;\n    var newMap;\n    var newList;\n    if (v === NOT_SET) { // removed\n      if (!has) {\n        return omap;\n      }\n      if (list.size >= SIZE && list.size >= map.size * 2) {\n        newList = list.filter(function(entry, idx)  {return entry !== undefined && i !== idx});\n        newMap = newList.toKeyedSeq().map(function(entry ) {return entry[0]}).flip().toMap();\n        if (omap.__ownerID) {\n          newMap.__ownerID = newList.__ownerID = omap.__ownerID;\n        }\n      } else {\n        newMap = map.remove(k);\n        newList = i === list.size - 1 ? list.pop() : list.set(i, undefined);\n      }\n    } else {\n      if (has) {\n        if (v === list.get(i)[1]) {\n          return omap;\n        }\n        newMap = map;\n        newList = list.set(i, [k, v]);\n      } else {\n        newMap = map.set(k, list.size);\n        newList = list.set(list.size, [k, v]);\n      }\n    }\n    if (omap.__ownerID) {\n      omap.size = newMap.size;\n      omap._map = newMap;\n      omap._list = newList;\n      omap.__hash = undefined;\n      return omap;\n    }\n    return makeOrderedMap(newMap, newList);\n  }\n\n  createClass(ToKeyedSequence, KeyedSeq);\n    function ToKeyedSequence(indexed, useKeys) {\n      this._iter = indexed;\n      this._useKeys = useKeys;\n      this.size = indexed.size;\n    }\n\n    ToKeyedSequence.prototype.get = function(key, notSetValue) {\n      return this._iter.get(key, notSetValue);\n    };\n\n    ToKeyedSequence.prototype.has = function(key) {\n      return this._iter.has(key);\n    };\n\n    ToKeyedSequence.prototype.valueSeq = function() {\n      return this._iter.valueSeq();\n    };\n\n    ToKeyedSequence.prototype.reverse = function() {var this$0 = this;\n      var reversedSequence = reverseFactory(this, true);\n      if (!this._useKeys) {\n        reversedSequence.valueSeq = function()  {return this$0._iter.toSeq().reverse()};\n      }\n      return reversedSequence;\n    };\n\n    ToKeyedSequence.prototype.map = function(mapper, context) {var this$0 = this;\n      var mappedSequence = mapFactory(this, mapper, context);\n      if (!this._useKeys) {\n        mappedSequence.valueSeq = function()  {return this$0._iter.toSeq().map(mapper, context)};\n      }\n      return mappedSequence;\n    };\n\n    ToKeyedSequence.prototype.__iterate = function(fn, reverse) {var this$0 = this;\n      var ii;\n      return this._iter.__iterate(\n        this._useKeys ?\n          function(v, k)  {return fn(v, k, this$0)} :\n          ((ii = reverse ? resolveSize(this) : 0),\n            function(v ) {return fn(v, reverse ? --ii : ii++, this$0)}),\n        reverse\n      );\n    };\n\n    ToKeyedSequence.prototype.__iterator = function(type, reverse) {\n      if (this._useKeys) {\n        return this._iter.__iterator(type, reverse);\n      }\n      var iterator = this._iter.__iterator(ITERATE_VALUES, reverse);\n      var ii = reverse ? resolveSize(this) : 0;\n      return new Iterator(function()  {\n        var step = iterator.next();\n        return step.done ? step :\n          iteratorValue(type, reverse ? --ii : ii++, step.value, step);\n      });\n    };\n\n  ToKeyedSequence.prototype[IS_ORDERED_SENTINEL] = true;\n\n\n  createClass(ToIndexedSequence, IndexedSeq);\n    function ToIndexedSequence(iter) {\n      this._iter = iter;\n      this.size = iter.size;\n    }\n\n    ToIndexedSequence.prototype.includes = function(value) {\n      return this._iter.includes(value);\n    };\n\n    ToIndexedSequence.prototype.__iterate = function(fn, reverse) {var this$0 = this;\n      var iterations = 0;\n      return this._iter.__iterate(function(v ) {return fn(v, iterations++, this$0)}, reverse);\n    };\n\n    ToIndexedSequence.prototype.__iterator = function(type, reverse) {\n      var iterator = this._iter.__iterator(ITERATE_VALUES, reverse);\n      var iterations = 0;\n      return new Iterator(function()  {\n        var step = iterator.next();\n        return step.done ? step :\n          iteratorValue(type, iterations++, step.value, step)\n      });\n    };\n\n\n\n  createClass(ToSetSequence, SetSeq);\n    function ToSetSequence(iter) {\n      this._iter = iter;\n      this.size = iter.size;\n    }\n\n    ToSetSequence.prototype.has = function(key) {\n      return this._iter.includes(key);\n    };\n\n    ToSetSequence.prototype.__iterate = function(fn, reverse) {var this$0 = this;\n      return this._iter.__iterate(function(v ) {return fn(v, v, this$0)}, reverse);\n    };\n\n    ToSetSequence.prototype.__iterator = function(type, reverse) {\n      var iterator = this._iter.__iterator(ITERATE_VALUES, reverse);\n      return new Iterator(function()  {\n        var step = iterator.next();\n        return step.done ? step :\n          iteratorValue(type, step.value, step.value, step);\n      });\n    };\n\n\n\n  createClass(FromEntriesSequence, KeyedSeq);\n    function FromEntriesSequence(entries) {\n      this._iter = entries;\n      this.size = entries.size;\n    }\n\n    FromEntriesSequence.prototype.entrySeq = function() {\n      return this._iter.toSeq();\n    };\n\n    FromEntriesSequence.prototype.__iterate = function(fn, reverse) {var this$0 = this;\n      return this._iter.__iterate(function(entry ) {\n        // Check if entry exists first so array access doesn't throw for holes\n        // in the parent iteration.\n        if (entry) {\n          validateEntry(entry);\n          var indexedIterable = isIterable(entry);\n          return fn(\n            indexedIterable ? entry.get(1) : entry[1],\n            indexedIterable ? entry.get(0) : entry[0],\n            this$0\n          );\n        }\n      }, reverse);\n    };\n\n    FromEntriesSequence.prototype.__iterator = function(type, reverse) {\n      var iterator = this._iter.__iterator(ITERATE_VALUES, reverse);\n      return new Iterator(function()  {\n        while (true) {\n          var step = iterator.next();\n          if (step.done) {\n            return step;\n          }\n          var entry = step.value;\n          // Check if entry exists first so array access doesn't throw for holes\n          // in the parent iteration.\n          if (entry) {\n            validateEntry(entry);\n            var indexedIterable = isIterable(entry);\n            return iteratorValue(\n              type,\n              indexedIterable ? entry.get(0) : entry[0],\n              indexedIterable ? entry.get(1) : entry[1],\n              step\n            );\n          }\n        }\n      });\n    };\n\n\n  ToIndexedSequence.prototype.cacheResult =\n  ToKeyedSequence.prototype.cacheResult =\n  ToSetSequence.prototype.cacheResult =\n  FromEntriesSequence.prototype.cacheResult =\n    cacheResultThrough;\n\n\n  function flipFactory(iterable) {\n    var flipSequence = makeSequence(iterable);\n    flipSequence._iter = iterable;\n    flipSequence.size = iterable.size;\n    flipSequence.flip = function()  {return iterable};\n    flipSequence.reverse = function () {\n      var reversedSequence = iterable.reverse.apply(this); // super.reverse()\n      reversedSequence.flip = function()  {return iterable.reverse()};\n      return reversedSequence;\n    };\n    flipSequence.has = function(key ) {return iterable.includes(key)};\n    flipSequence.includes = function(key ) {return iterable.has(key)};\n    flipSequence.cacheResult = cacheResultThrough;\n    flipSequence.__iterateUncached = function (fn, reverse) {var this$0 = this;\n      return iterable.__iterate(function(v, k)  {return fn(k, v, this$0) !== false}, reverse);\n    }\n    flipSequence.__iteratorUncached = function(type, reverse) {\n      if (type === ITERATE_ENTRIES) {\n        var iterator = iterable.__iterator(type, reverse);\n        return new Iterator(function()  {\n          var step = iterator.next();\n          if (!step.done) {\n            var k = step.value[0];\n            step.value[0] = step.value[1];\n            step.value[1] = k;\n          }\n          return step;\n        });\n      }\n      return iterable.__iterator(\n        type === ITERATE_VALUES ? ITERATE_KEYS : ITERATE_VALUES,\n        reverse\n      );\n    }\n    return flipSequence;\n  }\n\n\n  function mapFactory(iterable, mapper, context) {\n    var mappedSequence = makeSequence(iterable);\n    mappedSequence.size = iterable.size;\n    mappedSequence.has = function(key ) {return iterable.has(key)};\n    mappedSequence.get = function(key, notSetValue)  {\n      var v = iterable.get(key, NOT_SET);\n      return v === NOT_SET ?\n        notSetValue :\n        mapper.call(context, v, key, iterable);\n    };\n    mappedSequence.__iterateUncached = function (fn, reverse) {var this$0 = this;\n      return iterable.__iterate(\n        function(v, k, c)  {return fn(mapper.call(context, v, k, c), k, this$0) !== false},\n        reverse\n      );\n    }\n    mappedSequence.__iteratorUncached = function (type, reverse) {\n      var iterator = iterable.__iterator(ITERATE_ENTRIES, reverse);\n      return new Iterator(function()  {\n        var step = iterator.next();\n        if (step.done) {\n          return step;\n        }\n        var entry = step.value;\n        var key = entry[0];\n        return iteratorValue(\n          type,\n          key,\n          mapper.call(context, entry[1], key, iterable),\n          step\n        );\n      });\n    }\n    return mappedSequence;\n  }\n\n\n  function reverseFactory(iterable, useKeys) {\n    var reversedSequence = makeSequence(iterable);\n    reversedSequence._iter = iterable;\n    reversedSequence.size = iterable.size;\n    reversedSequence.reverse = function()  {return iterable};\n    if (iterable.flip) {\n      reversedSequence.flip = function () {\n        var flipSequence = flipFactory(iterable);\n        flipSequence.reverse = function()  {return iterable.flip()};\n        return flipSequence;\n      };\n    }\n    reversedSequence.get = function(key, notSetValue) \n      {return iterable.get(useKeys ? key : -1 - key, notSetValue)};\n    reversedSequence.has = function(key )\n      {return iterable.has(useKeys ? key : -1 - key)};\n    reversedSequence.includes = function(value ) {return iterable.includes(value)};\n    reversedSequence.cacheResult = cacheResultThrough;\n    reversedSequence.__iterate = function (fn, reverse) {var this$0 = this;\n      return iterable.__iterate(function(v, k)  {return fn(v, k, this$0)}, !reverse);\n    };\n    reversedSequence.__iterator =\n      function(type, reverse)  {return iterable.__iterator(type, !reverse)};\n    return reversedSequence;\n  }\n\n\n  function filterFactory(iterable, predicate, context, useKeys) {\n    var filterSequence = makeSequence(iterable);\n    if (useKeys) {\n      filterSequence.has = function(key ) {\n        var v = iterable.get(key, NOT_SET);\n        return v !== NOT_SET && !!predicate.call(context, v, key, iterable);\n      };\n      filterSequence.get = function(key, notSetValue)  {\n        var v = iterable.get(key, NOT_SET);\n        return v !== NOT_SET && predicate.call(context, v, key, iterable) ?\n          v : notSetValue;\n      };\n    }\n    filterSequence.__iterateUncached = function (fn, reverse) {var this$0 = this;\n      var iterations = 0;\n      iterable.__iterate(function(v, k, c)  {\n        if (predicate.call(context, v, k, c)) {\n          iterations++;\n          return fn(v, useKeys ? k : iterations - 1, this$0);\n        }\n      }, reverse);\n      return iterations;\n    };\n    filterSequence.__iteratorUncached = function (type, reverse) {\n      var iterator = iterable.__iterator(ITERATE_ENTRIES, reverse);\n      var iterations = 0;\n      return new Iterator(function()  {\n        while (true) {\n          var step = iterator.next();\n          if (step.done) {\n            return step;\n          }\n          var entry = step.value;\n          var key = entry[0];\n          var value = entry[1];\n          if (predicate.call(context, value, key, iterable)) {\n            return iteratorValue(type, useKeys ? key : iterations++, value, step);\n          }\n        }\n      });\n    }\n    return filterSequence;\n  }\n\n\n  function countByFactory(iterable, grouper, context) {\n    var groups = Map().asMutable();\n    iterable.__iterate(function(v, k)  {\n      groups.update(\n        grouper.call(context, v, k, iterable),\n        0,\n        function(a ) {return a + 1}\n      );\n    });\n    return groups.asImmutable();\n  }\n\n\n  function groupByFactory(iterable, grouper, context) {\n    var isKeyedIter = isKeyed(iterable);\n    var groups = (isOrdered(iterable) ? OrderedMap() : Map()).asMutable();\n    iterable.__iterate(function(v, k)  {\n      groups.update(\n        grouper.call(context, v, k, iterable),\n        function(a ) {return (a = a || [], a.push(isKeyedIter ? [k, v] : v), a)}\n      );\n    });\n    var coerce = iterableClass(iterable);\n    return groups.map(function(arr ) {return reify(iterable, coerce(arr))});\n  }\n\n\n  function sliceFactory(iterable, begin, end, useKeys) {\n    var originalSize = iterable.size;\n\n    // Sanitize begin & end using this shorthand for ToInt32(argument)\n    // http://www.ecma-international.org/ecma-262/6.0/#sec-toint32\n    if (begin !== undefined) {\n      begin = begin | 0;\n    }\n    if (end !== undefined) {\n      end = end | 0;\n    }\n\n    if (wholeSlice(begin, end, originalSize)) {\n      return iterable;\n    }\n\n    var resolvedBegin = resolveBegin(begin, originalSize);\n    var resolvedEnd = resolveEnd(end, originalSize);\n\n    // begin or end will be NaN if they were provided as negative numbers and\n    // this iterable's size is unknown. In that case, cache first so there is\n    // a known size and these do not resolve to NaN.\n    if (resolvedBegin !== resolvedBegin || resolvedEnd !== resolvedEnd) {\n      return sliceFactory(iterable.toSeq().cacheResult(), begin, end, useKeys);\n    }\n\n    // Note: resolvedEnd is undefined when the original sequence's length is\n    // unknown and this slice did not supply an end and should contain all\n    // elements after resolvedBegin.\n    // In that case, resolvedSize will be NaN and sliceSize will remain undefined.\n    var resolvedSize = resolvedEnd - resolvedBegin;\n    var sliceSize;\n    if (resolvedSize === resolvedSize) {\n      sliceSize = resolvedSize < 0 ? 0 : resolvedSize;\n    }\n\n    var sliceSeq = makeSequence(iterable);\n\n    // If iterable.size is undefined, the size of the realized sliceSeq is\n    // unknown at this point unless the number of items to slice is 0\n    sliceSeq.size = sliceSize === 0 ? sliceSize : iterable.size && sliceSize || undefined;\n\n    if (!useKeys && isSeq(iterable) && sliceSize >= 0) {\n      sliceSeq.get = function (index, notSetValue) {\n        index = wrapIndex(this, index);\n        return index >= 0 && index < sliceSize ?\n          iterable.get(index + resolvedBegin, notSetValue) :\n          notSetValue;\n      }\n    }\n\n    sliceSeq.__iterateUncached = function(fn, reverse) {var this$0 = this;\n      if (sliceSize === 0) {\n        return 0;\n      }\n      if (reverse) {\n        return this.cacheResult().__iterate(fn, reverse);\n      }\n      var skipped = 0;\n      var isSkipping = true;\n      var iterations = 0;\n      iterable.__iterate(function(v, k)  {\n        if (!(isSkipping && (isSkipping = skipped++ < resolvedBegin))) {\n          iterations++;\n          return fn(v, useKeys ? k : iterations - 1, this$0) !== false &&\n                 iterations !== sliceSize;\n        }\n      });\n      return iterations;\n    };\n\n    sliceSeq.__iteratorUncached = function(type, reverse) {\n      if (sliceSize !== 0 && reverse) {\n        return this.cacheResult().__iterator(type, reverse);\n      }\n      // Don't bother instantiating parent iterator if taking 0.\n      var iterator = sliceSize !== 0 && iterable.__iterator(type, reverse);\n      var skipped = 0;\n      var iterations = 0;\n      return new Iterator(function()  {\n        while (skipped++ < resolvedBegin) {\n          iterator.next();\n        }\n        if (++iterations > sliceSize) {\n          return iteratorDone();\n        }\n        var step = iterator.next();\n        if (useKeys || type === ITERATE_VALUES) {\n          return step;\n        } else if (type === ITERATE_KEYS) {\n          return iteratorValue(type, iterations - 1, undefined, step);\n        } else {\n          return iteratorValue(type, iterations - 1, step.value[1], step);\n        }\n      });\n    }\n\n    return sliceSeq;\n  }\n\n\n  function takeWhileFactory(iterable, predicate, context) {\n    var takeSequence = makeSequence(iterable);\n    takeSequence.__iterateUncached = function(fn, reverse) {var this$0 = this;\n      if (reverse) {\n        return this.cacheResult().__iterate(fn, reverse);\n      }\n      var iterations = 0;\n      iterable.__iterate(function(v, k, c) \n        {return predicate.call(context, v, k, c) && ++iterations && fn(v, k, this$0)}\n      );\n      return iterations;\n    };\n    takeSequence.__iteratorUncached = function(type, reverse) {var this$0 = this;\n      if (reverse) {\n        return this.cacheResult().__iterator(type, reverse);\n      }\n      var iterator = iterable.__iterator(ITERATE_ENTRIES, reverse);\n      var iterating = true;\n      return new Iterator(function()  {\n        if (!iterating) {\n          return iteratorDone();\n        }\n        var step = iterator.next();\n        if (step.done) {\n          return step;\n        }\n        var entry = step.value;\n        var k = entry[0];\n        var v = entry[1];\n        if (!predicate.call(context, v, k, this$0)) {\n          iterating = false;\n          return iteratorDone();\n        }\n        return type === ITERATE_ENTRIES ? step :\n          iteratorValue(type, k, v, step);\n      });\n    };\n    return takeSequence;\n  }\n\n\n  function skipWhileFactory(iterable, predicate, context, useKeys) {\n    var skipSequence = makeSequence(iterable);\n    skipSequence.__iterateUncached = function (fn, reverse) {var this$0 = this;\n      if (reverse) {\n        return this.cacheResult().__iterate(fn, reverse);\n      }\n      var isSkipping = true;\n      var iterations = 0;\n      iterable.__iterate(function(v, k, c)  {\n        if (!(isSkipping && (isSkipping = predicate.call(context, v, k, c)))) {\n          iterations++;\n          return fn(v, useKeys ? k : iterations - 1, this$0);\n        }\n      });\n      return iterations;\n    };\n    skipSequence.__iteratorUncached = function(type, reverse) {var this$0 = this;\n      if (reverse) {\n        return this.cacheResult().__iterator(type, reverse);\n      }\n      var iterator = iterable.__iterator(ITERATE_ENTRIES, reverse);\n      var skipping = true;\n      var iterations = 0;\n      return new Iterator(function()  {\n        var step, k, v;\n        do {\n          step = iterator.next();\n          if (step.done) {\n            if (useKeys || type === ITERATE_VALUES) {\n              return step;\n            } else if (type === ITERATE_KEYS) {\n              return iteratorValue(type, iterations++, undefined, step);\n            } else {\n              return iteratorValue(type, iterations++, step.value[1], step);\n            }\n          }\n          var entry = step.value;\n          k = entry[0];\n          v = entry[1];\n          skipping && (skipping = predicate.call(context, v, k, this$0));\n        } while (skipping);\n        return type === ITERATE_ENTRIES ? step :\n          iteratorValue(type, k, v, step);\n      });\n    };\n    return skipSequence;\n  }\n\n\n  function concatFactory(iterable, values) {\n    var isKeyedIterable = isKeyed(iterable);\n    var iters = [iterable].concat(values).map(function(v ) {\n      if (!isIterable(v)) {\n        v = isKeyedIterable ?\n          keyedSeqFromValue(v) :\n          indexedSeqFromValue(Array.isArray(v) ? v : [v]);\n      } else if (isKeyedIterable) {\n        v = KeyedIterable(v);\n      }\n      return v;\n    }).filter(function(v ) {return v.size !== 0});\n\n    if (iters.length === 0) {\n      return iterable;\n    }\n\n    if (iters.length === 1) {\n      var singleton = iters[0];\n      if (singleton === iterable ||\n          isKeyedIterable && isKeyed(singleton) ||\n          isIndexed(iterable) && isIndexed(singleton)) {\n        return singleton;\n      }\n    }\n\n    var concatSeq = new ArraySeq(iters);\n    if (isKeyedIterable) {\n      concatSeq = concatSeq.toKeyedSeq();\n    } else if (!isIndexed(iterable)) {\n      concatSeq = concatSeq.toSetSeq();\n    }\n    concatSeq = concatSeq.flatten(true);\n    concatSeq.size = iters.reduce(\n      function(sum, seq)  {\n        if (sum !== undefined) {\n          var size = seq.size;\n          if (size !== undefined) {\n            return sum + size;\n          }\n        }\n      },\n      0\n    );\n    return concatSeq;\n  }\n\n\n  function flattenFactory(iterable, depth, useKeys) {\n    var flatSequence = makeSequence(iterable);\n    flatSequence.__iterateUncached = function(fn, reverse) {\n      var iterations = 0;\n      var stopped = false;\n      function flatDeep(iter, currentDepth) {var this$0 = this;\n        iter.__iterate(function(v, k)  {\n          if ((!depth || currentDepth < depth) && isIterable(v)) {\n            flatDeep(v, currentDepth + 1);\n          } else if (fn(v, useKeys ? k : iterations++, this$0) === false) {\n            stopped = true;\n          }\n          return !stopped;\n        }, reverse);\n      }\n      flatDeep(iterable, 0);\n      return iterations;\n    }\n    flatSequence.__iteratorUncached = function(type, reverse) {\n      var iterator = iterable.__iterator(type, reverse);\n      var stack = [];\n      var iterations = 0;\n      return new Iterator(function()  {\n        while (iterator) {\n          var step = iterator.next();\n          if (step.done !== false) {\n            iterator = stack.pop();\n            continue;\n          }\n          var v = step.value;\n          if (type === ITERATE_ENTRIES) {\n            v = v[1];\n          }\n          if ((!depth || stack.length < depth) && isIterable(v)) {\n            stack.push(iterator);\n            iterator = v.__iterator(type, reverse);\n          } else {\n            return useKeys ? step : iteratorValue(type, iterations++, v, step);\n          }\n        }\n        return iteratorDone();\n      });\n    }\n    return flatSequence;\n  }\n\n\n  function flatMapFactory(iterable, mapper, context) {\n    var coerce = iterableClass(iterable);\n    return iterable.toSeq().map(\n      function(v, k)  {return coerce(mapper.call(context, v, k, iterable))}\n    ).flatten(true);\n  }\n\n\n  function interposeFactory(iterable, separator) {\n    var interposedSequence = makeSequence(iterable);\n    interposedSequence.size = iterable.size && iterable.size * 2 -1;\n    interposedSequence.__iterateUncached = function(fn, reverse) {var this$0 = this;\n      var iterations = 0;\n      iterable.__iterate(function(v, k) \n        {return (!iterations || fn(separator, iterations++, this$0) !== false) &&\n        fn(v, iterations++, this$0) !== false},\n        reverse\n      );\n      return iterations;\n    };\n    interposedSequence.__iteratorUncached = function(type, reverse) {\n      var iterator = iterable.__iterator(ITERATE_VALUES, reverse);\n      var iterations = 0;\n      var step;\n      return new Iterator(function()  {\n        if (!step || iterations % 2) {\n          step = iterator.next();\n          if (step.done) {\n            return step;\n          }\n        }\n        return iterations % 2 ?\n          iteratorValue(type, iterations++, separator) :\n          iteratorValue(type, iterations++, step.value, step);\n      });\n    };\n    return interposedSequence;\n  }\n\n\n  function sortFactory(iterable, comparator, mapper) {\n    if (!comparator) {\n      comparator = defaultComparator;\n    }\n    var isKeyedIterable = isKeyed(iterable);\n    var index = 0;\n    var entries = iterable.toSeq().map(\n      function(v, k)  {return [k, v, index++, mapper ? mapper(v, k, iterable) : v]}\n    ).toArray();\n    entries.sort(function(a, b)  {return comparator(a[3], b[3]) || a[2] - b[2]}).forEach(\n      isKeyedIterable ?\n      function(v, i)  { entries[i].length = 2; } :\n      function(v, i)  { entries[i] = v[1]; }\n    );\n    return isKeyedIterable ? KeyedSeq(entries) :\n      isIndexed(iterable) ? IndexedSeq(entries) :\n      SetSeq(entries);\n  }\n\n\n  function maxFactory(iterable, comparator, mapper) {\n    if (!comparator) {\n      comparator = defaultComparator;\n    }\n    if (mapper) {\n      var entry = iterable.toSeq()\n        .map(function(v, k)  {return [v, mapper(v, k, iterable)]})\n        .reduce(function(a, b)  {return maxCompare(comparator, a[1], b[1]) ? b : a});\n      return entry && entry[0];\n    } else {\n      return iterable.reduce(function(a, b)  {return maxCompare(comparator, a, b) ? b : a});\n    }\n  }\n\n  function maxCompare(comparator, a, b) {\n    var comp = comparator(b, a);\n    // b is considered the new max if the comparator declares them equal, but\n    // they are not equal and b is in fact a nullish value.\n    return (comp === 0 && b !== a && (b === undefined || b === null || b !== b)) || comp > 0;\n  }\n\n\n  function zipWithFactory(keyIter, zipper, iters) {\n    var zipSequence = makeSequence(keyIter);\n    zipSequence.size = new ArraySeq(iters).map(function(i ) {return i.size}).min();\n    // Note: this a generic base implementation of __iterate in terms of\n    // __iterator which may be more generically useful in the future.\n    zipSequence.__iterate = function(fn, reverse) {\n      /* generic:\n      var iterator = this.__iterator(ITERATE_ENTRIES, reverse);\n      var step;\n      var iterations = 0;\n      while (!(step = iterator.next()).done) {\n        iterations++;\n        if (fn(step.value[1], step.value[0], this) === false) {\n          break;\n        }\n      }\n      return iterations;\n      */\n      // indexed:\n      var iterator = this.__iterator(ITERATE_VALUES, reverse);\n      var step;\n      var iterations = 0;\n      while (!(step = iterator.next()).done) {\n        if (fn(step.value, iterations++, this) === false) {\n          break;\n        }\n      }\n      return iterations;\n    };\n    zipSequence.__iteratorUncached = function(type, reverse) {\n      var iterators = iters.map(function(i )\n        {return (i = Iterable(i), getIterator(reverse ? i.reverse() : i))}\n      );\n      var iterations = 0;\n      var isDone = false;\n      return new Iterator(function()  {\n        var steps;\n        if (!isDone) {\n          steps = iterators.map(function(i ) {return i.next()});\n          isDone = steps.some(function(s ) {return s.done});\n        }\n        if (isDone) {\n          return iteratorDone();\n        }\n        return iteratorValue(\n          type,\n          iterations++,\n          zipper.apply(null, steps.map(function(s ) {return s.value}))\n        );\n      });\n    };\n    return zipSequence\n  }\n\n\n  // #pragma Helper Functions\n\n  function reify(iter, seq) {\n    return isSeq(iter) ? seq : iter.constructor(seq);\n  }\n\n  function validateEntry(entry) {\n    if (entry !== Object(entry)) {\n      throw new TypeError('Expected [K, V] tuple: ' + entry);\n    }\n  }\n\n  function resolveSize(iter) {\n    assertNotInfinite(iter.size);\n    return ensureSize(iter);\n  }\n\n  function iterableClass(iterable) {\n    return isKeyed(iterable) ? KeyedIterable :\n      isIndexed(iterable) ? IndexedIterable :\n      SetIterable;\n  }\n\n  function makeSequence(iterable) {\n    return Object.create(\n      (\n        isKeyed(iterable) ? KeyedSeq :\n        isIndexed(iterable) ? IndexedSeq :\n        SetSeq\n      ).prototype\n    );\n  }\n\n  function cacheResultThrough() {\n    if (this._iter.cacheResult) {\n      this._iter.cacheResult();\n      this.size = this._iter.size;\n      return this;\n    } else {\n      return Seq.prototype.cacheResult.call(this);\n    }\n  }\n\n  function defaultComparator(a, b) {\n    return a > b ? 1 : a < b ? -1 : 0;\n  }\n\n  function forceIterator(keyPath) {\n    var iter = getIterator(keyPath);\n    if (!iter) {\n      // Array might not be iterable in this environment, so we need a fallback\n      // to our wrapped type.\n      if (!isArrayLike(keyPath)) {\n        throw new TypeError('Expected iterable or array-like: ' + keyPath);\n      }\n      iter = getIterator(Iterable(keyPath));\n    }\n    return iter;\n  }\n\n  createClass(Record, KeyedCollection);\n\n    function Record(defaultValues, name) {\n      var hasInitialized;\n\n      var RecordType = function Record(values) {\n        if (values instanceof RecordType) {\n          return values;\n        }\n        if (!(this instanceof RecordType)) {\n          return new RecordType(values);\n        }\n        if (!hasInitialized) {\n          hasInitialized = true;\n          var keys = Object.keys(defaultValues);\n          setProps(RecordTypePrototype, keys);\n          RecordTypePrototype.size = keys.length;\n          RecordTypePrototype._name = name;\n          RecordTypePrototype._keys = keys;\n          RecordTypePrototype._defaultValues = defaultValues;\n        }\n        this._map = Map(values);\n      };\n\n      var RecordTypePrototype = RecordType.prototype = Object.create(RecordPrototype);\n      RecordTypePrototype.constructor = RecordType;\n\n      return RecordType;\n    }\n\n    Record.prototype.toString = function() {\n      return this.__toString(recordName(this) + ' {', '}');\n    };\n\n    // @pragma Access\n\n    Record.prototype.has = function(k) {\n      return this._defaultValues.hasOwnProperty(k);\n    };\n\n    Record.prototype.get = function(k, notSetValue) {\n      if (!this.has(k)) {\n        return notSetValue;\n      }\n      var defaultVal = this._defaultValues[k];\n      return this._map ? this._map.get(k, defaultVal) : defaultVal;\n    };\n\n    // @pragma Modification\n\n    Record.prototype.clear = function() {\n      if (this.__ownerID) {\n        this._map && this._map.clear();\n        return this;\n      }\n      var RecordType = this.constructor;\n      return RecordType._empty || (RecordType._empty = makeRecord(this, emptyMap()));\n    };\n\n    Record.prototype.set = function(k, v) {\n      if (!this.has(k)) {\n        throw new Error('Cannot set unknown key \"' + k + '\" on ' + recordName(this));\n      }\n      var newMap = this._map && this._map.set(k, v);\n      if (this.__ownerID || newMap === this._map) {\n        return this;\n      }\n      return makeRecord(this, newMap);\n    };\n\n    Record.prototype.remove = function(k) {\n      if (!this.has(k)) {\n        return this;\n      }\n      var newMap = this._map && this._map.remove(k);\n      if (this.__ownerID || newMap === this._map) {\n        return this;\n      }\n      return makeRecord(this, newMap);\n    };\n\n    Record.prototype.wasAltered = function() {\n      return this._map.wasAltered();\n    };\n\n    Record.prototype.__iterator = function(type, reverse) {var this$0 = this;\n      return KeyedIterable(this._defaultValues).map(function(_, k)  {return this$0.get(k)}).__iterator(type, reverse);\n    };\n\n    Record.prototype.__iterate = function(fn, reverse) {var this$0 = this;\n      return KeyedIterable(this._defaultValues).map(function(_, k)  {return this$0.get(k)}).__iterate(fn, reverse);\n    };\n\n    Record.prototype.__ensureOwner = function(ownerID) {\n      if (ownerID === this.__ownerID) {\n        return this;\n      }\n      var newMap = this._map && this._map.__ensureOwner(ownerID);\n      if (!ownerID) {\n        this.__ownerID = ownerID;\n        this._map = newMap;\n        return this;\n      }\n      return makeRecord(this, newMap, ownerID);\n    };\n\n\n  var RecordPrototype = Record.prototype;\n  RecordPrototype[DELETE] = RecordPrototype.remove;\n  RecordPrototype.deleteIn =\n  RecordPrototype.removeIn = MapPrototype.removeIn;\n  RecordPrototype.merge = MapPrototype.merge;\n  RecordPrototype.mergeWith = MapPrototype.mergeWith;\n  RecordPrototype.mergeIn = MapPrototype.mergeIn;\n  RecordPrototype.mergeDeep = MapPrototype.mergeDeep;\n  RecordPrototype.mergeDeepWith = MapPrototype.mergeDeepWith;\n  RecordPrototype.mergeDeepIn = MapPrototype.mergeDeepIn;\n  RecordPrototype.setIn = MapPrototype.setIn;\n  RecordPrototype.update = MapPrototype.update;\n  RecordPrototype.updateIn = MapPrototype.updateIn;\n  RecordPrototype.withMutations = MapPrototype.withMutations;\n  RecordPrototype.asMutable = MapPrototype.asMutable;\n  RecordPrototype.asImmutable = MapPrototype.asImmutable;\n\n\n  function makeRecord(likeRecord, map, ownerID) {\n    var record = Object.create(Object.getPrototypeOf(likeRecord));\n    record._map = map;\n    record.__ownerID = ownerID;\n    return record;\n  }\n\n  function recordName(record) {\n    return record._name || record.constructor.name || 'Record';\n  }\n\n  function setProps(prototype, names) {\n    try {\n      names.forEach(setProp.bind(undefined, prototype));\n    } catch (error) {\n      // Object.defineProperty failed. Probably IE8.\n    }\n  }\n\n  function setProp(prototype, name) {\n    Object.defineProperty(prototype, name, {\n      get: function() {\n        return this.get(name);\n      },\n      set: function(value) {\n        invariant(this.__ownerID, 'Cannot set on an immutable record.');\n        this.set(name, value);\n      }\n    });\n  }\n\n  createClass(Set, SetCollection);\n\n    // @pragma Construction\n\n    function Set(value) {\n      return value === null || value === undefined ? emptySet() :\n        isSet(value) && !isOrdered(value) ? value :\n        emptySet().withMutations(function(set ) {\n          var iter = SetIterable(value);\n          assertNotInfinite(iter.size);\n          iter.forEach(function(v ) {return set.add(v)});\n        });\n    }\n\n    Set.of = function(/*...values*/) {\n      return this(arguments);\n    };\n\n    Set.fromKeys = function(value) {\n      return this(KeyedIterable(value).keySeq());\n    };\n\n    Set.prototype.toString = function() {\n      return this.__toString('Set {', '}');\n    };\n\n    // @pragma Access\n\n    Set.prototype.has = function(value) {\n      return this._map.has(value);\n    };\n\n    // @pragma Modification\n\n    Set.prototype.add = function(value) {\n      return updateSet(this, this._map.set(value, true));\n    };\n\n    Set.prototype.remove = function(value) {\n      return updateSet(this, this._map.remove(value));\n    };\n\n    Set.prototype.clear = function() {\n      return updateSet(this, this._map.clear());\n    };\n\n    // @pragma Composition\n\n    Set.prototype.union = function() {var iters = SLICE$0.call(arguments, 0);\n      iters = iters.filter(function(x ) {return x.size !== 0});\n      if (iters.length === 0) {\n        return this;\n      }\n      if (this.size === 0 && !this.__ownerID && iters.length === 1) {\n        return this.constructor(iters[0]);\n      }\n      return this.withMutations(function(set ) {\n        for (var ii = 0; ii < iters.length; ii++) {\n          SetIterable(iters[ii]).forEach(function(value ) {return set.add(value)});\n        }\n      });\n    };\n\n    Set.prototype.intersect = function() {var iters = SLICE$0.call(arguments, 0);\n      if (iters.length === 0) {\n        return this;\n      }\n      iters = iters.map(function(iter ) {return SetIterable(iter)});\n      var originalSet = this;\n      return this.withMutations(function(set ) {\n        originalSet.forEach(function(value ) {\n          if (!iters.every(function(iter ) {return iter.includes(value)})) {\n            set.remove(value);\n          }\n        });\n      });\n    };\n\n    Set.prototype.subtract = function() {var iters = SLICE$0.call(arguments, 0);\n      if (iters.length === 0) {\n        return this;\n      }\n      iters = iters.map(function(iter ) {return SetIterable(iter)});\n      var originalSet = this;\n      return this.withMutations(function(set ) {\n        originalSet.forEach(function(value ) {\n          if (iters.some(function(iter ) {return iter.includes(value)})) {\n            set.remove(value);\n          }\n        });\n      });\n    };\n\n    Set.prototype.merge = function() {\n      return this.union.apply(this, arguments);\n    };\n\n    Set.prototype.mergeWith = function(merger) {var iters = SLICE$0.call(arguments, 1);\n      return this.union.apply(this, iters);\n    };\n\n    Set.prototype.sort = function(comparator) {\n      // Late binding\n      return OrderedSet(sortFactory(this, comparator));\n    };\n\n    Set.prototype.sortBy = function(mapper, comparator) {\n      // Late binding\n      return OrderedSet(sortFactory(this, comparator, mapper));\n    };\n\n    Set.prototype.wasAltered = function() {\n      return this._map.wasAltered();\n    };\n\n    Set.prototype.__iterate = function(fn, reverse) {var this$0 = this;\n      return this._map.__iterate(function(_, k)  {return fn(k, k, this$0)}, reverse);\n    };\n\n    Set.prototype.__iterator = function(type, reverse) {\n      return this._map.map(function(_, k)  {return k}).__iterator(type, reverse);\n    };\n\n    Set.prototype.__ensureOwner = function(ownerID) {\n      if (ownerID === this.__ownerID) {\n        return this;\n      }\n      var newMap = this._map.__ensureOwner(ownerID);\n      if (!ownerID) {\n        this.__ownerID = ownerID;\n        this._map = newMap;\n        return this;\n      }\n      return this.__make(newMap, ownerID);\n    };\n\n\n  function isSet(maybeSet) {\n    return !!(maybeSet && maybeSet[IS_SET_SENTINEL]);\n  }\n\n  Set.isSet = isSet;\n\n  var IS_SET_SENTINEL = '@@__IMMUTABLE_SET__@@';\n\n  var SetPrototype = Set.prototype;\n  SetPrototype[IS_SET_SENTINEL] = true;\n  SetPrototype[DELETE] = SetPrototype.remove;\n  SetPrototype.mergeDeep = SetPrototype.merge;\n  SetPrototype.mergeDeepWith = SetPrototype.mergeWith;\n  SetPrototype.withMutations = MapPrototype.withMutations;\n  SetPrototype.asMutable = MapPrototype.asMutable;\n  SetPrototype.asImmutable = MapPrototype.asImmutable;\n\n  SetPrototype.__empty = emptySet;\n  SetPrototype.__make = makeSet;\n\n  function updateSet(set, newMap) {\n    if (set.__ownerID) {\n      set.size = newMap.size;\n      set._map = newMap;\n      return set;\n    }\n    return newMap === set._map ? set :\n      newMap.size === 0 ? set.__empty() :\n      set.__make(newMap);\n  }\n\n  function makeSet(map, ownerID) {\n    var set = Object.create(SetPrototype);\n    set.size = map ? map.size : 0;\n    set._map = map;\n    set.__ownerID = ownerID;\n    return set;\n  }\n\n  var EMPTY_SET;\n  function emptySet() {\n    return EMPTY_SET || (EMPTY_SET = makeSet(emptyMap()));\n  }\n\n  createClass(OrderedSet, Set);\n\n    // @pragma Construction\n\n    function OrderedSet(value) {\n      return value === null || value === undefined ? emptyOrderedSet() :\n        isOrderedSet(value) ? value :\n        emptyOrderedSet().withMutations(function(set ) {\n          var iter = SetIterable(value);\n          assertNotInfinite(iter.size);\n          iter.forEach(function(v ) {return set.add(v)});\n        });\n    }\n\n    OrderedSet.of = function(/*...values*/) {\n      return this(arguments);\n    };\n\n    OrderedSet.fromKeys = function(value) {\n      return this(KeyedIterable(value).keySeq());\n    };\n\n    OrderedSet.prototype.toString = function() {\n      return this.__toString('OrderedSet {', '}');\n    };\n\n\n  function isOrderedSet(maybeOrderedSet) {\n    return isSet(maybeOrderedSet) && isOrdered(maybeOrderedSet);\n  }\n\n  OrderedSet.isOrderedSet = isOrderedSet;\n\n  var OrderedSetPrototype = OrderedSet.prototype;\n  OrderedSetPrototype[IS_ORDERED_SENTINEL] = true;\n\n  OrderedSetPrototype.__empty = emptyOrderedSet;\n  OrderedSetPrototype.__make = makeOrderedSet;\n\n  function makeOrderedSet(map, ownerID) {\n    var set = Object.create(OrderedSetPrototype);\n    set.size = map ? map.size : 0;\n    set._map = map;\n    set.__ownerID = ownerID;\n    return set;\n  }\n\n  var EMPTY_ORDERED_SET;\n  function emptyOrderedSet() {\n    return EMPTY_ORDERED_SET || (EMPTY_ORDERED_SET = makeOrderedSet(emptyOrderedMap()));\n  }\n\n  createClass(Stack, IndexedCollection);\n\n    // @pragma Construction\n\n    function Stack(value) {\n      return value === null || value === undefined ? emptyStack() :\n        isStack(value) ? value :\n        emptyStack().unshiftAll(value);\n    }\n\n    Stack.of = function(/*...values*/) {\n      return this(arguments);\n    };\n\n    Stack.prototype.toString = function() {\n      return this.__toString('Stack [', ']');\n    };\n\n    // @pragma Access\n\n    Stack.prototype.get = function(index, notSetValue) {\n      var head = this._head;\n      index = wrapIndex(this, index);\n      while (head && index--) {\n        head = head.next;\n      }\n      return head ? head.value : notSetValue;\n    };\n\n    Stack.prototype.peek = function() {\n      return this._head && this._head.value;\n    };\n\n    // @pragma Modification\n\n    Stack.prototype.push = function(/*...values*/) {\n      if (arguments.length === 0) {\n        return this;\n      }\n      var newSize = this.size + arguments.length;\n      var head = this._head;\n      for (var ii = arguments.length - 1; ii >= 0; ii--) {\n        head = {\n          value: arguments[ii],\n          next: head\n        };\n      }\n      if (this.__ownerID) {\n        this.size = newSize;\n        this._head = head;\n        this.__hash = undefined;\n        this.__altered = true;\n        return this;\n      }\n      return makeStack(newSize, head);\n    };\n\n    Stack.prototype.pushAll = function(iter) {\n      iter = IndexedIterable(iter);\n      if (iter.size === 0) {\n        return this;\n      }\n      assertNotInfinite(iter.size);\n      var newSize = this.size;\n      var head = this._head;\n      iter.reverse().forEach(function(value ) {\n        newSize++;\n        head = {\n          value: value,\n          next: head\n        };\n      });\n      if (this.__ownerID) {\n        this.size = newSize;\n        this._head = head;\n        this.__hash = undefined;\n        this.__altered = true;\n        return this;\n      }\n      return makeStack(newSize, head);\n    };\n\n    Stack.prototype.pop = function() {\n      return this.slice(1);\n    };\n\n    Stack.prototype.unshift = function(/*...values*/) {\n      return this.push.apply(this, arguments);\n    };\n\n    Stack.prototype.unshiftAll = function(iter) {\n      return this.pushAll(iter);\n    };\n\n    Stack.prototype.shift = function() {\n      return this.pop.apply(this, arguments);\n    };\n\n    Stack.prototype.clear = function() {\n      if (this.size === 0) {\n        return this;\n      }\n      if (this.__ownerID) {\n        this.size = 0;\n        this._head = undefined;\n        this.__hash = undefined;\n        this.__altered = true;\n        return this;\n      }\n      return emptyStack();\n    };\n\n    Stack.prototype.slice = function(begin, end) {\n      if (wholeSlice(begin, end, this.size)) {\n        return this;\n      }\n      var resolvedBegin = resolveBegin(begin, this.size);\n      var resolvedEnd = resolveEnd(end, this.size);\n      if (resolvedEnd !== this.size) {\n        // super.slice(begin, end);\n        return IndexedCollection.prototype.slice.call(this, begin, end);\n      }\n      var newSize = this.size - resolvedBegin;\n      var head = this._head;\n      while (resolvedBegin--) {\n        head = head.next;\n      }\n      if (this.__ownerID) {\n        this.size = newSize;\n        this._head = head;\n        this.__hash = undefined;\n        this.__altered = true;\n        return this;\n      }\n      return makeStack(newSize, head);\n    };\n\n    // @pragma Mutability\n\n    Stack.prototype.__ensureOwner = function(ownerID) {\n      if (ownerID === this.__ownerID) {\n        return this;\n      }\n      if (!ownerID) {\n        this.__ownerID = ownerID;\n        this.__altered = false;\n        return this;\n      }\n      return makeStack(this.size, this._head, ownerID, this.__hash);\n    };\n\n    // @pragma Iteration\n\n    Stack.prototype.__iterate = function(fn, reverse) {\n      if (reverse) {\n        return this.reverse().__iterate(fn);\n      }\n      var iterations = 0;\n      var node = this._head;\n      while (node) {\n        if (fn(node.value, iterations++, this) === false) {\n          break;\n        }\n        node = node.next;\n      }\n      return iterations;\n    };\n\n    Stack.prototype.__iterator = function(type, reverse) {\n      if (reverse) {\n        return this.reverse().__iterator(type);\n      }\n      var iterations = 0;\n      var node = this._head;\n      return new Iterator(function()  {\n        if (node) {\n          var value = node.value;\n          node = node.next;\n          return iteratorValue(type, iterations++, value);\n        }\n        return iteratorDone();\n      });\n    };\n\n\n  function isStack(maybeStack) {\n    return !!(maybeStack && maybeStack[IS_STACK_SENTINEL]);\n  }\n\n  Stack.isStack = isStack;\n\n  var IS_STACK_SENTINEL = '@@__IMMUTABLE_STACK__@@';\n\n  var StackPrototype = Stack.prototype;\n  StackPrototype[IS_STACK_SENTINEL] = true;\n  StackPrototype.withMutations = MapPrototype.withMutations;\n  StackPrototype.asMutable = MapPrototype.asMutable;\n  StackPrototype.asImmutable = MapPrototype.asImmutable;\n  StackPrototype.wasAltered = MapPrototype.wasAltered;\n\n\n  function makeStack(size, head, ownerID, hash) {\n    var map = Object.create(StackPrototype);\n    map.size = size;\n    map._head = head;\n    map.__ownerID = ownerID;\n    map.__hash = hash;\n    map.__altered = false;\n    return map;\n  }\n\n  var EMPTY_STACK;\n  function emptyStack() {\n    return EMPTY_STACK || (EMPTY_STACK = makeStack(0));\n  }\n\n  /**\n   * Contributes additional methods to a constructor\n   */\n  function mixin(ctor, methods) {\n    var keyCopier = function(key ) { ctor.prototype[key] = methods[key]; };\n    Object.keys(methods).forEach(keyCopier);\n    Object.getOwnPropertySymbols &&\n      Object.getOwnPropertySymbols(methods).forEach(keyCopier);\n    return ctor;\n  }\n\n  Iterable.Iterator = Iterator;\n\n  mixin(Iterable, {\n\n    // ### Conversion to other types\n\n    toArray: function() {\n      assertNotInfinite(this.size);\n      var array = new Array(this.size || 0);\n      this.valueSeq().__iterate(function(v, i)  { array[i] = v; });\n      return array;\n    },\n\n    toIndexedSeq: function() {\n      return new ToIndexedSequence(this);\n    },\n\n    toJS: function() {\n      return this.toSeq().map(\n        function(value ) {return value && typeof value.toJS === 'function' ? value.toJS() : value}\n      ).__toJS();\n    },\n\n    toJSON: function() {\n      return this.toSeq().map(\n        function(value ) {return value && typeof value.toJSON === 'function' ? value.toJSON() : value}\n      ).__toJS();\n    },\n\n    toKeyedSeq: function() {\n      return new ToKeyedSequence(this, true);\n    },\n\n    toMap: function() {\n      // Use Late Binding here to solve the circular dependency.\n      return Map(this.toKeyedSeq());\n    },\n\n    toObject: function() {\n      assertNotInfinite(this.size);\n      var object = {};\n      this.__iterate(function(v, k)  { object[k] = v; });\n      return object;\n    },\n\n    toOrderedMap: function() {\n      // Use Late Binding here to solve the circular dependency.\n      return OrderedMap(this.toKeyedSeq());\n    },\n\n    toOrderedSet: function() {\n      // Use Late Binding here to solve the circular dependency.\n      return OrderedSet(isKeyed(this) ? this.valueSeq() : this);\n    },\n\n    toSet: function() {\n      // Use Late Binding here to solve the circular dependency.\n      return Set(isKeyed(this) ? this.valueSeq() : this);\n    },\n\n    toSetSeq: function() {\n      return new ToSetSequence(this);\n    },\n\n    toSeq: function() {\n      return isIndexed(this) ? this.toIndexedSeq() :\n        isKeyed(this) ? this.toKeyedSeq() :\n        this.toSetSeq();\n    },\n\n    toStack: function() {\n      // Use Late Binding here to solve the circular dependency.\n      return Stack(isKeyed(this) ? this.valueSeq() : this);\n    },\n\n    toList: function() {\n      // Use Late Binding here to solve the circular dependency.\n      return List(isKeyed(this) ? this.valueSeq() : this);\n    },\n\n\n    // ### Common JavaScript methods and properties\n\n    toString: function() {\n      return '[Iterable]';\n    },\n\n    __toString: function(head, tail) {\n      if (this.size === 0) {\n        return head + tail;\n      }\n      return head + ' ' + this.toSeq().map(this.__toStringMapper).join(', ') + ' ' + tail;\n    },\n\n\n    // ### ES6 Collection methods (ES6 Array and Map)\n\n    concat: function() {var values = SLICE$0.call(arguments, 0);\n      return reify(this, concatFactory(this, values));\n    },\n\n    includes: function(searchValue) {\n      return this.some(function(value ) {return is(value, searchValue)});\n    },\n\n    entries: function() {\n      return this.__iterator(ITERATE_ENTRIES);\n    },\n\n    every: function(predicate, context) {\n      assertNotInfinite(this.size);\n      var returnValue = true;\n      this.__iterate(function(v, k, c)  {\n        if (!predicate.call(context, v, k, c)) {\n          returnValue = false;\n          return false;\n        }\n      });\n      return returnValue;\n    },\n\n    filter: function(predicate, context) {\n      return reify(this, filterFactory(this, predicate, context, true));\n    },\n\n    find: function(predicate, context, notSetValue) {\n      var entry = this.findEntry(predicate, context);\n      return entry ? entry[1] : notSetValue;\n    },\n\n    findEntry: function(predicate, context) {\n      var found;\n      this.__iterate(function(v, k, c)  {\n        if (predicate.call(context, v, k, c)) {\n          found = [k, v];\n          return false;\n        }\n      });\n      return found;\n    },\n\n    findLastEntry: function(predicate, context) {\n      return this.toSeq().reverse().findEntry(predicate, context);\n    },\n\n    forEach: function(sideEffect, context) {\n      assertNotInfinite(this.size);\n      return this.__iterate(context ? sideEffect.bind(context) : sideEffect);\n    },\n\n    join: function(separator) {\n      assertNotInfinite(this.size);\n      separator = separator !== undefined ? '' + separator : ',';\n      var joined = '';\n      var isFirst = true;\n      this.__iterate(function(v ) {\n        isFirst ? (isFirst = false) : (joined += separator);\n        joined += v !== null && v !== undefined ? v.toString() : '';\n      });\n      return joined;\n    },\n\n    keys: function() {\n      return this.__iterator(ITERATE_KEYS);\n    },\n\n    map: function(mapper, context) {\n      return reify(this, mapFactory(this, mapper, context));\n    },\n\n    reduce: function(reducer, initialReduction, context) {\n      assertNotInfinite(this.size);\n      var reduction;\n      var useFirst;\n      if (arguments.length < 2) {\n        useFirst = true;\n      } else {\n        reduction = initialReduction;\n      }\n      this.__iterate(function(v, k, c)  {\n        if (useFirst) {\n          useFirst = false;\n          reduction = v;\n        } else {\n          reduction = reducer.call(context, reduction, v, k, c);\n        }\n      });\n      return reduction;\n    },\n\n    reduceRight: function(reducer, initialReduction, context) {\n      var reversed = this.toKeyedSeq().reverse();\n      return reversed.reduce.apply(reversed, arguments);\n    },\n\n    reverse: function() {\n      return reify(this, reverseFactory(this, true));\n    },\n\n    slice: function(begin, end) {\n      return reify(this, sliceFactory(this, begin, end, true));\n    },\n\n    some: function(predicate, context) {\n      return !this.every(not(predicate), context);\n    },\n\n    sort: function(comparator) {\n      return reify(this, sortFactory(this, comparator));\n    },\n\n    values: function() {\n      return this.__iterator(ITERATE_VALUES);\n    },\n\n\n    // ### More sequential methods\n\n    butLast: function() {\n      return this.slice(0, -1);\n    },\n\n    isEmpty: function() {\n      return this.size !== undefined ? this.size === 0 : !this.some(function()  {return true});\n    },\n\n    count: function(predicate, context) {\n      return ensureSize(\n        predicate ? this.toSeq().filter(predicate, context) : this\n      );\n    },\n\n    countBy: function(grouper, context) {\n      return countByFactory(this, grouper, context);\n    },\n\n    equals: function(other) {\n      return deepEqual(this, other);\n    },\n\n    entrySeq: function() {\n      var iterable = this;\n      if (iterable._cache) {\n        // We cache as an entries array, so we can just return the cache!\n        return new ArraySeq(iterable._cache);\n      }\n      var entriesSequence = iterable.toSeq().map(entryMapper).toIndexedSeq();\n      entriesSequence.fromEntrySeq = function()  {return iterable.toSeq()};\n      return entriesSequence;\n    },\n\n    filterNot: function(predicate, context) {\n      return this.filter(not(predicate), context);\n    },\n\n    findLast: function(predicate, context, notSetValue) {\n      return this.toKeyedSeq().reverse().find(predicate, context, notSetValue);\n    },\n\n    first: function() {\n      return this.find(returnTrue);\n    },\n\n    flatMap: function(mapper, context) {\n      return reify(this, flatMapFactory(this, mapper, context));\n    },\n\n    flatten: function(depth) {\n      return reify(this, flattenFactory(this, depth, true));\n    },\n\n    fromEntrySeq: function() {\n      return new FromEntriesSequence(this);\n    },\n\n    get: function(searchKey, notSetValue) {\n      return this.find(function(_, key)  {return is(key, searchKey)}, undefined, notSetValue);\n    },\n\n    getIn: function(searchKeyPath, notSetValue) {\n      var nested = this;\n      // Note: in an ES6 environment, we would prefer:\n      // for (var key of searchKeyPath) {\n      var iter = forceIterator(searchKeyPath);\n      var step;\n      while (!(step = iter.next()).done) {\n        var key = step.value;\n        nested = nested && nested.get ? nested.get(key, NOT_SET) : NOT_SET;\n        if (nested === NOT_SET) {\n          return notSetValue;\n        }\n      }\n      return nested;\n    },\n\n    groupBy: function(grouper, context) {\n      return groupByFactory(this, grouper, context);\n    },\n\n    has: function(searchKey) {\n      return this.get(searchKey, NOT_SET) !== NOT_SET;\n    },\n\n    hasIn: function(searchKeyPath) {\n      return this.getIn(searchKeyPath, NOT_SET) !== NOT_SET;\n    },\n\n    isSubset: function(iter) {\n      iter = typeof iter.includes === 'function' ? iter : Iterable(iter);\n      return this.every(function(value ) {return iter.includes(value)});\n    },\n\n    isSuperset: function(iter) {\n      iter = typeof iter.isSubset === 'function' ? iter : Iterable(iter);\n      return iter.isSubset(this);\n    },\n\n    keySeq: function() {\n      return this.toSeq().map(keyMapper).toIndexedSeq();\n    },\n\n    last: function() {\n      return this.toSeq().reverse().first();\n    },\n\n    max: function(comparator) {\n      return maxFactory(this, comparator);\n    },\n\n    maxBy: function(mapper, comparator) {\n      return maxFactory(this, comparator, mapper);\n    },\n\n    min: function(comparator) {\n      return maxFactory(this, comparator ? neg(comparator) : defaultNegComparator);\n    },\n\n    minBy: function(mapper, comparator) {\n      return maxFactory(this, comparator ? neg(comparator) : defaultNegComparator, mapper);\n    },\n\n    rest: function() {\n      return this.slice(1);\n    },\n\n    skip: function(amount) {\n      return this.slice(Math.max(0, amount));\n    },\n\n    skipLast: function(amount) {\n      return reify(this, this.toSeq().reverse().skip(amount).reverse());\n    },\n\n    skipWhile: function(predicate, context) {\n      return reify(this, skipWhileFactory(this, predicate, context, true));\n    },\n\n    skipUntil: function(predicate, context) {\n      return this.skipWhile(not(predicate), context);\n    },\n\n    sortBy: function(mapper, comparator) {\n      return reify(this, sortFactory(this, comparator, mapper));\n    },\n\n    take: function(amount) {\n      return this.slice(0, Math.max(0, amount));\n    },\n\n    takeLast: function(amount) {\n      return reify(this, this.toSeq().reverse().take(amount).reverse());\n    },\n\n    takeWhile: function(predicate, context) {\n      return reify(this, takeWhileFactory(this, predicate, context));\n    },\n\n    takeUntil: function(predicate, context) {\n      return this.takeWhile(not(predicate), context);\n    },\n\n    valueSeq: function() {\n      return this.toIndexedSeq();\n    },\n\n\n    // ### Hashable Object\n\n    hashCode: function() {\n      return this.__hash || (this.__hash = hashIterable(this));\n    }\n\n\n    // ### Internal\n\n    // abstract __iterate(fn, reverse)\n\n    // abstract __iterator(type, reverse)\n  });\n\n  // var IS_ITERABLE_SENTINEL = '@@__IMMUTABLE_ITERABLE__@@';\n  // var IS_KEYED_SENTINEL = '@@__IMMUTABLE_KEYED__@@';\n  // var IS_INDEXED_SENTINEL = '@@__IMMUTABLE_INDEXED__@@';\n  // var IS_ORDERED_SENTINEL = '@@__IMMUTABLE_ORDERED__@@';\n\n  var IterablePrototype = Iterable.prototype;\n  IterablePrototype[IS_ITERABLE_SENTINEL] = true;\n  IterablePrototype[ITERATOR_SYMBOL] = IterablePrototype.values;\n  IterablePrototype.__toJS = IterablePrototype.toArray;\n  IterablePrototype.__toStringMapper = quoteString;\n  IterablePrototype.inspect =\n  IterablePrototype.toSource = function() { return this.toString(); };\n  IterablePrototype.chain = IterablePrototype.flatMap;\n  IterablePrototype.contains = IterablePrototype.includes;\n\n  // Temporary warning about using length\n  (function () {\n    try {\n      Object.defineProperty(IterablePrototype, 'length', {\n        get: function () {\n          if (!Iterable.noLengthWarning) {\n            var stack;\n            try {\n              throw new Error();\n            } catch (error) {\n              stack = error.stack;\n            }\n            if (stack.indexOf('_wrapObject') === -1) {\n              console && console.warn && console.warn(\n                'iterable.length has been deprecated, '+\n                'use iterable.size or iterable.count(). '+\n                'This warning will become a silent error in a future version. ' +\n                stack\n              );\n              return this.size;\n            }\n          }\n        }\n      });\n    } catch (e) {}\n  })();\n\n\n\n  mixin(KeyedIterable, {\n\n    // ### More sequential methods\n\n    flip: function() {\n      return reify(this, flipFactory(this));\n    },\n\n    findKey: function(predicate, context) {\n      var entry = this.findEntry(predicate, context);\n      return entry && entry[0];\n    },\n\n    findLastKey: function(predicate, context) {\n      return this.toSeq().reverse().findKey(predicate, context);\n    },\n\n    keyOf: function(searchValue) {\n      return this.findKey(function(value ) {return is(value, searchValue)});\n    },\n\n    lastKeyOf: function(searchValue) {\n      return this.findLastKey(function(value ) {return is(value, searchValue)});\n    },\n\n    mapEntries: function(mapper, context) {var this$0 = this;\n      var iterations = 0;\n      return reify(this,\n        this.toSeq().map(\n          function(v, k)  {return mapper.call(context, [k, v], iterations++, this$0)}\n        ).fromEntrySeq()\n      );\n    },\n\n    mapKeys: function(mapper, context) {var this$0 = this;\n      return reify(this,\n        this.toSeq().flip().map(\n          function(k, v)  {return mapper.call(context, k, v, this$0)}\n        ).flip()\n      );\n    }\n\n  });\n\n  var KeyedIterablePrototype = KeyedIterable.prototype;\n  KeyedIterablePrototype[IS_KEYED_SENTINEL] = true;\n  KeyedIterablePrototype[ITERATOR_SYMBOL] = IterablePrototype.entries;\n  KeyedIterablePrototype.__toJS = IterablePrototype.toObject;\n  KeyedIterablePrototype.__toStringMapper = function(v, k)  {return JSON.stringify(k) + ': ' + quoteString(v)};\n\n\n\n  mixin(IndexedIterable, {\n\n    // ### Conversion to other types\n\n    toKeyedSeq: function() {\n      return new ToKeyedSequence(this, false);\n    },\n\n\n    // ### ES6 Collection methods (ES6 Array and Map)\n\n    filter: function(predicate, context) {\n      return reify(this, filterFactory(this, predicate, context, false));\n    },\n\n    findIndex: function(predicate, context) {\n      var entry = this.findEntry(predicate, context);\n      return entry ? entry[0] : -1;\n    },\n\n    indexOf: function(searchValue) {\n      var key = this.toKeyedSeq().keyOf(searchValue);\n      return key === undefined ? -1 : key;\n    },\n\n    lastIndexOf: function(searchValue) {\n      var key = this.toKeyedSeq().reverse().keyOf(searchValue);\n      return key === undefined ? -1 : key;\n\n      // var index =\n      // return this.toSeq().reverse().indexOf(searchValue);\n    },\n\n    reverse: function() {\n      return reify(this, reverseFactory(this, false));\n    },\n\n    slice: function(begin, end) {\n      return reify(this, sliceFactory(this, begin, end, false));\n    },\n\n    splice: function(index, removeNum /*, ...values*/) {\n      var numArgs = arguments.length;\n      removeNum = Math.max(removeNum | 0, 0);\n      if (numArgs === 0 || (numArgs === 2 && !removeNum)) {\n        return this;\n      }\n      // If index is negative, it should resolve relative to the size of the\n      // collection. However size may be expensive to compute if not cached, so\n      // only call count() if the number is in fact negative.\n      index = resolveBegin(index, index < 0 ? this.count() : this.size);\n      var spliced = this.slice(0, index);\n      return reify(\n        this,\n        numArgs === 1 ?\n          spliced :\n          spliced.concat(arrCopy(arguments, 2), this.slice(index + removeNum))\n      );\n    },\n\n\n    // ### More collection methods\n\n    findLastIndex: function(predicate, context) {\n      var key = this.toKeyedSeq().findLastKey(predicate, context);\n      return key === undefined ? -1 : key;\n    },\n\n    first: function() {\n      return this.get(0);\n    },\n\n    flatten: function(depth) {\n      return reify(this, flattenFactory(this, depth, false));\n    },\n\n    get: function(index, notSetValue) {\n      index = wrapIndex(this, index);\n      return (index < 0 || (this.size === Infinity ||\n          (this.size !== undefined && index > this.size))) ?\n        notSetValue :\n        this.find(function(_, key)  {return key === index}, undefined, notSetValue);\n    },\n\n    has: function(index) {\n      index = wrapIndex(this, index);\n      return index >= 0 && (this.size !== undefined ?\n        this.size === Infinity || index < this.size :\n        this.indexOf(index) !== -1\n      );\n    },\n\n    interpose: function(separator) {\n      return reify(this, interposeFactory(this, separator));\n    },\n\n    interleave: function(/*...iterables*/) {\n      var iterables = [this].concat(arrCopy(arguments));\n      var zipped = zipWithFactory(this.toSeq(), IndexedSeq.of, iterables);\n      var interleaved = zipped.flatten(true);\n      if (zipped.size) {\n        interleaved.size = zipped.size * iterables.length;\n      }\n      return reify(this, interleaved);\n    },\n\n    last: function() {\n      return this.get(-1);\n    },\n\n    skipWhile: function(predicate, context) {\n      return reify(this, skipWhileFactory(this, predicate, context, false));\n    },\n\n    zip: function(/*, ...iterables */) {\n      var iterables = [this].concat(arrCopy(arguments));\n      return reify(this, zipWithFactory(this, defaultZipper, iterables));\n    },\n\n    zipWith: function(zipper/*, ...iterables */) {\n      var iterables = arrCopy(arguments);\n      iterables[0] = this;\n      return reify(this, zipWithFactory(this, zipper, iterables));\n    }\n\n  });\n\n  IndexedIterable.prototype[IS_INDEXED_SENTINEL] = true;\n  IndexedIterable.prototype[IS_ORDERED_SENTINEL] = true;\n\n\n\n  mixin(SetIterable, {\n\n    // ### ES6 Collection methods (ES6 Array and Map)\n\n    get: function(value, notSetValue) {\n      return this.has(value) ? value : notSetValue;\n    },\n\n    includes: function(value) {\n      return this.has(value);\n    },\n\n\n    // ### More sequential methods\n\n    keySeq: function() {\n      return this.valueSeq();\n    }\n\n  });\n\n  SetIterable.prototype.has = IterablePrototype.includes;\n\n\n  // Mixin subclasses\n\n  mixin(KeyedSeq, KeyedIterable.prototype);\n  mixin(IndexedSeq, IndexedIterable.prototype);\n  mixin(SetSeq, SetIterable.prototype);\n\n  mixin(KeyedCollection, KeyedIterable.prototype);\n  mixin(IndexedCollection, IndexedIterable.prototype);\n  mixin(SetCollection, SetIterable.prototype);\n\n\n  // #pragma Helper functions\n\n  function keyMapper(v, k) {\n    return k;\n  }\n\n  function entryMapper(v, k) {\n    return [k, v];\n  }\n\n  function not(predicate) {\n    return function() {\n      return !predicate.apply(this, arguments);\n    }\n  }\n\n  function neg(predicate) {\n    return function() {\n      return -predicate.apply(this, arguments);\n    }\n  }\n\n  function quoteString(value) {\n    return typeof value === 'string' ? JSON.stringify(value) : value;\n  }\n\n  function defaultZipper() {\n    return arrCopy(arguments);\n  }\n\n  function defaultNegComparator(a, b) {\n    return a < b ? 1 : a > b ? -1 : 0;\n  }\n\n  function hashIterable(iterable) {\n    if (iterable.size === Infinity) {\n      return 0;\n    }\n    var ordered = isOrdered(iterable);\n    var keyed = isKeyed(iterable);\n    var h = ordered ? 1 : 0;\n    var size = iterable.__iterate(\n      keyed ?\n        ordered ?\n          function(v, k)  { h = 31 * h + hashMerge(hash(v), hash(k)) | 0; } :\n          function(v, k)  { h = h + hashMerge(hash(v), hash(k)) | 0; } :\n        ordered ?\n          function(v ) { h = 31 * h + hash(v) | 0; } :\n          function(v ) { h = h + hash(v) | 0; }\n    );\n    return murmurHashOfSize(size, h);\n  }\n\n  function murmurHashOfSize(size, h) {\n    h = imul(h, 0xCC9E2D51);\n    h = imul(h << 15 | h >>> -15, 0x1B873593);\n    h = imul(h << 13 | h >>> -13, 5);\n    h = (h + 0xE6546B64 | 0) ^ size;\n    h = imul(h ^ h >>> 16, 0x85EBCA6B);\n    h = imul(h ^ h >>> 13, 0xC2B2AE35);\n    h = smi(h ^ h >>> 16);\n    return h;\n  }\n\n  function hashMerge(a, b) {\n    return a ^ b + 0x9E3779B9 + (a << 6) + (a >> 2) | 0; // int\n  }\n\n  var Immutable = {\n\n    Iterable: Iterable,\n\n    Seq: Seq,\n    Collection: Collection,\n    Map: Map,\n    OrderedMap: OrderedMap,\n    List: List,\n    Stack: Stack,\n    Set: Set,\n    OrderedSet: OrderedSet,\n\n    Record: Record,\n    Range: Range,\n    Repeat: Repeat,\n\n    is: is,\n    fromJS: fromJS\n\n  };\n\n  return Immutable;\n\n}));\n//# sourceURL=/thirdparty/immutable.js"),
eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*unittests: FileTreeViewModel*/\n\n/**\n * The view model (or a Store in the Flux terminology) used by the file tree.\n *\n * Many of the view model\'s methods are implemented by pure functions, which can be\n * helpful for composability. Many of the methods commit the new treeData and send a\n * change event when they\'re done whereas the functions do not do this.\n */\ndefine(\'project/FileTreeViewModel\',[\'require\',\'exports\',\'module\',\'thirdparty/immutable\',\'thirdparty/lodash\',\'utils/EventDispatcher\',\'file/FileUtils\'],function (require, exports, module) {\n    "use strict";\n\n    var Immutable           = require("thirdparty/immutable"),\n        _                   = require("thirdparty/lodash"),\n        EventDispatcher     = require("utils/EventDispatcher"),\n        FileUtils           = require("file/FileUtils");\n\n    // Constants\n    var EVENT_CHANGE = "change";\n\n    /**\n     * Determine if an entry from the treeData map is a file.\n     *\n     * @param {Immutable.Map} entry entry to test\n     * @return {boolean} true if this is a file and not a directory\n     */\n    function isFile(entry) {\n        return entry.get("children") === undefined;\n    }\n\n    /**\n     * @constructor\n     *\n     * Contains the treeData used to generate the file tree and methods used to update that\n     * treeData.\n     *\n     * Instances dispatch the following events:\n     * - "change" (FileTreeViewModel.EVENT_CHANGE constant): Fired any time there\'s a change that should be reflected in the view.\n     */\n    function FileTreeViewModel() {\n        // For convenience in callbacks, make a bound version of this method so that we can\n        // just refer to it as this._commit when passing in a callback.\n        this._commit = this._commit.bind(this);\n    }\n    EventDispatcher.makeEventDispatcher(FileTreeViewModel.prototype);\n\n    /**\n     * @type {boolean}\n     *\n     * Preference for whether directories should all be sorted to the top of listings\n     */\n    FileTreeViewModel.prototype.sortDirectoriesFirst = false;\n\n    /**\n     * @type {Immutable.Map}\n     * @private\n     *\n     * The data for the tree. Some notes about its structure:\n     *\n     * * It starts with a Map for the project root\'s contents.\n     * * Each directory entry has a `children` key.\n     *     * `children` will be null if the directory has not been loaded\n     *     * An `open` key denotes whether the directory is open\n     * * Most file entries are just empty maps\n     *     * They can have flags like selected, context, rename, create with state information for the tree\n     */\n    FileTreeViewModel.prototype._treeData = Immutable.Map();\n\n    Object.defineProperty(FileTreeViewModel.prototype, "treeData", {\n        get: function () {\n            return this._treeData;\n        }\n    });\n\n    /**\n     * @private\n     * @type {Immutable.Map}\n     * Selection view information determines how the selection bar appears.\n     *\n     * * width: visible width of the selection area\n     * * scrollTop: current scroll position.\n     * * scrollLeft: current horizontal scroll position\n     * * offsetTop: top of the scroller element\n     * * hasSelection: is the selection bar visible?\n     * * hasContext: is the context bar visible?\n     */\n    FileTreeViewModel.prototype._selectionViewInfo = Immutable.Map({\n        width: 0,\n        scrollTop: 0,\n        scrollLeft: 0,\n        offsetTop: 0,\n        hasContext: false,\n        hasSelection: false\n    });\n\n    Object.defineProperty(FileTreeViewModel.prototype, "selectionViewInfo", {\n        get: function () {\n            return this._selectionViewInfo;\n        }\n    });\n\n    /**\n     * @private\n     *\n     * If the project root changes, we reset the tree data so that everything will be re-read.\n     */\n    FileTreeViewModel.prototype._rootChanged = function () {\n        this._treeData = Immutable.Map();\n    };\n\n    /**\n     * @private\n     *\n     * The FileTreeViewModel is like a database for storing the directory contents and its\n     * state moves atomically from one value to the next. This method stores the next version\n     * of the state, if it has changed, and triggers a change event so that the UI can update.\n     *\n     * @param {?Immutable.Map} treeData new treeData state\n     * @param {?Immutable.Map} selectionViewInfo updated information for the selection/context bars\n     */\n    FileTreeViewModel.prototype._commit = function (treeData, selectionViewInfo) {\n        var changed = false;\n        if (treeData && treeData !== this._treeData) {\n            this._treeData = treeData;\n            changed = true;\n        }\n\n        if (selectionViewInfo && selectionViewInfo !== this._selectionViewInfo) {\n            this._selectionViewInfo = selectionViewInfo;\n            changed = true;\n        }\n        if (changed) {\n            this.trigger(EVENT_CHANGE);\n        }\n    };\n\n    /**\n     * @private\n     *\n     * Converts a project-relative file path into an object path array suitable for\n     * `Immutable.Map.getIn` and `Immutable.Map.updateIn`.\n     *\n     * The root path is "".\n     *\n     * @param {Immutable.Map} treeData\n     * @param {string} path project relative path to the file or directory. Can include trailing slash.\n     * @return {Array.<string>|null} Returns null if the path can\'t be found in the tree, otherwise an array of strings representing the path through the object.\n     */\n    function _filePathToObjectPath(treeData, path) {\n        if (path === null) {\n            return null;\n        } else if (path === "") {\n            return [];\n        }\n\n        var parts = path.split("/"),\n            part = parts.shift(),\n            result = [],\n            node;\n\n        // Step through the parts of the path and the treeData object simultaneously\n        while (part) {\n            // We hit the end of the tree without finding our object, so return null\n            if (!treeData) {\n                return null;\n            }\n\n            node = treeData.get(part);\n\n            // The name represented by `part` isn\'t in the tree, so return null.\n            if (node === undefined) {\n                return null;\n            }\n\n            // We\'ve verified this part, so store it.\n            result.push(part);\n\n            // Pull the next part of the path\n            part = parts.shift();\n\n            // If we haven\'t passed the end of the path string, then the object we\'ve got in hand\n            // *should* be a directory. Confirm that and add `children` to the path to move down\n            // to the next directory level.\n            if (part) {\n                treeData = node.get("children");\n                if (treeData) {\n                    result.push("children");\n                }\n            }\n        }\n\n        return result;\n    }\n\n    /**\n     * @private\n     *\n     * See `FileTreeViewModel.isFilePathVisible`\n     */\n    function _isFilePathVisible(treeData, path) {\n        if (path === null) {\n            return null;\n        } else if (path === "") {\n            return true;\n        }\n\n        var parts = path.split("/"),\n            part = parts.shift(),\n            result = [],\n            node;\n\n        while (part) {\n            if (treeData === null) {\n                return false;\n            }\n            node = treeData.get(part);\n            if (node === undefined) {\n                return null;\n            }\n            result.push(part);\n            part = parts.shift();\n            if (part) {\n                if (!node.get("open")) {\n                    return false;\n                }\n                treeData = node.get("children");\n                if (treeData) {\n                    result.push("children");\n                }\n            }\n        }\n\n        return true;\n    }\n\n    /**\n     * Determines if a given file path is visible within the tree.\n     *\n     * For detailed documentation on how the loop works, see `_filePathToObjectPath` which\n     * follows the same pattern. This differs from that function in that this one checks for\n     * the open state of directories and has a different return value.\n     *\n     * @param {string} path project relative file path\n     * @return {boolean|null} true if the given path is currently visible in the tree, null if the given path is not present in the tree.\n     */\n    FileTreeViewModel.prototype.isFilePathVisible = function (path) {\n        return _isFilePathVisible(this._treeData, path);\n    };\n\n    /**\n     * Determines if a given path has been loaded.\n     *\n     * @param {string} path project relative file or directory path\n     * @return {boolean} true if the path has been loaded\n     */\n    FileTreeViewModel.prototype.isPathLoaded = function (path) {\n        var objectPath = _filePathToObjectPath(this._treeData, path);\n\n        if (!objectPath) {\n            return false;\n        }\n\n        // If it\'s a directory, make sure that its children are loaded\n        if (_.last(path) === "/") {\n            var directory = this._treeData.getIn(objectPath);\n            if (!directory.get("children") || directory.get("notFullyLoaded")) {\n                return false;\n            }\n        }\n\n        return true;\n    };\n\n    /**\n     * @private\n     *\n     * See `FileTreeViewModel.getOpenNodes`.\n     */\n    function _getOpenNodes(treeData, projectRootPath) {\n        var openNodes = [];\n\n        function addNodesAtDepth(treeData, parent, depth) {\n            if (!treeData) {\n                return;\n            }\n\n            treeData.forEach(function (value, key) {\n                if (isFile(value)) {\n                    return;\n                }\n\n                var directoryPath = parent + key + "/";\n\n                if (value.get("open")) {\n                    var nodeList = openNodes[depth];\n                    if (!nodeList) {\n                        nodeList = openNodes[depth] = [];\n                    }\n                    nodeList.push(directoryPath);\n                    addNodesAtDepth(value.get("children"), directoryPath, depth + 1);\n                }\n            });\n        }\n\n        // start at the top of the tree and the first array element\n        addNodesAtDepth(treeData, projectRootPath, 0);\n        return openNodes;\n    }\n\n    /**\n     * @private\n     * TODO: merge with _getOpenNodes?!\n     * See `FileTreeViewModel.getChildNodes`.\n     */\n    function _getChildDirectories(treeData, projectRootPath) {\n        var childDirectories = [];\n\n        function addNodesAtDepth(treeData, parent, depth) {\n            if (!treeData) {\n                return;\n            }\n\n            treeData.forEach(function (value, key) {\n                if (!isFile(value)) {\n                    var directoryPath = key + "/";\n\n                    childDirectories.push(directoryPath);\n                }\n            });\n        }\n\n        // start at the top of the tree and the first array element\n        addNodesAtDepth(treeData, projectRootPath, 0);\n        return childDirectories;\n    }\n\n    /**\n     * Creates an array of arrays where each entry of the top-level array has an array\n     * of paths that are at the same depth in the tree. All of the paths are full paths.\n     *\n     * This is used for saving the current set of open nodes to the preferences system\n     * for restoring on project open.\n     *\n     * @param {string} projectRootPath Full path to the project root\n     * @return {Array.<Array.<string>>} Array of array of full paths, organized by depth in the tree.\n     */\n    FileTreeViewModel.prototype.getOpenNodes = function (projectRootPath) {\n        return _getOpenNodes(this._treeData, projectRootPath);\n    };\n\n    FileTreeViewModel.prototype.getChildDirectories = function (parent) {\n        var treeData = this._treeData,\n            objectPath = _filePathToObjectPath(treeData, parent);\n\n        if (!objectPath) {\n            return;\n        }\n\n        var children;\n        if (objectPath.length === 0) {\n            // this is the root of the tree\n            children = this._treeData;\n        } else {\n            objectPath.push("children");\n            children = this._treeData.getIn(objectPath);\n        }\n\n        return _getChildDirectories(children, parent);\n    };\n\n    /**\n     * @private\n     *\n     * The Immutable package does not have a `setIn` method, which is what this effectively\n     * provides. This is a simple function that does an `updateIn` on treeData, replacing\n     * the current value with the new one.\n     *\n     * @param {Immutable.Map} treeData\n     * @param {Array.<string>} objectPath path to object that should be replaced\n     * @param {Immutable.Map} newValue new value to provide at that path\n     * @return {Immutable.Map} updated treeData\n     */\n    function _setIn(treeData, objectPath, newValue) {\n        return treeData.updateIn(objectPath, function (oldValue) {\n            return newValue;\n        });\n    }\n\n    /**\n     * @private\n     *\n     * See `FileTreeViewModel.moveMarker`\n     */\n    function _moveMarker(treeData, markerName, oldPath, newPath) {\n        var objectPath;\n\n        if (newPath) {\n            objectPath = _filePathToObjectPath(treeData, newPath);\n        }\n\n        var newTreeData = treeData;\n\n        if (oldPath && oldPath !== newPath) {\n            var lastObjectPath = _filePathToObjectPath(treeData, oldPath);\n            if (lastObjectPath) {\n                newTreeData = newTreeData.updateIn(lastObjectPath, function (entry) {\n                    return entry.delete(markerName);\n                });\n            }\n        }\n\n        if (newPath && objectPath && objectPath.length !== 0) {\n            newTreeData = newTreeData.updateIn(objectPath, function (entry) {\n                return entry.set(markerName, true);\n            });\n        }\n\n        return newTreeData;\n    }\n\n    /**\n     * Moves a boolean marker flag from one file path to another.\n     *\n     * @param {string} markerName Name of the flag to set (for example, "selected")\n     * @param {string|null} oldPath Project relative file path with the location of the marker to move, or null if it\'s not being moved from elsewhere in the tree\n     * @param {string|null} newPath Project relative file path with where to place the marker, or null if the marker is being removed from the tree\n     */\n    FileTreeViewModel.prototype.moveMarker = function (markerName, oldPath, newPath) {\n        var newTreeData = _moveMarker(this._treeData, markerName, oldPath, newPath),\n            selectionViewInfo = this._selectionViewInfo;\n\n        if (markerName === "selected") {\n            selectionViewInfo = selectionViewInfo.set("hasSelection", !!newPath);\n        } else if (markerName === "context") {\n            selectionViewInfo = selectionViewInfo.set("hasContext", !!newPath);\n        }\n        this._commit(newTreeData, selectionViewInfo);\n    };\n\n    /**\n     * Changes the name of the item at the `currentPath` to `newName`.\n     *\n     * @param {string} currentPath project relative file path to the current item\n     * @param {string} newName Name to give the item\n     */\n    FileTreeViewModel.prototype.renameItem = function (currentPath, newName) {\n        var treeData = this._treeData,\n            objectPath = _filePathToObjectPath(treeData, currentPath);\n\n        if (!objectPath) {\n            return;\n        }\n\n        var originalName = _.last(objectPath),\n            currentObject = treeData.getIn(objectPath);\n\n        // Back up to the parent directory\n        objectPath.pop();\n\n        treeData = treeData.updateIn(objectPath, function (directory) {\n            directory = directory.delete(originalName);\n            directory = directory.set(newName, currentObject);\n            return directory;\n        });\n\n        this._commit(treeData);\n    };\n\n    /**\n     * @private\n     *\n     * See `FileTreeViewModel.setDirectoryOpen`\n     */\n    function _setDirectoryOpen(treeData, path, open) {\n        var objectPath = _filePathToObjectPath(treeData, path),\n            directory = treeData.getIn(objectPath);\n\n        if (!objectPath) {\n            return {\n                needsLoading: true,\n                treeData: treeData\n            };\n        }\n\n        if (isFile(directory)) {\n            return;\n        }\n\n        var alreadyOpen = directory.get("open") === true;\n\n        if ((alreadyOpen && open) || (!alreadyOpen && !open)) {\n            return;\n        }\n\n        treeData = treeData.updateIn(objectPath, function (directory) {\n            if (open) {\n                return directory.set("open", true);\n            } else {\n                return directory.delete("open");\n            }\n        });\n\n        if (open && (directory.get("children") === null || directory.get("notFullyLoaded"))) {\n            return {\n                needsLoading: true,\n                treeData: treeData\n            };\n        }\n        return {\n            needsLoading: false,\n            treeData: treeData\n        };\n    }\n\n    /**\n     * Sets the directory at the given path to open or closed. Returns true if the directory\n     * contents need to be loaded.\n     *\n     * @param {string} path Project relative file path to the directory\n     * @param {boolean} open True to open the directory\n     * @return {boolean} true if the directory contents need to be loaded.\n     */\n    FileTreeViewModel.prototype.setDirectoryOpen = function (path, open) {\n        var result = _setDirectoryOpen(this._treeData, path, open);\n        if (result && result.treeData) {\n            this._commit(result.treeData);\n        }\n        return result ? result.needsLoading : false;\n    };\n\n    /**\n     * Returns the object at the given file path.\n     *\n     * @param {string} path Path to the object\n     * @return {Immutable.Map=} directory or file object from the tree. Null if it\'s not found.\n     */\n    FileTreeViewModel.prototype._getObject = function (path) {\n        var objectPath = _filePathToObjectPath(this._treeData, path);\n        if (!objectPath) {\n            return null;\n        }\n        return this._treeData.getIn(objectPath);\n    };\n\n    /**\n     * Closes a subtree path, given by an object path.\n     *\n     * @param {Immutable.Map} directory Current directory\n     * @return {Immutable.Map} new directory\n     */\n    function _closeSubtree(directory) {\n        directory = directory.delete("open");\n\n        var children = directory.get("children");\n        if (children) {\n            children.keySeq().forEach(function (name) {\n                var subdir = children.get(name);\n                if (!isFile(subdir)) {\n                    subdir = _closeSubtree(subdir);\n                    children = children.set(name, subdir);\n                }\n            });\n        }\n\n        directory = directory.set("children", children);\n        return directory;\n    }\n\n    /**\n     * Closes the directory at path and recursively closes all of its children.\n     *\n     * @param {string} path Path of subtree to close\n     */\n    FileTreeViewModel.prototype.closeSubtree = function (path) {\n        var treeData = this._treeData,\n            subtreePath = _filePathToObjectPath(treeData, path);\n\n        if (!subtreePath) {\n            return;\n        }\n\n        var directory = treeData.getIn(subtreePath);\n\n        directory = _closeSubtree(directory);\n        treeData = _setIn(treeData, subtreePath, directory);\n        this._commit(treeData);\n    };\n\n    /**\n     * @private\n     *\n     * Takes an array of file system entries and merges them into the children map\n     * of a directory in the view model treeData.\n     *\n     * @param {Immutable.Map} children current children in the directory\n     * @param {Array.<FileSystemEntry>} contents FileSystemEntry objects currently in the directory\n     * @return {Immutable.Map} updated children\n     */\n    function _mergeContentsIntoChildren(children, contents) {\n\n        // We keep track of the names we\'ve seen among the current directory entries to make\n        // it easy to spot the names that we *haven\'t* seen (in other words, files that have\n        // been deleted).\n        var keysSeen = [];\n\n        children = children.withMutations(function (children) {\n\n            // Loop through the directory entries\n            contents.forEach(function (entry) {\n                keysSeen.push(entry.name);\n\n                var match = children.get(entry.name);\n                if (match) {\n                    // Confirm that a name that used to represent a file and now represents a\n                    // directory (or vice versa) isn\'t what we\'ve encountered here. If we have\n                    // hit this situation, pretend the current child of treeData doesn\'t exist\n                    // so we can replace it.\n                    var matchIsFile = isFile(match);\n                    if (matchIsFile !== entry.isFile) {\n                        match = undefined;\n                    }\n                }\n\n                // We\'ve got a new entry that we need to add.\n                if (!match) {\n                    if (entry.isFile) {\n                        children.set(entry.name, Immutable.Map());\n                    } else {\n                        children.set(entry.name, Immutable.Map({\n                            children: null\n                        }));\n                    }\n                }\n            });\n\n            // Look at the list of names that we currently have in the treeData that no longer\n            // appear in the directory and delete those.\n            var currentEntries = children.keySeq().toJS(),\n                deletedEntries = _.difference(currentEntries, keysSeen);\n\n            deletedEntries.forEach(function (name) {\n                children.delete(name);\n            });\n        });\n        return children;\n    }\n\n    /**\n     * @private\n     *\n     * Creates a directory object (or updates an existing directory object) to look like one\n     * that has not yet been loaded, but in which we want to start displaying entries.\n     * @param {Immutable.Map=} directory Directory entry to update\n     * @return {Immutable.Map} New or updated directory object\n     */\n    function _createNotFullyLoadedDirectory(directory) {\n        if (!directory) {\n            return Immutable.Map({\n                notFullyLoaded: true,\n                children: Immutable.Map()\n            });\n        }\n        return directory.merge({\n            notFullyLoaded: true,\n            children: Immutable.Map()\n        });\n    }\n\n    /**\n     * @private\n     *\n     * Creates the directories necessary to display the given path, even if those directories\n     * do not yet exist in the tree and have not been loaded.\n     *\n     * @param {Immutable.Map} treeData\n     * @param {string} path Path to the final directory to be added in the tree\n     * @return {{treeData: Immutable.Map, objectPath: Array.<string>}} updated treeData and object path to the created object\n     */\n    function _createIntermediateDirectories(treeData, path) {\n        var objectPath = [],\n            result = {\n                objectPath: objectPath,\n                treeData: treeData\n            },\n            treePointer = treeData;\n\n        if (path === "") {\n            return result;\n        }\n\n        var parts = path.split("/"),\n            part = parts.shift(),\n            node;\n\n        while (part) {\n            if (treePointer === null) {\n                return null;\n            }\n            node = treePointer.get(part);\n            objectPath.push(part);\n\n            // This directory is missing, so create it.\n            if (node === undefined) {\n                treeData = treeData.updateIn(objectPath, _createNotFullyLoadedDirectory);\n                node = treeData.getIn(objectPath);\n            }\n\n            part = parts.shift();\n            if (part) {\n                treePointer = node.get("children");\n\n                if (treePointer) {\n                    objectPath.push("children");\n                } else {\n\n                    // The directory is there, but the directory hasn\'t been loaded.\n                    // Update the directory to be a `notFullyLoaded` directory.\n                    treeData = treeData.updateIn(objectPath, _createNotFullyLoadedDirectory);\n                    objectPath.push("children");\n                    treePointer = treeData.getIn(objectPath);\n                }\n            }\n        }\n\n        result.treeData = treeData;\n        return result;\n    }\n\n    /**\n     * Updates the directory at the given path with the new contents. If the parent directories\n     * of this directory have not been loaded yet, they will be created. This allows directories\n     * to be loaded in any order.\n     *\n     * @param {string} Project relative path to the directory that is being updated.\n     * @param {Array.<FileSystemEntry>} Current contents of the directory\n     */\n    FileTreeViewModel.prototype.setDirectoryContents = function (path, contents) {\n        path = FileUtils.stripTrailingSlash(path);\n\n        var intermediate = _createIntermediateDirectories(this._treeData, path),\n            objectPath = intermediate.objectPath,\n            treeData = intermediate.treeData;\n\n        if (objectPath === null) {\n            return;\n        }\n\n        var directory = treeData.getIn(objectPath),\n            children = directory;\n\n        // The root directory doesn\'t need this special handling.\n        if (path !== "") {\n\n            // The user of this API passed in a path to a file rather than a directory.\n            // Perhaps this should be an exception?\n            if (isFile(directory)) {\n                return;\n            }\n\n            // If the directory had been created previously as `notFullyLoaded`, we can\n            // remove that flag now because this is the step that is loading the directory.\n            if (directory.get("notFullyLoaded")) {\n                directory = directory.delete("notFullyLoaded");\n            }\n\n            if (!directory.get("children")) {\n                directory = directory.set("children", Immutable.Map());\n            }\n\n            treeData = _setIn(treeData, objectPath, directory);\n\n            objectPath.push("children");\n            children = directory.get("children");\n        }\n\n        children = _mergeContentsIntoChildren(children, contents);\n        treeData = _setIn(treeData, objectPath, children);\n        this._commit(treeData);\n    };\n\n    /**\n     * @private\n     *\n     * Opens the directories along the provided path.\n     *\n     * @param {Immutable.Map} treeData\n     * @param {string} path Path to open\n     */\n    function _openPath(treeData, path) {\n        var objectPath = _filePathToObjectPath(treeData, path);\n\n        function setOpen(node) {\n            return node.set("open", true);\n        }\n\n        while (objectPath && objectPath.length) {\n            var node = treeData.getIn(objectPath);\n            if (isFile(node)) {\n                objectPath.pop();\n            } else {\n                if (!node.get("open")) {\n                    treeData = treeData.updateIn(objectPath, setOpen);\n                }\n                objectPath.pop();\n                if (objectPath.length) {\n                    objectPath.pop();\n                }\n            }\n        }\n\n        return treeData;\n    }\n\n    /**\n     * Opens the directories along the given path.\n     *\n     * @param {string} path Project-relative path\n     */\n    FileTreeViewModel.prototype.openPath = function (path) {\n        this._commit(_openPath(this._treeData, path));\n    };\n\n    /**\n     * @private\n     *\n     * See FileTreeViewModel.createPlaceholder\n     */\n    function _createPlaceholder(treeData, basedir, name, isFolder, options) {\n        options = options || {};\n        var parentPath = _filePathToObjectPath(treeData, basedir);\n\n        if (!parentPath) {\n            return;\n        }\n\n        var newObject = {\n        };\n\n        if (!options.notInCreateMode) {\n            newObject.creating = true;\n        }\n\n        if (isFolder) {\n            // If we\'re creating a folder, then we know it\'s empty.\n            // But if we\'re not in create mode, (we\'re adding a folder based on an\n            // FS event), we don\'t know anything about the new directory\'s children.\n            if (options.notInCreateMode) {\n                newObject.children = null;\n            } else {\n                newObject.children = Immutable.Map();\n            }\n        }\n\n        var newFile = Immutable.Map(newObject);\n\n        if (!options.doNotOpen) {\n            treeData = _openPath(treeData, basedir);\n        }\n        if (parentPath.length > 0) {\n            var childrenPath = _.clone(parentPath);\n            childrenPath.push("children");\n\n            treeData = treeData.updateIn(childrenPath, function (children) {\n                return children.set(name, newFile);\n            });\n        } else {\n            treeData = treeData.set(name, newFile);\n        }\n        return treeData;\n    }\n\n    /**\n     * Creates a placeholder file or directory that appears in the tree so that the user\n     * can provide a name for the new entry.\n     *\n     * @param {string} basedir Directory that contains the new file or folder\n     * @param {string} name Initial name to give the new entry\n     * @param {boolean} isFolder true if the entry being created is a folder\n     */\n    FileTreeViewModel.prototype.createPlaceholder = function (basedir, name, isFolder) {\n        var treeData = _createPlaceholder(this._treeData, basedir, name, isFolder);\n        this._commit(treeData);\n    };\n\n    /**\n     * @private\n     *\n     * See FileTreeViewModel.deleteAtPath\n     */\n    function _deleteAtPath(treeData, path) {\n        var objectPath = _filePathToObjectPath(treeData, path);\n\n        if (!objectPath) {\n            return;\n        }\n\n        var originalName = _.last(objectPath);\n\n        // Back up to the parent directory\n        objectPath.pop();\n\n        treeData = treeData.updateIn(objectPath, function (directory) {\n            directory = directory.delete(originalName);\n            return directory;\n        });\n\n        return treeData;\n    }\n\n    /**\n     * Deletes the entry at the given path.\n     *\n     * @param {string} path Project-relative path to delete\n     */\n    FileTreeViewModel.prototype.deleteAtPath = function (path) {\n        var treeData = _deleteAtPath(this._treeData, path);\n        if (treeData) {\n            this._commit(treeData);\n        }\n    };\n\n    /**\n     * @private\n     *\n     * Adds a timestamp to an entry (much like the "touch" command) to force a given entry\n     * to rerender.\n     */\n    function _addTimestamp(item) {\n        return item.set("_timestamp", new Date().getTime());\n    }\n\n    /**\n     * @private\n     *\n     * Sets/updates the timestamp on the file paths listed in the `changed` array.\n     *\n     * @param {Immutable.Map} treeData\n     * @param {Array.<string>} changed list of changed project-relative file paths\n     * @return {Immutable.Map} revised treeData\n     */\n    function _markAsChanged(treeData, changed) {\n        changed.forEach(function (filePath) {\n            var objectPath = _filePathToObjectPath(treeData, filePath);\n            if (objectPath) {\n                treeData = treeData.updateIn(objectPath, _addTimestamp);\n            }\n        });\n        return treeData;\n    }\n\n    /**\n     * @private\n     *\n     * Adds entries at the paths listed in the `added` array. Directories should have a trailing slash.\n     *\n     * @param {Immutable.Map} treeData\n     * @param {Array.<string>} added list of new project-relative file paths\n     * @return {Immutable.Map} revised treeData\n     */\n    function _addNewEntries(treeData, added) {\n        added.forEach(function (filePath) {\n            var isFolder = _.last(filePath) === "/";\n\n            filePath = isFolder ? filePath.substr(0, filePath.length - 1) : filePath;\n\n            var parentPath = FileUtils.getDirectoryPath(filePath),\n                parentObjectPath = _filePathToObjectPath(treeData, parentPath),\n                basename = FileUtils.getBaseName(filePath);\n\n            if (parentObjectPath) {\n                // Verify that the children are loaded\n                var childrenPath = _.clone(parentObjectPath);\n                childrenPath.push("children");\n                if (treeData.getIn(childrenPath) === null) {\n                    return;\n                }\n\n                treeData = _createPlaceholder(treeData, parentPath, basename, isFolder, {\n                    notInCreateMode: true,\n                    doNotOpen: true\n                });\n            }\n        });\n\n        return treeData;\n    }\n\n    /**\n     * Applies changes to the tree. The `changes` object can have one or more of the following keys which all\n     * have arrays of project-relative paths as their values:\n     *\n     * * `changed`: entries that have changed in some way that should be re-rendered\n     * * `added`: new entries that need to appear in the tree\n     * * `removed`: entries that have been deleted from the tree\n     *\n     * @param {{changed: Array.<string>=, added: Array.<string>=, removed: Array.<string>=}}\n     */\n    FileTreeViewModel.prototype.processChanges = function (changes) {\n        var treeData = this._treeData;\n\n        if (changes.changed) {\n            treeData = _markAsChanged(treeData, changes.changed);\n        }\n\n        if (changes.added) {\n            treeData = _addNewEntries(treeData, changes.added);\n        }\n\n        if (changes.removed) {\n            changes.removed.forEach(function (path) {\n                treeData = _deleteAtPath(treeData, path);\n            });\n        }\n\n        this._commit(treeData);\n    };\n\n    /**\n     * Makes sure that the directory exists. This will create a directory object (unloaded)\n     * if the directory does not already exist. A change message is also fired in that case.\n     *\n     * This is useful for file system events which can refer to a directory that we don\'t\n     * know about already.\n     *\n     * @param {string} path Project-relative path to the directory\n     */\n    FileTreeViewModel.prototype.ensureDirectoryExists = function (path) {\n        var treeData          = this._treeData,\n            pathWithoutSlash  = FileUtils.stripTrailingSlash(path),\n            parentPath        = FileUtils.getDirectoryPath(pathWithoutSlash),\n            name              = pathWithoutSlash.substr(parentPath.length),\n            targetPath        = [];\n\n        if (parentPath) {\n            targetPath = _filePathToObjectPath(treeData, parentPath);\n            if (!targetPath) {\n                return;\n            }\n            targetPath.push("children");\n            if (!treeData.getIn(targetPath)) {\n                return;\n            }\n        }\n\n        targetPath.push(name);\n\n        if (treeData.getIn(targetPath)) {\n            return;\n        }\n\n        treeData = _setIn(treeData, targetPath, Immutable.Map({\n            children: null\n        }));\n\n        this._commit(treeData);\n    };\n\n    /**\n     * Sets the value of the `sortDirectoriesFirst` flag which tells to view that directories\n     * should be listed before the alphabetical listing of files.\n     *\n     * @param {boolean} sortDirectoriesFirst True if directories should be displayed first\n     */\n    FileTreeViewModel.prototype.setSortDirectoriesFirst = function (sortDirectoriesFirst) {\n        if (sortDirectoriesFirst !== this.sortDirectoriesFirst) {\n            this.sortDirectoriesFirst = sortDirectoriesFirst;\n            this.trigger(EVENT_CHANGE);\n        }\n    };\n\n    /**\n     * Sets the width of the selection bar.\n     *\n     * @param {int} width New width\n     */\n    FileTreeViewModel.prototype.setSelectionWidth = function (width) {\n        var selectionViewInfo = this._selectionViewInfo;\n        selectionViewInfo = selectionViewInfo.set("width", width);\n        this._commit(null, selectionViewInfo);\n    };\n\n    /**\n     * Sets the scroll position of the file tree to help position the selection bar.\n     * SPECIAL CASE NOTE: this does not trigger a change event because this data is\n     * explicitly set in the rendering process (see ProjectManager._renderTree).\n     *\n     * @param {int} scrollWidth width of the tree content\n     * @param {int} scrollTop Scroll position\n     * @param {int=} scrollLeft Horizontal scroll position\n     * @param {int=} offsetTop top of the scroller\n     */\n    FileTreeViewModel.prototype.setSelectionScrollerInfo = function (scrollWidth, scrollTop, scrollLeft, offsetTop) {\n        this._selectionViewInfo = this._selectionViewInfo.set("scrollWidth", scrollWidth);\n        this._selectionViewInfo = this._selectionViewInfo.set("scrollTop", scrollTop);\n\n        if (scrollLeft !== undefined) {\n            this._selectionViewInfo = this._selectionViewInfo.set("scrollLeft", scrollLeft);\n        }\n\n        if (offsetTop !== undefined) {\n            this._selectionViewInfo = this._selectionViewInfo.set("offsetTop", offsetTop);\n        }\n        // Does not emit change event. See SPECIAL CASE NOTE in docstring above.\n    };\n\n    // Private API\n    exports.EVENT_CHANGE          = EVENT_CHANGE;\n    exports._filePathToObjectPath = _filePathToObjectPath;\n    exports._isFilePathVisible    = _isFilePathVisible;\n    exports._createPlaceholder    = _createPlaceholder;\n\n    // Public API\n    exports.isFile            = isFile;\n    exports.FileTreeViewModel = FileTreeViewModel;\n});\n\n//# sourceURL=/project/FileTreeViewModel.js'),
eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/* unittests: ProjectModel */\n\n/**\n * Provides the data source for a project and manages the view model for the FileTreeView.\n */\ndefine(\'project/ProjectModel\',[\'require\',\'exports\',\'module\',\'document/InMemoryFile\',\'utils/EventDispatcher\',\'file/FileUtils\',\'thirdparty/lodash\',\'filesystem/FileSystem\',\'filesystem/FileSystemError\',\'project/FileTreeViewModel\',\'utils/Async\',\'utils/PerfUtils\'],function (require, exports, module) {\n    "use strict";\n\n    var InMemoryFile        = require("document/InMemoryFile"),\n        EventDispatcher     = require("utils/EventDispatcher"),\n        FileUtils           = require("file/FileUtils"),\n        _                   = require("thirdparty/lodash"),\n        FileSystem          = require("filesystem/FileSystem"),\n        FileSystemError     = require("filesystem/FileSystemError"),\n        FileTreeViewModel   = require("project/FileTreeViewModel"),\n        Async               = require("utils/Async"),\n        PerfUtils           = require("utils/PerfUtils");\n\n    // Constants\n    var EVENT_CHANGE            = "change",\n        EVENT_SHOULD_SELECT     = "select",\n        EVENT_SHOULD_FOCUS      = "focus",\n        ERROR_CREATION          = "creationError",\n        ERROR_INVALID_FILENAME  = "invalidFilename",\n        ERROR_NOT_IN_PROJECT    = "notInProject";\n\n    /**\n     * @private\n     * File and folder names which are not displayed or searched\n     * TODO: We should add the rest of the file names that TAR excludes:\n     *    http://www.gnu.org/software/tar/manual/html_section/exclude.html\n     * TODO: This should be user configurable\n     *    https://github.com/adobe/brackets/issues/6781\n     * @type {RegExp}\n     */\n    var _exclusionListRegEx = /\\.pyc$|^\\.git$|^\\.gitmodules$|^\\.svn$|^\\.DS_Store$|^Icon\\r|^Thumbs\\.db$|^\\.hg$|^CVS$|^\\.hgtags$|^\\.idea$|^\\.c9revisions$|^\\.SyncArchive$|^\\.SyncID$|^\\.SyncIgnore$|\\~$/;\n\n    /**\n     * Glob definition of files and folders that should be excluded directly\n     * inside node domain watching with chokidar\n     */\n    var defaultIgnoreGlobs = [\n        "**/(.pyc|.git|.gitmodules|.svn|.DS_Store|Thumbs.db|.hg|CVS|.hgtags|.idea|.c9revisions|.SyncArchive|.SyncID|.SyncIgnore)",\n        "**/bower_components",\n        "**/node_modules"\n    ];\n\n    /**\n     * @private\n     * A string containing all invalid characters for a specific platform.\n     * This will be used to construct a regular expression for checking invalid filenames.\n     * When a filename with one of these invalid characters are detected, then it is\n     * also used to substitute the place holder of the error message.\n     */\n    var _invalidChars;\n\n    /**\n     * @private\n     * RegEx to validate if a filename is not allowed even if the system allows it.\n     * This is done to prevent cross-platform issues.\n     */\n\n    var _illegalFilenamesRegEx = /^(\\.+|com[1-9]|lpt[1-9]|nul|con|prn|aux|)$|\\.+$/i;\n\n    /**\n     * Returns true if this matches valid filename specifications.\n     *\n     * TODO: This likely belongs in FileUtils.\n     *\n     * @param {string} filename to check\n     * @param {string} invalidChars List of characters that are disallowed\n     * @return {boolean} true if the filename is valid\n     */\n    function isValidFilename(filename, invalidChars) {\n        // Validate file name\n        // Checks for valid Windows filenames:\n        // See http://msdn.microsoft.com/en-us/library/windows/desktop/aa365247(v=vs.85).aspx\n        return !(\n            new RegExp("[" + invalidChars + "]+").test(filename) ||\n            _illegalFilenamesRegEx.test(filename)\n        );\n    }\n\n    /**\n     * @private\n     * @see #shouldShow\n     */\n    function _shouldShowName(name) {\n        return !_exclusionListRegEx.test(name);\n    }\n\n    /**\n     * Returns false for files and directories that are not commonly useful to display.\n     *\n     * @param {!FileSystemEntry} entry File or directory to filter\n     * @return {boolean} true if the file should be displayed\n     */\n    function shouldShow(entry) {\n        return _shouldShowName(entry.name);\n    }\n\n    // Constants used by the ProjectModel\n\n    var FILE_RENAMING     = 0,\n        FILE_CREATING     = 1,\n        RENAME_CANCELLED  = 2;\n\n\n    /**\n     * @private\n     *\n     * Determines if a path string is pointing to a directory (does it have a trailing slash?)\n     *\n     * @param {string} path Path to test.\n     */\n    function _pathIsFile(path) {\n        return _.last(path) !== "/";\n    }\n\n    /**\n     * @private\n     *\n     * Gets the FileSystem object (either a File or Directory) based on the path provided.\n     *\n     * @param {string} path Path to retrieve\n     */\n    function _getFSObject(path) {\n        if (!path) {\n            return path;\n        } else if (_pathIsFile(path)) {\n            return FileSystem.getFileForPath(path);\n        }\n        return FileSystem.getDirectoryForPath(path);\n    }\n\n    /**\n     * @private\n     *\n     * Given what is possible a FileSystem object, return its path (if a string path is passed in,\n     * it will be returned as-is).\n     *\n     * @param {FileSystemEntry} fsobj Object from which the path should be extracted\n     */\n    function _getPathFromFSObject(fsobj) {\n        if (fsobj && fsobj.fullPath) {\n            return fsobj.fullPath;\n        }\n        return fsobj;\n    }\n\n    /**\n     * Creates a new file or folder at the given path. The returned promise is rejected if the filename\n     * is invalid, the new path already exists or some other filesystem error comes up.\n     *\n     * @param {string} path path to create\n     * @param {boolean} isFolder true if the new entry is a folder\n     * @return {$.Promise} resolved when the file or directory has been created.\n     */\n    function doCreate(path, isFolder) {\n        var d = new $.Deferred();\n\n        var name = FileUtils.getBaseName(path);\n        if (!isValidFilename(name, _invalidChars)) {\n            return d.reject(ERROR_INVALID_FILENAME).promise();\n        }\n\n        FileSystem.resolve(path, function (err) {\n            if (!err) {\n                // Item already exists, fail with error\n                d.reject(FileSystemError.ALREADY_EXISTS);\n            } else {\n                if (isFolder) {\n                    var directory = FileSystem.getDirectoryForPath(path);\n\n                    directory.create(function (err) {\n                        if (err) {\n                            d.reject(err);\n                        } else {\n                            d.resolve(directory);\n                        }\n                    });\n                } else {\n                    // Create an empty file\n                    var file = FileSystem.getFileForPath(path);\n\n                    FileUtils.writeText(file, "").then(function () {\n                        d.resolve(file);\n                    }, d.reject);\n                }\n            }\n        });\n\n        return d.promise();\n    }\n\n    /**\n     * @constructor\n     *\n     * The ProjectModel provides methods for accessing information about the current open project.\n     * It also manages the view model to display a FileTreeView of the project.\n     *\n     * Events:\n     * - EVENT_CHANGE (`change`) - Fired when there\'s a change that should refresh the UI\n     * - EVENT_SHOULD_SELECT (`select`) - Fired when a selection has been made in the file tree and the file tree should be selected\n     * - EVENT_SHOULD_FOCUS (`focus`)\n     * - ERROR_CREATION (`creationError`) - Triggered when there\'s a problem creating a file\n     */\n    function ProjectModel(initial) {\n        initial = initial || {};\n        if (initial.projectRoot) {\n            this.projectRoot = initial.projectRoot;\n        }\n\n        if (initial.focused !== undefined) {\n            this._focused = initial.focused;\n        }\n        this._viewModel = new FileTreeViewModel.FileTreeViewModel();\n        this._viewModel.on(FileTreeViewModel.EVENT_CHANGE, function () {\n            this.trigger(EVENT_CHANGE);\n        }.bind(this));\n        this._selections = {};\n    }\n    EventDispatcher.makeEventDispatcher(ProjectModel.prototype);\n\n    /**\n     * @type {Directory}\n     *\n     * The root Directory object for the project.\n     */\n    ProjectModel.prototype.projectRoot = null;\n\n    /**\n     * @private\n     * @type {FileTreeViewModel}\n     *\n     * The view model for this project.\n     */\n    ProjectModel.prototype._viewModel = null;\n\n    /**\n     * @private\n     * @type {string}\n     *\n     * Encoded URL\n     * @see {@link ProjectModel#getBaseUrl}, {@link ProjectModel#setBaseUrl}\n     */\n    ProjectModel.prototype._projectBaseUrl = "";\n\n    /**\n     * @private\n     * @type {{selected: ?string, context: ?string, previousContext: ?string, rename: ?Object}}\n     *\n     * Keeps track of selected files, context, previous context and files\n     * that are being renamed or created.\n     */\n    ProjectModel.prototype._selections = null;\n\n    /**\n     * @private\n     * @type {boolean}\n     *\n     * Flag to store whether the file tree has focus.\n     */\n    ProjectModel.prototype._focused = true;\n\n    /**\n     * @private\n     * @type {string}\n     *\n     * Current file path being viewed.\n     */\n    ProjectModel.prototype._currentPath = null;\n\n    /**\n     * @private\n     * @type {?$.Promise.<Array<File>>}\n     *\n     * A promise that is resolved with an array of all project files. Used by\n     * ProjectManager.getAllFiles().\n     */\n    ProjectModel.prototype._allFilesCachePromise = null;\n\n    /**\n     * Sets whether the file tree is focused or not.\n     *\n     * @param {boolean} focused True if the file tree has the focus.\n     */\n    ProjectModel.prototype.setFocused = function (focused) {\n        this._focused = focused;\n        if (!focused) {\n            this.setSelected(null);\n        }\n    };\n\n    /**\n     * Sets the width of the selection bar.\n     *\n     * @param {int} width New width\n     */\n    ProjectModel.prototype.setSelectionWidth = function (width) {\n        this._viewModel.setSelectionWidth(width);\n    };\n\n    /**\n     * Tracks the scroller position.\n     *\n     * @param {int} scrollWidth Width of the tree container\n     * @param {int} scrollTop Top of scroll position\n     * @param {int} scrollLeft Left of scroll position\n     * @param {int} offsetTop Top of scroller element\n     */\n    ProjectModel.prototype.setScrollerInfo = function (scrollWidth, scrollTop, scrollLeft, offsetTop) {\n        this._viewModel.setSelectionScrollerInfo(scrollWidth, scrollTop, scrollLeft, offsetTop);\n    };\n\n    /**\n     * Returns the encoded Base URL of the currently loaded project, or empty string if no project\n     * is open (during startup, or running outside of app shell).\n     * @return {String}\n     */\n    ProjectModel.prototype.getBaseUrl = function getBaseUrl() {\n        return this._projectBaseUrl;\n    };\n\n    /**\n     * Sets the encoded Base URL of the currently loaded project.\n     * @param {String}\n     */\n    ProjectModel.prototype.setBaseUrl = function setBaseUrl(projectBaseUrl) {\n        // Ensure trailing slash to be consistent with projectRoot.fullPath\n        // so they\'re interchangable (i.e. easy to convert back and forth)\n        if (projectBaseUrl.length > 0 && projectBaseUrl[projectBaseUrl.length - 1] !== "/") {\n            projectBaseUrl += "/";\n        }\n\n        this._projectBaseUrl = projectBaseUrl;\n        return projectBaseUrl;\n    };\n\n    /**\n     * Returns true if absPath lies within the project, false otherwise.\n     * Does not support paths containing ".."\n     *\n     * @param {string|FileSystemEntry} absPathOrEntry\n     * @return {boolean}\n     */\n    ProjectModel.prototype.isWithinProject = function isWithinProject(absPathOrEntry) {\n        var absPath = absPathOrEntry.fullPath || absPathOrEntry;\n        return (this.projectRoot && absPath.indexOf(this.projectRoot.fullPath) === 0);\n    };\n\n    /**\n     * If absPath lies within the project, returns a project-relative path. Else returns absPath\n     * unmodified.\n     * Does not support paths containing ".."\n     *\n     * @param {!string} absPath\n     * @return {!string}\n     */\n    ProjectModel.prototype.makeProjectRelativeIfPossible = function makeProjectRelativeIfPossible(absPath) {\n        if (absPath && this.isWithinProject(absPath)) {\n            return absPath.slice(this.projectRoot.fullPath.length);\n        }\n        return absPath;\n    };\n\n    /**\n     * Returns a valid directory within the project, either the path (or Directory object)\n     * provided or the project root.\n     *\n     * @param {string|Directory} path Directory path to verify against the project\n     * @return {string} A directory path within the project.\n     */\n    ProjectModel.prototype.getDirectoryInProject = function (path) {\n        if (path && typeof path === "string") {\n            if (_.last(path) !== "/") {\n                path += "/";\n            }\n        } else if (path && path.isDirectory) {\n            path = path.fullPath;\n        } else {\n            path = null;\n        }\n\n        if (!path || (typeof path !== "string") || !this.isWithinProject(path)) {\n            path = this.projectRoot.fullPath;\n        }\n        return path;\n    };\n\n    /**\n     * @private\n     *\n     * Returns a promise that resolves with a cached copy of all project files.\n     * Used by ProjectManager.getAllFiles(). Ensures that at most one un-cached\n     * directory traversal is active at a time, which is useful at project load\n     * time when watchers (and hence filesystem-level caching) has not finished\n     * starting up. The cache is cleared on every filesystem change event, and\n     * also on project load and unload.\n     *\n     * @param {boolean} true to sort files by their paths\n     * @return {$.Promise.<Array.<File>>}\n     */\n    ProjectModel.prototype._getAllFilesCache = function _getAllFilesCache(sort) {\n        if (!this._allFilesCachePromise) {\n            var deferred = new $.Deferred(),\n                allFiles = [],\n                allFilesVisitor = function (entry) {\n                    if (shouldShow(entry)) {\n                        if (entry.isFile) {\n                            allFiles.push(entry);\n                        }\n                        return true;\n                    }\n                    return false;\n                };\n\n            this._allFilesCachePromise = deferred.promise();\n\n            var projectIndexTimer = PerfUtils.markStart("Creating project files cache: " +\n                                                        this.projectRoot.fullPath),\n                options = {\n                    sortList : sort\n                };\n\n            this.projectRoot.visit(allFilesVisitor, options, function (err) {\n                if (err) {\n                    PerfUtils.finalizeMeasurement(projectIndexTimer);\n                    deferred.reject(err);\n                } else {\n                    PerfUtils.addMeasurement(projectIndexTimer);\n                    deferred.resolve(allFiles);\n                }\n            }.bind(this));\n        }\n\n        return this._allFilesCachePromise;\n    };\n\n    /**\n     * Returns an Array of all files for this project, optionally including\n     * files additional files provided. Files are filtered out by shouldShow().\n     *\n     * @param {function (File, number):boolean=} filter Optional function to filter\n     *          the file list (does not filter directory traversal). API matches Array.filter().\n     * @param {Array.<File>=} additionalFiles Additional files to include (for example, the WorkingSet)\n     *          Only adds files that are *not* under the project root or untitled documents.\n     * @param {boolean} true to sort files by their paths\n     *\n     * @return {$.Promise} Promise that is resolved with an Array of File objects.\n     */\n    ProjectModel.prototype.getAllFiles = function getAllFiles(filter, additionalFiles, sort) {\n        // The filter and includeWorkingSet params are both optional.\n        // Handle the case where filter is omitted but includeWorkingSet is\n        // specified.\n        if (additionalFiles === undefined && typeof (filter) !== "function") {\n            additionalFiles = filter;\n            filter = null;\n        }\n\n        var filteredFilesDeferred = new $.Deferred();\n\n        // First gather all files in project proper\n        // Note that with proper promises we may be able to fix this so that we\'re not doing this\n        // anti-pattern of creating a separate deferred rather than just chaining off of the promise\n        // from _getAllFilesCache\n        this._getAllFilesCache(sort).done(function (result) {\n            // Add working set entries, if requested\n            if (additionalFiles) {\n                additionalFiles.forEach(function (file) {\n                    if (result.indexOf(file) === -1 && !(file instanceof InMemoryFile)) {\n                        result.push(file);\n                    }\n                });\n            }\n\n            // Filter list, if requested\n            if (filter) {\n                result = result.filter(filter);\n            }\n\n            // If a done handler attached to the returned filtered files promise\n            // throws an exception that isn\'t handled here then it will leave\n            // _allFilesCachePromise in an inconsistent state such that no\n            // additional done handlers will ever be called!\n            try {\n                filteredFilesDeferred.resolve(result);\n            } catch (e) {\n                console.error("Unhandled exception in getAllFiles handler: " + e, e.stack);\n            }\n        }).fail(function (err) {\n            try {\n                filteredFilesDeferred.reject(err);\n            } catch (e) {\n                console.error("Unhandled exception in getAllFiles handler: " + e, e.stack);\n            }\n        });\n\n        return filteredFilesDeferred.promise();\n    };\n\n    /**\n     * @private\n     *\n     * Resets the all files cache.\n     */\n    ProjectModel.prototype._resetCache = function _resetCache() {\n        this._allFilesCachePromise = null;\n    };\n\n    /**\n     * Sets the project root (effectively resetting this ProjectModel).\n     *\n     * @param {Directory} projectRoot new project root\n     * @return {$.Promise} resolved when the project root has been updated\n     */\n    ProjectModel.prototype.setProjectRoot = function (projectRoot) {\n        this.projectRoot = projectRoot;\n        this._resetCache();\n        this._viewModel._rootChanged();\n\n        var d = new $.Deferred(),\n            self = this;\n\n        projectRoot.getContents(function (err, contents) {\n            if (err) {\n                d.reject(err);\n            } else {\n                self._viewModel.setDirectoryContents("", contents);\n                d.resolve();\n            }\n        });\n        return d.promise();\n    };\n\n    /**\n     * @private\n     *\n     * Gets the contents of a directory at the given path.\n     *\n     * @param {string} path path to retrieve\n     * @return {$.Promise} Resolved with the directory contents.\n     */\n    ProjectModel.prototype._getDirectoryContents = function (path) {\n        var d = new $.Deferred();\n        FileSystem.getDirectoryForPath(path).getContents(function (err, contents) {\n            if (err) {\n                d.reject(err);\n            } else {\n                d.resolve(contents);\n            }\n        });\n        return d.promise();\n    };\n\n    /**\n     * Opens or closes the given directory in the file tree.\n     *\n     * @param {string} path Path to open\n     * @param {boolean} open `true` to open the path\n     * @return {$.Promise} resolved when the path has been opened.\n     */\n    ProjectModel.prototype.setDirectoryOpen = function (path, open) {\n        var projectRelative = this.makeProjectRelativeIfPossible(path),\n            needsLoading    = !this._viewModel.isPathLoaded(projectRelative),\n            d               = new $.Deferred(),\n            self            = this;\n\n        function onSuccess(contents) {\n            // Update the view model\n            if (contents) {\n                self._viewModel.setDirectoryContents(projectRelative, contents);\n            }\n\n            if (open) {\n                self._viewModel.openPath(projectRelative);\n                if (self._focused) {\n                    var currentPathInProject = self.makeProjectRelativeIfPossible(self._currentPath);\n                    if (self._viewModel.isFilePathVisible(currentPathInProject)) {\n                        self.setSelected(self._currentPath, true);\n                    } else {\n                        self.setSelected(null);\n                    }\n                }\n            } else {\n                self._viewModel.setDirectoryOpen(projectRelative, false);\n                var selected = self._selections.selected;\n                if (selected) {\n                    var relativeSelected = self.makeProjectRelativeIfPossible(selected);\n                    if (!self._viewModel.isFilePathVisible(relativeSelected)) {\n                        self.setSelected(null);\n                    }\n                }\n            }\n\n            d.resolve();\n        }\n\n        // If the view model doesn\'t have the data it needs, we load it now, otherwise we can just\n        // manage the selection and resovle the promise.\n        if (open && needsLoading) {\n            var parentDirectory = FileUtils.getDirectoryPath(FileUtils.stripTrailingSlash(path));\n            this.setDirectoryOpen(parentDirectory, true).then(function () {\n                self._getDirectoryContents(path).then(onSuccess).fail(function (err) {\n                    d.reject(err);\n                });\n            }, function (err) {\n                d.reject(err);\n            });\n        } else {\n            onSuccess();\n        }\n\n        return d.promise();\n    };\n\n    /**\n     * Shows the given path in the tree and selects it if it\'s a file. Any intermediate directories\n     * will be opened and a promise is returned to show when the entire operation is complete.\n     *\n     * @param {string|File|Directory} path full path to the file or directory\n     * @return {$.Promise} promise resolved when the path is shown\n     */\n    ProjectModel.prototype.showInTree = function (path) {\n        var d = new $.Deferred();\n        path = _getPathFromFSObject(path);\n\n        if (!this.isWithinProject(path)) {\n            return d.resolve().promise();\n        }\n\n        var parentDirectory = FileUtils.getDirectoryPath(path),\n            self = this;\n        this.setDirectoryOpen(parentDirectory, true).then(function () {\n            if (_pathIsFile(path)) {\n                self.setSelected(path);\n            }\n            d.resolve();\n        }, function (err) {\n            d.reject(err);\n        });\n        return d.promise();\n    };\n\n    /**\n     * Selects the given path in the file tree and opens the file (unless doNotOpen is specified).\n     * Directories will not be selected.\n     *\n     * When the selection changes, any rename operation that is currently underway will be completed.\n     *\n     * @param {string} path full path to the file being selected\n     * @param {boolean} doNotOpen `true` if the file should not be opened.\n     */\n    ProjectModel.prototype.setSelected = function (path, doNotOpen) {\n        path = _getPathFromFSObject(path);\n\n        // Directories are not selectable\n        if (!_pathIsFile(path)) {\n            return;\n        }\n\n        var oldProjectPath = this.makeProjectRelativeIfPossible(this._selections.selected),\n            pathInProject = this.makeProjectRelativeIfPossible(path);\n\n        if (path && !this._viewModel.isFilePathVisible(pathInProject)) {\n            path = null;\n            pathInProject = null;\n        }\n\n        this.performRename();\n\n        this._viewModel.moveMarker("selected", oldProjectPath, pathInProject);\n        if (this._selections.context) {\n            this._viewModel.moveMarker("context", this.makeProjectRelativeIfPossible(this._selections.context), null);\n            delete this._selections.context;\n        }\n\n        var previousSelection = this._selections.selected;\n        this._selections.selected = path;\n\n        if (path) {\n            if (!doNotOpen) {\n                this.trigger(EVENT_SHOULD_SELECT, {\n                    path: path,\n                    previousPath: previousSelection,\n                    hadFocus: this._focused\n                });\n            }\n\n            this.trigger(EVENT_SHOULD_FOCUS);\n        }\n    };\n\n    /**\n     * Gets the currently selected file or directory.\n     *\n     * @return {FileSystemEntry} the filesystem object for the currently selected file\n     */\n    ProjectModel.prototype.getSelected = function () {\n        return _getFSObject(this._selections.selected);\n    };\n\n    /**\n     * Keeps track of which file is currently being edited.\n     *\n     * @param {File|string} curFile Currently edited file.\n     */\n    ProjectModel.prototype.setCurrentFile = function (curFile) {\n        this._currentPath = _getPathFromFSObject(curFile);\n    };\n\n    /**\n     * Adds the file at the given path to the Working Set and selects it there.\n     *\n     * @param {string} path full path of file to open in Working Set\n     */\n    ProjectModel.prototype.selectInWorkingSet = function (path) {\n        this.performRename();\n        this.trigger(EVENT_SHOULD_SELECT, {\n            path: path,\n            add: true\n        });\n    };\n\n    /**\n     * Sets the context (for context menu operations) to the given path. This is independent from the\n     * open/selected file.\n     *\n     * @param {string} path full path of file or directory to which the context should be setBaseUrl\n     * @param {boolean} _doNotRename True if this context change should not cause a rename operation to finish. This is a special case that goes with context menu handling.\n     * @param {boolean} _saveContext True if the current context should be saved (see comment below)\n     */\n    ProjectModel.prototype.setContext = function (path, _doNotRename, _saveContext) {\n        // This bit is not ideal: when the user right-clicks on an item in the file tree\n        // and there is already a context menu up, the FileTreeView sends a signal to set the\n        // context to the new element but the PopupManager follows that with a message that it\'s\n        // closing the context menu (because it closes the previous one and then opens the new\n        // one.) This timing means that we need to provide some special case handling here.\n        if (_saveContext) {\n            if (!path) {\n                this._selections.previousContext = this._selections.context;\n            } else {\n                this._selections.previousContext = path;\n            }\n        } else {\n            delete this._selections.previousContext;\n        }\n\n        path = _getPathFromFSObject(path);\n\n        if (!_doNotRename) {\n            this.performRename();\n        }\n        var currentContext = this._selections.context;\n        this._selections.context = path;\n        this._viewModel.moveMarker("context", this.makeProjectRelativeIfPossible(currentContext),\n                                   this.makeProjectRelativeIfPossible(path));\n    };\n\n    /**\n     * Restores the context to the last non-null context. This is specifically here to handle\n     * the sequence of messages that we get from the project context menu.\n     */\n    ProjectModel.prototype.restoreContext = function () {\n        if (this._selections.previousContext) {\n            this.setContext(this._selections.previousContext);\n        }\n    };\n\n    /**\n     * Gets the currently selected context.\n     *\n     * @return {FileSystemEntry} filesystem object for the context file or directory\n     */\n    ProjectModel.prototype.getContext = function () {\n        return _getFSObject(this._selections.context);\n    };\n\n    /**\n     * Starts a rename operation for the file or directory at the given path. If the path is\n     * not provided, the current context is used.\n     *\n     * If a rename operation is underway, it will be completed automatically.\n     *\n     * The Promise returned is resolved with an object with a `newPath` property with the renamed path. If the user cancels the operation, the promise is resolved with the value RENAME_CANCELLED.\n     *\n     * @param {string=} path optional path to start renaming\n     * @return {$.Promise} resolved when the operation is complete.\n     */\n    ProjectModel.prototype.startRename = function (path) {\n        var d = new $.Deferred();\n        path = _getPathFromFSObject(path);\n        if (!path) {\n            path = this._selections.context;\n            if (!path) {\n                return d.resolve().promise();\n            }\n        }\n\n        if (this._selections.rename && this._selections.rename.path === path) {\n            return;\n        }\n\n        if (!this.isWithinProject(path)) {\n            return d.reject({\n                type: ERROR_NOT_IN_PROJECT,\n                isFolder: !_pathIsFile(path),\n                fullPath: path\n            }).promise();\n        }\n\n        var projectRelativePath = this.makeProjectRelativeIfPossible(path);\n\n        if (!this._viewModel.isFilePathVisible(projectRelativePath)) {\n            this.showInTree(path);\n        }\n\n        if (path !== this._selections.context) {\n            this.setContext(path);\n        } else {\n            this.performRename();\n        }\n\n        this._viewModel.moveMarker("rename", null,\n                                   projectRelativePath);\n        this._selections.rename = {\n            deferred: d,\n            type: FILE_RENAMING,\n            path: path,\n            newName: FileUtils.getBaseName(path)\n        };\n        return d.promise();\n    };\n\n    /**\n     * Sets the new value for the rename operation that is in progress (started previously with a call\n     * to `startRename`).\n     *\n     * @param {string} name new name for the file or directory being renamed\n     */\n    ProjectModel.prototype.setRenameValue = function (name) {\n        if (!this._selections.rename) {\n            return;\n        }\n        this._selections.rename.newName = name;\n    };\n\n    /**\n     * Cancels the rename operation that is in progress. This resolves the original promise with\n     * a RENAME_CANCELLED value.\n     */\n    ProjectModel.prototype.cancelRename = function () {\n        var renameInfo = this._selections.rename;\n        if (!renameInfo) {\n            return;\n        }\n\n        // File creation is a special case.\n        if (renameInfo.type === FILE_CREATING) {\n            this._cancelCreating();\n            return;\n        }\n\n        this._viewModel.moveMarker("rename", this.makeProjectRelativeIfPossible(renameInfo.path), null);\n        renameInfo.deferred.resolve(RENAME_CANCELLED);\n        delete this._selections.rename;\n        this.setContext(null);\n    };\n\n    /**\n     * Rename a file/folder. This will update the project tree data structures\n     * and send notifications about the rename.\n     *\n     * @param {string} oldPath Old name of the item with the path\n     * @param {string} newPath New name of the item with the path\n     * @param {string} newName New name of the item\n     * @param {boolean} isFolder True if item is a folder; False if it is a file.\n     * @return {$.Promise} A promise object that will be resolved or rejected when\n     *   the rename is finished.\n     */\n    function _renameItem(oldPath, newPath, newName, isFolder) {\n        var result = new $.Deferred();\n\n        if (oldPath === newPath) {\n            result.resolve();\n        } else if (!isValidFilename(newName, _invalidChars)) {\n            result.reject(ERROR_INVALID_FILENAME);\n        } else {\n            var entry = isFolder ? FileSystem.getDirectoryForPath(oldPath) : FileSystem.getFileForPath(oldPath);\n            entry.rename(newPath, function (err) {\n                if (err) {\n                    result.reject(err);\n                } else {\n                    result.resolve();\n                }\n            });\n        }\n\n        return result.promise();\n    }\n\n    /**\n     * @private\n     *\n     * Renames the item at the old path to the new name provided.\n     *\n     * @param {string} oldPath full path to the current location of file or directory (should include trailing slash for directory)\n     * @param {string} newPath full path to the new location of the file or directory\n     * @param {string} newName new name for the file or directory\n     */\n    ProjectModel.prototype._renameItem = function (oldPath, newPath, newName) {\n        return _renameItem(oldPath, newPath, newName, !_pathIsFile(oldPath));\n    };\n\n    /**\n     * Completes the rename operation that is in progress.\n     */\n    ProjectModel.prototype.performRename = function () {\n        var renameInfo = this._selections.rename;\n        if (!renameInfo) {\n            return;\n        }\n        var oldPath         = renameInfo.path,\n            isFolder        = renameInfo.isFolder || !_pathIsFile(oldPath),\n            oldProjectPath  = this.makeProjectRelativeIfPossible(oldPath),\n\n            // To get the parent directory, we need to strip off the trailing slash on a directory name\n            parentDirectory = FileUtils.getDirectoryPath(isFolder ? FileUtils.stripTrailingSlash(oldPath) : oldPath),\n            oldName         = FileUtils.getBaseName(oldPath),\n            newName         = renameInfo.newName,\n            newPath         = parentDirectory + newName,\n            viewModel       = this._viewModel,\n            self            = this;\n\n        if (renameInfo.type !== FILE_CREATING && oldName === newName) {\n            this.cancelRename();\n            return;\n        }\n\n        if (isFolder) {\n            newPath += "/";\n        }\n\n        delete this._selections.rename;\n        delete this._selections.context;\n\n        viewModel.moveMarker("rename", oldProjectPath, null);\n        viewModel.moveMarker("context", oldProjectPath, null);\n        viewModel.moveMarker("creating", oldProjectPath, null);\n\n        function finalizeRename() {\n            viewModel.renameItem(oldProjectPath, newName);\n            if (self._selections.selected && self._selections.selected.indexOf(oldPath) === 0) {\n                self._selections.selected = newPath + self._selections.selected.slice(oldPath.length);\n            }\n        }\n\n        if (renameInfo.type === FILE_CREATING) {\n            this.createAtPath(newPath).done(function (entry) {\n                finalizeRename();\n                renameInfo.deferred.resolve(entry);\n            }).fail(function (error) {\n                self._viewModel.deleteAtPath(self.makeProjectRelativeIfPossible(renameInfo.path));\n                renameInfo.deferred.reject(error);\n            });\n        } else {\n            this._renameItem(oldPath, newPath, newName).then(function () {\n                finalizeRename();\n                renameInfo.deferred.resolve({\n                    newPath: newPath\n                });\n            }).fail(function (errorType) {\n                var errorInfo = {\n                    type: errorType,\n                    isFolder: isFolder,\n                    fullPath: oldPath\n                };\n                renameInfo.deferred.reject(errorInfo);\n            });\n        }\n    };\n\n    /**\n     * Creates a file or folder at the given path. Folder paths should have a trailing slash.\n     *\n     * If an error comes up during creation, the ERROR_CREATION event is triggered.\n     *\n     * @param {string} path full path to file or folder to create\n     * @return {$.Promise} resolved when creation is complete\n     */\n    ProjectModel.prototype.createAtPath = function (path) {\n        var isFolder  = !_pathIsFile(path),\n            name      = FileUtils.getBaseName(path),\n            self      = this;\n\n        return doCreate(path, isFolder).done(function (entry) {\n            if (!isFolder) {\n                self.selectInWorkingSet(entry.fullPath);\n            }\n        }).fail(function (error) {\n            self.trigger(ERROR_CREATION, {\n                type: error,\n                name: name,\n                isFolder: isFolder\n            });\n        });\n    };\n\n    /**\n     * Starts creating a file or folder with the given name in the given directory.\n     *\n     * The Promise returned is resolved with an object with a `newPath` property with the renamed path. If the user cancels the operation, the promise is resolved with the value RENAME_CANCELLED.\n     *\n     * @param {string} basedir directory that should contain the new entry\n     * @param {string} newName initial name for the new entry (the user can rename it)\n     * @param {boolean} isFolder `true` if the entry being created is a folder\n     * @return {$.Promise} resolved when the user is done creating the entry.\n     */\n    ProjectModel.prototype.startCreating = function (basedir, newName, isFolder) {\n        this.performRename();\n        var d = new $.Deferred(),\n            self = this;\n\n        this.setDirectoryOpen(basedir, true).then(function () {\n            self._viewModel.createPlaceholder(self.makeProjectRelativeIfPossible(basedir), newName, isFolder);\n            var promise = self.startRename(basedir + newName);\n            self._selections.rename.type = FILE_CREATING;\n            if (isFolder) {\n                self._selections.rename.isFolder = isFolder;\n            }\n            promise.then(d.resolve).fail(d.reject);\n        }).fail(function (err) {\n            d.reject(err);\n        });\n        return d.promise();\n    };\n\n    /**\n     * Cancels the creation process that is underway. The original promise returned will be resolved with the\n     * RENAME_CANCELLED value. The temporary entry added to the file tree will be deleted.\n     */\n    ProjectModel.prototype._cancelCreating = function () {\n        var renameInfo = this._selections.rename;\n        if (!renameInfo || renameInfo.type !== FILE_CREATING) {\n            return;\n        }\n        this._viewModel.deleteAtPath(this.makeProjectRelativeIfPossible(renameInfo.path));\n        renameInfo.deferred.resolve(RENAME_CANCELLED);\n        delete this._selections.rename;\n        this.setContext(null);\n    };\n\n    /**\n     * Sets the `sortDirectoriesFirst` option for the file tree view.\n     *\n     * @param {boolean} True if directories should appear first\n     */\n    ProjectModel.prototype.setSortDirectoriesFirst = function (sortDirectoriesFirst) {\n        this._viewModel.setSortDirectoriesFirst(sortDirectoriesFirst);\n    };\n\n    /**\n     * Gets an array of arrays where each entry of the top-level array has an array\n     * of paths that are at the same depth in the tree. All of the paths are full paths.\n     *\n     * @return {Array.<Array.<string>>} Array of array of full paths, organized by depth in the tree.\n     */\n    ProjectModel.prototype.getOpenNodes = function () {\n        return this._viewModel.getOpenNodes(this.projectRoot.fullPath);\n    };\n\n    /**\n     * Reopens a set of nodes in the tree by full path.\n     * @param {Array.<Array.<string>>} nodesByDepth An array of arrays of node ids to reopen. The ids within\n     *     each sub-array are reopened in parallel, and the sub-arrays are reopened in order, so they should\n     *     be sorted by depth within the tree.\n     * @return {$.Deferred} A promise that will be resolved when all nodes have been fully\n     *     reopened.\n     */\n    ProjectModel.prototype.reopenNodes = function (nodesByDepth) {\n        var deferred = new $.Deferred();\n\n        if (!nodesByDepth || nodesByDepth.length === 0) {\n            // All paths are opened and fully rendered.\n            return deferred.resolve().promise();\n        } else {\n            var self = this;\n            return Async.doSequentially(nodesByDepth, function (toOpenPaths) {\n                return Async.doInParallel(\n                    toOpenPaths,\n                    function (path) {\n                        return self._getDirectoryContents(path).then(function (contents) {\n                            var relative = self.makeProjectRelativeIfPossible(path);\n                            self._viewModel.setDirectoryContents(relative, contents);\n                            self._viewModel.setDirectoryOpen(relative, true);\n                        });\n                    },\n                    false\n                );\n            });\n        }\n    };\n\n    /**\n     * Clears caches and refreshes the contents of the tree.\n     *\n     * @return {$.Promise} resolved when the tree has been refreshed\n     */\n    ProjectModel.prototype.refresh = function () {\n        var projectRoot = this.projectRoot,\n            openNodes   = this.getOpenNodes(),\n            self        = this,\n            selections  = this._selections,\n            viewModel   = this._viewModel,\n            deferred    = new $.Deferred();\n\n        this.setProjectRoot(projectRoot).then(function () {\n            self.reopenNodes(openNodes).then(function () {\n                if (selections.selected) {\n                    viewModel.moveMarker("selected", null, self.makeProjectRelativeIfPossible(selections.selected));\n                }\n\n                if (selections.context) {\n                    viewModel.moveMarker("context", null, self.makeProjectRelativeIfPossible(selections.context));\n                }\n\n                if (selections.rename) {\n                    viewModel.moveMarker("rename", null, self.makeProjectRelativeIfPossible(selections.rename));\n                }\n\n                deferred.resolve();\n            });\n        });\n\n        return deferred.promise();\n    };\n\n    /**\n     * Handles filesystem change events and prepares the update for the view model.\n     *\n     * @param {?(File|Directory)} entry File or Directory changed\n     * @param {Array.<FileSystemEntry>=} added If entry is a Directory, contains zero or more added children\n     * @param {Array.<FileSystemEntry>=} removed If entry is a Directory, contains zero or more removed\n     */\n    ProjectModel.prototype.handleFSEvent = function (entry, added, removed) {\n        this._resetCache();\n\n        if (!entry) {\n            this.refresh();\n            return;\n        }\n\n        if (!this.isWithinProject(entry)) {\n            return;\n        }\n\n        var changes = {},\n            self = this;\n\n        if (entry.isFile) {\n            changes.changed = [\n                this.makeProjectRelativeIfPossible(entry.fullPath)\n            ];\n        } else {\n            // Special case: a directory passed in without added and removed values\n            // needs to be updated.\n            if (!added && !removed) {\n                entry.getContents(function (err, contents) {\n                    if (err) {\n                        console.error("Unexpected error refreshing file tree for directory " + entry.fullPath + ": " + err, err.stack);\n                        return;\n                    }\n                    self._viewModel.setDirectoryContents(self.makeProjectRelativeIfPossible(entry.fullPath), contents);\n                });\n\n                // Exit early because we can\'t update the viewModel until we get the directory contents.\n                return;\n            }\n        }\n\n        if (added) {\n            changes.added = added.map(function (entry) {\n                return self.makeProjectRelativeIfPossible(entry.fullPath);\n            });\n        }\n\n        if (removed) {\n            if (this._selections.selected &&\n                    _.find(removed, { fullPath: this._selections.selected })) {\n                this.setSelected(null);\n            }\n\n            if (this._selections.rename &&\n                    _.find(removed, { fullPath: this._selections.rename.path })) {\n                this.cancelRename();\n            }\n\n            if (this._selections.context &&\n                    _.find(removed, { fullPath: this._selections.context })) {\n                this.setContext(null);\n            }\n            changes.removed = removed.map(function (entry) {\n                return self.makeProjectRelativeIfPossible(entry.fullPath);\n            });\n        }\n\n        this._viewModel.processChanges(changes);\n    };\n\n    /**\n     * Closes the directory at path and recursively closes all of its children.\n     *\n     * @param {string} path Path of subtree to close\n     */\n    ProjectModel.prototype.closeSubtree = function (path) {\n        this._viewModel.closeSubtree(this.makeProjectRelativeIfPossible(path));\n    };\n\n    /**\n     * Toggle the open state of subdirectories.\n     * @param {!string}  path        parent directory\n     * @param {boolean} openOrClose  true to open directory, false to close\n     * @return {$.Promise} promise resolved when the directories are open\n     */\n    ProjectModel.prototype.toggleSubdirectories = function (path, openOrClose) {\n        var self = this,\n            d = new $.Deferred();\n\n        this.setDirectoryOpen(path, true).then(function () {\n            var projectRelativePath = self.makeProjectRelativeIfPossible(path),\n                childNodes = self._viewModel.getChildDirectories(projectRelativePath);\n\n            Async.doInParallel(childNodes, function (node) {\n                return self.setDirectoryOpen(path + node, openOrClose);\n            }, true).then(function () {\n                d.resolve();\n            }, function (err) {\n                d.reject(err);\n            });\n        });\n\n        return d.promise();\n    };\n\n    /**\n     * Although Brackets is generally standardized on folder paths with a trailing "/", some APIs here\n     * receive project paths without "/" due to legacy preference storage formats, etc.\n     * @param {!string} fullPath  Path that may or may not end in "/"\n     * @return {!string} Path that ends in "/"\n     */\n    function _ensureTrailingSlash(fullPath) {\n        if (_pathIsFile(fullPath)) {\n            return fullPath + "/";\n        }\n        return fullPath;\n    }\n\n    /**\n     * @private\n     *\n     * Returns the full path to the welcome project, which we open on first launch.\n     *\n     * @param {string} sampleUrl URL for getting started project\n     * @param {string} initialPath Path to Brackets directory (see {@link FileUtils::#getNativeBracketsDirectoryPath})\n     * @return {!string} fullPath reference\n     */\n    function _getWelcomeProjectPath(sampleUrl, initialPath) {\n        if (sampleUrl) {\n            // Back up one more folder. The samples folder is assumed to be at the same level as\n            // the src folder, and the sampleUrl is relative to the samples folder.\n            initialPath = initialPath.substr(0, initialPath.lastIndexOf("/")) + "/samples/" + sampleUrl;\n        }\n\n        return _ensureTrailingSlash(initialPath); // paths above weren\'t canonical\n    }\n\n    /**\n     * @private\n     *\n     * Adds the path to the list of welcome projects we\'ve ever seen, if not on the list already.\n     *\n     * @param {string} path Path to possibly add\n     * @param {Array.<string>=} currentProjects Array of current welcome projects\n     * @return {Array.<string>} New array of welcome projects with the additional project added\n     */\n    function _addWelcomeProjectPath(path, currentProjects) {\n        var pathNoSlash = FileUtils.stripTrailingSlash(path);  // "welcomeProjects" pref has standardized on no trailing "/"\n\n        var newProjects;\n\n        if (currentProjects) {\n            newProjects = _.clone(currentProjects);\n        } else {\n            newProjects = [];\n        }\n\n        if (newProjects.indexOf(pathNoSlash) === -1) {\n            newProjects.push(pathNoSlash);\n        }\n        return newProjects;\n    }\n\n    /**\n     * Returns true if the given path is the same as one of the welcome projects we\'ve previously opened,\n     * or the one for the current build.\n     *\n     * @param {string} path Path to check to see if it\'s a welcome project\n     * @param {string} welcomeProjectPath Current welcome project path\n     * @param {Array.<string>=} welcomeProjects All known welcome projects\n     */\n    function _isWelcomeProjectPath(path, welcomeProjectPath, welcomeProjects) {\n        if (path === welcomeProjectPath) {\n            return true;\n        }\n\n        // No match on the current path, and it\'s not a match if there are no previously known projects\n        if (!welcomeProjects) {\n            return false;\n        }\n\n        var pathNoSlash = FileUtils.stripTrailingSlash(path);  // "welcomeProjects" pref has standardized on no trailing "/"\n        return welcomeProjects.indexOf(pathNoSlash) !== -1;\n    }\n\n    // Init invalid characters string\n    if (brackets.platform === "mac") {\n        _invalidChars = "?*|:/";\n    } else if (brackets.platform === "linux") {\n        _invalidChars = "?*|/";\n    } else {\n        _invalidChars = "/?*:<>\\\\|\\"";  // invalid characters on Windows\n    }\n\n    exports._getWelcomeProjectPath  = _getWelcomeProjectPath;\n    exports._addWelcomeProjectPath  = _addWelcomeProjectPath;\n    exports._isWelcomeProjectPath   = _isWelcomeProjectPath;\n    exports._ensureTrailingSlash    = _ensureTrailingSlash;\n    exports._shouldShowName         = _shouldShowName;\n    exports._invalidChars           = _invalidChars;\n\n    exports.shouldShow              = shouldShow;\n    exports.defaultIgnoreGlobs      = defaultIgnoreGlobs;\n    exports.isValidFilename         = isValidFilename;\n    exports.EVENT_CHANGE            = EVENT_CHANGE;\n    exports.EVENT_SHOULD_SELECT     = EVENT_SHOULD_SELECT;\n    exports.EVENT_SHOULD_FOCUS      = EVENT_SHOULD_FOCUS;\n    exports.ERROR_CREATION          = ERROR_CREATION;\n    exports.ERROR_INVALID_FILENAME  = ERROR_INVALID_FILENAME;\n    exports.ERROR_NOT_IN_PROJECT    = ERROR_NOT_IN_PROJECT;\n    exports.FILE_RENAMING           = FILE_RENAMING;\n    exports.FILE_CREATING           = FILE_CREATING;\n    exports.RENAME_CANCELLED        = RENAME_CANCELLED;\n    exports.doCreate                = doCreate;\n    exports.ProjectModel            = ProjectModel;\n});\n\n//# sourceURL=/project/ProjectModel.js'),
eval(" /**\n  * React (with addons) v0.14.7\n  */\n(function(f){if(typeof exports===\"object\"&&typeof module!==\"undefined\"){module.exports=f()}else if(typeof define===\"function\"&&define.amd){define('react',[],f)}else{var g;if(typeof window!==\"undefined\"){g=window}else if(typeof global!==\"undefined\"){g=global}else if(typeof self!==\"undefined\"){g=self}else{g=this}g.React = f()}})(function(){var define,module,exports;return (function e(t,n,r){function s(o,u){if(!n[o]){if(!t[o]){var a=typeof require==\"function\"&&require;if(!u&&a)return a(o,!0);if(i)return i(o,!0);var f=new Error(\"Cannot find module '\"+o+\"'\");throw f.code=\"MODULE_NOT_FOUND\",f}var l=n[o]={exports:{}};t[o][0].call(l.exports,function(e){var n=t[o][1][e];return s(n?n:e)},l,l.exports,e,t,n,r)}return n[o].exports}var i=typeof require==\"function\"&&require;for(var o=0;o<r.length;o++)s(r[o]);return s})({1:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactWithAddons\n */\n\n/**\n * This module exists purely in the open source project, and is meant as a way\n * to create a separate standalone build of React. This build has \"addons\", or\n * functionality we've built and think might be useful but doesn't have a good\n * place to live inside React core.\n */\n\n'use strict';\n\nvar LinkedStateMixin = _dereq_(22);\nvar React = _dereq_(26);\nvar ReactComponentWithPureRenderMixin = _dereq_(37);\nvar ReactCSSTransitionGroup = _dereq_(29);\nvar ReactFragment = _dereq_(64);\nvar ReactTransitionGroup = _dereq_(94);\nvar ReactUpdates = _dereq_(96);\n\nvar cloneWithProps = _dereq_(118);\nvar shallowCompare = _dereq_(140);\nvar update = _dereq_(143);\nvar warning = _dereq_(173);\n\nvar warnedAboutBatchedUpdates = false;\n\nReact.addons = {\n  CSSTransitionGroup: ReactCSSTransitionGroup,\n  LinkedStateMixin: LinkedStateMixin,\n  PureRenderMixin: ReactComponentWithPureRenderMixin,\n  TransitionGroup: ReactTransitionGroup,\n\n  batchedUpdates: function () {\n    if (\"development\" !== 'production') {\n      \"development\" !== 'production' ? warning(warnedAboutBatchedUpdates, 'React.addons.batchedUpdates is deprecated. Use ' + 'ReactDOM.unstable_batchedUpdates instead.') : undefined;\n      warnedAboutBatchedUpdates = true;\n    }\n    return ReactUpdates.batchedUpdates.apply(this, arguments);\n  },\n  cloneWithProps: cloneWithProps,\n  createFragment: ReactFragment.create,\n  shallowCompare: shallowCompare,\n  update: update\n};\n\nif (\"development\" !== 'production') {\n  React.addons.Perf = _dereq_(55);\n  React.addons.TestUtils = _dereq_(91);\n}\n\nmodule.exports = React;\n},{\"118\":118,\"140\":140,\"143\":143,\"173\":173,\"22\":22,\"26\":26,\"29\":29,\"37\":37,\"55\":55,\"64\":64,\"91\":91,\"94\":94,\"96\":96}],2:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule AutoFocusUtils\n * @typechecks static-only\n */\n\n'use strict';\n\nvar ReactMount = _dereq_(72);\n\nvar findDOMNode = _dereq_(122);\nvar focusNode = _dereq_(155);\n\nvar Mixin = {\n  componentDidMount: function () {\n    if (this.props.autoFocus) {\n      focusNode(findDOMNode(this));\n    }\n  }\n};\n\nvar AutoFocusUtils = {\n  Mixin: Mixin,\n\n  focusDOMComponent: function () {\n    focusNode(ReactMount.getNode(this._rootNodeID));\n  }\n};\n\nmodule.exports = AutoFocusUtils;\n},{\"122\":122,\"155\":155,\"72\":72}],3:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015 Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule BeforeInputEventPlugin\n * @typechecks static-only\n */\n\n'use strict';\n\nvar EventConstants = _dereq_(15);\nvar EventPropagators = _dereq_(19);\nvar ExecutionEnvironment = _dereq_(147);\nvar FallbackCompositionState = _dereq_(20);\nvar SyntheticCompositionEvent = _dereq_(103);\nvar SyntheticInputEvent = _dereq_(107);\n\nvar keyOf = _dereq_(166);\n\nvar END_KEYCODES = [9, 13, 27, 32]; // Tab, Return, Esc, Space\nvar START_KEYCODE = 229;\n\nvar canUseCompositionEvent = ExecutionEnvironment.canUseDOM && 'CompositionEvent' in window;\n\nvar documentMode = null;\nif (ExecutionEnvironment.canUseDOM && 'documentMode' in document) {\n  documentMode = document.documentMode;\n}\n\n// Webkit offers a very useful `textInput` event that can be used to\n// directly represent `beforeInput`. The IE `textinput` event is not as\n// useful, so we don't use it.\nvar canUseTextInputEvent = ExecutionEnvironment.canUseDOM && 'TextEvent' in window && !documentMode && !isPresto();\n\n// In IE9+, we have access to composition events, but the data supplied\n// by the native compositionend event may be incorrect. Japanese ideographic\n// spaces, for instance (\\u3000) are not recorded correctly.\nvar useFallbackCompositionData = ExecutionEnvironment.canUseDOM && (!canUseCompositionEvent || documentMode && documentMode > 8 && documentMode <= 11);\n\n/**\n * Opera <= 12 includes TextEvent in window, but does not fire\n * text input events. Rely on keypress instead.\n */\nfunction isPresto() {\n  var opera = window.opera;\n  return typeof opera === 'object' && typeof opera.version === 'function' && parseInt(opera.version(), 10) <= 12;\n}\n\nvar SPACEBAR_CODE = 32;\nvar SPACEBAR_CHAR = String.fromCharCode(SPACEBAR_CODE);\n\nvar topLevelTypes = EventConstants.topLevelTypes;\n\n// Events and their corresponding property names.\nvar eventTypes = {\n  beforeInput: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onBeforeInput: null }),\n      captured: keyOf({ onBeforeInputCapture: null })\n    },\n    dependencies: [topLevelTypes.topCompositionEnd, topLevelTypes.topKeyPress, topLevelTypes.topTextInput, topLevelTypes.topPaste]\n  },\n  compositionEnd: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onCompositionEnd: null }),\n      captured: keyOf({ onCompositionEndCapture: null })\n    },\n    dependencies: [topLevelTypes.topBlur, topLevelTypes.topCompositionEnd, topLevelTypes.topKeyDown, topLevelTypes.topKeyPress, topLevelTypes.topKeyUp, topLevelTypes.topMouseDown]\n  },\n  compositionStart: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onCompositionStart: null }),\n      captured: keyOf({ onCompositionStartCapture: null })\n    },\n    dependencies: [topLevelTypes.topBlur, topLevelTypes.topCompositionStart, topLevelTypes.topKeyDown, topLevelTypes.topKeyPress, topLevelTypes.topKeyUp, topLevelTypes.topMouseDown]\n  },\n  compositionUpdate: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onCompositionUpdate: null }),\n      captured: keyOf({ onCompositionUpdateCapture: null })\n    },\n    dependencies: [topLevelTypes.topBlur, topLevelTypes.topCompositionUpdate, topLevelTypes.topKeyDown, topLevelTypes.topKeyPress, topLevelTypes.topKeyUp, topLevelTypes.topMouseDown]\n  }\n};\n\n// Track whether we've ever handled a keypress on the space key.\nvar hasSpaceKeypress = false;\n\n/**\n * Return whether a native keypress event is assumed to be a command.\n * This is required because Firefox fires `keypress` events for key commands\n * (cut, copy, select-all, etc.) even though no character is inserted.\n */\nfunction isKeypressCommand(nativeEvent) {\n  return (nativeEvent.ctrlKey || nativeEvent.altKey || nativeEvent.metaKey) &&\n  // ctrlKey && altKey is equivalent to AltGr, and is not a command.\n  !(nativeEvent.ctrlKey && nativeEvent.altKey);\n}\n\n/**\n * Translate native top level events into event types.\n *\n * @param {string} topLevelType\n * @return {object}\n */\nfunction getCompositionEventType(topLevelType) {\n  switch (topLevelType) {\n    case topLevelTypes.topCompositionStart:\n      return eventTypes.compositionStart;\n    case topLevelTypes.topCompositionEnd:\n      return eventTypes.compositionEnd;\n    case topLevelTypes.topCompositionUpdate:\n      return eventTypes.compositionUpdate;\n  }\n}\n\n/**\n * Does our fallback best-guess model think this event signifies that\n * composition has begun?\n *\n * @param {string} topLevelType\n * @param {object} nativeEvent\n * @return {boolean}\n */\nfunction isFallbackCompositionStart(topLevelType, nativeEvent) {\n  return topLevelType === topLevelTypes.topKeyDown && nativeEvent.keyCode === START_KEYCODE;\n}\n\n/**\n * Does our fallback mode think that this event is the end of composition?\n *\n * @param {string} topLevelType\n * @param {object} nativeEvent\n * @return {boolean}\n */\nfunction isFallbackCompositionEnd(topLevelType, nativeEvent) {\n  switch (topLevelType) {\n    case topLevelTypes.topKeyUp:\n      // Command keys insert or clear IME input.\n      return END_KEYCODES.indexOf(nativeEvent.keyCode) !== -1;\n    case topLevelTypes.topKeyDown:\n      // Expect IME keyCode on each keydown. If we get any other\n      // code we must have exited earlier.\n      return nativeEvent.keyCode !== START_KEYCODE;\n    case topLevelTypes.topKeyPress:\n    case topLevelTypes.topMouseDown:\n    case topLevelTypes.topBlur:\n      // Events are not possible without cancelling IME.\n      return true;\n    default:\n      return false;\n  }\n}\n\n/**\n * Google Input Tools provides composition data via a CustomEvent,\n * with the `data` property populated in the `detail` object. If this\n * is available on the event object, use it. If not, this is a plain\n * composition event and we have nothing special to extract.\n *\n * @param {object} nativeEvent\n * @return {?string}\n */\nfunction getDataFromCustomEvent(nativeEvent) {\n  var detail = nativeEvent.detail;\n  if (typeof detail === 'object' && 'data' in detail) {\n    return detail.data;\n  }\n  return null;\n}\n\n// Track the current IME composition fallback object, if any.\nvar currentComposition = null;\n\n/**\n * @param {string} topLevelType Record from `EventConstants`.\n * @param {DOMEventTarget} topLevelTarget The listening component root node.\n * @param {string} topLevelTargetID ID of `topLevelTarget`.\n * @param {object} nativeEvent Native browser event.\n * @return {?object} A SyntheticCompositionEvent.\n */\nfunction extractCompositionEvent(topLevelType, topLevelTarget, topLevelTargetID, nativeEvent, nativeEventTarget) {\n  var eventType;\n  var fallbackData;\n\n  if (canUseCompositionEvent) {\n    eventType = getCompositionEventType(topLevelType);\n  } else if (!currentComposition) {\n    if (isFallbackCompositionStart(topLevelType, nativeEvent)) {\n      eventType = eventTypes.compositionStart;\n    }\n  } else if (isFallbackCompositionEnd(topLevelType, nativeEvent)) {\n    eventType = eventTypes.compositionEnd;\n  }\n\n  if (!eventType) {\n    return null;\n  }\n\n  if (useFallbackCompositionData) {\n    // The current composition is stored statically and must not be\n    // overwritten while composition continues.\n    if (!currentComposition && eventType === eventTypes.compositionStart) {\n      currentComposition = FallbackCompositionState.getPooled(topLevelTarget);\n    } else if (eventType === eventTypes.compositionEnd) {\n      if (currentComposition) {\n        fallbackData = currentComposition.getData();\n      }\n    }\n  }\n\n  var event = SyntheticCompositionEvent.getPooled(eventType, topLevelTargetID, nativeEvent, nativeEventTarget);\n\n  if (fallbackData) {\n    // Inject data generated from fallback path into the synthetic event.\n    // This matches the property of native CompositionEventInterface.\n    event.data = fallbackData;\n  } else {\n    var customData = getDataFromCustomEvent(nativeEvent);\n    if (customData !== null) {\n      event.data = customData;\n    }\n  }\n\n  EventPropagators.accumulateTwoPhaseDispatches(event);\n  return event;\n}\n\n/**\n * @param {string} topLevelType Record from `EventConstants`.\n * @param {object} nativeEvent Native browser event.\n * @return {?string} The string corresponding to this `beforeInput` event.\n */\nfunction getNativeBeforeInputChars(topLevelType, nativeEvent) {\n  switch (topLevelType) {\n    case topLevelTypes.topCompositionEnd:\n      return getDataFromCustomEvent(nativeEvent);\n    case topLevelTypes.topKeyPress:\n      /**\n       * If native `textInput` events are available, our goal is to make\n       * use of them. However, there is a special case: the spacebar key.\n       * In Webkit, preventing default on a spacebar `textInput` event\n       * cancels character insertion, but it *also* causes the browser\n       * to fall back to its default spacebar behavior of scrolling the\n       * page.\n       *\n       * Tracking at:\n       * https://code.google.com/p/chromium/issues/detail?id=355103\n       *\n       * To avoid this issue, use the keypress event as if no `textInput`\n       * event is available.\n       */\n      var which = nativeEvent.which;\n      if (which !== SPACEBAR_CODE) {\n        return null;\n      }\n\n      hasSpaceKeypress = true;\n      return SPACEBAR_CHAR;\n\n    case topLevelTypes.topTextInput:\n      // Record the characters to be added to the DOM.\n      var chars = nativeEvent.data;\n\n      // If it's a spacebar character, assume that we have already handled\n      // it at the keypress level and bail immediately. Android Chrome\n      // doesn't give us keycodes, so we need to blacklist it.\n      if (chars === SPACEBAR_CHAR && hasSpaceKeypress) {\n        return null;\n      }\n\n      return chars;\n\n    default:\n      // For other native event types, do nothing.\n      return null;\n  }\n}\n\n/**\n * For browsers that do not provide the `textInput` event, extract the\n * appropriate string to use for SyntheticInputEvent.\n *\n * @param {string} topLevelType Record from `EventConstants`.\n * @param {object} nativeEvent Native browser event.\n * @return {?string} The fallback string for this `beforeInput` event.\n */\nfunction getFallbackBeforeInputChars(topLevelType, nativeEvent) {\n  // If we are currently composing (IME) and using a fallback to do so,\n  // try to extract the composed characters from the fallback object.\n  if (currentComposition) {\n    if (topLevelType === topLevelTypes.topCompositionEnd || isFallbackCompositionEnd(topLevelType, nativeEvent)) {\n      var chars = currentComposition.getData();\n      FallbackCompositionState.release(currentComposition);\n      currentComposition = null;\n      return chars;\n    }\n    return null;\n  }\n\n  switch (topLevelType) {\n    case topLevelTypes.topPaste:\n      // If a paste event occurs after a keypress, throw out the input\n      // chars. Paste events should not lead to BeforeInput events.\n      return null;\n    case topLevelTypes.topKeyPress:\n      /**\n       * As of v27, Firefox may fire keypress events even when no character\n       * will be inserted. A few possibilities:\n       *\n       * - `which` is `0`. Arrow keys, Esc key, etc.\n       *\n       * - `which` is the pressed key code, but no char is available.\n       *   Ex: 'AltGr + d` in Polish. There is no modified character for\n       *   this key combination and no character is inserted into the\n       *   document, but FF fires the keypress for char code `100` anyway.\n       *   No `input` event will occur.\n       *\n       * - `which` is the pressed key code, but a command combination is\n       *   being used. Ex: `Cmd+C`. No character is inserted, and no\n       *   `input` event will occur.\n       */\n      if (nativeEvent.which && !isKeypressCommand(nativeEvent)) {\n        return String.fromCharCode(nativeEvent.which);\n      }\n      return null;\n    case topLevelTypes.topCompositionEnd:\n      return useFallbackCompositionData ? null : nativeEvent.data;\n    default:\n      return null;\n  }\n}\n\n/**\n * Extract a SyntheticInputEvent for `beforeInput`, based on either native\n * `textInput` or fallback behavior.\n *\n * @param {string} topLevelType Record from `EventConstants`.\n * @param {DOMEventTarget} topLevelTarget The listening component root node.\n * @param {string} topLevelTargetID ID of `topLevelTarget`.\n * @param {object} nativeEvent Native browser event.\n * @return {?object} A SyntheticInputEvent.\n */\nfunction extractBeforeInputEvent(topLevelType, topLevelTarget, topLevelTargetID, nativeEvent, nativeEventTarget) {\n  var chars;\n\n  if (canUseTextInputEvent) {\n    chars = getNativeBeforeInputChars(topLevelType, nativeEvent);\n  } else {\n    chars = getFallbackBeforeInputChars(topLevelType, nativeEvent);\n  }\n\n  // If no characters are being inserted, no BeforeInput event should\n  // be fired.\n  if (!chars) {\n    return null;\n  }\n\n  var event = SyntheticInputEvent.getPooled(eventTypes.beforeInput, topLevelTargetID, nativeEvent, nativeEventTarget);\n\n  event.data = chars;\n  EventPropagators.accumulateTwoPhaseDispatches(event);\n  return event;\n}\n\n/**\n * Create an `onBeforeInput` event to match\n * http://www.w3.org/TR/2013/WD-DOM-Level-3-Events-20131105/#events-inputevents.\n *\n * This event plugin is based on the native `textInput` event\n * available in Chrome, Safari, Opera, and IE. This event fires after\n * `onKeyPress` and `onCompositionEnd`, but before `onInput`.\n *\n * `beforeInput` is spec'd but not implemented in any browsers, and\n * the `input` event does not provide any useful information about what has\n * actually been added, contrary to the spec. Thus, `textInput` is the best\n * available event to identify the characters that have actually been inserted\n * into the target node.\n *\n * This plugin is also responsible for emitting `composition` events, thus\n * allowing us to share composition fallback code for both `beforeInput` and\n * `composition` event types.\n */\nvar BeforeInputEventPlugin = {\n\n  eventTypes: eventTypes,\n\n  /**\n   * @param {string} topLevelType Record from `EventConstants`.\n   * @param {DOMEventTarget} topLevelTarget The listening component root node.\n   * @param {string} topLevelTargetID ID of `topLevelTarget`.\n   * @param {object} nativeEvent Native browser event.\n   * @return {*} An accumulation of synthetic events.\n   * @see {EventPluginHub.extractEvents}\n   */\n  extractEvents: function (topLevelType, topLevelTarget, topLevelTargetID, nativeEvent, nativeEventTarget) {\n    return [extractCompositionEvent(topLevelType, topLevelTarget, topLevelTargetID, nativeEvent, nativeEventTarget), extractBeforeInputEvent(topLevelType, topLevelTarget, topLevelTargetID, nativeEvent, nativeEventTarget)];\n  }\n};\n\nmodule.exports = BeforeInputEventPlugin;\n},{\"103\":103,\"107\":107,\"147\":147,\"15\":15,\"166\":166,\"19\":19,\"20\":20}],4:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule CSSProperty\n */\n\n'use strict';\n\n/**\n * CSS properties which accept numbers but are not in units of \"px\".\n */\nvar isUnitlessNumber = {\n  animationIterationCount: true,\n  boxFlex: true,\n  boxFlexGroup: true,\n  boxOrdinalGroup: true,\n  columnCount: true,\n  flex: true,\n  flexGrow: true,\n  flexPositive: true,\n  flexShrink: true,\n  flexNegative: true,\n  flexOrder: true,\n  fontWeight: true,\n  lineClamp: true,\n  lineHeight: true,\n  opacity: true,\n  order: true,\n  orphans: true,\n  tabSize: true,\n  widows: true,\n  zIndex: true,\n  zoom: true,\n\n  // SVG-related properties\n  fillOpacity: true,\n  stopOpacity: true,\n  strokeDashoffset: true,\n  strokeOpacity: true,\n  strokeWidth: true\n};\n\n/**\n * @param {string} prefix vendor-specific prefix, eg: Webkit\n * @param {string} key style name, eg: transitionDuration\n * @return {string} style name prefixed with `prefix`, properly camelCased, eg:\n * WebkitTransitionDuration\n */\nfunction prefixKey(prefix, key) {\n  return prefix + key.charAt(0).toUpperCase() + key.substring(1);\n}\n\n/**\n * Support style names that may come passed in prefixed by adding permutations\n * of vendor prefixes.\n */\nvar prefixes = ['Webkit', 'ms', 'Moz', 'O'];\n\n// Using Object.keys here, or else the vanilla for-in loop makes IE8 go into an\n// infinite loop, because it iterates over the newly added props too.\nObject.keys(isUnitlessNumber).forEach(function (prop) {\n  prefixes.forEach(function (prefix) {\n    isUnitlessNumber[prefixKey(prefix, prop)] = isUnitlessNumber[prop];\n  });\n});\n\n/**\n * Most style properties can be unset by doing .style[prop] = '' but IE8\n * doesn't like doing that with shorthand properties so for the properties that\n * IE8 breaks on, which are listed here, we instead unset each of the\n * individual properties. See http://bugs.jquery.com/ticket/12385.\n * The 4-value 'clock' properties like margin, padding, border-width seem to\n * behave without any problems. Curiously, list-style works too without any\n * special prodding.\n */\nvar shorthandPropertyExpansions = {\n  background: {\n    backgroundAttachment: true,\n    backgroundColor: true,\n    backgroundImage: true,\n    backgroundPositionX: true,\n    backgroundPositionY: true,\n    backgroundRepeat: true\n  },\n  backgroundPosition: {\n    backgroundPositionX: true,\n    backgroundPositionY: true\n  },\n  border: {\n    borderWidth: true,\n    borderStyle: true,\n    borderColor: true\n  },\n  borderBottom: {\n    borderBottomWidth: true,\n    borderBottomStyle: true,\n    borderBottomColor: true\n  },\n  borderLeft: {\n    borderLeftWidth: true,\n    borderLeftStyle: true,\n    borderLeftColor: true\n  },\n  borderRight: {\n    borderRightWidth: true,\n    borderRightStyle: true,\n    borderRightColor: true\n  },\n  borderTop: {\n    borderTopWidth: true,\n    borderTopStyle: true,\n    borderTopColor: true\n  },\n  font: {\n    fontStyle: true,\n    fontVariant: true,\n    fontWeight: true,\n    fontSize: true,\n    lineHeight: true,\n    fontFamily: true\n  },\n  outline: {\n    outlineWidth: true,\n    outlineStyle: true,\n    outlineColor: true\n  }\n};\n\nvar CSSProperty = {\n  isUnitlessNumber: isUnitlessNumber,\n  shorthandPropertyExpansions: shorthandPropertyExpansions\n};\n\nmodule.exports = CSSProperty;\n},{}],5:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule CSSPropertyOperations\n * @typechecks static-only\n */\n\n'use strict';\n\nvar CSSProperty = _dereq_(4);\nvar ExecutionEnvironment = _dereq_(147);\nvar ReactPerf = _dereq_(78);\n\nvar camelizeStyleName = _dereq_(149);\nvar dangerousStyleValue = _dereq_(119);\nvar hyphenateStyleName = _dereq_(160);\nvar memoizeStringOnly = _dereq_(168);\nvar warning = _dereq_(173);\n\nvar processStyleName = memoizeStringOnly(function (styleName) {\n  return hyphenateStyleName(styleName);\n});\n\nvar hasShorthandPropertyBug = false;\nvar styleFloatAccessor = 'cssFloat';\nif (ExecutionEnvironment.canUseDOM) {\n  var tempStyle = document.createElement('div').style;\n  try {\n    // IE8 throws \"Invalid argument.\" if resetting shorthand style properties.\n    tempStyle.font = '';\n  } catch (e) {\n    hasShorthandPropertyBug = true;\n  }\n  // IE8 only supports accessing cssFloat (standard) as styleFloat\n  if (document.documentElement.style.cssFloat === undefined) {\n    styleFloatAccessor = 'styleFloat';\n  }\n}\n\nif (\"development\" !== 'production') {\n  // 'msTransform' is correct, but the other prefixes should be capitalized\n  var badVendoredStyleNamePattern = /^(?:webkit|moz|o)[A-Z]/;\n\n  // style values shouldn't contain a semicolon\n  var badStyleValueWithSemicolonPattern = /;\\s*$/;\n\n  var warnedStyleNames = {};\n  var warnedStyleValues = {};\n\n  var warnHyphenatedStyleName = function (name) {\n    if (warnedStyleNames.hasOwnProperty(name) && warnedStyleNames[name]) {\n      return;\n    }\n\n    warnedStyleNames[name] = true;\n    \"development\" !== 'production' ? warning(false, 'Unsupported style property %s. Did you mean %s?', name, camelizeStyleName(name)) : undefined;\n  };\n\n  var warnBadVendoredStyleName = function (name) {\n    if (warnedStyleNames.hasOwnProperty(name) && warnedStyleNames[name]) {\n      return;\n    }\n\n    warnedStyleNames[name] = true;\n    \"development\" !== 'production' ? warning(false, 'Unsupported vendor-prefixed style property %s. Did you mean %s?', name, name.charAt(0).toUpperCase() + name.slice(1)) : undefined;\n  };\n\n  var warnStyleValueWithSemicolon = function (name, value) {\n    if (warnedStyleValues.hasOwnProperty(value) && warnedStyleValues[value]) {\n      return;\n    }\n\n    warnedStyleValues[value] = true;\n    \"development\" !== 'production' ? warning(false, 'Style property values shouldn\\'t contain a semicolon. ' + 'Try \"%s: %s\" instead.', name, value.replace(badStyleValueWithSemicolonPattern, '')) : undefined;\n  };\n\n  /**\n   * @param {string} name\n   * @param {*} value\n   */\n  var warnValidStyle = function (name, value) {\n    if (name.indexOf('-') > -1) {\n      warnHyphenatedStyleName(name);\n    } else if (badVendoredStyleNamePattern.test(name)) {\n      warnBadVendoredStyleName(name);\n    } else if (badStyleValueWithSemicolonPattern.test(value)) {\n      warnStyleValueWithSemicolon(name, value);\n    }\n  };\n}\n\n/**\n * Operations for dealing with CSS properties.\n */\nvar CSSPropertyOperations = {\n\n  /**\n   * Serializes a mapping of style properties for use as inline styles:\n   *\n   *   > createMarkupForStyles({width: '200px', height: 0})\n   *   \"width:200px;height:0;\"\n   *\n   * Undefined values are ignored so that declarative programming is easier.\n   * The result should be HTML-escaped before insertion into the DOM.\n   *\n   * @param {object} styles\n   * @return {?string}\n   */\n  createMarkupForStyles: function (styles) {\n    var serialized = '';\n    for (var styleName in styles) {\n      if (!styles.hasOwnProperty(styleName)) {\n        continue;\n      }\n      var styleValue = styles[styleName];\n      if (\"development\" !== 'production') {\n        warnValidStyle(styleName, styleValue);\n      }\n      if (styleValue != null) {\n        serialized += processStyleName(styleName) + ':';\n        serialized += dangerousStyleValue(styleName, styleValue) + ';';\n      }\n    }\n    return serialized || null;\n  },\n\n  /**\n   * Sets the value for multiple styles on a node.  If a value is specified as\n   * '' (empty string), the corresponding style property will be unset.\n   *\n   * @param {DOMElement} node\n   * @param {object} styles\n   */\n  setValueForStyles: function (node, styles) {\n    var style = node.style;\n    for (var styleName in styles) {\n      if (!styles.hasOwnProperty(styleName)) {\n        continue;\n      }\n      if (\"development\" !== 'production') {\n        warnValidStyle(styleName, styles[styleName]);\n      }\n      var styleValue = dangerousStyleValue(styleName, styles[styleName]);\n      if (styleName === 'float') {\n        styleName = styleFloatAccessor;\n      }\n      if (styleValue) {\n        style[styleName] = styleValue;\n      } else {\n        var expansion = hasShorthandPropertyBug && CSSProperty.shorthandPropertyExpansions[styleName];\n        if (expansion) {\n          // Shorthand property that IE8 won't like unsetting, so unset each\n          // component to placate it\n          for (var individualStyleName in expansion) {\n            style[individualStyleName] = '';\n          }\n        } else {\n          style[styleName] = '';\n        }\n      }\n    }\n  }\n\n};\n\nReactPerf.measureMethods(CSSPropertyOperations, 'CSSPropertyOperations', {\n  setValueForStyles: 'setValueForStyles'\n});\n\nmodule.exports = CSSPropertyOperations;\n},{\"119\":119,\"147\":147,\"149\":149,\"160\":160,\"168\":168,\"173\":173,\"4\":4,\"78\":78}],6:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule CallbackQueue\n */\n\n'use strict';\n\nvar PooledClass = _dereq_(25);\n\nvar assign = _dereq_(24);\nvar invariant = _dereq_(161);\n\n/**\n * A specialized pseudo-event module to help keep track of components waiting to\n * be notified when their DOM representations are available for use.\n *\n * This implements `PooledClass`, so you should never need to instantiate this.\n * Instead, use `CallbackQueue.getPooled()`.\n *\n * @class ReactMountReady\n * @implements PooledClass\n * @internal\n */\nfunction CallbackQueue() {\n  this._callbacks = null;\n  this._contexts = null;\n}\n\nassign(CallbackQueue.prototype, {\n\n  /**\n   * Enqueues a callback to be invoked when `notifyAll` is invoked.\n   *\n   * @param {function} callback Invoked when `notifyAll` is invoked.\n   * @param {?object} context Context to call `callback` with.\n   * @internal\n   */\n  enqueue: function (callback, context) {\n    this._callbacks = this._callbacks || [];\n    this._contexts = this._contexts || [];\n    this._callbacks.push(callback);\n    this._contexts.push(context);\n  },\n\n  /**\n   * Invokes all enqueued callbacks and clears the queue. This is invoked after\n   * the DOM representation of a component has been created or updated.\n   *\n   * @internal\n   */\n  notifyAll: function () {\n    var callbacks = this._callbacks;\n    var contexts = this._contexts;\n    if (callbacks) {\n      !(callbacks.length === contexts.length) ? \"development\" !== 'production' ? invariant(false, 'Mismatched list of contexts in callback queue') : invariant(false) : undefined;\n      this._callbacks = null;\n      this._contexts = null;\n      for (var i = 0; i < callbacks.length; i++) {\n        callbacks[i].call(contexts[i]);\n      }\n      callbacks.length = 0;\n      contexts.length = 0;\n    }\n  },\n\n  /**\n   * Resets the internal queue.\n   *\n   * @internal\n   */\n  reset: function () {\n    this._callbacks = null;\n    this._contexts = null;\n  },\n\n  /**\n   * `PooledClass` looks for this.\n   */\n  destructor: function () {\n    this.reset();\n  }\n\n});\n\nPooledClass.addPoolingTo(CallbackQueue);\n\nmodule.exports = CallbackQueue;\n},{\"161\":161,\"24\":24,\"25\":25}],7:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ChangeEventPlugin\n */\n\n'use strict';\n\nvar EventConstants = _dereq_(15);\nvar EventPluginHub = _dereq_(16);\nvar EventPropagators = _dereq_(19);\nvar ExecutionEnvironment = _dereq_(147);\nvar ReactUpdates = _dereq_(96);\nvar SyntheticEvent = _dereq_(105);\n\nvar getEventTarget = _dereq_(128);\nvar isEventSupported = _dereq_(133);\nvar isTextInputElement = _dereq_(134);\nvar keyOf = _dereq_(166);\n\nvar topLevelTypes = EventConstants.topLevelTypes;\n\nvar eventTypes = {\n  change: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onChange: null }),\n      captured: keyOf({ onChangeCapture: null })\n    },\n    dependencies: [topLevelTypes.topBlur, topLevelTypes.topChange, topLevelTypes.topClick, topLevelTypes.topFocus, topLevelTypes.topInput, topLevelTypes.topKeyDown, topLevelTypes.topKeyUp, topLevelTypes.topSelectionChange]\n  }\n};\n\n/**\n * For IE shims\n */\nvar activeElement = null;\nvar activeElementID = null;\nvar activeElementValue = null;\nvar activeElementValueProp = null;\n\n/**\n * SECTION: handle `change` event\n */\nfunction shouldUseChangeEvent(elem) {\n  var nodeName = elem.nodeName && elem.nodeName.toLowerCase();\n  return nodeName === 'select' || nodeName === 'input' && elem.type === 'file';\n}\n\nvar doesChangeEventBubble = false;\nif (ExecutionEnvironment.canUseDOM) {\n  // See `handleChange` comment below\n  doesChangeEventBubble = isEventSupported('change') && (!('documentMode' in document) || document.documentMode > 8);\n}\n\nfunction manualDispatchChangeEvent(nativeEvent) {\n  var event = SyntheticEvent.getPooled(eventTypes.change, activeElementID, nativeEvent, getEventTarget(nativeEvent));\n  EventPropagators.accumulateTwoPhaseDispatches(event);\n\n  // If change and propertychange bubbled, we'd just bind to it like all the\n  // other events and have it go through ReactBrowserEventEmitter. Since it\n  // doesn't, we manually listen for the events and so we have to enqueue and\n  // process the abstract event manually.\n  //\n  // Batching is necessary here in order to ensure that all event handlers run\n  // before the next rerender (including event handlers attached to ancestor\n  // elements instead of directly on the input). Without this, controlled\n  // components don't work properly in conjunction with event bubbling because\n  // the component is rerendered and the value reverted before all the event\n  // handlers can run. See https://github.com/facebook/react/issues/708.\n  ReactUpdates.batchedUpdates(runEventInBatch, event);\n}\n\nfunction runEventInBatch(event) {\n  EventPluginHub.enqueueEvents(event);\n  EventPluginHub.processEventQueue(false);\n}\n\nfunction startWatchingForChangeEventIE8(target, targetID) {\n  activeElement = target;\n  activeElementID = targetID;\n  activeElement.attachEvent('onchange', manualDispatchChangeEvent);\n}\n\nfunction stopWatchingForChangeEventIE8() {\n  if (!activeElement) {\n    return;\n  }\n  activeElement.detachEvent('onchange', manualDispatchChangeEvent);\n  activeElement = null;\n  activeElementID = null;\n}\n\nfunction getTargetIDForChangeEvent(topLevelType, topLevelTarget, topLevelTargetID) {\n  if (topLevelType === topLevelTypes.topChange) {\n    return topLevelTargetID;\n  }\n}\nfunction handleEventsForChangeEventIE8(topLevelType, topLevelTarget, topLevelTargetID) {\n  if (topLevelType === topLevelTypes.topFocus) {\n    // stopWatching() should be a noop here but we call it just in case we\n    // missed a blur event somehow.\n    stopWatchingForChangeEventIE8();\n    startWatchingForChangeEventIE8(topLevelTarget, topLevelTargetID);\n  } else if (topLevelType === topLevelTypes.topBlur) {\n    stopWatchingForChangeEventIE8();\n  }\n}\n\n/**\n * SECTION: handle `input` event\n */\nvar isInputEventSupported = false;\nif (ExecutionEnvironment.canUseDOM) {\n  // IE9 claims to support the input event but fails to trigger it when\n  // deleting text, so we ignore its input events\n  isInputEventSupported = isEventSupported('input') && (!('documentMode' in document) || document.documentMode > 9);\n}\n\n/**\n * (For old IE.) Replacement getter/setter for the `value` property that gets\n * set on the active element.\n */\nvar newValueProp = {\n  get: function () {\n    return activeElementValueProp.get.call(this);\n  },\n  set: function (val) {\n    // Cast to a string so we can do equality checks.\n    activeElementValue = '' + val;\n    activeElementValueProp.set.call(this, val);\n  }\n};\n\n/**\n * (For old IE.) Starts tracking propertychange events on the passed-in element\n * and override the value property so that we can distinguish user events from\n * value changes in JS.\n */\nfunction startWatchingForValueChange(target, targetID) {\n  activeElement = target;\n  activeElementID = targetID;\n  activeElementValue = target.value;\n  activeElementValueProp = Object.getOwnPropertyDescriptor(target.constructor.prototype, 'value');\n\n  // Not guarded in a canDefineProperty check: IE8 supports defineProperty only\n  // on DOM elements\n  Object.defineProperty(activeElement, 'value', newValueProp);\n  activeElement.attachEvent('onpropertychange', handlePropertyChange);\n}\n\n/**\n * (For old IE.) Removes the event listeners from the currently-tracked element,\n * if any exists.\n */\nfunction stopWatchingForValueChange() {\n  if (!activeElement) {\n    return;\n  }\n\n  // delete restores the original property definition\n  delete activeElement.value;\n  activeElement.detachEvent('onpropertychange', handlePropertyChange);\n\n  activeElement = null;\n  activeElementID = null;\n  activeElementValue = null;\n  activeElementValueProp = null;\n}\n\n/**\n * (For old IE.) Handles a propertychange event, sending a `change` event if\n * the value of the active element has changed.\n */\nfunction handlePropertyChange(nativeEvent) {\n  if (nativeEvent.propertyName !== 'value') {\n    return;\n  }\n  var value = nativeEvent.srcElement.value;\n  if (value === activeElementValue) {\n    return;\n  }\n  activeElementValue = value;\n\n  manualDispatchChangeEvent(nativeEvent);\n}\n\n/**\n * If a `change` event should be fired, returns the target's ID.\n */\nfunction getTargetIDForInputEvent(topLevelType, topLevelTarget, topLevelTargetID) {\n  if (topLevelType === topLevelTypes.topInput) {\n    // In modern browsers (i.e., not IE8 or IE9), the input event is exactly\n    // what we want so fall through here and trigger an abstract event\n    return topLevelTargetID;\n  }\n}\n\n// For IE8 and IE9.\nfunction handleEventsForInputEventIE(topLevelType, topLevelTarget, topLevelTargetID) {\n  if (topLevelType === topLevelTypes.topFocus) {\n    // In IE8, we can capture almost all .value changes by adding a\n    // propertychange handler and looking for events with propertyName\n    // equal to 'value'\n    // In IE9, propertychange fires for most input events but is buggy and\n    // doesn't fire when text is deleted, but conveniently, selectionchange\n    // appears to fire in all of the remaining cases so we catch those and\n    // forward the event if the value has changed\n    // In either case, we don't want to call the event handler if the value\n    // is changed from JS so we redefine a setter for `.value` that updates\n    // our activeElementValue variable, allowing us to ignore those changes\n    //\n    // stopWatching() should be a noop here but we call it just in case we\n    // missed a blur event somehow.\n    stopWatchingForValueChange();\n    startWatchingForValueChange(topLevelTarget, topLevelTargetID);\n  } else if (topLevelType === topLevelTypes.topBlur) {\n    stopWatchingForValueChange();\n  }\n}\n\n// For IE8 and IE9.\nfunction getTargetIDForInputEventIE(topLevelType, topLevelTarget, topLevelTargetID) {\n  if (topLevelType === topLevelTypes.topSelectionChange || topLevelType === topLevelTypes.topKeyUp || topLevelType === topLevelTypes.topKeyDown) {\n    // On the selectionchange event, the target is just document which isn't\n    // helpful for us so just check activeElement instead.\n    //\n    // 99% of the time, keydown and keyup aren't necessary. IE8 fails to fire\n    // propertychange on the first input event after setting `value` from a\n    // script and fires only keydown, keypress, keyup. Catching keyup usually\n    // gets it and catching keydown lets us fire an event for the first\n    // keystroke if user does a key repeat (it'll be a little delayed: right\n    // before the second keystroke). Other input methods (e.g., paste) seem to\n    // fire selectionchange normally.\n    if (activeElement && activeElement.value !== activeElementValue) {\n      activeElementValue = activeElement.value;\n      return activeElementID;\n    }\n  }\n}\n\n/**\n * SECTION: handle `click` event\n */\nfunction shouldUseClickEvent(elem) {\n  // Use the `click` event to detect changes to checkbox and radio inputs.\n  // This approach works across all browsers, whereas `change` does not fire\n  // until `blur` in IE8.\n  return elem.nodeName && elem.nodeName.toLowerCase() === 'input' && (elem.type === 'checkbox' || elem.type === 'radio');\n}\n\nfunction getTargetIDForClickEvent(topLevelType, topLevelTarget, topLevelTargetID) {\n  if (topLevelType === topLevelTypes.topClick) {\n    return topLevelTargetID;\n  }\n}\n\n/**\n * This plugin creates an `onChange` event that normalizes change events\n * across form elements. This event fires at a time when it's possible to\n * change the element's value without seeing a flicker.\n *\n * Supported elements are:\n * - input (see `isTextInputElement`)\n * - textarea\n * - select\n */\nvar ChangeEventPlugin = {\n\n  eventTypes: eventTypes,\n\n  /**\n   * @param {string} topLevelType Record from `EventConstants`.\n   * @param {DOMEventTarget} topLevelTarget The listening component root node.\n   * @param {string} topLevelTargetID ID of `topLevelTarget`.\n   * @param {object} nativeEvent Native browser event.\n   * @return {*} An accumulation of synthetic events.\n   * @see {EventPluginHub.extractEvents}\n   */\n  extractEvents: function (topLevelType, topLevelTarget, topLevelTargetID, nativeEvent, nativeEventTarget) {\n\n    var getTargetIDFunc, handleEventFunc;\n    if (shouldUseChangeEvent(topLevelTarget)) {\n      if (doesChangeEventBubble) {\n        getTargetIDFunc = getTargetIDForChangeEvent;\n      } else {\n        handleEventFunc = handleEventsForChangeEventIE8;\n      }\n    } else if (isTextInputElement(topLevelTarget)) {\n      if (isInputEventSupported) {\n        getTargetIDFunc = getTargetIDForInputEvent;\n      } else {\n        getTargetIDFunc = getTargetIDForInputEventIE;\n        handleEventFunc = handleEventsForInputEventIE;\n      }\n    } else if (shouldUseClickEvent(topLevelTarget)) {\n      getTargetIDFunc = getTargetIDForClickEvent;\n    }\n\n    if (getTargetIDFunc) {\n      var targetID = getTargetIDFunc(topLevelType, topLevelTarget, topLevelTargetID);\n      if (targetID) {\n        var event = SyntheticEvent.getPooled(eventTypes.change, targetID, nativeEvent, nativeEventTarget);\n        event.type = 'change';\n        EventPropagators.accumulateTwoPhaseDispatches(event);\n        return event;\n      }\n    }\n\n    if (handleEventFunc) {\n      handleEventFunc(topLevelType, topLevelTarget, topLevelTargetID);\n    }\n  }\n\n};\n\nmodule.exports = ChangeEventPlugin;\n},{\"105\":105,\"128\":128,\"133\":133,\"134\":134,\"147\":147,\"15\":15,\"16\":16,\"166\":166,\"19\":19,\"96\":96}],8:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ClientReactRootIndex\n * @typechecks\n */\n\n'use strict';\n\nvar nextReactRootIndex = 0;\n\nvar ClientReactRootIndex = {\n  createReactRootIndex: function () {\n    return nextReactRootIndex++;\n  }\n};\n\nmodule.exports = ClientReactRootIndex;\n},{}],9:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule DOMChildrenOperations\n * @typechecks static-only\n */\n\n'use strict';\n\nvar Danger = _dereq_(12);\nvar ReactMultiChildUpdateTypes = _dereq_(74);\nvar ReactPerf = _dereq_(78);\n\nvar setInnerHTML = _dereq_(138);\nvar setTextContent = _dereq_(139);\nvar invariant = _dereq_(161);\n\n/**\n * Inserts `childNode` as a child of `parentNode` at the `index`.\n *\n * @param {DOMElement} parentNode Parent node in which to insert.\n * @param {DOMElement} childNode Child node to insert.\n * @param {number} index Index at which to insert the child.\n * @internal\n */\nfunction insertChildAt(parentNode, childNode, index) {\n  // By exploiting arrays returning `undefined` for an undefined index, we can\n  // rely exclusively on `insertBefore(node, null)` instead of also using\n  // `appendChild(node)`. However, using `undefined` is not allowed by all\n  // browsers so we must replace it with `null`.\n\n  // fix render order error in safari\n  // IE8 will throw error when index out of list size.\n  var beforeChild = index >= parentNode.childNodes.length ? null : parentNode.childNodes.item(index);\n\n  parentNode.insertBefore(childNode, beforeChild);\n}\n\n/**\n * Operations for updating with DOM children.\n */\nvar DOMChildrenOperations = {\n\n  dangerouslyReplaceNodeWithMarkup: Danger.dangerouslyReplaceNodeWithMarkup,\n\n  updateTextContent: setTextContent,\n\n  /**\n   * Updates a component's children by processing a series of updates. The\n   * update configurations are each expected to have a `parentNode` property.\n   *\n   * @param {array<object>} updates List of update configurations.\n   * @param {array<string>} markupList List of markup strings.\n   * @internal\n   */\n  processUpdates: function (updates, markupList) {\n    var update;\n    // Mapping from parent IDs to initial child orderings.\n    var initialChildren = null;\n    // List of children that will be moved or removed.\n    var updatedChildren = null;\n\n    for (var i = 0; i < updates.length; i++) {\n      update = updates[i];\n      if (update.type === ReactMultiChildUpdateTypes.MOVE_EXISTING || update.type === ReactMultiChildUpdateTypes.REMOVE_NODE) {\n        var updatedIndex = update.fromIndex;\n        var updatedChild = update.parentNode.childNodes[updatedIndex];\n        var parentID = update.parentID;\n\n        !updatedChild ? \"development\" !== 'production' ? invariant(false, 'processUpdates(): Unable to find child %s of element. This ' + 'probably means the DOM was unexpectedly mutated (e.g., by the ' + 'browser), usually due to forgetting a <tbody> when using tables, ' + 'nesting tags like <form>, <p>, or <a>, or using non-SVG elements ' + 'in an <svg> parent. Try inspecting the child nodes of the element ' + 'with React ID `%s`.', updatedIndex, parentID) : invariant(false) : undefined;\n\n        initialChildren = initialChildren || {};\n        initialChildren[parentID] = initialChildren[parentID] || [];\n        initialChildren[parentID][updatedIndex] = updatedChild;\n\n        updatedChildren = updatedChildren || [];\n        updatedChildren.push(updatedChild);\n      }\n    }\n\n    var renderedMarkup;\n    // markupList is either a list of markup or just a list of elements\n    if (markupList.length && typeof markupList[0] === 'string') {\n      renderedMarkup = Danger.dangerouslyRenderMarkup(markupList);\n    } else {\n      renderedMarkup = markupList;\n    }\n\n    // Remove updated children first so that `toIndex` is consistent.\n    if (updatedChildren) {\n      for (var j = 0; j < updatedChildren.length; j++) {\n        updatedChildren[j].parentNode.removeChild(updatedChildren[j]);\n      }\n    }\n\n    for (var k = 0; k < updates.length; k++) {\n      update = updates[k];\n      switch (update.type) {\n        case ReactMultiChildUpdateTypes.INSERT_MARKUP:\n          insertChildAt(update.parentNode, renderedMarkup[update.markupIndex], update.toIndex);\n          break;\n        case ReactMultiChildUpdateTypes.MOVE_EXISTING:\n          insertChildAt(update.parentNode, initialChildren[update.parentID][update.fromIndex], update.toIndex);\n          break;\n        case ReactMultiChildUpdateTypes.SET_MARKUP:\n          setInnerHTML(update.parentNode, update.content);\n          break;\n        case ReactMultiChildUpdateTypes.TEXT_CONTENT:\n          setTextContent(update.parentNode, update.content);\n          break;\n        case ReactMultiChildUpdateTypes.REMOVE_NODE:\n          // Already removed by the for-loop above.\n          break;\n      }\n    }\n  }\n\n};\n\nReactPerf.measureMethods(DOMChildrenOperations, 'DOMChildrenOperations', {\n  updateTextContent: 'updateTextContent'\n});\n\nmodule.exports = DOMChildrenOperations;\n},{\"12\":12,\"138\":138,\"139\":139,\"161\":161,\"74\":74,\"78\":78}],10:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule DOMProperty\n * @typechecks static-only\n */\n\n'use strict';\n\nvar invariant = _dereq_(161);\n\nfunction checkMask(value, bitmask) {\n  return (value & bitmask) === bitmask;\n}\n\nvar DOMPropertyInjection = {\n  /**\n   * Mapping from normalized, camelcased property names to a configuration that\n   * specifies how the associated DOM property should be accessed or rendered.\n   */\n  MUST_USE_ATTRIBUTE: 0x1,\n  MUST_USE_PROPERTY: 0x2,\n  HAS_SIDE_EFFECTS: 0x4,\n  HAS_BOOLEAN_VALUE: 0x8,\n  HAS_NUMERIC_VALUE: 0x10,\n  HAS_POSITIVE_NUMERIC_VALUE: 0x20 | 0x10,\n  HAS_OVERLOADED_BOOLEAN_VALUE: 0x40,\n\n  /**\n   * Inject some specialized knowledge about the DOM. This takes a config object\n   * with the following properties:\n   *\n   * isCustomAttribute: function that given an attribute name will return true\n   * if it can be inserted into the DOM verbatim. Useful for data-* or aria-*\n   * attributes where it's impossible to enumerate all of the possible\n   * attribute names,\n   *\n   * Properties: object mapping DOM property name to one of the\n   * DOMPropertyInjection constants or null. If your attribute isn't in here,\n   * it won't get written to the DOM.\n   *\n   * DOMAttributeNames: object mapping React attribute name to the DOM\n   * attribute name. Attribute names not specified use the **lowercase**\n   * normalized name.\n   *\n   * DOMAttributeNamespaces: object mapping React attribute name to the DOM\n   * attribute namespace URL. (Attribute names not specified use no namespace.)\n   *\n   * DOMPropertyNames: similar to DOMAttributeNames but for DOM properties.\n   * Property names not specified use the normalized name.\n   *\n   * DOMMutationMethods: Properties that require special mutation methods. If\n   * `value` is undefined, the mutation method should unset the property.\n   *\n   * @param {object} domPropertyConfig the config as described above.\n   */\n  injectDOMPropertyConfig: function (domPropertyConfig) {\n    var Injection = DOMPropertyInjection;\n    var Properties = domPropertyConfig.Properties || {};\n    var DOMAttributeNamespaces = domPropertyConfig.DOMAttributeNamespaces || {};\n    var DOMAttributeNames = domPropertyConfig.DOMAttributeNames || {};\n    var DOMPropertyNames = domPropertyConfig.DOMPropertyNames || {};\n    var DOMMutationMethods = domPropertyConfig.DOMMutationMethods || {};\n\n    if (domPropertyConfig.isCustomAttribute) {\n      DOMProperty._isCustomAttributeFunctions.push(domPropertyConfig.isCustomAttribute);\n    }\n\n    for (var propName in Properties) {\n      !!DOMProperty.properties.hasOwnProperty(propName) ? \"development\" !== 'production' ? invariant(false, 'injectDOMPropertyConfig(...): You\\'re trying to inject DOM property ' + '\\'%s\\' which has already been injected. You may be accidentally ' + 'injecting the same DOM property config twice, or you may be ' + 'injecting two configs that have conflicting property names.', propName) : invariant(false) : undefined;\n\n      var lowerCased = propName.toLowerCase();\n      var propConfig = Properties[propName];\n\n      var propertyInfo = {\n        attributeName: lowerCased,\n        attributeNamespace: null,\n        propertyName: propName,\n        mutationMethod: null,\n\n        mustUseAttribute: checkMask(propConfig, Injection.MUST_USE_ATTRIBUTE),\n        mustUseProperty: checkMask(propConfig, Injection.MUST_USE_PROPERTY),\n        hasSideEffects: checkMask(propConfig, Injection.HAS_SIDE_EFFECTS),\n        hasBooleanValue: checkMask(propConfig, Injection.HAS_BOOLEAN_VALUE),\n        hasNumericValue: checkMask(propConfig, Injection.HAS_NUMERIC_VALUE),\n        hasPositiveNumericValue: checkMask(propConfig, Injection.HAS_POSITIVE_NUMERIC_VALUE),\n        hasOverloadedBooleanValue: checkMask(propConfig, Injection.HAS_OVERLOADED_BOOLEAN_VALUE)\n      };\n\n      !(!propertyInfo.mustUseAttribute || !propertyInfo.mustUseProperty) ? \"development\" !== 'production' ? invariant(false, 'DOMProperty: Cannot require using both attribute and property: %s', propName) : invariant(false) : undefined;\n      !(propertyInfo.mustUseProperty || !propertyInfo.hasSideEffects) ? \"development\" !== 'production' ? invariant(false, 'DOMProperty: Properties that have side effects must use property: %s', propName) : invariant(false) : undefined;\n      !(propertyInfo.hasBooleanValue + propertyInfo.hasNumericValue + propertyInfo.hasOverloadedBooleanValue <= 1) ? \"development\" !== 'production' ? invariant(false, 'DOMProperty: Value can be one of boolean, overloaded boolean, or ' + 'numeric value, but not a combination: %s', propName) : invariant(false) : undefined;\n\n      if (\"development\" !== 'production') {\n        DOMProperty.getPossibleStandardName[lowerCased] = propName;\n      }\n\n      if (DOMAttributeNames.hasOwnProperty(propName)) {\n        var attributeName = DOMAttributeNames[propName];\n        propertyInfo.attributeName = attributeName;\n        if (\"development\" !== 'production') {\n          DOMProperty.getPossibleStandardName[attributeName] = propName;\n        }\n      }\n\n      if (DOMAttributeNamespaces.hasOwnProperty(propName)) {\n        propertyInfo.attributeNamespace = DOMAttributeNamespaces[propName];\n      }\n\n      if (DOMPropertyNames.hasOwnProperty(propName)) {\n        propertyInfo.propertyName = DOMPropertyNames[propName];\n      }\n\n      if (DOMMutationMethods.hasOwnProperty(propName)) {\n        propertyInfo.mutationMethod = DOMMutationMethods[propName];\n      }\n\n      DOMProperty.properties[propName] = propertyInfo;\n    }\n  }\n};\nvar defaultValueCache = {};\n\n/**\n * DOMProperty exports lookup objects that can be used like functions:\n *\n *   > DOMProperty.isValid['id']\n *   true\n *   > DOMProperty.isValid['foobar']\n *   undefined\n *\n * Although this may be confusing, it performs better in general.\n *\n * @see http://jsperf.com/key-exists\n * @see http://jsperf.com/key-missing\n */\nvar DOMProperty = {\n\n  ID_ATTRIBUTE_NAME: 'data-reactid',\n\n  /**\n   * Map from property \"standard name\" to an object with info about how to set\n   * the property in the DOM. Each object contains:\n   *\n   * attributeName:\n   *   Used when rendering markup or with `*Attribute()`.\n   * attributeNamespace\n   * propertyName:\n   *   Used on DOM node instances. (This includes properties that mutate due to\n   *   external factors.)\n   * mutationMethod:\n   *   If non-null, used instead of the property or `setAttribute()` after\n   *   initial render.\n   * mustUseAttribute:\n   *   Whether the property must be accessed and mutated using `*Attribute()`.\n   *   (This includes anything that fails `<propName> in <element>`.)\n   * mustUseProperty:\n   *   Whether the property must be accessed and mutated as an object property.\n   * hasSideEffects:\n   *   Whether or not setting a value causes side effects such as triggering\n   *   resources to be loaded or text selection changes. If true, we read from\n   *   the DOM before updating to ensure that the value is only set if it has\n   *   changed.\n   * hasBooleanValue:\n   *   Whether the property should be removed when set to a falsey value.\n   * hasNumericValue:\n   *   Whether the property must be numeric or parse as a numeric and should be\n   *   removed when set to a falsey value.\n   * hasPositiveNumericValue:\n   *   Whether the property must be positive numeric or parse as a positive\n   *   numeric and should be removed when set to a falsey value.\n   * hasOverloadedBooleanValue:\n   *   Whether the property can be used as a flag as well as with a value.\n   *   Removed when strictly equal to false; present without a value when\n   *   strictly equal to true; present with a value otherwise.\n   */\n  properties: {},\n\n  /**\n   * Mapping from lowercase property names to the properly cased version, used\n   * to warn in the case of missing properties. Available only in __DEV__.\n   * @type {Object}\n   */\n  getPossibleStandardName: \"development\" !== 'production' ? {} : null,\n\n  /**\n   * All of the isCustomAttribute() functions that have been injected.\n   */\n  _isCustomAttributeFunctions: [],\n\n  /**\n   * Checks whether a property name is a custom attribute.\n   * @method\n   */\n  isCustomAttribute: function (attributeName) {\n    for (var i = 0; i < DOMProperty._isCustomAttributeFunctions.length; i++) {\n      var isCustomAttributeFn = DOMProperty._isCustomAttributeFunctions[i];\n      if (isCustomAttributeFn(attributeName)) {\n        return true;\n      }\n    }\n    return false;\n  },\n\n  /**\n   * Returns the default property value for a DOM property (i.e., not an\n   * attribute). Most default values are '' or false, but not all. Worse yet,\n   * some (in particular, `type`) vary depending on the type of element.\n   *\n   * TODO: Is it better to grab all the possible properties when creating an\n   * element to avoid having to create the same element twice?\n   */\n  getDefaultValueForProperty: function (nodeName, prop) {\n    var nodeDefaults = defaultValueCache[nodeName];\n    var testElement;\n    if (!nodeDefaults) {\n      defaultValueCache[nodeName] = nodeDefaults = {};\n    }\n    if (!(prop in nodeDefaults)) {\n      testElement = document.createElement(nodeName);\n      nodeDefaults[prop] = testElement[prop];\n    }\n    return nodeDefaults[prop];\n  },\n\n  injection: DOMPropertyInjection\n};\n\nmodule.exports = DOMProperty;\n},{\"161\":161}],11:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule DOMPropertyOperations\n * @typechecks static-only\n */\n\n'use strict';\n\nvar DOMProperty = _dereq_(10);\nvar ReactPerf = _dereq_(78);\n\nvar quoteAttributeValueForBrowser = _dereq_(136);\nvar warning = _dereq_(173);\n\n// Simplified subset\nvar VALID_ATTRIBUTE_NAME_REGEX = /^[a-zA-Z_][\\w\\.\\-]*$/;\nvar illegalAttributeNameCache = {};\nvar validatedAttributeNameCache = {};\n\nfunction isAttributeNameSafe(attributeName) {\n  if (validatedAttributeNameCache.hasOwnProperty(attributeName)) {\n    return true;\n  }\n  if (illegalAttributeNameCache.hasOwnProperty(attributeName)) {\n    return false;\n  }\n  if (VALID_ATTRIBUTE_NAME_REGEX.test(attributeName)) {\n    validatedAttributeNameCache[attributeName] = true;\n    return true;\n  }\n  illegalAttributeNameCache[attributeName] = true;\n  \"development\" !== 'production' ? warning(false, 'Invalid attribute name: `%s`', attributeName) : undefined;\n  return false;\n}\n\nfunction shouldIgnoreValue(propertyInfo, value) {\n  return value == null || propertyInfo.hasBooleanValue && !value || propertyInfo.hasNumericValue && isNaN(value) || propertyInfo.hasPositiveNumericValue && value < 1 || propertyInfo.hasOverloadedBooleanValue && value === false;\n}\n\nif (\"development\" !== 'production') {\n  var reactProps = {\n    children: true,\n    dangerouslySetInnerHTML: true,\n    key: true,\n    ref: true\n  };\n  var warnedProperties = {};\n\n  var warnUnknownProperty = function (name) {\n    if (reactProps.hasOwnProperty(name) && reactProps[name] || warnedProperties.hasOwnProperty(name) && warnedProperties[name]) {\n      return;\n    }\n\n    warnedProperties[name] = true;\n    var lowerCasedName = name.toLowerCase();\n\n    // data-* attributes should be lowercase; suggest the lowercase version\n    var standardName = DOMProperty.isCustomAttribute(lowerCasedName) ? lowerCasedName : DOMProperty.getPossibleStandardName.hasOwnProperty(lowerCasedName) ? DOMProperty.getPossibleStandardName[lowerCasedName] : null;\n\n    // For now, only warn when we have a suggested correction. This prevents\n    // logging too much when using transferPropsTo.\n    \"development\" !== 'production' ? warning(standardName == null, 'Unknown DOM property %s. Did you mean %s?', name, standardName) : undefined;\n  };\n}\n\n/**\n * Operations for dealing with DOM properties.\n */\nvar DOMPropertyOperations = {\n\n  /**\n   * Creates markup for the ID property.\n   *\n   * @param {string} id Unescaped ID.\n   * @return {string} Markup string.\n   */\n  createMarkupForID: function (id) {\n    return DOMProperty.ID_ATTRIBUTE_NAME + '=' + quoteAttributeValueForBrowser(id);\n  },\n\n  setAttributeForID: function (node, id) {\n    node.setAttribute(DOMProperty.ID_ATTRIBUTE_NAME, id);\n  },\n\n  /**\n   * Creates markup for a property.\n   *\n   * @param {string} name\n   * @param {*} value\n   * @return {?string} Markup string, or null if the property was invalid.\n   */\n  createMarkupForProperty: function (name, value) {\n    var propertyInfo = DOMProperty.properties.hasOwnProperty(name) ? DOMProperty.properties[name] : null;\n    if (propertyInfo) {\n      if (shouldIgnoreValue(propertyInfo, value)) {\n        return '';\n      }\n      var attributeName = propertyInfo.attributeName;\n      if (propertyInfo.hasBooleanValue || propertyInfo.hasOverloadedBooleanValue && value === true) {\n        return attributeName + '=\"\"';\n      }\n      return attributeName + '=' + quoteAttributeValueForBrowser(value);\n    } else if (DOMProperty.isCustomAttribute(name)) {\n      if (value == null) {\n        return '';\n      }\n      return name + '=' + quoteAttributeValueForBrowser(value);\n    } else if (\"development\" !== 'production') {\n      warnUnknownProperty(name);\n    }\n    return null;\n  },\n\n  /**\n   * Creates markup for a custom property.\n   *\n   * @param {string} name\n   * @param {*} value\n   * @return {string} Markup string, or empty string if the property was invalid.\n   */\n  createMarkupForCustomAttribute: function (name, value) {\n    if (!isAttributeNameSafe(name) || value == null) {\n      return '';\n    }\n    return name + '=' + quoteAttributeValueForBrowser(value);\n  },\n\n  /**\n   * Sets the value for a property on a node.\n   *\n   * @param {DOMElement} node\n   * @param {string} name\n   * @param {*} value\n   */\n  setValueForProperty: function (node, name, value) {\n    var propertyInfo = DOMProperty.properties.hasOwnProperty(name) ? DOMProperty.properties[name] : null;\n    if (propertyInfo) {\n      var mutationMethod = propertyInfo.mutationMethod;\n      if (mutationMethod) {\n        mutationMethod(node, value);\n      } else if (shouldIgnoreValue(propertyInfo, value)) {\n        this.deleteValueForProperty(node, name);\n      } else if (propertyInfo.mustUseAttribute) {\n        var attributeName = propertyInfo.attributeName;\n        var namespace = propertyInfo.attributeNamespace;\n        // `setAttribute` with objects becomes only `[object]` in IE8/9,\n        // ('' + value) makes it output the correct toString()-value.\n        if (namespace) {\n          node.setAttributeNS(namespace, attributeName, '' + value);\n        } else if (propertyInfo.hasBooleanValue || propertyInfo.hasOverloadedBooleanValue && value === true) {\n          node.setAttribute(attributeName, '');\n        } else {\n          node.setAttribute(attributeName, '' + value);\n        }\n      } else {\n        var propName = propertyInfo.propertyName;\n        // Must explicitly cast values for HAS_SIDE_EFFECTS-properties to the\n        // property type before comparing; only `value` does and is string.\n        if (!propertyInfo.hasSideEffects || '' + node[propName] !== '' + value) {\n          // Contrary to `setAttribute`, object properties are properly\n          // `toString`ed by IE8/9.\n          node[propName] = value;\n        }\n      }\n    } else if (DOMProperty.isCustomAttribute(name)) {\n      DOMPropertyOperations.setValueForAttribute(node, name, value);\n    } else if (\"development\" !== 'production') {\n      warnUnknownProperty(name);\n    }\n  },\n\n  setValueForAttribute: function (node, name, value) {\n    if (!isAttributeNameSafe(name)) {\n      return;\n    }\n    if (value == null) {\n      node.removeAttribute(name);\n    } else {\n      node.setAttribute(name, '' + value);\n    }\n  },\n\n  /**\n   * Deletes the value for a property on a node.\n   *\n   * @param {DOMElement} node\n   * @param {string} name\n   */\n  deleteValueForProperty: function (node, name) {\n    var propertyInfo = DOMProperty.properties.hasOwnProperty(name) ? DOMProperty.properties[name] : null;\n    if (propertyInfo) {\n      var mutationMethod = propertyInfo.mutationMethod;\n      if (mutationMethod) {\n        mutationMethod(node, undefined);\n      } else if (propertyInfo.mustUseAttribute) {\n        node.removeAttribute(propertyInfo.attributeName);\n      } else {\n        var propName = propertyInfo.propertyName;\n        var defaultValue = DOMProperty.getDefaultValueForProperty(node.nodeName, propName);\n        if (!propertyInfo.hasSideEffects || '' + node[propName] !== defaultValue) {\n          node[propName] = defaultValue;\n        }\n      }\n    } else if (DOMProperty.isCustomAttribute(name)) {\n      node.removeAttribute(name);\n    } else if (\"development\" !== 'production') {\n      warnUnknownProperty(name);\n    }\n  }\n\n};\n\nReactPerf.measureMethods(DOMPropertyOperations, 'DOMPropertyOperations', {\n  setValueForProperty: 'setValueForProperty',\n  setValueForAttribute: 'setValueForAttribute',\n  deleteValueForProperty: 'deleteValueForProperty'\n});\n\nmodule.exports = DOMPropertyOperations;\n},{\"10\":10,\"136\":136,\"173\":173,\"78\":78}],12:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule Danger\n * @typechecks static-only\n */\n\n'use strict';\n\nvar ExecutionEnvironment = _dereq_(147);\n\nvar createNodesFromMarkup = _dereq_(152);\nvar emptyFunction = _dereq_(153);\nvar getMarkupWrap = _dereq_(157);\nvar invariant = _dereq_(161);\n\nvar OPEN_TAG_NAME_EXP = /^(<[^ \\/>]+)/;\nvar RESULT_INDEX_ATTR = 'data-danger-index';\n\n/**\n * Extracts the `nodeName` from a string of markup.\n *\n * NOTE: Extracting the `nodeName` does not require a regular expression match\n * because we make assumptions about React-generated markup (i.e. there are no\n * spaces surrounding the opening tag and there is at least one attribute).\n *\n * @param {string} markup String of markup.\n * @return {string} Node name of the supplied markup.\n * @see http://jsperf.com/extract-nodename\n */\nfunction getNodeName(markup) {\n  return markup.substring(1, markup.indexOf(' '));\n}\n\nvar Danger = {\n\n  /**\n   * Renders markup into an array of nodes. The markup is expected to render\n   * into a list of root nodes. Also, the length of `resultList` and\n   * `markupList` should be the same.\n   *\n   * @param {array<string>} markupList List of markup strings to render.\n   * @return {array<DOMElement>} List of rendered nodes.\n   * @internal\n   */\n  dangerouslyRenderMarkup: function (markupList) {\n    !ExecutionEnvironment.canUseDOM ? \"development\" !== 'production' ? invariant(false, 'dangerouslyRenderMarkup(...): Cannot render markup in a worker ' + 'thread. Make sure `window` and `document` are available globally ' + 'before requiring React when unit testing or use ' + 'ReactDOMServer.renderToString for server rendering.') : invariant(false) : undefined;\n    var nodeName;\n    var markupByNodeName = {};\n    // Group markup by `nodeName` if a wrap is necessary, else by '*'.\n    for (var i = 0; i < markupList.length; i++) {\n      !markupList[i] ? \"development\" !== 'production' ? invariant(false, 'dangerouslyRenderMarkup(...): Missing markup.') : invariant(false) : undefined;\n      nodeName = getNodeName(markupList[i]);\n      nodeName = getMarkupWrap(nodeName) ? nodeName : '*';\n      markupByNodeName[nodeName] = markupByNodeName[nodeName] || [];\n      markupByNodeName[nodeName][i] = markupList[i];\n    }\n    var resultList = [];\n    var resultListAssignmentCount = 0;\n    for (nodeName in markupByNodeName) {\n      if (!markupByNodeName.hasOwnProperty(nodeName)) {\n        continue;\n      }\n      var markupListByNodeName = markupByNodeName[nodeName];\n\n      // This for-in loop skips the holes of the sparse array. The order of\n      // iteration should follow the order of assignment, which happens to match\n      // numerical index order, but we don't rely on that.\n      var resultIndex;\n      for (resultIndex in markupListByNodeName) {\n        if (markupListByNodeName.hasOwnProperty(resultIndex)) {\n          var markup = markupListByNodeName[resultIndex];\n\n          // Push the requested markup with an additional RESULT_INDEX_ATTR\n          // attribute.  If the markup does not start with a < character, it\n          // will be discarded below (with an appropriate console.error).\n          markupListByNodeName[resultIndex] = markup.replace(OPEN_TAG_NAME_EXP,\n          // This index will be parsed back out below.\n          '$1 ' + RESULT_INDEX_ATTR + '=\"' + resultIndex + '\" ');\n        }\n      }\n\n      // Render each group of markup with similar wrapping `nodeName`.\n      var renderNodes = createNodesFromMarkup(markupListByNodeName.join(''), emptyFunction // Do nothing special with <script> tags.\n      );\n\n      for (var j = 0; j < renderNodes.length; ++j) {\n        var renderNode = renderNodes[j];\n        if (renderNode.hasAttribute && renderNode.hasAttribute(RESULT_INDEX_ATTR)) {\n\n          resultIndex = +renderNode.getAttribute(RESULT_INDEX_ATTR);\n          renderNode.removeAttribute(RESULT_INDEX_ATTR);\n\n          !!resultList.hasOwnProperty(resultIndex) ? \"development\" !== 'production' ? invariant(false, 'Danger: Assigning to an already-occupied result index.') : invariant(false) : undefined;\n\n          resultList[resultIndex] = renderNode;\n\n          // This should match resultList.length and markupList.length when\n          // we're done.\n          resultListAssignmentCount += 1;\n        } else if (\"development\" !== 'production') {\n          console.error('Danger: Discarding unexpected node:', renderNode);\n        }\n      }\n    }\n\n    // Although resultList was populated out of order, it should now be a dense\n    // array.\n    !(resultListAssignmentCount === resultList.length) ? \"development\" !== 'production' ? invariant(false, 'Danger: Did not assign to every index of resultList.') : invariant(false) : undefined;\n\n    !(resultList.length === markupList.length) ? \"development\" !== 'production' ? invariant(false, 'Danger: Expected markup to render %s nodes, but rendered %s.', markupList.length, resultList.length) : invariant(false) : undefined;\n\n    return resultList;\n  },\n\n  /**\n   * Replaces a node with a string of markup at its current position within its\n   * parent. The markup must render into a single root node.\n   *\n   * @param {DOMElement} oldChild Child node to replace.\n   * @param {string} markup Markup to render in place of the child node.\n   * @internal\n   */\n  dangerouslyReplaceNodeWithMarkup: function (oldChild, markup) {\n    !ExecutionEnvironment.canUseDOM ? \"development\" !== 'production' ? invariant(false, 'dangerouslyReplaceNodeWithMarkup(...): Cannot render markup in a ' + 'worker thread. Make sure `window` and `document` are available ' + 'globally before requiring React when unit testing or use ' + 'ReactDOMServer.renderToString() for server rendering.') : invariant(false) : undefined;\n    !markup ? \"development\" !== 'production' ? invariant(false, 'dangerouslyReplaceNodeWithMarkup(...): Missing markup.') : invariant(false) : undefined;\n    !(oldChild.tagName.toLowerCase() !== 'html') ? \"development\" !== 'production' ? invariant(false, 'dangerouslyReplaceNodeWithMarkup(...): Cannot replace markup of the ' + '<html> node. This is because browser quirks make this unreliable ' + 'and/or slow. If you want to render to the root you must use ' + 'server rendering. See ReactDOMServer.renderToString().') : invariant(false) : undefined;\n\n    var newChild;\n    if (typeof markup === 'string') {\n      newChild = createNodesFromMarkup(markup, emptyFunction)[0];\n    } else {\n      newChild = markup;\n    }\n    oldChild.parentNode.replaceChild(newChild, oldChild);\n  }\n\n};\n\nmodule.exports = Danger;\n},{\"147\":147,\"152\":152,\"153\":153,\"157\":157,\"161\":161}],13:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule DefaultEventPluginOrder\n */\n\n'use strict';\n\nvar keyOf = _dereq_(166);\n\n/**\n * Module that is injectable into `EventPluginHub`, that specifies a\n * deterministic ordering of `EventPlugin`s. A convenient way to reason about\n * plugins, without having to package every one of them. This is better than\n * having plugins be ordered in the same order that they are injected because\n * that ordering would be influenced by the packaging order.\n * `ResponderEventPlugin` must occur before `SimpleEventPlugin` so that\n * preventing default on events is convenient in `SimpleEventPlugin` handlers.\n */\nvar DefaultEventPluginOrder = [keyOf({ ResponderEventPlugin: null }), keyOf({ SimpleEventPlugin: null }), keyOf({ TapEventPlugin: null }), keyOf({ EnterLeaveEventPlugin: null }), keyOf({ ChangeEventPlugin: null }), keyOf({ SelectEventPlugin: null }), keyOf({ BeforeInputEventPlugin: null })];\n\nmodule.exports = DefaultEventPluginOrder;\n},{\"166\":166}],14:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule EnterLeaveEventPlugin\n * @typechecks static-only\n */\n\n'use strict';\n\nvar EventConstants = _dereq_(15);\nvar EventPropagators = _dereq_(19);\nvar SyntheticMouseEvent = _dereq_(109);\n\nvar ReactMount = _dereq_(72);\nvar keyOf = _dereq_(166);\n\nvar topLevelTypes = EventConstants.topLevelTypes;\nvar getFirstReactDOM = ReactMount.getFirstReactDOM;\n\nvar eventTypes = {\n  mouseEnter: {\n    registrationName: keyOf({ onMouseEnter: null }),\n    dependencies: [topLevelTypes.topMouseOut, topLevelTypes.topMouseOver]\n  },\n  mouseLeave: {\n    registrationName: keyOf({ onMouseLeave: null }),\n    dependencies: [topLevelTypes.topMouseOut, topLevelTypes.topMouseOver]\n  }\n};\n\nvar extractedEvents = [null, null];\n\nvar EnterLeaveEventPlugin = {\n\n  eventTypes: eventTypes,\n\n  /**\n   * For almost every interaction we care about, there will be both a top-level\n   * `mouseover` and `mouseout` event that occurs. Only use `mouseout` so that\n   * we do not extract duplicate events. However, moving the mouse into the\n   * browser from outside will not fire a `mouseout` event. In this case, we use\n   * the `mouseover` top-level event.\n   *\n   * @param {string} topLevelType Record from `EventConstants`.\n   * @param {DOMEventTarget} topLevelTarget The listening component root node.\n   * @param {string} topLevelTargetID ID of `topLevelTarget`.\n   * @param {object} nativeEvent Native browser event.\n   * @return {*} An accumulation of synthetic events.\n   * @see {EventPluginHub.extractEvents}\n   */\n  extractEvents: function (topLevelType, topLevelTarget, topLevelTargetID, nativeEvent, nativeEventTarget) {\n    if (topLevelType === topLevelTypes.topMouseOver && (nativeEvent.relatedTarget || nativeEvent.fromElement)) {\n      return null;\n    }\n    if (topLevelType !== topLevelTypes.topMouseOut && topLevelType !== topLevelTypes.topMouseOver) {\n      // Must not be a mouse in or mouse out - ignoring.\n      return null;\n    }\n\n    var win;\n    if (topLevelTarget.window === topLevelTarget) {\n      // `topLevelTarget` is probably a window object.\n      win = topLevelTarget;\n    } else {\n      // TODO: Figure out why `ownerDocument` is sometimes undefined in IE8.\n      var doc = topLevelTarget.ownerDocument;\n      if (doc) {\n        win = doc.defaultView || doc.parentWindow;\n      } else {\n        win = window;\n      }\n    }\n\n    var from;\n    var to;\n    var fromID = '';\n    var toID = '';\n    if (topLevelType === topLevelTypes.topMouseOut) {\n      from = topLevelTarget;\n      fromID = topLevelTargetID;\n      to = getFirstReactDOM(nativeEvent.relatedTarget || nativeEvent.toElement);\n      if (to) {\n        toID = ReactMount.getID(to);\n      } else {\n        to = win;\n      }\n      to = to || win;\n    } else {\n      from = win;\n      to = topLevelTarget;\n      toID = topLevelTargetID;\n    }\n\n    if (from === to) {\n      // Nothing pertains to our managed components.\n      return null;\n    }\n\n    var leave = SyntheticMouseEvent.getPooled(eventTypes.mouseLeave, fromID, nativeEvent, nativeEventTarget);\n    leave.type = 'mouseleave';\n    leave.target = from;\n    leave.relatedTarget = to;\n\n    var enter = SyntheticMouseEvent.getPooled(eventTypes.mouseEnter, toID, nativeEvent, nativeEventTarget);\n    enter.type = 'mouseenter';\n    enter.target = to;\n    enter.relatedTarget = from;\n\n    EventPropagators.accumulateEnterLeaveDispatches(leave, enter, fromID, toID);\n\n    extractedEvents[0] = leave;\n    extractedEvents[1] = enter;\n\n    return extractedEvents;\n  }\n\n};\n\nmodule.exports = EnterLeaveEventPlugin;\n},{\"109\":109,\"15\":15,\"166\":166,\"19\":19,\"72\":72}],15:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule EventConstants\n */\n\n'use strict';\n\nvar keyMirror = _dereq_(165);\n\nvar PropagationPhases = keyMirror({ bubbled: null, captured: null });\n\n/**\n * Types of raw signals from the browser caught at the top level.\n */\nvar topLevelTypes = keyMirror({\n  topAbort: null,\n  topBlur: null,\n  topCanPlay: null,\n  topCanPlayThrough: null,\n  topChange: null,\n  topClick: null,\n  topCompositionEnd: null,\n  topCompositionStart: null,\n  topCompositionUpdate: null,\n  topContextMenu: null,\n  topCopy: null,\n  topCut: null,\n  topDoubleClick: null,\n  topDrag: null,\n  topDragEnd: null,\n  topDragEnter: null,\n  topDragExit: null,\n  topDragLeave: null,\n  topDragOver: null,\n  topDragStart: null,\n  topDrop: null,\n  topDurationChange: null,\n  topEmptied: null,\n  topEncrypted: null,\n  topEnded: null,\n  topError: null,\n  topFocus: null,\n  topInput: null,\n  topKeyDown: null,\n  topKeyPress: null,\n  topKeyUp: null,\n  topLoad: null,\n  topLoadedData: null,\n  topLoadedMetadata: null,\n  topLoadStart: null,\n  topMouseDown: null,\n  topMouseMove: null,\n  topMouseOut: null,\n  topMouseOver: null,\n  topMouseUp: null,\n  topPaste: null,\n  topPause: null,\n  topPlay: null,\n  topPlaying: null,\n  topProgress: null,\n  topRateChange: null,\n  topReset: null,\n  topScroll: null,\n  topSeeked: null,\n  topSeeking: null,\n  topSelectionChange: null,\n  topStalled: null,\n  topSubmit: null,\n  topSuspend: null,\n  topTextInput: null,\n  topTimeUpdate: null,\n  topTouchCancel: null,\n  topTouchEnd: null,\n  topTouchMove: null,\n  topTouchStart: null,\n  topVolumeChange: null,\n  topWaiting: null,\n  topWheel: null\n});\n\nvar EventConstants = {\n  topLevelTypes: topLevelTypes,\n  PropagationPhases: PropagationPhases\n};\n\nmodule.exports = EventConstants;\n},{\"165\":165}],16:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule EventPluginHub\n */\n\n'use strict';\n\nvar EventPluginRegistry = _dereq_(17);\nvar EventPluginUtils = _dereq_(18);\nvar ReactErrorUtils = _dereq_(61);\n\nvar accumulateInto = _dereq_(115);\nvar forEachAccumulated = _dereq_(124);\nvar invariant = _dereq_(161);\nvar warning = _dereq_(173);\n\n/**\n * Internal store for event listeners\n */\nvar listenerBank = {};\n\n/**\n * Internal queue of events that have accumulated their dispatches and are\n * waiting to have their dispatches executed.\n */\nvar eventQueue = null;\n\n/**\n * Dispatches an event and releases it back into the pool, unless persistent.\n *\n * @param {?object} event Synthetic event to be dispatched.\n * @param {boolean} simulated If the event is simulated (changes exn behavior)\n * @private\n */\nvar executeDispatchesAndRelease = function (event, simulated) {\n  if (event) {\n    EventPluginUtils.executeDispatchesInOrder(event, simulated);\n\n    if (!event.isPersistent()) {\n      event.constructor.release(event);\n    }\n  }\n};\nvar executeDispatchesAndReleaseSimulated = function (e) {\n  return executeDispatchesAndRelease(e, true);\n};\nvar executeDispatchesAndReleaseTopLevel = function (e) {\n  return executeDispatchesAndRelease(e, false);\n};\n\n/**\n * - `InstanceHandle`: [required] Module that performs logical traversals of DOM\n *   hierarchy given ids of the logical DOM elements involved.\n */\nvar InstanceHandle = null;\n\nfunction validateInstanceHandle() {\n  var valid = InstanceHandle && InstanceHandle.traverseTwoPhase && InstanceHandle.traverseEnterLeave;\n  \"development\" !== 'production' ? warning(valid, 'InstanceHandle not injected before use!') : undefined;\n}\n\n/**\n * This is a unified interface for event plugins to be installed and configured.\n *\n * Event plugins can implement the following properties:\n *\n *   `extractEvents` {function(string, DOMEventTarget, string, object): *}\n *     Required. When a top-level event is fired, this method is expected to\n *     extract synthetic events that will in turn be queued and dispatched.\n *\n *   `eventTypes` {object}\n *     Optional, plugins that fire events must publish a mapping of registration\n *     names that are used to register listeners. Values of this mapping must\n *     be objects that contain `registrationName` or `phasedRegistrationNames`.\n *\n *   `executeDispatch` {function(object, function, string)}\n *     Optional, allows plugins to override how an event gets dispatched. By\n *     default, the listener is simply invoked.\n *\n * Each plugin that is injected into `EventsPluginHub` is immediately operable.\n *\n * @public\n */\nvar EventPluginHub = {\n\n  /**\n   * Methods for injecting dependencies.\n   */\n  injection: {\n\n    /**\n     * @param {object} InjectedMount\n     * @public\n     */\n    injectMount: EventPluginUtils.injection.injectMount,\n\n    /**\n     * @param {object} InjectedInstanceHandle\n     * @public\n     */\n    injectInstanceHandle: function (InjectedInstanceHandle) {\n      InstanceHandle = InjectedInstanceHandle;\n      if (\"development\" !== 'production') {\n        validateInstanceHandle();\n      }\n    },\n\n    getInstanceHandle: function () {\n      if (\"development\" !== 'production') {\n        validateInstanceHandle();\n      }\n      return InstanceHandle;\n    },\n\n    /**\n     * @param {array} InjectedEventPluginOrder\n     * @public\n     */\n    injectEventPluginOrder: EventPluginRegistry.injectEventPluginOrder,\n\n    /**\n     * @param {object} injectedNamesToPlugins Map from names to plugin modules.\n     */\n    injectEventPluginsByName: EventPluginRegistry.injectEventPluginsByName\n\n  },\n\n  eventNameDispatchConfigs: EventPluginRegistry.eventNameDispatchConfigs,\n\n  registrationNameModules: EventPluginRegistry.registrationNameModules,\n\n  /**\n   * Stores `listener` at `listenerBank[registrationName][id]`. Is idempotent.\n   *\n   * @param {string} id ID of the DOM element.\n   * @param {string} registrationName Name of listener (e.g. `onClick`).\n   * @param {?function} listener The callback to store.\n   */\n  putListener: function (id, registrationName, listener) {\n    !(typeof listener === 'function') ? \"development\" !== 'production' ? invariant(false, 'Expected %s listener to be a function, instead got type %s', registrationName, typeof listener) : invariant(false) : undefined;\n\n    var bankForRegistrationName = listenerBank[registrationName] || (listenerBank[registrationName] = {});\n    bankForRegistrationName[id] = listener;\n\n    var PluginModule = EventPluginRegistry.registrationNameModules[registrationName];\n    if (PluginModule && PluginModule.didPutListener) {\n      PluginModule.didPutListener(id, registrationName, listener);\n    }\n  },\n\n  /**\n   * @param {string} id ID of the DOM element.\n   * @param {string} registrationName Name of listener (e.g. `onClick`).\n   * @return {?function} The stored callback.\n   */\n  getListener: function (id, registrationName) {\n    var bankForRegistrationName = listenerBank[registrationName];\n    return bankForRegistrationName && bankForRegistrationName[id];\n  },\n\n  /**\n   * Deletes a listener from the registration bank.\n   *\n   * @param {string} id ID of the DOM element.\n   * @param {string} registrationName Name of listener (e.g. `onClick`).\n   */\n  deleteListener: function (id, registrationName) {\n    var PluginModule = EventPluginRegistry.registrationNameModules[registrationName];\n    if (PluginModule && PluginModule.willDeleteListener) {\n      PluginModule.willDeleteListener(id, registrationName);\n    }\n\n    var bankForRegistrationName = listenerBank[registrationName];\n    // TODO: This should never be null -- when is it?\n    if (bankForRegistrationName) {\n      delete bankForRegistrationName[id];\n    }\n  },\n\n  /**\n   * Deletes all listeners for the DOM element with the supplied ID.\n   *\n   * @param {string} id ID of the DOM element.\n   */\n  deleteAllListeners: function (id) {\n    for (var registrationName in listenerBank) {\n      if (!listenerBank[registrationName][id]) {\n        continue;\n      }\n\n      var PluginModule = EventPluginRegistry.registrationNameModules[registrationName];\n      if (PluginModule && PluginModule.willDeleteListener) {\n        PluginModule.willDeleteListener(id, registrationName);\n      }\n\n      delete listenerBank[registrationName][id];\n    }\n  },\n\n  /**\n   * Allows registered plugins an opportunity to extract events from top-level\n   * native browser events.\n   *\n   * @param {string} topLevelType Record from `EventConstants`.\n   * @param {DOMEventTarget} topLevelTarget The listening component root node.\n   * @param {string} topLevelTargetID ID of `topLevelTarget`.\n   * @param {object} nativeEvent Native browser event.\n   * @return {*} An accumulation of synthetic events.\n   * @internal\n   */\n  extractEvents: function (topLevelType, topLevelTarget, topLevelTargetID, nativeEvent, nativeEventTarget) {\n    var events;\n    var plugins = EventPluginRegistry.plugins;\n    for (var i = 0; i < plugins.length; i++) {\n      // Not every plugin in the ordering may be loaded at runtime.\n      var possiblePlugin = plugins[i];\n      if (possiblePlugin) {\n        var extractedEvents = possiblePlugin.extractEvents(topLevelType, topLevelTarget, topLevelTargetID, nativeEvent, nativeEventTarget);\n        if (extractedEvents) {\n          events = accumulateInto(events, extractedEvents);\n        }\n      }\n    }\n    return events;\n  },\n\n  /**\n   * Enqueues a synthetic event that should be dispatched when\n   * `processEventQueue` is invoked.\n   *\n   * @param {*} events An accumulation of synthetic events.\n   * @internal\n   */\n  enqueueEvents: function (events) {\n    if (events) {\n      eventQueue = accumulateInto(eventQueue, events);\n    }\n  },\n\n  /**\n   * Dispatches all synthetic events on the event queue.\n   *\n   * @internal\n   */\n  processEventQueue: function (simulated) {\n    // Set `eventQueue` to null before processing it so that we can tell if more\n    // events get enqueued while processing.\n    var processingEventQueue = eventQueue;\n    eventQueue = null;\n    if (simulated) {\n      forEachAccumulated(processingEventQueue, executeDispatchesAndReleaseSimulated);\n    } else {\n      forEachAccumulated(processingEventQueue, executeDispatchesAndReleaseTopLevel);\n    }\n    !!eventQueue ? \"development\" !== 'production' ? invariant(false, 'processEventQueue(): Additional events were enqueued while processing ' + 'an event queue. Support for this has not yet been implemented.') : invariant(false) : undefined;\n    // This would be a good time to rethrow if any of the event handlers threw.\n    ReactErrorUtils.rethrowCaughtError();\n  },\n\n  /**\n   * These are needed for tests only. Do not use!\n   */\n  __purge: function () {\n    listenerBank = {};\n  },\n\n  __getListenerBank: function () {\n    return listenerBank;\n  }\n\n};\n\nmodule.exports = EventPluginHub;\n},{\"115\":115,\"124\":124,\"161\":161,\"17\":17,\"173\":173,\"18\":18,\"61\":61}],17:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule EventPluginRegistry\n * @typechecks static-only\n */\n\n'use strict';\n\nvar invariant = _dereq_(161);\n\n/**\n * Injectable ordering of event plugins.\n */\nvar EventPluginOrder = null;\n\n/**\n * Injectable mapping from names to event plugin modules.\n */\nvar namesToPlugins = {};\n\n/**\n * Recomputes the plugin list using the injected plugins and plugin ordering.\n *\n * @private\n */\nfunction recomputePluginOrdering() {\n  if (!EventPluginOrder) {\n    // Wait until an `EventPluginOrder` is injected.\n    return;\n  }\n  for (var pluginName in namesToPlugins) {\n    var PluginModule = namesToPlugins[pluginName];\n    var pluginIndex = EventPluginOrder.indexOf(pluginName);\n    !(pluginIndex > -1) ? \"development\" !== 'production' ? invariant(false, 'EventPluginRegistry: Cannot inject event plugins that do not exist in ' + 'the plugin ordering, `%s`.', pluginName) : invariant(false) : undefined;\n    if (EventPluginRegistry.plugins[pluginIndex]) {\n      continue;\n    }\n    !PluginModule.extractEvents ? \"development\" !== 'production' ? invariant(false, 'EventPluginRegistry: Event plugins must implement an `extractEvents` ' + 'method, but `%s` does not.', pluginName) : invariant(false) : undefined;\n    EventPluginRegistry.plugins[pluginIndex] = PluginModule;\n    var publishedEvents = PluginModule.eventTypes;\n    for (var eventName in publishedEvents) {\n      !publishEventForPlugin(publishedEvents[eventName], PluginModule, eventName) ? \"development\" !== 'production' ? invariant(false, 'EventPluginRegistry: Failed to publish event `%s` for plugin `%s`.', eventName, pluginName) : invariant(false) : undefined;\n    }\n  }\n}\n\n/**\n * Publishes an event so that it can be dispatched by the supplied plugin.\n *\n * @param {object} dispatchConfig Dispatch configuration for the event.\n * @param {object} PluginModule Plugin publishing the event.\n * @return {boolean} True if the event was successfully published.\n * @private\n */\nfunction publishEventForPlugin(dispatchConfig, PluginModule, eventName) {\n  !!EventPluginRegistry.eventNameDispatchConfigs.hasOwnProperty(eventName) ? \"development\" !== 'production' ? invariant(false, 'EventPluginHub: More than one plugin attempted to publish the same ' + 'event name, `%s`.', eventName) : invariant(false) : undefined;\n  EventPluginRegistry.eventNameDispatchConfigs[eventName] = dispatchConfig;\n\n  var phasedRegistrationNames = dispatchConfig.phasedRegistrationNames;\n  if (phasedRegistrationNames) {\n    for (var phaseName in phasedRegistrationNames) {\n      if (phasedRegistrationNames.hasOwnProperty(phaseName)) {\n        var phasedRegistrationName = phasedRegistrationNames[phaseName];\n        publishRegistrationName(phasedRegistrationName, PluginModule, eventName);\n      }\n    }\n    return true;\n  } else if (dispatchConfig.registrationName) {\n    publishRegistrationName(dispatchConfig.registrationName, PluginModule, eventName);\n    return true;\n  }\n  return false;\n}\n\n/**\n * Publishes a registration name that is used to identify dispatched events and\n * can be used with `EventPluginHub.putListener` to register listeners.\n *\n * @param {string} registrationName Registration name to add.\n * @param {object} PluginModule Plugin publishing the event.\n * @private\n */\nfunction publishRegistrationName(registrationName, PluginModule, eventName) {\n  !!EventPluginRegistry.registrationNameModules[registrationName] ? \"development\" !== 'production' ? invariant(false, 'EventPluginHub: More than one plugin attempted to publish the same ' + 'registration name, `%s`.', registrationName) : invariant(false) : undefined;\n  EventPluginRegistry.registrationNameModules[registrationName] = PluginModule;\n  EventPluginRegistry.registrationNameDependencies[registrationName] = PluginModule.eventTypes[eventName].dependencies;\n}\n\n/**\n * Registers plugins so that they can extract and dispatch events.\n *\n * @see {EventPluginHub}\n */\nvar EventPluginRegistry = {\n\n  /**\n   * Ordered list of injected plugins.\n   */\n  plugins: [],\n\n  /**\n   * Mapping from event name to dispatch config\n   */\n  eventNameDispatchConfigs: {},\n\n  /**\n   * Mapping from registration name to plugin module\n   */\n  registrationNameModules: {},\n\n  /**\n   * Mapping from registration name to event name\n   */\n  registrationNameDependencies: {},\n\n  /**\n   * Injects an ordering of plugins (by plugin name). This allows the ordering\n   * to be decoupled from injection of the actual plugins so that ordering is\n   * always deterministic regardless of packaging, on-the-fly injection, etc.\n   *\n   * @param {array} InjectedEventPluginOrder\n   * @internal\n   * @see {EventPluginHub.injection.injectEventPluginOrder}\n   */\n  injectEventPluginOrder: function (InjectedEventPluginOrder) {\n    !!EventPluginOrder ? \"development\" !== 'production' ? invariant(false, 'EventPluginRegistry: Cannot inject event plugin ordering more than ' + 'once. You are likely trying to load more than one copy of React.') : invariant(false) : undefined;\n    // Clone the ordering so it cannot be dynamically mutated.\n    EventPluginOrder = Array.prototype.slice.call(InjectedEventPluginOrder);\n    recomputePluginOrdering();\n  },\n\n  /**\n   * Injects plugins to be used by `EventPluginHub`. The plugin names must be\n   * in the ordering injected by `injectEventPluginOrder`.\n   *\n   * Plugins can be injected as part of page initialization or on-the-fly.\n   *\n   * @param {object} injectedNamesToPlugins Map from names to plugin modules.\n   * @internal\n   * @see {EventPluginHub.injection.injectEventPluginsByName}\n   */\n  injectEventPluginsByName: function (injectedNamesToPlugins) {\n    var isOrderingDirty = false;\n    for (var pluginName in injectedNamesToPlugins) {\n      if (!injectedNamesToPlugins.hasOwnProperty(pluginName)) {\n        continue;\n      }\n      var PluginModule = injectedNamesToPlugins[pluginName];\n      if (!namesToPlugins.hasOwnProperty(pluginName) || namesToPlugins[pluginName] !== PluginModule) {\n        !!namesToPlugins[pluginName] ? \"development\" !== 'production' ? invariant(false, 'EventPluginRegistry: Cannot inject two different event plugins ' + 'using the same name, `%s`.', pluginName) : invariant(false) : undefined;\n        namesToPlugins[pluginName] = PluginModule;\n        isOrderingDirty = true;\n      }\n    }\n    if (isOrderingDirty) {\n      recomputePluginOrdering();\n    }\n  },\n\n  /**\n   * Looks up the plugin for the supplied event.\n   *\n   * @param {object} event A synthetic event.\n   * @return {?object} The plugin that created the supplied event.\n   * @internal\n   */\n  getPluginModuleForEvent: function (event) {\n    var dispatchConfig = event.dispatchConfig;\n    if (dispatchConfig.registrationName) {\n      return EventPluginRegistry.registrationNameModules[dispatchConfig.registrationName] || null;\n    }\n    for (var phase in dispatchConfig.phasedRegistrationNames) {\n      if (!dispatchConfig.phasedRegistrationNames.hasOwnProperty(phase)) {\n        continue;\n      }\n      var PluginModule = EventPluginRegistry.registrationNameModules[dispatchConfig.phasedRegistrationNames[phase]];\n      if (PluginModule) {\n        return PluginModule;\n      }\n    }\n    return null;\n  },\n\n  /**\n   * Exposed for unit testing.\n   * @private\n   */\n  _resetEventPlugins: function () {\n    EventPluginOrder = null;\n    for (var pluginName in namesToPlugins) {\n      if (namesToPlugins.hasOwnProperty(pluginName)) {\n        delete namesToPlugins[pluginName];\n      }\n    }\n    EventPluginRegistry.plugins.length = 0;\n\n    var eventNameDispatchConfigs = EventPluginRegistry.eventNameDispatchConfigs;\n    for (var eventName in eventNameDispatchConfigs) {\n      if (eventNameDispatchConfigs.hasOwnProperty(eventName)) {\n        delete eventNameDispatchConfigs[eventName];\n      }\n    }\n\n    var registrationNameModules = EventPluginRegistry.registrationNameModules;\n    for (var registrationName in registrationNameModules) {\n      if (registrationNameModules.hasOwnProperty(registrationName)) {\n        delete registrationNameModules[registrationName];\n      }\n    }\n  }\n\n};\n\nmodule.exports = EventPluginRegistry;\n},{\"161\":161}],18:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule EventPluginUtils\n */\n\n'use strict';\n\nvar EventConstants = _dereq_(15);\nvar ReactErrorUtils = _dereq_(61);\n\nvar invariant = _dereq_(161);\nvar warning = _dereq_(173);\n\n/**\n * Injected dependencies:\n */\n\n/**\n * - `Mount`: [required] Module that can convert between React dom IDs and\n *   actual node references.\n */\nvar injection = {\n  Mount: null,\n  injectMount: function (InjectedMount) {\n    injection.Mount = InjectedMount;\n    if (\"development\" !== 'production') {\n      \"development\" !== 'production' ? warning(InjectedMount && InjectedMount.getNode && InjectedMount.getID, 'EventPluginUtils.injection.injectMount(...): Injected Mount ' + 'module is missing getNode or getID.') : undefined;\n    }\n  }\n};\n\nvar topLevelTypes = EventConstants.topLevelTypes;\n\nfunction isEndish(topLevelType) {\n  return topLevelType === topLevelTypes.topMouseUp || topLevelType === topLevelTypes.topTouchEnd || topLevelType === topLevelTypes.topTouchCancel;\n}\n\nfunction isMoveish(topLevelType) {\n  return topLevelType === topLevelTypes.topMouseMove || topLevelType === topLevelTypes.topTouchMove;\n}\nfunction isStartish(topLevelType) {\n  return topLevelType === topLevelTypes.topMouseDown || topLevelType === topLevelTypes.topTouchStart;\n}\n\nvar validateEventDispatches;\nif (\"development\" !== 'production') {\n  validateEventDispatches = function (event) {\n    var dispatchListeners = event._dispatchListeners;\n    var dispatchIDs = event._dispatchIDs;\n\n    var listenersIsArr = Array.isArray(dispatchListeners);\n    var idsIsArr = Array.isArray(dispatchIDs);\n    var IDsLen = idsIsArr ? dispatchIDs.length : dispatchIDs ? 1 : 0;\n    var listenersLen = listenersIsArr ? dispatchListeners.length : dispatchListeners ? 1 : 0;\n\n    \"development\" !== 'production' ? warning(idsIsArr === listenersIsArr && IDsLen === listenersLen, 'EventPluginUtils: Invalid `event`.') : undefined;\n  };\n}\n\n/**\n * Dispatch the event to the listener.\n * @param {SyntheticEvent} event SyntheticEvent to handle\n * @param {boolean} simulated If the event is simulated (changes exn behavior)\n * @param {function} listener Application-level callback\n * @param {string} domID DOM id to pass to the callback.\n */\nfunction executeDispatch(event, simulated, listener, domID) {\n  var type = event.type || 'unknown-event';\n  event.currentTarget = injection.Mount.getNode(domID);\n  if (simulated) {\n    ReactErrorUtils.invokeGuardedCallbackWithCatch(type, listener, event, domID);\n  } else {\n    ReactErrorUtils.invokeGuardedCallback(type, listener, event, domID);\n  }\n  event.currentTarget = null;\n}\n\n/**\n * Standard/simple iteration through an event's collected dispatches.\n */\nfunction executeDispatchesInOrder(event, simulated) {\n  var dispatchListeners = event._dispatchListeners;\n  var dispatchIDs = event._dispatchIDs;\n  if (\"development\" !== 'production') {\n    validateEventDispatches(event);\n  }\n  if (Array.isArray(dispatchListeners)) {\n    for (var i = 0; i < dispatchListeners.length; i++) {\n      if (event.isPropagationStopped()) {\n        break;\n      }\n      // Listeners and IDs are two parallel arrays that are always in sync.\n      executeDispatch(event, simulated, dispatchListeners[i], dispatchIDs[i]);\n    }\n  } else if (dispatchListeners) {\n    executeDispatch(event, simulated, dispatchListeners, dispatchIDs);\n  }\n  event._dispatchListeners = null;\n  event._dispatchIDs = null;\n}\n\n/**\n * Standard/simple iteration through an event's collected dispatches, but stops\n * at the first dispatch execution returning true, and returns that id.\n *\n * @return {?string} id of the first dispatch execution who's listener returns\n * true, or null if no listener returned true.\n */\nfunction executeDispatchesInOrderStopAtTrueImpl(event) {\n  var dispatchListeners = event._dispatchListeners;\n  var dispatchIDs = event._dispatchIDs;\n  if (\"development\" !== 'production') {\n    validateEventDispatches(event);\n  }\n  if (Array.isArray(dispatchListeners)) {\n    for (var i = 0; i < dispatchListeners.length; i++) {\n      if (event.isPropagationStopped()) {\n        break;\n      }\n      // Listeners and IDs are two parallel arrays that are always in sync.\n      if (dispatchListeners[i](event, dispatchIDs[i])) {\n        return dispatchIDs[i];\n      }\n    }\n  } else if (dispatchListeners) {\n    if (dispatchListeners(event, dispatchIDs)) {\n      return dispatchIDs;\n    }\n  }\n  return null;\n}\n\n/**\n * @see executeDispatchesInOrderStopAtTrueImpl\n */\nfunction executeDispatchesInOrderStopAtTrue(event) {\n  var ret = executeDispatchesInOrderStopAtTrueImpl(event);\n  event._dispatchIDs = null;\n  event._dispatchListeners = null;\n  return ret;\n}\n\n/**\n * Execution of a \"direct\" dispatch - there must be at most one dispatch\n * accumulated on the event or it is considered an error. It doesn't really make\n * sense for an event with multiple dispatches (bubbled) to keep track of the\n * return values at each dispatch execution, but it does tend to make sense when\n * dealing with \"direct\" dispatches.\n *\n * @return {*} The return value of executing the single dispatch.\n */\nfunction executeDirectDispatch(event) {\n  if (\"development\" !== 'production') {\n    validateEventDispatches(event);\n  }\n  var dispatchListener = event._dispatchListeners;\n  var dispatchID = event._dispatchIDs;\n  !!Array.isArray(dispatchListener) ? \"development\" !== 'production' ? invariant(false, 'executeDirectDispatch(...): Invalid `event`.') : invariant(false) : undefined;\n  var res = dispatchListener ? dispatchListener(event, dispatchID) : null;\n  event._dispatchListeners = null;\n  event._dispatchIDs = null;\n  return res;\n}\n\n/**\n * @param {SyntheticEvent} event\n * @return {boolean} True iff number of dispatches accumulated is greater than 0.\n */\nfunction hasDispatches(event) {\n  return !!event._dispatchListeners;\n}\n\n/**\n * General utilities that are useful in creating custom Event Plugins.\n */\nvar EventPluginUtils = {\n  isEndish: isEndish,\n  isMoveish: isMoveish,\n  isStartish: isStartish,\n\n  executeDirectDispatch: executeDirectDispatch,\n  executeDispatchesInOrder: executeDispatchesInOrder,\n  executeDispatchesInOrderStopAtTrue: executeDispatchesInOrderStopAtTrue,\n  hasDispatches: hasDispatches,\n\n  getNode: function (id) {\n    return injection.Mount.getNode(id);\n  },\n  getID: function (node) {\n    return injection.Mount.getID(node);\n  },\n\n  injection: injection\n};\n\nmodule.exports = EventPluginUtils;\n},{\"15\":15,\"161\":161,\"173\":173,\"61\":61}],19:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule EventPropagators\n */\n\n'use strict';\n\nvar EventConstants = _dereq_(15);\nvar EventPluginHub = _dereq_(16);\n\nvar warning = _dereq_(173);\n\nvar accumulateInto = _dereq_(115);\nvar forEachAccumulated = _dereq_(124);\n\nvar PropagationPhases = EventConstants.PropagationPhases;\nvar getListener = EventPluginHub.getListener;\n\n/**\n * Some event types have a notion of different registration names for different\n * \"phases\" of propagation. This finds listeners by a given phase.\n */\nfunction listenerAtPhase(id, event, propagationPhase) {\n  var registrationName = event.dispatchConfig.phasedRegistrationNames[propagationPhase];\n  return getListener(id, registrationName);\n}\n\n/**\n * Tags a `SyntheticEvent` with dispatched listeners. Creating this function\n * here, allows us to not have to bind or create functions for each event.\n * Mutating the event's members allows us to not have to create a wrapping\n * \"dispatch\" object that pairs the event with the listener.\n */\nfunction accumulateDirectionalDispatches(domID, upwards, event) {\n  if (\"development\" !== 'production') {\n    \"development\" !== 'production' ? warning(domID, 'Dispatching id must not be null') : undefined;\n  }\n  var phase = upwards ? PropagationPhases.bubbled : PropagationPhases.captured;\n  var listener = listenerAtPhase(domID, event, phase);\n  if (listener) {\n    event._dispatchListeners = accumulateInto(event._dispatchListeners, listener);\n    event._dispatchIDs = accumulateInto(event._dispatchIDs, domID);\n  }\n}\n\n/**\n * Collect dispatches (must be entirely collected before dispatching - see unit\n * tests). Lazily allocate the array to conserve memory.  We must loop through\n * each event and perform the traversal for each one. We cannot perform a\n * single traversal for the entire collection of events because each event may\n * have a different target.\n */\nfunction accumulateTwoPhaseDispatchesSingle(event) {\n  if (event && event.dispatchConfig.phasedRegistrationNames) {\n    EventPluginHub.injection.getInstanceHandle().traverseTwoPhase(event.dispatchMarker, accumulateDirectionalDispatches, event);\n  }\n}\n\n/**\n * Same as `accumulateTwoPhaseDispatchesSingle`, but skips over the targetID.\n */\nfunction accumulateTwoPhaseDispatchesSingleSkipTarget(event) {\n  if (event && event.dispatchConfig.phasedRegistrationNames) {\n    EventPluginHub.injection.getInstanceHandle().traverseTwoPhaseSkipTarget(event.dispatchMarker, accumulateDirectionalDispatches, event);\n  }\n}\n\n/**\n * Accumulates without regard to direction, does not look for phased\n * registration names. Same as `accumulateDirectDispatchesSingle` but without\n * requiring that the `dispatchMarker` be the same as the dispatched ID.\n */\nfunction accumulateDispatches(id, ignoredDirection, event) {\n  if (event && event.dispatchConfig.registrationName) {\n    var registrationName = event.dispatchConfig.registrationName;\n    var listener = getListener(id, registrationName);\n    if (listener) {\n      event._dispatchListeners = accumulateInto(event._dispatchListeners, listener);\n      event._dispatchIDs = accumulateInto(event._dispatchIDs, id);\n    }\n  }\n}\n\n/**\n * Accumulates dispatches on an `SyntheticEvent`, but only for the\n * `dispatchMarker`.\n * @param {SyntheticEvent} event\n */\nfunction accumulateDirectDispatchesSingle(event) {\n  if (event && event.dispatchConfig.registrationName) {\n    accumulateDispatches(event.dispatchMarker, null, event);\n  }\n}\n\nfunction accumulateTwoPhaseDispatches(events) {\n  forEachAccumulated(events, accumulateTwoPhaseDispatchesSingle);\n}\n\nfunction accumulateTwoPhaseDispatchesSkipTarget(events) {\n  forEachAccumulated(events, accumulateTwoPhaseDispatchesSingleSkipTarget);\n}\n\nfunction accumulateEnterLeaveDispatches(leave, enter, fromID, toID) {\n  EventPluginHub.injection.getInstanceHandle().traverseEnterLeave(fromID, toID, accumulateDispatches, leave, enter);\n}\n\nfunction accumulateDirectDispatches(events) {\n  forEachAccumulated(events, accumulateDirectDispatchesSingle);\n}\n\n/**\n * A small set of propagation patterns, each of which will accept a small amount\n * of information, and generate a set of \"dispatch ready event objects\" - which\n * are sets of events that have already been annotated with a set of dispatched\n * listener functions/ids. The API is designed this way to discourage these\n * propagation strategies from actually executing the dispatches, since we\n * always want to collect the entire set of dispatches before executing event a\n * single one.\n *\n * @constructor EventPropagators\n */\nvar EventPropagators = {\n  accumulateTwoPhaseDispatches: accumulateTwoPhaseDispatches,\n  accumulateTwoPhaseDispatchesSkipTarget: accumulateTwoPhaseDispatchesSkipTarget,\n  accumulateDirectDispatches: accumulateDirectDispatches,\n  accumulateEnterLeaveDispatches: accumulateEnterLeaveDispatches\n};\n\nmodule.exports = EventPropagators;\n},{\"115\":115,\"124\":124,\"15\":15,\"16\":16,\"173\":173}],20:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule FallbackCompositionState\n * @typechecks static-only\n */\n\n'use strict';\n\nvar PooledClass = _dereq_(25);\n\nvar assign = _dereq_(24);\nvar getTextContentAccessor = _dereq_(131);\n\n/**\n * This helper class stores information about text content of a target node,\n * allowing comparison of content before and after a given event.\n *\n * Identify the node where selection currently begins, then observe\n * both its text content and its current position in the DOM. Since the\n * browser may natively replace the target node during composition, we can\n * use its position to find its replacement.\n *\n * @param {DOMEventTarget} root\n */\nfunction FallbackCompositionState(root) {\n  this._root = root;\n  this._startText = this.getText();\n  this._fallbackText = null;\n}\n\nassign(FallbackCompositionState.prototype, {\n  destructor: function () {\n    this._root = null;\n    this._startText = null;\n    this._fallbackText = null;\n  },\n\n  /**\n   * Get current text of input.\n   *\n   * @return {string}\n   */\n  getText: function () {\n    if ('value' in this._root) {\n      return this._root.value;\n    }\n    return this._root[getTextContentAccessor()];\n  },\n\n  /**\n   * Determine the differing substring between the initially stored\n   * text content and the current content.\n   *\n   * @return {string}\n   */\n  getData: function () {\n    if (this._fallbackText) {\n      return this._fallbackText;\n    }\n\n    var start;\n    var startValue = this._startText;\n    var startLength = startValue.length;\n    var end;\n    var endValue = this.getText();\n    var endLength = endValue.length;\n\n    for (start = 0; start < startLength; start++) {\n      if (startValue[start] !== endValue[start]) {\n        break;\n      }\n    }\n\n    var minEnd = startLength - start;\n    for (end = 1; end <= minEnd; end++) {\n      if (startValue[startLength - end] !== endValue[endLength - end]) {\n        break;\n      }\n    }\n\n    var sliceTail = end > 1 ? 1 - end : undefined;\n    this._fallbackText = endValue.slice(start, sliceTail);\n    return this._fallbackText;\n  }\n});\n\nPooledClass.addPoolingTo(FallbackCompositionState);\n\nmodule.exports = FallbackCompositionState;\n},{\"131\":131,\"24\":24,\"25\":25}],21:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule HTMLDOMPropertyConfig\n */\n\n'use strict';\n\nvar DOMProperty = _dereq_(10);\nvar ExecutionEnvironment = _dereq_(147);\n\nvar MUST_USE_ATTRIBUTE = DOMProperty.injection.MUST_USE_ATTRIBUTE;\nvar MUST_USE_PROPERTY = DOMProperty.injection.MUST_USE_PROPERTY;\nvar HAS_BOOLEAN_VALUE = DOMProperty.injection.HAS_BOOLEAN_VALUE;\nvar HAS_SIDE_EFFECTS = DOMProperty.injection.HAS_SIDE_EFFECTS;\nvar HAS_NUMERIC_VALUE = DOMProperty.injection.HAS_NUMERIC_VALUE;\nvar HAS_POSITIVE_NUMERIC_VALUE = DOMProperty.injection.HAS_POSITIVE_NUMERIC_VALUE;\nvar HAS_OVERLOADED_BOOLEAN_VALUE = DOMProperty.injection.HAS_OVERLOADED_BOOLEAN_VALUE;\n\nvar hasSVG;\nif (ExecutionEnvironment.canUseDOM) {\n  var implementation = document.implementation;\n  hasSVG = implementation && implementation.hasFeature && implementation.hasFeature('http://www.w3.org/TR/SVG11/feature#BasicStructure', '1.1');\n}\n\nvar HTMLDOMPropertyConfig = {\n  isCustomAttribute: RegExp.prototype.test.bind(/^(data|aria)-[a-z_][a-z\\d_.\\-]*$/),\n  Properties: {\n    /**\n     * Standard Properties\n     */\n    accept: null,\n    acceptCharset: null,\n    accessKey: null,\n    action: null,\n    allowFullScreen: MUST_USE_ATTRIBUTE | HAS_BOOLEAN_VALUE,\n    allowTransparency: MUST_USE_ATTRIBUTE,\n    alt: null,\n    async: HAS_BOOLEAN_VALUE,\n    autoComplete: null,\n    // autoFocus is polyfilled/normalized by AutoFocusUtils\n    // autoFocus: HAS_BOOLEAN_VALUE,\n    autoPlay: HAS_BOOLEAN_VALUE,\n    capture: MUST_USE_ATTRIBUTE | HAS_BOOLEAN_VALUE,\n    cellPadding: null,\n    cellSpacing: null,\n    charSet: MUST_USE_ATTRIBUTE,\n    challenge: MUST_USE_ATTRIBUTE,\n    checked: MUST_USE_PROPERTY | HAS_BOOLEAN_VALUE,\n    classID: MUST_USE_ATTRIBUTE,\n    // To set className on SVG elements, it's necessary to use .setAttribute;\n    // this works on HTML elements too in all browsers except IE8. Conveniently,\n    // IE8 doesn't support SVG and so we can simply use the attribute in\n    // browsers that support SVG and the property in browsers that don't,\n    // regardless of whether the element is HTML or SVG.\n    className: hasSVG ? MUST_USE_ATTRIBUTE : MUST_USE_PROPERTY,\n    cols: MUST_USE_ATTRIBUTE | HAS_POSITIVE_NUMERIC_VALUE,\n    colSpan: null,\n    content: null,\n    contentEditable: null,\n    contextMenu: MUST_USE_ATTRIBUTE,\n    controls: MUST_USE_PROPERTY | HAS_BOOLEAN_VALUE,\n    coords: null,\n    crossOrigin: null,\n    data: null, // For `<object />` acts as `src`.\n    dateTime: MUST_USE_ATTRIBUTE,\n    'default': HAS_BOOLEAN_VALUE,\n    defer: HAS_BOOLEAN_VALUE,\n    dir: null,\n    disabled: MUST_USE_ATTRIBUTE | HAS_BOOLEAN_VALUE,\n    download: HAS_OVERLOADED_BOOLEAN_VALUE,\n    draggable: null,\n    encType: null,\n    form: MUST_USE_ATTRIBUTE,\n    formAction: MUST_USE_ATTRIBUTE,\n    formEncType: MUST_USE_ATTRIBUTE,\n    formMethod: MUST_USE_ATTRIBUTE,\n    formNoValidate: HAS_BOOLEAN_VALUE,\n    formTarget: MUST_USE_ATTRIBUTE,\n    frameBorder: MUST_USE_ATTRIBUTE,\n    headers: null,\n    height: MUST_USE_ATTRIBUTE,\n    hidden: MUST_USE_ATTRIBUTE | HAS_BOOLEAN_VALUE,\n    high: null,\n    href: null,\n    hrefLang: null,\n    htmlFor: null,\n    httpEquiv: null,\n    icon: null,\n    id: MUST_USE_PROPERTY,\n    inputMode: MUST_USE_ATTRIBUTE,\n    integrity: null,\n    is: MUST_USE_ATTRIBUTE,\n    keyParams: MUST_USE_ATTRIBUTE,\n    keyType: MUST_USE_ATTRIBUTE,\n    kind: null,\n    label: null,\n    lang: null,\n    list: MUST_USE_ATTRIBUTE,\n    loop: MUST_USE_PROPERTY | HAS_BOOLEAN_VALUE,\n    low: null,\n    manifest: MUST_USE_ATTRIBUTE,\n    marginHeight: null,\n    marginWidth: null,\n    max: null,\n    maxLength: MUST_USE_ATTRIBUTE,\n    media: MUST_USE_ATTRIBUTE,\n    mediaGroup: null,\n    method: null,\n    min: null,\n    minLength: MUST_USE_ATTRIBUTE,\n    multiple: MUST_USE_PROPERTY | HAS_BOOLEAN_VALUE,\n    muted: MUST_USE_PROPERTY | HAS_BOOLEAN_VALUE,\n    name: null,\n    nonce: MUST_USE_ATTRIBUTE,\n    noValidate: HAS_BOOLEAN_VALUE,\n    open: HAS_BOOLEAN_VALUE,\n    optimum: null,\n    pattern: null,\n    placeholder: null,\n    poster: null,\n    preload: null,\n    radioGroup: null,\n    readOnly: MUST_USE_PROPERTY | HAS_BOOLEAN_VALUE,\n    rel: null,\n    required: HAS_BOOLEAN_VALUE,\n    reversed: HAS_BOOLEAN_VALUE,\n    role: MUST_USE_ATTRIBUTE,\n    rows: MUST_USE_ATTRIBUTE | HAS_POSITIVE_NUMERIC_VALUE,\n    rowSpan: null,\n    sandbox: null,\n    scope: null,\n    scoped: HAS_BOOLEAN_VALUE,\n    scrolling: null,\n    seamless: MUST_USE_ATTRIBUTE | HAS_BOOLEAN_VALUE,\n    selected: MUST_USE_PROPERTY | HAS_BOOLEAN_VALUE,\n    shape: null,\n    size: MUST_USE_ATTRIBUTE | HAS_POSITIVE_NUMERIC_VALUE,\n    sizes: MUST_USE_ATTRIBUTE,\n    span: HAS_POSITIVE_NUMERIC_VALUE,\n    spellCheck: null,\n    src: null,\n    srcDoc: MUST_USE_PROPERTY,\n    srcLang: null,\n    srcSet: MUST_USE_ATTRIBUTE,\n    start: HAS_NUMERIC_VALUE,\n    step: null,\n    style: null,\n    summary: null,\n    tabIndex: null,\n    target: null,\n    title: null,\n    type: null,\n    useMap: null,\n    value: MUST_USE_PROPERTY | HAS_SIDE_EFFECTS,\n    width: MUST_USE_ATTRIBUTE,\n    wmode: MUST_USE_ATTRIBUTE,\n    wrap: null,\n\n    /**\n     * RDFa Properties\n     */\n    about: MUST_USE_ATTRIBUTE,\n    datatype: MUST_USE_ATTRIBUTE,\n    inlist: MUST_USE_ATTRIBUTE,\n    prefix: MUST_USE_ATTRIBUTE,\n    // property is also supported for OpenGraph in meta tags.\n    property: MUST_USE_ATTRIBUTE,\n    resource: MUST_USE_ATTRIBUTE,\n    'typeof': MUST_USE_ATTRIBUTE,\n    vocab: MUST_USE_ATTRIBUTE,\n\n    /**\n     * Non-standard Properties\n     */\n    // autoCapitalize and autoCorrect are supported in Mobile Safari for\n    // keyboard hints.\n    autoCapitalize: MUST_USE_ATTRIBUTE,\n    autoCorrect: MUST_USE_ATTRIBUTE,\n    // autoSave allows WebKit/Blink to persist values of input fields on page reloads\n    autoSave: null,\n    // color is for Safari mask-icon link\n    color: null,\n    // itemProp, itemScope, itemType are for\n    // Microdata support. See http://schema.org/docs/gs.html\n    itemProp: MUST_USE_ATTRIBUTE,\n    itemScope: MUST_USE_ATTRIBUTE | HAS_BOOLEAN_VALUE,\n    itemType: MUST_USE_ATTRIBUTE,\n    // itemID and itemRef are for Microdata support as well but\n    // only specified in the the WHATWG spec document. See\n    // https://html.spec.whatwg.org/multipage/microdata.html#microdata-dom-api\n    itemID: MUST_USE_ATTRIBUTE,\n    itemRef: MUST_USE_ATTRIBUTE,\n    // results show looking glass icon and recent searches on input\n    // search fields in WebKit/Blink\n    results: null,\n    // IE-only attribute that specifies security restrictions on an iframe\n    // as an alternative to the sandbox attribute on IE<10\n    security: MUST_USE_ATTRIBUTE,\n    // IE-only attribute that controls focus behavior\n    unselectable: MUST_USE_ATTRIBUTE\n  },\n  DOMAttributeNames: {\n    acceptCharset: 'accept-charset',\n    className: 'class',\n    htmlFor: 'for',\n    httpEquiv: 'http-equiv'\n  },\n  DOMPropertyNames: {\n    autoComplete: 'autocomplete',\n    autoFocus: 'autofocus',\n    autoPlay: 'autoplay',\n    autoSave: 'autosave',\n    // `encoding` is equivalent to `enctype`, IE8 lacks an `enctype` setter.\n    // http://www.w3.org/TR/html5/forms.html#dom-fs-encoding\n    encType: 'encoding',\n    hrefLang: 'hreflang',\n    radioGroup: 'radiogroup',\n    spellCheck: 'spellcheck',\n    srcDoc: 'srcdoc',\n    srcSet: 'srcset'\n  }\n};\n\nmodule.exports = HTMLDOMPropertyConfig;\n},{\"10\":10,\"147\":147}],22:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule LinkedStateMixin\n * @typechecks static-only\n */\n\n'use strict';\n\nvar ReactLink = _dereq_(70);\nvar ReactStateSetters = _dereq_(90);\n\n/**\n * A simple mixin around ReactLink.forState().\n */\nvar LinkedStateMixin = {\n  /**\n   * Create a ReactLink that's linked to part of this component's state. The\n   * ReactLink will have the current value of this.state[key] and will call\n   * setState() when a change is requested.\n   *\n   * @param {string} key state key to update. Note: you may want to use keyOf()\n   * if you're using Google Closure Compiler advanced mode.\n   * @return {ReactLink} ReactLink instance linking to the state.\n   */\n  linkState: function (key) {\n    return new ReactLink(this.state[key], ReactStateSetters.createStateKeySetter(this, key));\n  }\n};\n\nmodule.exports = LinkedStateMixin;\n},{\"70\":70,\"90\":90}],23:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule LinkedValueUtils\n * @typechecks static-only\n */\n\n'use strict';\n\nvar ReactPropTypes = _dereq_(82);\nvar ReactPropTypeLocations = _dereq_(81);\n\nvar invariant = _dereq_(161);\nvar warning = _dereq_(173);\n\nvar hasReadOnlyValue = {\n  'button': true,\n  'checkbox': true,\n  'image': true,\n  'hidden': true,\n  'radio': true,\n  'reset': true,\n  'submit': true\n};\n\nfunction _assertSingleLink(inputProps) {\n  !(inputProps.checkedLink == null || inputProps.valueLink == null) ? \"development\" !== 'production' ? invariant(false, 'Cannot provide a checkedLink and a valueLink. If you want to use ' + 'checkedLink, you probably don\\'t want to use valueLink and vice versa.') : invariant(false) : undefined;\n}\nfunction _assertValueLink(inputProps) {\n  _assertSingleLink(inputProps);\n  !(inputProps.value == null && inputProps.onChange == null) ? \"development\" !== 'production' ? invariant(false, 'Cannot provide a valueLink and a value or onChange event. If you want ' + 'to use value or onChange, you probably don\\'t want to use valueLink.') : invariant(false) : undefined;\n}\n\nfunction _assertCheckedLink(inputProps) {\n  _assertSingleLink(inputProps);\n  !(inputProps.checked == null && inputProps.onChange == null) ? \"development\" !== 'production' ? invariant(false, 'Cannot provide a checkedLink and a checked property or onChange event. ' + 'If you want to use checked or onChange, you probably don\\'t want to ' + 'use checkedLink') : invariant(false) : undefined;\n}\n\nvar propTypes = {\n  value: function (props, propName, componentName) {\n    if (!props[propName] || hasReadOnlyValue[props.type] || props.onChange || props.readOnly || props.disabled) {\n      return null;\n    }\n    return new Error('You provided a `value` prop to a form field without an ' + '`onChange` handler. This will render a read-only field. If ' + 'the field should be mutable use `defaultValue`. Otherwise, ' + 'set either `onChange` or `readOnly`.');\n  },\n  checked: function (props, propName, componentName) {\n    if (!props[propName] || props.onChange || props.readOnly || props.disabled) {\n      return null;\n    }\n    return new Error('You provided a `checked` prop to a form field without an ' + '`onChange` handler. This will render a read-only field. If ' + 'the field should be mutable use `defaultChecked`. Otherwise, ' + 'set either `onChange` or `readOnly`.');\n  },\n  onChange: ReactPropTypes.func\n};\n\nvar loggedTypeFailures = {};\nfunction getDeclarationErrorAddendum(owner) {\n  if (owner) {\n    var name = owner.getName();\n    if (name) {\n      return ' Check the render method of `' + name + '`.';\n    }\n  }\n  return '';\n}\n\n/**\n * Provide a linked `value` attribute for controlled forms. You should not use\n * this outside of the ReactDOM controlled form components.\n */\nvar LinkedValueUtils = {\n  checkPropTypes: function (tagName, props, owner) {\n    for (var propName in propTypes) {\n      if (propTypes.hasOwnProperty(propName)) {\n        var error = propTypes[propName](props, propName, tagName, ReactPropTypeLocations.prop);\n      }\n      if (error instanceof Error && !(error.message in loggedTypeFailures)) {\n        // Only monitor this failure once because there tends to be a lot of the\n        // same error.\n        loggedTypeFailures[error.message] = true;\n\n        var addendum = getDeclarationErrorAddendum(owner);\n        \"development\" !== 'production' ? warning(false, 'Failed form propType: %s%s', error.message, addendum) : undefined;\n      }\n    }\n  },\n\n  /**\n   * @param {object} inputProps Props for form component\n   * @return {*} current value of the input either from value prop or link.\n   */\n  getValue: function (inputProps) {\n    if (inputProps.valueLink) {\n      _assertValueLink(inputProps);\n      return inputProps.valueLink.value;\n    }\n    return inputProps.value;\n  },\n\n  /**\n   * @param {object} inputProps Props for form component\n   * @return {*} current checked status of the input either from checked prop\n   *             or link.\n   */\n  getChecked: function (inputProps) {\n    if (inputProps.checkedLink) {\n      _assertCheckedLink(inputProps);\n      return inputProps.checkedLink.value;\n    }\n    return inputProps.checked;\n  },\n\n  /**\n   * @param {object} inputProps Props for form component\n   * @param {SyntheticEvent} event change event to handle\n   */\n  executeOnChange: function (inputProps, event) {\n    if (inputProps.valueLink) {\n      _assertValueLink(inputProps);\n      return inputProps.valueLink.requestChange(event.target.value);\n    } else if (inputProps.checkedLink) {\n      _assertCheckedLink(inputProps);\n      return inputProps.checkedLink.requestChange(event.target.checked);\n    } else if (inputProps.onChange) {\n      return inputProps.onChange.call(undefined, event);\n    }\n  }\n};\n\nmodule.exports = LinkedValueUtils;\n},{\"161\":161,\"173\":173,\"81\":81,\"82\":82}],24:[function(_dereq_,module,exports){\n/**\n * Copyright 2014-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule Object.assign\n */\n\n// https://people.mozilla.org/~jorendorff/es6-draft.html#sec-object.assign\n\n'use strict';\n\nfunction assign(target, sources) {\n  if (target == null) {\n    throw new TypeError('Object.assign target cannot be null or undefined');\n  }\n\n  var to = Object(target);\n  var hasOwnProperty = Object.prototype.hasOwnProperty;\n\n  for (var nextIndex = 1; nextIndex < arguments.length; nextIndex++) {\n    var nextSource = arguments[nextIndex];\n    if (nextSource == null) {\n      continue;\n    }\n\n    var from = Object(nextSource);\n\n    // We don't currently support accessors nor proxies. Therefore this\n    // copy cannot throw. If we ever supported this then we must handle\n    // exceptions and side-effects. We don't support symbols so they won't\n    // be transferred.\n\n    for (var key in from) {\n      if (hasOwnProperty.call(from, key)) {\n        to[key] = from[key];\n      }\n    }\n  }\n\n  return to;\n}\n\nmodule.exports = assign;\n},{}],25:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule PooledClass\n */\n\n'use strict';\n\nvar invariant = _dereq_(161);\n\n/**\n * Static poolers. Several custom versions for each potential number of\n * arguments. A completely generic pooler is easy to implement, but would\n * require accessing the `arguments` object. In each of these, `this` refers to\n * the Class itself, not an instance. If any others are needed, simply add them\n * here, or in their own files.\n */\nvar oneArgumentPooler = function (copyFieldsFrom) {\n  var Klass = this;\n  if (Klass.instancePool.length) {\n    var instance = Klass.instancePool.pop();\n    Klass.call(instance, copyFieldsFrom);\n    return instance;\n  } else {\n    return new Klass(copyFieldsFrom);\n  }\n};\n\nvar twoArgumentPooler = function (a1, a2) {\n  var Klass = this;\n  if (Klass.instancePool.length) {\n    var instance = Klass.instancePool.pop();\n    Klass.call(instance, a1, a2);\n    return instance;\n  } else {\n    return new Klass(a1, a2);\n  }\n};\n\nvar threeArgumentPooler = function (a1, a2, a3) {\n  var Klass = this;\n  if (Klass.instancePool.length) {\n    var instance = Klass.instancePool.pop();\n    Klass.call(instance, a1, a2, a3);\n    return instance;\n  } else {\n    return new Klass(a1, a2, a3);\n  }\n};\n\nvar fourArgumentPooler = function (a1, a2, a3, a4) {\n  var Klass = this;\n  if (Klass.instancePool.length) {\n    var instance = Klass.instancePool.pop();\n    Klass.call(instance, a1, a2, a3, a4);\n    return instance;\n  } else {\n    return new Klass(a1, a2, a3, a4);\n  }\n};\n\nvar fiveArgumentPooler = function (a1, a2, a3, a4, a5) {\n  var Klass = this;\n  if (Klass.instancePool.length) {\n    var instance = Klass.instancePool.pop();\n    Klass.call(instance, a1, a2, a3, a4, a5);\n    return instance;\n  } else {\n    return new Klass(a1, a2, a3, a4, a5);\n  }\n};\n\nvar standardReleaser = function (instance) {\n  var Klass = this;\n  !(instance instanceof Klass) ? \"development\" !== 'production' ? invariant(false, 'Trying to release an instance into a pool of a different type.') : invariant(false) : undefined;\n  instance.destructor();\n  if (Klass.instancePool.length < Klass.poolSize) {\n    Klass.instancePool.push(instance);\n  }\n};\n\nvar DEFAULT_POOL_SIZE = 10;\nvar DEFAULT_POOLER = oneArgumentPooler;\n\n/**\n * Augments `CopyConstructor` to be a poolable class, augmenting only the class\n * itself (statically) not adding any prototypical fields. Any CopyConstructor\n * you give this may have a `poolSize` property, and will look for a\n * prototypical `destructor` on instances (optional).\n *\n * @param {Function} CopyConstructor Constructor that can be used to reset.\n * @param {Function} pooler Customizable pooler.\n */\nvar addPoolingTo = function (CopyConstructor, pooler) {\n  var NewKlass = CopyConstructor;\n  NewKlass.instancePool = [];\n  NewKlass.getPooled = pooler || DEFAULT_POOLER;\n  if (!NewKlass.poolSize) {\n    NewKlass.poolSize = DEFAULT_POOL_SIZE;\n  }\n  NewKlass.release = standardReleaser;\n  return NewKlass;\n};\n\nvar PooledClass = {\n  addPoolingTo: addPoolingTo,\n  oneArgumentPooler: oneArgumentPooler,\n  twoArgumentPooler: twoArgumentPooler,\n  threeArgumentPooler: threeArgumentPooler,\n  fourArgumentPooler: fourArgumentPooler,\n  fiveArgumentPooler: fiveArgumentPooler\n};\n\nmodule.exports = PooledClass;\n},{\"161\":161}],26:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule React\n */\n\n'use strict';\n\nvar ReactDOM = _dereq_(40);\nvar ReactDOMServer = _dereq_(50);\nvar ReactIsomorphic = _dereq_(69);\n\nvar assign = _dereq_(24);\nvar deprecated = _dereq_(120);\n\n// `version` will be added here by ReactIsomorphic.\nvar React = {};\n\nassign(React, ReactIsomorphic);\n\nassign(React, {\n  // ReactDOM\n  findDOMNode: deprecated('findDOMNode', 'ReactDOM', 'react-dom', ReactDOM, ReactDOM.findDOMNode),\n  render: deprecated('render', 'ReactDOM', 'react-dom', ReactDOM, ReactDOM.render),\n  unmountComponentAtNode: deprecated('unmountComponentAtNode', 'ReactDOM', 'react-dom', ReactDOM, ReactDOM.unmountComponentAtNode),\n\n  // ReactDOMServer\n  renderToString: deprecated('renderToString', 'ReactDOMServer', 'react-dom/server', ReactDOMServer, ReactDOMServer.renderToString),\n  renderToStaticMarkup: deprecated('renderToStaticMarkup', 'ReactDOMServer', 'react-dom/server', ReactDOMServer, ReactDOMServer.renderToStaticMarkup)\n});\n\nReact.__SECRET_DOM_DO_NOT_USE_OR_YOU_WILL_BE_FIRED = ReactDOM;\nReact.__SECRET_DOM_SERVER_DO_NOT_USE_OR_YOU_WILL_BE_FIRED = ReactDOMServer;\n\nmodule.exports = React;\n},{\"120\":120,\"24\":24,\"40\":40,\"50\":50,\"69\":69}],27:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactBrowserComponentMixin\n */\n\n'use strict';\n\nvar ReactInstanceMap = _dereq_(68);\n\nvar findDOMNode = _dereq_(122);\nvar warning = _dereq_(173);\n\nvar didWarnKey = '_getDOMNodeDidWarn';\n\nvar ReactBrowserComponentMixin = {\n  /**\n   * Returns the DOM node rendered by this component.\n   *\n   * @return {DOMElement} The root node of this component.\n   * @final\n   * @protected\n   */\n  getDOMNode: function () {\n    \"development\" !== 'production' ? warning(this.constructor[didWarnKey], '%s.getDOMNode(...) is deprecated. Please use ' + 'ReactDOM.findDOMNode(instance) instead.', ReactInstanceMap.get(this).getName() || this.tagName || 'Unknown') : undefined;\n    this.constructor[didWarnKey] = true;\n    return findDOMNode(this);\n  }\n};\n\nmodule.exports = ReactBrowserComponentMixin;\n},{\"122\":122,\"173\":173,\"68\":68}],28:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactBrowserEventEmitter\n * @typechecks static-only\n */\n\n'use strict';\n\nvar EventConstants = _dereq_(15);\nvar EventPluginHub = _dereq_(16);\nvar EventPluginRegistry = _dereq_(17);\nvar ReactEventEmitterMixin = _dereq_(62);\nvar ReactPerf = _dereq_(78);\nvar ViewportMetrics = _dereq_(114);\n\nvar assign = _dereq_(24);\nvar isEventSupported = _dereq_(133);\n\n/**\n * Summary of `ReactBrowserEventEmitter` event handling:\n *\n *  - Top-level delegation is used to trap most native browser events. This\n *    may only occur in the main thread and is the responsibility of\n *    ReactEventListener, which is injected and can therefore support pluggable\n *    event sources. This is the only work that occurs in the main thread.\n *\n *  - We normalize and de-duplicate events to account for browser quirks. This\n *    may be done in the worker thread.\n *\n *  - Forward these native events (with the associated top-level type used to\n *    trap it) to `EventPluginHub`, which in turn will ask plugins if they want\n *    to extract any synthetic events.\n *\n *  - The `EventPluginHub` will then process each event by annotating them with\n *    \"dispatches\", a sequence of listeners and IDs that care about that event.\n *\n *  - The `EventPluginHub` then dispatches the events.\n *\n * Overview of React and the event system:\n *\n * +------------+    .\n * |    DOM     |    .\n * +------------+    .\n *       |           .\n *       v           .\n * +------------+    .\n * | ReactEvent |    .\n * |  Listener  |    .\n * +------------+    .                         +-----------+\n *       |           .               +--------+|SimpleEvent|\n *       |           .               |         |Plugin     |\n * +-----|------+    .               v         +-----------+\n * |     |      |    .    +--------------+                    +------------+\n * |     +-----------.--->|EventPluginHub|                    |    Event   |\n * |            |    .    |              |     +-----------+  | Propagators|\n * | ReactEvent |    .    |              |     |TapEvent   |  |------------|\n * |  Emitter   |    .    |              |<---+|Plugin     |  |other plugin|\n * |            |    .    |              |     +-----------+  |  utilities |\n * |     +-----------.--->|              |                    +------------+\n * |     |      |    .    +--------------+\n * +-----|------+    .                ^        +-----------+\n *       |           .                |        |Enter/Leave|\n *       +           .                +-------+|Plugin     |\n * +-------------+   .                         +-----------+\n * | application |   .\n * |-------------|   .\n * |             |   .\n * |             |   .\n * +-------------+   .\n *                   .\n *    React Core     .  General Purpose Event Plugin System\n */\n\nvar alreadyListeningTo = {};\nvar isMonitoringScrollValue = false;\nvar reactTopListenersCounter = 0;\n\n// For events like 'submit' which don't consistently bubble (which we trap at a\n// lower node than `document`), binding at `document` would cause duplicate\n// events so we don't include them here\nvar topEventMapping = {\n  topAbort: 'abort',\n  topBlur: 'blur',\n  topCanPlay: 'canplay',\n  topCanPlayThrough: 'canplaythrough',\n  topChange: 'change',\n  topClick: 'click',\n  topCompositionEnd: 'compositionend',\n  topCompositionStart: 'compositionstart',\n  topCompositionUpdate: 'compositionupdate',\n  topContextMenu: 'contextmenu',\n  topCopy: 'copy',\n  topCut: 'cut',\n  topDoubleClick: 'dblclick',\n  topDrag: 'drag',\n  topDragEnd: 'dragend',\n  topDragEnter: 'dragenter',\n  topDragExit: 'dragexit',\n  topDragLeave: 'dragleave',\n  topDragOver: 'dragover',\n  topDragStart: 'dragstart',\n  topDrop: 'drop',\n  topDurationChange: 'durationchange',\n  topEmptied: 'emptied',\n  topEncrypted: 'encrypted',\n  topEnded: 'ended',\n  topError: 'error',\n  topFocus: 'focus',\n  topInput: 'input',\n  topKeyDown: 'keydown',\n  topKeyPress: 'keypress',\n  topKeyUp: 'keyup',\n  topLoadedData: 'loadeddata',\n  topLoadedMetadata: 'loadedmetadata',\n  topLoadStart: 'loadstart',\n  topMouseDown: 'mousedown',\n  topMouseMove: 'mousemove',\n  topMouseOut: 'mouseout',\n  topMouseOver: 'mouseover',\n  topMouseUp: 'mouseup',\n  topPaste: 'paste',\n  topPause: 'pause',\n  topPlay: 'play',\n  topPlaying: 'playing',\n  topProgress: 'progress',\n  topRateChange: 'ratechange',\n  topScroll: 'scroll',\n  topSeeked: 'seeked',\n  topSeeking: 'seeking',\n  topSelectionChange: 'selectionchange',\n  topStalled: 'stalled',\n  topSuspend: 'suspend',\n  topTextInput: 'textInput',\n  topTimeUpdate: 'timeupdate',\n  topTouchCancel: 'touchcancel',\n  topTouchEnd: 'touchend',\n  topTouchMove: 'touchmove',\n  topTouchStart: 'touchstart',\n  topVolumeChange: 'volumechange',\n  topWaiting: 'waiting',\n  topWheel: 'wheel'\n};\n\n/**\n * To ensure no conflicts with other potential React instances on the page\n */\nvar topListenersIDKey = '_reactListenersID' + String(Math.random()).slice(2);\n\nfunction getListeningForDocument(mountAt) {\n  // In IE8, `mountAt` is a host object and doesn't have `hasOwnProperty`\n  // directly.\n  if (!Object.prototype.hasOwnProperty.call(mountAt, topListenersIDKey)) {\n    mountAt[topListenersIDKey] = reactTopListenersCounter++;\n    alreadyListeningTo[mountAt[topListenersIDKey]] = {};\n  }\n  return alreadyListeningTo[mountAt[topListenersIDKey]];\n}\n\n/**\n * `ReactBrowserEventEmitter` is used to attach top-level event listeners. For\n * example:\n *\n *   ReactBrowserEventEmitter.putListener('myID', 'onClick', myFunction);\n *\n * This would allocate a \"registration\" of `('onClick', myFunction)` on 'myID'.\n *\n * @internal\n */\nvar ReactBrowserEventEmitter = assign({}, ReactEventEmitterMixin, {\n\n  /**\n   * Injectable event backend\n   */\n  ReactEventListener: null,\n\n  injection: {\n    /**\n     * @param {object} ReactEventListener\n     */\n    injectReactEventListener: function (ReactEventListener) {\n      ReactEventListener.setHandleTopLevel(ReactBrowserEventEmitter.handleTopLevel);\n      ReactBrowserEventEmitter.ReactEventListener = ReactEventListener;\n    }\n  },\n\n  /**\n   * Sets whether or not any created callbacks should be enabled.\n   *\n   * @param {boolean} enabled True if callbacks should be enabled.\n   */\n  setEnabled: function (enabled) {\n    if (ReactBrowserEventEmitter.ReactEventListener) {\n      ReactBrowserEventEmitter.ReactEventListener.setEnabled(enabled);\n    }\n  },\n\n  /**\n   * @return {boolean} True if callbacks are enabled.\n   */\n  isEnabled: function () {\n    return !!(ReactBrowserEventEmitter.ReactEventListener && ReactBrowserEventEmitter.ReactEventListener.isEnabled());\n  },\n\n  /**\n   * We listen for bubbled touch events on the document object.\n   *\n   * Firefox v8.01 (and possibly others) exhibited strange behavior when\n   * mounting `onmousemove` events at some node that was not the document\n   * element. The symptoms were that if your mouse is not moving over something\n   * contained within that mount point (for example on the background) the\n   * top-level listeners for `onmousemove` won't be called. However, if you\n   * register the `mousemove` on the document object, then it will of course\n   * catch all `mousemove`s. This along with iOS quirks, justifies restricting\n   * top-level listeners to the document object only, at least for these\n   * movement types of events and possibly all events.\n   *\n   * @see http://www.quirksmode.org/blog/archives/2010/09/click_event_del.html\n   *\n   * Also, `keyup`/`keypress`/`keydown` do not bubble to the window on IE, but\n   * they bubble to document.\n   *\n   * @param {string} registrationName Name of listener (e.g. `onClick`).\n   * @param {object} contentDocumentHandle Document which owns the container\n   */\n  listenTo: function (registrationName, contentDocumentHandle) {\n    var mountAt = contentDocumentHandle;\n    var isListening = getListeningForDocument(mountAt);\n    var dependencies = EventPluginRegistry.registrationNameDependencies[registrationName];\n\n    var topLevelTypes = EventConstants.topLevelTypes;\n    for (var i = 0; i < dependencies.length; i++) {\n      var dependency = dependencies[i];\n      if (!(isListening.hasOwnProperty(dependency) && isListening[dependency])) {\n        if (dependency === topLevelTypes.topWheel) {\n          if (isEventSupported('wheel')) {\n            ReactBrowserEventEmitter.ReactEventListener.trapBubbledEvent(topLevelTypes.topWheel, 'wheel', mountAt);\n          } else if (isEventSupported('mousewheel')) {\n            ReactBrowserEventEmitter.ReactEventListener.trapBubbledEvent(topLevelTypes.topWheel, 'mousewheel', mountAt);\n          } else {\n            // Firefox needs to capture a different mouse scroll event.\n            // @see http://www.quirksmode.org/dom/events/tests/scroll.html\n            ReactBrowserEventEmitter.ReactEventListener.trapBubbledEvent(topLevelTypes.topWheel, 'DOMMouseScroll', mountAt);\n          }\n        } else if (dependency === topLevelTypes.topScroll) {\n\n          if (isEventSupported('scroll', true)) {\n            ReactBrowserEventEmitter.ReactEventListener.trapCapturedEvent(topLevelTypes.topScroll, 'scroll', mountAt);\n          } else {\n            ReactBrowserEventEmitter.ReactEventListener.trapBubbledEvent(topLevelTypes.topScroll, 'scroll', ReactBrowserEventEmitter.ReactEventListener.WINDOW_HANDLE);\n          }\n        } else if (dependency === topLevelTypes.topFocus || dependency === topLevelTypes.topBlur) {\n\n          if (isEventSupported('focus', true)) {\n            ReactBrowserEventEmitter.ReactEventListener.trapCapturedEvent(topLevelTypes.topFocus, 'focus', mountAt);\n            ReactBrowserEventEmitter.ReactEventListener.trapCapturedEvent(topLevelTypes.topBlur, 'blur', mountAt);\n          } else if (isEventSupported('focusin')) {\n            // IE has `focusin` and `focusout` events which bubble.\n            // @see http://www.quirksmode.org/blog/archives/2008/04/delegating_the.html\n            ReactBrowserEventEmitter.ReactEventListener.trapBubbledEvent(topLevelTypes.topFocus, 'focusin', mountAt);\n            ReactBrowserEventEmitter.ReactEventListener.trapBubbledEvent(topLevelTypes.topBlur, 'focusout', mountAt);\n          }\n\n          // to make sure blur and focus event listeners are only attached once\n          isListening[topLevelTypes.topBlur] = true;\n          isListening[topLevelTypes.topFocus] = true;\n        } else if (topEventMapping.hasOwnProperty(dependency)) {\n          ReactBrowserEventEmitter.ReactEventListener.trapBubbledEvent(dependency, topEventMapping[dependency], mountAt);\n        }\n\n        isListening[dependency] = true;\n      }\n    }\n  },\n\n  trapBubbledEvent: function (topLevelType, handlerBaseName, handle) {\n    return ReactBrowserEventEmitter.ReactEventListener.trapBubbledEvent(topLevelType, handlerBaseName, handle);\n  },\n\n  trapCapturedEvent: function (topLevelType, handlerBaseName, handle) {\n    return ReactBrowserEventEmitter.ReactEventListener.trapCapturedEvent(topLevelType, handlerBaseName, handle);\n  },\n\n  /**\n   * Listens to window scroll and resize events. We cache scroll values so that\n   * application code can access them without triggering reflows.\n   *\n   * NOTE: Scroll events do not bubble.\n   *\n   * @see http://www.quirksmode.org/dom/events/scroll.html\n   */\n  ensureScrollValueMonitoring: function () {\n    if (!isMonitoringScrollValue) {\n      var refresh = ViewportMetrics.refreshScrollValues;\n      ReactBrowserEventEmitter.ReactEventListener.monitorScrollValue(refresh);\n      isMonitoringScrollValue = true;\n    }\n  },\n\n  eventNameDispatchConfigs: EventPluginHub.eventNameDispatchConfigs,\n\n  registrationNameModules: EventPluginHub.registrationNameModules,\n\n  putListener: EventPluginHub.putListener,\n\n  getListener: EventPluginHub.getListener,\n\n  deleteListener: EventPluginHub.deleteListener,\n\n  deleteAllListeners: EventPluginHub.deleteAllListeners\n\n});\n\nReactPerf.measureMethods(ReactBrowserEventEmitter, 'ReactBrowserEventEmitter', {\n  putListener: 'putListener',\n  deleteListener: 'deleteListener'\n});\n\nmodule.exports = ReactBrowserEventEmitter;\n},{\"114\":114,\"133\":133,\"15\":15,\"16\":16,\"17\":17,\"24\":24,\"62\":62,\"78\":78}],29:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @typechecks\n * @providesModule ReactCSSTransitionGroup\n */\n\n'use strict';\n\nvar React = _dereq_(26);\n\nvar assign = _dereq_(24);\n\nvar ReactTransitionGroup = _dereq_(94);\nvar ReactCSSTransitionGroupChild = _dereq_(30);\n\nfunction createTransitionTimeoutPropValidator(transitionType) {\n  var timeoutPropName = 'transition' + transitionType + 'Timeout';\n  var enabledPropName = 'transition' + transitionType;\n\n  return function (props) {\n    // If the transition is enabled\n    if (props[enabledPropName]) {\n      // If no timeout duration is provided\n      if (props[timeoutPropName] == null) {\n        return new Error(timeoutPropName + ' wasn\\'t supplied to ReactCSSTransitionGroup: ' + 'this can cause unreliable animations and won\\'t be supported in ' + 'a future version of React. See ' + 'https://fb.me/react-animation-transition-group-timeout for more ' + 'information.');\n\n        // If the duration isn't a number\n      } else if (typeof props[timeoutPropName] !== 'number') {\n          return new Error(timeoutPropName + ' must be a number (in milliseconds)');\n        }\n    }\n  };\n}\n\nvar ReactCSSTransitionGroup = React.createClass({\n  displayName: 'ReactCSSTransitionGroup',\n\n  propTypes: {\n    transitionName: ReactCSSTransitionGroupChild.propTypes.name,\n\n    transitionAppear: React.PropTypes.bool,\n    transitionEnter: React.PropTypes.bool,\n    transitionLeave: React.PropTypes.bool,\n    transitionAppearTimeout: createTransitionTimeoutPropValidator('Appear'),\n    transitionEnterTimeout: createTransitionTimeoutPropValidator('Enter'),\n    transitionLeaveTimeout: createTransitionTimeoutPropValidator('Leave')\n  },\n\n  getDefaultProps: function () {\n    return {\n      transitionAppear: false,\n      transitionEnter: true,\n      transitionLeave: true\n    };\n  },\n\n  _wrapChild: function (child) {\n    // We need to provide this childFactory so that\n    // ReactCSSTransitionGroupChild can receive updates to name, enter, and\n    // leave while it is leaving.\n    return React.createElement(ReactCSSTransitionGroupChild, {\n      name: this.props.transitionName,\n      appear: this.props.transitionAppear,\n      enter: this.props.transitionEnter,\n      leave: this.props.transitionLeave,\n      appearTimeout: this.props.transitionAppearTimeout,\n      enterTimeout: this.props.transitionEnterTimeout,\n      leaveTimeout: this.props.transitionLeaveTimeout\n    }, child);\n  },\n\n  render: function () {\n    return React.createElement(ReactTransitionGroup, assign({}, this.props, { childFactory: this._wrapChild }));\n  }\n});\n\nmodule.exports = ReactCSSTransitionGroup;\n},{\"24\":24,\"26\":26,\"30\":30,\"94\":94}],30:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @typechecks\n * @providesModule ReactCSSTransitionGroupChild\n */\n\n'use strict';\n\nvar React = _dereq_(26);\nvar ReactDOM = _dereq_(40);\n\nvar CSSCore = _dereq_(145);\nvar ReactTransitionEvents = _dereq_(93);\n\nvar onlyChild = _dereq_(135);\n\n// We don't remove the element from the DOM until we receive an animationend or\n// transitionend event. If the user screws up and forgets to add an animation\n// their node will be stuck in the DOM forever, so we detect if an animation\n// does not start and if it doesn't, we just call the end listener immediately.\nvar TICK = 17;\n\nvar ReactCSSTransitionGroupChild = React.createClass({\n  displayName: 'ReactCSSTransitionGroupChild',\n\n  propTypes: {\n    name: React.PropTypes.oneOfType([React.PropTypes.string, React.PropTypes.shape({\n      enter: React.PropTypes.string,\n      leave: React.PropTypes.string,\n      active: React.PropTypes.string\n    }), React.PropTypes.shape({\n      enter: React.PropTypes.string,\n      enterActive: React.PropTypes.string,\n      leave: React.PropTypes.string,\n      leaveActive: React.PropTypes.string,\n      appear: React.PropTypes.string,\n      appearActive: React.PropTypes.string\n    })]).isRequired,\n\n    // Once we require timeouts to be specified, we can remove the\n    // boolean flags (appear etc.) and just accept a number\n    // or a bool for the timeout flags (appearTimeout etc.)\n    appear: React.PropTypes.bool,\n    enter: React.PropTypes.bool,\n    leave: React.PropTypes.bool,\n    appearTimeout: React.PropTypes.number,\n    enterTimeout: React.PropTypes.number,\n    leaveTimeout: React.PropTypes.number\n  },\n\n  transition: function (animationType, finishCallback, userSpecifiedDelay) {\n    var node = ReactDOM.findDOMNode(this);\n\n    if (!node) {\n      if (finishCallback) {\n        finishCallback();\n      }\n      return;\n    }\n\n    var className = this.props.name[animationType] || this.props.name + '-' + animationType;\n    var activeClassName = this.props.name[animationType + 'Active'] || className + '-active';\n    var timeout = null;\n\n    var endListener = function (e) {\n      if (e && e.target !== node) {\n        return;\n      }\n\n      clearTimeout(timeout);\n\n      CSSCore.removeClass(node, className);\n      CSSCore.removeClass(node, activeClassName);\n\n      ReactTransitionEvents.removeEndEventListener(node, endListener);\n\n      // Usually this optional callback is used for informing an owner of\n      // a leave animation and telling it to remove the child.\n      if (finishCallback) {\n        finishCallback();\n      }\n    };\n\n    CSSCore.addClass(node, className);\n\n    // Need to do this to actually trigger a transition.\n    this.queueClass(activeClassName);\n\n    // If the user specified a timeout delay.\n    if (userSpecifiedDelay) {\n      // Clean-up the animation after the specified delay\n      timeout = setTimeout(endListener, userSpecifiedDelay);\n      this.transitionTimeouts.push(timeout);\n    } else {\n      // DEPRECATED: this listener will be removed in a future version of react\n      ReactTransitionEvents.addEndEventListener(node, endListener);\n    }\n  },\n\n  queueClass: function (className) {\n    this.classNameQueue.push(className);\n\n    if (!this.timeout) {\n      this.timeout = setTimeout(this.flushClassNameQueue, TICK);\n    }\n  },\n\n  flushClassNameQueue: function () {\n    if (this.isMounted()) {\n      this.classNameQueue.forEach(CSSCore.addClass.bind(CSSCore, ReactDOM.findDOMNode(this)));\n    }\n    this.classNameQueue.length = 0;\n    this.timeout = null;\n  },\n\n  componentWillMount: function () {\n    this.classNameQueue = [];\n    this.transitionTimeouts = [];\n  },\n\n  componentWillUnmount: function () {\n    if (this.timeout) {\n      clearTimeout(this.timeout);\n    }\n    this.transitionTimeouts.forEach(function (timeout) {\n      clearTimeout(timeout);\n    });\n  },\n\n  componentWillAppear: function (done) {\n    if (this.props.appear) {\n      this.transition('appear', done, this.props.appearTimeout);\n    } else {\n      done();\n    }\n  },\n\n  componentWillEnter: function (done) {\n    if (this.props.enter) {\n      this.transition('enter', done, this.props.enterTimeout);\n    } else {\n      done();\n    }\n  },\n\n  componentWillLeave: function (done) {\n    if (this.props.leave) {\n      this.transition('leave', done, this.props.leaveTimeout);\n    } else {\n      done();\n    }\n  },\n\n  render: function () {\n    return onlyChild(this.props.children);\n  }\n});\n\nmodule.exports = ReactCSSTransitionGroupChild;\n},{\"135\":135,\"145\":145,\"26\":26,\"40\":40,\"93\":93}],31:[function(_dereq_,module,exports){\n/**\n * Copyright 2014-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactChildReconciler\n * @typechecks static-only\n */\n\n'use strict';\n\nvar ReactReconciler = _dereq_(84);\n\nvar instantiateReactComponent = _dereq_(132);\nvar shouldUpdateReactComponent = _dereq_(141);\nvar traverseAllChildren = _dereq_(142);\nvar warning = _dereq_(173);\n\nfunction instantiateChild(childInstances, child, name) {\n  // We found a component instance.\n  var keyUnique = childInstances[name] === undefined;\n  if (\"development\" !== 'production') {\n    \"development\" !== 'production' ? warning(keyUnique, 'flattenChildren(...): Encountered two children with the same key, ' + '`%s`. Child keys must be unique; when two children share a key, only ' + 'the first child will be used.', name) : undefined;\n  }\n  if (child != null && keyUnique) {\n    childInstances[name] = instantiateReactComponent(child, null);\n  }\n}\n\n/**\n * ReactChildReconciler provides helpers for initializing or updating a set of\n * children. Its output is suitable for passing it onto ReactMultiChild which\n * does diffed reordering and insertion.\n */\nvar ReactChildReconciler = {\n  /**\n   * Generates a \"mount image\" for each of the supplied children. In the case\n   * of `ReactDOMComponent`, a mount image is a string of markup.\n   *\n   * @param {?object} nestedChildNodes Nested child maps.\n   * @return {?object} A set of child instances.\n   * @internal\n   */\n  instantiateChildren: function (nestedChildNodes, transaction, context) {\n    if (nestedChildNodes == null) {\n      return null;\n    }\n    var childInstances = {};\n    traverseAllChildren(nestedChildNodes, instantiateChild, childInstances);\n    return childInstances;\n  },\n\n  /**\n   * Updates the rendered children and returns a new set of children.\n   *\n   * @param {?object} prevChildren Previously initialized set of children.\n   * @param {?object} nextChildren Flat child element maps.\n   * @param {ReactReconcileTransaction} transaction\n   * @param {object} context\n   * @return {?object} A new set of child instances.\n   * @internal\n   */\n  updateChildren: function (prevChildren, nextChildren, transaction, context) {\n    // We currently don't have a way to track moves here but if we use iterators\n    // instead of for..in we can zip the iterators and check if an item has\n    // moved.\n    // TODO: If nothing has changed, return the prevChildren object so that we\n    // can quickly bailout if nothing has changed.\n    if (!nextChildren && !prevChildren) {\n      return null;\n    }\n    var name;\n    for (name in nextChildren) {\n      if (!nextChildren.hasOwnProperty(name)) {\n        continue;\n      }\n      var prevChild = prevChildren && prevChildren[name];\n      var prevElement = prevChild && prevChild._currentElement;\n      var nextElement = nextChildren[name];\n      if (prevChild != null && shouldUpdateReactComponent(prevElement, nextElement)) {\n        ReactReconciler.receiveComponent(prevChild, nextElement, transaction, context);\n        nextChildren[name] = prevChild;\n      } else {\n        if (prevChild) {\n          ReactReconciler.unmountComponent(prevChild, name);\n        }\n        // The child must be instantiated before it's mounted.\n        var nextChildInstance = instantiateReactComponent(nextElement, null);\n        nextChildren[name] = nextChildInstance;\n      }\n    }\n    // Unmount children that are no longer present.\n    for (name in prevChildren) {\n      if (prevChildren.hasOwnProperty(name) && !(nextChildren && nextChildren.hasOwnProperty(name))) {\n        ReactReconciler.unmountComponent(prevChildren[name]);\n      }\n    }\n    return nextChildren;\n  },\n\n  /**\n   * Unmounts all rendered children. This should be used to clean up children\n   * when this component is unmounted.\n   *\n   * @param {?object} renderedChildren Previously initialized set of children.\n   * @internal\n   */\n  unmountChildren: function (renderedChildren) {\n    for (var name in renderedChildren) {\n      if (renderedChildren.hasOwnProperty(name)) {\n        var renderedChild = renderedChildren[name];\n        ReactReconciler.unmountComponent(renderedChild);\n      }\n    }\n  }\n\n};\n\nmodule.exports = ReactChildReconciler;\n},{\"132\":132,\"141\":141,\"142\":142,\"173\":173,\"84\":84}],32:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactChildren\n */\n\n'use strict';\n\nvar PooledClass = _dereq_(25);\nvar ReactElement = _dereq_(57);\n\nvar emptyFunction = _dereq_(153);\nvar traverseAllChildren = _dereq_(142);\n\nvar twoArgumentPooler = PooledClass.twoArgumentPooler;\nvar fourArgumentPooler = PooledClass.fourArgumentPooler;\n\nvar userProvidedKeyEscapeRegex = /\\/(?!\\/)/g;\nfunction escapeUserProvidedKey(text) {\n  return ('' + text).replace(userProvidedKeyEscapeRegex, '//');\n}\n\n/**\n * PooledClass representing the bookkeeping associated with performing a child\n * traversal. Allows avoiding binding callbacks.\n *\n * @constructor ForEachBookKeeping\n * @param {!function} forEachFunction Function to perform traversal with.\n * @param {?*} forEachContext Context to perform context with.\n */\nfunction ForEachBookKeeping(forEachFunction, forEachContext) {\n  this.func = forEachFunction;\n  this.context = forEachContext;\n  this.count = 0;\n}\nForEachBookKeeping.prototype.destructor = function () {\n  this.func = null;\n  this.context = null;\n  this.count = 0;\n};\nPooledClass.addPoolingTo(ForEachBookKeeping, twoArgumentPooler);\n\nfunction forEachSingleChild(bookKeeping, child, name) {\n  var func = bookKeeping.func;\n  var context = bookKeeping.context;\n\n  func.call(context, child, bookKeeping.count++);\n}\n\n/**\n * Iterates through children that are typically specified as `props.children`.\n *\n * The provided forEachFunc(child, index) will be called for each\n * leaf child.\n *\n * @param {?*} children Children tree container.\n * @param {function(*, int)} forEachFunc\n * @param {*} forEachContext Context for forEachContext.\n */\nfunction forEachChildren(children, forEachFunc, forEachContext) {\n  if (children == null) {\n    return children;\n  }\n  var traverseContext = ForEachBookKeeping.getPooled(forEachFunc, forEachContext);\n  traverseAllChildren(children, forEachSingleChild, traverseContext);\n  ForEachBookKeeping.release(traverseContext);\n}\n\n/**\n * PooledClass representing the bookkeeping associated with performing a child\n * mapping. Allows avoiding binding callbacks.\n *\n * @constructor MapBookKeeping\n * @param {!*} mapResult Object containing the ordered map of results.\n * @param {!function} mapFunction Function to perform mapping with.\n * @param {?*} mapContext Context to perform mapping with.\n */\nfunction MapBookKeeping(mapResult, keyPrefix, mapFunction, mapContext) {\n  this.result = mapResult;\n  this.keyPrefix = keyPrefix;\n  this.func = mapFunction;\n  this.context = mapContext;\n  this.count = 0;\n}\nMapBookKeeping.prototype.destructor = function () {\n  this.result = null;\n  this.keyPrefix = null;\n  this.func = null;\n  this.context = null;\n  this.count = 0;\n};\nPooledClass.addPoolingTo(MapBookKeeping, fourArgumentPooler);\n\nfunction mapSingleChildIntoContext(bookKeeping, child, childKey) {\n  var result = bookKeeping.result;\n  var keyPrefix = bookKeeping.keyPrefix;\n  var func = bookKeeping.func;\n  var context = bookKeeping.context;\n\n  var mappedChild = func.call(context, child, bookKeeping.count++);\n  if (Array.isArray(mappedChild)) {\n    mapIntoWithKeyPrefixInternal(mappedChild, result, childKey, emptyFunction.thatReturnsArgument);\n  } else if (mappedChild != null) {\n    if (ReactElement.isValidElement(mappedChild)) {\n      mappedChild = ReactElement.cloneAndReplaceKey(mappedChild,\n      // Keep both the (mapped) and old keys if they differ, just as\n      // traverseAllChildren used to do for objects as children\n      keyPrefix + (mappedChild !== child ? escapeUserProvidedKey(mappedChild.key || '') + '/' : '') + childKey);\n    }\n    result.push(mappedChild);\n  }\n}\n\nfunction mapIntoWithKeyPrefixInternal(children, array, prefix, func, context) {\n  var escapedPrefix = '';\n  if (prefix != null) {\n    escapedPrefix = escapeUserProvidedKey(prefix) + '/';\n  }\n  var traverseContext = MapBookKeeping.getPooled(array, escapedPrefix, func, context);\n  traverseAllChildren(children, mapSingleChildIntoContext, traverseContext);\n  MapBookKeeping.release(traverseContext);\n}\n\n/**\n * Maps children that are typically specified as `props.children`.\n *\n * The provided mapFunction(child, key, index) will be called for each\n * leaf child.\n *\n * @param {?*} children Children tree container.\n * @param {function(*, int)} func The map function.\n * @param {*} context Context for mapFunction.\n * @return {object} Object containing the ordered map of results.\n */\nfunction mapChildren(children, func, context) {\n  if (children == null) {\n    return children;\n  }\n  var result = [];\n  mapIntoWithKeyPrefixInternal(children, result, null, func, context);\n  return result;\n}\n\nfunction forEachSingleChildDummy(traverseContext, child, name) {\n  return null;\n}\n\n/**\n * Count the number of children that are typically specified as\n * `props.children`.\n *\n * @param {?*} children Children tree container.\n * @return {number} The number of children.\n */\nfunction countChildren(children, context) {\n  return traverseAllChildren(children, forEachSingleChildDummy, null);\n}\n\n/**\n * Flatten a children object (typically specified as `props.children`) and\n * return an array with appropriately re-keyed children.\n */\nfunction toArray(children) {\n  var result = [];\n  mapIntoWithKeyPrefixInternal(children, result, null, emptyFunction.thatReturnsArgument);\n  return result;\n}\n\nvar ReactChildren = {\n  forEach: forEachChildren,\n  map: mapChildren,\n  mapIntoWithKeyPrefixInternal: mapIntoWithKeyPrefixInternal,\n  count: countChildren,\n  toArray: toArray\n};\n\nmodule.exports = ReactChildren;\n},{\"142\":142,\"153\":153,\"25\":25,\"57\":57}],33:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactClass\n */\n\n'use strict';\n\nvar ReactComponent = _dereq_(34);\nvar ReactElement = _dereq_(57);\nvar ReactPropTypeLocations = _dereq_(81);\nvar ReactPropTypeLocationNames = _dereq_(80);\nvar ReactNoopUpdateQueue = _dereq_(76);\n\nvar assign = _dereq_(24);\nvar emptyObject = _dereq_(154);\nvar invariant = _dereq_(161);\nvar keyMirror = _dereq_(165);\nvar keyOf = _dereq_(166);\nvar warning = _dereq_(173);\n\nvar MIXINS_KEY = keyOf({ mixins: null });\n\n/**\n * Policies that describe methods in `ReactClassInterface`.\n */\nvar SpecPolicy = keyMirror({\n  /**\n   * These methods may be defined only once by the class specification or mixin.\n   */\n  DEFINE_ONCE: null,\n  /**\n   * These methods may be defined by both the class specification and mixins.\n   * Subsequent definitions will be chained. These methods must return void.\n   */\n  DEFINE_MANY: null,\n  /**\n   * These methods are overriding the base class.\n   */\n  OVERRIDE_BASE: null,\n  /**\n   * These methods are similar to DEFINE_MANY, except we assume they return\n   * objects. We try to merge the keys of the return values of all the mixed in\n   * functions. If there is a key conflict we throw.\n   */\n  DEFINE_MANY_MERGED: null\n});\n\nvar injectedMixins = [];\n\nvar warnedSetProps = false;\nfunction warnSetProps() {\n  if (!warnedSetProps) {\n    warnedSetProps = true;\n    \"development\" !== 'production' ? warning(false, 'setProps(...) and replaceProps(...) are deprecated. ' + 'Instead, call render again at the top level.') : undefined;\n  }\n}\n\n/**\n * Composite components are higher-level components that compose other composite\n * or native components.\n *\n * To create a new type of `ReactClass`, pass a specification of\n * your new class to `React.createClass`. The only requirement of your class\n * specification is that you implement a `render` method.\n *\n *   var MyComponent = React.createClass({\n *     render: function() {\n *       return <div>Hello World</div>;\n *     }\n *   });\n *\n * The class specification supports a specific protocol of methods that have\n * special meaning (e.g. `render`). See `ReactClassInterface` for\n * more the comprehensive protocol. Any other properties and methods in the\n * class specification will be available on the prototype.\n *\n * @interface ReactClassInterface\n * @internal\n */\nvar ReactClassInterface = {\n\n  /**\n   * An array of Mixin objects to include when defining your component.\n   *\n   * @type {array}\n   * @optional\n   */\n  mixins: SpecPolicy.DEFINE_MANY,\n\n  /**\n   * An object containing properties and methods that should be defined on\n   * the component's constructor instead of its prototype (static methods).\n   *\n   * @type {object}\n   * @optional\n   */\n  statics: SpecPolicy.DEFINE_MANY,\n\n  /**\n   * Definition of prop types for this component.\n   *\n   * @type {object}\n   * @optional\n   */\n  propTypes: SpecPolicy.DEFINE_MANY,\n\n  /**\n   * Definition of context types for this component.\n   *\n   * @type {object}\n   * @optional\n   */\n  contextTypes: SpecPolicy.DEFINE_MANY,\n\n  /**\n   * Definition of context types this component sets for its children.\n   *\n   * @type {object}\n   * @optional\n   */\n  childContextTypes: SpecPolicy.DEFINE_MANY,\n\n  // ==== Definition methods ====\n\n  /**\n   * Invoked when the component is mounted. Values in the mapping will be set on\n   * `this.props` if that prop is not specified (i.e. using an `in` check).\n   *\n   * This method is invoked before `getInitialState` and therefore cannot rely\n   * on `this.state` or use `this.setState`.\n   *\n   * @return {object}\n   * @optional\n   */\n  getDefaultProps: SpecPolicy.DEFINE_MANY_MERGED,\n\n  /**\n   * Invoked once before the component is mounted. The return value will be used\n   * as the initial value of `this.state`.\n   *\n   *   getInitialState: function() {\n   *     return {\n   *       isOn: false,\n   *       fooBaz: new BazFoo()\n   *     }\n   *   }\n   *\n   * @return {object}\n   * @optional\n   */\n  getInitialState: SpecPolicy.DEFINE_MANY_MERGED,\n\n  /**\n   * @return {object}\n   * @optional\n   */\n  getChildContext: SpecPolicy.DEFINE_MANY_MERGED,\n\n  /**\n   * Uses props from `this.props` and state from `this.state` to render the\n   * structure of the component.\n   *\n   * No guarantees are made about when or how often this method is invoked, so\n   * it must not have side effects.\n   *\n   *   render: function() {\n   *     var name = this.props.name;\n   *     return <div>Hello, {name}!</div>;\n   *   }\n   *\n   * @return {ReactComponent}\n   * @nosideeffects\n   * @required\n   */\n  render: SpecPolicy.DEFINE_ONCE,\n\n  // ==== Delegate methods ====\n\n  /**\n   * Invoked when the component is initially created and about to be mounted.\n   * This may have side effects, but any external subscriptions or data created\n   * by this method must be cleaned up in `componentWillUnmount`.\n   *\n   * @optional\n   */\n  componentWillMount: SpecPolicy.DEFINE_MANY,\n\n  /**\n   * Invoked when the component has been mounted and has a DOM representation.\n   * However, there is no guarantee that the DOM node is in the document.\n   *\n   * Use this as an opportunity to operate on the DOM when the component has\n   * been mounted (initialized and rendered) for the first time.\n   *\n   * @param {DOMElement} rootNode DOM element representing the component.\n   * @optional\n   */\n  componentDidMount: SpecPolicy.DEFINE_MANY,\n\n  /**\n   * Invoked before the component receives new props.\n   *\n   * Use this as an opportunity to react to a prop transition by updating the\n   * state using `this.setState`. Current props are accessed via `this.props`.\n   *\n   *   componentWillReceiveProps: function(nextProps, nextContext) {\n   *     this.setState({\n   *       likesIncreasing: nextProps.likeCount > this.props.likeCount\n   *     });\n   *   }\n   *\n   * NOTE: There is no equivalent `componentWillReceiveState`. An incoming prop\n   * transition may cause a state change, but the opposite is not true. If you\n   * need it, you are probably looking for `componentWillUpdate`.\n   *\n   * @param {object} nextProps\n   * @optional\n   */\n  componentWillReceiveProps: SpecPolicy.DEFINE_MANY,\n\n  /**\n   * Invoked while deciding if the component should be updated as a result of\n   * receiving new props, state and/or context.\n   *\n   * Use this as an opportunity to `return false` when you're certain that the\n   * transition to the new props/state/context will not require a component\n   * update.\n   *\n   *   shouldComponentUpdate: function(nextProps, nextState, nextContext) {\n   *     return !equal(nextProps, this.props) ||\n   *       !equal(nextState, this.state) ||\n   *       !equal(nextContext, this.context);\n   *   }\n   *\n   * @param {object} nextProps\n   * @param {?object} nextState\n   * @param {?object} nextContext\n   * @return {boolean} True if the component should update.\n   * @optional\n   */\n  shouldComponentUpdate: SpecPolicy.DEFINE_ONCE,\n\n  /**\n   * Invoked when the component is about to update due to a transition from\n   * `this.props`, `this.state` and `this.context` to `nextProps`, `nextState`\n   * and `nextContext`.\n   *\n   * Use this as an opportunity to perform preparation before an update occurs.\n   *\n   * NOTE: You **cannot** use `this.setState()` in this method.\n   *\n   * @param {object} nextProps\n   * @param {?object} nextState\n   * @param {?object} nextContext\n   * @param {ReactReconcileTransaction} transaction\n   * @optional\n   */\n  componentWillUpdate: SpecPolicy.DEFINE_MANY,\n\n  /**\n   * Invoked when the component's DOM representation has been updated.\n   *\n   * Use this as an opportunity to operate on the DOM when the component has\n   * been updated.\n   *\n   * @param {object} prevProps\n   * @param {?object} prevState\n   * @param {?object} prevContext\n   * @param {DOMElement} rootNode DOM element representing the component.\n   * @optional\n   */\n  componentDidUpdate: SpecPolicy.DEFINE_MANY,\n\n  /**\n   * Invoked when the component is about to be removed from its parent and have\n   * its DOM representation destroyed.\n   *\n   * Use this as an opportunity to deallocate any external resources.\n   *\n   * NOTE: There is no `componentDidUnmount` since your component will have been\n   * destroyed by that point.\n   *\n   * @optional\n   */\n  componentWillUnmount: SpecPolicy.DEFINE_MANY,\n\n  // ==== Advanced methods ====\n\n  /**\n   * Updates the component's currently mounted DOM representation.\n   *\n   * By default, this implements React's rendering and reconciliation algorithm.\n   * Sophisticated clients may wish to override this.\n   *\n   * @param {ReactReconcileTransaction} transaction\n   * @internal\n   * @overridable\n   */\n  updateComponent: SpecPolicy.OVERRIDE_BASE\n\n};\n\n/**\n * Mapping from class specification keys to special processing functions.\n *\n * Although these are declared like instance properties in the specification\n * when defining classes using `React.createClass`, they are actually static\n * and are accessible on the constructor instead of the prototype. Despite\n * being static, they must be defined outside of the \"statics\" key under\n * which all other static methods are defined.\n */\nvar RESERVED_SPEC_KEYS = {\n  displayName: function (Constructor, displayName) {\n    Constructor.displayName = displayName;\n  },\n  mixins: function (Constructor, mixins) {\n    if (mixins) {\n      for (var i = 0; i < mixins.length; i++) {\n        mixSpecIntoComponent(Constructor, mixins[i]);\n      }\n    }\n  },\n  childContextTypes: function (Constructor, childContextTypes) {\n    if (\"development\" !== 'production') {\n      validateTypeDef(Constructor, childContextTypes, ReactPropTypeLocations.childContext);\n    }\n    Constructor.childContextTypes = assign({}, Constructor.childContextTypes, childContextTypes);\n  },\n  contextTypes: function (Constructor, contextTypes) {\n    if (\"development\" !== 'production') {\n      validateTypeDef(Constructor, contextTypes, ReactPropTypeLocations.context);\n    }\n    Constructor.contextTypes = assign({}, Constructor.contextTypes, contextTypes);\n  },\n  /**\n   * Special case getDefaultProps which should move into statics but requires\n   * automatic merging.\n   */\n  getDefaultProps: function (Constructor, getDefaultProps) {\n    if (Constructor.getDefaultProps) {\n      Constructor.getDefaultProps = createMergedResultFunction(Constructor.getDefaultProps, getDefaultProps);\n    } else {\n      Constructor.getDefaultProps = getDefaultProps;\n    }\n  },\n  propTypes: function (Constructor, propTypes) {\n    if (\"development\" !== 'production') {\n      validateTypeDef(Constructor, propTypes, ReactPropTypeLocations.prop);\n    }\n    Constructor.propTypes = assign({}, Constructor.propTypes, propTypes);\n  },\n  statics: function (Constructor, statics) {\n    mixStaticSpecIntoComponent(Constructor, statics);\n  },\n  autobind: function () {} };\n\n// noop\nfunction validateTypeDef(Constructor, typeDef, location) {\n  for (var propName in typeDef) {\n    if (typeDef.hasOwnProperty(propName)) {\n      // use a warning instead of an invariant so components\n      // don't show up in prod but not in __DEV__\n      \"development\" !== 'production' ? warning(typeof typeDef[propName] === 'function', '%s: %s type `%s` is invalid; it must be a function, usually from ' + 'React.PropTypes.', Constructor.displayName || 'ReactClass', ReactPropTypeLocationNames[location], propName) : undefined;\n    }\n  }\n}\n\nfunction validateMethodOverride(proto, name) {\n  var specPolicy = ReactClassInterface.hasOwnProperty(name) ? ReactClassInterface[name] : null;\n\n  // Disallow overriding of base class methods unless explicitly allowed.\n  if (ReactClassMixin.hasOwnProperty(name)) {\n    !(specPolicy === SpecPolicy.OVERRIDE_BASE) ? \"development\" !== 'production' ? invariant(false, 'ReactClassInterface: You are attempting to override ' + '`%s` from your class specification. Ensure that your method names ' + 'do not overlap with React methods.', name) : invariant(false) : undefined;\n  }\n\n  // Disallow defining methods more than once unless explicitly allowed.\n  if (proto.hasOwnProperty(name)) {\n    !(specPolicy === SpecPolicy.DEFINE_MANY || specPolicy === SpecPolicy.DEFINE_MANY_MERGED) ? \"development\" !== 'production' ? invariant(false, 'ReactClassInterface: You are attempting to define ' + '`%s` on your component more than once. This conflict may be due ' + 'to a mixin.', name) : invariant(false) : undefined;\n  }\n}\n\n/**\n * Mixin helper which handles policy validation and reserved\n * specification keys when building React classses.\n */\nfunction mixSpecIntoComponent(Constructor, spec) {\n  if (!spec) {\n    return;\n  }\n\n  !(typeof spec !== 'function') ? \"development\" !== 'production' ? invariant(false, 'ReactClass: You\\'re attempting to ' + 'use a component class as a mixin. Instead, just use a regular object.') : invariant(false) : undefined;\n  !!ReactElement.isValidElement(spec) ? \"development\" !== 'production' ? invariant(false, 'ReactClass: You\\'re attempting to ' + 'use a component as a mixin. Instead, just use a regular object.') : invariant(false) : undefined;\n\n  var proto = Constructor.prototype;\n\n  // By handling mixins before any other properties, we ensure the same\n  // chaining order is applied to methods with DEFINE_MANY policy, whether\n  // mixins are listed before or after these methods in the spec.\n  if (spec.hasOwnProperty(MIXINS_KEY)) {\n    RESERVED_SPEC_KEYS.mixins(Constructor, spec.mixins);\n  }\n\n  for (var name in spec) {\n    if (!spec.hasOwnProperty(name)) {\n      continue;\n    }\n\n    if (name === MIXINS_KEY) {\n      // We have already handled mixins in a special case above.\n      continue;\n    }\n\n    var property = spec[name];\n    validateMethodOverride(proto, name);\n\n    if (RESERVED_SPEC_KEYS.hasOwnProperty(name)) {\n      RESERVED_SPEC_KEYS[name](Constructor, property);\n    } else {\n      // Setup methods on prototype:\n      // The following member methods should not be automatically bound:\n      // 1. Expected ReactClass methods (in the \"interface\").\n      // 2. Overridden methods (that were mixed in).\n      var isReactClassMethod = ReactClassInterface.hasOwnProperty(name);\n      var isAlreadyDefined = proto.hasOwnProperty(name);\n      var isFunction = typeof property === 'function';\n      var shouldAutoBind = isFunction && !isReactClassMethod && !isAlreadyDefined && spec.autobind !== false;\n\n      if (shouldAutoBind) {\n        if (!proto.__reactAutoBindMap) {\n          proto.__reactAutoBindMap = {};\n        }\n        proto.__reactAutoBindMap[name] = property;\n        proto[name] = property;\n      } else {\n        if (isAlreadyDefined) {\n          var specPolicy = ReactClassInterface[name];\n\n          // These cases should already be caught by validateMethodOverride.\n          !(isReactClassMethod && (specPolicy === SpecPolicy.DEFINE_MANY_MERGED || specPolicy === SpecPolicy.DEFINE_MANY)) ? \"development\" !== 'production' ? invariant(false, 'ReactClass: Unexpected spec policy %s for key %s ' + 'when mixing in component specs.', specPolicy, name) : invariant(false) : undefined;\n\n          // For methods which are defined more than once, call the existing\n          // methods before calling the new property, merging if appropriate.\n          if (specPolicy === SpecPolicy.DEFINE_MANY_MERGED) {\n            proto[name] = createMergedResultFunction(proto[name], property);\n          } else if (specPolicy === SpecPolicy.DEFINE_MANY) {\n            proto[name] = createChainedFunction(proto[name], property);\n          }\n        } else {\n          proto[name] = property;\n          if (\"development\" !== 'production') {\n            // Add verbose displayName to the function, which helps when looking\n            // at profiling tools.\n            if (typeof property === 'function' && spec.displayName) {\n              proto[name].displayName = spec.displayName + '_' + name;\n            }\n          }\n        }\n      }\n    }\n  }\n}\n\nfunction mixStaticSpecIntoComponent(Constructor, statics) {\n  if (!statics) {\n    return;\n  }\n  for (var name in statics) {\n    var property = statics[name];\n    if (!statics.hasOwnProperty(name)) {\n      continue;\n    }\n\n    var isReserved = (name in RESERVED_SPEC_KEYS);\n    !!isReserved ? \"development\" !== 'production' ? invariant(false, 'ReactClass: You are attempting to define a reserved ' + 'property, `%s`, that shouldn\\'t be on the \"statics\" key. Define it ' + 'as an instance property instead; it will still be accessible on the ' + 'constructor.', name) : invariant(false) : undefined;\n\n    var isInherited = (name in Constructor);\n    !!isInherited ? \"development\" !== 'production' ? invariant(false, 'ReactClass: You are attempting to define ' + '`%s` on your component more than once. This conflict may be ' + 'due to a mixin.', name) : invariant(false) : undefined;\n    Constructor[name] = property;\n  }\n}\n\n/**\n * Merge two objects, but throw if both contain the same key.\n *\n * @param {object} one The first object, which is mutated.\n * @param {object} two The second object\n * @return {object} one after it has been mutated to contain everything in two.\n */\nfunction mergeIntoWithNoDuplicateKeys(one, two) {\n  !(one && two && typeof one === 'object' && typeof two === 'object') ? \"development\" !== 'production' ? invariant(false, 'mergeIntoWithNoDuplicateKeys(): Cannot merge non-objects.') : invariant(false) : undefined;\n\n  for (var key in two) {\n    if (two.hasOwnProperty(key)) {\n      !(one[key] === undefined) ? \"development\" !== 'production' ? invariant(false, 'mergeIntoWithNoDuplicateKeys(): ' + 'Tried to merge two objects with the same key: `%s`. This conflict ' + 'may be due to a mixin; in particular, this may be caused by two ' + 'getInitialState() or getDefaultProps() methods returning objects ' + 'with clashing keys.', key) : invariant(false) : undefined;\n      one[key] = two[key];\n    }\n  }\n  return one;\n}\n\n/**\n * Creates a function that invokes two functions and merges their return values.\n *\n * @param {function} one Function to invoke first.\n * @param {function} two Function to invoke second.\n * @return {function} Function that invokes the two argument functions.\n * @private\n */\nfunction createMergedResultFunction(one, two) {\n  return function mergedResult() {\n    var a = one.apply(this, arguments);\n    var b = two.apply(this, arguments);\n    if (a == null) {\n      return b;\n    } else if (b == null) {\n      return a;\n    }\n    var c = {};\n    mergeIntoWithNoDuplicateKeys(c, a);\n    mergeIntoWithNoDuplicateKeys(c, b);\n    return c;\n  };\n}\n\n/**\n * Creates a function that invokes two functions and ignores their return vales.\n *\n * @param {function} one Function to invoke first.\n * @param {function} two Function to invoke second.\n * @return {function} Function that invokes the two argument functions.\n * @private\n */\nfunction createChainedFunction(one, two) {\n  return function chainedFunction() {\n    one.apply(this, arguments);\n    two.apply(this, arguments);\n  };\n}\n\n/**\n * Binds a method to the component.\n *\n * @param {object} component Component whose method is going to be bound.\n * @param {function} method Method to be bound.\n * @return {function} The bound method.\n */\nfunction bindAutoBindMethod(component, method) {\n  var boundMethod = method.bind(component);\n  if (\"development\" !== 'production') {\n    boundMethod.__reactBoundContext = component;\n    boundMethod.__reactBoundMethod = method;\n    boundMethod.__reactBoundArguments = null;\n    var componentName = component.constructor.displayName;\n    var _bind = boundMethod.bind;\n    /* eslint-disable block-scoped-var, no-undef */\n    boundMethod.bind = function (newThis) {\n      for (var _len = arguments.length, args = Array(_len > 1 ? _len - 1 : 0), _key = 1; _key < _len; _key++) {\n        args[_key - 1] = arguments[_key];\n      }\n\n      // User is trying to bind() an autobound method; we effectively will\n      // ignore the value of \"this\" that the user is trying to use, so\n      // let's warn.\n      if (newThis !== component && newThis !== null) {\n        \"development\" !== 'production' ? warning(false, 'bind(): React component methods may only be bound to the ' + 'component instance. See %s', componentName) : undefined;\n      } else if (!args.length) {\n        \"development\" !== 'production' ? warning(false, 'bind(): You are binding a component method to the component. ' + 'React does this for you automatically in a high-performance ' + 'way, so you can safely remove this call. See %s', componentName) : undefined;\n        return boundMethod;\n      }\n      var reboundMethod = _bind.apply(boundMethod, arguments);\n      reboundMethod.__reactBoundContext = component;\n      reboundMethod.__reactBoundMethod = method;\n      reboundMethod.__reactBoundArguments = args;\n      return reboundMethod;\n      /* eslint-enable */\n    };\n  }\n  return boundMethod;\n}\n\n/**\n * Binds all auto-bound methods in a component.\n *\n * @param {object} component Component whose method is going to be bound.\n */\nfunction bindAutoBindMethods(component) {\n  for (var autoBindKey in component.__reactAutoBindMap) {\n    if (component.__reactAutoBindMap.hasOwnProperty(autoBindKey)) {\n      var method = component.__reactAutoBindMap[autoBindKey];\n      component[autoBindKey] = bindAutoBindMethod(component, method);\n    }\n  }\n}\n\n/**\n * Add more to the ReactClass base class. These are all legacy features and\n * therefore not already part of the modern ReactComponent.\n */\nvar ReactClassMixin = {\n\n  /**\n   * TODO: This will be deprecated because state should always keep a consistent\n   * type signature and the only use case for this, is to avoid that.\n   */\n  replaceState: function (newState, callback) {\n    this.updater.enqueueReplaceState(this, newState);\n    if (callback) {\n      this.updater.enqueueCallback(this, callback);\n    }\n  },\n\n  /**\n   * Checks whether or not this composite component is mounted.\n   * @return {boolean} True if mounted, false otherwise.\n   * @protected\n   * @final\n   */\n  isMounted: function () {\n    return this.updater.isMounted(this);\n  },\n\n  /**\n   * Sets a subset of the props.\n   *\n   * @param {object} partialProps Subset of the next props.\n   * @param {?function} callback Called after props are updated.\n   * @final\n   * @public\n   * @deprecated\n   */\n  setProps: function (partialProps, callback) {\n    if (\"development\" !== 'production') {\n      warnSetProps();\n    }\n    this.updater.enqueueSetProps(this, partialProps);\n    if (callback) {\n      this.updater.enqueueCallback(this, callback);\n    }\n  },\n\n  /**\n   * Replace all the props.\n   *\n   * @param {object} newProps Subset of the next props.\n   * @param {?function} callback Called after props are updated.\n   * @final\n   * @public\n   * @deprecated\n   */\n  replaceProps: function (newProps, callback) {\n    if (\"development\" !== 'production') {\n      warnSetProps();\n    }\n    this.updater.enqueueReplaceProps(this, newProps);\n    if (callback) {\n      this.updater.enqueueCallback(this, callback);\n    }\n  }\n};\n\nvar ReactClassComponent = function () {};\nassign(ReactClassComponent.prototype, ReactComponent.prototype, ReactClassMixin);\n\n/**\n * Module for creating composite components.\n *\n * @class ReactClass\n */\nvar ReactClass = {\n\n  /**\n   * Creates a composite component class given a class specification.\n   *\n   * @param {object} spec Class specification (which must define `render`).\n   * @return {function} Component constructor function.\n   * @public\n   */\n  createClass: function (spec) {\n    var Constructor = function (props, context, updater) {\n      // This constructor is overridden by mocks. The argument is used\n      // by mocks to assert on what gets mounted.\n\n      if (\"development\" !== 'production') {\n        \"development\" !== 'production' ? warning(this instanceof Constructor, 'Something is calling a React component directly. Use a factory or ' + 'JSX instead. See: https://fb.me/react-legacyfactory') : undefined;\n      }\n\n      // Wire up auto-binding\n      if (this.__reactAutoBindMap) {\n        bindAutoBindMethods(this);\n      }\n\n      this.props = props;\n      this.context = context;\n      this.refs = emptyObject;\n      this.updater = updater || ReactNoopUpdateQueue;\n\n      this.state = null;\n\n      // ReactClasses doesn't have constructors. Instead, they use the\n      // getInitialState and componentWillMount methods for initialization.\n\n      var initialState = this.getInitialState ? this.getInitialState() : null;\n      if (\"development\" !== 'production') {\n        // We allow auto-mocks to proceed as if they're returning null.\n        if (typeof initialState === 'undefined' && this.getInitialState._isMockFunction) {\n          // This is probably bad practice. Consider warning here and\n          // deprecating this convenience.\n          initialState = null;\n        }\n      }\n      !(typeof initialState === 'object' && !Array.isArray(initialState)) ? \"development\" !== 'production' ? invariant(false, '%s.getInitialState(): must return an object or null', Constructor.displayName || 'ReactCompositeComponent') : invariant(false) : undefined;\n\n      this.state = initialState;\n    };\n    Constructor.prototype = new ReactClassComponent();\n    Constructor.prototype.constructor = Constructor;\n\n    injectedMixins.forEach(mixSpecIntoComponent.bind(null, Constructor));\n\n    mixSpecIntoComponent(Constructor, spec);\n\n    // Initialize the defaultProps property after all mixins have been merged.\n    if (Constructor.getDefaultProps) {\n      Constructor.defaultProps = Constructor.getDefaultProps();\n    }\n\n    if (\"development\" !== 'production') {\n      // This is a tag to indicate that the use of these method names is ok,\n      // since it's used with createClass. If it's not, then it's likely a\n      // mistake so we'll warn you to use the static property, property\n      // initializer or constructor respectively.\n      if (Constructor.getDefaultProps) {\n        Constructor.getDefaultProps.isReactClassApproved = {};\n      }\n      if (Constructor.prototype.getInitialState) {\n        Constructor.prototype.getInitialState.isReactClassApproved = {};\n      }\n    }\n\n    !Constructor.prototype.render ? \"development\" !== 'production' ? invariant(false, 'createClass(...): Class specification must implement a `render` method.') : invariant(false) : undefined;\n\n    if (\"development\" !== 'production') {\n      \"development\" !== 'production' ? warning(!Constructor.prototype.componentShouldUpdate, '%s has a method called ' + 'componentShouldUpdate(). Did you mean shouldComponentUpdate()? ' + 'The name is phrased as a question because the function is ' + 'expected to return a value.', spec.displayName || 'A component') : undefined;\n      \"development\" !== 'production' ? warning(!Constructor.prototype.componentWillRecieveProps, '%s has a method called ' + 'componentWillRecieveProps(). Did you mean componentWillReceiveProps()?', spec.displayName || 'A component') : undefined;\n    }\n\n    // Reduce time spent doing lookups by setting these on the prototype.\n    for (var methodName in ReactClassInterface) {\n      if (!Constructor.prototype[methodName]) {\n        Constructor.prototype[methodName] = null;\n      }\n    }\n\n    return Constructor;\n  },\n\n  injection: {\n    injectMixin: function (mixin) {\n      injectedMixins.push(mixin);\n    }\n  }\n\n};\n\nmodule.exports = ReactClass;\n},{\"154\":154,\"161\":161,\"165\":165,\"166\":166,\"173\":173,\"24\":24,\"34\":34,\"57\":57,\"76\":76,\"80\":80,\"81\":81}],34:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactComponent\n */\n\n'use strict';\n\nvar ReactNoopUpdateQueue = _dereq_(76);\n\nvar canDefineProperty = _dereq_(117);\nvar emptyObject = _dereq_(154);\nvar invariant = _dereq_(161);\nvar warning = _dereq_(173);\n\n/**\n * Base class helpers for the updating state of a component.\n */\nfunction ReactComponent(props, context, updater) {\n  this.props = props;\n  this.context = context;\n  this.refs = emptyObject;\n  // We initialize the default updater but the real one gets injected by the\n  // renderer.\n  this.updater = updater || ReactNoopUpdateQueue;\n}\n\nReactComponent.prototype.isReactComponent = {};\n\n/**\n * Sets a subset of the state. Always use this to mutate\n * state. You should treat `this.state` as immutable.\n *\n * There is no guarantee that `this.state` will be immediately updated, so\n * accessing `this.state` after calling this method may return the old value.\n *\n * There is no guarantee that calls to `setState` will run synchronously,\n * as they may eventually be batched together.  You can provide an optional\n * callback that will be executed when the call to setState is actually\n * completed.\n *\n * When a function is provided to setState, it will be called at some point in\n * the future (not synchronously). It will be called with the up to date\n * component arguments (state, props, context). These values can be different\n * from this.* because your function may be called after receiveProps but before\n * shouldComponentUpdate, and this new state, props, and context will not yet be\n * assigned to this.\n *\n * @param {object|function} partialState Next partial state or function to\n *        produce next partial state to be merged with current state.\n * @param {?function} callback Called after state is updated.\n * @final\n * @protected\n */\nReactComponent.prototype.setState = function (partialState, callback) {\n  !(typeof partialState === 'object' || typeof partialState === 'function' || partialState == null) ? \"development\" !== 'production' ? invariant(false, 'setState(...): takes an object of state variables to update or a ' + 'function which returns an object of state variables.') : invariant(false) : undefined;\n  if (\"development\" !== 'production') {\n    \"development\" !== 'production' ? warning(partialState != null, 'setState(...): You passed an undefined or null state object; ' + 'instead, use forceUpdate().') : undefined;\n  }\n  this.updater.enqueueSetState(this, partialState);\n  if (callback) {\n    this.updater.enqueueCallback(this, callback);\n  }\n};\n\n/**\n * Forces an update. This should only be invoked when it is known with\n * certainty that we are **not** in a DOM transaction.\n *\n * You may want to call this when you know that some deeper aspect of the\n * component's state has changed but `setState` was not called.\n *\n * This will not invoke `shouldComponentUpdate`, but it will invoke\n * `componentWillUpdate` and `componentDidUpdate`.\n *\n * @param {?function} callback Called after update is complete.\n * @final\n * @protected\n */\nReactComponent.prototype.forceUpdate = function (callback) {\n  this.updater.enqueueForceUpdate(this);\n  if (callback) {\n    this.updater.enqueueCallback(this, callback);\n  }\n};\n\n/**\n * Deprecated APIs. These APIs used to exist on classic React classes but since\n * we would like to deprecate them, we're not going to move them over to this\n * modern base class. Instead, we define a getter that warns if it's accessed.\n */\nif (\"development\" !== 'production') {\n  var deprecatedAPIs = {\n    getDOMNode: ['getDOMNode', 'Use ReactDOM.findDOMNode(component) instead.'],\n    isMounted: ['isMounted', 'Instead, make sure to clean up subscriptions and pending requests in ' + 'componentWillUnmount to prevent memory leaks.'],\n    replaceProps: ['replaceProps', 'Instead, call render again at the top level.'],\n    replaceState: ['replaceState', 'Refactor your code to use setState instead (see ' + 'https://github.com/facebook/react/issues/3236).'],\n    setProps: ['setProps', 'Instead, call render again at the top level.']\n  };\n  var defineDeprecationWarning = function (methodName, info) {\n    if (canDefineProperty) {\n      Object.defineProperty(ReactComponent.prototype, methodName, {\n        get: function () {\n          \"development\" !== 'production' ? warning(false, '%s(...) is deprecated in plain JavaScript React classes. %s', info[0], info[1]) : undefined;\n          return undefined;\n        }\n      });\n    }\n  };\n  for (var fnName in deprecatedAPIs) {\n    if (deprecatedAPIs.hasOwnProperty(fnName)) {\n      defineDeprecationWarning(fnName, deprecatedAPIs[fnName]);\n    }\n  }\n}\n\nmodule.exports = ReactComponent;\n},{\"117\":117,\"154\":154,\"161\":161,\"173\":173,\"76\":76}],35:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactComponentBrowserEnvironment\n */\n\n'use strict';\n\nvar ReactDOMIDOperations = _dereq_(45);\nvar ReactMount = _dereq_(72);\n\n/**\n * Abstracts away all functionality of the reconciler that requires knowledge of\n * the browser context. TODO: These callers should be refactored to avoid the\n * need for this injection.\n */\nvar ReactComponentBrowserEnvironment = {\n\n  processChildrenUpdates: ReactDOMIDOperations.dangerouslyProcessChildrenUpdates,\n\n  replaceNodeWithMarkupByID: ReactDOMIDOperations.dangerouslyReplaceNodeWithMarkupByID,\n\n  /**\n   * If a particular environment requires that some resources be cleaned up,\n   * specify this in the injected Mixin. In the DOM, we would likely want to\n   * purge any cached node ID lookups.\n   *\n   * @private\n   */\n  unmountIDFromEnvironment: function (rootNodeID) {\n    ReactMount.purgeID(rootNodeID);\n  }\n\n};\n\nmodule.exports = ReactComponentBrowserEnvironment;\n},{\"45\":45,\"72\":72}],36:[function(_dereq_,module,exports){\n/**\n * Copyright 2014-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactComponentEnvironment\n */\n\n'use strict';\n\nvar invariant = _dereq_(161);\n\nvar injected = false;\n\nvar ReactComponentEnvironment = {\n\n  /**\n   * Optionally injectable environment dependent cleanup hook. (server vs.\n   * browser etc). Example: A browser system caches DOM nodes based on component\n   * ID and must remove that cache entry when this instance is unmounted.\n   */\n  unmountIDFromEnvironment: null,\n\n  /**\n   * Optionally injectable hook for swapping out mount images in the middle of\n   * the tree.\n   */\n  replaceNodeWithMarkupByID: null,\n\n  /**\n   * Optionally injectable hook for processing a queue of child updates. Will\n   * later move into MultiChildComponents.\n   */\n  processChildrenUpdates: null,\n\n  injection: {\n    injectEnvironment: function (environment) {\n      !!injected ? \"development\" !== 'production' ? invariant(false, 'ReactCompositeComponent: injectEnvironment() can only be called once.') : invariant(false) : undefined;\n      ReactComponentEnvironment.unmountIDFromEnvironment = environment.unmountIDFromEnvironment;\n      ReactComponentEnvironment.replaceNodeWithMarkupByID = environment.replaceNodeWithMarkupByID;\n      ReactComponentEnvironment.processChildrenUpdates = environment.processChildrenUpdates;\n      injected = true;\n    }\n  }\n\n};\n\nmodule.exports = ReactComponentEnvironment;\n},{\"161\":161}],37:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactComponentWithPureRenderMixin\n */\n\n'use strict';\n\nvar shallowCompare = _dereq_(140);\n\n/**\n * If your React component's render function is \"pure\", e.g. it will render the\n * same result given the same props and state, provide this Mixin for a\n * considerable performance boost.\n *\n * Most React components have pure render functions.\n *\n * Example:\n *\n *   var ReactComponentWithPureRenderMixin =\n *     require('ReactComponentWithPureRenderMixin');\n *   React.createClass({\n *     mixins: [ReactComponentWithPureRenderMixin],\n *\n *     render: function() {\n *       return <div className={this.props.className}>foo</div>;\n *     }\n *   });\n *\n * Note: This only checks shallow equality for props and state. If these contain\n * complex data structures this mixin may have false-negatives for deeper\n * differences. Only mixin to components which have simple props and state, or\n * use `forceUpdate()` when you know deep data structures have changed.\n */\nvar ReactComponentWithPureRenderMixin = {\n  shouldComponentUpdate: function (nextProps, nextState) {\n    return shallowCompare(this, nextProps, nextState);\n  }\n};\n\nmodule.exports = ReactComponentWithPureRenderMixin;\n},{\"140\":140}],38:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactCompositeComponent\n */\n\n'use strict';\n\nvar ReactComponentEnvironment = _dereq_(36);\nvar ReactCurrentOwner = _dereq_(39);\nvar ReactElement = _dereq_(57);\nvar ReactInstanceMap = _dereq_(68);\nvar ReactPerf = _dereq_(78);\nvar ReactPropTypeLocations = _dereq_(81);\nvar ReactPropTypeLocationNames = _dereq_(80);\nvar ReactReconciler = _dereq_(84);\nvar ReactUpdateQueue = _dereq_(95);\n\nvar assign = _dereq_(24);\nvar emptyObject = _dereq_(154);\nvar invariant = _dereq_(161);\nvar shouldUpdateReactComponent = _dereq_(141);\nvar warning = _dereq_(173);\n\nfunction getDeclarationErrorAddendum(component) {\n  var owner = component._currentElement._owner || null;\n  if (owner) {\n    var name = owner.getName();\n    if (name) {\n      return ' Check the render method of `' + name + '`.';\n    }\n  }\n  return '';\n}\n\nfunction StatelessComponent(Component) {}\nStatelessComponent.prototype.render = function () {\n  var Component = ReactInstanceMap.get(this)._currentElement.type;\n  return Component(this.props, this.context, this.updater);\n};\n\n/**\n * ------------------ The Life-Cycle of a Composite Component ------------------\n *\n * - constructor: Initialization of state. The instance is now retained.\n *   - componentWillMount\n *   - render\n *   - [children's constructors]\n *     - [children's componentWillMount and render]\n *     - [children's componentDidMount]\n *     - componentDidMount\n *\n *       Update Phases:\n *       - componentWillReceiveProps (only called if parent updated)\n *       - shouldComponentUpdate\n *         - componentWillUpdate\n *           - render\n *           - [children's constructors or receive props phases]\n *         - componentDidUpdate\n *\n *     - componentWillUnmount\n *     - [children's componentWillUnmount]\n *   - [children destroyed]\n * - (destroyed): The instance is now blank, released by React and ready for GC.\n *\n * -----------------------------------------------------------------------------\n */\n\n/**\n * An incrementing ID assigned to each component when it is mounted. This is\n * used to enforce the order in which `ReactUpdates` updates dirty components.\n *\n * @private\n */\nvar nextMountID = 1;\n\n/**\n * @lends {ReactCompositeComponent.prototype}\n */\nvar ReactCompositeComponentMixin = {\n\n  /**\n   * Base constructor for all composite component.\n   *\n   * @param {ReactElement} element\n   * @final\n   * @internal\n   */\n  construct: function (element) {\n    this._currentElement = element;\n    this._rootNodeID = null;\n    this._instance = null;\n\n    // See ReactUpdateQueue\n    this._pendingElement = null;\n    this._pendingStateQueue = null;\n    this._pendingReplaceState = false;\n    this._pendingForceUpdate = false;\n\n    this._renderedComponent = null;\n\n    this._context = null;\n    this._mountOrder = 0;\n    this._topLevelWrapper = null;\n\n    // See ReactUpdates and ReactUpdateQueue.\n    this._pendingCallbacks = null;\n  },\n\n  /**\n   * Initializes the component, renders markup, and registers event listeners.\n   *\n   * @param {string} rootID DOM ID of the root node.\n   * @param {ReactReconcileTransaction|ReactServerRenderingTransaction} transaction\n   * @return {?string} Rendered markup to be inserted into the DOM.\n   * @final\n   * @internal\n   */\n  mountComponent: function (rootID, transaction, context) {\n    this._context = context;\n    this._mountOrder = nextMountID++;\n    this._rootNodeID = rootID;\n\n    var publicProps = this._processProps(this._currentElement.props);\n    var publicContext = this._processContext(context);\n\n    var Component = this._currentElement.type;\n\n    // Initialize the public class\n    var inst;\n    var renderedElement;\n\n    // This is a way to detect if Component is a stateless arrow function\n    // component, which is not newable. It might not be 100% reliable but is\n    // something we can do until we start detecting that Component extends\n    // React.Component. We already assume that typeof Component === 'function'.\n    var canInstantiate = ('prototype' in Component);\n\n    if (canInstantiate) {\n      if (\"development\" !== 'production') {\n        ReactCurrentOwner.current = this;\n        try {\n          inst = new Component(publicProps, publicContext, ReactUpdateQueue);\n        } finally {\n          ReactCurrentOwner.current = null;\n        }\n      } else {\n        inst = new Component(publicProps, publicContext, ReactUpdateQueue);\n      }\n    }\n\n    if (!canInstantiate || inst === null || inst === false || ReactElement.isValidElement(inst)) {\n      renderedElement = inst;\n      inst = new StatelessComponent(Component);\n    }\n\n    if (\"development\" !== 'production') {\n      // This will throw later in _renderValidatedComponent, but add an early\n      // warning now to help debugging\n      if (inst.render == null) {\n        \"development\" !== 'production' ? warning(false, '%s(...): No `render` method found on the returned component ' + 'instance: you may have forgotten to define `render`, returned ' + 'null/false from a stateless component, or tried to render an ' + 'element whose type is a function that isn\\'t a React component.', Component.displayName || Component.name || 'Component') : undefined;\n      } else {\n        // We support ES6 inheriting from React.Component, the module pattern,\n        // and stateless components, but not ES6 classes that don't extend\n        \"development\" !== 'production' ? warning(Component.prototype && Component.prototype.isReactComponent || !canInstantiate || !(inst instanceof Component), '%s(...): React component classes must extend React.Component.', Component.displayName || Component.name || 'Component') : undefined;\n      }\n    }\n\n    // These should be set up in the constructor, but as a convenience for\n    // simpler class abstractions, we set them up after the fact.\n    inst.props = publicProps;\n    inst.context = publicContext;\n    inst.refs = emptyObject;\n    inst.updater = ReactUpdateQueue;\n\n    this._instance = inst;\n\n    // Store a reference from the instance back to the internal representation\n    ReactInstanceMap.set(inst, this);\n\n    if (\"development\" !== 'production') {\n      // Since plain JS classes are defined without any special initialization\n      // logic, we can not catch common errors early. Therefore, we have to\n      // catch them here, at initialization time, instead.\n      \"development\" !== 'production' ? warning(!inst.getInitialState || inst.getInitialState.isReactClassApproved, 'getInitialState was defined on %s, a plain JavaScript class. ' + 'This is only supported for classes created using React.createClass. ' + 'Did you mean to define a state property instead?', this.getName() || 'a component') : undefined;\n      \"development\" !== 'production' ? warning(!inst.getDefaultProps || inst.getDefaultProps.isReactClassApproved, 'getDefaultProps was defined on %s, a plain JavaScript class. ' + 'This is only supported for classes created using React.createClass. ' + 'Use a static property to define defaultProps instead.', this.getName() || 'a component') : undefined;\n      \"development\" !== 'production' ? warning(!inst.propTypes, 'propTypes was defined as an instance property on %s. Use a static ' + 'property to define propTypes instead.', this.getName() || 'a component') : undefined;\n      \"development\" !== 'production' ? warning(!inst.contextTypes, 'contextTypes was defined as an instance property on %s. Use a ' + 'static property to define contextTypes instead.', this.getName() || 'a component') : undefined;\n      \"development\" !== 'production' ? warning(typeof inst.componentShouldUpdate !== 'function', '%s has a method called ' + 'componentShouldUpdate(). Did you mean shouldComponentUpdate()? ' + 'The name is phrased as a question because the function is ' + 'expected to return a value.', this.getName() || 'A component') : undefined;\n      \"development\" !== 'production' ? warning(typeof inst.componentDidUnmount !== 'function', '%s has a method called ' + 'componentDidUnmount(). But there is no such lifecycle method. ' + 'Did you mean componentWillUnmount()?', this.getName() || 'A component') : undefined;\n      \"development\" !== 'production' ? warning(typeof inst.componentWillRecieveProps !== 'function', '%s has a method called ' + 'componentWillRecieveProps(). Did you mean componentWillReceiveProps()?', this.getName() || 'A component') : undefined;\n    }\n\n    var initialState = inst.state;\n    if (initialState === undefined) {\n      inst.state = initialState = null;\n    }\n    !(typeof initialState === 'object' && !Array.isArray(initialState)) ? \"development\" !== 'production' ? invariant(false, '%s.state: must be set to an object or null', this.getName() || 'ReactCompositeComponent') : invariant(false) : undefined;\n\n    this._pendingStateQueue = null;\n    this._pendingReplaceState = false;\n    this._pendingForceUpdate = false;\n\n    if (inst.componentWillMount) {\n      inst.componentWillMount();\n      // When mounting, calls to `setState` by `componentWillMount` will set\n      // `this._pendingStateQueue` without triggering a re-render.\n      if (this._pendingStateQueue) {\n        inst.state = this._processPendingState(inst.props, inst.context);\n      }\n    }\n\n    // If not a stateless component, we now render\n    if (renderedElement === undefined) {\n      renderedElement = this._renderValidatedComponent();\n    }\n\n    this._renderedComponent = this._instantiateReactComponent(renderedElement);\n\n    var markup = ReactReconciler.mountComponent(this._renderedComponent, rootID, transaction, this._processChildContext(context));\n    if (inst.componentDidMount) {\n      transaction.getReactMountReady().enqueue(inst.componentDidMount, inst);\n    }\n\n    return markup;\n  },\n\n  /**\n   * Releases any resources allocated by `mountComponent`.\n   *\n   * @final\n   * @internal\n   */\n  unmountComponent: function () {\n    var inst = this._instance;\n\n    if (inst.componentWillUnmount) {\n      inst.componentWillUnmount();\n    }\n\n    ReactReconciler.unmountComponent(this._renderedComponent);\n    this._renderedComponent = null;\n    this._instance = null;\n\n    // Reset pending fields\n    // Even if this component is scheduled for another update in ReactUpdates,\n    // it would still be ignored because these fields are reset.\n    this._pendingStateQueue = null;\n    this._pendingReplaceState = false;\n    this._pendingForceUpdate = false;\n    this._pendingCallbacks = null;\n    this._pendingElement = null;\n\n    // These fields do not really need to be reset since this object is no\n    // longer accessible.\n    this._context = null;\n    this._rootNodeID = null;\n    this._topLevelWrapper = null;\n\n    // Delete the reference from the instance to this internal representation\n    // which allow the internals to be properly cleaned up even if the user\n    // leaks a reference to the public instance.\n    ReactInstanceMap.remove(inst);\n\n    // Some existing components rely on inst.props even after they've been\n    // destroyed (in event handlers).\n    // TODO: inst.props = null;\n    // TODO: inst.state = null;\n    // TODO: inst.context = null;\n  },\n\n  /**\n   * Filters the context object to only contain keys specified in\n   * `contextTypes`\n   *\n   * @param {object} context\n   * @return {?object}\n   * @private\n   */\n  _maskContext: function (context) {\n    var maskedContext = null;\n    var Component = this._currentElement.type;\n    var contextTypes = Component.contextTypes;\n    if (!contextTypes) {\n      return emptyObject;\n    }\n    maskedContext = {};\n    for (var contextName in contextTypes) {\n      maskedContext[contextName] = context[contextName];\n    }\n    return maskedContext;\n  },\n\n  /**\n   * Filters the context object to only contain keys specified in\n   * `contextTypes`, and asserts that they are valid.\n   *\n   * @param {object} context\n   * @return {?object}\n   * @private\n   */\n  _processContext: function (context) {\n    var maskedContext = this._maskContext(context);\n    if (\"development\" !== 'production') {\n      var Component = this._currentElement.type;\n      if (Component.contextTypes) {\n        this._checkPropTypes(Component.contextTypes, maskedContext, ReactPropTypeLocations.context);\n      }\n    }\n    return maskedContext;\n  },\n\n  /**\n   * @param {object} currentContext\n   * @return {object}\n   * @private\n   */\n  _processChildContext: function (currentContext) {\n    var Component = this._currentElement.type;\n    var inst = this._instance;\n    var childContext = inst.getChildContext && inst.getChildContext();\n    if (childContext) {\n      !(typeof Component.childContextTypes === 'object') ? \"development\" !== 'production' ? invariant(false, '%s.getChildContext(): childContextTypes must be defined in order to ' + 'use getChildContext().', this.getName() || 'ReactCompositeComponent') : invariant(false) : undefined;\n      if (\"development\" !== 'production') {\n        this._checkPropTypes(Component.childContextTypes, childContext, ReactPropTypeLocations.childContext);\n      }\n      for (var name in childContext) {\n        !(name in Component.childContextTypes) ? \"development\" !== 'production' ? invariant(false, '%s.getChildContext(): key \"%s\" is not defined in childContextTypes.', this.getName() || 'ReactCompositeComponent', name) : invariant(false) : undefined;\n      }\n      return assign({}, currentContext, childContext);\n    }\n    return currentContext;\n  },\n\n  /**\n   * Processes props by setting default values for unspecified props and\n   * asserting that the props are valid. Does not mutate its argument; returns\n   * a new props object with defaults merged in.\n   *\n   * @param {object} newProps\n   * @return {object}\n   * @private\n   */\n  _processProps: function (newProps) {\n    if (\"development\" !== 'production') {\n      var Component = this._currentElement.type;\n      if (Component.propTypes) {\n        this._checkPropTypes(Component.propTypes, newProps, ReactPropTypeLocations.prop);\n      }\n    }\n    return newProps;\n  },\n\n  /**\n   * Assert that the props are valid\n   *\n   * @param {object} propTypes Map of prop name to a ReactPropType\n   * @param {object} props\n   * @param {string} location e.g. \"prop\", \"context\", \"child context\"\n   * @private\n   */\n  _checkPropTypes: function (propTypes, props, location) {\n    // TODO: Stop validating prop types here and only use the element\n    // validation.\n    var componentName = this.getName();\n    for (var propName in propTypes) {\n      if (propTypes.hasOwnProperty(propName)) {\n        var error;\n        try {\n          // This is intentionally an invariant that gets caught. It's the same\n          // behavior as without this statement except with a better message.\n          !(typeof propTypes[propName] === 'function') ? \"development\" !== 'production' ? invariant(false, '%s: %s type `%s` is invalid; it must be a function, usually ' + 'from React.PropTypes.', componentName || 'React class', ReactPropTypeLocationNames[location], propName) : invariant(false) : undefined;\n          error = propTypes[propName](props, propName, componentName, location);\n        } catch (ex) {\n          error = ex;\n        }\n        if (error instanceof Error) {\n          // We may want to extend this logic for similar errors in\n          // top-level render calls, so I'm abstracting it away into\n          // a function to minimize refactoring in the future\n          var addendum = getDeclarationErrorAddendum(this);\n\n          if (location === ReactPropTypeLocations.prop) {\n            // Preface gives us something to blacklist in warning module\n            \"development\" !== 'production' ? warning(false, 'Failed Composite propType: %s%s', error.message, addendum) : undefined;\n          } else {\n            \"development\" !== 'production' ? warning(false, 'Failed Context Types: %s%s', error.message, addendum) : undefined;\n          }\n        }\n      }\n    }\n  },\n\n  receiveComponent: function (nextElement, transaction, nextContext) {\n    var prevElement = this._currentElement;\n    var prevContext = this._context;\n\n    this._pendingElement = null;\n\n    this.updateComponent(transaction, prevElement, nextElement, prevContext, nextContext);\n  },\n\n  /**\n   * If any of `_pendingElement`, `_pendingStateQueue`, or `_pendingForceUpdate`\n   * is set, update the component.\n   *\n   * @param {ReactReconcileTransaction} transaction\n   * @internal\n   */\n  performUpdateIfNecessary: function (transaction) {\n    if (this._pendingElement != null) {\n      ReactReconciler.receiveComponent(this, this._pendingElement || this._currentElement, transaction, this._context);\n    }\n\n    if (this._pendingStateQueue !== null || this._pendingForceUpdate) {\n      this.updateComponent(transaction, this._currentElement, this._currentElement, this._context, this._context);\n    }\n  },\n\n  /**\n   * Perform an update to a mounted component. The componentWillReceiveProps and\n   * shouldComponentUpdate methods are called, then (assuming the update isn't\n   * skipped) the remaining update lifecycle methods are called and the DOM\n   * representation is updated.\n   *\n   * By default, this implements React's rendering and reconciliation algorithm.\n   * Sophisticated clients may wish to override this.\n   *\n   * @param {ReactReconcileTransaction} transaction\n   * @param {ReactElement} prevParentElement\n   * @param {ReactElement} nextParentElement\n   * @internal\n   * @overridable\n   */\n  updateComponent: function (transaction, prevParentElement, nextParentElement, prevUnmaskedContext, nextUnmaskedContext) {\n    var inst = this._instance;\n\n    var nextContext = this._context === nextUnmaskedContext ? inst.context : this._processContext(nextUnmaskedContext);\n    var nextProps;\n\n    // Distinguish between a props update versus a simple state update\n    if (prevParentElement === nextParentElement) {\n      // Skip checking prop types again -- we don't read inst.props to avoid\n      // warning for DOM component props in this upgrade\n      nextProps = nextParentElement.props;\n    } else {\n      nextProps = this._processProps(nextParentElement.props);\n      // An update here will schedule an update but immediately set\n      // _pendingStateQueue which will ensure that any state updates gets\n      // immediately reconciled instead of waiting for the next batch.\n\n      if (inst.componentWillReceiveProps) {\n        inst.componentWillReceiveProps(nextProps, nextContext);\n      }\n    }\n\n    var nextState = this._processPendingState(nextProps, nextContext);\n\n    var shouldUpdate = this._pendingForceUpdate || !inst.shouldComponentUpdate || inst.shouldComponentUpdate(nextProps, nextState, nextContext);\n\n    if (\"development\" !== 'production') {\n      \"development\" !== 'production' ? warning(typeof shouldUpdate !== 'undefined', '%s.shouldComponentUpdate(): Returned undefined instead of a ' + 'boolean value. Make sure to return true or false.', this.getName() || 'ReactCompositeComponent') : undefined;\n    }\n\n    if (shouldUpdate) {\n      this._pendingForceUpdate = false;\n      // Will set `this.props`, `this.state` and `this.context`.\n      this._performComponentUpdate(nextParentElement, nextProps, nextState, nextContext, transaction, nextUnmaskedContext);\n    } else {\n      // If it's determined that a component should not update, we still want\n      // to set props and state but we shortcut the rest of the update.\n      this._currentElement = nextParentElement;\n      this._context = nextUnmaskedContext;\n      inst.props = nextProps;\n      inst.state = nextState;\n      inst.context = nextContext;\n    }\n  },\n\n  _processPendingState: function (props, context) {\n    var inst = this._instance;\n    var queue = this._pendingStateQueue;\n    var replace = this._pendingReplaceState;\n    this._pendingReplaceState = false;\n    this._pendingStateQueue = null;\n\n    if (!queue) {\n      return inst.state;\n    }\n\n    if (replace && queue.length === 1) {\n      return queue[0];\n    }\n\n    var nextState = assign({}, replace ? queue[0] : inst.state);\n    for (var i = replace ? 1 : 0; i < queue.length; i++) {\n      var partial = queue[i];\n      assign(nextState, typeof partial === 'function' ? partial.call(inst, nextState, props, context) : partial);\n    }\n\n    return nextState;\n  },\n\n  /**\n   * Merges new props and state, notifies delegate methods of update and\n   * performs update.\n   *\n   * @param {ReactElement} nextElement Next element\n   * @param {object} nextProps Next public object to set as properties.\n   * @param {?object} nextState Next object to set as state.\n   * @param {?object} nextContext Next public object to set as context.\n   * @param {ReactReconcileTransaction} transaction\n   * @param {?object} unmaskedContext\n   * @private\n   */\n  _performComponentUpdate: function (nextElement, nextProps, nextState, nextContext, transaction, unmaskedContext) {\n    var inst = this._instance;\n\n    var hasComponentDidUpdate = Boolean(inst.componentDidUpdate);\n    var prevProps;\n    var prevState;\n    var prevContext;\n    if (hasComponentDidUpdate) {\n      prevProps = inst.props;\n      prevState = inst.state;\n      prevContext = inst.context;\n    }\n\n    if (inst.componentWillUpdate) {\n      inst.componentWillUpdate(nextProps, nextState, nextContext);\n    }\n\n    this._currentElement = nextElement;\n    this._context = unmaskedContext;\n    inst.props = nextProps;\n    inst.state = nextState;\n    inst.context = nextContext;\n\n    this._updateRenderedComponent(transaction, unmaskedContext);\n\n    if (hasComponentDidUpdate) {\n      transaction.getReactMountReady().enqueue(inst.componentDidUpdate.bind(inst, prevProps, prevState, prevContext), inst);\n    }\n  },\n\n  /**\n   * Call the component's `render` method and update the DOM accordingly.\n   *\n   * @param {ReactReconcileTransaction} transaction\n   * @internal\n   */\n  _updateRenderedComponent: function (transaction, context) {\n    var prevComponentInstance = this._renderedComponent;\n    var prevRenderedElement = prevComponentInstance._currentElement;\n    var nextRenderedElement = this._renderValidatedComponent();\n    if (shouldUpdateReactComponent(prevRenderedElement, nextRenderedElement)) {\n      ReactReconciler.receiveComponent(prevComponentInstance, nextRenderedElement, transaction, this._processChildContext(context));\n    } else {\n      // These two IDs are actually the same! But nothing should rely on that.\n      var thisID = this._rootNodeID;\n      var prevComponentID = prevComponentInstance._rootNodeID;\n      ReactReconciler.unmountComponent(prevComponentInstance);\n\n      this._renderedComponent = this._instantiateReactComponent(nextRenderedElement);\n      var nextMarkup = ReactReconciler.mountComponent(this._renderedComponent, thisID, transaction, this._processChildContext(context));\n      this._replaceNodeWithMarkupByID(prevComponentID, nextMarkup);\n    }\n  },\n\n  /**\n   * @protected\n   */\n  _replaceNodeWithMarkupByID: function (prevComponentID, nextMarkup) {\n    ReactComponentEnvironment.replaceNodeWithMarkupByID(prevComponentID, nextMarkup);\n  },\n\n  /**\n   * @protected\n   */\n  _renderValidatedComponentWithoutOwnerOrContext: function () {\n    var inst = this._instance;\n    var renderedComponent = inst.render();\n    if (\"development\" !== 'production') {\n      // We allow auto-mocks to proceed as if they're returning null.\n      if (typeof renderedComponent === 'undefined' && inst.render._isMockFunction) {\n        // This is probably bad practice. Consider warning here and\n        // deprecating this convenience.\n        renderedComponent = null;\n      }\n    }\n\n    return renderedComponent;\n  },\n\n  /**\n   * @private\n   */\n  _renderValidatedComponent: function () {\n    var renderedComponent;\n    ReactCurrentOwner.current = this;\n    try {\n      renderedComponent = this._renderValidatedComponentWithoutOwnerOrContext();\n    } finally {\n      ReactCurrentOwner.current = null;\n    }\n    !(\n    // TODO: An `isValidNode` function would probably be more appropriate\n    renderedComponent === null || renderedComponent === false || ReactElement.isValidElement(renderedComponent)) ? \"development\" !== 'production' ? invariant(false, '%s.render(): A valid ReactComponent must be returned. You may have ' + 'returned undefined, an array or some other invalid object.', this.getName() || 'ReactCompositeComponent') : invariant(false) : undefined;\n    return renderedComponent;\n  },\n\n  /**\n   * Lazily allocates the refs object and stores `component` as `ref`.\n   *\n   * @param {string} ref Reference name.\n   * @param {component} component Component to store as `ref`.\n   * @final\n   * @private\n   */\n  attachRef: function (ref, component) {\n    var inst = this.getPublicInstance();\n    !(inst != null) ? \"development\" !== 'production' ? invariant(false, 'Stateless function components cannot have refs.') : invariant(false) : undefined;\n    var publicComponentInstance = component.getPublicInstance();\n    if (\"development\" !== 'production') {\n      var componentName = component && component.getName ? component.getName() : 'a component';\n      \"development\" !== 'production' ? warning(publicComponentInstance != null, 'Stateless function components cannot be given refs ' + '(See ref \"%s\" in %s created by %s). ' + 'Attempts to access this ref will fail.', ref, componentName, this.getName()) : undefined;\n    }\n    var refs = inst.refs === emptyObject ? inst.refs = {} : inst.refs;\n    refs[ref] = publicComponentInstance;\n  },\n\n  /**\n   * Detaches a reference name.\n   *\n   * @param {string} ref Name to dereference.\n   * @final\n   * @private\n   */\n  detachRef: function (ref) {\n    var refs = this.getPublicInstance().refs;\n    delete refs[ref];\n  },\n\n  /**\n   * Get a text description of the component that can be used to identify it\n   * in error messages.\n   * @return {string} The name or null.\n   * @internal\n   */\n  getName: function () {\n    var type = this._currentElement.type;\n    var constructor = this._instance && this._instance.constructor;\n    return type.displayName || constructor && constructor.displayName || type.name || constructor && constructor.name || null;\n  },\n\n  /**\n   * Get the publicly accessible representation of this component - i.e. what\n   * is exposed by refs and returned by render. Can be null for stateless\n   * components.\n   *\n   * @return {ReactComponent} the public component instance.\n   * @internal\n   */\n  getPublicInstance: function () {\n    var inst = this._instance;\n    if (inst instanceof StatelessComponent) {\n      return null;\n    }\n    return inst;\n  },\n\n  // Stub\n  _instantiateReactComponent: null\n\n};\n\nReactPerf.measureMethods(ReactCompositeComponentMixin, 'ReactCompositeComponent', {\n  mountComponent: 'mountComponent',\n  updateComponent: 'updateComponent',\n  _renderValidatedComponent: '_renderValidatedComponent'\n});\n\nvar ReactCompositeComponent = {\n\n  Mixin: ReactCompositeComponentMixin\n\n};\n\nmodule.exports = ReactCompositeComponent;\n},{\"141\":141,\"154\":154,\"161\":161,\"173\":173,\"24\":24,\"36\":36,\"39\":39,\"57\":57,\"68\":68,\"78\":78,\"80\":80,\"81\":81,\"84\":84,\"95\":95}],39:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactCurrentOwner\n */\n\n'use strict';\n\n/**\n * Keeps track of the current owner.\n *\n * The current owner is the component who should own any components that are\n * currently being constructed.\n */\nvar ReactCurrentOwner = {\n\n  /**\n   * @internal\n   * @type {ReactComponent}\n   */\n  current: null\n\n};\n\nmodule.exports = ReactCurrentOwner;\n},{}],40:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactDOM\n */\n\n/* globals __REACT_DEVTOOLS_GLOBAL_HOOK__*/\n\n'use strict';\n\nvar ReactCurrentOwner = _dereq_(39);\nvar ReactDOMTextComponent = _dereq_(51);\nvar ReactDefaultInjection = _dereq_(54);\nvar ReactInstanceHandles = _dereq_(67);\nvar ReactMount = _dereq_(72);\nvar ReactPerf = _dereq_(78);\nvar ReactReconciler = _dereq_(84);\nvar ReactUpdates = _dereq_(96);\nvar ReactVersion = _dereq_(97);\n\nvar findDOMNode = _dereq_(122);\nvar renderSubtreeIntoContainer = _dereq_(137);\nvar warning = _dereq_(173);\n\nReactDefaultInjection.inject();\n\nvar render = ReactPerf.measure('React', 'render', ReactMount.render);\n\nvar React = {\n  findDOMNode: findDOMNode,\n  render: render,\n  unmountComponentAtNode: ReactMount.unmountComponentAtNode,\n  version: ReactVersion,\n\n  /* eslint-disable camelcase */\n  unstable_batchedUpdates: ReactUpdates.batchedUpdates,\n  unstable_renderSubtreeIntoContainer: renderSubtreeIntoContainer\n};\n\n// Inject the runtime into a devtools global hook regardless of browser.\n// Allows for debugging when the hook is injected on the page.\n/* eslint-enable camelcase */\nif (typeof __REACT_DEVTOOLS_GLOBAL_HOOK__ !== 'undefined' && typeof __REACT_DEVTOOLS_GLOBAL_HOOK__.inject === 'function') {\n  __REACT_DEVTOOLS_GLOBAL_HOOK__.inject({\n    CurrentOwner: ReactCurrentOwner,\n    InstanceHandles: ReactInstanceHandles,\n    Mount: ReactMount,\n    Reconciler: ReactReconciler,\n    TextComponent: ReactDOMTextComponent\n  });\n}\n\nif (\"development\" !== 'production') {\n  var ExecutionEnvironment = _dereq_(147);\n  if (ExecutionEnvironment.canUseDOM && window.top === window.self) {\n\n    // First check if devtools is not installed\n    if (typeof __REACT_DEVTOOLS_GLOBAL_HOOK__ === 'undefined') {\n      // If we're in Chrome or Firefox, provide a download link if not installed.\n      if (navigator.userAgent.indexOf('Chrome') > -1 && navigator.userAgent.indexOf('Edge') === -1 || navigator.userAgent.indexOf('Firefox') > -1) {\n        console.debug('Download the React DevTools for a better development experience: ' + 'https://fb.me/react-devtools');\n      }\n    }\n\n    // If we're in IE8, check to see if we are in compatibility mode and provide\n    // information on preventing compatibility mode\n    var ieCompatibilityMode = document.documentMode && document.documentMode < 8;\n\n    \"development\" !== 'production' ? warning(!ieCompatibilityMode, 'Internet Explorer is running in compatibility mode; please add the ' + 'following tag to your HTML to prevent this from happening: ' + '<meta http-equiv=\"X-UA-Compatible\" content=\"IE=edge\" />') : undefined;\n\n    var expectedFeatures = [\n    // shims\n    Array.isArray, Array.prototype.every, Array.prototype.forEach, Array.prototype.indexOf, Array.prototype.map, Date.now, Function.prototype.bind, Object.keys, String.prototype.split, String.prototype.trim,\n\n    // shams\n    Object.create, Object.freeze];\n\n    for (var i = 0; i < expectedFeatures.length; i++) {\n      if (!expectedFeatures[i]) {\n        console.error('One or more ES5 shim/shams expected by React are not available: ' + 'https://fb.me/react-warning-polyfills');\n        break;\n      }\n    }\n  }\n}\n\nmodule.exports = React;\n},{\"122\":122,\"137\":137,\"147\":147,\"173\":173,\"39\":39,\"51\":51,\"54\":54,\"67\":67,\"72\":72,\"78\":78,\"84\":84,\"96\":96,\"97\":97}],41:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactDOMButton\n */\n\n'use strict';\n\nvar mouseListenerNames = {\n  onClick: true,\n  onDoubleClick: true,\n  onMouseDown: true,\n  onMouseMove: true,\n  onMouseUp: true,\n\n  onClickCapture: true,\n  onDoubleClickCapture: true,\n  onMouseDownCapture: true,\n  onMouseMoveCapture: true,\n  onMouseUpCapture: true\n};\n\n/**\n * Implements a <button> native component that does not receive mouse events\n * when `disabled` is set.\n */\nvar ReactDOMButton = {\n  getNativeProps: function (inst, props, context) {\n    if (!props.disabled) {\n      return props;\n    }\n\n    // Copy the props, except the mouse listeners\n    var nativeProps = {};\n    for (var key in props) {\n      if (props.hasOwnProperty(key) && !mouseListenerNames[key]) {\n        nativeProps[key] = props[key];\n      }\n    }\n\n    return nativeProps;\n  }\n};\n\nmodule.exports = ReactDOMButton;\n},{}],42:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactDOMComponent\n * @typechecks static-only\n */\n\n/* global hasOwnProperty:true */\n\n'use strict';\n\nvar AutoFocusUtils = _dereq_(2);\nvar CSSPropertyOperations = _dereq_(5);\nvar DOMProperty = _dereq_(10);\nvar DOMPropertyOperations = _dereq_(11);\nvar EventConstants = _dereq_(15);\nvar ReactBrowserEventEmitter = _dereq_(28);\nvar ReactComponentBrowserEnvironment = _dereq_(35);\nvar ReactDOMButton = _dereq_(41);\nvar ReactDOMInput = _dereq_(46);\nvar ReactDOMOption = _dereq_(47);\nvar ReactDOMSelect = _dereq_(48);\nvar ReactDOMTextarea = _dereq_(52);\nvar ReactMount = _dereq_(72);\nvar ReactMultiChild = _dereq_(73);\nvar ReactPerf = _dereq_(78);\nvar ReactUpdateQueue = _dereq_(95);\n\nvar assign = _dereq_(24);\nvar canDefineProperty = _dereq_(117);\nvar escapeTextContentForBrowser = _dereq_(121);\nvar invariant = _dereq_(161);\nvar isEventSupported = _dereq_(133);\nvar keyOf = _dereq_(166);\nvar setInnerHTML = _dereq_(138);\nvar setTextContent = _dereq_(139);\nvar shallowEqual = _dereq_(171);\nvar validateDOMNesting = _dereq_(144);\nvar warning = _dereq_(173);\n\nvar deleteListener = ReactBrowserEventEmitter.deleteListener;\nvar listenTo = ReactBrowserEventEmitter.listenTo;\nvar registrationNameModules = ReactBrowserEventEmitter.registrationNameModules;\n\n// For quickly matching children type, to test if can be treated as content.\nvar CONTENT_TYPES = { 'string': true, 'number': true };\n\nvar CHILDREN = keyOf({ children: null });\nvar STYLE = keyOf({ style: null });\nvar HTML = keyOf({ __html: null });\n\nvar ELEMENT_NODE_TYPE = 1;\n\nfunction getDeclarationErrorAddendum(internalInstance) {\n  if (internalInstance) {\n    var owner = internalInstance._currentElement._owner || null;\n    if (owner) {\n      var name = owner.getName();\n      if (name) {\n        return ' This DOM node was rendered by `' + name + '`.';\n      }\n    }\n  }\n  return '';\n}\n\nvar legacyPropsDescriptor;\nif (\"development\" !== 'production') {\n  legacyPropsDescriptor = {\n    props: {\n      enumerable: false,\n      get: function () {\n        var component = this._reactInternalComponent;\n        \"development\" !== 'production' ? warning(false, 'ReactDOMComponent: Do not access .props of a DOM node; instead, ' + 'recreate the props as `render` did originally or read the DOM ' + 'properties/attributes directly from this node (e.g., ' + 'this.refs.box.className).%s', getDeclarationErrorAddendum(component)) : undefined;\n        return component._currentElement.props;\n      }\n    }\n  };\n}\n\nfunction legacyGetDOMNode() {\n  if (\"development\" !== 'production') {\n    var component = this._reactInternalComponent;\n    \"development\" !== 'production' ? warning(false, 'ReactDOMComponent: Do not access .getDOMNode() of a DOM node; ' + 'instead, use the node directly.%s', getDeclarationErrorAddendum(component)) : undefined;\n  }\n  return this;\n}\n\nfunction legacyIsMounted() {\n  var component = this._reactInternalComponent;\n  if (\"development\" !== 'production') {\n    \"development\" !== 'production' ? warning(false, 'ReactDOMComponent: Do not access .isMounted() of a DOM node.%s', getDeclarationErrorAddendum(component)) : undefined;\n  }\n  return !!component;\n}\n\nfunction legacySetStateEtc() {\n  if (\"development\" !== 'production') {\n    var component = this._reactInternalComponent;\n    \"development\" !== 'production' ? warning(false, 'ReactDOMComponent: Do not access .setState(), .replaceState(), or ' + '.forceUpdate() of a DOM node. This is a no-op.%s', getDeclarationErrorAddendum(component)) : undefined;\n  }\n}\n\nfunction legacySetProps(partialProps, callback) {\n  var component = this._reactInternalComponent;\n  if (\"development\" !== 'production') {\n    \"development\" !== 'production' ? warning(false, 'ReactDOMComponent: Do not access .setProps() of a DOM node. ' + 'Instead, call ReactDOM.render again at the top level.%s', getDeclarationErrorAddendum(component)) : undefined;\n  }\n  if (!component) {\n    return;\n  }\n  ReactUpdateQueue.enqueueSetPropsInternal(component, partialProps);\n  if (callback) {\n    ReactUpdateQueue.enqueueCallbackInternal(component, callback);\n  }\n}\n\nfunction legacyReplaceProps(partialProps, callback) {\n  var component = this._reactInternalComponent;\n  if (\"development\" !== 'production') {\n    \"development\" !== 'production' ? warning(false, 'ReactDOMComponent: Do not access .replaceProps() of a DOM node. ' + 'Instead, call ReactDOM.render again at the top level.%s', getDeclarationErrorAddendum(component)) : undefined;\n  }\n  if (!component) {\n    return;\n  }\n  ReactUpdateQueue.enqueueReplacePropsInternal(component, partialProps);\n  if (callback) {\n    ReactUpdateQueue.enqueueCallbackInternal(component, callback);\n  }\n}\n\nfunction friendlyStringify(obj) {\n  if (typeof obj === 'object') {\n    if (Array.isArray(obj)) {\n      return '[' + obj.map(friendlyStringify).join(', ') + ']';\n    } else {\n      var pairs = [];\n      for (var key in obj) {\n        if (Object.prototype.hasOwnProperty.call(obj, key)) {\n          var keyEscaped = /^[a-z$_][\\w$_]*$/i.test(key) ? key : JSON.stringify(key);\n          pairs.push(keyEscaped + ': ' + friendlyStringify(obj[key]));\n        }\n      }\n      return '{' + pairs.join(', ') + '}';\n    }\n  } else if (typeof obj === 'string') {\n    return JSON.stringify(obj);\n  } else if (typeof obj === 'function') {\n    return '[function object]';\n  }\n  // Differs from JSON.stringify in that undefined becauses undefined and that\n  // inf and nan don't become null\n  return String(obj);\n}\n\nvar styleMutationWarning = {};\n\nfunction checkAndWarnForMutatedStyle(style1, style2, component) {\n  if (style1 == null || style2 == null) {\n    return;\n  }\n  if (shallowEqual(style1, style2)) {\n    return;\n  }\n\n  var componentName = component._tag;\n  var owner = component._currentElement._owner;\n  var ownerName;\n  if (owner) {\n    ownerName = owner.getName();\n  }\n\n  var hash = ownerName + '|' + componentName;\n\n  if (styleMutationWarning.hasOwnProperty(hash)) {\n    return;\n  }\n\n  styleMutationWarning[hash] = true;\n\n  \"development\" !== 'production' ? warning(false, '`%s` was passed a style object that has previously been mutated. ' + 'Mutating `style` is deprecated. Consider cloning it beforehand. Check ' + 'the `render` %s. Previous style: %s. Mutated style: %s.', componentName, owner ? 'of `' + ownerName + '`' : 'using <' + componentName + '>', friendlyStringify(style1), friendlyStringify(style2)) : undefined;\n}\n\n/**\n * @param {object} component\n * @param {?object} props\n */\nfunction assertValidProps(component, props) {\n  if (!props) {\n    return;\n  }\n  // Note the use of `==` which checks for null or undefined.\n  if (\"development\" !== 'production') {\n    if (voidElementTags[component._tag]) {\n      \"development\" !== 'production' ? warning(props.children == null && props.dangerouslySetInnerHTML == null, '%s is a void element tag and must not have `children` or ' + 'use `props.dangerouslySetInnerHTML`.%s', component._tag, component._currentElement._owner ? ' Check the render method of ' + component._currentElement._owner.getName() + '.' : '') : undefined;\n    }\n  }\n  if (props.dangerouslySetInnerHTML != null) {\n    !(props.children == null) ? \"development\" !== 'production' ? invariant(false, 'Can only set one of `children` or `props.dangerouslySetInnerHTML`.') : invariant(false) : undefined;\n    !(typeof props.dangerouslySetInnerHTML === 'object' && HTML in props.dangerouslySetInnerHTML) ? \"development\" !== 'production' ? invariant(false, '`props.dangerouslySetInnerHTML` must be in the form `{__html: ...}`. ' + 'Please visit https://fb.me/react-invariant-dangerously-set-inner-html ' + 'for more information.') : invariant(false) : undefined;\n  }\n  if (\"development\" !== 'production') {\n    \"development\" !== 'production' ? warning(props.innerHTML == null, 'Directly setting property `innerHTML` is not permitted. ' + 'For more information, lookup documentation on `dangerouslySetInnerHTML`.') : undefined;\n    \"development\" !== 'production' ? warning(!props.contentEditable || props.children == null, 'A component is `contentEditable` and contains `children` managed by ' + 'React. It is now your responsibility to guarantee that none of ' + 'those nodes are unexpectedly modified or duplicated. This is ' + 'probably not intentional.') : undefined;\n  }\n  !(props.style == null || typeof props.style === 'object') ? \"development\" !== 'production' ? invariant(false, 'The `style` prop expects a mapping from style properties to values, ' + 'not a string. For example, style={{marginRight: spacing + \\'em\\'}} when ' + 'using JSX.%s', getDeclarationErrorAddendum(component)) : invariant(false) : undefined;\n}\n\nfunction enqueuePutListener(id, registrationName, listener, transaction) {\n  if (\"development\" !== 'production') {\n    // IE8 has no API for event capturing and the `onScroll` event doesn't\n    // bubble.\n    \"development\" !== 'production' ? warning(registrationName !== 'onScroll' || isEventSupported('scroll', true), 'This browser doesn\\'t support the `onScroll` event') : undefined;\n  }\n  var container = ReactMount.findReactContainerForID(id);\n  if (container) {\n    var doc = container.nodeType === ELEMENT_NODE_TYPE ? container.ownerDocument : container;\n    listenTo(registrationName, doc);\n  }\n  transaction.getReactMountReady().enqueue(putListener, {\n    id: id,\n    registrationName: registrationName,\n    listener: listener\n  });\n}\n\nfunction putListener() {\n  var listenerToPut = this;\n  ReactBrowserEventEmitter.putListener(listenerToPut.id, listenerToPut.registrationName, listenerToPut.listener);\n}\n\n// There are so many media events, it makes sense to just\n// maintain a list rather than create a `trapBubbledEvent` for each\nvar mediaEvents = {\n  topAbort: 'abort',\n  topCanPlay: 'canplay',\n  topCanPlayThrough: 'canplaythrough',\n  topDurationChange: 'durationchange',\n  topEmptied: 'emptied',\n  topEncrypted: 'encrypted',\n  topEnded: 'ended',\n  topError: 'error',\n  topLoadedData: 'loadeddata',\n  topLoadedMetadata: 'loadedmetadata',\n  topLoadStart: 'loadstart',\n  topPause: 'pause',\n  topPlay: 'play',\n  topPlaying: 'playing',\n  topProgress: 'progress',\n  topRateChange: 'ratechange',\n  topSeeked: 'seeked',\n  topSeeking: 'seeking',\n  topStalled: 'stalled',\n  topSuspend: 'suspend',\n  topTimeUpdate: 'timeupdate',\n  topVolumeChange: 'volumechange',\n  topWaiting: 'waiting'\n};\n\nfunction trapBubbledEventsLocal() {\n  var inst = this;\n  // If a component renders to null or if another component fatals and causes\n  // the state of the tree to be corrupted, `node` here can be null.\n  !inst._rootNodeID ? \"development\" !== 'production' ? invariant(false, 'Must be mounted to trap events') : invariant(false) : undefined;\n  var node = ReactMount.getNode(inst._rootNodeID);\n  !node ? \"development\" !== 'production' ? invariant(false, 'trapBubbledEvent(...): Requires node to be rendered.') : invariant(false) : undefined;\n\n  switch (inst._tag) {\n    case 'iframe':\n      inst._wrapperState.listeners = [ReactBrowserEventEmitter.trapBubbledEvent(EventConstants.topLevelTypes.topLoad, 'load', node)];\n      break;\n    case 'video':\n    case 'audio':\n\n      inst._wrapperState.listeners = [];\n      // create listener for each media event\n      for (var event in mediaEvents) {\n        if (mediaEvents.hasOwnProperty(event)) {\n          inst._wrapperState.listeners.push(ReactBrowserEventEmitter.trapBubbledEvent(EventConstants.topLevelTypes[event], mediaEvents[event], node));\n        }\n      }\n\n      break;\n    case 'img':\n      inst._wrapperState.listeners = [ReactBrowserEventEmitter.trapBubbledEvent(EventConstants.topLevelTypes.topError, 'error', node), ReactBrowserEventEmitter.trapBubbledEvent(EventConstants.topLevelTypes.topLoad, 'load', node)];\n      break;\n    case 'form':\n      inst._wrapperState.listeners = [ReactBrowserEventEmitter.trapBubbledEvent(EventConstants.topLevelTypes.topReset, 'reset', node), ReactBrowserEventEmitter.trapBubbledEvent(EventConstants.topLevelTypes.topSubmit, 'submit', node)];\n      break;\n  }\n}\n\nfunction mountReadyInputWrapper() {\n  ReactDOMInput.mountReadyWrapper(this);\n}\n\nfunction postUpdateSelectWrapper() {\n  ReactDOMSelect.postUpdateWrapper(this);\n}\n\n// For HTML, certain tags should omit their close tag. We keep a whitelist for\n// those special cased tags.\n\nvar omittedCloseTags = {\n  'area': true,\n  'base': true,\n  'br': true,\n  'col': true,\n  'embed': true,\n  'hr': true,\n  'img': true,\n  'input': true,\n  'keygen': true,\n  'link': true,\n  'meta': true,\n  'param': true,\n  'source': true,\n  'track': true,\n  'wbr': true\n};\n\n// NOTE: menuitem's close tag should be omitted, but that causes problems.\nvar newlineEatingTags = {\n  'listing': true,\n  'pre': true,\n  'textarea': true\n};\n\n// For HTML, certain tags cannot have children. This has the same purpose as\n// `omittedCloseTags` except that `menuitem` should still have its closing tag.\n\nvar voidElementTags = assign({\n  'menuitem': true\n}, omittedCloseTags);\n\n// We accept any tag to be rendered but since this gets injected into arbitrary\n// HTML, we want to make sure that it's a safe tag.\n// http://www.w3.org/TR/REC-xml/#NT-Name\n\nvar VALID_TAG_REGEX = /^[a-zA-Z][a-zA-Z:_\\.\\-\\d]*$/; // Simplified subset\nvar validatedTagCache = {};\nvar hasOwnProperty = ({}).hasOwnProperty;\n\nfunction validateDangerousTag(tag) {\n  if (!hasOwnProperty.call(validatedTagCache, tag)) {\n    !VALID_TAG_REGEX.test(tag) ? \"development\" !== 'production' ? invariant(false, 'Invalid tag: %s', tag) : invariant(false) : undefined;\n    validatedTagCache[tag] = true;\n  }\n}\n\nfunction processChildContextDev(context, inst) {\n  // Pass down our tag name to child components for validation purposes\n  context = assign({}, context);\n  var info = context[validateDOMNesting.ancestorInfoContextKey];\n  context[validateDOMNesting.ancestorInfoContextKey] = validateDOMNesting.updatedAncestorInfo(info, inst._tag, inst);\n  return context;\n}\n\nfunction isCustomComponent(tagName, props) {\n  return tagName.indexOf('-') >= 0 || props.is != null;\n}\n\n/**\n * Creates a new React class that is idempotent and capable of containing other\n * React components. It accepts event listeners and DOM properties that are\n * valid according to `DOMProperty`.\n *\n *  - Event listeners: `onClick`, `onMouseDown`, etc.\n *  - DOM properties: `className`, `name`, `title`, etc.\n *\n * The `style` property functions differently from the DOM API. It accepts an\n * object mapping of style properties to values.\n *\n * @constructor ReactDOMComponent\n * @extends ReactMultiChild\n */\nfunction ReactDOMComponent(tag) {\n  validateDangerousTag(tag);\n  this._tag = tag.toLowerCase();\n  this._renderedChildren = null;\n  this._previousStyle = null;\n  this._previousStyleCopy = null;\n  this._rootNodeID = null;\n  this._wrapperState = null;\n  this._topLevelWrapper = null;\n  this._nodeWithLegacyProperties = null;\n  if (\"development\" !== 'production') {\n    this._unprocessedContextDev = null;\n    this._processedContextDev = null;\n  }\n}\n\nReactDOMComponent.displayName = 'ReactDOMComponent';\n\nReactDOMComponent.Mixin = {\n\n  construct: function (element) {\n    this._currentElement = element;\n  },\n\n  /**\n   * Generates root tag markup then recurses. This method has side effects and\n   * is not idempotent.\n   *\n   * @internal\n   * @param {string} rootID The root DOM ID for this node.\n   * @param {ReactReconcileTransaction|ReactServerRenderingTransaction} transaction\n   * @param {object} context\n   * @return {string} The computed markup.\n   */\n  mountComponent: function (rootID, transaction, context) {\n    this._rootNodeID = rootID;\n\n    var props = this._currentElement.props;\n\n    switch (this._tag) {\n      case 'iframe':\n      case 'img':\n      case 'form':\n      case 'video':\n      case 'audio':\n        this._wrapperState = {\n          listeners: null\n        };\n        transaction.getReactMountReady().enqueue(trapBubbledEventsLocal, this);\n        break;\n      case 'button':\n        props = ReactDOMButton.getNativeProps(this, props, context);\n        break;\n      case 'input':\n        ReactDOMInput.mountWrapper(this, props, context);\n        props = ReactDOMInput.getNativeProps(this, props, context);\n        break;\n      case 'option':\n        ReactDOMOption.mountWrapper(this, props, context);\n        props = ReactDOMOption.getNativeProps(this, props, context);\n        break;\n      case 'select':\n        ReactDOMSelect.mountWrapper(this, props, context);\n        props = ReactDOMSelect.getNativeProps(this, props, context);\n        context = ReactDOMSelect.processChildContext(this, props, context);\n        break;\n      case 'textarea':\n        ReactDOMTextarea.mountWrapper(this, props, context);\n        props = ReactDOMTextarea.getNativeProps(this, props, context);\n        break;\n    }\n\n    assertValidProps(this, props);\n    if (\"development\" !== 'production') {\n      if (context[validateDOMNesting.ancestorInfoContextKey]) {\n        validateDOMNesting(this._tag, this, context[validateDOMNesting.ancestorInfoContextKey]);\n      }\n    }\n\n    if (\"development\" !== 'production') {\n      this._unprocessedContextDev = context;\n      this._processedContextDev = processChildContextDev(context, this);\n      context = this._processedContextDev;\n    }\n\n    var mountImage;\n    if (transaction.useCreateElement) {\n      var ownerDocument = context[ReactMount.ownerDocumentContextKey];\n      var el = ownerDocument.createElement(this._currentElement.type);\n      DOMPropertyOperations.setAttributeForID(el, this._rootNodeID);\n      // Populate node cache\n      ReactMount.getID(el);\n      this._updateDOMProperties({}, props, transaction, el);\n      this._createInitialChildren(transaction, props, context, el);\n      mountImage = el;\n    } else {\n      var tagOpen = this._createOpenTagMarkupAndPutListeners(transaction, props);\n      var tagContent = this._createContentMarkup(transaction, props, context);\n      if (!tagContent && omittedCloseTags[this._tag]) {\n        mountImage = tagOpen + '/>';\n      } else {\n        mountImage = tagOpen + '>' + tagContent + '</' + this._currentElement.type + '>';\n      }\n    }\n\n    switch (this._tag) {\n      case 'input':\n        transaction.getReactMountReady().enqueue(mountReadyInputWrapper, this);\n      // falls through\n      case 'button':\n      case 'select':\n      case 'textarea':\n        if (props.autoFocus) {\n          transaction.getReactMountReady().enqueue(AutoFocusUtils.focusDOMComponent, this);\n        }\n        break;\n    }\n\n    return mountImage;\n  },\n\n  /**\n   * Creates markup for the open tag and all attributes.\n   *\n   * This method has side effects because events get registered.\n   *\n   * Iterating over object properties is faster than iterating over arrays.\n   * @see http://jsperf.com/obj-vs-arr-iteration\n   *\n   * @private\n   * @param {ReactReconcileTransaction|ReactServerRenderingTransaction} transaction\n   * @param {object} props\n   * @return {string} Markup of opening tag.\n   */\n  _createOpenTagMarkupAndPutListeners: function (transaction, props) {\n    var ret = '<' + this._currentElement.type;\n\n    for (var propKey in props) {\n      if (!props.hasOwnProperty(propKey)) {\n        continue;\n      }\n      var propValue = props[propKey];\n      if (propValue == null) {\n        continue;\n      }\n      if (registrationNameModules.hasOwnProperty(propKey)) {\n        if (propValue) {\n          enqueuePutListener(this._rootNodeID, propKey, propValue, transaction);\n        }\n      } else {\n        if (propKey === STYLE) {\n          if (propValue) {\n            if (\"development\" !== 'production') {\n              // See `_updateDOMProperties`. style block\n              this._previousStyle = propValue;\n            }\n            propValue = this._previousStyleCopy = assign({}, props.style);\n          }\n          propValue = CSSPropertyOperations.createMarkupForStyles(propValue);\n        }\n        var markup = null;\n        if (this._tag != null && isCustomComponent(this._tag, props)) {\n          if (propKey !== CHILDREN) {\n            markup = DOMPropertyOperations.createMarkupForCustomAttribute(propKey, propValue);\n          }\n        } else {\n          markup = DOMPropertyOperations.createMarkupForProperty(propKey, propValue);\n        }\n        if (markup) {\n          ret += ' ' + markup;\n        }\n      }\n    }\n\n    // For static pages, no need to put React ID and checksum. Saves lots of\n    // bytes.\n    if (transaction.renderToStaticMarkup) {\n      return ret;\n    }\n\n    var markupForID = DOMPropertyOperations.createMarkupForID(this._rootNodeID);\n    return ret + ' ' + markupForID;\n  },\n\n  /**\n   * Creates markup for the content between the tags.\n   *\n   * @private\n   * @param {ReactReconcileTransaction|ReactServerRenderingTransaction} transaction\n   * @param {object} props\n   * @param {object} context\n   * @return {string} Content markup.\n   */\n  _createContentMarkup: function (transaction, props, context) {\n    var ret = '';\n\n    // Intentional use of != to avoid catching zero/false.\n    var innerHTML = props.dangerouslySetInnerHTML;\n    if (innerHTML != null) {\n      if (innerHTML.__html != null) {\n        ret = innerHTML.__html;\n      }\n    } else {\n      var contentToUse = CONTENT_TYPES[typeof props.children] ? props.children : null;\n      var childrenToUse = contentToUse != null ? null : props.children;\n      if (contentToUse != null) {\n        // TODO: Validate that text is allowed as a child of this node\n        ret = escapeTextContentForBrowser(contentToUse);\n      } else if (childrenToUse != null) {\n        var mountImages = this.mountChildren(childrenToUse, transaction, context);\n        ret = mountImages.join('');\n      }\n    }\n    if (newlineEatingTags[this._tag] && ret.charAt(0) === '\\n') {\n      // text/html ignores the first character in these tags if it's a newline\n      // Prefer to break application/xml over text/html (for now) by adding\n      // a newline specifically to get eaten by the parser. (Alternately for\n      // textareas, replacing \"^\\n\" with \"\\r\\n\" doesn't get eaten, and the first\n      // \\r is normalized out by HTMLTextAreaElement#value.)\n      // See: <http://www.w3.org/TR/html-polyglot/#newlines-in-textarea-and-pre>\n      // See: <http://www.w3.org/TR/html5/syntax.html#element-restrictions>\n      // See: <http://www.w3.org/TR/html5/syntax.html#newlines>\n      // See: Parsing of \"textarea\" \"listing\" and \"pre\" elements\n      //  from <http://www.w3.org/TR/html5/syntax.html#parsing-main-inbody>\n      return '\\n' + ret;\n    } else {\n      return ret;\n    }\n  },\n\n  _createInitialChildren: function (transaction, props, context, el) {\n    // Intentional use of != to avoid catching zero/false.\n    var innerHTML = props.dangerouslySetInnerHTML;\n    if (innerHTML != null) {\n      if (innerHTML.__html != null) {\n        setInnerHTML(el, innerHTML.__html);\n      }\n    } else {\n      var contentToUse = CONTENT_TYPES[typeof props.children] ? props.children : null;\n      var childrenToUse = contentToUse != null ? null : props.children;\n      if (contentToUse != null) {\n        // TODO: Validate that text is allowed as a child of this node\n        setTextContent(el, contentToUse);\n      } else if (childrenToUse != null) {\n        var mountImages = this.mountChildren(childrenToUse, transaction, context);\n        for (var i = 0; i < mountImages.length; i++) {\n          el.appendChild(mountImages[i]);\n        }\n      }\n    }\n  },\n\n  /**\n   * Receives a next element and updates the component.\n   *\n   * @internal\n   * @param {ReactElement} nextElement\n   * @param {ReactReconcileTransaction|ReactServerRenderingTransaction} transaction\n   * @param {object} context\n   */\n  receiveComponent: function (nextElement, transaction, context) {\n    var prevElement = this._currentElement;\n    this._currentElement = nextElement;\n    this.updateComponent(transaction, prevElement, nextElement, context);\n  },\n\n  /**\n   * Updates a native DOM component after it has already been allocated and\n   * attached to the DOM. Reconciles the root DOM node, then recurses.\n   *\n   * @param {ReactReconcileTransaction} transaction\n   * @param {ReactElement} prevElement\n   * @param {ReactElement} nextElement\n   * @internal\n   * @overridable\n   */\n  updateComponent: function (transaction, prevElement, nextElement, context) {\n    var lastProps = prevElement.props;\n    var nextProps = this._currentElement.props;\n\n    switch (this._tag) {\n      case 'button':\n        lastProps = ReactDOMButton.getNativeProps(this, lastProps);\n        nextProps = ReactDOMButton.getNativeProps(this, nextProps);\n        break;\n      case 'input':\n        ReactDOMInput.updateWrapper(this);\n        lastProps = ReactDOMInput.getNativeProps(this, lastProps);\n        nextProps = ReactDOMInput.getNativeProps(this, nextProps);\n        break;\n      case 'option':\n        lastProps = ReactDOMOption.getNativeProps(this, lastProps);\n        nextProps = ReactDOMOption.getNativeProps(this, nextProps);\n        break;\n      case 'select':\n        lastProps = ReactDOMSelect.getNativeProps(this, lastProps);\n        nextProps = ReactDOMSelect.getNativeProps(this, nextProps);\n        break;\n      case 'textarea':\n        ReactDOMTextarea.updateWrapper(this);\n        lastProps = ReactDOMTextarea.getNativeProps(this, lastProps);\n        nextProps = ReactDOMTextarea.getNativeProps(this, nextProps);\n        break;\n    }\n\n    if (\"development\" !== 'production') {\n      // If the context is reference-equal to the old one, pass down the same\n      // processed object so the update bailout in ReactReconciler behaves\n      // correctly (and identically in dev and prod). See #5005.\n      if (this._unprocessedContextDev !== context) {\n        this._unprocessedContextDev = context;\n        this._processedContextDev = processChildContextDev(context, this);\n      }\n      context = this._processedContextDev;\n    }\n\n    assertValidProps(this, nextProps);\n    this._updateDOMProperties(lastProps, nextProps, transaction, null);\n    this._updateDOMChildren(lastProps, nextProps, transaction, context);\n\n    if (!canDefineProperty && this._nodeWithLegacyProperties) {\n      this._nodeWithLegacyProperties.props = nextProps;\n    }\n\n    if (this._tag === 'select') {\n      // <select> value update needs to occur after <option> children\n      // reconciliation\n      transaction.getReactMountReady().enqueue(postUpdateSelectWrapper, this);\n    }\n  },\n\n  /**\n   * Reconciles the properties by detecting differences in property values and\n   * updating the DOM as necessary. This function is probably the single most\n   * critical path for performance optimization.\n   *\n   * TODO: Benchmark whether checking for changed values in memory actually\n   *       improves performance (especially statically positioned elements).\n   * TODO: Benchmark the effects of putting this at the top since 99% of props\n   *       do not change for a given reconciliation.\n   * TODO: Benchmark areas that can be improved with caching.\n   *\n   * @private\n   * @param {object} lastProps\n   * @param {object} nextProps\n   * @param {ReactReconcileTransaction} transaction\n   * @param {?DOMElement} node\n   */\n  _updateDOMProperties: function (lastProps, nextProps, transaction, node) {\n    var propKey;\n    var styleName;\n    var styleUpdates;\n    for (propKey in lastProps) {\n      if (nextProps.hasOwnProperty(propKey) || !lastProps.hasOwnProperty(propKey)) {\n        continue;\n      }\n      if (propKey === STYLE) {\n        var lastStyle = this._previousStyleCopy;\n        for (styleName in lastStyle) {\n          if (lastStyle.hasOwnProperty(styleName)) {\n            styleUpdates = styleUpdates || {};\n            styleUpdates[styleName] = '';\n          }\n        }\n        this._previousStyleCopy = null;\n      } else if (registrationNameModules.hasOwnProperty(propKey)) {\n        if (lastProps[propKey]) {\n          // Only call deleteListener if there was a listener previously or\n          // else willDeleteListener gets called when there wasn't actually a\n          // listener (e.g., onClick={null})\n          deleteListener(this._rootNodeID, propKey);\n        }\n      } else if (DOMProperty.properties[propKey] || DOMProperty.isCustomAttribute(propKey)) {\n        if (!node) {\n          node = ReactMount.getNode(this._rootNodeID);\n        }\n        DOMPropertyOperations.deleteValueForProperty(node, propKey);\n      }\n    }\n    for (propKey in nextProps) {\n      var nextProp = nextProps[propKey];\n      var lastProp = propKey === STYLE ? this._previousStyleCopy : lastProps[propKey];\n      if (!nextProps.hasOwnProperty(propKey) || nextProp === lastProp) {\n        continue;\n      }\n      if (propKey === STYLE) {\n        if (nextProp) {\n          if (\"development\" !== 'production') {\n            checkAndWarnForMutatedStyle(this._previousStyleCopy, this._previousStyle, this);\n            this._previousStyle = nextProp;\n          }\n          nextProp = this._previousStyleCopy = assign({}, nextProp);\n        } else {\n          this._previousStyleCopy = null;\n        }\n        if (lastProp) {\n          // Unset styles on `lastProp` but not on `nextProp`.\n          for (styleName in lastProp) {\n            if (lastProp.hasOwnProperty(styleName) && (!nextProp || !nextProp.hasOwnProperty(styleName))) {\n              styleUpdates = styleUpdates || {};\n              styleUpdates[styleName] = '';\n            }\n          }\n          // Update styles that changed since `lastProp`.\n          for (styleName in nextProp) {\n            if (nextProp.hasOwnProperty(styleName) && lastProp[styleName] !== nextProp[styleName]) {\n              styleUpdates = styleUpdates || {};\n              styleUpdates[styleName] = nextProp[styleName];\n            }\n          }\n        } else {\n          // Relies on `updateStylesByID` not mutating `styleUpdates`.\n          styleUpdates = nextProp;\n        }\n      } else if (registrationNameModules.hasOwnProperty(propKey)) {\n        if (nextProp) {\n          enqueuePutListener(this._rootNodeID, propKey, nextProp, transaction);\n        } else if (lastProp) {\n          deleteListener(this._rootNodeID, propKey);\n        }\n      } else if (isCustomComponent(this._tag, nextProps)) {\n        if (!node) {\n          node = ReactMount.getNode(this._rootNodeID);\n        }\n        if (propKey === CHILDREN) {\n          nextProp = null;\n        }\n        DOMPropertyOperations.setValueForAttribute(node, propKey, nextProp);\n      } else if (DOMProperty.properties[propKey] || DOMProperty.isCustomAttribute(propKey)) {\n        if (!node) {\n          node = ReactMount.getNode(this._rootNodeID);\n        }\n        // If we're updating to null or undefined, we should remove the property\n        // from the DOM node instead of inadvertantly setting to a string. This\n        // brings us in line with the same behavior we have on initial render.\n        if (nextProp != null) {\n          DOMPropertyOperations.setValueForProperty(node, propKey, nextProp);\n        } else {\n          DOMPropertyOperations.deleteValueForProperty(node, propKey);\n        }\n      }\n    }\n    if (styleUpdates) {\n      if (!node) {\n        node = ReactMount.getNode(this._rootNodeID);\n      }\n      CSSPropertyOperations.setValueForStyles(node, styleUpdates);\n    }\n  },\n\n  /**\n   * Reconciles the children with the various properties that affect the\n   * children content.\n   *\n   * @param {object} lastProps\n   * @param {object} nextProps\n   * @param {ReactReconcileTransaction} transaction\n   * @param {object} context\n   */\n  _updateDOMChildren: function (lastProps, nextProps, transaction, context) {\n    var lastContent = CONTENT_TYPES[typeof lastProps.children] ? lastProps.children : null;\n    var nextContent = CONTENT_TYPES[typeof nextProps.children] ? nextProps.children : null;\n\n    var lastHtml = lastProps.dangerouslySetInnerHTML && lastProps.dangerouslySetInnerHTML.__html;\n    var nextHtml = nextProps.dangerouslySetInnerHTML && nextProps.dangerouslySetInnerHTML.__html;\n\n    // Note the use of `!=` which checks for null or undefined.\n    var lastChildren = lastContent != null ? null : lastProps.children;\n    var nextChildren = nextContent != null ? null : nextProps.children;\n\n    // If we're switching from children to content/html or vice versa, remove\n    // the old content\n    var lastHasContentOrHtml = lastContent != null || lastHtml != null;\n    var nextHasContentOrHtml = nextContent != null || nextHtml != null;\n    if (lastChildren != null && nextChildren == null) {\n      this.updateChildren(null, transaction, context);\n    } else if (lastHasContentOrHtml && !nextHasContentOrHtml) {\n      this.updateTextContent('');\n    }\n\n    if (nextContent != null) {\n      if (lastContent !== nextContent) {\n        this.updateTextContent('' + nextContent);\n      }\n    } else if (nextHtml != null) {\n      if (lastHtml !== nextHtml) {\n        this.updateMarkup('' + nextHtml);\n      }\n    } else if (nextChildren != null) {\n      this.updateChildren(nextChildren, transaction, context);\n    }\n  },\n\n  /**\n   * Destroys all event registrations for this instance. Does not remove from\n   * the DOM. That must be done by the parent.\n   *\n   * @internal\n   */\n  unmountComponent: function () {\n    switch (this._tag) {\n      case 'iframe':\n      case 'img':\n      case 'form':\n      case 'video':\n      case 'audio':\n        var listeners = this._wrapperState.listeners;\n        if (listeners) {\n          for (var i = 0; i < listeners.length; i++) {\n            listeners[i].remove();\n          }\n        }\n        break;\n      case 'input':\n        ReactDOMInput.unmountWrapper(this);\n        break;\n      case 'html':\n      case 'head':\n      case 'body':\n        /**\n         * Components like <html> <head> and <body> can't be removed or added\n         * easily in a cross-browser way, however it's valuable to be able to\n         * take advantage of React's reconciliation for styling and <title>\n         * management. So we just document it and throw in dangerous cases.\n         */\n        !false ? \"development\" !== 'production' ? invariant(false, '<%s> tried to unmount. Because of cross-browser quirks it is ' + 'impossible to unmount some top-level components (eg <html>, ' + '<head>, and <body>) reliably and efficiently. To fix this, have a ' + 'single top-level component that never unmounts render these ' + 'elements.', this._tag) : invariant(false) : undefined;\n        break;\n    }\n\n    this.unmountChildren();\n    ReactBrowserEventEmitter.deleteAllListeners(this._rootNodeID);\n    ReactComponentBrowserEnvironment.unmountIDFromEnvironment(this._rootNodeID);\n    this._rootNodeID = null;\n    this._wrapperState = null;\n    if (this._nodeWithLegacyProperties) {\n      var node = this._nodeWithLegacyProperties;\n      node._reactInternalComponent = null;\n      this._nodeWithLegacyProperties = null;\n    }\n  },\n\n  getPublicInstance: function () {\n    if (!this._nodeWithLegacyProperties) {\n      var node = ReactMount.getNode(this._rootNodeID);\n\n      node._reactInternalComponent = this;\n      node.getDOMNode = legacyGetDOMNode;\n      node.isMounted = legacyIsMounted;\n      node.setState = legacySetStateEtc;\n      node.replaceState = legacySetStateEtc;\n      node.forceUpdate = legacySetStateEtc;\n      node.setProps = legacySetProps;\n      node.replaceProps = legacyReplaceProps;\n\n      if (\"development\" !== 'production') {\n        if (canDefineProperty) {\n          Object.defineProperties(node, legacyPropsDescriptor);\n        } else {\n          // updateComponent will update this property on subsequent renders\n          node.props = this._currentElement.props;\n        }\n      } else {\n        // updateComponent will update this property on subsequent renders\n        node.props = this._currentElement.props;\n      }\n\n      this._nodeWithLegacyProperties = node;\n    }\n    return this._nodeWithLegacyProperties;\n  }\n\n};\n\nReactPerf.measureMethods(ReactDOMComponent, 'ReactDOMComponent', {\n  mountComponent: 'mountComponent',\n  updateComponent: 'updateComponent'\n});\n\nassign(ReactDOMComponent.prototype, ReactDOMComponent.Mixin, ReactMultiChild.Mixin);\n\nmodule.exports = ReactDOMComponent;\n},{\"10\":10,\"11\":11,\"117\":117,\"121\":121,\"133\":133,\"138\":138,\"139\":139,\"144\":144,\"15\":15,\"161\":161,\"166\":166,\"171\":171,\"173\":173,\"2\":2,\"24\":24,\"28\":28,\"35\":35,\"41\":41,\"46\":46,\"47\":47,\"48\":48,\"5\":5,\"52\":52,\"72\":72,\"73\":73,\"78\":78,\"95\":95}],43:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactDOMFactories\n * @typechecks static-only\n */\n\n'use strict';\n\nvar ReactElement = _dereq_(57);\nvar ReactElementValidator = _dereq_(58);\n\nvar mapObject = _dereq_(167);\n\n/**\n * Create a factory that creates HTML tag elements.\n *\n * @param {string} tag Tag name (e.g. `div`).\n * @private\n */\nfunction createDOMFactory(tag) {\n  if (\"development\" !== 'production') {\n    return ReactElementValidator.createFactory(tag);\n  }\n  return ReactElement.createFactory(tag);\n}\n\n/**\n * Creates a mapping from supported HTML tags to `ReactDOMComponent` classes.\n * This is also accessible via `React.DOM`.\n *\n * @public\n */\nvar ReactDOMFactories = mapObject({\n  a: 'a',\n  abbr: 'abbr',\n  address: 'address',\n  area: 'area',\n  article: 'article',\n  aside: 'aside',\n  audio: 'audio',\n  b: 'b',\n  base: 'base',\n  bdi: 'bdi',\n  bdo: 'bdo',\n  big: 'big',\n  blockquote: 'blockquote',\n  body: 'body',\n  br: 'br',\n  button: 'button',\n  canvas: 'canvas',\n  caption: 'caption',\n  cite: 'cite',\n  code: 'code',\n  col: 'col',\n  colgroup: 'colgroup',\n  data: 'data',\n  datalist: 'datalist',\n  dd: 'dd',\n  del: 'del',\n  details: 'details',\n  dfn: 'dfn',\n  dialog: 'dialog',\n  div: 'div',\n  dl: 'dl',\n  dt: 'dt',\n  em: 'em',\n  embed: 'embed',\n  fieldset: 'fieldset',\n  figcaption: 'figcaption',\n  figure: 'figure',\n  footer: 'footer',\n  form: 'form',\n  h1: 'h1',\n  h2: 'h2',\n  h3: 'h3',\n  h4: 'h4',\n  h5: 'h5',\n  h6: 'h6',\n  head: 'head',\n  header: 'header',\n  hgroup: 'hgroup',\n  hr: 'hr',\n  html: 'html',\n  i: 'i',\n  iframe: 'iframe',\n  img: 'img',\n  input: 'input',\n  ins: 'ins',\n  kbd: 'kbd',\n  keygen: 'keygen',\n  label: 'label',\n  legend: 'legend',\n  li: 'li',\n  link: 'link',\n  main: 'main',\n  map: 'map',\n  mark: 'mark',\n  menu: 'menu',\n  menuitem: 'menuitem',\n  meta: 'meta',\n  meter: 'meter',\n  nav: 'nav',\n  noscript: 'noscript',\n  object: 'object',\n  ol: 'ol',\n  optgroup: 'optgroup',\n  option: 'option',\n  output: 'output',\n  p: 'p',\n  param: 'param',\n  picture: 'picture',\n  pre: 'pre',\n  progress: 'progress',\n  q: 'q',\n  rp: 'rp',\n  rt: 'rt',\n  ruby: 'ruby',\n  s: 's',\n  samp: 'samp',\n  script: 'script',\n  section: 'section',\n  select: 'select',\n  small: 'small',\n  source: 'source',\n  span: 'span',\n  strong: 'strong',\n  style: 'style',\n  sub: 'sub',\n  summary: 'summary',\n  sup: 'sup',\n  table: 'table',\n  tbody: 'tbody',\n  td: 'td',\n  textarea: 'textarea',\n  tfoot: 'tfoot',\n  th: 'th',\n  thead: 'thead',\n  time: 'time',\n  title: 'title',\n  tr: 'tr',\n  track: 'track',\n  u: 'u',\n  ul: 'ul',\n  'var': 'var',\n  video: 'video',\n  wbr: 'wbr',\n\n  // SVG\n  circle: 'circle',\n  clipPath: 'clipPath',\n  defs: 'defs',\n  ellipse: 'ellipse',\n  g: 'g',\n  image: 'image',\n  line: 'line',\n  linearGradient: 'linearGradient',\n  mask: 'mask',\n  path: 'path',\n  pattern: 'pattern',\n  polygon: 'polygon',\n  polyline: 'polyline',\n  radialGradient: 'radialGradient',\n  rect: 'rect',\n  stop: 'stop',\n  svg: 'svg',\n  text: 'text',\n  tspan: 'tspan'\n\n}, createDOMFactory);\n\nmodule.exports = ReactDOMFactories;\n},{\"167\":167,\"57\":57,\"58\":58}],44:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactDOMFeatureFlags\n */\n\n'use strict';\n\nvar ReactDOMFeatureFlags = {\n  useCreateElement: false\n};\n\nmodule.exports = ReactDOMFeatureFlags;\n},{}],45:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactDOMIDOperations\n * @typechecks static-only\n */\n\n'use strict';\n\nvar DOMChildrenOperations = _dereq_(9);\nvar DOMPropertyOperations = _dereq_(11);\nvar ReactMount = _dereq_(72);\nvar ReactPerf = _dereq_(78);\n\nvar invariant = _dereq_(161);\n\n/**\n * Errors for properties that should not be updated with `updatePropertyByID()`.\n *\n * @type {object}\n * @private\n */\nvar INVALID_PROPERTY_ERRORS = {\n  dangerouslySetInnerHTML: '`dangerouslySetInnerHTML` must be set using `updateInnerHTMLByID()`.',\n  style: '`style` must be set using `updateStylesByID()`.'\n};\n\n/**\n * Operations used to process updates to DOM nodes.\n */\nvar ReactDOMIDOperations = {\n\n  /**\n   * Updates a DOM node with new property values. This should only be used to\n   * update DOM properties in `DOMProperty`.\n   *\n   * @param {string} id ID of the node to update.\n   * @param {string} name A valid property name, see `DOMProperty`.\n   * @param {*} value New value of the property.\n   * @internal\n   */\n  updatePropertyByID: function (id, name, value) {\n    var node = ReactMount.getNode(id);\n    !!INVALID_PROPERTY_ERRORS.hasOwnProperty(name) ? \"development\" !== 'production' ? invariant(false, 'updatePropertyByID(...): %s', INVALID_PROPERTY_ERRORS[name]) : invariant(false) : undefined;\n\n    // If we're updating to null or undefined, we should remove the property\n    // from the DOM node instead of inadvertantly setting to a string. This\n    // brings us in line with the same behavior we have on initial render.\n    if (value != null) {\n      DOMPropertyOperations.setValueForProperty(node, name, value);\n    } else {\n      DOMPropertyOperations.deleteValueForProperty(node, name);\n    }\n  },\n\n  /**\n   * Replaces a DOM node that exists in the document with markup.\n   *\n   * @param {string} id ID of child to be replaced.\n   * @param {string} markup Dangerous markup to inject in place of child.\n   * @internal\n   * @see {Danger.dangerouslyReplaceNodeWithMarkup}\n   */\n  dangerouslyReplaceNodeWithMarkupByID: function (id, markup) {\n    var node = ReactMount.getNode(id);\n    DOMChildrenOperations.dangerouslyReplaceNodeWithMarkup(node, markup);\n  },\n\n  /**\n   * Updates a component's children by processing a series of updates.\n   *\n   * @param {array<object>} updates List of update configurations.\n   * @param {array<string>} markup List of markup strings.\n   * @internal\n   */\n  dangerouslyProcessChildrenUpdates: function (updates, markup) {\n    for (var i = 0; i < updates.length; i++) {\n      updates[i].parentNode = ReactMount.getNode(updates[i].parentID);\n    }\n    DOMChildrenOperations.processUpdates(updates, markup);\n  }\n};\n\nReactPerf.measureMethods(ReactDOMIDOperations, 'ReactDOMIDOperations', {\n  dangerouslyReplaceNodeWithMarkupByID: 'dangerouslyReplaceNodeWithMarkupByID',\n  dangerouslyProcessChildrenUpdates: 'dangerouslyProcessChildrenUpdates'\n});\n\nmodule.exports = ReactDOMIDOperations;\n},{\"11\":11,\"161\":161,\"72\":72,\"78\":78,\"9\":9}],46:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactDOMInput\n */\n\n'use strict';\n\nvar ReactDOMIDOperations = _dereq_(45);\nvar LinkedValueUtils = _dereq_(23);\nvar ReactMount = _dereq_(72);\nvar ReactUpdates = _dereq_(96);\n\nvar assign = _dereq_(24);\nvar invariant = _dereq_(161);\n\nvar instancesByReactID = {};\n\nfunction forceUpdateIfMounted() {\n  if (this._rootNodeID) {\n    // DOM component is still mounted; update\n    ReactDOMInput.updateWrapper(this);\n  }\n}\n\n/**\n * Implements an <input> native component that allows setting these optional\n * props: `checked`, `value`, `defaultChecked`, and `defaultValue`.\n *\n * If `checked` or `value` are not supplied (or null/undefined), user actions\n * that affect the checked state or value will trigger updates to the element.\n *\n * If they are supplied (and not null/undefined), the rendered element will not\n * trigger updates to the element. Instead, the props must change in order for\n * the rendered element to be updated.\n *\n * The rendered element will be initialized as unchecked (or `defaultChecked`)\n * with an empty value (or `defaultValue`).\n *\n * @see http://www.w3.org/TR/2012/WD-html5-20121025/the-input-element.html\n */\nvar ReactDOMInput = {\n  getNativeProps: function (inst, props, context) {\n    var value = LinkedValueUtils.getValue(props);\n    var checked = LinkedValueUtils.getChecked(props);\n\n    var nativeProps = assign({}, props, {\n      defaultChecked: undefined,\n      defaultValue: undefined,\n      value: value != null ? value : inst._wrapperState.initialValue,\n      checked: checked != null ? checked : inst._wrapperState.initialChecked,\n      onChange: inst._wrapperState.onChange\n    });\n\n    return nativeProps;\n  },\n\n  mountWrapper: function (inst, props) {\n    if (\"development\" !== 'production') {\n      LinkedValueUtils.checkPropTypes('input', props, inst._currentElement._owner);\n    }\n\n    var defaultValue = props.defaultValue;\n    inst._wrapperState = {\n      initialChecked: props.defaultChecked || false,\n      initialValue: defaultValue != null ? defaultValue : null,\n      onChange: _handleChange.bind(inst)\n    };\n  },\n\n  mountReadyWrapper: function (inst) {\n    // Can't be in mountWrapper or else server rendering leaks.\n    instancesByReactID[inst._rootNodeID] = inst;\n  },\n\n  unmountWrapper: function (inst) {\n    delete instancesByReactID[inst._rootNodeID];\n  },\n\n  updateWrapper: function (inst) {\n    var props = inst._currentElement.props;\n\n    // TODO: Shouldn't this be getChecked(props)?\n    var checked = props.checked;\n    if (checked != null) {\n      ReactDOMIDOperations.updatePropertyByID(inst._rootNodeID, 'checked', checked || false);\n    }\n\n    var value = LinkedValueUtils.getValue(props);\n    if (value != null) {\n      // Cast `value` to a string to ensure the value is set correctly. While\n      // browsers typically do this as necessary, jsdom doesn't.\n      ReactDOMIDOperations.updatePropertyByID(inst._rootNodeID, 'value', '' + value);\n    }\n  }\n};\n\nfunction _handleChange(event) {\n  var props = this._currentElement.props;\n\n  var returnValue = LinkedValueUtils.executeOnChange(props, event);\n\n  // Here we use asap to wait until all updates have propagated, which\n  // is important when using controlled components within layers:\n  // https://github.com/facebook/react/issues/1698\n  ReactUpdates.asap(forceUpdateIfMounted, this);\n\n  var name = props.name;\n  if (props.type === 'radio' && name != null) {\n    var rootNode = ReactMount.getNode(this._rootNodeID);\n    var queryRoot = rootNode;\n\n    while (queryRoot.parentNode) {\n      queryRoot = queryRoot.parentNode;\n    }\n\n    // If `rootNode.form` was non-null, then we could try `form.elements`,\n    // but that sometimes behaves strangely in IE8. We could also try using\n    // `form.getElementsByName`, but that will only return direct children\n    // and won't include inputs that use the HTML5 `form=` attribute. Since\n    // the input might not even be in a form, let's just use the global\n    // `querySelectorAll` to ensure we don't miss anything.\n    var group = queryRoot.querySelectorAll('input[name=' + JSON.stringify('' + name) + '][type=\"radio\"]');\n\n    for (var i = 0; i < group.length; i++) {\n      var otherNode = group[i];\n      if (otherNode === rootNode || otherNode.form !== rootNode.form) {\n        continue;\n      }\n      // This will throw if radio buttons rendered by different copies of React\n      // and the same name are rendered into the same form (same as #1939).\n      // That's probably okay; we don't support it just as we don't support\n      // mixing React with non-React.\n      var otherID = ReactMount.getID(otherNode);\n      !otherID ? \"development\" !== 'production' ? invariant(false, 'ReactDOMInput: Mixing React and non-React radio inputs with the ' + 'same `name` is not supported.') : invariant(false) : undefined;\n      var otherInstance = instancesByReactID[otherID];\n      !otherInstance ? \"development\" !== 'production' ? invariant(false, 'ReactDOMInput: Unknown radio button ID %s.', otherID) : invariant(false) : undefined;\n      // If this is a controlled radio button group, forcing the input that\n      // was previously checked to update will cause it to be come re-checked\n      // as appropriate.\n      ReactUpdates.asap(forceUpdateIfMounted, otherInstance);\n    }\n  }\n\n  return returnValue;\n}\n\nmodule.exports = ReactDOMInput;\n},{\"161\":161,\"23\":23,\"24\":24,\"45\":45,\"72\":72,\"96\":96}],47:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactDOMOption\n */\n\n'use strict';\n\nvar ReactChildren = _dereq_(32);\nvar ReactDOMSelect = _dereq_(48);\n\nvar assign = _dereq_(24);\nvar warning = _dereq_(173);\n\nvar valueContextKey = ReactDOMSelect.valueContextKey;\n\n/**\n * Implements an <option> native component that warns when `selected` is set.\n */\nvar ReactDOMOption = {\n  mountWrapper: function (inst, props, context) {\n    // TODO (yungsters): Remove support for `selected` in <option>.\n    if (\"development\" !== 'production') {\n      \"development\" !== 'production' ? warning(props.selected == null, 'Use the `defaultValue` or `value` props on <select> instead of ' + 'setting `selected` on <option>.') : undefined;\n    }\n\n    // Look up whether this option is 'selected' via context\n    var selectValue = context[valueContextKey];\n\n    // If context key is null (e.g., no specified value or after initial mount)\n    // or missing (e.g., for <datalist>), we don't change props.selected\n    var selected = null;\n    if (selectValue != null) {\n      selected = false;\n      if (Array.isArray(selectValue)) {\n        // multiple\n        for (var i = 0; i < selectValue.length; i++) {\n          if ('' + selectValue[i] === '' + props.value) {\n            selected = true;\n            break;\n          }\n        }\n      } else {\n        selected = '' + selectValue === '' + props.value;\n      }\n    }\n\n    inst._wrapperState = { selected: selected };\n  },\n\n  getNativeProps: function (inst, props, context) {\n    var nativeProps = assign({ selected: undefined, children: undefined }, props);\n\n    // Read state only from initial mount because <select> updates value\n    // manually; we need the initial state only for server rendering\n    if (inst._wrapperState.selected != null) {\n      nativeProps.selected = inst._wrapperState.selected;\n    }\n\n    var content = '';\n\n    // Flatten children and warn if they aren't strings or numbers;\n    // invalid types are ignored.\n    ReactChildren.forEach(props.children, function (child) {\n      if (child == null) {\n        return;\n      }\n      if (typeof child === 'string' || typeof child === 'number') {\n        content += child;\n      } else {\n        \"development\" !== 'production' ? warning(false, 'Only strings and numbers are supported as <option> children.') : undefined;\n      }\n    });\n\n    if (content) {\n      nativeProps.children = content;\n    }\n\n    return nativeProps;\n  }\n\n};\n\nmodule.exports = ReactDOMOption;\n},{\"173\":173,\"24\":24,\"32\":32,\"48\":48}],48:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactDOMSelect\n */\n\n'use strict';\n\nvar LinkedValueUtils = _dereq_(23);\nvar ReactMount = _dereq_(72);\nvar ReactUpdates = _dereq_(96);\n\nvar assign = _dereq_(24);\nvar warning = _dereq_(173);\n\nvar valueContextKey = '__ReactDOMSelect_value$' + Math.random().toString(36).slice(2);\n\nfunction updateOptionsIfPendingUpdateAndMounted() {\n  if (this._rootNodeID && this._wrapperState.pendingUpdate) {\n    this._wrapperState.pendingUpdate = false;\n\n    var props = this._currentElement.props;\n    var value = LinkedValueUtils.getValue(props);\n\n    if (value != null) {\n      updateOptions(this, Boolean(props.multiple), value);\n    }\n  }\n}\n\nfunction getDeclarationErrorAddendum(owner) {\n  if (owner) {\n    var name = owner.getName();\n    if (name) {\n      return ' Check the render method of `' + name + '`.';\n    }\n  }\n  return '';\n}\n\nvar valuePropNames = ['value', 'defaultValue'];\n\n/**\n * Validation function for `value` and `defaultValue`.\n * @private\n */\nfunction checkSelectPropTypes(inst, props) {\n  var owner = inst._currentElement._owner;\n  LinkedValueUtils.checkPropTypes('select', props, owner);\n\n  for (var i = 0; i < valuePropNames.length; i++) {\n    var propName = valuePropNames[i];\n    if (props[propName] == null) {\n      continue;\n    }\n    if (props.multiple) {\n      \"development\" !== 'production' ? warning(Array.isArray(props[propName]), 'The `%s` prop supplied to <select> must be an array if ' + '`multiple` is true.%s', propName, getDeclarationErrorAddendum(owner)) : undefined;\n    } else {\n      \"development\" !== 'production' ? warning(!Array.isArray(props[propName]), 'The `%s` prop supplied to <select> must be a scalar ' + 'value if `multiple` is false.%s', propName, getDeclarationErrorAddendum(owner)) : undefined;\n    }\n  }\n}\n\n/**\n * @param {ReactDOMComponent} inst\n * @param {boolean} multiple\n * @param {*} propValue A stringable (with `multiple`, a list of stringables).\n * @private\n */\nfunction updateOptions(inst, multiple, propValue) {\n  var selectedValue, i;\n  var options = ReactMount.getNode(inst._rootNodeID).options;\n\n  if (multiple) {\n    selectedValue = {};\n    for (i = 0; i < propValue.length; i++) {\n      selectedValue['' + propValue[i]] = true;\n    }\n    for (i = 0; i < options.length; i++) {\n      var selected = selectedValue.hasOwnProperty(options[i].value);\n      if (options[i].selected !== selected) {\n        options[i].selected = selected;\n      }\n    }\n  } else {\n    // Do not set `select.value` as exact behavior isn't consistent across all\n    // browsers for all cases.\n    selectedValue = '' + propValue;\n    for (i = 0; i < options.length; i++) {\n      if (options[i].value === selectedValue) {\n        options[i].selected = true;\n        return;\n      }\n    }\n    if (options.length) {\n      options[0].selected = true;\n    }\n  }\n}\n\n/**\n * Implements a <select> native component that allows optionally setting the\n * props `value` and `defaultValue`. If `multiple` is false, the prop must be a\n * stringable. If `multiple` is true, the prop must be an array of stringables.\n *\n * If `value` is not supplied (or null/undefined), user actions that change the\n * selected option will trigger updates to the rendered options.\n *\n * If it is supplied (and not null/undefined), the rendered options will not\n * update in response to user actions. Instead, the `value` prop must change in\n * order for the rendered options to update.\n *\n * If `defaultValue` is provided, any options with the supplied values will be\n * selected.\n */\nvar ReactDOMSelect = {\n  valueContextKey: valueContextKey,\n\n  getNativeProps: function (inst, props, context) {\n    return assign({}, props, {\n      onChange: inst._wrapperState.onChange,\n      value: undefined\n    });\n  },\n\n  mountWrapper: function (inst, props) {\n    if (\"development\" !== 'production') {\n      checkSelectPropTypes(inst, props);\n    }\n\n    var value = LinkedValueUtils.getValue(props);\n    inst._wrapperState = {\n      pendingUpdate: false,\n      initialValue: value != null ? value : props.defaultValue,\n      onChange: _handleChange.bind(inst),\n      wasMultiple: Boolean(props.multiple)\n    };\n  },\n\n  processChildContext: function (inst, props, context) {\n    // Pass down initial value so initial generated markup has correct\n    // `selected` attributes\n    var childContext = assign({}, context);\n    childContext[valueContextKey] = inst._wrapperState.initialValue;\n    return childContext;\n  },\n\n  postUpdateWrapper: function (inst) {\n    var props = inst._currentElement.props;\n\n    // After the initial mount, we control selected-ness manually so don't pass\n    // the context value down\n    inst._wrapperState.initialValue = undefined;\n\n    var wasMultiple = inst._wrapperState.wasMultiple;\n    inst._wrapperState.wasMultiple = Boolean(props.multiple);\n\n    var value = LinkedValueUtils.getValue(props);\n    if (value != null) {\n      inst._wrapperState.pendingUpdate = false;\n      updateOptions(inst, Boolean(props.multiple), value);\n    } else if (wasMultiple !== Boolean(props.multiple)) {\n      // For simplicity, reapply `defaultValue` if `multiple` is toggled.\n      if (props.defaultValue != null) {\n        updateOptions(inst, Boolean(props.multiple), props.defaultValue);\n      } else {\n        // Revert the select back to its default unselected state.\n        updateOptions(inst, Boolean(props.multiple), props.multiple ? [] : '');\n      }\n    }\n  }\n};\n\nfunction _handleChange(event) {\n  var props = this._currentElement.props;\n  var returnValue = LinkedValueUtils.executeOnChange(props, event);\n\n  this._wrapperState.pendingUpdate = true;\n  ReactUpdates.asap(updateOptionsIfPendingUpdateAndMounted, this);\n  return returnValue;\n}\n\nmodule.exports = ReactDOMSelect;\n},{\"173\":173,\"23\":23,\"24\":24,\"72\":72,\"96\":96}],49:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactDOMSelection\n */\n\n'use strict';\n\nvar ExecutionEnvironment = _dereq_(147);\n\nvar getNodeForCharacterOffset = _dereq_(130);\nvar getTextContentAccessor = _dereq_(131);\n\n/**\n * While `isCollapsed` is available on the Selection object and `collapsed`\n * is available on the Range object, IE11 sometimes gets them wrong.\n * If the anchor/focus nodes and offsets are the same, the range is collapsed.\n */\nfunction isCollapsed(anchorNode, anchorOffset, focusNode, focusOffset) {\n  return anchorNode === focusNode && anchorOffset === focusOffset;\n}\n\n/**\n * Get the appropriate anchor and focus node/offset pairs for IE.\n *\n * The catch here is that IE's selection API doesn't provide information\n * about whether the selection is forward or backward, so we have to\n * behave as though it's always forward.\n *\n * IE text differs from modern selection in that it behaves as though\n * block elements end with a new line. This means character offsets will\n * differ between the two APIs.\n *\n * @param {DOMElement} node\n * @return {object}\n */\nfunction getIEOffsets(node) {\n  var selection = document.selection;\n  var selectedRange = selection.createRange();\n  var selectedLength = selectedRange.text.length;\n\n  // Duplicate selection so we can move range without breaking user selection.\n  var fromStart = selectedRange.duplicate();\n  fromStart.moveToElementText(node);\n  fromStart.setEndPoint('EndToStart', selectedRange);\n\n  var startOffset = fromStart.text.length;\n  var endOffset = startOffset + selectedLength;\n\n  return {\n    start: startOffset,\n    end: endOffset\n  };\n}\n\n/**\n * @param {DOMElement} node\n * @return {?object}\n */\nfunction getModernOffsets(node) {\n  var selection = window.getSelection && window.getSelection();\n\n  if (!selection || selection.rangeCount === 0) {\n    return null;\n  }\n\n  var anchorNode = selection.anchorNode;\n  var anchorOffset = selection.anchorOffset;\n  var focusNode = selection.focusNode;\n  var focusOffset = selection.focusOffset;\n\n  var currentRange = selection.getRangeAt(0);\n\n  // In Firefox, range.startContainer and range.endContainer can be \"anonymous\n  // divs\", e.g. the up/down buttons on an <input type=\"number\">. Anonymous\n  // divs do not seem to expose properties, triggering a \"Permission denied\n  // error\" if any of its properties are accessed. The only seemingly possible\n  // way to avoid erroring is to access a property that typically works for\n  // non-anonymous divs and catch any error that may otherwise arise. See\n  // https://bugzilla.mozilla.org/show_bug.cgi?id=208427\n  try {\n    /* eslint-disable no-unused-expressions */\n    currentRange.startContainer.nodeType;\n    currentRange.endContainer.nodeType;\n    /* eslint-enable no-unused-expressions */\n  } catch (e) {\n    return null;\n  }\n\n  // If the node and offset values are the same, the selection is collapsed.\n  // `Selection.isCollapsed` is available natively, but IE sometimes gets\n  // this value wrong.\n  var isSelectionCollapsed = isCollapsed(selection.anchorNode, selection.anchorOffset, selection.focusNode, selection.focusOffset);\n\n  var rangeLength = isSelectionCollapsed ? 0 : currentRange.toString().length;\n\n  var tempRange = currentRange.cloneRange();\n  tempRange.selectNodeContents(node);\n  tempRange.setEnd(currentRange.startContainer, currentRange.startOffset);\n\n  var isTempRangeCollapsed = isCollapsed(tempRange.startContainer, tempRange.startOffset, tempRange.endContainer, tempRange.endOffset);\n\n  var start = isTempRangeCollapsed ? 0 : tempRange.toString().length;\n  var end = start + rangeLength;\n\n  // Detect whether the selection is backward.\n  var detectionRange = document.createRange();\n  detectionRange.setStart(anchorNode, anchorOffset);\n  detectionRange.setEnd(focusNode, focusOffset);\n  var isBackward = detectionRange.collapsed;\n\n  return {\n    start: isBackward ? end : start,\n    end: isBackward ? start : end\n  };\n}\n\n/**\n * @param {DOMElement|DOMTextNode} node\n * @param {object} offsets\n */\nfunction setIEOffsets(node, offsets) {\n  var range = document.selection.createRange().duplicate();\n  var start, end;\n\n  if (typeof offsets.end === 'undefined') {\n    start = offsets.start;\n    end = start;\n  } else if (offsets.start > offsets.end) {\n    start = offsets.end;\n    end = offsets.start;\n  } else {\n    start = offsets.start;\n    end = offsets.end;\n  }\n\n  range.moveToElementText(node);\n  range.moveStart('character', start);\n  range.setEndPoint('EndToStart', range);\n  range.moveEnd('character', end - start);\n  range.select();\n}\n\n/**\n * In modern non-IE browsers, we can support both forward and backward\n * selections.\n *\n * Note: IE10+ supports the Selection object, but it does not support\n * the `extend` method, which means that even in modern IE, it's not possible\n * to programatically create a backward selection. Thus, for all IE\n * versions, we use the old IE API to create our selections.\n *\n * @param {DOMElement|DOMTextNode} node\n * @param {object} offsets\n */\nfunction setModernOffsets(node, offsets) {\n  if (!window.getSelection) {\n    return;\n  }\n\n  var selection = window.getSelection();\n  var length = node[getTextContentAccessor()].length;\n  var start = Math.min(offsets.start, length);\n  var end = typeof offsets.end === 'undefined' ? start : Math.min(offsets.end, length);\n\n  // IE 11 uses modern selection, but doesn't support the extend method.\n  // Flip backward selections, so we can set with a single range.\n  if (!selection.extend && start > end) {\n    var temp = end;\n    end = start;\n    start = temp;\n  }\n\n  var startMarker = getNodeForCharacterOffset(node, start);\n  var endMarker = getNodeForCharacterOffset(node, end);\n\n  if (startMarker && endMarker) {\n    var range = document.createRange();\n    range.setStart(startMarker.node, startMarker.offset);\n    selection.removeAllRanges();\n\n    if (start > end) {\n      selection.addRange(range);\n      selection.extend(endMarker.node, endMarker.offset);\n    } else {\n      range.setEnd(endMarker.node, endMarker.offset);\n      selection.addRange(range);\n    }\n  }\n}\n\nvar useIEOffsets = ExecutionEnvironment.canUseDOM && 'selection' in document && !('getSelection' in window);\n\nvar ReactDOMSelection = {\n  /**\n   * @param {DOMElement} node\n   */\n  getOffsets: useIEOffsets ? getIEOffsets : getModernOffsets,\n\n  /**\n   * @param {DOMElement|DOMTextNode} node\n   * @param {object} offsets\n   */\n  setOffsets: useIEOffsets ? setIEOffsets : setModernOffsets\n};\n\nmodule.exports = ReactDOMSelection;\n},{\"130\":130,\"131\":131,\"147\":147}],50:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactDOMServer\n */\n\n'use strict';\n\nvar ReactDefaultInjection = _dereq_(54);\nvar ReactServerRendering = _dereq_(88);\nvar ReactVersion = _dereq_(97);\n\nReactDefaultInjection.inject();\n\nvar ReactDOMServer = {\n  renderToString: ReactServerRendering.renderToString,\n  renderToStaticMarkup: ReactServerRendering.renderToStaticMarkup,\n  version: ReactVersion\n};\n\nmodule.exports = ReactDOMServer;\n},{\"54\":54,\"88\":88,\"97\":97}],51:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactDOMTextComponent\n * @typechecks static-only\n */\n\n'use strict';\n\nvar DOMChildrenOperations = _dereq_(9);\nvar DOMPropertyOperations = _dereq_(11);\nvar ReactComponentBrowserEnvironment = _dereq_(35);\nvar ReactMount = _dereq_(72);\n\nvar assign = _dereq_(24);\nvar escapeTextContentForBrowser = _dereq_(121);\nvar setTextContent = _dereq_(139);\nvar validateDOMNesting = _dereq_(144);\n\n/**\n * Text nodes violate a couple assumptions that React makes about components:\n *\n *  - When mounting text into the DOM, adjacent text nodes are merged.\n *  - Text nodes cannot be assigned a React root ID.\n *\n * This component is used to wrap strings in elements so that they can undergo\n * the same reconciliation that is applied to elements.\n *\n * TODO: Investigate representing React components in the DOM with text nodes.\n *\n * @class ReactDOMTextComponent\n * @extends ReactComponent\n * @internal\n */\nvar ReactDOMTextComponent = function (props) {\n  // This constructor and its argument is currently used by mocks.\n};\n\nassign(ReactDOMTextComponent.prototype, {\n\n  /**\n   * @param {ReactText} text\n   * @internal\n   */\n  construct: function (text) {\n    // TODO: This is really a ReactText (ReactNode), not a ReactElement\n    this._currentElement = text;\n    this._stringText = '' + text;\n\n    // Properties\n    this._rootNodeID = null;\n    this._mountIndex = 0;\n  },\n\n  /**\n   * Creates the markup for this text node. This node is not intended to have\n   * any features besides containing text content.\n   *\n   * @param {string} rootID DOM ID of the root node.\n   * @param {ReactReconcileTransaction|ReactServerRenderingTransaction} transaction\n   * @return {string} Markup for this text node.\n   * @internal\n   */\n  mountComponent: function (rootID, transaction, context) {\n    if (\"development\" !== 'production') {\n      if (context[validateDOMNesting.ancestorInfoContextKey]) {\n        validateDOMNesting('span', null, context[validateDOMNesting.ancestorInfoContextKey]);\n      }\n    }\n\n    this._rootNodeID = rootID;\n    if (transaction.useCreateElement) {\n      var ownerDocument = context[ReactMount.ownerDocumentContextKey];\n      var el = ownerDocument.createElement('span');\n      DOMPropertyOperations.setAttributeForID(el, rootID);\n      // Populate node cache\n      ReactMount.getID(el);\n      setTextContent(el, this._stringText);\n      return el;\n    } else {\n      var escapedText = escapeTextContentForBrowser(this._stringText);\n\n      if (transaction.renderToStaticMarkup) {\n        // Normally we'd wrap this in a `span` for the reasons stated above, but\n        // since this is a situation where React won't take over (static pages),\n        // we can simply return the text as it is.\n        return escapedText;\n      }\n\n      return '<span ' + DOMPropertyOperations.createMarkupForID(rootID) + '>' + escapedText + '</span>';\n    }\n  },\n\n  /**\n   * Updates this component by updating the text content.\n   *\n   * @param {ReactText} nextText The next text content\n   * @param {ReactReconcileTransaction} transaction\n   * @internal\n   */\n  receiveComponent: function (nextText, transaction) {\n    if (nextText !== this._currentElement) {\n      this._currentElement = nextText;\n      var nextStringText = '' + nextText;\n      if (nextStringText !== this._stringText) {\n        // TODO: Save this as pending props and use performUpdateIfNecessary\n        // and/or updateComponent to do the actual update for consistency with\n        // other component types?\n        this._stringText = nextStringText;\n        var node = ReactMount.getNode(this._rootNodeID);\n        DOMChildrenOperations.updateTextContent(node, nextStringText);\n      }\n    }\n  },\n\n  unmountComponent: function () {\n    ReactComponentBrowserEnvironment.unmountIDFromEnvironment(this._rootNodeID);\n  }\n\n});\n\nmodule.exports = ReactDOMTextComponent;\n},{\"11\":11,\"121\":121,\"139\":139,\"144\":144,\"24\":24,\"35\":35,\"72\":72,\"9\":9}],52:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactDOMTextarea\n */\n\n'use strict';\n\nvar LinkedValueUtils = _dereq_(23);\nvar ReactDOMIDOperations = _dereq_(45);\nvar ReactUpdates = _dereq_(96);\n\nvar assign = _dereq_(24);\nvar invariant = _dereq_(161);\nvar warning = _dereq_(173);\n\nfunction forceUpdateIfMounted() {\n  if (this._rootNodeID) {\n    // DOM component is still mounted; update\n    ReactDOMTextarea.updateWrapper(this);\n  }\n}\n\n/**\n * Implements a <textarea> native component that allows setting `value`, and\n * `defaultValue`. This differs from the traditional DOM API because value is\n * usually set as PCDATA children.\n *\n * If `value` is not supplied (or null/undefined), user actions that affect the\n * value will trigger updates to the element.\n *\n * If `value` is supplied (and not null/undefined), the rendered element will\n * not trigger updates to the element. Instead, the `value` prop must change in\n * order for the rendered element to be updated.\n *\n * The rendered element will be initialized with an empty value, the prop\n * `defaultValue` if specified, or the children content (deprecated).\n */\nvar ReactDOMTextarea = {\n  getNativeProps: function (inst, props, context) {\n    !(props.dangerouslySetInnerHTML == null) ? \"development\" !== 'production' ? invariant(false, '`dangerouslySetInnerHTML` does not make sense on <textarea>.') : invariant(false) : undefined;\n\n    // Always set children to the same thing. In IE9, the selection range will\n    // get reset if `textContent` is mutated.\n    var nativeProps = assign({}, props, {\n      defaultValue: undefined,\n      value: undefined,\n      children: inst._wrapperState.initialValue,\n      onChange: inst._wrapperState.onChange\n    });\n\n    return nativeProps;\n  },\n\n  mountWrapper: function (inst, props) {\n    if (\"development\" !== 'production') {\n      LinkedValueUtils.checkPropTypes('textarea', props, inst._currentElement._owner);\n    }\n\n    var defaultValue = props.defaultValue;\n    // TODO (yungsters): Remove support for children content in <textarea>.\n    var children = props.children;\n    if (children != null) {\n      if (\"development\" !== 'production') {\n        \"development\" !== 'production' ? warning(false, 'Use the `defaultValue` or `value` props instead of setting ' + 'children on <textarea>.') : undefined;\n      }\n      !(defaultValue == null) ? \"development\" !== 'production' ? invariant(false, 'If you supply `defaultValue` on a <textarea>, do not pass children.') : invariant(false) : undefined;\n      if (Array.isArray(children)) {\n        !(children.length <= 1) ? \"development\" !== 'production' ? invariant(false, '<textarea> can only have at most one child.') : invariant(false) : undefined;\n        children = children[0];\n      }\n\n      defaultValue = '' + children;\n    }\n    if (defaultValue == null) {\n      defaultValue = '';\n    }\n    var value = LinkedValueUtils.getValue(props);\n\n    inst._wrapperState = {\n      // We save the initial value so that `ReactDOMComponent` doesn't update\n      // `textContent` (unnecessary since we update value).\n      // The initial value can be a boolean or object so that's why it's\n      // forced to be a string.\n      initialValue: '' + (value != null ? value : defaultValue),\n      onChange: _handleChange.bind(inst)\n    };\n  },\n\n  updateWrapper: function (inst) {\n    var props = inst._currentElement.props;\n    var value = LinkedValueUtils.getValue(props);\n    if (value != null) {\n      // Cast `value` to a string to ensure the value is set correctly. While\n      // browsers typically do this as necessary, jsdom doesn't.\n      ReactDOMIDOperations.updatePropertyByID(inst._rootNodeID, 'value', '' + value);\n    }\n  }\n};\n\nfunction _handleChange(event) {\n  var props = this._currentElement.props;\n  var returnValue = LinkedValueUtils.executeOnChange(props, event);\n  ReactUpdates.asap(forceUpdateIfMounted, this);\n  return returnValue;\n}\n\nmodule.exports = ReactDOMTextarea;\n},{\"161\":161,\"173\":173,\"23\":23,\"24\":24,\"45\":45,\"96\":96}],53:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactDefaultBatchingStrategy\n */\n\n'use strict';\n\nvar ReactUpdates = _dereq_(96);\nvar Transaction = _dereq_(113);\n\nvar assign = _dereq_(24);\nvar emptyFunction = _dereq_(153);\n\nvar RESET_BATCHED_UPDATES = {\n  initialize: emptyFunction,\n  close: function () {\n    ReactDefaultBatchingStrategy.isBatchingUpdates = false;\n  }\n};\n\nvar FLUSH_BATCHED_UPDATES = {\n  initialize: emptyFunction,\n  close: ReactUpdates.flushBatchedUpdates.bind(ReactUpdates)\n};\n\nvar TRANSACTION_WRAPPERS = [FLUSH_BATCHED_UPDATES, RESET_BATCHED_UPDATES];\n\nfunction ReactDefaultBatchingStrategyTransaction() {\n  this.reinitializeTransaction();\n}\n\nassign(ReactDefaultBatchingStrategyTransaction.prototype, Transaction.Mixin, {\n  getTransactionWrappers: function () {\n    return TRANSACTION_WRAPPERS;\n  }\n});\n\nvar transaction = new ReactDefaultBatchingStrategyTransaction();\n\nvar ReactDefaultBatchingStrategy = {\n  isBatchingUpdates: false,\n\n  /**\n   * Call the provided function in a context within which calls to `setState`\n   * and friends are batched such that components aren't updated unnecessarily.\n   */\n  batchedUpdates: function (callback, a, b, c, d, e) {\n    var alreadyBatchingUpdates = ReactDefaultBatchingStrategy.isBatchingUpdates;\n\n    ReactDefaultBatchingStrategy.isBatchingUpdates = true;\n\n    // The code is written this way to avoid extra allocations\n    if (alreadyBatchingUpdates) {\n      callback(a, b, c, d, e);\n    } else {\n      transaction.perform(callback, null, a, b, c, d, e);\n    }\n  }\n};\n\nmodule.exports = ReactDefaultBatchingStrategy;\n},{\"113\":113,\"153\":153,\"24\":24,\"96\":96}],54:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactDefaultInjection\n */\n\n'use strict';\n\nvar BeforeInputEventPlugin = _dereq_(3);\nvar ChangeEventPlugin = _dereq_(7);\nvar ClientReactRootIndex = _dereq_(8);\nvar DefaultEventPluginOrder = _dereq_(13);\nvar EnterLeaveEventPlugin = _dereq_(14);\nvar ExecutionEnvironment = _dereq_(147);\nvar HTMLDOMPropertyConfig = _dereq_(21);\nvar ReactBrowserComponentMixin = _dereq_(27);\nvar ReactComponentBrowserEnvironment = _dereq_(35);\nvar ReactDefaultBatchingStrategy = _dereq_(53);\nvar ReactDOMComponent = _dereq_(42);\nvar ReactDOMTextComponent = _dereq_(51);\nvar ReactEventListener = _dereq_(63);\nvar ReactInjection = _dereq_(65);\nvar ReactInstanceHandles = _dereq_(67);\nvar ReactMount = _dereq_(72);\nvar ReactReconcileTransaction = _dereq_(83);\nvar SelectEventPlugin = _dereq_(99);\nvar ServerReactRootIndex = _dereq_(100);\nvar SimpleEventPlugin = _dereq_(101);\nvar SVGDOMPropertyConfig = _dereq_(98);\n\nvar alreadyInjected = false;\n\nfunction inject() {\n  if (alreadyInjected) {\n    // TODO: This is currently true because these injections are shared between\n    // the client and the server package. They should be built independently\n    // and not share any injection state. Then this problem will be solved.\n    return;\n  }\n  alreadyInjected = true;\n\n  ReactInjection.EventEmitter.injectReactEventListener(ReactEventListener);\n\n  /**\n   * Inject modules for resolving DOM hierarchy and plugin ordering.\n   */\n  ReactInjection.EventPluginHub.injectEventPluginOrder(DefaultEventPluginOrder);\n  ReactInjection.EventPluginHub.injectInstanceHandle(ReactInstanceHandles);\n  ReactInjection.EventPluginHub.injectMount(ReactMount);\n\n  /**\n   * Some important event plugins included by default (without having to require\n   * them).\n   */\n  ReactInjection.EventPluginHub.injectEventPluginsByName({\n    SimpleEventPlugin: SimpleEventPlugin,\n    EnterLeaveEventPlugin: EnterLeaveEventPlugin,\n    ChangeEventPlugin: ChangeEventPlugin,\n    SelectEventPlugin: SelectEventPlugin,\n    BeforeInputEventPlugin: BeforeInputEventPlugin\n  });\n\n  ReactInjection.NativeComponent.injectGenericComponentClass(ReactDOMComponent);\n\n  ReactInjection.NativeComponent.injectTextComponentClass(ReactDOMTextComponent);\n\n  ReactInjection.Class.injectMixin(ReactBrowserComponentMixin);\n\n  ReactInjection.DOMProperty.injectDOMPropertyConfig(HTMLDOMPropertyConfig);\n  ReactInjection.DOMProperty.injectDOMPropertyConfig(SVGDOMPropertyConfig);\n\n  ReactInjection.EmptyComponent.injectEmptyComponent('noscript');\n\n  ReactInjection.Updates.injectReconcileTransaction(ReactReconcileTransaction);\n  ReactInjection.Updates.injectBatchingStrategy(ReactDefaultBatchingStrategy);\n\n  ReactInjection.RootIndex.injectCreateReactRootIndex(ExecutionEnvironment.canUseDOM ? ClientReactRootIndex.createReactRootIndex : ServerReactRootIndex.createReactRootIndex);\n\n  ReactInjection.Component.injectEnvironment(ReactComponentBrowserEnvironment);\n\n  if (\"development\" !== 'production') {\n    var url = ExecutionEnvironment.canUseDOM && window.location.href || '';\n    if (/[?&]react_perf\\b/.test(url)) {\n      var ReactDefaultPerf = _dereq_(55);\n      ReactDefaultPerf.start();\n    }\n  }\n}\n\nmodule.exports = {\n  inject: inject\n};\n},{\"100\":100,\"101\":101,\"13\":13,\"14\":14,\"147\":147,\"21\":21,\"27\":27,\"3\":3,\"35\":35,\"42\":42,\"51\":51,\"53\":53,\"55\":55,\"63\":63,\"65\":65,\"67\":67,\"7\":7,\"72\":72,\"8\":8,\"83\":83,\"98\":98,\"99\":99}],55:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactDefaultPerf\n * @typechecks static-only\n */\n\n'use strict';\n\nvar DOMProperty = _dereq_(10);\nvar ReactDefaultPerfAnalysis = _dereq_(56);\nvar ReactMount = _dereq_(72);\nvar ReactPerf = _dereq_(78);\n\nvar performanceNow = _dereq_(170);\n\nfunction roundFloat(val) {\n  return Math.floor(val * 100) / 100;\n}\n\nfunction addValue(obj, key, val) {\n  obj[key] = (obj[key] || 0) + val;\n}\n\nvar ReactDefaultPerf = {\n  _allMeasurements: [], // last item in the list is the current one\n  _mountStack: [0],\n  _injected: false,\n\n  start: function () {\n    if (!ReactDefaultPerf._injected) {\n      ReactPerf.injection.injectMeasure(ReactDefaultPerf.measure);\n    }\n\n    ReactDefaultPerf._allMeasurements.length = 0;\n    ReactPerf.enableMeasure = true;\n  },\n\n  stop: function () {\n    ReactPerf.enableMeasure = false;\n  },\n\n  getLastMeasurements: function () {\n    return ReactDefaultPerf._allMeasurements;\n  },\n\n  printExclusive: function (measurements) {\n    measurements = measurements || ReactDefaultPerf._allMeasurements;\n    var summary = ReactDefaultPerfAnalysis.getExclusiveSummary(measurements);\n    console.table(summary.map(function (item) {\n      return {\n        'Component class name': item.componentName,\n        'Total inclusive time (ms)': roundFloat(item.inclusive),\n        'Exclusive mount time (ms)': roundFloat(item.exclusive),\n        'Exclusive render time (ms)': roundFloat(item.render),\n        'Mount time per instance (ms)': roundFloat(item.exclusive / item.count),\n        'Render time per instance (ms)': roundFloat(item.render / item.count),\n        'Instances': item.count\n      };\n    }));\n    // TODO: ReactDefaultPerfAnalysis.getTotalTime() does not return the correct\n    // number.\n  },\n\n  printInclusive: function (measurements) {\n    measurements = measurements || ReactDefaultPerf._allMeasurements;\n    var summary = ReactDefaultPerfAnalysis.getInclusiveSummary(measurements);\n    console.table(summary.map(function (item) {\n      return {\n        'Owner > component': item.componentName,\n        'Inclusive time (ms)': roundFloat(item.time),\n        'Instances': item.count\n      };\n    }));\n    console.log('Total time:', ReactDefaultPerfAnalysis.getTotalTime(measurements).toFixed(2) + ' ms');\n  },\n\n  getMeasurementsSummaryMap: function (measurements) {\n    var summary = ReactDefaultPerfAnalysis.getInclusiveSummary(measurements, true);\n    return summary.map(function (item) {\n      return {\n        'Owner > component': item.componentName,\n        'Wasted time (ms)': item.time,\n        'Instances': item.count\n      };\n    });\n  },\n\n  printWasted: function (measurements) {\n    measurements = measurements || ReactDefaultPerf._allMeasurements;\n    console.table(ReactDefaultPerf.getMeasurementsSummaryMap(measurements));\n    console.log('Total time:', ReactDefaultPerfAnalysis.getTotalTime(measurements).toFixed(2) + ' ms');\n  },\n\n  printDOM: function (measurements) {\n    measurements = measurements || ReactDefaultPerf._allMeasurements;\n    var summary = ReactDefaultPerfAnalysis.getDOMSummary(measurements);\n    console.table(summary.map(function (item) {\n      var result = {};\n      result[DOMProperty.ID_ATTRIBUTE_NAME] = item.id;\n      result.type = item.type;\n      result.args = JSON.stringify(item.args);\n      return result;\n    }));\n    console.log('Total time:', ReactDefaultPerfAnalysis.getTotalTime(measurements).toFixed(2) + ' ms');\n  },\n\n  _recordWrite: function (id, fnName, totalTime, args) {\n    // TODO: totalTime isn't that useful since it doesn't count paints/reflows\n    var writes = ReactDefaultPerf._allMeasurements[ReactDefaultPerf._allMeasurements.length - 1].writes;\n    writes[id] = writes[id] || [];\n    writes[id].push({\n      type: fnName,\n      time: totalTime,\n      args: args\n    });\n  },\n\n  measure: function (moduleName, fnName, func) {\n    return function () {\n      for (var _len = arguments.length, args = Array(_len), _key = 0; _key < _len; _key++) {\n        args[_key] = arguments[_key];\n      }\n\n      var totalTime;\n      var rv;\n      var start;\n\n      if (fnName === '_renderNewRootComponent' || fnName === 'flushBatchedUpdates') {\n        // A \"measurement\" is a set of metrics recorded for each flush. We want\n        // to group the metrics for a given flush together so we can look at the\n        // components that rendered and the DOM operations that actually\n        // happened to determine the amount of \"wasted work\" performed.\n        ReactDefaultPerf._allMeasurements.push({\n          exclusive: {},\n          inclusive: {},\n          render: {},\n          counts: {},\n          writes: {},\n          displayNames: {},\n          totalTime: 0,\n          created: {}\n        });\n        start = performanceNow();\n        rv = func.apply(this, args);\n        ReactDefaultPerf._allMeasurements[ReactDefaultPerf._allMeasurements.length - 1].totalTime = performanceNow() - start;\n        return rv;\n      } else if (fnName === '_mountImageIntoNode' || moduleName === 'ReactBrowserEventEmitter' || moduleName === 'ReactDOMIDOperations' || moduleName === 'CSSPropertyOperations' || moduleName === 'DOMChildrenOperations' || moduleName === 'DOMPropertyOperations') {\n        start = performanceNow();\n        rv = func.apply(this, args);\n        totalTime = performanceNow() - start;\n\n        if (fnName === '_mountImageIntoNode') {\n          var mountID = ReactMount.getID(args[1]);\n          ReactDefaultPerf._recordWrite(mountID, fnName, totalTime, args[0]);\n        } else if (fnName === 'dangerouslyProcessChildrenUpdates') {\n          // special format\n          args[0].forEach(function (update) {\n            var writeArgs = {};\n            if (update.fromIndex !== null) {\n              writeArgs.fromIndex = update.fromIndex;\n            }\n            if (update.toIndex !== null) {\n              writeArgs.toIndex = update.toIndex;\n            }\n            if (update.textContent !== null) {\n              writeArgs.textContent = update.textContent;\n            }\n            if (update.markupIndex !== null) {\n              writeArgs.markup = args[1][update.markupIndex];\n            }\n            ReactDefaultPerf._recordWrite(update.parentID, update.type, totalTime, writeArgs);\n          });\n        } else {\n          // basic format\n          var id = args[0];\n          if (typeof id === 'object') {\n            id = ReactMount.getID(args[0]);\n          }\n          ReactDefaultPerf._recordWrite(id, fnName, totalTime, Array.prototype.slice.call(args, 1));\n        }\n        return rv;\n      } else if (moduleName === 'ReactCompositeComponent' && (fnName === 'mountComponent' || fnName === 'updateComponent' || // TODO: receiveComponent()?\n      fnName === '_renderValidatedComponent')) {\n\n        if (this._currentElement.type === ReactMount.TopLevelWrapper) {\n          return func.apply(this, args);\n        }\n\n        var rootNodeID = fnName === 'mountComponent' ? args[0] : this._rootNodeID;\n        var isRender = fnName === '_renderValidatedComponent';\n        var isMount = fnName === 'mountComponent';\n\n        var mountStack = ReactDefaultPerf._mountStack;\n        var entry = ReactDefaultPerf._allMeasurements[ReactDefaultPerf._allMeasurements.length - 1];\n\n        if (isRender) {\n          addValue(entry.counts, rootNodeID, 1);\n        } else if (isMount) {\n          entry.created[rootNodeID] = true;\n          mountStack.push(0);\n        }\n\n        start = performanceNow();\n        rv = func.apply(this, args);\n        totalTime = performanceNow() - start;\n\n        if (isRender) {\n          addValue(entry.render, rootNodeID, totalTime);\n        } else if (isMount) {\n          var subMountTime = mountStack.pop();\n          mountStack[mountStack.length - 1] += totalTime;\n          addValue(entry.exclusive, rootNodeID, totalTime - subMountTime);\n          addValue(entry.inclusive, rootNodeID, totalTime);\n        } else {\n          addValue(entry.inclusive, rootNodeID, totalTime);\n        }\n\n        entry.displayNames[rootNodeID] = {\n          current: this.getName(),\n          owner: this._currentElement._owner ? this._currentElement._owner.getName() : '<root>'\n        };\n\n        return rv;\n      } else {\n        return func.apply(this, args);\n      }\n    };\n  }\n};\n\nmodule.exports = ReactDefaultPerf;\n},{\"10\":10,\"170\":170,\"56\":56,\"72\":72,\"78\":78}],56:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactDefaultPerfAnalysis\n */\n\n'use strict';\n\nvar assign = _dereq_(24);\n\n// Don't try to save users less than 1.2ms (a number I made up)\nvar DONT_CARE_THRESHOLD = 1.2;\nvar DOM_OPERATION_TYPES = {\n  '_mountImageIntoNode': 'set innerHTML',\n  INSERT_MARKUP: 'set innerHTML',\n  MOVE_EXISTING: 'move',\n  REMOVE_NODE: 'remove',\n  SET_MARKUP: 'set innerHTML',\n  TEXT_CONTENT: 'set textContent',\n  'setValueForProperty': 'update attribute',\n  'setValueForAttribute': 'update attribute',\n  'deleteValueForProperty': 'remove attribute',\n  'setValueForStyles': 'update styles',\n  'replaceNodeWithMarkup': 'replace',\n  'updateTextContent': 'set textContent'\n};\n\nfunction getTotalTime(measurements) {\n  // TODO: return number of DOM ops? could be misleading.\n  // TODO: measure dropped frames after reconcile?\n  // TODO: log total time of each reconcile and the top-level component\n  // class that triggered it.\n  var totalTime = 0;\n  for (var i = 0; i < measurements.length; i++) {\n    var measurement = measurements[i];\n    totalTime += measurement.totalTime;\n  }\n  return totalTime;\n}\n\nfunction getDOMSummary(measurements) {\n  var items = [];\n  measurements.forEach(function (measurement) {\n    Object.keys(measurement.writes).forEach(function (id) {\n      measurement.writes[id].forEach(function (write) {\n        items.push({\n          id: id,\n          type: DOM_OPERATION_TYPES[write.type] || write.type,\n          args: write.args\n        });\n      });\n    });\n  });\n  return items;\n}\n\nfunction getExclusiveSummary(measurements) {\n  var candidates = {};\n  var displayName;\n\n  for (var i = 0; i < measurements.length; i++) {\n    var measurement = measurements[i];\n    var allIDs = assign({}, measurement.exclusive, measurement.inclusive);\n\n    for (var id in allIDs) {\n      displayName = measurement.displayNames[id].current;\n\n      candidates[displayName] = candidates[displayName] || {\n        componentName: displayName,\n        inclusive: 0,\n        exclusive: 0,\n        render: 0,\n        count: 0\n      };\n      if (measurement.render[id]) {\n        candidates[displayName].render += measurement.render[id];\n      }\n      if (measurement.exclusive[id]) {\n        candidates[displayName].exclusive += measurement.exclusive[id];\n      }\n      if (measurement.inclusive[id]) {\n        candidates[displayName].inclusive += measurement.inclusive[id];\n      }\n      if (measurement.counts[id]) {\n        candidates[displayName].count += measurement.counts[id];\n      }\n    }\n  }\n\n  // Now make a sorted array with the results.\n  var arr = [];\n  for (displayName in candidates) {\n    if (candidates[displayName].exclusive >= DONT_CARE_THRESHOLD) {\n      arr.push(candidates[displayName]);\n    }\n  }\n\n  arr.sort(function (a, b) {\n    return b.exclusive - a.exclusive;\n  });\n\n  return arr;\n}\n\nfunction getInclusiveSummary(measurements, onlyClean) {\n  var candidates = {};\n  var inclusiveKey;\n\n  for (var i = 0; i < measurements.length; i++) {\n    var measurement = measurements[i];\n    var allIDs = assign({}, measurement.exclusive, measurement.inclusive);\n    var cleanComponents;\n\n    if (onlyClean) {\n      cleanComponents = getUnchangedComponents(measurement);\n    }\n\n    for (var id in allIDs) {\n      if (onlyClean && !cleanComponents[id]) {\n        continue;\n      }\n\n      var displayName = measurement.displayNames[id];\n\n      // Inclusive time is not useful for many components without knowing where\n      // they are instantiated. So we aggregate inclusive time with both the\n      // owner and current displayName as the key.\n      inclusiveKey = displayName.owner + ' > ' + displayName.current;\n\n      candidates[inclusiveKey] = candidates[inclusiveKey] || {\n        componentName: inclusiveKey,\n        time: 0,\n        count: 0\n      };\n\n      if (measurement.inclusive[id]) {\n        candidates[inclusiveKey].time += measurement.inclusive[id];\n      }\n      if (measurement.counts[id]) {\n        candidates[inclusiveKey].count += measurement.counts[id];\n      }\n    }\n  }\n\n  // Now make a sorted array with the results.\n  var arr = [];\n  for (inclusiveKey in candidates) {\n    if (candidates[inclusiveKey].time >= DONT_CARE_THRESHOLD) {\n      arr.push(candidates[inclusiveKey]);\n    }\n  }\n\n  arr.sort(function (a, b) {\n    return b.time - a.time;\n  });\n\n  return arr;\n}\n\nfunction getUnchangedComponents(measurement) {\n  // For a given reconcile, look at which components did not actually\n  // render anything to the DOM and return a mapping of their ID to\n  // the amount of time it took to render the entire subtree.\n  var cleanComponents = {};\n  var dirtyLeafIDs = Object.keys(measurement.writes);\n  var allIDs = assign({}, measurement.exclusive, measurement.inclusive);\n\n  for (var id in allIDs) {\n    var isDirty = false;\n    // For each component that rendered, see if a component that triggered\n    // a DOM op is in its subtree.\n    for (var i = 0; i < dirtyLeafIDs.length; i++) {\n      if (dirtyLeafIDs[i].indexOf(id) === 0) {\n        isDirty = true;\n        break;\n      }\n    }\n    // check if component newly created\n    if (measurement.created[id]) {\n      isDirty = true;\n    }\n    if (!isDirty && measurement.counts[id] > 0) {\n      cleanComponents[id] = true;\n    }\n  }\n  return cleanComponents;\n}\n\nvar ReactDefaultPerfAnalysis = {\n  getExclusiveSummary: getExclusiveSummary,\n  getInclusiveSummary: getInclusiveSummary,\n  getDOMSummary: getDOMSummary,\n  getTotalTime: getTotalTime\n};\n\nmodule.exports = ReactDefaultPerfAnalysis;\n},{\"24\":24}],57:[function(_dereq_,module,exports){\n/**\n * Copyright 2014-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactElement\n */\n\n'use strict';\n\nvar ReactCurrentOwner = _dereq_(39);\n\nvar assign = _dereq_(24);\nvar canDefineProperty = _dereq_(117);\n\n// The Symbol used to tag the ReactElement type. If there is no native Symbol\n// nor polyfill, then a plain number is used for performance.\nvar REACT_ELEMENT_TYPE = typeof Symbol === 'function' && Symbol['for'] && Symbol['for']('react.element') || 0xeac7;\n\nvar RESERVED_PROPS = {\n  key: true,\n  ref: true,\n  __self: true,\n  __source: true\n};\n\n/**\n * Base constructor for all React elements. This is only used to make this\n * work with a dynamic instanceof check. Nothing should live on this prototype.\n *\n * @param {*} type\n * @param {*} key\n * @param {string|object} ref\n * @param {*} self A *temporary* helper to detect places where `this` is\n * different from the `owner` when React.createElement is called, so that we\n * can warn. We want to get rid of owner and replace string `ref`s with arrow\n * functions, and as long as `this` and owner are the same, there will be no\n * change in behavior.\n * @param {*} source An annotation object (added by a transpiler or otherwise)\n * indicating filename, line number, and/or other information.\n * @param {*} owner\n * @param {*} props\n * @internal\n */\nvar ReactElement = function (type, key, ref, self, source, owner, props) {\n  var element = {\n    // This tag allow us to uniquely identify this as a React Element\n    $$typeof: REACT_ELEMENT_TYPE,\n\n    // Built-in properties that belong on the element\n    type: type,\n    key: key,\n    ref: ref,\n    props: props,\n\n    // Record the component responsible for creating this element.\n    _owner: owner\n  };\n\n  if (\"development\" !== 'production') {\n    // The validation flag is currently mutative. We put it on\n    // an external backing store so that we can freeze the whole object.\n    // This can be replaced with a WeakMap once they are implemented in\n    // commonly used development environments.\n    element._store = {};\n\n    // To make comparing ReactElements easier for testing purposes, we make\n    // the validation flag non-enumerable (where possible, which should\n    // include every environment we run tests in), so the test framework\n    // ignores it.\n    if (canDefineProperty) {\n      Object.defineProperty(element._store, 'validated', {\n        configurable: false,\n        enumerable: false,\n        writable: true,\n        value: false\n      });\n      // self and source are DEV only properties.\n      Object.defineProperty(element, '_self', {\n        configurable: false,\n        enumerable: false,\n        writable: false,\n        value: self\n      });\n      // Two elements created in two different places should be considered\n      // equal for testing purposes and therefore we hide it from enumeration.\n      Object.defineProperty(element, '_source', {\n        configurable: false,\n        enumerable: false,\n        writable: false,\n        value: source\n      });\n    } else {\n      element._store.validated = false;\n      element._self = self;\n      element._source = source;\n    }\n    Object.freeze(element.props);\n    Object.freeze(element);\n  }\n\n  return element;\n};\n\nReactElement.createElement = function (type, config, children) {\n  var propName;\n\n  // Reserved names are extracted\n  var props = {};\n\n  var key = null;\n  var ref = null;\n  var self = null;\n  var source = null;\n\n  if (config != null) {\n    ref = config.ref === undefined ? null : config.ref;\n    key = config.key === undefined ? null : '' + config.key;\n    self = config.__self === undefined ? null : config.__self;\n    source = config.__source === undefined ? null : config.__source;\n    // Remaining properties are added to a new props object\n    for (propName in config) {\n      if (config.hasOwnProperty(propName) && !RESERVED_PROPS.hasOwnProperty(propName)) {\n        props[propName] = config[propName];\n      }\n    }\n  }\n\n  // Children can be more than one argument, and those are transferred onto\n  // the newly allocated props object.\n  var childrenLength = arguments.length - 2;\n  if (childrenLength === 1) {\n    props.children = children;\n  } else if (childrenLength > 1) {\n    var childArray = Array(childrenLength);\n    for (var i = 0; i < childrenLength; i++) {\n      childArray[i] = arguments[i + 2];\n    }\n    props.children = childArray;\n  }\n\n  // Resolve default props\n  if (type && type.defaultProps) {\n    var defaultProps = type.defaultProps;\n    for (propName in defaultProps) {\n      if (typeof props[propName] === 'undefined') {\n        props[propName] = defaultProps[propName];\n      }\n    }\n  }\n\n  return ReactElement(type, key, ref, self, source, ReactCurrentOwner.current, props);\n};\n\nReactElement.createFactory = function (type) {\n  var factory = ReactElement.createElement.bind(null, type);\n  // Expose the type on the factory and the prototype so that it can be\n  // easily accessed on elements. E.g. `<Foo />.type === Foo`.\n  // This should not be named `constructor` since this may not be the function\n  // that created the element, and it may not even be a constructor.\n  // Legacy hook TODO: Warn if this is accessed\n  factory.type = type;\n  return factory;\n};\n\nReactElement.cloneAndReplaceKey = function (oldElement, newKey) {\n  var newElement = ReactElement(oldElement.type, newKey, oldElement.ref, oldElement._self, oldElement._source, oldElement._owner, oldElement.props);\n\n  return newElement;\n};\n\nReactElement.cloneAndReplaceProps = function (oldElement, newProps) {\n  var newElement = ReactElement(oldElement.type, oldElement.key, oldElement.ref, oldElement._self, oldElement._source, oldElement._owner, newProps);\n\n  if (\"development\" !== 'production') {\n    // If the key on the original is valid, then the clone is valid\n    newElement._store.validated = oldElement._store.validated;\n  }\n\n  return newElement;\n};\n\nReactElement.cloneElement = function (element, config, children) {\n  var propName;\n\n  // Original props are copied\n  var props = assign({}, element.props);\n\n  // Reserved names are extracted\n  var key = element.key;\n  var ref = element.ref;\n  // Self is preserved since the owner is preserved.\n  var self = element._self;\n  // Source is preserved since cloneElement is unlikely to be targeted by a\n  // transpiler, and the original source is probably a better indicator of the\n  // true owner.\n  var source = element._source;\n\n  // Owner will be preserved, unless ref is overridden\n  var owner = element._owner;\n\n  if (config != null) {\n    if (config.ref !== undefined) {\n      // Silently steal the ref from the parent.\n      ref = config.ref;\n      owner = ReactCurrentOwner.current;\n    }\n    if (config.key !== undefined) {\n      key = '' + config.key;\n    }\n    // Remaining properties override existing props\n    for (propName in config) {\n      if (config.hasOwnProperty(propName) && !RESERVED_PROPS.hasOwnProperty(propName)) {\n        props[propName] = config[propName];\n      }\n    }\n  }\n\n  // Children can be more than one argument, and those are transferred onto\n  // the newly allocated props object.\n  var childrenLength = arguments.length - 2;\n  if (childrenLength === 1) {\n    props.children = children;\n  } else if (childrenLength > 1) {\n    var childArray = Array(childrenLength);\n    for (var i = 0; i < childrenLength; i++) {\n      childArray[i] = arguments[i + 2];\n    }\n    props.children = childArray;\n  }\n\n  return ReactElement(element.type, key, ref, self, source, owner, props);\n};\n\n/**\n * @param {?object} object\n * @return {boolean} True if `object` is a valid component.\n * @final\n */\nReactElement.isValidElement = function (object) {\n  return typeof object === 'object' && object !== null && object.$$typeof === REACT_ELEMENT_TYPE;\n};\n\nmodule.exports = ReactElement;\n},{\"117\":117,\"24\":24,\"39\":39}],58:[function(_dereq_,module,exports){\n/**\n * Copyright 2014-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactElementValidator\n */\n\n/**\n * ReactElementValidator provides a wrapper around a element factory\n * which validates the props passed to the element. This is intended to be\n * used only in DEV and could be replaced by a static type checker for languages\n * that support it.\n */\n\n'use strict';\n\nvar ReactElement = _dereq_(57);\nvar ReactPropTypeLocations = _dereq_(81);\nvar ReactPropTypeLocationNames = _dereq_(80);\nvar ReactCurrentOwner = _dereq_(39);\n\nvar canDefineProperty = _dereq_(117);\nvar getIteratorFn = _dereq_(129);\nvar invariant = _dereq_(161);\nvar warning = _dereq_(173);\n\nfunction getDeclarationErrorAddendum() {\n  if (ReactCurrentOwner.current) {\n    var name = ReactCurrentOwner.current.getName();\n    if (name) {\n      return ' Check the render method of `' + name + '`.';\n    }\n  }\n  return '';\n}\n\n/**\n * Warn if there's no key explicitly set on dynamic arrays of children or\n * object keys are not valid. This allows us to keep track of children between\n * updates.\n */\nvar ownerHasKeyUseWarning = {};\n\nvar loggedTypeFailures = {};\n\n/**\n * Warn if the element doesn't have an explicit key assigned to it.\n * This element is in an array. The array could grow and shrink or be\n * reordered. All children that haven't already been validated are required to\n * have a \"key\" property assigned to it.\n *\n * @internal\n * @param {ReactElement} element Element that requires a key.\n * @param {*} parentType element's parent's type.\n */\nfunction validateExplicitKey(element, parentType) {\n  if (!element._store || element._store.validated || element.key != null) {\n    return;\n  }\n  element._store.validated = true;\n\n  var addenda = getAddendaForKeyUse('uniqueKey', element, parentType);\n  if (addenda === null) {\n    // we already showed the warning\n    return;\n  }\n  \"development\" !== 'production' ? warning(false, 'Each child in an array or iterator should have a unique \"key\" prop.' + '%s%s%s', addenda.parentOrOwner || '', addenda.childOwner || '', addenda.url || '') : undefined;\n}\n\n/**\n * Shared warning and monitoring code for the key warnings.\n *\n * @internal\n * @param {string} messageType A key used for de-duping warnings.\n * @param {ReactElement} element Component that requires a key.\n * @param {*} parentType element's parent's type.\n * @returns {?object} A set of addenda to use in the warning message, or null\n * if the warning has already been shown before (and shouldn't be shown again).\n */\nfunction getAddendaForKeyUse(messageType, element, parentType) {\n  var addendum = getDeclarationErrorAddendum();\n  if (!addendum) {\n    var parentName = typeof parentType === 'string' ? parentType : parentType.displayName || parentType.name;\n    if (parentName) {\n      addendum = ' Check the top-level render call using <' + parentName + '>.';\n    }\n  }\n\n  var memoizer = ownerHasKeyUseWarning[messageType] || (ownerHasKeyUseWarning[messageType] = {});\n  if (memoizer[addendum]) {\n    return null;\n  }\n  memoizer[addendum] = true;\n\n  var addenda = {\n    parentOrOwner: addendum,\n    url: ' See https://fb.me/react-warning-keys for more information.',\n    childOwner: null\n  };\n\n  // Usually the current owner is the offender, but if it accepts children as a\n  // property, it may be the creator of the child that's responsible for\n  // assigning it a key.\n  if (element && element._owner && element._owner !== ReactCurrentOwner.current) {\n    // Give the component that originally created this child.\n    addenda.childOwner = ' It was passed a child from ' + element._owner.getName() + '.';\n  }\n\n  return addenda;\n}\n\n/**\n * Ensure that every element either is passed in a static location, in an\n * array with an explicit keys property defined, or in an object literal\n * with valid key property.\n *\n * @internal\n * @param {ReactNode} node Statically passed child of any type.\n * @param {*} parentType node's parent's type.\n */\nfunction validateChildKeys(node, parentType) {\n  if (typeof node !== 'object') {\n    return;\n  }\n  if (Array.isArray(node)) {\n    for (var i = 0; i < node.length; i++) {\n      var child = node[i];\n      if (ReactElement.isValidElement(child)) {\n        validateExplicitKey(child, parentType);\n      }\n    }\n  } else if (ReactElement.isValidElement(node)) {\n    // This element was passed in a valid location.\n    if (node._store) {\n      node._store.validated = true;\n    }\n  } else if (node) {\n    var iteratorFn = getIteratorFn(node);\n    // Entry iterators provide implicit keys.\n    if (iteratorFn) {\n      if (iteratorFn !== node.entries) {\n        var iterator = iteratorFn.call(node);\n        var step;\n        while (!(step = iterator.next()).done) {\n          if (ReactElement.isValidElement(step.value)) {\n            validateExplicitKey(step.value, parentType);\n          }\n        }\n      }\n    }\n  }\n}\n\n/**\n * Assert that the props are valid\n *\n * @param {string} componentName Name of the component for error messages.\n * @param {object} propTypes Map of prop name to a ReactPropType\n * @param {object} props\n * @param {string} location e.g. \"prop\", \"context\", \"child context\"\n * @private\n */\nfunction checkPropTypes(componentName, propTypes, props, location) {\n  for (var propName in propTypes) {\n    if (propTypes.hasOwnProperty(propName)) {\n      var error;\n      // Prop type validation may throw. In case they do, we don't want to\n      // fail the render phase where it didn't fail before. So we log it.\n      // After these have been cleaned up, we'll let them throw.\n      try {\n        // This is intentionally an invariant that gets caught. It's the same\n        // behavior as without this statement except with a better message.\n        !(typeof propTypes[propName] === 'function') ? \"development\" !== 'production' ? invariant(false, '%s: %s type `%s` is invalid; it must be a function, usually from ' + 'React.PropTypes.', componentName || 'React class', ReactPropTypeLocationNames[location], propName) : invariant(false) : undefined;\n        error = propTypes[propName](props, propName, componentName, location);\n      } catch (ex) {\n        error = ex;\n      }\n      \"development\" !== 'production' ? warning(!error || error instanceof Error, '%s: type specification of %s `%s` is invalid; the type checker ' + 'function must return `null` or an `Error` but returned a %s. ' + 'You may have forgotten to pass an argument to the type checker ' + 'creator (arrayOf, instanceOf, objectOf, oneOf, oneOfType, and ' + 'shape all require an argument).', componentName || 'React class', ReactPropTypeLocationNames[location], propName, typeof error) : undefined;\n      if (error instanceof Error && !(error.message in loggedTypeFailures)) {\n        // Only monitor this failure once because there tends to be a lot of the\n        // same error.\n        loggedTypeFailures[error.message] = true;\n\n        var addendum = getDeclarationErrorAddendum();\n        \"development\" !== 'production' ? warning(false, 'Failed propType: %s%s', error.message, addendum) : undefined;\n      }\n    }\n  }\n}\n\n/**\n * Given an element, validate that its props follow the propTypes definition,\n * provided by the type.\n *\n * @param {ReactElement} element\n */\nfunction validatePropTypes(element) {\n  var componentClass = element.type;\n  if (typeof componentClass !== 'function') {\n    return;\n  }\n  var name = componentClass.displayName || componentClass.name;\n  if (componentClass.propTypes) {\n    checkPropTypes(name, componentClass.propTypes, element.props, ReactPropTypeLocations.prop);\n  }\n  if (typeof componentClass.getDefaultProps === 'function') {\n    \"development\" !== 'production' ? warning(componentClass.getDefaultProps.isReactClassApproved, 'getDefaultProps is only used on classic React.createClass ' + 'definitions. Use a static property named `defaultProps` instead.') : undefined;\n  }\n}\n\nvar ReactElementValidator = {\n\n  createElement: function (type, props, children) {\n    var validType = typeof type === 'string' || typeof type === 'function';\n    // We warn in this case but don't throw. We expect the element creation to\n    // succeed and there will likely be errors in render.\n    \"development\" !== 'production' ? warning(validType, 'React.createElement: type should not be null, undefined, boolean, or ' + 'number. It should be a string (for DOM elements) or a ReactClass ' + '(for composite components).%s', getDeclarationErrorAddendum()) : undefined;\n\n    var element = ReactElement.createElement.apply(this, arguments);\n\n    // The result can be nullish if a mock or a custom function is used.\n    // TODO: Drop this when these are no longer allowed as the type argument.\n    if (element == null) {\n      return element;\n    }\n\n    // Skip key warning if the type isn't valid since our key validation logic\n    // doesn't expect a non-string/function type and can throw confusing errors.\n    // We don't want exception behavior to differ between dev and prod.\n    // (Rendering will throw with a helpful message and as soon as the type is\n    // fixed, the key warnings will appear.)\n    if (validType) {\n      for (var i = 2; i < arguments.length; i++) {\n        validateChildKeys(arguments[i], type);\n      }\n    }\n\n    validatePropTypes(element);\n\n    return element;\n  },\n\n  createFactory: function (type) {\n    var validatedFactory = ReactElementValidator.createElement.bind(null, type);\n    // Legacy hook TODO: Warn if this is accessed\n    validatedFactory.type = type;\n\n    if (\"development\" !== 'production') {\n      if (canDefineProperty) {\n        Object.defineProperty(validatedFactory, 'type', {\n          enumerable: false,\n          get: function () {\n            \"development\" !== 'production' ? warning(false, 'Factory.type is deprecated. Access the class directly ' + 'before passing it to createFactory.') : undefined;\n            Object.defineProperty(this, 'type', {\n              value: type\n            });\n            return type;\n          }\n        });\n      }\n    }\n\n    return validatedFactory;\n  },\n\n  cloneElement: function (element, props, children) {\n    var newElement = ReactElement.cloneElement.apply(this, arguments);\n    for (var i = 2; i < arguments.length; i++) {\n      validateChildKeys(arguments[i], newElement.type);\n    }\n    validatePropTypes(newElement);\n    return newElement;\n  }\n\n};\n\nmodule.exports = ReactElementValidator;\n},{\"117\":117,\"129\":129,\"161\":161,\"173\":173,\"39\":39,\"57\":57,\"80\":80,\"81\":81}],59:[function(_dereq_,module,exports){\n/**\n * Copyright 2014-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactEmptyComponent\n */\n\n'use strict';\n\nvar ReactElement = _dereq_(57);\nvar ReactEmptyComponentRegistry = _dereq_(60);\nvar ReactReconciler = _dereq_(84);\n\nvar assign = _dereq_(24);\n\nvar placeholderElement;\n\nvar ReactEmptyComponentInjection = {\n  injectEmptyComponent: function (component) {\n    placeholderElement = ReactElement.createElement(component);\n  }\n};\n\nvar ReactEmptyComponent = function (instantiate) {\n  this._currentElement = null;\n  this._rootNodeID = null;\n  this._renderedComponent = instantiate(placeholderElement);\n};\nassign(ReactEmptyComponent.prototype, {\n  construct: function (element) {},\n  mountComponent: function (rootID, transaction, context) {\n    ReactEmptyComponentRegistry.registerNullComponentID(rootID);\n    this._rootNodeID = rootID;\n    return ReactReconciler.mountComponent(this._renderedComponent, rootID, transaction, context);\n  },\n  receiveComponent: function () {},\n  unmountComponent: function (rootID, transaction, context) {\n    ReactReconciler.unmountComponent(this._renderedComponent);\n    ReactEmptyComponentRegistry.deregisterNullComponentID(this._rootNodeID);\n    this._rootNodeID = null;\n    this._renderedComponent = null;\n  }\n});\n\nReactEmptyComponent.injection = ReactEmptyComponentInjection;\n\nmodule.exports = ReactEmptyComponent;\n},{\"24\":24,\"57\":57,\"60\":60,\"84\":84}],60:[function(_dereq_,module,exports){\n/**\n * Copyright 2014-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactEmptyComponentRegistry\n */\n\n'use strict';\n\n// This registry keeps track of the React IDs of the components that rendered to\n// `null` (in reality a placeholder such as `noscript`)\nvar nullComponentIDsRegistry = {};\n\n/**\n * @param {string} id Component's `_rootNodeID`.\n * @return {boolean} True if the component is rendered to null.\n */\nfunction isNullComponentID(id) {\n  return !!nullComponentIDsRegistry[id];\n}\n\n/**\n * Mark the component as having rendered to null.\n * @param {string} id Component's `_rootNodeID`.\n */\nfunction registerNullComponentID(id) {\n  nullComponentIDsRegistry[id] = true;\n}\n\n/**\n * Unmark the component as having rendered to null: it renders to something now.\n * @param {string} id Component's `_rootNodeID`.\n */\nfunction deregisterNullComponentID(id) {\n  delete nullComponentIDsRegistry[id];\n}\n\nvar ReactEmptyComponentRegistry = {\n  isNullComponentID: isNullComponentID,\n  registerNullComponentID: registerNullComponentID,\n  deregisterNullComponentID: deregisterNullComponentID\n};\n\nmodule.exports = ReactEmptyComponentRegistry;\n},{}],61:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactErrorUtils\n * @typechecks\n */\n\n'use strict';\n\nvar caughtError = null;\n\n/**\n * Call a function while guarding against errors that happens within it.\n *\n * @param {?String} name of the guard to use for logging or debugging\n * @param {Function} func The function to invoke\n * @param {*} a First argument\n * @param {*} b Second argument\n */\nfunction invokeGuardedCallback(name, func, a, b) {\n  try {\n    return func(a, b);\n  } catch (x) {\n    if (caughtError === null) {\n      caughtError = x;\n    }\n    return undefined;\n  }\n}\n\nvar ReactErrorUtils = {\n  invokeGuardedCallback: invokeGuardedCallback,\n\n  /**\n   * Invoked by ReactTestUtils.Simulate so that any errors thrown by the event\n   * handler are sure to be rethrown by rethrowCaughtError.\n   */\n  invokeGuardedCallbackWithCatch: invokeGuardedCallback,\n\n  /**\n   * During execution of guarded functions we will capture the first error which\n   * we will rethrow to be handled by the top level error handler.\n   */\n  rethrowCaughtError: function () {\n    if (caughtError) {\n      var error = caughtError;\n      caughtError = null;\n      throw error;\n    }\n  }\n};\n\nif (\"development\" !== 'production') {\n  /**\n   * To help development we can get better devtools integration by simulating a\n   * real browser event.\n   */\n  if (typeof window !== 'undefined' && typeof window.dispatchEvent === 'function' && typeof document !== 'undefined' && typeof document.createEvent === 'function') {\n    var fakeNode = document.createElement('react');\n    ReactErrorUtils.invokeGuardedCallback = function (name, func, a, b) {\n      var boundFunc = func.bind(null, a, b);\n      var evtType = 'react-' + name;\n      fakeNode.addEventListener(evtType, boundFunc, false);\n      var evt = document.createEvent('Event');\n      evt.initEvent(evtType, false, false);\n      fakeNode.dispatchEvent(evt);\n      fakeNode.removeEventListener(evtType, boundFunc, false);\n    };\n  }\n}\n\nmodule.exports = ReactErrorUtils;\n},{}],62:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactEventEmitterMixin\n */\n\n'use strict';\n\nvar EventPluginHub = _dereq_(16);\n\nfunction runEventQueueInBatch(events) {\n  EventPluginHub.enqueueEvents(events);\n  EventPluginHub.processEventQueue(false);\n}\n\nvar ReactEventEmitterMixin = {\n\n  /**\n   * Streams a fired top-level event to `EventPluginHub` where plugins have the\n   * opportunity to create `ReactEvent`s to be dispatched.\n   *\n   * @param {string} topLevelType Record from `EventConstants`.\n   * @param {object} topLevelTarget The listening component root node.\n   * @param {string} topLevelTargetID ID of `topLevelTarget`.\n   * @param {object} nativeEvent Native environment event.\n   */\n  handleTopLevel: function (topLevelType, topLevelTarget, topLevelTargetID, nativeEvent, nativeEventTarget) {\n    var events = EventPluginHub.extractEvents(topLevelType, topLevelTarget, topLevelTargetID, nativeEvent, nativeEventTarget);\n    runEventQueueInBatch(events);\n  }\n};\n\nmodule.exports = ReactEventEmitterMixin;\n},{\"16\":16}],63:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactEventListener\n * @typechecks static-only\n */\n\n'use strict';\n\nvar EventListener = _dereq_(146);\nvar ExecutionEnvironment = _dereq_(147);\nvar PooledClass = _dereq_(25);\nvar ReactInstanceHandles = _dereq_(67);\nvar ReactMount = _dereq_(72);\nvar ReactUpdates = _dereq_(96);\n\nvar assign = _dereq_(24);\nvar getEventTarget = _dereq_(128);\nvar getUnboundedScrollPosition = _dereq_(158);\n\nvar DOCUMENT_FRAGMENT_NODE_TYPE = 11;\n\n/**\n * Finds the parent React component of `node`.\n *\n * @param {*} node\n * @return {?DOMEventTarget} Parent container, or `null` if the specified node\n *                           is not nested.\n */\nfunction findParent(node) {\n  // TODO: It may be a good idea to cache this to prevent unnecessary DOM\n  // traversal, but caching is difficult to do correctly without using a\n  // mutation observer to listen for all DOM changes.\n  var nodeID = ReactMount.getID(node);\n  var rootID = ReactInstanceHandles.getReactRootIDFromNodeID(nodeID);\n  var container = ReactMount.findReactContainerForID(rootID);\n  var parent = ReactMount.getFirstReactDOM(container);\n  return parent;\n}\n\n// Used to store ancestor hierarchy in top level callback\nfunction TopLevelCallbackBookKeeping(topLevelType, nativeEvent) {\n  this.topLevelType = topLevelType;\n  this.nativeEvent = nativeEvent;\n  this.ancestors = [];\n}\nassign(TopLevelCallbackBookKeeping.prototype, {\n  destructor: function () {\n    this.topLevelType = null;\n    this.nativeEvent = null;\n    this.ancestors.length = 0;\n  }\n});\nPooledClass.addPoolingTo(TopLevelCallbackBookKeeping, PooledClass.twoArgumentPooler);\n\nfunction handleTopLevelImpl(bookKeeping) {\n  // TODO: Re-enable event.path handling\n  //\n  // if (bookKeeping.nativeEvent.path && bookKeeping.nativeEvent.path.length > 1) {\n  //   // New browsers have a path attribute on native events\n  //   handleTopLevelWithPath(bookKeeping);\n  // } else {\n  //   // Legacy browsers don't have a path attribute on native events\n  //   handleTopLevelWithoutPath(bookKeeping);\n  // }\n\n  void handleTopLevelWithPath; // temporarily unused\n  handleTopLevelWithoutPath(bookKeeping);\n}\n\n// Legacy browsers don't have a path attribute on native events\nfunction handleTopLevelWithoutPath(bookKeeping) {\n  var topLevelTarget = ReactMount.getFirstReactDOM(getEventTarget(bookKeeping.nativeEvent)) || window;\n\n  // Loop through the hierarchy, in case there's any nested components.\n  // It's important that we build the array of ancestors before calling any\n  // event handlers, because event handlers can modify the DOM, leading to\n  // inconsistencies with ReactMount's node cache. See #1105.\n  var ancestor = topLevelTarget;\n  while (ancestor) {\n    bookKeeping.ancestors.push(ancestor);\n    ancestor = findParent(ancestor);\n  }\n\n  for (var i = 0; i < bookKeeping.ancestors.length; i++) {\n    topLevelTarget = bookKeeping.ancestors[i];\n    var topLevelTargetID = ReactMount.getID(topLevelTarget) || '';\n    ReactEventListener._handleTopLevel(bookKeeping.topLevelType, topLevelTarget, topLevelTargetID, bookKeeping.nativeEvent, getEventTarget(bookKeeping.nativeEvent));\n  }\n}\n\n// New browsers have a path attribute on native events\nfunction handleTopLevelWithPath(bookKeeping) {\n  var path = bookKeeping.nativeEvent.path;\n  var currentNativeTarget = path[0];\n  var eventsFired = 0;\n  for (var i = 0; i < path.length; i++) {\n    var currentPathElement = path[i];\n    if (currentPathElement.nodeType === DOCUMENT_FRAGMENT_NODE_TYPE) {\n      currentNativeTarget = path[i + 1];\n    }\n    // TODO: slow\n    var reactParent = ReactMount.getFirstReactDOM(currentPathElement);\n    if (reactParent === currentPathElement) {\n      var currentPathElementID = ReactMount.getID(currentPathElement);\n      var newRootID = ReactInstanceHandles.getReactRootIDFromNodeID(currentPathElementID);\n      bookKeeping.ancestors.push(currentPathElement);\n\n      var topLevelTargetID = ReactMount.getID(currentPathElement) || '';\n      eventsFired++;\n      ReactEventListener._handleTopLevel(bookKeeping.topLevelType, currentPathElement, topLevelTargetID, bookKeeping.nativeEvent, currentNativeTarget);\n\n      // Jump to the root of this React render tree\n      while (currentPathElementID !== newRootID) {\n        i++;\n        currentPathElement = path[i];\n        currentPathElementID = ReactMount.getID(currentPathElement);\n      }\n    }\n  }\n  if (eventsFired === 0) {\n    ReactEventListener._handleTopLevel(bookKeeping.topLevelType, window, '', bookKeeping.nativeEvent, getEventTarget(bookKeeping.nativeEvent));\n  }\n}\n\nfunction scrollValueMonitor(cb) {\n  var scrollPosition = getUnboundedScrollPosition(window);\n  cb(scrollPosition);\n}\n\nvar ReactEventListener = {\n  _enabled: true,\n  _handleTopLevel: null,\n\n  WINDOW_HANDLE: ExecutionEnvironment.canUseDOM ? window : null,\n\n  setHandleTopLevel: function (handleTopLevel) {\n    ReactEventListener._handleTopLevel = handleTopLevel;\n  },\n\n  setEnabled: function (enabled) {\n    ReactEventListener._enabled = !!enabled;\n  },\n\n  isEnabled: function () {\n    return ReactEventListener._enabled;\n  },\n\n  /**\n   * Traps top-level events by using event bubbling.\n   *\n   * @param {string} topLevelType Record from `EventConstants`.\n   * @param {string} handlerBaseName Event name (e.g. \"click\").\n   * @param {object} handle Element on which to attach listener.\n   * @return {?object} An object with a remove function which will forcefully\n   *                  remove the listener.\n   * @internal\n   */\n  trapBubbledEvent: function (topLevelType, handlerBaseName, handle) {\n    var element = handle;\n    if (!element) {\n      return null;\n    }\n    return EventListener.listen(element, handlerBaseName, ReactEventListener.dispatchEvent.bind(null, topLevelType));\n  },\n\n  /**\n   * Traps a top-level event by using event capturing.\n   *\n   * @param {string} topLevelType Record from `EventConstants`.\n   * @param {string} handlerBaseName Event name (e.g. \"click\").\n   * @param {object} handle Element on which to attach listener.\n   * @return {?object} An object with a remove function which will forcefully\n   *                  remove the listener.\n   * @internal\n   */\n  trapCapturedEvent: function (topLevelType, handlerBaseName, handle) {\n    var element = handle;\n    if (!element) {\n      return null;\n    }\n    return EventListener.capture(element, handlerBaseName, ReactEventListener.dispatchEvent.bind(null, topLevelType));\n  },\n\n  monitorScrollValue: function (refresh) {\n    var callback = scrollValueMonitor.bind(null, refresh);\n    EventListener.listen(window, 'scroll', callback);\n  },\n\n  dispatchEvent: function (topLevelType, nativeEvent) {\n    if (!ReactEventListener._enabled) {\n      return;\n    }\n\n    var bookKeeping = TopLevelCallbackBookKeeping.getPooled(topLevelType, nativeEvent);\n    try {\n      // Event queue being processed in the same cycle allows\n      // `preventDefault`.\n      ReactUpdates.batchedUpdates(handleTopLevelImpl, bookKeeping);\n    } finally {\n      TopLevelCallbackBookKeeping.release(bookKeeping);\n    }\n  }\n};\n\nmodule.exports = ReactEventListener;\n},{\"128\":128,\"146\":146,\"147\":147,\"158\":158,\"24\":24,\"25\":25,\"67\":67,\"72\":72,\"96\":96}],64:[function(_dereq_,module,exports){\n/**\n * Copyright 2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactFragment\n */\n\n'use strict';\n\nvar ReactChildren = _dereq_(32);\nvar ReactElement = _dereq_(57);\n\nvar emptyFunction = _dereq_(153);\nvar invariant = _dereq_(161);\nvar warning = _dereq_(173);\n\n/**\n * We used to allow keyed objects to serve as a collection of ReactElements,\n * or nested sets. This allowed us a way to explicitly key a set a fragment of\n * components. This is now being replaced with an opaque data structure.\n * The upgrade path is to call React.addons.createFragment({ key: value }) to\n * create a keyed fragment. The resulting data structure is an array.\n */\n\nvar numericPropertyRegex = /^\\d+$/;\n\nvar warnedAboutNumeric = false;\n\nvar ReactFragment = {\n  // Wrap a keyed object in an opaque proxy that warns you if you access any\n  // of its properties.\n  create: function (object) {\n    if (typeof object !== 'object' || !object || Array.isArray(object)) {\n      \"development\" !== 'production' ? warning(false, 'React.addons.createFragment only accepts a single object. Got: %s', object) : undefined;\n      return object;\n    }\n    if (ReactElement.isValidElement(object)) {\n      \"development\" !== 'production' ? warning(false, 'React.addons.createFragment does not accept a ReactElement ' + 'without a wrapper object.') : undefined;\n      return object;\n    }\n\n    !(object.nodeType !== 1) ? \"development\" !== 'production' ? invariant(false, 'React.addons.createFragment(...): Encountered an invalid child; DOM ' + 'elements are not valid children of React components.') : invariant(false) : undefined;\n\n    var result = [];\n\n    for (var key in object) {\n      if (\"development\" !== 'production') {\n        if (!warnedAboutNumeric && numericPropertyRegex.test(key)) {\n          \"development\" !== 'production' ? warning(false, 'React.addons.createFragment(...): Child objects should have ' + 'non-numeric keys so ordering is preserved.') : undefined;\n          warnedAboutNumeric = true;\n        }\n      }\n      ReactChildren.mapIntoWithKeyPrefixInternal(object[key], result, key, emptyFunction.thatReturnsArgument);\n    }\n\n    return result;\n  }\n};\n\nmodule.exports = ReactFragment;\n},{\"153\":153,\"161\":161,\"173\":173,\"32\":32,\"57\":57}],65:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactInjection\n */\n\n'use strict';\n\nvar DOMProperty = _dereq_(10);\nvar EventPluginHub = _dereq_(16);\nvar ReactComponentEnvironment = _dereq_(36);\nvar ReactClass = _dereq_(33);\nvar ReactEmptyComponent = _dereq_(59);\nvar ReactBrowserEventEmitter = _dereq_(28);\nvar ReactNativeComponent = _dereq_(75);\nvar ReactPerf = _dereq_(78);\nvar ReactRootIndex = _dereq_(86);\nvar ReactUpdates = _dereq_(96);\n\nvar ReactInjection = {\n  Component: ReactComponentEnvironment.injection,\n  Class: ReactClass.injection,\n  DOMProperty: DOMProperty.injection,\n  EmptyComponent: ReactEmptyComponent.injection,\n  EventPluginHub: EventPluginHub.injection,\n  EventEmitter: ReactBrowserEventEmitter.injection,\n  NativeComponent: ReactNativeComponent.injection,\n  Perf: ReactPerf.injection,\n  RootIndex: ReactRootIndex.injection,\n  Updates: ReactUpdates.injection\n};\n\nmodule.exports = ReactInjection;\n},{\"10\":10,\"16\":16,\"28\":28,\"33\":33,\"36\":36,\"59\":59,\"75\":75,\"78\":78,\"86\":86,\"96\":96}],66:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactInputSelection\n */\n\n'use strict';\n\nvar ReactDOMSelection = _dereq_(49);\n\nvar containsNode = _dereq_(150);\nvar focusNode = _dereq_(155);\nvar getActiveElement = _dereq_(156);\n\nfunction isInDocument(node) {\n  return containsNode(document.documentElement, node);\n}\n\n/**\n * @ReactInputSelection: React input selection module. Based on Selection.js,\n * but modified to be suitable for react and has a couple of bug fixes (doesn't\n * assume buttons have range selections allowed).\n * Input selection module for React.\n */\nvar ReactInputSelection = {\n\n  hasSelectionCapabilities: function (elem) {\n    var nodeName = elem && elem.nodeName && elem.nodeName.toLowerCase();\n    return nodeName && (nodeName === 'input' && elem.type === 'text' || nodeName === 'textarea' || elem.contentEditable === 'true');\n  },\n\n  getSelectionInformation: function () {\n    var focusedElem = getActiveElement();\n    return {\n      focusedElem: focusedElem,\n      selectionRange: ReactInputSelection.hasSelectionCapabilities(focusedElem) ? ReactInputSelection.getSelection(focusedElem) : null\n    };\n  },\n\n  /**\n   * @restoreSelection: If any selection information was potentially lost,\n   * restore it. This is useful when performing operations that could remove dom\n   * nodes and place them back in, resulting in focus being lost.\n   */\n  restoreSelection: function (priorSelectionInformation) {\n    var curFocusedElem = getActiveElement();\n    var priorFocusedElem = priorSelectionInformation.focusedElem;\n    var priorSelectionRange = priorSelectionInformation.selectionRange;\n    if (curFocusedElem !== priorFocusedElem && isInDocument(priorFocusedElem)) {\n      if (ReactInputSelection.hasSelectionCapabilities(priorFocusedElem)) {\n        ReactInputSelection.setSelection(priorFocusedElem, priorSelectionRange);\n      }\n      focusNode(priorFocusedElem);\n    }\n  },\n\n  /**\n   * @getSelection: Gets the selection bounds of a focused textarea, input or\n   * contentEditable node.\n   * -@input: Look up selection bounds of this input\n   * -@return {start: selectionStart, end: selectionEnd}\n   */\n  getSelection: function (input) {\n    var selection;\n\n    if ('selectionStart' in input) {\n      // Modern browser with input or textarea.\n      selection = {\n        start: input.selectionStart,\n        end: input.selectionEnd\n      };\n    } else if (document.selection && (input.nodeName && input.nodeName.toLowerCase() === 'input')) {\n      // IE8 input.\n      var range = document.selection.createRange();\n      // There can only be one selection per document in IE, so it must\n      // be in our element.\n      if (range.parentElement() === input) {\n        selection = {\n          start: -range.moveStart('character', -input.value.length),\n          end: -range.moveEnd('character', -input.value.length)\n        };\n      }\n    } else {\n      // Content editable or old IE textarea.\n      selection = ReactDOMSelection.getOffsets(input);\n    }\n\n    return selection || { start: 0, end: 0 };\n  },\n\n  /**\n   * @setSelection: Sets the selection bounds of a textarea or input and focuses\n   * the input.\n   * -@input     Set selection bounds of this input or textarea\n   * -@offsets   Object of same form that is returned from get*\n   */\n  setSelection: function (input, offsets) {\n    var start = offsets.start;\n    var end = offsets.end;\n    if (typeof end === 'undefined') {\n      end = start;\n    }\n\n    if ('selectionStart' in input) {\n      input.selectionStart = start;\n      input.selectionEnd = Math.min(end, input.value.length);\n    } else if (document.selection && (input.nodeName && input.nodeName.toLowerCase() === 'input')) {\n      var range = input.createTextRange();\n      range.collapse(true);\n      range.moveStart('character', start);\n      range.moveEnd('character', end - start);\n      range.select();\n    } else {\n      ReactDOMSelection.setOffsets(input, offsets);\n    }\n  }\n};\n\nmodule.exports = ReactInputSelection;\n},{\"150\":150,\"155\":155,\"156\":156,\"49\":49}],67:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactInstanceHandles\n * @typechecks static-only\n */\n\n'use strict';\n\nvar ReactRootIndex = _dereq_(86);\n\nvar invariant = _dereq_(161);\n\nvar SEPARATOR = '.';\nvar SEPARATOR_LENGTH = SEPARATOR.length;\n\n/**\n * Maximum depth of traversals before we consider the possibility of a bad ID.\n */\nvar MAX_TREE_DEPTH = 10000;\n\n/**\n * Creates a DOM ID prefix to use when mounting React components.\n *\n * @param {number} index A unique integer\n * @return {string} React root ID.\n * @internal\n */\nfunction getReactRootIDString(index) {\n  return SEPARATOR + index.toString(36);\n}\n\n/**\n * Checks if a character in the supplied ID is a separator or the end.\n *\n * @param {string} id A React DOM ID.\n * @param {number} index Index of the character to check.\n * @return {boolean} True if the character is a separator or end of the ID.\n * @private\n */\nfunction isBoundary(id, index) {\n  return id.charAt(index) === SEPARATOR || index === id.length;\n}\n\n/**\n * Checks if the supplied string is a valid React DOM ID.\n *\n * @param {string} id A React DOM ID, maybe.\n * @return {boolean} True if the string is a valid React DOM ID.\n * @private\n */\nfunction isValidID(id) {\n  return id === '' || id.charAt(0) === SEPARATOR && id.charAt(id.length - 1) !== SEPARATOR;\n}\n\n/**\n * Checks if the first ID is an ancestor of or equal to the second ID.\n *\n * @param {string} ancestorID\n * @param {string} descendantID\n * @return {boolean} True if `ancestorID` is an ancestor of `descendantID`.\n * @internal\n */\nfunction isAncestorIDOf(ancestorID, descendantID) {\n  return descendantID.indexOf(ancestorID) === 0 && isBoundary(descendantID, ancestorID.length);\n}\n\n/**\n * Gets the parent ID of the supplied React DOM ID, `id`.\n *\n * @param {string} id ID of a component.\n * @return {string} ID of the parent, or an empty string.\n * @private\n */\nfunction getParentID(id) {\n  return id ? id.substr(0, id.lastIndexOf(SEPARATOR)) : '';\n}\n\n/**\n * Gets the next DOM ID on the tree path from the supplied `ancestorID` to the\n * supplied `destinationID`. If they are equal, the ID is returned.\n *\n * @param {string} ancestorID ID of an ancestor node of `destinationID`.\n * @param {string} destinationID ID of the destination node.\n * @return {string} Next ID on the path from `ancestorID` to `destinationID`.\n * @private\n */\nfunction getNextDescendantID(ancestorID, destinationID) {\n  !(isValidID(ancestorID) && isValidID(destinationID)) ? \"development\" !== 'production' ? invariant(false, 'getNextDescendantID(%s, %s): Received an invalid React DOM ID.', ancestorID, destinationID) : invariant(false) : undefined;\n  !isAncestorIDOf(ancestorID, destinationID) ? \"development\" !== 'production' ? invariant(false, 'getNextDescendantID(...): React has made an invalid assumption about ' + 'the DOM hierarchy. Expected `%s` to be an ancestor of `%s`.', ancestorID, destinationID) : invariant(false) : undefined;\n  if (ancestorID === destinationID) {\n    return ancestorID;\n  }\n  // Skip over the ancestor and the immediate separator. Traverse until we hit\n  // another separator or we reach the end of `destinationID`.\n  var start = ancestorID.length + SEPARATOR_LENGTH;\n  var i;\n  for (i = start; i < destinationID.length; i++) {\n    if (isBoundary(destinationID, i)) {\n      break;\n    }\n  }\n  return destinationID.substr(0, i);\n}\n\n/**\n * Gets the nearest common ancestor ID of two IDs.\n *\n * Using this ID scheme, the nearest common ancestor ID is the longest common\n * prefix of the two IDs that immediately preceded a \"marker\" in both strings.\n *\n * @param {string} oneID\n * @param {string} twoID\n * @return {string} Nearest common ancestor ID, or the empty string if none.\n * @private\n */\nfunction getFirstCommonAncestorID(oneID, twoID) {\n  var minLength = Math.min(oneID.length, twoID.length);\n  if (minLength === 0) {\n    return '';\n  }\n  var lastCommonMarkerIndex = 0;\n  // Use `<=` to traverse until the \"EOL\" of the shorter string.\n  for (var i = 0; i <= minLength; i++) {\n    if (isBoundary(oneID, i) && isBoundary(twoID, i)) {\n      lastCommonMarkerIndex = i;\n    } else if (oneID.charAt(i) !== twoID.charAt(i)) {\n      break;\n    }\n  }\n  var longestCommonID = oneID.substr(0, lastCommonMarkerIndex);\n  !isValidID(longestCommonID) ? \"development\" !== 'production' ? invariant(false, 'getFirstCommonAncestorID(%s, %s): Expected a valid React DOM ID: %s', oneID, twoID, longestCommonID) : invariant(false) : undefined;\n  return longestCommonID;\n}\n\n/**\n * Traverses the parent path between two IDs (either up or down). The IDs must\n * not be the same, and there must exist a parent path between them. If the\n * callback returns `false`, traversal is stopped.\n *\n * @param {?string} start ID at which to start traversal.\n * @param {?string} stop ID at which to end traversal.\n * @param {function} cb Callback to invoke each ID with.\n * @param {*} arg Argument to invoke the callback with.\n * @param {?boolean} skipFirst Whether or not to skip the first node.\n * @param {?boolean} skipLast Whether or not to skip the last node.\n * @private\n */\nfunction traverseParentPath(start, stop, cb, arg, skipFirst, skipLast) {\n  start = start || '';\n  stop = stop || '';\n  !(start !== stop) ? \"development\" !== 'production' ? invariant(false, 'traverseParentPath(...): Cannot traverse from and to the same ID, `%s`.', start) : invariant(false) : undefined;\n  var traverseUp = isAncestorIDOf(stop, start);\n  !(traverseUp || isAncestorIDOf(start, stop)) ? \"development\" !== 'production' ? invariant(false, 'traverseParentPath(%s, %s, ...): Cannot traverse from two IDs that do ' + 'not have a parent path.', start, stop) : invariant(false) : undefined;\n  // Traverse from `start` to `stop` one depth at a time.\n  var depth = 0;\n  var traverse = traverseUp ? getParentID : getNextDescendantID;\n  for (var id = start;; /* until break */id = traverse(id, stop)) {\n    var ret;\n    if ((!skipFirst || id !== start) && (!skipLast || id !== stop)) {\n      ret = cb(id, traverseUp, arg);\n    }\n    if (ret === false || id === stop) {\n      // Only break //after// visiting `stop`.\n      break;\n    }\n    !(depth++ < MAX_TREE_DEPTH) ? \"development\" !== 'production' ? invariant(false, 'traverseParentPath(%s, %s, ...): Detected an infinite loop while ' + 'traversing the React DOM ID tree. This may be due to malformed IDs: %s', start, stop, id) : invariant(false) : undefined;\n  }\n}\n\n/**\n * Manages the IDs assigned to DOM representations of React components. This\n * uses a specific scheme in order to traverse the DOM efficiently (e.g. in\n * order to simulate events).\n *\n * @internal\n */\nvar ReactInstanceHandles = {\n\n  /**\n   * Constructs a React root ID\n   * @return {string} A React root ID.\n   */\n  createReactRootID: function () {\n    return getReactRootIDString(ReactRootIndex.createReactRootIndex());\n  },\n\n  /**\n   * Constructs a React ID by joining a root ID with a name.\n   *\n   * @param {string} rootID Root ID of a parent component.\n   * @param {string} name A component's name (as flattened children).\n   * @return {string} A React ID.\n   * @internal\n   */\n  createReactID: function (rootID, name) {\n    return rootID + name;\n  },\n\n  /**\n   * Gets the DOM ID of the React component that is the root of the tree that\n   * contains the React component with the supplied DOM ID.\n   *\n   * @param {string} id DOM ID of a React component.\n   * @return {?string} DOM ID of the React component that is the root.\n   * @internal\n   */\n  getReactRootIDFromNodeID: function (id) {\n    if (id && id.charAt(0) === SEPARATOR && id.length > 1) {\n      var index = id.indexOf(SEPARATOR, 1);\n      return index > -1 ? id.substr(0, index) : id;\n    }\n    return null;\n  },\n\n  /**\n   * Traverses the ID hierarchy and invokes the supplied `cb` on any IDs that\n   * should would receive a `mouseEnter` or `mouseLeave` event.\n   *\n   * NOTE: Does not invoke the callback on the nearest common ancestor because\n   * nothing \"entered\" or \"left\" that element.\n   *\n   * @param {string} leaveID ID being left.\n   * @param {string} enterID ID being entered.\n   * @param {function} cb Callback to invoke on each entered/left ID.\n   * @param {*} upArg Argument to invoke the callback with on left IDs.\n   * @param {*} downArg Argument to invoke the callback with on entered IDs.\n   * @internal\n   */\n  traverseEnterLeave: function (leaveID, enterID, cb, upArg, downArg) {\n    var ancestorID = getFirstCommonAncestorID(leaveID, enterID);\n    if (ancestorID !== leaveID) {\n      traverseParentPath(leaveID, ancestorID, cb, upArg, false, true);\n    }\n    if (ancestorID !== enterID) {\n      traverseParentPath(ancestorID, enterID, cb, downArg, true, false);\n    }\n  },\n\n  /**\n   * Simulates the traversal of a two-phase, capture/bubble event dispatch.\n   *\n   * NOTE: This traversal happens on IDs without touching the DOM.\n   *\n   * @param {string} targetID ID of the target node.\n   * @param {function} cb Callback to invoke.\n   * @param {*} arg Argument to invoke the callback with.\n   * @internal\n   */\n  traverseTwoPhase: function (targetID, cb, arg) {\n    if (targetID) {\n      traverseParentPath('', targetID, cb, arg, true, false);\n      traverseParentPath(targetID, '', cb, arg, false, true);\n    }\n  },\n\n  /**\n   * Same as `traverseTwoPhase` but skips the `targetID`.\n   */\n  traverseTwoPhaseSkipTarget: function (targetID, cb, arg) {\n    if (targetID) {\n      traverseParentPath('', targetID, cb, arg, true, true);\n      traverseParentPath(targetID, '', cb, arg, true, true);\n    }\n  },\n\n  /**\n   * Traverse a node ID, calling the supplied `cb` for each ancestor ID. For\n   * example, passing `.0.$row-0.1` would result in `cb` getting called\n   * with `.0`, `.0.$row-0`, and `.0.$row-0.1`.\n   *\n   * NOTE: This traversal happens on IDs without touching the DOM.\n   *\n   * @param {string} targetID ID of the target node.\n   * @param {function} cb Callback to invoke.\n   * @param {*} arg Argument to invoke the callback with.\n   * @internal\n   */\n  traverseAncestors: function (targetID, cb, arg) {\n    traverseParentPath('', targetID, cb, arg, true, false);\n  },\n\n  getFirstCommonAncestorID: getFirstCommonAncestorID,\n\n  /**\n   * Exposed for unit testing.\n   * @private\n   */\n  _getNextDescendantID: getNextDescendantID,\n\n  isAncestorIDOf: isAncestorIDOf,\n\n  SEPARATOR: SEPARATOR\n\n};\n\nmodule.exports = ReactInstanceHandles;\n},{\"161\":161,\"86\":86}],68:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactInstanceMap\n */\n\n'use strict';\n\n/**\n * `ReactInstanceMap` maintains a mapping from a public facing stateful\n * instance (key) and the internal representation (value). This allows public\n * methods to accept the user facing instance as an argument and map them back\n * to internal methods.\n */\n\n// TODO: Replace this with ES6: var ReactInstanceMap = new Map();\nvar ReactInstanceMap = {\n\n  /**\n   * This API should be called `delete` but we'd have to make sure to always\n   * transform these to strings for IE support. When this transform is fully\n   * supported we can rename it.\n   */\n  remove: function (key) {\n    key._reactInternalInstance = undefined;\n  },\n\n  get: function (key) {\n    return key._reactInternalInstance;\n  },\n\n  has: function (key) {\n    return key._reactInternalInstance !== undefined;\n  },\n\n  set: function (key, value) {\n    key._reactInternalInstance = value;\n  }\n\n};\n\nmodule.exports = ReactInstanceMap;\n},{}],69:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactIsomorphic\n */\n\n'use strict';\n\nvar ReactChildren = _dereq_(32);\nvar ReactComponent = _dereq_(34);\nvar ReactClass = _dereq_(33);\nvar ReactDOMFactories = _dereq_(43);\nvar ReactElement = _dereq_(57);\nvar ReactElementValidator = _dereq_(58);\nvar ReactPropTypes = _dereq_(82);\nvar ReactVersion = _dereq_(97);\n\nvar assign = _dereq_(24);\nvar onlyChild = _dereq_(135);\n\nvar createElement = ReactElement.createElement;\nvar createFactory = ReactElement.createFactory;\nvar cloneElement = ReactElement.cloneElement;\n\nif (\"development\" !== 'production') {\n  createElement = ReactElementValidator.createElement;\n  createFactory = ReactElementValidator.createFactory;\n  cloneElement = ReactElementValidator.cloneElement;\n}\n\nvar React = {\n\n  // Modern\n\n  Children: {\n    map: ReactChildren.map,\n    forEach: ReactChildren.forEach,\n    count: ReactChildren.count,\n    toArray: ReactChildren.toArray,\n    only: onlyChild\n  },\n\n  Component: ReactComponent,\n\n  createElement: createElement,\n  cloneElement: cloneElement,\n  isValidElement: ReactElement.isValidElement,\n\n  // Classic\n\n  PropTypes: ReactPropTypes,\n  createClass: ReactClass.createClass,\n  createFactory: createFactory,\n  createMixin: function (mixin) {\n    // Currently a noop. Will be used to validate and trace mixins.\n    return mixin;\n  },\n\n  // This looks DOM specific but these are actually isomorphic helpers\n  // since they are just generating DOM strings.\n  DOM: ReactDOMFactories,\n\n  version: ReactVersion,\n\n  // Hook for JSX spread, don't use this for anything else.\n  __spread: assign\n};\n\nmodule.exports = React;\n},{\"135\":135,\"24\":24,\"32\":32,\"33\":33,\"34\":34,\"43\":43,\"57\":57,\"58\":58,\"82\":82,\"97\":97}],70:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactLink\n * @typechecks static-only\n */\n\n'use strict';\n\n/**\n * ReactLink encapsulates a common pattern in which a component wants to modify\n * a prop received from its parent. ReactLink allows the parent to pass down a\n * value coupled with a callback that, when invoked, expresses an intent to\n * modify that value. For example:\n *\n * React.createClass({\n *   getInitialState: function() {\n *     return {value: ''};\n *   },\n *   render: function() {\n *     var valueLink = new ReactLink(this.state.value, this._handleValueChange);\n *     return <input valueLink={valueLink} />;\n *   },\n *   _handleValueChange: function(newValue) {\n *     this.setState({value: newValue});\n *   }\n * });\n *\n * We have provided some sugary mixins to make the creation and\n * consumption of ReactLink easier; see LinkedValueUtils and LinkedStateMixin.\n */\n\nvar React = _dereq_(26);\n\n/**\n * @param {*} value current value of the link\n * @param {function} requestChange callback to request a change\n */\nfunction ReactLink(value, requestChange) {\n  this.value = value;\n  this.requestChange = requestChange;\n}\n\n/**\n * Creates a PropType that enforces the ReactLink API and optionally checks the\n * type of the value being passed inside the link. Example:\n *\n * MyComponent.propTypes = {\n *   tabIndexLink: ReactLink.PropTypes.link(React.PropTypes.number)\n * }\n */\nfunction createLinkTypeChecker(linkType) {\n  var shapes = {\n    value: typeof linkType === 'undefined' ? React.PropTypes.any.isRequired : linkType.isRequired,\n    requestChange: React.PropTypes.func.isRequired\n  };\n  return React.PropTypes.shape(shapes);\n}\n\nReactLink.PropTypes = {\n  link: createLinkTypeChecker\n};\n\nmodule.exports = ReactLink;\n},{\"26\":26}],71:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactMarkupChecksum\n */\n\n'use strict';\n\nvar adler32 = _dereq_(116);\n\nvar TAG_END = /\\/?>/;\n\nvar ReactMarkupChecksum = {\n  CHECKSUM_ATTR_NAME: 'data-react-checksum',\n\n  /**\n   * @param {string} markup Markup string\n   * @return {string} Markup string with checksum attribute attached\n   */\n  addChecksumToMarkup: function (markup) {\n    var checksum = adler32(markup);\n\n    // Add checksum (handle both parent tags and self-closing tags)\n    return markup.replace(TAG_END, ' ' + ReactMarkupChecksum.CHECKSUM_ATTR_NAME + '=\"' + checksum + '\"$&');\n  },\n\n  /**\n   * @param {string} markup to use\n   * @param {DOMElement} element root React element\n   * @returns {boolean} whether or not the markup is the same\n   */\n  canReuseMarkup: function (markup, element) {\n    var existingChecksum = element.getAttribute(ReactMarkupChecksum.CHECKSUM_ATTR_NAME);\n    existingChecksum = existingChecksum && parseInt(existingChecksum, 10);\n    var markupChecksum = adler32(markup);\n    return markupChecksum === existingChecksum;\n  }\n};\n\nmodule.exports = ReactMarkupChecksum;\n},{\"116\":116}],72:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactMount\n */\n\n'use strict';\n\nvar DOMProperty = _dereq_(10);\nvar ReactBrowserEventEmitter = _dereq_(28);\nvar ReactCurrentOwner = _dereq_(39);\nvar ReactDOMFeatureFlags = _dereq_(44);\nvar ReactElement = _dereq_(57);\nvar ReactEmptyComponentRegistry = _dereq_(60);\nvar ReactInstanceHandles = _dereq_(67);\nvar ReactInstanceMap = _dereq_(68);\nvar ReactMarkupChecksum = _dereq_(71);\nvar ReactPerf = _dereq_(78);\nvar ReactReconciler = _dereq_(84);\nvar ReactUpdateQueue = _dereq_(95);\nvar ReactUpdates = _dereq_(96);\n\nvar assign = _dereq_(24);\nvar emptyObject = _dereq_(154);\nvar containsNode = _dereq_(150);\nvar instantiateReactComponent = _dereq_(132);\nvar invariant = _dereq_(161);\nvar setInnerHTML = _dereq_(138);\nvar shouldUpdateReactComponent = _dereq_(141);\nvar validateDOMNesting = _dereq_(144);\nvar warning = _dereq_(173);\n\nvar ATTR_NAME = DOMProperty.ID_ATTRIBUTE_NAME;\nvar nodeCache = {};\n\nvar ELEMENT_NODE_TYPE = 1;\nvar DOC_NODE_TYPE = 9;\nvar DOCUMENT_FRAGMENT_NODE_TYPE = 11;\n\nvar ownerDocumentContextKey = '__ReactMount_ownerDocument$' + Math.random().toString(36).slice(2);\n\n/** Mapping from reactRootID to React component instance. */\nvar instancesByReactRootID = {};\n\n/** Mapping from reactRootID to `container` nodes. */\nvar containersByReactRootID = {};\n\nif (\"development\" !== 'production') {\n  /** __DEV__-only mapping from reactRootID to root elements. */\n  var rootElementsByReactRootID = {};\n}\n\n// Used to store breadth-first search state in findComponentRoot.\nvar findComponentRootReusableArray = [];\n\n/**\n * Finds the index of the first character\n * that's not common between the two given strings.\n *\n * @return {number} the index of the character where the strings diverge\n */\nfunction firstDifferenceIndex(string1, string2) {\n  var minLen = Math.min(string1.length, string2.length);\n  for (var i = 0; i < minLen; i++) {\n    if (string1.charAt(i) !== string2.charAt(i)) {\n      return i;\n    }\n  }\n  return string1.length === string2.length ? -1 : minLen;\n}\n\n/**\n * @param {DOMElement|DOMDocument} container DOM element that may contain\n * a React component\n * @return {?*} DOM element that may have the reactRoot ID, or null.\n */\nfunction getReactRootElementInContainer(container) {\n  if (!container) {\n    return null;\n  }\n\n  if (container.nodeType === DOC_NODE_TYPE) {\n    return container.documentElement;\n  } else {\n    return container.firstChild;\n  }\n}\n\n/**\n * @param {DOMElement} container DOM element that may contain a React component.\n * @return {?string} A \"reactRoot\" ID, if a React component is rendered.\n */\nfunction getReactRootID(container) {\n  var rootElement = getReactRootElementInContainer(container);\n  return rootElement && ReactMount.getID(rootElement);\n}\n\n/**\n * Accessing node[ATTR_NAME] or calling getAttribute(ATTR_NAME) on a form\n * element can return its control whose name or ID equals ATTR_NAME. All\n * DOM nodes support `getAttributeNode` but this can also get called on\n * other objects so just return '' if we're given something other than a\n * DOM node (such as window).\n *\n * @param {?DOMElement|DOMWindow|DOMDocument|DOMTextNode} node DOM node.\n * @return {string} ID of the supplied `domNode`.\n */\nfunction getID(node) {\n  var id = internalGetID(node);\n  if (id) {\n    if (nodeCache.hasOwnProperty(id)) {\n      var cached = nodeCache[id];\n      if (cached !== node) {\n        !!isValid(cached, id) ? \"development\" !== 'production' ? invariant(false, 'ReactMount: Two valid but unequal nodes with the same `%s`: %s', ATTR_NAME, id) : invariant(false) : undefined;\n\n        nodeCache[id] = node;\n      }\n    } else {\n      nodeCache[id] = node;\n    }\n  }\n\n  return id;\n}\n\nfunction internalGetID(node) {\n  // If node is something like a window, document, or text node, none of\n  // which support attributes or a .getAttribute method, gracefully return\n  // the empty string, as if the attribute were missing.\n  return node && node.getAttribute && node.getAttribute(ATTR_NAME) || '';\n}\n\n/**\n * Sets the React-specific ID of the given node.\n *\n * @param {DOMElement} node The DOM node whose ID will be set.\n * @param {string} id The value of the ID attribute.\n */\nfunction setID(node, id) {\n  var oldID = internalGetID(node);\n  if (oldID !== id) {\n    delete nodeCache[oldID];\n  }\n  node.setAttribute(ATTR_NAME, id);\n  nodeCache[id] = node;\n}\n\n/**\n * Finds the node with the supplied React-generated DOM ID.\n *\n * @param {string} id A React-generated DOM ID.\n * @return {DOMElement} DOM node with the suppled `id`.\n * @internal\n */\nfunction getNode(id) {\n  if (!nodeCache.hasOwnProperty(id) || !isValid(nodeCache[id], id)) {\n    nodeCache[id] = ReactMount.findReactNodeByID(id);\n  }\n  return nodeCache[id];\n}\n\n/**\n * Finds the node with the supplied public React instance.\n *\n * @param {*} instance A public React instance.\n * @return {?DOMElement} DOM node with the suppled `id`.\n * @internal\n */\nfunction getNodeFromInstance(instance) {\n  var id = ReactInstanceMap.get(instance)._rootNodeID;\n  if (ReactEmptyComponentRegistry.isNullComponentID(id)) {\n    return null;\n  }\n  if (!nodeCache.hasOwnProperty(id) || !isValid(nodeCache[id], id)) {\n    nodeCache[id] = ReactMount.findReactNodeByID(id);\n  }\n  return nodeCache[id];\n}\n\n/**\n * A node is \"valid\" if it is contained by a currently mounted container.\n *\n * This means that the node does not have to be contained by a document in\n * order to be considered valid.\n *\n * @param {?DOMElement} node The candidate DOM node.\n * @param {string} id The expected ID of the node.\n * @return {boolean} Whether the node is contained by a mounted container.\n */\nfunction isValid(node, id) {\n  if (node) {\n    !(internalGetID(node) === id) ? \"development\" !== 'production' ? invariant(false, 'ReactMount: Unexpected modification of `%s`', ATTR_NAME) : invariant(false) : undefined;\n\n    var container = ReactMount.findReactContainerForID(id);\n    if (container && containsNode(container, node)) {\n      return true;\n    }\n  }\n\n  return false;\n}\n\n/**\n * Causes the cache to forget about one React-specific ID.\n *\n * @param {string} id The ID to forget.\n */\nfunction purgeID(id) {\n  delete nodeCache[id];\n}\n\nvar deepestNodeSoFar = null;\nfunction findDeepestCachedAncestorImpl(ancestorID) {\n  var ancestor = nodeCache[ancestorID];\n  if (ancestor && isValid(ancestor, ancestorID)) {\n    deepestNodeSoFar = ancestor;\n  } else {\n    // This node isn't populated in the cache, so presumably none of its\n    // descendants are. Break out of the loop.\n    return false;\n  }\n}\n\n/**\n * Return the deepest cached node whose ID is a prefix of `targetID`.\n */\nfunction findDeepestCachedAncestor(targetID) {\n  deepestNodeSoFar = null;\n  ReactInstanceHandles.traverseAncestors(targetID, findDeepestCachedAncestorImpl);\n\n  var foundNode = deepestNodeSoFar;\n  deepestNodeSoFar = null;\n  return foundNode;\n}\n\n/**\n * Mounts this component and inserts it into the DOM.\n *\n * @param {ReactComponent} componentInstance The instance to mount.\n * @param {string} rootID DOM ID of the root node.\n * @param {DOMElement} container DOM element to mount into.\n * @param {ReactReconcileTransaction} transaction\n * @param {boolean} shouldReuseMarkup If true, do not insert markup\n */\nfunction mountComponentIntoNode(componentInstance, rootID, container, transaction, shouldReuseMarkup, context) {\n  if (ReactDOMFeatureFlags.useCreateElement) {\n    context = assign({}, context);\n    if (container.nodeType === DOC_NODE_TYPE) {\n      context[ownerDocumentContextKey] = container;\n    } else {\n      context[ownerDocumentContextKey] = container.ownerDocument;\n    }\n  }\n  if (\"development\" !== 'production') {\n    if (context === emptyObject) {\n      context = {};\n    }\n    var tag = container.nodeName.toLowerCase();\n    context[validateDOMNesting.ancestorInfoContextKey] = validateDOMNesting.updatedAncestorInfo(null, tag, null);\n  }\n  var markup = ReactReconciler.mountComponent(componentInstance, rootID, transaction, context);\n  componentInstance._renderedComponent._topLevelWrapper = componentInstance;\n  ReactMount._mountImageIntoNode(markup, container, shouldReuseMarkup, transaction);\n}\n\n/**\n * Batched mount.\n *\n * @param {ReactComponent} componentInstance The instance to mount.\n * @param {string} rootID DOM ID of the root node.\n * @param {DOMElement} container DOM element to mount into.\n * @param {boolean} shouldReuseMarkup If true, do not insert markup\n */\nfunction batchedMountComponentIntoNode(componentInstance, rootID, container, shouldReuseMarkup, context) {\n  var transaction = ReactUpdates.ReactReconcileTransaction.getPooled(\n  /* forceHTML */shouldReuseMarkup);\n  transaction.perform(mountComponentIntoNode, null, componentInstance, rootID, container, transaction, shouldReuseMarkup, context);\n  ReactUpdates.ReactReconcileTransaction.release(transaction);\n}\n\n/**\n * Unmounts a component and removes it from the DOM.\n *\n * @param {ReactComponent} instance React component instance.\n * @param {DOMElement} container DOM element to unmount from.\n * @final\n * @internal\n * @see {ReactMount.unmountComponentAtNode}\n */\nfunction unmountComponentFromNode(instance, container) {\n  ReactReconciler.unmountComponent(instance);\n\n  if (container.nodeType === DOC_NODE_TYPE) {\n    container = container.documentElement;\n  }\n\n  // http://jsperf.com/emptying-a-node\n  while (container.lastChild) {\n    container.removeChild(container.lastChild);\n  }\n}\n\n/**\n * True if the supplied DOM node has a direct React-rendered child that is\n * not a React root element. Useful for warning in `render`,\n * `unmountComponentAtNode`, etc.\n *\n * @param {?DOMElement} node The candidate DOM node.\n * @return {boolean} True if the DOM element contains a direct child that was\n * rendered by React but is not a root element.\n * @internal\n */\nfunction hasNonRootReactChild(node) {\n  var reactRootID = getReactRootID(node);\n  return reactRootID ? reactRootID !== ReactInstanceHandles.getReactRootIDFromNodeID(reactRootID) : false;\n}\n\n/**\n * Returns the first (deepest) ancestor of a node which is rendered by this copy\n * of React.\n */\nfunction findFirstReactDOMImpl(node) {\n  // This node might be from another React instance, so we make sure not to\n  // examine the node cache here\n  for (; node && node.parentNode !== node; node = node.parentNode) {\n    if (node.nodeType !== 1) {\n      // Not a DOMElement, therefore not a React component\n      continue;\n    }\n    var nodeID = internalGetID(node);\n    if (!nodeID) {\n      continue;\n    }\n    var reactRootID = ReactInstanceHandles.getReactRootIDFromNodeID(nodeID);\n\n    // If containersByReactRootID contains the container we find by crawling up\n    // the tree, we know that this instance of React rendered the node.\n    // nb. isValid's strategy (with containsNode) does not work because render\n    // trees may be nested and we don't want a false positive in that case.\n    var current = node;\n    var lastID;\n    do {\n      lastID = internalGetID(current);\n      current = current.parentNode;\n      if (current == null) {\n        // The passed-in node has been detached from the container it was\n        // originally rendered into.\n        return null;\n      }\n    } while (lastID !== reactRootID);\n\n    if (current === containersByReactRootID[reactRootID]) {\n      return node;\n    }\n  }\n  return null;\n}\n\n/**\n * Temporary (?) hack so that we can store all top-level pending updates on\n * composites instead of having to worry about different types of components\n * here.\n */\nvar TopLevelWrapper = function () {};\nTopLevelWrapper.prototype.isReactComponent = {};\nif (\"development\" !== 'production') {\n  TopLevelWrapper.displayName = 'TopLevelWrapper';\n}\nTopLevelWrapper.prototype.render = function () {\n  // this.props is actually a ReactElement\n  return this.props;\n};\n\n/**\n * Mounting is the process of initializing a React component by creating its\n * representative DOM elements and inserting them into a supplied `container`.\n * Any prior content inside `container` is destroyed in the process.\n *\n *   ReactMount.render(\n *     component,\n *     document.getElementById('container')\n *   );\n *\n *   <div id=\"container\">                   <-- Supplied `container`.\n *     <div data-reactid=\".3\">              <-- Rendered reactRoot of React\n *       // ...                                 component.\n *     </div>\n *   </div>\n *\n * Inside of `container`, the first element rendered is the \"reactRoot\".\n */\nvar ReactMount = {\n\n  TopLevelWrapper: TopLevelWrapper,\n\n  /** Exposed for debugging purposes **/\n  _instancesByReactRootID: instancesByReactRootID,\n\n  /**\n   * This is a hook provided to support rendering React components while\n   * ensuring that the apparent scroll position of its `container` does not\n   * change.\n   *\n   * @param {DOMElement} container The `container` being rendered into.\n   * @param {function} renderCallback This must be called once to do the render.\n   */\n  scrollMonitor: function (container, renderCallback) {\n    renderCallback();\n  },\n\n  /**\n   * Take a component that's already mounted into the DOM and replace its props\n   * @param {ReactComponent} prevComponent component instance already in the DOM\n   * @param {ReactElement} nextElement component instance to render\n   * @param {DOMElement} container container to render into\n   * @param {?function} callback function triggered on completion\n   */\n  _updateRootComponent: function (prevComponent, nextElement, container, callback) {\n    ReactMount.scrollMonitor(container, function () {\n      ReactUpdateQueue.enqueueElementInternal(prevComponent, nextElement);\n      if (callback) {\n        ReactUpdateQueue.enqueueCallbackInternal(prevComponent, callback);\n      }\n    });\n\n    if (\"development\" !== 'production') {\n      // Record the root element in case it later gets transplanted.\n      rootElementsByReactRootID[getReactRootID(container)] = getReactRootElementInContainer(container);\n    }\n\n    return prevComponent;\n  },\n\n  /**\n   * Register a component into the instance map and starts scroll value\n   * monitoring\n   * @param {ReactComponent} nextComponent component instance to render\n   * @param {DOMElement} container container to render into\n   * @return {string} reactRoot ID prefix\n   */\n  _registerComponent: function (nextComponent, container) {\n    !(container && (container.nodeType === ELEMENT_NODE_TYPE || container.nodeType === DOC_NODE_TYPE || container.nodeType === DOCUMENT_FRAGMENT_NODE_TYPE)) ? \"development\" !== 'production' ? invariant(false, '_registerComponent(...): Target container is not a DOM element.') : invariant(false) : undefined;\n\n    ReactBrowserEventEmitter.ensureScrollValueMonitoring();\n\n    var reactRootID = ReactMount.registerContainer(container);\n    instancesByReactRootID[reactRootID] = nextComponent;\n    return reactRootID;\n  },\n\n  /**\n   * Render a new component into the DOM.\n   * @param {ReactElement} nextElement element to render\n   * @param {DOMElement} container container to render into\n   * @param {boolean} shouldReuseMarkup if we should skip the markup insertion\n   * @return {ReactComponent} nextComponent\n   */\n  _renderNewRootComponent: function (nextElement, container, shouldReuseMarkup, context) {\n    // Various parts of our code (such as ReactCompositeComponent's\n    // _renderValidatedComponent) assume that calls to render aren't nested;\n    // verify that that's the case.\n    \"development\" !== 'production' ? warning(ReactCurrentOwner.current == null, '_renderNewRootComponent(): Render methods should be a pure function ' + 'of props and state; triggering nested component updates from ' + 'render is not allowed. If necessary, trigger nested updates in ' + 'componentDidUpdate. Check the render method of %s.', ReactCurrentOwner.current && ReactCurrentOwner.current.getName() || 'ReactCompositeComponent') : undefined;\n\n    var componentInstance = instantiateReactComponent(nextElement, null);\n    var reactRootID = ReactMount._registerComponent(componentInstance, container);\n\n    // The initial render is synchronous but any updates that happen during\n    // rendering, in componentWillMount or componentDidMount, will be batched\n    // according to the current batching strategy.\n\n    ReactUpdates.batchedUpdates(batchedMountComponentIntoNode, componentInstance, reactRootID, container, shouldReuseMarkup, context);\n\n    if (\"development\" !== 'production') {\n      // Record the root element in case it later gets transplanted.\n      rootElementsByReactRootID[reactRootID] = getReactRootElementInContainer(container);\n    }\n\n    return componentInstance;\n  },\n\n  /**\n   * Renders a React component into the DOM in the supplied `container`.\n   *\n   * If the React component was previously rendered into `container`, this will\n   * perform an update on it and only mutate the DOM as necessary to reflect the\n   * latest React component.\n   *\n   * @param {ReactComponent} parentComponent The conceptual parent of this render tree.\n   * @param {ReactElement} nextElement Component element to render.\n   * @param {DOMElement} container DOM element to render into.\n   * @param {?function} callback function triggered on completion\n   * @return {ReactComponent} Component instance rendered in `container`.\n   */\n  renderSubtreeIntoContainer: function (parentComponent, nextElement, container, callback) {\n    !(parentComponent != null && parentComponent._reactInternalInstance != null) ? \"development\" !== 'production' ? invariant(false, 'parentComponent must be a valid React Component') : invariant(false) : undefined;\n    return ReactMount._renderSubtreeIntoContainer(parentComponent, nextElement, container, callback);\n  },\n\n  _renderSubtreeIntoContainer: function (parentComponent, nextElement, container, callback) {\n    !ReactElement.isValidElement(nextElement) ? \"development\" !== 'production' ? invariant(false, 'ReactDOM.render(): Invalid component element.%s', typeof nextElement === 'string' ? ' Instead of passing an element string, make sure to instantiate ' + 'it by passing it to React.createElement.' : typeof nextElement === 'function' ? ' Instead of passing a component class, make sure to instantiate ' + 'it by passing it to React.createElement.' :\n    // Check if it quacks like an element\n    nextElement != null && nextElement.props !== undefined ? ' This may be caused by unintentionally loading two independent ' + 'copies of React.' : '') : invariant(false) : undefined;\n\n    \"development\" !== 'production' ? warning(!container || !container.tagName || container.tagName.toUpperCase() !== 'BODY', 'render(): Rendering components directly into document.body is ' + 'discouraged, since its children are often manipulated by third-party ' + 'scripts and browser extensions. This may lead to subtle ' + 'reconciliation issues. Try rendering into a container element created ' + 'for your app.') : undefined;\n\n    var nextWrappedElement = new ReactElement(TopLevelWrapper, null, null, null, null, null, nextElement);\n\n    var prevComponent = instancesByReactRootID[getReactRootID(container)];\n\n    if (prevComponent) {\n      var prevWrappedElement = prevComponent._currentElement;\n      var prevElement = prevWrappedElement.props;\n      if (shouldUpdateReactComponent(prevElement, nextElement)) {\n        var publicInst = prevComponent._renderedComponent.getPublicInstance();\n        var updatedCallback = callback && function () {\n          callback.call(publicInst);\n        };\n        ReactMount._updateRootComponent(prevComponent, nextWrappedElement, container, updatedCallback);\n        return publicInst;\n      } else {\n        ReactMount.unmountComponentAtNode(container);\n      }\n    }\n\n    var reactRootElement = getReactRootElementInContainer(container);\n    var containerHasReactMarkup = reactRootElement && !!internalGetID(reactRootElement);\n    var containerHasNonRootReactChild = hasNonRootReactChild(container);\n\n    if (\"development\" !== 'production') {\n      \"development\" !== 'production' ? warning(!containerHasNonRootReactChild, 'render(...): Replacing React-rendered children with a new root ' + 'component. If you intended to update the children of this node, ' + 'you should instead have the existing children update their state ' + 'and render the new components instead of calling ReactDOM.render.') : undefined;\n\n      if (!containerHasReactMarkup || reactRootElement.nextSibling) {\n        var rootElementSibling = reactRootElement;\n        while (rootElementSibling) {\n          if (internalGetID(rootElementSibling)) {\n            \"development\" !== 'production' ? warning(false, 'render(): Target node has markup rendered by React, but there ' + 'are unrelated nodes as well. This is most commonly caused by ' + 'white-space inserted around server-rendered markup.') : undefined;\n            break;\n          }\n          rootElementSibling = rootElementSibling.nextSibling;\n        }\n      }\n    }\n\n    var shouldReuseMarkup = containerHasReactMarkup && !prevComponent && !containerHasNonRootReactChild;\n    var component = ReactMount._renderNewRootComponent(nextWrappedElement, container, shouldReuseMarkup, parentComponent != null ? parentComponent._reactInternalInstance._processChildContext(parentComponent._reactInternalInstance._context) : emptyObject)._renderedComponent.getPublicInstance();\n    if (callback) {\n      callback.call(component);\n    }\n    return component;\n  },\n\n  /**\n   * Renders a React component into the DOM in the supplied `container`.\n   *\n   * If the React component was previously rendered into `container`, this will\n   * perform an update on it and only mutate the DOM as necessary to reflect the\n   * latest React component.\n   *\n   * @param {ReactElement} nextElement Component element to render.\n   * @param {DOMElement} container DOM element to render into.\n   * @param {?function} callback function triggered on completion\n   * @return {ReactComponent} Component instance rendered in `container`.\n   */\n  render: function (nextElement, container, callback) {\n    return ReactMount._renderSubtreeIntoContainer(null, nextElement, container, callback);\n  },\n\n  /**\n   * Registers a container node into which React components will be rendered.\n   * This also creates the \"reactRoot\" ID that will be assigned to the element\n   * rendered within.\n   *\n   * @param {DOMElement} container DOM element to register as a container.\n   * @return {string} The \"reactRoot\" ID of elements rendered within.\n   */\n  registerContainer: function (container) {\n    var reactRootID = getReactRootID(container);\n    if (reactRootID) {\n      // If one exists, make sure it is a valid \"reactRoot\" ID.\n      reactRootID = ReactInstanceHandles.getReactRootIDFromNodeID(reactRootID);\n    }\n    if (!reactRootID) {\n      // No valid \"reactRoot\" ID found, create one.\n      reactRootID = ReactInstanceHandles.createReactRootID();\n    }\n    containersByReactRootID[reactRootID] = container;\n    return reactRootID;\n  },\n\n  /**\n   * Unmounts and destroys the React component rendered in the `container`.\n   *\n   * @param {DOMElement} container DOM element containing a React component.\n   * @return {boolean} True if a component was found in and unmounted from\n   *                   `container`\n   */\n  unmountComponentAtNode: function (container) {\n    // Various parts of our code (such as ReactCompositeComponent's\n    // _renderValidatedComponent) assume that calls to render aren't nested;\n    // verify that that's the case. (Strictly speaking, unmounting won't cause a\n    // render but we still don't expect to be in a render call here.)\n    \"development\" !== 'production' ? warning(ReactCurrentOwner.current == null, 'unmountComponentAtNode(): Render methods should be a pure function ' + 'of props and state; triggering nested component updates from render ' + 'is not allowed. If necessary, trigger nested updates in ' + 'componentDidUpdate. Check the render method of %s.', ReactCurrentOwner.current && ReactCurrentOwner.current.getName() || 'ReactCompositeComponent') : undefined;\n\n    !(container && (container.nodeType === ELEMENT_NODE_TYPE || container.nodeType === DOC_NODE_TYPE || container.nodeType === DOCUMENT_FRAGMENT_NODE_TYPE)) ? \"development\" !== 'production' ? invariant(false, 'unmountComponentAtNode(...): Target container is not a DOM element.') : invariant(false) : undefined;\n\n    var reactRootID = getReactRootID(container);\n    var component = instancesByReactRootID[reactRootID];\n    if (!component) {\n      // Check if the node being unmounted was rendered by React, but isn't a\n      // root node.\n      var containerHasNonRootReactChild = hasNonRootReactChild(container);\n\n      // Check if the container itself is a React root node.\n      var containerID = internalGetID(container);\n      var isContainerReactRoot = containerID && containerID === ReactInstanceHandles.getReactRootIDFromNodeID(containerID);\n\n      if (\"development\" !== 'production') {\n        \"development\" !== 'production' ? warning(!containerHasNonRootReactChild, 'unmountComponentAtNode(): The node you\\'re attempting to unmount ' + 'was rendered by React and is not a top-level container. %s', isContainerReactRoot ? 'You may have accidentally passed in a React root node instead ' + 'of its container.' : 'Instead, have the parent component update its state and ' + 'rerender in order to remove this component.') : undefined;\n      }\n\n      return false;\n    }\n    ReactUpdates.batchedUpdates(unmountComponentFromNode, component, container);\n    delete instancesByReactRootID[reactRootID];\n    delete containersByReactRootID[reactRootID];\n    if (\"development\" !== 'production') {\n      delete rootElementsByReactRootID[reactRootID];\n    }\n    return true;\n  },\n\n  /**\n   * Finds the container DOM element that contains React component to which the\n   * supplied DOM `id` belongs.\n   *\n   * @param {string} id The ID of an element rendered by a React component.\n   * @return {?DOMElement} DOM element that contains the `id`.\n   */\n  findReactContainerForID: function (id) {\n    var reactRootID = ReactInstanceHandles.getReactRootIDFromNodeID(id);\n    var container = containersByReactRootID[reactRootID];\n\n    if (\"development\" !== 'production') {\n      var rootElement = rootElementsByReactRootID[reactRootID];\n      if (rootElement && rootElement.parentNode !== container) {\n        \"development\" !== 'production' ? warning(\n        // Call internalGetID here because getID calls isValid which calls\n        // findReactContainerForID (this function).\n        internalGetID(rootElement) === reactRootID, 'ReactMount: Root element ID differed from reactRootID.') : undefined;\n        var containerChild = container.firstChild;\n        if (containerChild && reactRootID === internalGetID(containerChild)) {\n          // If the container has a new child with the same ID as the old\n          // root element, then rootElementsByReactRootID[reactRootID] is\n          // just stale and needs to be updated. The case that deserves a\n          // warning is when the container is empty.\n          rootElementsByReactRootID[reactRootID] = containerChild;\n        } else {\n          \"development\" !== 'production' ? warning(false, 'ReactMount: Root element has been removed from its original ' + 'container. New container: %s', rootElement.parentNode) : undefined;\n        }\n      }\n    }\n\n    return container;\n  },\n\n  /**\n   * Finds an element rendered by React with the supplied ID.\n   *\n   * @param {string} id ID of a DOM node in the React component.\n   * @return {DOMElement} Root DOM node of the React component.\n   */\n  findReactNodeByID: function (id) {\n    var reactRoot = ReactMount.findReactContainerForID(id);\n    return ReactMount.findComponentRoot(reactRoot, id);\n  },\n\n  /**\n   * Traverses up the ancestors of the supplied node to find a node that is a\n   * DOM representation of a React component rendered by this copy of React.\n   *\n   * @param {*} node\n   * @return {?DOMEventTarget}\n   * @internal\n   */\n  getFirstReactDOM: function (node) {\n    return findFirstReactDOMImpl(node);\n  },\n\n  /**\n   * Finds a node with the supplied `targetID` inside of the supplied\n   * `ancestorNode`.  Exploits the ID naming scheme to perform the search\n   * quickly.\n   *\n   * @param {DOMEventTarget} ancestorNode Search from this root.\n   * @pararm {string} targetID ID of the DOM representation of the component.\n   * @return {DOMEventTarget} DOM node with the supplied `targetID`.\n   * @internal\n   */\n  findComponentRoot: function (ancestorNode, targetID) {\n    var firstChildren = findComponentRootReusableArray;\n    var childIndex = 0;\n\n    var deepestAncestor = findDeepestCachedAncestor(targetID) || ancestorNode;\n\n    if (\"development\" !== 'production') {\n      // This will throw on the next line; give an early warning\n      \"development\" !== 'production' ? warning(deepestAncestor != null, 'React can\\'t find the root component node for data-reactid value ' + '`%s`. If you\\'re seeing this message, it probably means that ' + 'you\\'ve loaded two copies of React on the page. At this time, only ' + 'a single copy of React can be loaded at a time.', targetID) : undefined;\n    }\n\n    firstChildren[0] = deepestAncestor.firstChild;\n    firstChildren.length = 1;\n\n    while (childIndex < firstChildren.length) {\n      var child = firstChildren[childIndex++];\n      var targetChild;\n\n      while (child) {\n        var childID = ReactMount.getID(child);\n        if (childID) {\n          // Even if we find the node we're looking for, we finish looping\n          // through its siblings to ensure they're cached so that we don't have\n          // to revisit this node again. Otherwise, we make n^2 calls to getID\n          // when visiting the many children of a single node in order.\n\n          if (targetID === childID) {\n            targetChild = child;\n          } else if (ReactInstanceHandles.isAncestorIDOf(childID, targetID)) {\n            // If we find a child whose ID is an ancestor of the given ID,\n            // then we can be sure that we only want to search the subtree\n            // rooted at this child, so we can throw out the rest of the\n            // search state.\n            firstChildren.length = childIndex = 0;\n            firstChildren.push(child.firstChild);\n          }\n        } else {\n          // If this child had no ID, then there's a chance that it was\n          // injected automatically by the browser, as when a `<table>`\n          // element sprouts an extra `<tbody>` child as a side effect of\n          // `.innerHTML` parsing. Optimistically continue down this\n          // branch, but not before examining the other siblings.\n          firstChildren.push(child.firstChild);\n        }\n\n        child = child.nextSibling;\n      }\n\n      if (targetChild) {\n        // Emptying firstChildren/findComponentRootReusableArray is\n        // not necessary for correctness, but it helps the GC reclaim\n        // any nodes that were left at the end of the search.\n        firstChildren.length = 0;\n\n        return targetChild;\n      }\n    }\n\n    firstChildren.length = 0;\n\n    !false ? \"development\" !== 'production' ? invariant(false, 'findComponentRoot(..., %s): Unable to find element. This probably ' + 'means the DOM was unexpectedly mutated (e.g., by the browser), ' + 'usually due to forgetting a <tbody> when using tables, nesting tags ' + 'like <form>, <p>, or <a>, or using non-SVG elements in an <svg> ' + 'parent. ' + 'Try inspecting the child nodes of the element with React ID `%s`.', targetID, ReactMount.getID(ancestorNode)) : invariant(false) : undefined;\n  },\n\n  _mountImageIntoNode: function (markup, container, shouldReuseMarkup, transaction) {\n    !(container && (container.nodeType === ELEMENT_NODE_TYPE || container.nodeType === DOC_NODE_TYPE || container.nodeType === DOCUMENT_FRAGMENT_NODE_TYPE)) ? \"development\" !== 'production' ? invariant(false, 'mountComponentIntoNode(...): Target container is not valid.') : invariant(false) : undefined;\n\n    if (shouldReuseMarkup) {\n      var rootElement = getReactRootElementInContainer(container);\n      if (ReactMarkupChecksum.canReuseMarkup(markup, rootElement)) {\n        return;\n      } else {\n        var checksum = rootElement.getAttribute(ReactMarkupChecksum.CHECKSUM_ATTR_NAME);\n        rootElement.removeAttribute(ReactMarkupChecksum.CHECKSUM_ATTR_NAME);\n\n        var rootMarkup = rootElement.outerHTML;\n        rootElement.setAttribute(ReactMarkupChecksum.CHECKSUM_ATTR_NAME, checksum);\n\n        var normalizedMarkup = markup;\n        if (\"development\" !== 'production') {\n          // because rootMarkup is retrieved from the DOM, various normalizations\n          // will have occurred which will not be present in `markup`. Here,\n          // insert markup into a <div> or <iframe> depending on the container\n          // type to perform the same normalizations before comparing.\n          var normalizer;\n          if (container.nodeType === ELEMENT_NODE_TYPE) {\n            normalizer = document.createElement('div');\n            normalizer.innerHTML = markup;\n            normalizedMarkup = normalizer.innerHTML;\n          } else {\n            normalizer = document.createElement('iframe');\n            document.body.appendChild(normalizer);\n            normalizer.contentDocument.write(markup);\n            normalizedMarkup = normalizer.contentDocument.documentElement.outerHTML;\n            document.body.removeChild(normalizer);\n          }\n        }\n\n        var diffIndex = firstDifferenceIndex(normalizedMarkup, rootMarkup);\n        var difference = ' (client) ' + normalizedMarkup.substring(diffIndex - 20, diffIndex + 20) + '\\n (server) ' + rootMarkup.substring(diffIndex - 20, diffIndex + 20);\n\n        !(container.nodeType !== DOC_NODE_TYPE) ? \"development\" !== 'production' ? invariant(false, 'You\\'re trying to render a component to the document using ' + 'server rendering but the checksum was invalid. This usually ' + 'means you rendered a different component type or props on ' + 'the client from the one on the server, or your render() ' + 'methods are impure. React cannot handle this case due to ' + 'cross-browser quirks by rendering at the document root. You ' + 'should look for environment dependent code in your components ' + 'and ensure the props are the same client and server side:\\n%s', difference) : invariant(false) : undefined;\n\n        if (\"development\" !== 'production') {\n          \"development\" !== 'production' ? warning(false, 'React attempted to reuse markup in a container but the ' + 'checksum was invalid. This generally means that you are ' + 'using server rendering and the markup generated on the ' + 'server was not what the client was expecting. React injected ' + 'new markup to compensate which works but you have lost many ' + 'of the benefits of server rendering. Instead, figure out ' + 'why the markup being generated is different on the client ' + 'or server:\\n%s', difference) : undefined;\n        }\n      }\n    }\n\n    !(container.nodeType !== DOC_NODE_TYPE) ? \"development\" !== 'production' ? invariant(false, 'You\\'re trying to render a component to the document but ' + 'you didn\\'t use server rendering. We can\\'t do this ' + 'without using server rendering due to cross-browser quirks. ' + 'See ReactDOMServer.renderToString() for server rendering.') : invariant(false) : undefined;\n\n    if (transaction.useCreateElement) {\n      while (container.lastChild) {\n        container.removeChild(container.lastChild);\n      }\n      container.appendChild(markup);\n    } else {\n      setInnerHTML(container, markup);\n    }\n  },\n\n  ownerDocumentContextKey: ownerDocumentContextKey,\n\n  /**\n   * React ID utilities.\n   */\n\n  getReactRootID: getReactRootID,\n\n  getID: getID,\n\n  setID: setID,\n\n  getNode: getNode,\n\n  getNodeFromInstance: getNodeFromInstance,\n\n  isValid: isValid,\n\n  purgeID: purgeID\n};\n\nReactPerf.measureMethods(ReactMount, 'ReactMount', {\n  _renderNewRootComponent: '_renderNewRootComponent',\n  _mountImageIntoNode: '_mountImageIntoNode'\n});\n\nmodule.exports = ReactMount;\n},{\"10\":10,\"132\":132,\"138\":138,\"141\":141,\"144\":144,\"150\":150,\"154\":154,\"161\":161,\"173\":173,\"24\":24,\"28\":28,\"39\":39,\"44\":44,\"57\":57,\"60\":60,\"67\":67,\"68\":68,\"71\":71,\"78\":78,\"84\":84,\"95\":95,\"96\":96}],73:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactMultiChild\n * @typechecks static-only\n */\n\n'use strict';\n\nvar ReactComponentEnvironment = _dereq_(36);\nvar ReactMultiChildUpdateTypes = _dereq_(74);\n\nvar ReactCurrentOwner = _dereq_(39);\nvar ReactReconciler = _dereq_(84);\nvar ReactChildReconciler = _dereq_(31);\n\nvar flattenChildren = _dereq_(123);\n\n/**\n * Updating children of a component may trigger recursive updates. The depth is\n * used to batch recursive updates to render markup more efficiently.\n *\n * @type {number}\n * @private\n */\nvar updateDepth = 0;\n\n/**\n * Queue of update configuration objects.\n *\n * Each object has a `type` property that is in `ReactMultiChildUpdateTypes`.\n *\n * @type {array<object>}\n * @private\n */\nvar updateQueue = [];\n\n/**\n * Queue of markup to be rendered.\n *\n * @type {array<string>}\n * @private\n */\nvar markupQueue = [];\n\n/**\n * Enqueues markup to be rendered and inserted at a supplied index.\n *\n * @param {string} parentID ID of the parent component.\n * @param {string} markup Markup that renders into an element.\n * @param {number} toIndex Destination index.\n * @private\n */\nfunction enqueueInsertMarkup(parentID, markup, toIndex) {\n  // NOTE: Null values reduce hidden classes.\n  updateQueue.push({\n    parentID: parentID,\n    parentNode: null,\n    type: ReactMultiChildUpdateTypes.INSERT_MARKUP,\n    markupIndex: markupQueue.push(markup) - 1,\n    content: null,\n    fromIndex: null,\n    toIndex: toIndex\n  });\n}\n\n/**\n * Enqueues moving an existing element to another index.\n *\n * @param {string} parentID ID of the parent component.\n * @param {number} fromIndex Source index of the existing element.\n * @param {number} toIndex Destination index of the element.\n * @private\n */\nfunction enqueueMove(parentID, fromIndex, toIndex) {\n  // NOTE: Null values reduce hidden classes.\n  updateQueue.push({\n    parentID: parentID,\n    parentNode: null,\n    type: ReactMultiChildUpdateTypes.MOVE_EXISTING,\n    markupIndex: null,\n    content: null,\n    fromIndex: fromIndex,\n    toIndex: toIndex\n  });\n}\n\n/**\n * Enqueues removing an element at an index.\n *\n * @param {string} parentID ID of the parent component.\n * @param {number} fromIndex Index of the element to remove.\n * @private\n */\nfunction enqueueRemove(parentID, fromIndex) {\n  // NOTE: Null values reduce hidden classes.\n  updateQueue.push({\n    parentID: parentID,\n    parentNode: null,\n    type: ReactMultiChildUpdateTypes.REMOVE_NODE,\n    markupIndex: null,\n    content: null,\n    fromIndex: fromIndex,\n    toIndex: null\n  });\n}\n\n/**\n * Enqueues setting the markup of a node.\n *\n * @param {string} parentID ID of the parent component.\n * @param {string} markup Markup that renders into an element.\n * @private\n */\nfunction enqueueSetMarkup(parentID, markup) {\n  // NOTE: Null values reduce hidden classes.\n  updateQueue.push({\n    parentID: parentID,\n    parentNode: null,\n    type: ReactMultiChildUpdateTypes.SET_MARKUP,\n    markupIndex: null,\n    content: markup,\n    fromIndex: null,\n    toIndex: null\n  });\n}\n\n/**\n * Enqueues setting the text content.\n *\n * @param {string} parentID ID of the parent component.\n * @param {string} textContent Text content to set.\n * @private\n */\nfunction enqueueTextContent(parentID, textContent) {\n  // NOTE: Null values reduce hidden classes.\n  updateQueue.push({\n    parentID: parentID,\n    parentNode: null,\n    type: ReactMultiChildUpdateTypes.TEXT_CONTENT,\n    markupIndex: null,\n    content: textContent,\n    fromIndex: null,\n    toIndex: null\n  });\n}\n\n/**\n * Processes any enqueued updates.\n *\n * @private\n */\nfunction processQueue() {\n  if (updateQueue.length) {\n    ReactComponentEnvironment.processChildrenUpdates(updateQueue, markupQueue);\n    clearQueue();\n  }\n}\n\n/**\n * Clears any enqueued updates.\n *\n * @private\n */\nfunction clearQueue() {\n  updateQueue.length = 0;\n  markupQueue.length = 0;\n}\n\n/**\n * ReactMultiChild are capable of reconciling multiple children.\n *\n * @class ReactMultiChild\n * @internal\n */\nvar ReactMultiChild = {\n\n  /**\n   * Provides common functionality for components that must reconcile multiple\n   * children. This is used by `ReactDOMComponent` to mount, update, and\n   * unmount child components.\n   *\n   * @lends {ReactMultiChild.prototype}\n   */\n  Mixin: {\n\n    _reconcilerInstantiateChildren: function (nestedChildren, transaction, context) {\n      if (\"development\" !== 'production') {\n        if (this._currentElement) {\n          try {\n            ReactCurrentOwner.current = this._currentElement._owner;\n            return ReactChildReconciler.instantiateChildren(nestedChildren, transaction, context);\n          } finally {\n            ReactCurrentOwner.current = null;\n          }\n        }\n      }\n      return ReactChildReconciler.instantiateChildren(nestedChildren, transaction, context);\n    },\n\n    _reconcilerUpdateChildren: function (prevChildren, nextNestedChildrenElements, transaction, context) {\n      var nextChildren;\n      if (\"development\" !== 'production') {\n        if (this._currentElement) {\n          try {\n            ReactCurrentOwner.current = this._currentElement._owner;\n            nextChildren = flattenChildren(nextNestedChildrenElements);\n          } finally {\n            ReactCurrentOwner.current = null;\n          }\n          return ReactChildReconciler.updateChildren(prevChildren, nextChildren, transaction, context);\n        }\n      }\n      nextChildren = flattenChildren(nextNestedChildrenElements);\n      return ReactChildReconciler.updateChildren(prevChildren, nextChildren, transaction, context);\n    },\n\n    /**\n     * Generates a \"mount image\" for each of the supplied children. In the case\n     * of `ReactDOMComponent`, a mount image is a string of markup.\n     *\n     * @param {?object} nestedChildren Nested child maps.\n     * @return {array} An array of mounted representations.\n     * @internal\n     */\n    mountChildren: function (nestedChildren, transaction, context) {\n      var children = this._reconcilerInstantiateChildren(nestedChildren, transaction, context);\n      this._renderedChildren = children;\n      var mountImages = [];\n      var index = 0;\n      for (var name in children) {\n        if (children.hasOwnProperty(name)) {\n          var child = children[name];\n          // Inlined for performance, see `ReactInstanceHandles.createReactID`.\n          var rootID = this._rootNodeID + name;\n          var mountImage = ReactReconciler.mountComponent(child, rootID, transaction, context);\n          child._mountIndex = index++;\n          mountImages.push(mountImage);\n        }\n      }\n      return mountImages;\n    },\n\n    /**\n     * Replaces any rendered children with a text content string.\n     *\n     * @param {string} nextContent String of content.\n     * @internal\n     */\n    updateTextContent: function (nextContent) {\n      updateDepth++;\n      var errorThrown = true;\n      try {\n        var prevChildren = this._renderedChildren;\n        // Remove any rendered children.\n        ReactChildReconciler.unmountChildren(prevChildren);\n        // TODO: The setTextContent operation should be enough\n        for (var name in prevChildren) {\n          if (prevChildren.hasOwnProperty(name)) {\n            this._unmountChild(prevChildren[name]);\n          }\n        }\n        // Set new text content.\n        this.setTextContent(nextContent);\n        errorThrown = false;\n      } finally {\n        updateDepth--;\n        if (!updateDepth) {\n          if (errorThrown) {\n            clearQueue();\n          } else {\n            processQueue();\n          }\n        }\n      }\n    },\n\n    /**\n     * Replaces any rendered children with a markup string.\n     *\n     * @param {string} nextMarkup String of markup.\n     * @internal\n     */\n    updateMarkup: function (nextMarkup) {\n      updateDepth++;\n      var errorThrown = true;\n      try {\n        var prevChildren = this._renderedChildren;\n        // Remove any rendered children.\n        ReactChildReconciler.unmountChildren(prevChildren);\n        for (var name in prevChildren) {\n          if (prevChildren.hasOwnProperty(name)) {\n            this._unmountChildByName(prevChildren[name], name);\n          }\n        }\n        this.setMarkup(nextMarkup);\n        errorThrown = false;\n      } finally {\n        updateDepth--;\n        if (!updateDepth) {\n          if (errorThrown) {\n            clearQueue();\n          } else {\n            processQueue();\n          }\n        }\n      }\n    },\n\n    /**\n     * Updates the rendered children with new children.\n     *\n     * @param {?object} nextNestedChildrenElements Nested child element maps.\n     * @param {ReactReconcileTransaction} transaction\n     * @internal\n     */\n    updateChildren: function (nextNestedChildrenElements, transaction, context) {\n      updateDepth++;\n      var errorThrown = true;\n      try {\n        this._updateChildren(nextNestedChildrenElements, transaction, context);\n        errorThrown = false;\n      } finally {\n        updateDepth--;\n        if (!updateDepth) {\n          if (errorThrown) {\n            clearQueue();\n          } else {\n            processQueue();\n          }\n        }\n      }\n    },\n\n    /**\n     * Improve performance by isolating this hot code path from the try/catch\n     * block in `updateChildren`.\n     *\n     * @param {?object} nextNestedChildrenElements Nested child element maps.\n     * @param {ReactReconcileTransaction} transaction\n     * @final\n     * @protected\n     */\n    _updateChildren: function (nextNestedChildrenElements, transaction, context) {\n      var prevChildren = this._renderedChildren;\n      var nextChildren = this._reconcilerUpdateChildren(prevChildren, nextNestedChildrenElements, transaction, context);\n      this._renderedChildren = nextChildren;\n      if (!nextChildren && !prevChildren) {\n        return;\n      }\n      var name;\n      // `nextIndex` will increment for each child in `nextChildren`, but\n      // `lastIndex` will be the last index visited in `prevChildren`.\n      var lastIndex = 0;\n      var nextIndex = 0;\n      for (name in nextChildren) {\n        if (!nextChildren.hasOwnProperty(name)) {\n          continue;\n        }\n        var prevChild = prevChildren && prevChildren[name];\n        var nextChild = nextChildren[name];\n        if (prevChild === nextChild) {\n          this.moveChild(prevChild, nextIndex, lastIndex);\n          lastIndex = Math.max(prevChild._mountIndex, lastIndex);\n          prevChild._mountIndex = nextIndex;\n        } else {\n          if (prevChild) {\n            // Update `lastIndex` before `_mountIndex` gets unset by unmounting.\n            lastIndex = Math.max(prevChild._mountIndex, lastIndex);\n            this._unmountChild(prevChild);\n          }\n          // The child must be instantiated before it's mounted.\n          this._mountChildByNameAtIndex(nextChild, name, nextIndex, transaction, context);\n        }\n        nextIndex++;\n      }\n      // Remove children that are no longer present.\n      for (name in prevChildren) {\n        if (prevChildren.hasOwnProperty(name) && !(nextChildren && nextChildren.hasOwnProperty(name))) {\n          this._unmountChild(prevChildren[name]);\n        }\n      }\n    },\n\n    /**\n     * Unmounts all rendered children. This should be used to clean up children\n     * when this component is unmounted.\n     *\n     * @internal\n     */\n    unmountChildren: function () {\n      var renderedChildren = this._renderedChildren;\n      ReactChildReconciler.unmountChildren(renderedChildren);\n      this._renderedChildren = null;\n    },\n\n    /**\n     * Moves a child component to the supplied index.\n     *\n     * @param {ReactComponent} child Component to move.\n     * @param {number} toIndex Destination index of the element.\n     * @param {number} lastIndex Last index visited of the siblings of `child`.\n     * @protected\n     */\n    moveChild: function (child, toIndex, lastIndex) {\n      // If the index of `child` is less than `lastIndex`, then it needs to\n      // be moved. Otherwise, we do not need to move it because a child will be\n      // inserted or moved before `child`.\n      if (child._mountIndex < lastIndex) {\n        enqueueMove(this._rootNodeID, child._mountIndex, toIndex);\n      }\n    },\n\n    /**\n     * Creates a child component.\n     *\n     * @param {ReactComponent} child Component to create.\n     * @param {string} mountImage Markup to insert.\n     * @protected\n     */\n    createChild: function (child, mountImage) {\n      enqueueInsertMarkup(this._rootNodeID, mountImage, child._mountIndex);\n    },\n\n    /**\n     * Removes a child component.\n     *\n     * @param {ReactComponent} child Child to remove.\n     * @protected\n     */\n    removeChild: function (child) {\n      enqueueRemove(this._rootNodeID, child._mountIndex);\n    },\n\n    /**\n     * Sets this text content string.\n     *\n     * @param {string} textContent Text content to set.\n     * @protected\n     */\n    setTextContent: function (textContent) {\n      enqueueTextContent(this._rootNodeID, textContent);\n    },\n\n    /**\n     * Sets this markup string.\n     *\n     * @param {string} markup Markup to set.\n     * @protected\n     */\n    setMarkup: function (markup) {\n      enqueueSetMarkup(this._rootNodeID, markup);\n    },\n\n    /**\n     * Mounts a child with the supplied name.\n     *\n     * NOTE: This is part of `updateChildren` and is here for readability.\n     *\n     * @param {ReactComponent} child Component to mount.\n     * @param {string} name Name of the child.\n     * @param {number} index Index at which to insert the child.\n     * @param {ReactReconcileTransaction} transaction\n     * @private\n     */\n    _mountChildByNameAtIndex: function (child, name, index, transaction, context) {\n      // Inlined for performance, see `ReactInstanceHandles.createReactID`.\n      var rootID = this._rootNodeID + name;\n      var mountImage = ReactReconciler.mountComponent(child, rootID, transaction, context);\n      child._mountIndex = index;\n      this.createChild(child, mountImage);\n    },\n\n    /**\n     * Unmounts a rendered child.\n     *\n     * NOTE: This is part of `updateChildren` and is here for readability.\n     *\n     * @param {ReactComponent} child Component to unmount.\n     * @private\n     */\n    _unmountChild: function (child) {\n      this.removeChild(child);\n      child._mountIndex = null;\n    }\n\n  }\n\n};\n\nmodule.exports = ReactMultiChild;\n},{\"123\":123,\"31\":31,\"36\":36,\"39\":39,\"74\":74,\"84\":84}],74:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactMultiChildUpdateTypes\n */\n\n'use strict';\n\nvar keyMirror = _dereq_(165);\n\n/**\n * When a component's children are updated, a series of update configuration\n * objects are created in order to batch and serialize the required changes.\n *\n * Enumerates all the possible types of update configurations.\n *\n * @internal\n */\nvar ReactMultiChildUpdateTypes = keyMirror({\n  INSERT_MARKUP: null,\n  MOVE_EXISTING: null,\n  REMOVE_NODE: null,\n  SET_MARKUP: null,\n  TEXT_CONTENT: null\n});\n\nmodule.exports = ReactMultiChildUpdateTypes;\n},{\"165\":165}],75:[function(_dereq_,module,exports){\n/**\n * Copyright 2014-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactNativeComponent\n */\n\n'use strict';\n\nvar assign = _dereq_(24);\nvar invariant = _dereq_(161);\n\nvar autoGenerateWrapperClass = null;\nvar genericComponentClass = null;\n// This registry keeps track of wrapper classes around native tags.\nvar tagToComponentClass = {};\nvar textComponentClass = null;\n\nvar ReactNativeComponentInjection = {\n  // This accepts a class that receives the tag string. This is a catch all\n  // that can render any kind of tag.\n  injectGenericComponentClass: function (componentClass) {\n    genericComponentClass = componentClass;\n  },\n  // This accepts a text component class that takes the text string to be\n  // rendered as props.\n  injectTextComponentClass: function (componentClass) {\n    textComponentClass = componentClass;\n  },\n  // This accepts a keyed object with classes as values. Each key represents a\n  // tag. That particular tag will use this class instead of the generic one.\n  injectComponentClasses: function (componentClasses) {\n    assign(tagToComponentClass, componentClasses);\n  }\n};\n\n/**\n * Get a composite component wrapper class for a specific tag.\n *\n * @param {ReactElement} element The tag for which to get the class.\n * @return {function} The React class constructor function.\n */\nfunction getComponentClassForElement(element) {\n  if (typeof element.type === 'function') {\n    return element.type;\n  }\n  var tag = element.type;\n  var componentClass = tagToComponentClass[tag];\n  if (componentClass == null) {\n    tagToComponentClass[tag] = componentClass = autoGenerateWrapperClass(tag);\n  }\n  return componentClass;\n}\n\n/**\n * Get a native internal component class for a specific tag.\n *\n * @param {ReactElement} element The element to create.\n * @return {function} The internal class constructor function.\n */\nfunction createInternalComponent(element) {\n  !genericComponentClass ? \"development\" !== 'production' ? invariant(false, 'There is no registered component for the tag %s', element.type) : invariant(false) : undefined;\n  return new genericComponentClass(element.type, element.props);\n}\n\n/**\n * @param {ReactText} text\n * @return {ReactComponent}\n */\nfunction createInstanceForText(text) {\n  return new textComponentClass(text);\n}\n\n/**\n * @param {ReactComponent} component\n * @return {boolean}\n */\nfunction isTextComponent(component) {\n  return component instanceof textComponentClass;\n}\n\nvar ReactNativeComponent = {\n  getComponentClassForElement: getComponentClassForElement,\n  createInternalComponent: createInternalComponent,\n  createInstanceForText: createInstanceForText,\n  isTextComponent: isTextComponent,\n  injection: ReactNativeComponentInjection\n};\n\nmodule.exports = ReactNativeComponent;\n},{\"161\":161,\"24\":24}],76:[function(_dereq_,module,exports){\n/**\n * Copyright 2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactNoopUpdateQueue\n */\n\n'use strict';\n\nvar warning = _dereq_(173);\n\nfunction warnTDZ(publicInstance, callerName) {\n  if (\"development\" !== 'production') {\n    \"development\" !== 'production' ? warning(false, '%s(...): Can only update a mounted or mounting component. ' + 'This usually means you called %s() on an unmounted component. ' + 'This is a no-op. Please check the code for the %s component.', callerName, callerName, publicInstance.constructor && publicInstance.constructor.displayName || '') : undefined;\n  }\n}\n\n/**\n * This is the abstract API for an update queue.\n */\nvar ReactNoopUpdateQueue = {\n\n  /**\n   * Checks whether or not this composite component is mounted.\n   * @param {ReactClass} publicInstance The instance we want to test.\n   * @return {boolean} True if mounted, false otherwise.\n   * @protected\n   * @final\n   */\n  isMounted: function (publicInstance) {\n    return false;\n  },\n\n  /**\n   * Enqueue a callback that will be executed after all the pending updates\n   * have processed.\n   *\n   * @param {ReactClass} publicInstance The instance to use as `this` context.\n   * @param {?function} callback Called after state is updated.\n   * @internal\n   */\n  enqueueCallback: function (publicInstance, callback) {},\n\n  /**\n   * Forces an update. This should only be invoked when it is known with\n   * certainty that we are **not** in a DOM transaction.\n   *\n   * You may want to call this when you know that some deeper aspect of the\n   * component's state has changed but `setState` was not called.\n   *\n   * This will not invoke `shouldComponentUpdate`, but it will invoke\n   * `componentWillUpdate` and `componentDidUpdate`.\n   *\n   * @param {ReactClass} publicInstance The instance that should rerender.\n   * @internal\n   */\n  enqueueForceUpdate: function (publicInstance) {\n    warnTDZ(publicInstance, 'forceUpdate');\n  },\n\n  /**\n   * Replaces all of the state. Always use this or `setState` to mutate state.\n   * You should treat `this.state` as immutable.\n   *\n   * There is no guarantee that `this.state` will be immediately updated, so\n   * accessing `this.state` after calling this method may return the old value.\n   *\n   * @param {ReactClass} publicInstance The instance that should rerender.\n   * @param {object} completeState Next state.\n   * @internal\n   */\n  enqueueReplaceState: function (publicInstance, completeState) {\n    warnTDZ(publicInstance, 'replaceState');\n  },\n\n  /**\n   * Sets a subset of the state. This only exists because _pendingState is\n   * internal. This provides a merging strategy that is not available to deep\n   * properties which is confusing. TODO: Expose pendingState or don't use it\n   * during the merge.\n   *\n   * @param {ReactClass} publicInstance The instance that should rerender.\n   * @param {object} partialState Next partial state to be merged with state.\n   * @internal\n   */\n  enqueueSetState: function (publicInstance, partialState) {\n    warnTDZ(publicInstance, 'setState');\n  },\n\n  /**\n   * Sets a subset of the props.\n   *\n   * @param {ReactClass} publicInstance The instance that should rerender.\n   * @param {object} partialProps Subset of the next props.\n   * @internal\n   */\n  enqueueSetProps: function (publicInstance, partialProps) {\n    warnTDZ(publicInstance, 'setProps');\n  },\n\n  /**\n   * Replaces all of the props.\n   *\n   * @param {ReactClass} publicInstance The instance that should rerender.\n   * @param {object} props New props.\n   * @internal\n   */\n  enqueueReplaceProps: function (publicInstance, props) {\n    warnTDZ(publicInstance, 'replaceProps');\n  }\n\n};\n\nmodule.exports = ReactNoopUpdateQueue;\n},{\"173\":173}],77:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactOwner\n */\n\n'use strict';\n\nvar invariant = _dereq_(161);\n\n/**\n * ReactOwners are capable of storing references to owned components.\n *\n * All components are capable of //being// referenced by owner components, but\n * only ReactOwner components are capable of //referencing// owned components.\n * The named reference is known as a \"ref\".\n *\n * Refs are available when mounted and updated during reconciliation.\n *\n *   var MyComponent = React.createClass({\n *     render: function() {\n *       return (\n *         <div onClick={this.handleClick}>\n *           <CustomComponent ref=\"custom\" />\n *         </div>\n *       );\n *     },\n *     handleClick: function() {\n *       this.refs.custom.handleClick();\n *     },\n *     componentDidMount: function() {\n *       this.refs.custom.initialize();\n *     }\n *   });\n *\n * Refs should rarely be used. When refs are used, they should only be done to\n * control data that is not handled by React's data flow.\n *\n * @class ReactOwner\n */\nvar ReactOwner = {\n\n  /**\n   * @param {?object} object\n   * @return {boolean} True if `object` is a valid owner.\n   * @final\n   */\n  isValidOwner: function (object) {\n    return !!(object && typeof object.attachRef === 'function' && typeof object.detachRef === 'function');\n  },\n\n  /**\n   * Adds a component by ref to an owner component.\n   *\n   * @param {ReactComponent} component Component to reference.\n   * @param {string} ref Name by which to refer to the component.\n   * @param {ReactOwner} owner Component on which to record the ref.\n   * @final\n   * @internal\n   */\n  addComponentAsRefTo: function (component, ref, owner) {\n    !ReactOwner.isValidOwner(owner) ? \"development\" !== 'production' ? invariant(false, 'addComponentAsRefTo(...): Only a ReactOwner can have refs. You might ' + 'be adding a ref to a component that was not created inside a component\\'s ' + '`render` method, or you have multiple copies of React loaded ' + '(details: https://fb.me/react-refs-must-have-owner).') : invariant(false) : undefined;\n    owner.attachRef(ref, component);\n  },\n\n  /**\n   * Removes a component by ref from an owner component.\n   *\n   * @param {ReactComponent} component Component to dereference.\n   * @param {string} ref Name of the ref to remove.\n   * @param {ReactOwner} owner Component on which the ref is recorded.\n   * @final\n   * @internal\n   */\n  removeComponentAsRefFrom: function (component, ref, owner) {\n    !ReactOwner.isValidOwner(owner) ? \"development\" !== 'production' ? invariant(false, 'removeComponentAsRefFrom(...): Only a ReactOwner can have refs. You might ' + 'be removing a ref to a component that was not created inside a component\\'s ' + '`render` method, or you have multiple copies of React loaded ' + '(details: https://fb.me/react-refs-must-have-owner).') : invariant(false) : undefined;\n    // Check that `component` is still the current ref because we do not want to\n    // detach the ref if another component stole it.\n    if (owner.getPublicInstance().refs[ref] === component.getPublicInstance()) {\n      owner.detachRef(ref);\n    }\n  }\n\n};\n\nmodule.exports = ReactOwner;\n},{\"161\":161}],78:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactPerf\n * @typechecks static-only\n */\n\n'use strict';\n\n/**\n * ReactPerf is a general AOP system designed to measure performance. This\n * module only has the hooks: see ReactDefaultPerf for the analysis tool.\n */\nvar ReactPerf = {\n  /**\n   * Boolean to enable/disable measurement. Set to false by default to prevent\n   * accidental logging and perf loss.\n   */\n  enableMeasure: false,\n\n  /**\n   * Holds onto the measure function in use. By default, don't measure\n   * anything, but we'll override this if we inject a measure function.\n   */\n  storedMeasure: _noMeasure,\n\n  /**\n   * @param {object} object\n   * @param {string} objectName\n   * @param {object<string>} methodNames\n   */\n  measureMethods: function (object, objectName, methodNames) {\n    if (\"development\" !== 'production') {\n      for (var key in methodNames) {\n        if (!methodNames.hasOwnProperty(key)) {\n          continue;\n        }\n        object[key] = ReactPerf.measure(objectName, methodNames[key], object[key]);\n      }\n    }\n  },\n\n  /**\n   * Use this to wrap methods you want to measure. Zero overhead in production.\n   *\n   * @param {string} objName\n   * @param {string} fnName\n   * @param {function} func\n   * @return {function}\n   */\n  measure: function (objName, fnName, func) {\n    if (\"development\" !== 'production') {\n      var measuredFunc = null;\n      var wrapper = function () {\n        if (ReactPerf.enableMeasure) {\n          if (!measuredFunc) {\n            measuredFunc = ReactPerf.storedMeasure(objName, fnName, func);\n          }\n          return measuredFunc.apply(this, arguments);\n        }\n        return func.apply(this, arguments);\n      };\n      wrapper.displayName = objName + '_' + fnName;\n      return wrapper;\n    }\n    return func;\n  },\n\n  injection: {\n    /**\n     * @param {function} measure\n     */\n    injectMeasure: function (measure) {\n      ReactPerf.storedMeasure = measure;\n    }\n  }\n};\n\n/**\n * Simply passes through the measured function, without measuring it.\n *\n * @param {string} objName\n * @param {string} fnName\n * @param {function} func\n * @return {function}\n */\nfunction _noMeasure(objName, fnName, func) {\n  return func;\n}\n\nmodule.exports = ReactPerf;\n},{}],79:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactPropTransferer\n */\n\n'use strict';\n\nvar assign = _dereq_(24);\nvar emptyFunction = _dereq_(153);\nvar joinClasses = _dereq_(164);\n\n/**\n * Creates a transfer strategy that will merge prop values using the supplied\n * `mergeStrategy`. If a prop was previously unset, this just sets it.\n *\n * @param {function} mergeStrategy\n * @return {function}\n */\nfunction createTransferStrategy(mergeStrategy) {\n  return function (props, key, value) {\n    if (!props.hasOwnProperty(key)) {\n      props[key] = value;\n    } else {\n      props[key] = mergeStrategy(props[key], value);\n    }\n  };\n}\n\nvar transferStrategyMerge = createTransferStrategy(function (a, b) {\n  // `merge` overrides the first object's (`props[key]` above) keys using the\n  // second object's (`value`) keys. An object's style's existing `propA` would\n  // get overridden. Flip the order here.\n  return assign({}, b, a);\n});\n\n/**\n * Transfer strategies dictate how props are transferred by `transferPropsTo`.\n * NOTE: if you add any more exceptions to this list you should be sure to\n * update `cloneWithProps()` accordingly.\n */\nvar TransferStrategies = {\n  /**\n   * Never transfer `children`.\n   */\n  children: emptyFunction,\n  /**\n   * Transfer the `className` prop by merging them.\n   */\n  className: createTransferStrategy(joinClasses),\n  /**\n   * Transfer the `style` prop (which is an object) by merging them.\n   */\n  style: transferStrategyMerge\n};\n\n/**\n * Mutates the first argument by transferring the properties from the second\n * argument.\n *\n * @param {object} props\n * @param {object} newProps\n * @return {object}\n */\nfunction transferInto(props, newProps) {\n  for (var thisKey in newProps) {\n    if (!newProps.hasOwnProperty(thisKey)) {\n      continue;\n    }\n\n    var transferStrategy = TransferStrategies[thisKey];\n\n    if (transferStrategy && TransferStrategies.hasOwnProperty(thisKey)) {\n      transferStrategy(props, thisKey, newProps[thisKey]);\n    } else if (!props.hasOwnProperty(thisKey)) {\n      props[thisKey] = newProps[thisKey];\n    }\n  }\n  return props;\n}\n\n/**\n * ReactPropTransferer are capable of transferring props to another component\n * using a `transferPropsTo` method.\n *\n * @class ReactPropTransferer\n */\nvar ReactPropTransferer = {\n\n  /**\n   * Merge two props objects using TransferStrategies.\n   *\n   * @param {object} oldProps original props (they take precedence)\n   * @param {object} newProps new props to merge in\n   * @return {object} a new object containing both sets of props merged.\n   */\n  mergeProps: function (oldProps, newProps) {\n    return transferInto(assign({}, oldProps), newProps);\n  }\n\n};\n\nmodule.exports = ReactPropTransferer;\n},{\"153\":153,\"164\":164,\"24\":24}],80:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactPropTypeLocationNames\n */\n\n'use strict';\n\nvar ReactPropTypeLocationNames = {};\n\nif (\"development\" !== 'production') {\n  ReactPropTypeLocationNames = {\n    prop: 'prop',\n    context: 'context',\n    childContext: 'child context'\n  };\n}\n\nmodule.exports = ReactPropTypeLocationNames;\n},{}],81:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactPropTypeLocations\n */\n\n'use strict';\n\nvar keyMirror = _dereq_(165);\n\nvar ReactPropTypeLocations = keyMirror({\n  prop: null,\n  context: null,\n  childContext: null\n});\n\nmodule.exports = ReactPropTypeLocations;\n},{\"165\":165}],82:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactPropTypes\n */\n\n'use strict';\n\nvar ReactElement = _dereq_(57);\nvar ReactPropTypeLocationNames = _dereq_(80);\n\nvar emptyFunction = _dereq_(153);\nvar getIteratorFn = _dereq_(129);\n\n/**\n * Collection of methods that allow declaration and validation of props that are\n * supplied to React components. Example usage:\n *\n *   var Props = require('ReactPropTypes');\n *   var MyArticle = React.createClass({\n *     propTypes: {\n *       // An optional string prop named \"description\".\n *       description: Props.string,\n *\n *       // A required enum prop named \"category\".\n *       category: Props.oneOf(['News','Photos']).isRequired,\n *\n *       // A prop named \"dialog\" that requires an instance of Dialog.\n *       dialog: Props.instanceOf(Dialog).isRequired\n *     },\n *     render: function() { ... }\n *   });\n *\n * A more formal specification of how these methods are used:\n *\n *   type := array|bool|func|object|number|string|oneOf([...])|instanceOf(...)\n *   decl := ReactPropTypes.{type}(.isRequired)?\n *\n * Each and every declaration produces a function with the same signature. This\n * allows the creation of custom validation functions. For example:\n *\n *  var MyLink = React.createClass({\n *    propTypes: {\n *      // An optional string or URI prop named \"href\".\n *      href: function(props, propName, componentName) {\n *        var propValue = props[propName];\n *        if (propValue != null && typeof propValue !== 'string' &&\n *            !(propValue instanceof URI)) {\n *          return new Error(\n *            'Expected a string or an URI for ' + propName + ' in ' +\n *            componentName\n *          );\n *        }\n *      }\n *    },\n *    render: function() {...}\n *  });\n *\n * @internal\n */\n\nvar ANONYMOUS = '<<anonymous>>';\n\nvar ReactPropTypes = {\n  array: createPrimitiveTypeChecker('array'),\n  bool: createPrimitiveTypeChecker('boolean'),\n  func: createPrimitiveTypeChecker('function'),\n  number: createPrimitiveTypeChecker('number'),\n  object: createPrimitiveTypeChecker('object'),\n  string: createPrimitiveTypeChecker('string'),\n\n  any: createAnyTypeChecker(),\n  arrayOf: createArrayOfTypeChecker,\n  element: createElementTypeChecker(),\n  instanceOf: createInstanceTypeChecker,\n  node: createNodeChecker(),\n  objectOf: createObjectOfTypeChecker,\n  oneOf: createEnumTypeChecker,\n  oneOfType: createUnionTypeChecker,\n  shape: createShapeTypeChecker\n};\n\nfunction createChainableTypeChecker(validate) {\n  function checkType(isRequired, props, propName, componentName, location, propFullName) {\n    componentName = componentName || ANONYMOUS;\n    propFullName = propFullName || propName;\n    if (props[propName] == null) {\n      var locationName = ReactPropTypeLocationNames[location];\n      if (isRequired) {\n        return new Error('Required ' + locationName + ' `' + propFullName + '` was not specified in ' + ('`' + componentName + '`.'));\n      }\n      return null;\n    } else {\n      return validate(props, propName, componentName, location, propFullName);\n    }\n  }\n\n  var chainedCheckType = checkType.bind(null, false);\n  chainedCheckType.isRequired = checkType.bind(null, true);\n\n  return chainedCheckType;\n}\n\nfunction createPrimitiveTypeChecker(expectedType) {\n  function validate(props, propName, componentName, location, propFullName) {\n    var propValue = props[propName];\n    var propType = getPropType(propValue);\n    if (propType !== expectedType) {\n      var locationName = ReactPropTypeLocationNames[location];\n      // `propValue` being instance of, say, date/regexp, pass the 'object'\n      // check, but we can offer a more precise error message here rather than\n      // 'of type `object`'.\n      var preciseType = getPreciseType(propValue);\n\n      return new Error('Invalid ' + locationName + ' `' + propFullName + '` of type ' + ('`' + preciseType + '` supplied to `' + componentName + '`, expected ') + ('`' + expectedType + '`.'));\n    }\n    return null;\n  }\n  return createChainableTypeChecker(validate);\n}\n\nfunction createAnyTypeChecker() {\n  return createChainableTypeChecker(emptyFunction.thatReturns(null));\n}\n\nfunction createArrayOfTypeChecker(typeChecker) {\n  function validate(props, propName, componentName, location, propFullName) {\n    var propValue = props[propName];\n    if (!Array.isArray(propValue)) {\n      var locationName = ReactPropTypeLocationNames[location];\n      var propType = getPropType(propValue);\n      return new Error('Invalid ' + locationName + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected an array.'));\n    }\n    for (var i = 0; i < propValue.length; i++) {\n      var error = typeChecker(propValue, i, componentName, location, propFullName + '[' + i + ']');\n      if (error instanceof Error) {\n        return error;\n      }\n    }\n    return null;\n  }\n  return createChainableTypeChecker(validate);\n}\n\nfunction createElementTypeChecker() {\n  function validate(props, propName, componentName, location, propFullName) {\n    if (!ReactElement.isValidElement(props[propName])) {\n      var locationName = ReactPropTypeLocationNames[location];\n      return new Error('Invalid ' + locationName + ' `' + propFullName + '` supplied to ' + ('`' + componentName + '`, expected a single ReactElement.'));\n    }\n    return null;\n  }\n  return createChainableTypeChecker(validate);\n}\n\nfunction createInstanceTypeChecker(expectedClass) {\n  function validate(props, propName, componentName, location, propFullName) {\n    if (!(props[propName] instanceof expectedClass)) {\n      var locationName = ReactPropTypeLocationNames[location];\n      var expectedClassName = expectedClass.name || ANONYMOUS;\n      var actualClassName = getClassName(props[propName]);\n      return new Error('Invalid ' + locationName + ' `' + propFullName + '` of type ' + ('`' + actualClassName + '` supplied to `' + componentName + '`, expected ') + ('instance of `' + expectedClassName + '`.'));\n    }\n    return null;\n  }\n  return createChainableTypeChecker(validate);\n}\n\nfunction createEnumTypeChecker(expectedValues) {\n  if (!Array.isArray(expectedValues)) {\n    return createChainableTypeChecker(function () {\n      return new Error('Invalid argument supplied to oneOf, expected an instance of array.');\n    });\n  }\n\n  function validate(props, propName, componentName, location, propFullName) {\n    var propValue = props[propName];\n    for (var i = 0; i < expectedValues.length; i++) {\n      if (propValue === expectedValues[i]) {\n        return null;\n      }\n    }\n\n    var locationName = ReactPropTypeLocationNames[location];\n    var valuesString = JSON.stringify(expectedValues);\n    return new Error('Invalid ' + locationName + ' `' + propFullName + '` of value `' + propValue + '` ' + ('supplied to `' + componentName + '`, expected one of ' + valuesString + '.'));\n  }\n  return createChainableTypeChecker(validate);\n}\n\nfunction createObjectOfTypeChecker(typeChecker) {\n  function validate(props, propName, componentName, location, propFullName) {\n    var propValue = props[propName];\n    var propType = getPropType(propValue);\n    if (propType !== 'object') {\n      var locationName = ReactPropTypeLocationNames[location];\n      return new Error('Invalid ' + locationName + ' `' + propFullName + '` of type ' + ('`' + propType + '` supplied to `' + componentName + '`, expected an object.'));\n    }\n    for (var key in propValue) {\n      if (propValue.hasOwnProperty(key)) {\n        var error = typeChecker(propValue, key, componentName, location, propFullName + '.' + key);\n        if (error instanceof Error) {\n          return error;\n        }\n      }\n    }\n    return null;\n  }\n  return createChainableTypeChecker(validate);\n}\n\nfunction createUnionTypeChecker(arrayOfTypeCheckers) {\n  if (!Array.isArray(arrayOfTypeCheckers)) {\n    return createChainableTypeChecker(function () {\n      return new Error('Invalid argument supplied to oneOfType, expected an instance of array.');\n    });\n  }\n\n  function validate(props, propName, componentName, location, propFullName) {\n    for (var i = 0; i < arrayOfTypeCheckers.length; i++) {\n      var checker = arrayOfTypeCheckers[i];\n      if (checker(props, propName, componentName, location, propFullName) == null) {\n        return null;\n      }\n    }\n\n    var locationName = ReactPropTypeLocationNames[location];\n    return new Error('Invalid ' + locationName + ' `' + propFullName + '` supplied to ' + ('`' + componentName + '`.'));\n  }\n  return createChainableTypeChecker(validate);\n}\n\nfunction createNodeChecker() {\n  function validate(props, propName, componentName, location, propFullName) {\n    if (!isNode(props[propName])) {\n      var locationName = ReactPropTypeLocationNames[location];\n      return new Error('Invalid ' + locationName + ' `' + propFullName + '` supplied to ' + ('`' + componentName + '`, expected a ReactNode.'));\n    }\n    return null;\n  }\n  return createChainableTypeChecker(validate);\n}\n\nfunction createShapeTypeChecker(shapeTypes) {\n  function validate(props, propName, componentName, location, propFullName) {\n    var propValue = props[propName];\n    var propType = getPropType(propValue);\n    if (propType !== 'object') {\n      var locationName = ReactPropTypeLocationNames[location];\n      return new Error('Invalid ' + locationName + ' `' + propFullName + '` of type `' + propType + '` ' + ('supplied to `' + componentName + '`, expected `object`.'));\n    }\n    for (var key in shapeTypes) {\n      var checker = shapeTypes[key];\n      if (!checker) {\n        continue;\n      }\n      var error = checker(propValue, key, componentName, location, propFullName + '.' + key);\n      if (error) {\n        return error;\n      }\n    }\n    return null;\n  }\n  return createChainableTypeChecker(validate);\n}\n\nfunction isNode(propValue) {\n  switch (typeof propValue) {\n    case 'number':\n    case 'string':\n    case 'undefined':\n      return true;\n    case 'boolean':\n      return !propValue;\n    case 'object':\n      if (Array.isArray(propValue)) {\n        return propValue.every(isNode);\n      }\n      if (propValue === null || ReactElement.isValidElement(propValue)) {\n        return true;\n      }\n\n      var iteratorFn = getIteratorFn(propValue);\n      if (iteratorFn) {\n        var iterator = iteratorFn.call(propValue);\n        var step;\n        if (iteratorFn !== propValue.entries) {\n          while (!(step = iterator.next()).done) {\n            if (!isNode(step.value)) {\n              return false;\n            }\n          }\n        } else {\n          // Iterator will provide entry [k,v] tuples rather than values.\n          while (!(step = iterator.next()).done) {\n            var entry = step.value;\n            if (entry) {\n              if (!isNode(entry[1])) {\n                return false;\n              }\n            }\n          }\n        }\n      } else {\n        return false;\n      }\n\n      return true;\n    default:\n      return false;\n  }\n}\n\n// Equivalent of `typeof` but with special handling for array and regexp.\nfunction getPropType(propValue) {\n  var propType = typeof propValue;\n  if (Array.isArray(propValue)) {\n    return 'array';\n  }\n  if (propValue instanceof RegExp) {\n    // Old webkits (at least until Android 4.0) return 'function' rather than\n    // 'object' for typeof a RegExp. We'll normalize this here so that /bla/\n    // passes PropTypes.object.\n    return 'object';\n  }\n  return propType;\n}\n\n// This handles more types than `getPropType`. Only used for error messages.\n// See `createPrimitiveTypeChecker`.\nfunction getPreciseType(propValue) {\n  var propType = getPropType(propValue);\n  if (propType === 'object') {\n    if (propValue instanceof Date) {\n      return 'date';\n    } else if (propValue instanceof RegExp) {\n      return 'regexp';\n    }\n  }\n  return propType;\n}\n\n// Returns class name of the object, if any.\nfunction getClassName(propValue) {\n  if (!propValue.constructor || !propValue.constructor.name) {\n    return '<<anonymous>>';\n  }\n  return propValue.constructor.name;\n}\n\nmodule.exports = ReactPropTypes;\n},{\"129\":129,\"153\":153,\"57\":57,\"80\":80}],83:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactReconcileTransaction\n * @typechecks static-only\n */\n\n'use strict';\n\nvar CallbackQueue = _dereq_(6);\nvar PooledClass = _dereq_(25);\nvar ReactBrowserEventEmitter = _dereq_(28);\nvar ReactDOMFeatureFlags = _dereq_(44);\nvar ReactInputSelection = _dereq_(66);\nvar Transaction = _dereq_(113);\n\nvar assign = _dereq_(24);\n\n/**\n * Ensures that, when possible, the selection range (currently selected text\n * input) is not disturbed by performing the transaction.\n */\nvar SELECTION_RESTORATION = {\n  /**\n   * @return {Selection} Selection information.\n   */\n  initialize: ReactInputSelection.getSelectionInformation,\n  /**\n   * @param {Selection} sel Selection information returned from `initialize`.\n   */\n  close: ReactInputSelection.restoreSelection\n};\n\n/**\n * Suppresses events (blur/focus) that could be inadvertently dispatched due to\n * high level DOM manipulations (like temporarily removing a text input from the\n * DOM).\n */\nvar EVENT_SUPPRESSION = {\n  /**\n   * @return {boolean} The enabled status of `ReactBrowserEventEmitter` before\n   * the reconciliation.\n   */\n  initialize: function () {\n    var currentlyEnabled = ReactBrowserEventEmitter.isEnabled();\n    ReactBrowserEventEmitter.setEnabled(false);\n    return currentlyEnabled;\n  },\n\n  /**\n   * @param {boolean} previouslyEnabled Enabled status of\n   *   `ReactBrowserEventEmitter` before the reconciliation occurred. `close`\n   *   restores the previous value.\n   */\n  close: function (previouslyEnabled) {\n    ReactBrowserEventEmitter.setEnabled(previouslyEnabled);\n  }\n};\n\n/**\n * Provides a queue for collecting `componentDidMount` and\n * `componentDidUpdate` callbacks during the the transaction.\n */\nvar ON_DOM_READY_QUEUEING = {\n  /**\n   * Initializes the internal `onDOMReady` queue.\n   */\n  initialize: function () {\n    this.reactMountReady.reset();\n  },\n\n  /**\n   * After DOM is flushed, invoke all registered `onDOMReady` callbacks.\n   */\n  close: function () {\n    this.reactMountReady.notifyAll();\n  }\n};\n\n/**\n * Executed within the scope of the `Transaction` instance. Consider these as\n * being member methods, but with an implied ordering while being isolated from\n * each other.\n */\nvar TRANSACTION_WRAPPERS = [SELECTION_RESTORATION, EVENT_SUPPRESSION, ON_DOM_READY_QUEUEING];\n\n/**\n * Currently:\n * - The order that these are listed in the transaction is critical:\n * - Suppresses events.\n * - Restores selection range.\n *\n * Future:\n * - Restore document/overflow scroll positions that were unintentionally\n *   modified via DOM insertions above the top viewport boundary.\n * - Implement/integrate with customized constraint based layout system and keep\n *   track of which dimensions must be remeasured.\n *\n * @class ReactReconcileTransaction\n */\nfunction ReactReconcileTransaction(forceHTML) {\n  this.reinitializeTransaction();\n  // Only server-side rendering really needs this option (see\n  // `ReactServerRendering`), but server-side uses\n  // `ReactServerRenderingTransaction` instead. This option is here so that it's\n  // accessible and defaults to false when `ReactDOMComponent` and\n  // `ReactTextComponent` checks it in `mountComponent`.`\n  this.renderToStaticMarkup = false;\n  this.reactMountReady = CallbackQueue.getPooled(null);\n  this.useCreateElement = !forceHTML && ReactDOMFeatureFlags.useCreateElement;\n}\n\nvar Mixin = {\n  /**\n   * @see Transaction\n   * @abstract\n   * @final\n   * @return {array<object>} List of operation wrap procedures.\n   *   TODO: convert to array<TransactionWrapper>\n   */\n  getTransactionWrappers: function () {\n    return TRANSACTION_WRAPPERS;\n  },\n\n  /**\n   * @return {object} The queue to collect `onDOMReady` callbacks with.\n   */\n  getReactMountReady: function () {\n    return this.reactMountReady;\n  },\n\n  /**\n   * `PooledClass` looks for this, and will invoke this before allowing this\n   * instance to be reused.\n   */\n  destructor: function () {\n    CallbackQueue.release(this.reactMountReady);\n    this.reactMountReady = null;\n  }\n};\n\nassign(ReactReconcileTransaction.prototype, Transaction.Mixin, Mixin);\n\nPooledClass.addPoolingTo(ReactReconcileTransaction);\n\nmodule.exports = ReactReconcileTransaction;\n},{\"113\":113,\"24\":24,\"25\":25,\"28\":28,\"44\":44,\"6\":6,\"66\":66}],84:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactReconciler\n */\n\n'use strict';\n\nvar ReactRef = _dereq_(85);\n\n/**\n * Helper to call ReactRef.attachRefs with this composite component, split out\n * to avoid allocations in the transaction mount-ready queue.\n */\nfunction attachRefs() {\n  ReactRef.attachRefs(this, this._currentElement);\n}\n\nvar ReactReconciler = {\n\n  /**\n   * Initializes the component, renders markup, and registers event listeners.\n   *\n   * @param {ReactComponent} internalInstance\n   * @param {string} rootID DOM ID of the root node.\n   * @param {ReactReconcileTransaction|ReactServerRenderingTransaction} transaction\n   * @return {?string} Rendered markup to be inserted into the DOM.\n   * @final\n   * @internal\n   */\n  mountComponent: function (internalInstance, rootID, transaction, context) {\n    var markup = internalInstance.mountComponent(rootID, transaction, context);\n    if (internalInstance._currentElement && internalInstance._currentElement.ref != null) {\n      transaction.getReactMountReady().enqueue(attachRefs, internalInstance);\n    }\n    return markup;\n  },\n\n  /**\n   * Releases any resources allocated by `mountComponent`.\n   *\n   * @final\n   * @internal\n   */\n  unmountComponent: function (internalInstance) {\n    ReactRef.detachRefs(internalInstance, internalInstance._currentElement);\n    internalInstance.unmountComponent();\n  },\n\n  /**\n   * Update a component using a new element.\n   *\n   * @param {ReactComponent} internalInstance\n   * @param {ReactElement} nextElement\n   * @param {ReactReconcileTransaction} transaction\n   * @param {object} context\n   * @internal\n   */\n  receiveComponent: function (internalInstance, nextElement, transaction, context) {\n    var prevElement = internalInstance._currentElement;\n\n    if (nextElement === prevElement && context === internalInstance._context) {\n      // Since elements are immutable after the owner is rendered,\n      // we can do a cheap identity compare here to determine if this is a\n      // superfluous reconcile. It's possible for state to be mutable but such\n      // change should trigger an update of the owner which would recreate\n      // the element. We explicitly check for the existence of an owner since\n      // it's possible for an element created outside a composite to be\n      // deeply mutated and reused.\n\n      // TODO: Bailing out early is just a perf optimization right?\n      // TODO: Removing the return statement should affect correctness?\n      return;\n    }\n\n    var refsChanged = ReactRef.shouldUpdateRefs(prevElement, nextElement);\n\n    if (refsChanged) {\n      ReactRef.detachRefs(internalInstance, prevElement);\n    }\n\n    internalInstance.receiveComponent(nextElement, transaction, context);\n\n    if (refsChanged && internalInstance._currentElement && internalInstance._currentElement.ref != null) {\n      transaction.getReactMountReady().enqueue(attachRefs, internalInstance);\n    }\n  },\n\n  /**\n   * Flush any dirty changes in a component.\n   *\n   * @param {ReactComponent} internalInstance\n   * @param {ReactReconcileTransaction} transaction\n   * @internal\n   */\n  performUpdateIfNecessary: function (internalInstance, transaction) {\n    internalInstance.performUpdateIfNecessary(transaction);\n  }\n\n};\n\nmodule.exports = ReactReconciler;\n},{\"85\":85}],85:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactRef\n */\n\n'use strict';\n\nvar ReactOwner = _dereq_(77);\n\nvar ReactRef = {};\n\nfunction attachRef(ref, component, owner) {\n  if (typeof ref === 'function') {\n    ref(component.getPublicInstance());\n  } else {\n    // Legacy ref\n    ReactOwner.addComponentAsRefTo(component, ref, owner);\n  }\n}\n\nfunction detachRef(ref, component, owner) {\n  if (typeof ref === 'function') {\n    ref(null);\n  } else {\n    // Legacy ref\n    ReactOwner.removeComponentAsRefFrom(component, ref, owner);\n  }\n}\n\nReactRef.attachRefs = function (instance, element) {\n  if (element === null || element === false) {\n    return;\n  }\n  var ref = element.ref;\n  if (ref != null) {\n    attachRef(ref, instance, element._owner);\n  }\n};\n\nReactRef.shouldUpdateRefs = function (prevElement, nextElement) {\n  // If either the owner or a `ref` has changed, make sure the newest owner\n  // has stored a reference to `this`, and the previous owner (if different)\n  // has forgotten the reference to `this`. We use the element instead\n  // of the public this.props because the post processing cannot determine\n  // a ref. The ref conceptually lives on the element.\n\n  // TODO: Should this even be possible? The owner cannot change because\n  // it's forbidden by shouldUpdateReactComponent. The ref can change\n  // if you swap the keys of but not the refs. Reconsider where this check\n  // is made. It probably belongs where the key checking and\n  // instantiateReactComponent is done.\n\n  var prevEmpty = prevElement === null || prevElement === false;\n  var nextEmpty = nextElement === null || nextElement === false;\n\n  return(\n    // This has a few false positives w/r/t empty components.\n    prevEmpty || nextEmpty || nextElement._owner !== prevElement._owner || nextElement.ref !== prevElement.ref\n  );\n};\n\nReactRef.detachRefs = function (instance, element) {\n  if (element === null || element === false) {\n    return;\n  }\n  var ref = element.ref;\n  if (ref != null) {\n    detachRef(ref, instance, element._owner);\n  }\n};\n\nmodule.exports = ReactRef;\n},{\"77\":77}],86:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactRootIndex\n * @typechecks\n */\n\n'use strict';\n\nvar ReactRootIndexInjection = {\n  /**\n   * @param {function} _createReactRootIndex\n   */\n  injectCreateReactRootIndex: function (_createReactRootIndex) {\n    ReactRootIndex.createReactRootIndex = _createReactRootIndex;\n  }\n};\n\nvar ReactRootIndex = {\n  createReactRootIndex: null,\n  injection: ReactRootIndexInjection\n};\n\nmodule.exports = ReactRootIndex;\n},{}],87:[function(_dereq_,module,exports){\n/**\n * Copyright 2014-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactServerBatchingStrategy\n * @typechecks\n */\n\n'use strict';\n\nvar ReactServerBatchingStrategy = {\n  isBatchingUpdates: false,\n  batchedUpdates: function (callback) {\n    // Don't do anything here. During the server rendering we don't want to\n    // schedule any updates. We will simply ignore them.\n  }\n};\n\nmodule.exports = ReactServerBatchingStrategy;\n},{}],88:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @typechecks static-only\n * @providesModule ReactServerRendering\n */\n'use strict';\n\nvar ReactDefaultBatchingStrategy = _dereq_(53);\nvar ReactElement = _dereq_(57);\nvar ReactInstanceHandles = _dereq_(67);\nvar ReactMarkupChecksum = _dereq_(71);\nvar ReactServerBatchingStrategy = _dereq_(87);\nvar ReactServerRenderingTransaction = _dereq_(89);\nvar ReactUpdates = _dereq_(96);\n\nvar emptyObject = _dereq_(154);\nvar instantiateReactComponent = _dereq_(132);\nvar invariant = _dereq_(161);\n\n/**\n * @param {ReactElement} element\n * @return {string} the HTML markup\n */\nfunction renderToString(element) {\n  !ReactElement.isValidElement(element) ? \"development\" !== 'production' ? invariant(false, 'renderToString(): You must pass a valid ReactElement.') : invariant(false) : undefined;\n\n  var transaction;\n  try {\n    ReactUpdates.injection.injectBatchingStrategy(ReactServerBatchingStrategy);\n\n    var id = ReactInstanceHandles.createReactRootID();\n    transaction = ReactServerRenderingTransaction.getPooled(false);\n\n    return transaction.perform(function () {\n      var componentInstance = instantiateReactComponent(element, null);\n      var markup = componentInstance.mountComponent(id, transaction, emptyObject);\n      return ReactMarkupChecksum.addChecksumToMarkup(markup);\n    }, null);\n  } finally {\n    ReactServerRenderingTransaction.release(transaction);\n    // Revert to the DOM batching strategy since these two renderers\n    // currently share these stateful modules.\n    ReactUpdates.injection.injectBatchingStrategy(ReactDefaultBatchingStrategy);\n  }\n}\n\n/**\n * @param {ReactElement} element\n * @return {string} the HTML markup, without the extra React ID and checksum\n * (for generating static pages)\n */\nfunction renderToStaticMarkup(element) {\n  !ReactElement.isValidElement(element) ? \"development\" !== 'production' ? invariant(false, 'renderToStaticMarkup(): You must pass a valid ReactElement.') : invariant(false) : undefined;\n\n  var transaction;\n  try {\n    ReactUpdates.injection.injectBatchingStrategy(ReactServerBatchingStrategy);\n\n    var id = ReactInstanceHandles.createReactRootID();\n    transaction = ReactServerRenderingTransaction.getPooled(true);\n\n    return transaction.perform(function () {\n      var componentInstance = instantiateReactComponent(element, null);\n      return componentInstance.mountComponent(id, transaction, emptyObject);\n    }, null);\n  } finally {\n    ReactServerRenderingTransaction.release(transaction);\n    // Revert to the DOM batching strategy since these two renderers\n    // currently share these stateful modules.\n    ReactUpdates.injection.injectBatchingStrategy(ReactDefaultBatchingStrategy);\n  }\n}\n\nmodule.exports = {\n  renderToString: renderToString,\n  renderToStaticMarkup: renderToStaticMarkup\n};\n},{\"132\":132,\"154\":154,\"161\":161,\"53\":53,\"57\":57,\"67\":67,\"71\":71,\"87\":87,\"89\":89,\"96\":96}],89:[function(_dereq_,module,exports){\n/**\n * Copyright 2014-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactServerRenderingTransaction\n * @typechecks\n */\n\n'use strict';\n\nvar PooledClass = _dereq_(25);\nvar CallbackQueue = _dereq_(6);\nvar Transaction = _dereq_(113);\n\nvar assign = _dereq_(24);\nvar emptyFunction = _dereq_(153);\n\n/**\n * Provides a `CallbackQueue` queue for collecting `onDOMReady` callbacks\n * during the performing of the transaction.\n */\nvar ON_DOM_READY_QUEUEING = {\n  /**\n   * Initializes the internal `onDOMReady` queue.\n   */\n  initialize: function () {\n    this.reactMountReady.reset();\n  },\n\n  close: emptyFunction\n};\n\n/**\n * Executed within the scope of the `Transaction` instance. Consider these as\n * being member methods, but with an implied ordering while being isolated from\n * each other.\n */\nvar TRANSACTION_WRAPPERS = [ON_DOM_READY_QUEUEING];\n\n/**\n * @class ReactServerRenderingTransaction\n * @param {boolean} renderToStaticMarkup\n */\nfunction ReactServerRenderingTransaction(renderToStaticMarkup) {\n  this.reinitializeTransaction();\n  this.renderToStaticMarkup = renderToStaticMarkup;\n  this.reactMountReady = CallbackQueue.getPooled(null);\n  this.useCreateElement = false;\n}\n\nvar Mixin = {\n  /**\n   * @see Transaction\n   * @abstract\n   * @final\n   * @return {array} Empty list of operation wrap procedures.\n   */\n  getTransactionWrappers: function () {\n    return TRANSACTION_WRAPPERS;\n  },\n\n  /**\n   * @return {object} The queue to collect `onDOMReady` callbacks with.\n   */\n  getReactMountReady: function () {\n    return this.reactMountReady;\n  },\n\n  /**\n   * `PooledClass` looks for this, and will invoke this before allowing this\n   * instance to be reused.\n   */\n  destructor: function () {\n    CallbackQueue.release(this.reactMountReady);\n    this.reactMountReady = null;\n  }\n};\n\nassign(ReactServerRenderingTransaction.prototype, Transaction.Mixin, Mixin);\n\nPooledClass.addPoolingTo(ReactServerRenderingTransaction);\n\nmodule.exports = ReactServerRenderingTransaction;\n},{\"113\":113,\"153\":153,\"24\":24,\"25\":25,\"6\":6}],90:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactStateSetters\n */\n\n'use strict';\n\nvar ReactStateSetters = {\n  /**\n   * Returns a function that calls the provided function, and uses the result\n   * of that to set the component's state.\n   *\n   * @param {ReactCompositeComponent} component\n   * @param {function} funcReturningState Returned callback uses this to\n   *                                      determine how to update state.\n   * @return {function} callback that when invoked uses funcReturningState to\n   *                    determined the object literal to setState.\n   */\n  createStateSetter: function (component, funcReturningState) {\n    return function (a, b, c, d, e, f) {\n      var partialState = funcReturningState.call(component, a, b, c, d, e, f);\n      if (partialState) {\n        component.setState(partialState);\n      }\n    };\n  },\n\n  /**\n   * Returns a single-argument callback that can be used to update a single\n   * key in the component's state.\n   *\n   * Note: this is memoized function, which makes it inexpensive to call.\n   *\n   * @param {ReactCompositeComponent} component\n   * @param {string} key The key in the state that you should update.\n   * @return {function} callback of 1 argument which calls setState() with\n   *                    the provided keyName and callback argument.\n   */\n  createStateKeySetter: function (component, key) {\n    // Memoize the setters.\n    var cache = component.__keySetters || (component.__keySetters = {});\n    return cache[key] || (cache[key] = createStateKeySetter(component, key));\n  }\n};\n\nfunction createStateKeySetter(component, key) {\n  // Partial state is allocated outside of the function closure so it can be\n  // reused with every call, avoiding memory allocation when this function\n  // is called.\n  var partialState = {};\n  return function stateKeySetter(value) {\n    partialState[key] = value;\n    component.setState(partialState);\n  };\n}\n\nReactStateSetters.Mixin = {\n  /**\n   * Returns a function that calls the provided function, and uses the result\n   * of that to set the component's state.\n   *\n   * For example, these statements are equivalent:\n   *\n   *   this.setState({x: 1});\n   *   this.createStateSetter(function(xValue) {\n   *     return {x: xValue};\n   *   })(1);\n   *\n   * @param {function} funcReturningState Returned callback uses this to\n   *                                      determine how to update state.\n   * @return {function} callback that when invoked uses funcReturningState to\n   *                    determined the object literal to setState.\n   */\n  createStateSetter: function (funcReturningState) {\n    return ReactStateSetters.createStateSetter(this, funcReturningState);\n  },\n\n  /**\n   * Returns a single-argument callback that can be used to update a single\n   * key in the component's state.\n   *\n   * For example, these statements are equivalent:\n   *\n   *   this.setState({x: 1});\n   *   this.createStateKeySetter('x')(1);\n   *\n   * Note: this is memoized function, which makes it inexpensive to call.\n   *\n   * @param {string} key The key in the state that you should update.\n   * @return {function} callback of 1 argument which calls setState() with\n   *                    the provided keyName and callback argument.\n   */\n  createStateKeySetter: function (key) {\n    return ReactStateSetters.createStateKeySetter(this, key);\n  }\n};\n\nmodule.exports = ReactStateSetters;\n},{}],91:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactTestUtils\n */\n\n'use strict';\n\nvar EventConstants = _dereq_(15);\nvar EventPluginHub = _dereq_(16);\nvar EventPropagators = _dereq_(19);\nvar React = _dereq_(26);\nvar ReactDOM = _dereq_(40);\nvar ReactElement = _dereq_(57);\nvar ReactBrowserEventEmitter = _dereq_(28);\nvar ReactCompositeComponent = _dereq_(38);\nvar ReactInstanceHandles = _dereq_(67);\nvar ReactInstanceMap = _dereq_(68);\nvar ReactMount = _dereq_(72);\nvar ReactUpdates = _dereq_(96);\nvar SyntheticEvent = _dereq_(105);\n\nvar assign = _dereq_(24);\nvar emptyObject = _dereq_(154);\nvar findDOMNode = _dereq_(122);\nvar invariant = _dereq_(161);\n\nvar topLevelTypes = EventConstants.topLevelTypes;\n\nfunction Event(suffix) {}\n\n/**\n * @class ReactTestUtils\n */\n\nfunction findAllInRenderedTreeInternal(inst, test) {\n  if (!inst || !inst.getPublicInstance) {\n    return [];\n  }\n  var publicInst = inst.getPublicInstance();\n  var ret = test(publicInst) ? [publicInst] : [];\n  var currentElement = inst._currentElement;\n  if (ReactTestUtils.isDOMComponent(publicInst)) {\n    var renderedChildren = inst._renderedChildren;\n    var key;\n    for (key in renderedChildren) {\n      if (!renderedChildren.hasOwnProperty(key)) {\n        continue;\n      }\n      ret = ret.concat(findAllInRenderedTreeInternal(renderedChildren[key], test));\n    }\n  } else if (ReactElement.isValidElement(currentElement) && typeof currentElement.type === 'function') {\n    ret = ret.concat(findAllInRenderedTreeInternal(inst._renderedComponent, test));\n  }\n  return ret;\n}\n\n/**\n * Todo: Support the entire DOM.scry query syntax. For now, these simple\n * utilities will suffice for testing purposes.\n * @lends ReactTestUtils\n */\nvar ReactTestUtils = {\n  renderIntoDocument: function (instance) {\n    var div = document.createElement('div');\n    // None of our tests actually require attaching the container to the\n    // DOM, and doing so creates a mess that we rely on test isolation to\n    // clean up, so we're going to stop honoring the name of this method\n    // (and probably rename it eventually) if no problems arise.\n    // document.documentElement.appendChild(div);\n    return ReactDOM.render(instance, div);\n  },\n\n  isElement: function (element) {\n    return ReactElement.isValidElement(element);\n  },\n\n  isElementOfType: function (inst, convenienceConstructor) {\n    return ReactElement.isValidElement(inst) && inst.type === convenienceConstructor;\n  },\n\n  isDOMComponent: function (inst) {\n    return !!(inst && inst.nodeType === 1 && inst.tagName);\n  },\n\n  isDOMComponentElement: function (inst) {\n    return !!(inst && ReactElement.isValidElement(inst) && !!inst.tagName);\n  },\n\n  isCompositeComponent: function (inst) {\n    if (ReactTestUtils.isDOMComponent(inst)) {\n      // Accessing inst.setState warns; just return false as that'll be what\n      // this returns when we have DOM nodes as refs directly\n      return false;\n    }\n    return inst != null && typeof inst.render === 'function' && typeof inst.setState === 'function';\n  },\n\n  isCompositeComponentWithType: function (inst, type) {\n    if (!ReactTestUtils.isCompositeComponent(inst)) {\n      return false;\n    }\n    var internalInstance = ReactInstanceMap.get(inst);\n    var constructor = internalInstance._currentElement.type;\n\n    return constructor === type;\n  },\n\n  isCompositeComponentElement: function (inst) {\n    if (!ReactElement.isValidElement(inst)) {\n      return false;\n    }\n    // We check the prototype of the type that will get mounted, not the\n    // instance itself. This is a future proof way of duck typing.\n    var prototype = inst.type.prototype;\n    return typeof prototype.render === 'function' && typeof prototype.setState === 'function';\n  },\n\n  isCompositeComponentElementWithType: function (inst, type) {\n    var internalInstance = ReactInstanceMap.get(inst);\n    var constructor = internalInstance._currentElement.type;\n\n    return !!(ReactTestUtils.isCompositeComponentElement(inst) && constructor === type);\n  },\n\n  getRenderedChildOfCompositeComponent: function (inst) {\n    if (!ReactTestUtils.isCompositeComponent(inst)) {\n      return null;\n    }\n    var internalInstance = ReactInstanceMap.get(inst);\n    return internalInstance._renderedComponent.getPublicInstance();\n  },\n\n  findAllInRenderedTree: function (inst, test) {\n    if (!inst) {\n      return [];\n    }\n    !ReactTestUtils.isCompositeComponent(inst) ? \"development\" !== 'production' ? invariant(false, 'findAllInRenderedTree(...): instance must be a composite component') : invariant(false) : undefined;\n    return findAllInRenderedTreeInternal(ReactInstanceMap.get(inst), test);\n  },\n\n  /**\n   * Finds all instance of components in the rendered tree that are DOM\n   * components with the class name matching `className`.\n   * @return {array} an array of all the matches.\n   */\n  scryRenderedDOMComponentsWithClass: function (root, classNames) {\n    if (!Array.isArray(classNames)) {\n      classNames = classNames.split(/\\s+/);\n    }\n    return ReactTestUtils.findAllInRenderedTree(root, function (inst) {\n      if (ReactTestUtils.isDOMComponent(inst)) {\n        var className = inst.className;\n        if (typeof className !== 'string') {\n          // SVG, probably.\n          className = inst.getAttribute('class') || '';\n        }\n        var classList = className.split(/\\s+/);\n        return classNames.every(function (name) {\n          return classList.indexOf(name) !== -1;\n        });\n      }\n      return false;\n    });\n  },\n\n  /**\n   * Like scryRenderedDOMComponentsWithClass but expects there to be one result,\n   * and returns that one result, or throws exception if there is any other\n   * number of matches besides one.\n   * @return {!ReactDOMComponent} The one match.\n   */\n  findRenderedDOMComponentWithClass: function (root, className) {\n    var all = ReactTestUtils.scryRenderedDOMComponentsWithClass(root, className);\n    if (all.length !== 1) {\n      throw new Error('Did not find exactly one match ' + '(found: ' + all.length + ') for class:' + className);\n    }\n    return all[0];\n  },\n\n  /**\n   * Finds all instance of components in the rendered tree that are DOM\n   * components with the tag name matching `tagName`.\n   * @return {array} an array of all the matches.\n   */\n  scryRenderedDOMComponentsWithTag: function (root, tagName) {\n    return ReactTestUtils.findAllInRenderedTree(root, function (inst) {\n      return ReactTestUtils.isDOMComponent(inst) && inst.tagName.toUpperCase() === tagName.toUpperCase();\n    });\n  },\n\n  /**\n   * Like scryRenderedDOMComponentsWithTag but expects there to be one result,\n   * and returns that one result, or throws exception if there is any other\n   * number of matches besides one.\n   * @return {!ReactDOMComponent} The one match.\n   */\n  findRenderedDOMComponentWithTag: function (root, tagName) {\n    var all = ReactTestUtils.scryRenderedDOMComponentsWithTag(root, tagName);\n    if (all.length !== 1) {\n      throw new Error('Did not find exactly one match for tag:' + tagName);\n    }\n    return all[0];\n  },\n\n  /**\n   * Finds all instances of components with type equal to `componentType`.\n   * @return {array} an array of all the matches.\n   */\n  scryRenderedComponentsWithType: function (root, componentType) {\n    return ReactTestUtils.findAllInRenderedTree(root, function (inst) {\n      return ReactTestUtils.isCompositeComponentWithType(inst, componentType);\n    });\n  },\n\n  /**\n   * Same as `scryRenderedComponentsWithType` but expects there to be one result\n   * and returns that one result, or throws exception if there is any other\n   * number of matches besides one.\n   * @return {!ReactComponent} The one match.\n   */\n  findRenderedComponentWithType: function (root, componentType) {\n    var all = ReactTestUtils.scryRenderedComponentsWithType(root, componentType);\n    if (all.length !== 1) {\n      throw new Error('Did not find exactly one match for componentType:' + componentType + ' (found ' + all.length + ')');\n    }\n    return all[0];\n  },\n\n  /**\n   * Pass a mocked component module to this method to augment it with\n   * useful methods that allow it to be used as a dummy React component.\n   * Instead of rendering as usual, the component will become a simple\n   * <div> containing any provided children.\n   *\n   * @param {object} module the mock function object exported from a\n   *                        module that defines the component to be mocked\n   * @param {?string} mockTagName optional dummy root tag name to return\n   *                              from render method (overrides\n   *                              module.mockTagName if provided)\n   * @return {object} the ReactTestUtils object (for chaining)\n   */\n  mockComponent: function (module, mockTagName) {\n    mockTagName = mockTagName || module.mockTagName || 'div';\n\n    module.prototype.render.mockImplementation(function () {\n      return React.createElement(mockTagName, null, this.props.children);\n    });\n\n    return this;\n  },\n\n  /**\n   * Simulates a top level event being dispatched from a raw event that occurred\n   * on an `Element` node.\n   * @param {Object} topLevelType A type from `EventConstants.topLevelTypes`\n   * @param {!Element} node The dom to simulate an event occurring on.\n   * @param {?Event} fakeNativeEvent Fake native event to use in SyntheticEvent.\n   */\n  simulateNativeEventOnNode: function (topLevelType, node, fakeNativeEvent) {\n    fakeNativeEvent.target = node;\n    ReactBrowserEventEmitter.ReactEventListener.dispatchEvent(topLevelType, fakeNativeEvent);\n  },\n\n  /**\n   * Simulates a top level event being dispatched from a raw event that occurred\n   * on the `ReactDOMComponent` `comp`.\n   * @param {Object} topLevelType A type from `EventConstants.topLevelTypes`.\n   * @param {!ReactDOMComponent} comp\n   * @param {?Event} fakeNativeEvent Fake native event to use in SyntheticEvent.\n   */\n  simulateNativeEventOnDOMComponent: function (topLevelType, comp, fakeNativeEvent) {\n    ReactTestUtils.simulateNativeEventOnNode(topLevelType, findDOMNode(comp), fakeNativeEvent);\n  },\n\n  nativeTouchData: function (x, y) {\n    return {\n      touches: [{ pageX: x, pageY: y }]\n    };\n  },\n\n  createRenderer: function () {\n    return new ReactShallowRenderer();\n  },\n\n  Simulate: null,\n  SimulateNative: {}\n};\n\n/**\n * @class ReactShallowRenderer\n */\nvar ReactShallowRenderer = function () {\n  this._instance = null;\n};\n\nReactShallowRenderer.prototype.getRenderOutput = function () {\n  return this._instance && this._instance._renderedComponent && this._instance._renderedComponent._renderedOutput || null;\n};\n\nvar NoopInternalComponent = function (element) {\n  this._renderedOutput = element;\n  this._currentElement = element;\n};\n\nNoopInternalComponent.prototype = {\n\n  mountComponent: function () {},\n\n  receiveComponent: function (element) {\n    this._renderedOutput = element;\n    this._currentElement = element;\n  },\n\n  unmountComponent: function () {},\n\n  getPublicInstance: function () {\n    return null;\n  }\n};\n\nvar ShallowComponentWrapper = function () {};\nassign(ShallowComponentWrapper.prototype, ReactCompositeComponent.Mixin, {\n  _instantiateReactComponent: function (element) {\n    return new NoopInternalComponent(element);\n  },\n  _replaceNodeWithMarkupByID: function () {},\n  _renderValidatedComponent: ReactCompositeComponent.Mixin._renderValidatedComponentWithoutOwnerOrContext\n});\n\nReactShallowRenderer.prototype.render = function (element, context) {\n  !ReactElement.isValidElement(element) ? \"development\" !== 'production' ? invariant(false, 'ReactShallowRenderer render(): Invalid component element.%s', typeof element === 'function' ? ' Instead of passing a component class, make sure to instantiate ' + 'it by passing it to React.createElement.' : '') : invariant(false) : undefined;\n  !(typeof element.type !== 'string') ? \"development\" !== 'production' ? invariant(false, 'ReactShallowRenderer render(): Shallow rendering works only with custom ' + 'components, not primitives (%s). Instead of calling `.render(el)` and ' + 'inspecting the rendered output, look at `el.props` directly instead.', element.type) : invariant(false) : undefined;\n\n  if (!context) {\n    context = emptyObject;\n  }\n  ReactUpdates.batchedUpdates(_batchedRender, this, element, context);\n};\n\nfunction _batchedRender(renderer, element, context) {\n  var transaction = ReactUpdates.ReactReconcileTransaction.getPooled(false);\n  renderer._render(element, transaction, context);\n  ReactUpdates.ReactReconcileTransaction.release(transaction);\n}\n\nReactShallowRenderer.prototype.unmount = function () {\n  if (this._instance) {\n    this._instance.unmountComponent();\n  }\n};\n\nReactShallowRenderer.prototype._render = function (element, transaction, context) {\n  if (this._instance) {\n    this._instance.receiveComponent(element, transaction, context);\n  } else {\n    var rootID = ReactInstanceHandles.createReactRootID();\n    var instance = new ShallowComponentWrapper(element.type);\n    instance.construct(element);\n\n    instance.mountComponent(rootID, transaction, context);\n\n    this._instance = instance;\n  }\n};\n\n/**\n * Exports:\n *\n * - `ReactTestUtils.Simulate.click(Element/ReactDOMComponent)`\n * - `ReactTestUtils.Simulate.mouseMove(Element/ReactDOMComponent)`\n * - `ReactTestUtils.Simulate.change(Element/ReactDOMComponent)`\n * - ... (All keys from event plugin `eventTypes` objects)\n */\nfunction makeSimulator(eventType) {\n  return function (domComponentOrNode, eventData) {\n    var node;\n    if (ReactTestUtils.isDOMComponent(domComponentOrNode)) {\n      node = findDOMNode(domComponentOrNode);\n    } else if (domComponentOrNode.tagName) {\n      node = domComponentOrNode;\n    }\n\n    var dispatchConfig = ReactBrowserEventEmitter.eventNameDispatchConfigs[eventType];\n\n    var fakeNativeEvent = new Event();\n    fakeNativeEvent.target = node;\n    // We don't use SyntheticEvent.getPooled in order to not have to worry about\n    // properly destroying any properties assigned from `eventData` upon release\n    var event = new SyntheticEvent(dispatchConfig, ReactMount.getID(node), fakeNativeEvent, node);\n    assign(event, eventData);\n\n    if (dispatchConfig.phasedRegistrationNames) {\n      EventPropagators.accumulateTwoPhaseDispatches(event);\n    } else {\n      EventPropagators.accumulateDirectDispatches(event);\n    }\n\n    ReactUpdates.batchedUpdates(function () {\n      EventPluginHub.enqueueEvents(event);\n      EventPluginHub.processEventQueue(true);\n    });\n  };\n}\n\nfunction buildSimulators() {\n  ReactTestUtils.Simulate = {};\n\n  var eventType;\n  for (eventType in ReactBrowserEventEmitter.eventNameDispatchConfigs) {\n    /**\n     * @param {!Element|ReactDOMComponent} domComponentOrNode\n     * @param {?object} eventData Fake event data to use in SyntheticEvent.\n     */\n    ReactTestUtils.Simulate[eventType] = makeSimulator(eventType);\n  }\n}\n\n// Rebuild ReactTestUtils.Simulate whenever event plugins are injected\nvar oldInjectEventPluginOrder = EventPluginHub.injection.injectEventPluginOrder;\nEventPluginHub.injection.injectEventPluginOrder = function () {\n  oldInjectEventPluginOrder.apply(this, arguments);\n  buildSimulators();\n};\nvar oldInjectEventPlugins = EventPluginHub.injection.injectEventPluginsByName;\nEventPluginHub.injection.injectEventPluginsByName = function () {\n  oldInjectEventPlugins.apply(this, arguments);\n  buildSimulators();\n};\n\nbuildSimulators();\n\n/**\n * Exports:\n *\n * - `ReactTestUtils.SimulateNative.click(Element/ReactDOMComponent)`\n * - `ReactTestUtils.SimulateNative.mouseMove(Element/ReactDOMComponent)`\n * - `ReactTestUtils.SimulateNative.mouseIn/ReactDOMComponent)`\n * - `ReactTestUtils.SimulateNative.mouseOut(Element/ReactDOMComponent)`\n * - ... (All keys from `EventConstants.topLevelTypes`)\n *\n * Note: Top level event types are a subset of the entire set of handler types\n * (which include a broader set of \"synthetic\" events). For example, onDragDone\n * is a synthetic event. Except when testing an event plugin or React's event\n * handling code specifically, you probably want to use ReactTestUtils.Simulate\n * to dispatch synthetic events.\n */\n\nfunction makeNativeSimulator(eventType) {\n  return function (domComponentOrNode, nativeEventData) {\n    var fakeNativeEvent = new Event(eventType);\n    assign(fakeNativeEvent, nativeEventData);\n    if (ReactTestUtils.isDOMComponent(domComponentOrNode)) {\n      ReactTestUtils.simulateNativeEventOnDOMComponent(eventType, domComponentOrNode, fakeNativeEvent);\n    } else if (domComponentOrNode.tagName) {\n      // Will allow on actual dom nodes.\n      ReactTestUtils.simulateNativeEventOnNode(eventType, domComponentOrNode, fakeNativeEvent);\n    }\n  };\n}\n\nObject.keys(topLevelTypes).forEach(function (eventType) {\n  // Event type is stored as 'topClick' - we transform that to 'click'\n  var convenienceName = eventType.indexOf('top') === 0 ? eventType.charAt(3).toLowerCase() + eventType.substr(4) : eventType;\n  /**\n   * @param {!Element|ReactDOMComponent} domComponentOrNode\n   * @param {?Event} nativeEventData Fake native event to use in SyntheticEvent.\n   */\n  ReactTestUtils.SimulateNative[convenienceName] = makeNativeSimulator(eventType);\n});\n\nmodule.exports = ReactTestUtils;\n},{\"105\":105,\"122\":122,\"15\":15,\"154\":154,\"16\":16,\"161\":161,\"19\":19,\"24\":24,\"26\":26,\"28\":28,\"38\":38,\"40\":40,\"57\":57,\"67\":67,\"68\":68,\"72\":72,\"96\":96}],92:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @typechecks static-only\n * @providesModule ReactTransitionChildMapping\n */\n\n'use strict';\n\nvar flattenChildren = _dereq_(123);\n\nvar ReactTransitionChildMapping = {\n  /**\n   * Given `this.props.children`, return an object mapping key to child. Just\n   * simple syntactic sugar around flattenChildren().\n   *\n   * @param {*} children `this.props.children`\n   * @return {object} Mapping of key to child\n   */\n  getChildMapping: function (children) {\n    if (!children) {\n      return children;\n    }\n    return flattenChildren(children);\n  },\n\n  /**\n   * When you're adding or removing children some may be added or removed in the\n   * same render pass. We want to show *both* since we want to simultaneously\n   * animate elements in and out. This function takes a previous set of keys\n   * and a new set of keys and merges them with its best guess of the correct\n   * ordering. In the future we may expose some of the utilities in\n   * ReactMultiChild to make this easy, but for now React itself does not\n   * directly have this concept of the union of prevChildren and nextChildren\n   * so we implement it here.\n   *\n   * @param {object} prev prev children as returned from\n   * `ReactTransitionChildMapping.getChildMapping()`.\n   * @param {object} next next children as returned from\n   * `ReactTransitionChildMapping.getChildMapping()`.\n   * @return {object} a key set that contains all keys in `prev` and all keys\n   * in `next` in a reasonable order.\n   */\n  mergeChildMappings: function (prev, next) {\n    prev = prev || {};\n    next = next || {};\n\n    function getValueForKey(key) {\n      if (next.hasOwnProperty(key)) {\n        return next[key];\n      } else {\n        return prev[key];\n      }\n    }\n\n    // For each key of `next`, the list of keys to insert before that key in\n    // the combined list\n    var nextKeysPending = {};\n\n    var pendingKeys = [];\n    for (var prevKey in prev) {\n      if (next.hasOwnProperty(prevKey)) {\n        if (pendingKeys.length) {\n          nextKeysPending[prevKey] = pendingKeys;\n          pendingKeys = [];\n        }\n      } else {\n        pendingKeys.push(prevKey);\n      }\n    }\n\n    var i;\n    var childMapping = {};\n    for (var nextKey in next) {\n      if (nextKeysPending.hasOwnProperty(nextKey)) {\n        for (i = 0; i < nextKeysPending[nextKey].length; i++) {\n          var pendingNextKey = nextKeysPending[nextKey][i];\n          childMapping[nextKeysPending[nextKey][i]] = getValueForKey(pendingNextKey);\n        }\n      }\n      childMapping[nextKey] = getValueForKey(nextKey);\n    }\n\n    // Finally, add the keys which didn't appear before any key in `next`\n    for (i = 0; i < pendingKeys.length; i++) {\n      childMapping[pendingKeys[i]] = getValueForKey(pendingKeys[i]);\n    }\n\n    return childMapping;\n  }\n};\n\nmodule.exports = ReactTransitionChildMapping;\n},{\"123\":123}],93:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactTransitionEvents\n */\n\n'use strict';\n\nvar ExecutionEnvironment = _dereq_(147);\n\n/**\n * EVENT_NAME_MAP is used to determine which event fired when a\n * transition/animation ends, based on the style property used to\n * define that event.\n */\nvar EVENT_NAME_MAP = {\n  transitionend: {\n    'transition': 'transitionend',\n    'WebkitTransition': 'webkitTransitionEnd',\n    'MozTransition': 'mozTransitionEnd',\n    'OTransition': 'oTransitionEnd',\n    'msTransition': 'MSTransitionEnd'\n  },\n\n  animationend: {\n    'animation': 'animationend',\n    'WebkitAnimation': 'webkitAnimationEnd',\n    'MozAnimation': 'mozAnimationEnd',\n    'OAnimation': 'oAnimationEnd',\n    'msAnimation': 'MSAnimationEnd'\n  }\n};\n\nvar endEvents = [];\n\nfunction detectEvents() {\n  var testEl = document.createElement('div');\n  var style = testEl.style;\n\n  // On some platforms, in particular some releases of Android 4.x,\n  // the un-prefixed \"animation\" and \"transition\" properties are defined on the\n  // style object but the events that fire will still be prefixed, so we need\n  // to check if the un-prefixed events are useable, and if not remove them\n  // from the map\n  if (!('AnimationEvent' in window)) {\n    delete EVENT_NAME_MAP.animationend.animation;\n  }\n\n  if (!('TransitionEvent' in window)) {\n    delete EVENT_NAME_MAP.transitionend.transition;\n  }\n\n  for (var baseEventName in EVENT_NAME_MAP) {\n    var baseEvents = EVENT_NAME_MAP[baseEventName];\n    for (var styleName in baseEvents) {\n      if (styleName in style) {\n        endEvents.push(baseEvents[styleName]);\n        break;\n      }\n    }\n  }\n}\n\nif (ExecutionEnvironment.canUseDOM) {\n  detectEvents();\n}\n\n// We use the raw {add|remove}EventListener() call because EventListener\n// does not know how to remove event listeners and we really should\n// clean up. Also, these events are not triggered in older browsers\n// so we should be A-OK here.\n\nfunction addEventListener(node, eventName, eventListener) {\n  node.addEventListener(eventName, eventListener, false);\n}\n\nfunction removeEventListener(node, eventName, eventListener) {\n  node.removeEventListener(eventName, eventListener, false);\n}\n\nvar ReactTransitionEvents = {\n  addEndEventListener: function (node, eventListener) {\n    if (endEvents.length === 0) {\n      // If CSS transitions are not supported, trigger an \"end animation\"\n      // event immediately.\n      window.setTimeout(eventListener, 0);\n      return;\n    }\n    endEvents.forEach(function (endEvent) {\n      addEventListener(node, endEvent, eventListener);\n    });\n  },\n\n  removeEndEventListener: function (node, eventListener) {\n    if (endEvents.length === 0) {\n      return;\n    }\n    endEvents.forEach(function (endEvent) {\n      removeEventListener(node, endEvent, eventListener);\n    });\n  }\n};\n\nmodule.exports = ReactTransitionEvents;\n},{\"147\":147}],94:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactTransitionGroup\n */\n\n'use strict';\n\nvar React = _dereq_(26);\nvar ReactTransitionChildMapping = _dereq_(92);\n\nvar assign = _dereq_(24);\nvar emptyFunction = _dereq_(153);\n\nvar ReactTransitionGroup = React.createClass({\n  displayName: 'ReactTransitionGroup',\n\n  propTypes: {\n    component: React.PropTypes.any,\n    childFactory: React.PropTypes.func\n  },\n\n  getDefaultProps: function () {\n    return {\n      component: 'span',\n      childFactory: emptyFunction.thatReturnsArgument\n    };\n  },\n\n  getInitialState: function () {\n    return {\n      children: ReactTransitionChildMapping.getChildMapping(this.props.children)\n    };\n  },\n\n  componentWillMount: function () {\n    this.currentlyTransitioningKeys = {};\n    this.keysToEnter = [];\n    this.keysToLeave = [];\n  },\n\n  componentDidMount: function () {\n    var initialChildMapping = this.state.children;\n    for (var key in initialChildMapping) {\n      if (initialChildMapping[key]) {\n        this.performAppear(key);\n      }\n    }\n  },\n\n  componentWillReceiveProps: function (nextProps) {\n    var nextChildMapping = ReactTransitionChildMapping.getChildMapping(nextProps.children);\n    var prevChildMapping = this.state.children;\n\n    this.setState({\n      children: ReactTransitionChildMapping.mergeChildMappings(prevChildMapping, nextChildMapping)\n    });\n\n    var key;\n\n    for (key in nextChildMapping) {\n      var hasPrev = prevChildMapping && prevChildMapping.hasOwnProperty(key);\n      if (nextChildMapping[key] && !hasPrev && !this.currentlyTransitioningKeys[key]) {\n        this.keysToEnter.push(key);\n      }\n    }\n\n    for (key in prevChildMapping) {\n      var hasNext = nextChildMapping && nextChildMapping.hasOwnProperty(key);\n      if (prevChildMapping[key] && !hasNext && !this.currentlyTransitioningKeys[key]) {\n        this.keysToLeave.push(key);\n      }\n    }\n\n    // If we want to someday check for reordering, we could do it here.\n  },\n\n  componentDidUpdate: function () {\n    var keysToEnter = this.keysToEnter;\n    this.keysToEnter = [];\n    keysToEnter.forEach(this.performEnter);\n\n    var keysToLeave = this.keysToLeave;\n    this.keysToLeave = [];\n    keysToLeave.forEach(this.performLeave);\n  },\n\n  performAppear: function (key) {\n    this.currentlyTransitioningKeys[key] = true;\n\n    var component = this.refs[key];\n\n    if (component.componentWillAppear) {\n      component.componentWillAppear(this._handleDoneAppearing.bind(this, key));\n    } else {\n      this._handleDoneAppearing(key);\n    }\n  },\n\n  _handleDoneAppearing: function (key) {\n    var component = this.refs[key];\n    if (component.componentDidAppear) {\n      component.componentDidAppear();\n    }\n\n    delete this.currentlyTransitioningKeys[key];\n\n    var currentChildMapping = ReactTransitionChildMapping.getChildMapping(this.props.children);\n\n    if (!currentChildMapping || !currentChildMapping.hasOwnProperty(key)) {\n      // This was removed before it had fully appeared. Remove it.\n      this.performLeave(key);\n    }\n  },\n\n  performEnter: function (key) {\n    this.currentlyTransitioningKeys[key] = true;\n\n    var component = this.refs[key];\n\n    if (component.componentWillEnter) {\n      component.componentWillEnter(this._handleDoneEntering.bind(this, key));\n    } else {\n      this._handleDoneEntering(key);\n    }\n  },\n\n  _handleDoneEntering: function (key) {\n    var component = this.refs[key];\n    if (component.componentDidEnter) {\n      component.componentDidEnter();\n    }\n\n    delete this.currentlyTransitioningKeys[key];\n\n    var currentChildMapping = ReactTransitionChildMapping.getChildMapping(this.props.children);\n\n    if (!currentChildMapping || !currentChildMapping.hasOwnProperty(key)) {\n      // This was removed before it had fully entered. Remove it.\n      this.performLeave(key);\n    }\n  },\n\n  performLeave: function (key) {\n    this.currentlyTransitioningKeys[key] = true;\n\n    var component = this.refs[key];\n    if (component.componentWillLeave) {\n      component.componentWillLeave(this._handleDoneLeaving.bind(this, key));\n    } else {\n      // Note that this is somewhat dangerous b/c it calls setState()\n      // again, effectively mutating the component before all the work\n      // is done.\n      this._handleDoneLeaving(key);\n    }\n  },\n\n  _handleDoneLeaving: function (key) {\n    var component = this.refs[key];\n\n    if (component.componentDidLeave) {\n      component.componentDidLeave();\n    }\n\n    delete this.currentlyTransitioningKeys[key];\n\n    var currentChildMapping = ReactTransitionChildMapping.getChildMapping(this.props.children);\n\n    if (currentChildMapping && currentChildMapping.hasOwnProperty(key)) {\n      // This entered again before it fully left. Add it again.\n      this.performEnter(key);\n    } else {\n      this.setState(function (state) {\n        var newChildren = assign({}, state.children);\n        delete newChildren[key];\n        return { children: newChildren };\n      });\n    }\n  },\n\n  render: function () {\n    // TODO: we could get rid of the need for the wrapper node\n    // by cloning a single child\n    var childrenToRender = [];\n    for (var key in this.state.children) {\n      var child = this.state.children[key];\n      if (child) {\n        // You may need to apply reactive updates to a child as it is leaving.\n        // The normal React way to do it won't work since the child will have\n        // already been removed. In case you need this behavior you can provide\n        // a childFactory function to wrap every child, even the ones that are\n        // leaving.\n        childrenToRender.push(React.cloneElement(this.props.childFactory(child), { ref: key, key: key }));\n      }\n    }\n    return React.createElement(this.props.component, this.props, childrenToRender);\n  }\n});\n\nmodule.exports = ReactTransitionGroup;\n},{\"153\":153,\"24\":24,\"26\":26,\"92\":92}],95:[function(_dereq_,module,exports){\n/**\n * Copyright 2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactUpdateQueue\n */\n\n'use strict';\n\nvar ReactCurrentOwner = _dereq_(39);\nvar ReactElement = _dereq_(57);\nvar ReactInstanceMap = _dereq_(68);\nvar ReactUpdates = _dereq_(96);\n\nvar assign = _dereq_(24);\nvar invariant = _dereq_(161);\nvar warning = _dereq_(173);\n\nfunction enqueueUpdate(internalInstance) {\n  ReactUpdates.enqueueUpdate(internalInstance);\n}\n\nfunction getInternalInstanceReadyForUpdate(publicInstance, callerName) {\n  var internalInstance = ReactInstanceMap.get(publicInstance);\n  if (!internalInstance) {\n    if (\"development\" !== 'production') {\n      // Only warn when we have a callerName. Otherwise we should be silent.\n      // We're probably calling from enqueueCallback. We don't want to warn\n      // there because we already warned for the corresponding lifecycle method.\n      \"development\" !== 'production' ? warning(!callerName, '%s(...): Can only update a mounted or mounting component. ' + 'This usually means you called %s() on an unmounted component. ' + 'This is a no-op. Please check the code for the %s component.', callerName, callerName, publicInstance.constructor.displayName) : undefined;\n    }\n    return null;\n  }\n\n  if (\"development\" !== 'production') {\n    \"development\" !== 'production' ? warning(ReactCurrentOwner.current == null, '%s(...): Cannot update during an existing state transition ' + '(such as within `render`). Render methods should be a pure function ' + 'of props and state.', callerName) : undefined;\n  }\n\n  return internalInstance;\n}\n\n/**\n * ReactUpdateQueue allows for state updates to be scheduled into a later\n * reconciliation step.\n */\nvar ReactUpdateQueue = {\n\n  /**\n   * Checks whether or not this composite component is mounted.\n   * @param {ReactClass} publicInstance The instance we want to test.\n   * @return {boolean} True if mounted, false otherwise.\n   * @protected\n   * @final\n   */\n  isMounted: function (publicInstance) {\n    if (\"development\" !== 'production') {\n      var owner = ReactCurrentOwner.current;\n      if (owner !== null) {\n        \"development\" !== 'production' ? warning(owner._warnedAboutRefsInRender, '%s is accessing isMounted inside its render() function. ' + 'render() should be a pure function of props and state. It should ' + 'never access something that requires stale data from the previous ' + 'render, such as refs. Move this logic to componentDidMount and ' + 'componentDidUpdate instead.', owner.getName() || 'A component') : undefined;\n        owner._warnedAboutRefsInRender = true;\n      }\n    }\n    var internalInstance = ReactInstanceMap.get(publicInstance);\n    if (internalInstance) {\n      // During componentWillMount and render this will still be null but after\n      // that will always render to something. At least for now. So we can use\n      // this hack.\n      return !!internalInstance._renderedComponent;\n    } else {\n      return false;\n    }\n  },\n\n  /**\n   * Enqueue a callback that will be executed after all the pending updates\n   * have processed.\n   *\n   * @param {ReactClass} publicInstance The instance to use as `this` context.\n   * @param {?function} callback Called after state is updated.\n   * @internal\n   */\n  enqueueCallback: function (publicInstance, callback) {\n    !(typeof callback === 'function') ? \"development\" !== 'production' ? invariant(false, 'enqueueCallback(...): You called `setProps`, `replaceProps`, ' + '`setState`, `replaceState`, or `forceUpdate` with a callback that ' + 'isn\\'t callable.') : invariant(false) : undefined;\n    var internalInstance = getInternalInstanceReadyForUpdate(publicInstance);\n\n    // Previously we would throw an error if we didn't have an internal\n    // instance. Since we want to make it a no-op instead, we mirror the same\n    // behavior we have in other enqueue* methods.\n    // We also need to ignore callbacks in componentWillMount. See\n    // enqueueUpdates.\n    if (!internalInstance) {\n      return null;\n    }\n\n    if (internalInstance._pendingCallbacks) {\n      internalInstance._pendingCallbacks.push(callback);\n    } else {\n      internalInstance._pendingCallbacks = [callback];\n    }\n    // TODO: The callback here is ignored when setState is called from\n    // componentWillMount. Either fix it or disallow doing so completely in\n    // favor of getInitialState. Alternatively, we can disallow\n    // componentWillMount during server-side rendering.\n    enqueueUpdate(internalInstance);\n  },\n\n  enqueueCallbackInternal: function (internalInstance, callback) {\n    !(typeof callback === 'function') ? \"development\" !== 'production' ? invariant(false, 'enqueueCallback(...): You called `setProps`, `replaceProps`, ' + '`setState`, `replaceState`, or `forceUpdate` with a callback that ' + 'isn\\'t callable.') : invariant(false) : undefined;\n    if (internalInstance._pendingCallbacks) {\n      internalInstance._pendingCallbacks.push(callback);\n    } else {\n      internalInstance._pendingCallbacks = [callback];\n    }\n    enqueueUpdate(internalInstance);\n  },\n\n  /**\n   * Forces an update. This should only be invoked when it is known with\n   * certainty that we are **not** in a DOM transaction.\n   *\n   * You may want to call this when you know that some deeper aspect of the\n   * component's state has changed but `setState` was not called.\n   *\n   * This will not invoke `shouldComponentUpdate`, but it will invoke\n   * `componentWillUpdate` and `componentDidUpdate`.\n   *\n   * @param {ReactClass} publicInstance The instance that should rerender.\n   * @internal\n   */\n  enqueueForceUpdate: function (publicInstance) {\n    var internalInstance = getInternalInstanceReadyForUpdate(publicInstance, 'forceUpdate');\n\n    if (!internalInstance) {\n      return;\n    }\n\n    internalInstance._pendingForceUpdate = true;\n\n    enqueueUpdate(internalInstance);\n  },\n\n  /**\n   * Replaces all of the state. Always use this or `setState` to mutate state.\n   * You should treat `this.state` as immutable.\n   *\n   * There is no guarantee that `this.state` will be immediately updated, so\n   * accessing `this.state` after calling this method may return the old value.\n   *\n   * @param {ReactClass} publicInstance The instance that should rerender.\n   * @param {object} completeState Next state.\n   * @internal\n   */\n  enqueueReplaceState: function (publicInstance, completeState) {\n    var internalInstance = getInternalInstanceReadyForUpdate(publicInstance, 'replaceState');\n\n    if (!internalInstance) {\n      return;\n    }\n\n    internalInstance._pendingStateQueue = [completeState];\n    internalInstance._pendingReplaceState = true;\n\n    enqueueUpdate(internalInstance);\n  },\n\n  /**\n   * Sets a subset of the state. This only exists because _pendingState is\n   * internal. This provides a merging strategy that is not available to deep\n   * properties which is confusing. TODO: Expose pendingState or don't use it\n   * during the merge.\n   *\n   * @param {ReactClass} publicInstance The instance that should rerender.\n   * @param {object} partialState Next partial state to be merged with state.\n   * @internal\n   */\n  enqueueSetState: function (publicInstance, partialState) {\n    var internalInstance = getInternalInstanceReadyForUpdate(publicInstance, 'setState');\n\n    if (!internalInstance) {\n      return;\n    }\n\n    var queue = internalInstance._pendingStateQueue || (internalInstance._pendingStateQueue = []);\n    queue.push(partialState);\n\n    enqueueUpdate(internalInstance);\n  },\n\n  /**\n   * Sets a subset of the props.\n   *\n   * @param {ReactClass} publicInstance The instance that should rerender.\n   * @param {object} partialProps Subset of the next props.\n   * @internal\n   */\n  enqueueSetProps: function (publicInstance, partialProps) {\n    var internalInstance = getInternalInstanceReadyForUpdate(publicInstance, 'setProps');\n    if (!internalInstance) {\n      return;\n    }\n    ReactUpdateQueue.enqueueSetPropsInternal(internalInstance, partialProps);\n  },\n\n  enqueueSetPropsInternal: function (internalInstance, partialProps) {\n    var topLevelWrapper = internalInstance._topLevelWrapper;\n    !topLevelWrapper ? \"development\" !== 'production' ? invariant(false, 'setProps(...): You called `setProps` on a ' + 'component with a parent. This is an anti-pattern since props will ' + 'get reactively updated when rendered. Instead, change the owner\\'s ' + '`render` method to pass the correct value as props to the component ' + 'where it is created.') : invariant(false) : undefined;\n\n    // Merge with the pending element if it exists, otherwise with existing\n    // element props.\n    var wrapElement = topLevelWrapper._pendingElement || topLevelWrapper._currentElement;\n    var element = wrapElement.props;\n    var props = assign({}, element.props, partialProps);\n    topLevelWrapper._pendingElement = ReactElement.cloneAndReplaceProps(wrapElement, ReactElement.cloneAndReplaceProps(element, props));\n\n    enqueueUpdate(topLevelWrapper);\n  },\n\n  /**\n   * Replaces all of the props.\n   *\n   * @param {ReactClass} publicInstance The instance that should rerender.\n   * @param {object} props New props.\n   * @internal\n   */\n  enqueueReplaceProps: function (publicInstance, props) {\n    var internalInstance = getInternalInstanceReadyForUpdate(publicInstance, 'replaceProps');\n    if (!internalInstance) {\n      return;\n    }\n    ReactUpdateQueue.enqueueReplacePropsInternal(internalInstance, props);\n  },\n\n  enqueueReplacePropsInternal: function (internalInstance, props) {\n    var topLevelWrapper = internalInstance._topLevelWrapper;\n    !topLevelWrapper ? \"development\" !== 'production' ? invariant(false, 'replaceProps(...): You called `replaceProps` on a ' + 'component with a parent. This is an anti-pattern since props will ' + 'get reactively updated when rendered. Instead, change the owner\\'s ' + '`render` method to pass the correct value as props to the component ' + 'where it is created.') : invariant(false) : undefined;\n\n    // Merge with the pending element if it exists, otherwise with existing\n    // element props.\n    var wrapElement = topLevelWrapper._pendingElement || topLevelWrapper._currentElement;\n    var element = wrapElement.props;\n    topLevelWrapper._pendingElement = ReactElement.cloneAndReplaceProps(wrapElement, ReactElement.cloneAndReplaceProps(element, props));\n\n    enqueueUpdate(topLevelWrapper);\n  },\n\n  enqueueElementInternal: function (internalInstance, newElement) {\n    internalInstance._pendingElement = newElement;\n    enqueueUpdate(internalInstance);\n  }\n\n};\n\nmodule.exports = ReactUpdateQueue;\n},{\"161\":161,\"173\":173,\"24\":24,\"39\":39,\"57\":57,\"68\":68,\"96\":96}],96:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactUpdates\n */\n\n'use strict';\n\nvar CallbackQueue = _dereq_(6);\nvar PooledClass = _dereq_(25);\nvar ReactPerf = _dereq_(78);\nvar ReactReconciler = _dereq_(84);\nvar Transaction = _dereq_(113);\n\nvar assign = _dereq_(24);\nvar invariant = _dereq_(161);\n\nvar dirtyComponents = [];\nvar asapCallbackQueue = CallbackQueue.getPooled();\nvar asapEnqueued = false;\n\nvar batchingStrategy = null;\n\nfunction ensureInjected() {\n  !(ReactUpdates.ReactReconcileTransaction && batchingStrategy) ? \"development\" !== 'production' ? invariant(false, 'ReactUpdates: must inject a reconcile transaction class and batching ' + 'strategy') : invariant(false) : undefined;\n}\n\nvar NESTED_UPDATES = {\n  initialize: function () {\n    this.dirtyComponentsLength = dirtyComponents.length;\n  },\n  close: function () {\n    if (this.dirtyComponentsLength !== dirtyComponents.length) {\n      // Additional updates were enqueued by componentDidUpdate handlers or\n      // similar; before our own UPDATE_QUEUEING wrapper closes, we want to run\n      // these new updates so that if A's componentDidUpdate calls setState on\n      // B, B will update before the callback A's updater provided when calling\n      // setState.\n      dirtyComponents.splice(0, this.dirtyComponentsLength);\n      flushBatchedUpdates();\n    } else {\n      dirtyComponents.length = 0;\n    }\n  }\n};\n\nvar UPDATE_QUEUEING = {\n  initialize: function () {\n    this.callbackQueue.reset();\n  },\n  close: function () {\n    this.callbackQueue.notifyAll();\n  }\n};\n\nvar TRANSACTION_WRAPPERS = [NESTED_UPDATES, UPDATE_QUEUEING];\n\nfunction ReactUpdatesFlushTransaction() {\n  this.reinitializeTransaction();\n  this.dirtyComponentsLength = null;\n  this.callbackQueue = CallbackQueue.getPooled();\n  this.reconcileTransaction = ReactUpdates.ReactReconcileTransaction.getPooled( /* forceHTML */false);\n}\n\nassign(ReactUpdatesFlushTransaction.prototype, Transaction.Mixin, {\n  getTransactionWrappers: function () {\n    return TRANSACTION_WRAPPERS;\n  },\n\n  destructor: function () {\n    this.dirtyComponentsLength = null;\n    CallbackQueue.release(this.callbackQueue);\n    this.callbackQueue = null;\n    ReactUpdates.ReactReconcileTransaction.release(this.reconcileTransaction);\n    this.reconcileTransaction = null;\n  },\n\n  perform: function (method, scope, a) {\n    // Essentially calls `this.reconcileTransaction.perform(method, scope, a)`\n    // with this transaction's wrappers around it.\n    return Transaction.Mixin.perform.call(this, this.reconcileTransaction.perform, this.reconcileTransaction, method, scope, a);\n  }\n});\n\nPooledClass.addPoolingTo(ReactUpdatesFlushTransaction);\n\nfunction batchedUpdates(callback, a, b, c, d, e) {\n  ensureInjected();\n  batchingStrategy.batchedUpdates(callback, a, b, c, d, e);\n}\n\n/**\n * Array comparator for ReactComponents by mount ordering.\n *\n * @param {ReactComponent} c1 first component you're comparing\n * @param {ReactComponent} c2 second component you're comparing\n * @return {number} Return value usable by Array.prototype.sort().\n */\nfunction mountOrderComparator(c1, c2) {\n  return c1._mountOrder - c2._mountOrder;\n}\n\nfunction runBatchedUpdates(transaction) {\n  var len = transaction.dirtyComponentsLength;\n  !(len === dirtyComponents.length) ? \"development\" !== 'production' ? invariant(false, 'Expected flush transaction\\'s stored dirty-components length (%s) to ' + 'match dirty-components array length (%s).', len, dirtyComponents.length) : invariant(false) : undefined;\n\n  // Since reconciling a component higher in the owner hierarchy usually (not\n  // always -- see shouldComponentUpdate()) will reconcile children, reconcile\n  // them before their children by sorting the array.\n  dirtyComponents.sort(mountOrderComparator);\n\n  for (var i = 0; i < len; i++) {\n    // If a component is unmounted before pending changes apply, it will still\n    // be here, but we assume that it has cleared its _pendingCallbacks and\n    // that performUpdateIfNecessary is a noop.\n    var component = dirtyComponents[i];\n\n    // If performUpdateIfNecessary happens to enqueue any new updates, we\n    // shouldn't execute the callbacks until the next render happens, so\n    // stash the callbacks first\n    var callbacks = component._pendingCallbacks;\n    component._pendingCallbacks = null;\n\n    ReactReconciler.performUpdateIfNecessary(component, transaction.reconcileTransaction);\n\n    if (callbacks) {\n      for (var j = 0; j < callbacks.length; j++) {\n        transaction.callbackQueue.enqueue(callbacks[j], component.getPublicInstance());\n      }\n    }\n  }\n}\n\nvar flushBatchedUpdates = function () {\n  // ReactUpdatesFlushTransaction's wrappers will clear the dirtyComponents\n  // array and perform any updates enqueued by mount-ready handlers (i.e.,\n  // componentDidUpdate) but we need to check here too in order to catch\n  // updates enqueued by setState callbacks and asap calls.\n  while (dirtyComponents.length || asapEnqueued) {\n    if (dirtyComponents.length) {\n      var transaction = ReactUpdatesFlushTransaction.getPooled();\n      transaction.perform(runBatchedUpdates, null, transaction);\n      ReactUpdatesFlushTransaction.release(transaction);\n    }\n\n    if (asapEnqueued) {\n      asapEnqueued = false;\n      var queue = asapCallbackQueue;\n      asapCallbackQueue = CallbackQueue.getPooled();\n      queue.notifyAll();\n      CallbackQueue.release(queue);\n    }\n  }\n};\nflushBatchedUpdates = ReactPerf.measure('ReactUpdates', 'flushBatchedUpdates', flushBatchedUpdates);\n\n/**\n * Mark a component as needing a rerender, adding an optional callback to a\n * list of functions which will be executed once the rerender occurs.\n */\nfunction enqueueUpdate(component) {\n  ensureInjected();\n\n  // Various parts of our code (such as ReactCompositeComponent's\n  // _renderValidatedComponent) assume that calls to render aren't nested;\n  // verify that that's the case. (This is called by each top-level update\n  // function, like setProps, setState, forceUpdate, etc.; creation and\n  // destruction of top-level components is guarded in ReactMount.)\n\n  if (!batchingStrategy.isBatchingUpdates) {\n    batchingStrategy.batchedUpdates(enqueueUpdate, component);\n    return;\n  }\n\n  dirtyComponents.push(component);\n}\n\n/**\n * Enqueue a callback to be run at the end of the current batching cycle. Throws\n * if no updates are currently being performed.\n */\nfunction asap(callback, context) {\n  !batchingStrategy.isBatchingUpdates ? \"development\" !== 'production' ? invariant(false, 'ReactUpdates.asap: Can\\'t enqueue an asap callback in a context where' + 'updates are not being batched.') : invariant(false) : undefined;\n  asapCallbackQueue.enqueue(callback, context);\n  asapEnqueued = true;\n}\n\nvar ReactUpdatesInjection = {\n  injectReconcileTransaction: function (ReconcileTransaction) {\n    !ReconcileTransaction ? \"development\" !== 'production' ? invariant(false, 'ReactUpdates: must provide a reconcile transaction class') : invariant(false) : undefined;\n    ReactUpdates.ReactReconcileTransaction = ReconcileTransaction;\n  },\n\n  injectBatchingStrategy: function (_batchingStrategy) {\n    !_batchingStrategy ? \"development\" !== 'production' ? invariant(false, 'ReactUpdates: must provide a batching strategy') : invariant(false) : undefined;\n    !(typeof _batchingStrategy.batchedUpdates === 'function') ? \"development\" !== 'production' ? invariant(false, 'ReactUpdates: must provide a batchedUpdates() function') : invariant(false) : undefined;\n    !(typeof _batchingStrategy.isBatchingUpdates === 'boolean') ? \"development\" !== 'production' ? invariant(false, 'ReactUpdates: must provide an isBatchingUpdates boolean attribute') : invariant(false) : undefined;\n    batchingStrategy = _batchingStrategy;\n  }\n};\n\nvar ReactUpdates = {\n  /**\n   * React references `ReactReconcileTransaction` using this property in order\n   * to allow dependency injection.\n   *\n   * @internal\n   */\n  ReactReconcileTransaction: null,\n\n  batchedUpdates: batchedUpdates,\n  enqueueUpdate: enqueueUpdate,\n  flushBatchedUpdates: flushBatchedUpdates,\n  injection: ReactUpdatesInjection,\n  asap: asap\n};\n\nmodule.exports = ReactUpdates;\n},{\"113\":113,\"161\":161,\"24\":24,\"25\":25,\"6\":6,\"78\":78,\"84\":84}],97:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ReactVersion\n */\n\n'use strict';\n\nmodule.exports = '0.14.7';\n},{}],98:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule SVGDOMPropertyConfig\n */\n\n'use strict';\n\nvar DOMProperty = _dereq_(10);\n\nvar MUST_USE_ATTRIBUTE = DOMProperty.injection.MUST_USE_ATTRIBUTE;\n\nvar NS = {\n  xlink: 'http://www.w3.org/1999/xlink',\n  xml: 'http://www.w3.org/XML/1998/namespace'\n};\n\nvar SVGDOMPropertyConfig = {\n  Properties: {\n    clipPath: MUST_USE_ATTRIBUTE,\n    cx: MUST_USE_ATTRIBUTE,\n    cy: MUST_USE_ATTRIBUTE,\n    d: MUST_USE_ATTRIBUTE,\n    dx: MUST_USE_ATTRIBUTE,\n    dy: MUST_USE_ATTRIBUTE,\n    fill: MUST_USE_ATTRIBUTE,\n    fillOpacity: MUST_USE_ATTRIBUTE,\n    fontFamily: MUST_USE_ATTRIBUTE,\n    fontSize: MUST_USE_ATTRIBUTE,\n    fx: MUST_USE_ATTRIBUTE,\n    fy: MUST_USE_ATTRIBUTE,\n    gradientTransform: MUST_USE_ATTRIBUTE,\n    gradientUnits: MUST_USE_ATTRIBUTE,\n    markerEnd: MUST_USE_ATTRIBUTE,\n    markerMid: MUST_USE_ATTRIBUTE,\n    markerStart: MUST_USE_ATTRIBUTE,\n    offset: MUST_USE_ATTRIBUTE,\n    opacity: MUST_USE_ATTRIBUTE,\n    patternContentUnits: MUST_USE_ATTRIBUTE,\n    patternUnits: MUST_USE_ATTRIBUTE,\n    points: MUST_USE_ATTRIBUTE,\n    preserveAspectRatio: MUST_USE_ATTRIBUTE,\n    r: MUST_USE_ATTRIBUTE,\n    rx: MUST_USE_ATTRIBUTE,\n    ry: MUST_USE_ATTRIBUTE,\n    spreadMethod: MUST_USE_ATTRIBUTE,\n    stopColor: MUST_USE_ATTRIBUTE,\n    stopOpacity: MUST_USE_ATTRIBUTE,\n    stroke: MUST_USE_ATTRIBUTE,\n    strokeDasharray: MUST_USE_ATTRIBUTE,\n    strokeLinecap: MUST_USE_ATTRIBUTE,\n    strokeOpacity: MUST_USE_ATTRIBUTE,\n    strokeWidth: MUST_USE_ATTRIBUTE,\n    textAnchor: MUST_USE_ATTRIBUTE,\n    transform: MUST_USE_ATTRIBUTE,\n    version: MUST_USE_ATTRIBUTE,\n    viewBox: MUST_USE_ATTRIBUTE,\n    x1: MUST_USE_ATTRIBUTE,\n    x2: MUST_USE_ATTRIBUTE,\n    x: MUST_USE_ATTRIBUTE,\n    xlinkActuate: MUST_USE_ATTRIBUTE,\n    xlinkArcrole: MUST_USE_ATTRIBUTE,\n    xlinkHref: MUST_USE_ATTRIBUTE,\n    xlinkRole: MUST_USE_ATTRIBUTE,\n    xlinkShow: MUST_USE_ATTRIBUTE,\n    xlinkTitle: MUST_USE_ATTRIBUTE,\n    xlinkType: MUST_USE_ATTRIBUTE,\n    xmlBase: MUST_USE_ATTRIBUTE,\n    xmlLang: MUST_USE_ATTRIBUTE,\n    xmlSpace: MUST_USE_ATTRIBUTE,\n    y1: MUST_USE_ATTRIBUTE,\n    y2: MUST_USE_ATTRIBUTE,\n    y: MUST_USE_ATTRIBUTE\n  },\n  DOMAttributeNamespaces: {\n    xlinkActuate: NS.xlink,\n    xlinkArcrole: NS.xlink,\n    xlinkHref: NS.xlink,\n    xlinkRole: NS.xlink,\n    xlinkShow: NS.xlink,\n    xlinkTitle: NS.xlink,\n    xlinkType: NS.xlink,\n    xmlBase: NS.xml,\n    xmlLang: NS.xml,\n    xmlSpace: NS.xml\n  },\n  DOMAttributeNames: {\n    clipPath: 'clip-path',\n    fillOpacity: 'fill-opacity',\n    fontFamily: 'font-family',\n    fontSize: 'font-size',\n    gradientTransform: 'gradientTransform',\n    gradientUnits: 'gradientUnits',\n    markerEnd: 'marker-end',\n    markerMid: 'marker-mid',\n    markerStart: 'marker-start',\n    patternContentUnits: 'patternContentUnits',\n    patternUnits: 'patternUnits',\n    preserveAspectRatio: 'preserveAspectRatio',\n    spreadMethod: 'spreadMethod',\n    stopColor: 'stop-color',\n    stopOpacity: 'stop-opacity',\n    strokeDasharray: 'stroke-dasharray',\n    strokeLinecap: 'stroke-linecap',\n    strokeOpacity: 'stroke-opacity',\n    strokeWidth: 'stroke-width',\n    textAnchor: 'text-anchor',\n    viewBox: 'viewBox',\n    xlinkActuate: 'xlink:actuate',\n    xlinkArcrole: 'xlink:arcrole',\n    xlinkHref: 'xlink:href',\n    xlinkRole: 'xlink:role',\n    xlinkShow: 'xlink:show',\n    xlinkTitle: 'xlink:title',\n    xlinkType: 'xlink:type',\n    xmlBase: 'xml:base',\n    xmlLang: 'xml:lang',\n    xmlSpace: 'xml:space'\n  }\n};\n\nmodule.exports = SVGDOMPropertyConfig;\n},{\"10\":10}],99:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule SelectEventPlugin\n */\n\n'use strict';\n\nvar EventConstants = _dereq_(15);\nvar EventPropagators = _dereq_(19);\nvar ExecutionEnvironment = _dereq_(147);\nvar ReactInputSelection = _dereq_(66);\nvar SyntheticEvent = _dereq_(105);\n\nvar getActiveElement = _dereq_(156);\nvar isTextInputElement = _dereq_(134);\nvar keyOf = _dereq_(166);\nvar shallowEqual = _dereq_(171);\n\nvar topLevelTypes = EventConstants.topLevelTypes;\n\nvar skipSelectionChangeEvent = ExecutionEnvironment.canUseDOM && 'documentMode' in document && document.documentMode <= 11;\n\nvar eventTypes = {\n  select: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onSelect: null }),\n      captured: keyOf({ onSelectCapture: null })\n    },\n    dependencies: [topLevelTypes.topBlur, topLevelTypes.topContextMenu, topLevelTypes.topFocus, topLevelTypes.topKeyDown, topLevelTypes.topMouseDown, topLevelTypes.topMouseUp, topLevelTypes.topSelectionChange]\n  }\n};\n\nvar activeElement = null;\nvar activeElementID = null;\nvar lastSelection = null;\nvar mouseDown = false;\n\n// Track whether a listener exists for this plugin. If none exist, we do\n// not extract events.\nvar hasListener = false;\nvar ON_SELECT_KEY = keyOf({ onSelect: null });\n\n/**\n * Get an object which is a unique representation of the current selection.\n *\n * The return value will not be consistent across nodes or browsers, but\n * two identical selections on the same node will return identical objects.\n *\n * @param {DOMElement} node\n * @return {object}\n */\nfunction getSelection(node) {\n  if ('selectionStart' in node && ReactInputSelection.hasSelectionCapabilities(node)) {\n    return {\n      start: node.selectionStart,\n      end: node.selectionEnd\n    };\n  } else if (window.getSelection) {\n    var selection = window.getSelection();\n    return {\n      anchorNode: selection.anchorNode,\n      anchorOffset: selection.anchorOffset,\n      focusNode: selection.focusNode,\n      focusOffset: selection.focusOffset\n    };\n  } else if (document.selection) {\n    var range = document.selection.createRange();\n    return {\n      parentElement: range.parentElement(),\n      text: range.text,\n      top: range.boundingTop,\n      left: range.boundingLeft\n    };\n  }\n}\n\n/**\n * Poll selection to see whether it's changed.\n *\n * @param {object} nativeEvent\n * @return {?SyntheticEvent}\n */\nfunction constructSelectEvent(nativeEvent, nativeEventTarget) {\n  // Ensure we have the right element, and that the user is not dragging a\n  // selection (this matches native `select` event behavior). In HTML5, select\n  // fires only on input and textarea thus if there's no focused element we\n  // won't dispatch.\n  if (mouseDown || activeElement == null || activeElement !== getActiveElement()) {\n    return null;\n  }\n\n  // Only fire when selection has actually changed.\n  var currentSelection = getSelection(activeElement);\n  if (!lastSelection || !shallowEqual(lastSelection, currentSelection)) {\n    lastSelection = currentSelection;\n\n    var syntheticEvent = SyntheticEvent.getPooled(eventTypes.select, activeElementID, nativeEvent, nativeEventTarget);\n\n    syntheticEvent.type = 'select';\n    syntheticEvent.target = activeElement;\n\n    EventPropagators.accumulateTwoPhaseDispatches(syntheticEvent);\n\n    return syntheticEvent;\n  }\n\n  return null;\n}\n\n/**\n * This plugin creates an `onSelect` event that normalizes select events\n * across form elements.\n *\n * Supported elements are:\n * - input (see `isTextInputElement`)\n * - textarea\n * - contentEditable\n *\n * This differs from native browser implementations in the following ways:\n * - Fires on contentEditable fields as well as inputs.\n * - Fires for collapsed selection.\n * - Fires after user input.\n */\nvar SelectEventPlugin = {\n\n  eventTypes: eventTypes,\n\n  /**\n   * @param {string} topLevelType Record from `EventConstants`.\n   * @param {DOMEventTarget} topLevelTarget The listening component root node.\n   * @param {string} topLevelTargetID ID of `topLevelTarget`.\n   * @param {object} nativeEvent Native browser event.\n   * @return {*} An accumulation of synthetic events.\n   * @see {EventPluginHub.extractEvents}\n   */\n  extractEvents: function (topLevelType, topLevelTarget, topLevelTargetID, nativeEvent, nativeEventTarget) {\n    if (!hasListener) {\n      return null;\n    }\n\n    switch (topLevelType) {\n      // Track the input node that has focus.\n      case topLevelTypes.topFocus:\n        if (isTextInputElement(topLevelTarget) || topLevelTarget.contentEditable === 'true') {\n          activeElement = topLevelTarget;\n          activeElementID = topLevelTargetID;\n          lastSelection = null;\n        }\n        break;\n      case topLevelTypes.topBlur:\n        activeElement = null;\n        activeElementID = null;\n        lastSelection = null;\n        break;\n\n      // Don't fire the event while the user is dragging. This matches the\n      // semantics of the native select event.\n      case topLevelTypes.topMouseDown:\n        mouseDown = true;\n        break;\n      case topLevelTypes.topContextMenu:\n      case topLevelTypes.topMouseUp:\n        mouseDown = false;\n        return constructSelectEvent(nativeEvent, nativeEventTarget);\n\n      // Chrome and IE fire non-standard event when selection is changed (and\n      // sometimes when it hasn't). IE's event fires out of order with respect\n      // to key and input events on deletion, so we discard it.\n      //\n      // Firefox doesn't support selectionchange, so check selection status\n      // after each key entry. The selection changes after keydown and before\n      // keyup, but we check on keydown as well in the case of holding down a\n      // key, when multiple keydown events are fired but only one keyup is.\n      // This is also our approach for IE handling, for the reason above.\n      case topLevelTypes.topSelectionChange:\n        if (skipSelectionChangeEvent) {\n          break;\n        }\n      // falls through\n      case topLevelTypes.topKeyDown:\n      case topLevelTypes.topKeyUp:\n        return constructSelectEvent(nativeEvent, nativeEventTarget);\n    }\n\n    return null;\n  },\n\n  didPutListener: function (id, registrationName, listener) {\n    if (registrationName === ON_SELECT_KEY) {\n      hasListener = true;\n    }\n  }\n};\n\nmodule.exports = SelectEventPlugin;\n},{\"105\":105,\"134\":134,\"147\":147,\"15\":15,\"156\":156,\"166\":166,\"171\":171,\"19\":19,\"66\":66}],100:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ServerReactRootIndex\n * @typechecks\n */\n\n'use strict';\n\n/**\n * Size of the reactRoot ID space. We generate random numbers for React root\n * IDs and if there's a collision the events and DOM update system will\n * get confused. In the future we need a way to generate GUIDs but for\n * now this will work on a smaller scale.\n */\nvar GLOBAL_MOUNT_POINT_MAX = Math.pow(2, 53);\n\nvar ServerReactRootIndex = {\n  createReactRootIndex: function () {\n    return Math.ceil(Math.random() * GLOBAL_MOUNT_POINT_MAX);\n  }\n};\n\nmodule.exports = ServerReactRootIndex;\n},{}],101:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule SimpleEventPlugin\n */\n\n'use strict';\n\nvar EventConstants = _dereq_(15);\nvar EventListener = _dereq_(146);\nvar EventPropagators = _dereq_(19);\nvar ReactMount = _dereq_(72);\nvar SyntheticClipboardEvent = _dereq_(102);\nvar SyntheticEvent = _dereq_(105);\nvar SyntheticFocusEvent = _dereq_(106);\nvar SyntheticKeyboardEvent = _dereq_(108);\nvar SyntheticMouseEvent = _dereq_(109);\nvar SyntheticDragEvent = _dereq_(104);\nvar SyntheticTouchEvent = _dereq_(110);\nvar SyntheticUIEvent = _dereq_(111);\nvar SyntheticWheelEvent = _dereq_(112);\n\nvar emptyFunction = _dereq_(153);\nvar getEventCharCode = _dereq_(125);\nvar invariant = _dereq_(161);\nvar keyOf = _dereq_(166);\n\nvar topLevelTypes = EventConstants.topLevelTypes;\n\nvar eventTypes = {\n  abort: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onAbort: true }),\n      captured: keyOf({ onAbortCapture: true })\n    }\n  },\n  blur: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onBlur: true }),\n      captured: keyOf({ onBlurCapture: true })\n    }\n  },\n  canPlay: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onCanPlay: true }),\n      captured: keyOf({ onCanPlayCapture: true })\n    }\n  },\n  canPlayThrough: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onCanPlayThrough: true }),\n      captured: keyOf({ onCanPlayThroughCapture: true })\n    }\n  },\n  click: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onClick: true }),\n      captured: keyOf({ onClickCapture: true })\n    }\n  },\n  contextMenu: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onContextMenu: true }),\n      captured: keyOf({ onContextMenuCapture: true })\n    }\n  },\n  copy: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onCopy: true }),\n      captured: keyOf({ onCopyCapture: true })\n    }\n  },\n  cut: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onCut: true }),\n      captured: keyOf({ onCutCapture: true })\n    }\n  },\n  doubleClick: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onDoubleClick: true }),\n      captured: keyOf({ onDoubleClickCapture: true })\n    }\n  },\n  drag: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onDrag: true }),\n      captured: keyOf({ onDragCapture: true })\n    }\n  },\n  dragEnd: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onDragEnd: true }),\n      captured: keyOf({ onDragEndCapture: true })\n    }\n  },\n  dragEnter: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onDragEnter: true }),\n      captured: keyOf({ onDragEnterCapture: true })\n    }\n  },\n  dragExit: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onDragExit: true }),\n      captured: keyOf({ onDragExitCapture: true })\n    }\n  },\n  dragLeave: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onDragLeave: true }),\n      captured: keyOf({ onDragLeaveCapture: true })\n    }\n  },\n  dragOver: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onDragOver: true }),\n      captured: keyOf({ onDragOverCapture: true })\n    }\n  },\n  dragStart: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onDragStart: true }),\n      captured: keyOf({ onDragStartCapture: true })\n    }\n  },\n  drop: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onDrop: true }),\n      captured: keyOf({ onDropCapture: true })\n    }\n  },\n  durationChange: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onDurationChange: true }),\n      captured: keyOf({ onDurationChangeCapture: true })\n    }\n  },\n  emptied: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onEmptied: true }),\n      captured: keyOf({ onEmptiedCapture: true })\n    }\n  },\n  encrypted: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onEncrypted: true }),\n      captured: keyOf({ onEncryptedCapture: true })\n    }\n  },\n  ended: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onEnded: true }),\n      captured: keyOf({ onEndedCapture: true })\n    }\n  },\n  error: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onError: true }),\n      captured: keyOf({ onErrorCapture: true })\n    }\n  },\n  focus: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onFocus: true }),\n      captured: keyOf({ onFocusCapture: true })\n    }\n  },\n  input: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onInput: true }),\n      captured: keyOf({ onInputCapture: true })\n    }\n  },\n  keyDown: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onKeyDown: true }),\n      captured: keyOf({ onKeyDownCapture: true })\n    }\n  },\n  keyPress: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onKeyPress: true }),\n      captured: keyOf({ onKeyPressCapture: true })\n    }\n  },\n  keyUp: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onKeyUp: true }),\n      captured: keyOf({ onKeyUpCapture: true })\n    }\n  },\n  load: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onLoad: true }),\n      captured: keyOf({ onLoadCapture: true })\n    }\n  },\n  loadedData: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onLoadedData: true }),\n      captured: keyOf({ onLoadedDataCapture: true })\n    }\n  },\n  loadedMetadata: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onLoadedMetadata: true }),\n      captured: keyOf({ onLoadedMetadataCapture: true })\n    }\n  },\n  loadStart: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onLoadStart: true }),\n      captured: keyOf({ onLoadStartCapture: true })\n    }\n  },\n  // Note: We do not allow listening to mouseOver events. Instead, use the\n  // onMouseEnter/onMouseLeave created by `EnterLeaveEventPlugin`.\n  mouseDown: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onMouseDown: true }),\n      captured: keyOf({ onMouseDownCapture: true })\n    }\n  },\n  mouseMove: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onMouseMove: true }),\n      captured: keyOf({ onMouseMoveCapture: true })\n    }\n  },\n  mouseOut: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onMouseOut: true }),\n      captured: keyOf({ onMouseOutCapture: true })\n    }\n  },\n  mouseOver: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onMouseOver: true }),\n      captured: keyOf({ onMouseOverCapture: true })\n    }\n  },\n  mouseUp: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onMouseUp: true }),\n      captured: keyOf({ onMouseUpCapture: true })\n    }\n  },\n  paste: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onPaste: true }),\n      captured: keyOf({ onPasteCapture: true })\n    }\n  },\n  pause: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onPause: true }),\n      captured: keyOf({ onPauseCapture: true })\n    }\n  },\n  play: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onPlay: true }),\n      captured: keyOf({ onPlayCapture: true })\n    }\n  },\n  playing: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onPlaying: true }),\n      captured: keyOf({ onPlayingCapture: true })\n    }\n  },\n  progress: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onProgress: true }),\n      captured: keyOf({ onProgressCapture: true })\n    }\n  },\n  rateChange: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onRateChange: true }),\n      captured: keyOf({ onRateChangeCapture: true })\n    }\n  },\n  reset: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onReset: true }),\n      captured: keyOf({ onResetCapture: true })\n    }\n  },\n  scroll: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onScroll: true }),\n      captured: keyOf({ onScrollCapture: true })\n    }\n  },\n  seeked: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onSeeked: true }),\n      captured: keyOf({ onSeekedCapture: true })\n    }\n  },\n  seeking: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onSeeking: true }),\n      captured: keyOf({ onSeekingCapture: true })\n    }\n  },\n  stalled: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onStalled: true }),\n      captured: keyOf({ onStalledCapture: true })\n    }\n  },\n  submit: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onSubmit: true }),\n      captured: keyOf({ onSubmitCapture: true })\n    }\n  },\n  suspend: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onSuspend: true }),\n      captured: keyOf({ onSuspendCapture: true })\n    }\n  },\n  timeUpdate: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onTimeUpdate: true }),\n      captured: keyOf({ onTimeUpdateCapture: true })\n    }\n  },\n  touchCancel: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onTouchCancel: true }),\n      captured: keyOf({ onTouchCancelCapture: true })\n    }\n  },\n  touchEnd: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onTouchEnd: true }),\n      captured: keyOf({ onTouchEndCapture: true })\n    }\n  },\n  touchMove: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onTouchMove: true }),\n      captured: keyOf({ onTouchMoveCapture: true })\n    }\n  },\n  touchStart: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onTouchStart: true }),\n      captured: keyOf({ onTouchStartCapture: true })\n    }\n  },\n  volumeChange: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onVolumeChange: true }),\n      captured: keyOf({ onVolumeChangeCapture: true })\n    }\n  },\n  waiting: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onWaiting: true }),\n      captured: keyOf({ onWaitingCapture: true })\n    }\n  },\n  wheel: {\n    phasedRegistrationNames: {\n      bubbled: keyOf({ onWheel: true }),\n      captured: keyOf({ onWheelCapture: true })\n    }\n  }\n};\n\nvar topLevelEventsToDispatchConfig = {\n  topAbort: eventTypes.abort,\n  topBlur: eventTypes.blur,\n  topCanPlay: eventTypes.canPlay,\n  topCanPlayThrough: eventTypes.canPlayThrough,\n  topClick: eventTypes.click,\n  topContextMenu: eventTypes.contextMenu,\n  topCopy: eventTypes.copy,\n  topCut: eventTypes.cut,\n  topDoubleClick: eventTypes.doubleClick,\n  topDrag: eventTypes.drag,\n  topDragEnd: eventTypes.dragEnd,\n  topDragEnter: eventTypes.dragEnter,\n  topDragExit: eventTypes.dragExit,\n  topDragLeave: eventTypes.dragLeave,\n  topDragOver: eventTypes.dragOver,\n  topDragStart: eventTypes.dragStart,\n  topDrop: eventTypes.drop,\n  topDurationChange: eventTypes.durationChange,\n  topEmptied: eventTypes.emptied,\n  topEncrypted: eventTypes.encrypted,\n  topEnded: eventTypes.ended,\n  topError: eventTypes.error,\n  topFocus: eventTypes.focus,\n  topInput: eventTypes.input,\n  topKeyDown: eventTypes.keyDown,\n  topKeyPress: eventTypes.keyPress,\n  topKeyUp: eventTypes.keyUp,\n  topLoad: eventTypes.load,\n  topLoadedData: eventTypes.loadedData,\n  topLoadedMetadata: eventTypes.loadedMetadata,\n  topLoadStart: eventTypes.loadStart,\n  topMouseDown: eventTypes.mouseDown,\n  topMouseMove: eventTypes.mouseMove,\n  topMouseOut: eventTypes.mouseOut,\n  topMouseOver: eventTypes.mouseOver,\n  topMouseUp: eventTypes.mouseUp,\n  topPaste: eventTypes.paste,\n  topPause: eventTypes.pause,\n  topPlay: eventTypes.play,\n  topPlaying: eventTypes.playing,\n  topProgress: eventTypes.progress,\n  topRateChange: eventTypes.rateChange,\n  topReset: eventTypes.reset,\n  topScroll: eventTypes.scroll,\n  topSeeked: eventTypes.seeked,\n  topSeeking: eventTypes.seeking,\n  topStalled: eventTypes.stalled,\n  topSubmit: eventTypes.submit,\n  topSuspend: eventTypes.suspend,\n  topTimeUpdate: eventTypes.timeUpdate,\n  topTouchCancel: eventTypes.touchCancel,\n  topTouchEnd: eventTypes.touchEnd,\n  topTouchMove: eventTypes.touchMove,\n  topTouchStart: eventTypes.touchStart,\n  topVolumeChange: eventTypes.volumeChange,\n  topWaiting: eventTypes.waiting,\n  topWheel: eventTypes.wheel\n};\n\nfor (var type in topLevelEventsToDispatchConfig) {\n  topLevelEventsToDispatchConfig[type].dependencies = [type];\n}\n\nvar ON_CLICK_KEY = keyOf({ onClick: null });\nvar onClickListeners = {};\n\nvar SimpleEventPlugin = {\n\n  eventTypes: eventTypes,\n\n  /**\n   * @param {string} topLevelType Record from `EventConstants`.\n   * @param {DOMEventTarget} topLevelTarget The listening component root node.\n   * @param {string} topLevelTargetID ID of `topLevelTarget`.\n   * @param {object} nativeEvent Native browser event.\n   * @return {*} An accumulation of synthetic events.\n   * @see {EventPluginHub.extractEvents}\n   */\n  extractEvents: function (topLevelType, topLevelTarget, topLevelTargetID, nativeEvent, nativeEventTarget) {\n    var dispatchConfig = topLevelEventsToDispatchConfig[topLevelType];\n    if (!dispatchConfig) {\n      return null;\n    }\n    var EventConstructor;\n    switch (topLevelType) {\n      case topLevelTypes.topAbort:\n      case topLevelTypes.topCanPlay:\n      case topLevelTypes.topCanPlayThrough:\n      case topLevelTypes.topDurationChange:\n      case topLevelTypes.topEmptied:\n      case topLevelTypes.topEncrypted:\n      case topLevelTypes.topEnded:\n      case topLevelTypes.topError:\n      case topLevelTypes.topInput:\n      case topLevelTypes.topLoad:\n      case topLevelTypes.topLoadedData:\n      case topLevelTypes.topLoadedMetadata:\n      case topLevelTypes.topLoadStart:\n      case topLevelTypes.topPause:\n      case topLevelTypes.topPlay:\n      case topLevelTypes.topPlaying:\n      case topLevelTypes.topProgress:\n      case topLevelTypes.topRateChange:\n      case topLevelTypes.topReset:\n      case topLevelTypes.topSeeked:\n      case topLevelTypes.topSeeking:\n      case topLevelTypes.topStalled:\n      case topLevelTypes.topSubmit:\n      case topLevelTypes.topSuspend:\n      case topLevelTypes.topTimeUpdate:\n      case topLevelTypes.topVolumeChange:\n      case topLevelTypes.topWaiting:\n        // HTML Events\n        // @see http://www.w3.org/TR/html5/index.html#events-0\n        EventConstructor = SyntheticEvent;\n        break;\n      case topLevelTypes.topKeyPress:\n        // FireFox creates a keypress event for function keys too. This removes\n        // the unwanted keypress events. Enter is however both printable and\n        // non-printable. One would expect Tab to be as well (but it isn't).\n        if (getEventCharCode(nativeEvent) === 0) {\n          return null;\n        }\n      /* falls through */\n      case topLevelTypes.topKeyDown:\n      case topLevelTypes.topKeyUp:\n        EventConstructor = SyntheticKeyboardEvent;\n        break;\n      case topLevelTypes.topBlur:\n      case topLevelTypes.topFocus:\n        EventConstructor = SyntheticFocusEvent;\n        break;\n      case topLevelTypes.topClick:\n        // Firefox creates a click event on right mouse clicks. This removes the\n        // unwanted click events.\n        if (nativeEvent.button === 2) {\n          return null;\n        }\n      /* falls through */\n      case topLevelTypes.topContextMenu:\n      case topLevelTypes.topDoubleClick:\n      case topLevelTypes.topMouseDown:\n      case topLevelTypes.topMouseMove:\n      case topLevelTypes.topMouseOut:\n      case topLevelTypes.topMouseOver:\n      case topLevelTypes.topMouseUp:\n        EventConstructor = SyntheticMouseEvent;\n        break;\n      case topLevelTypes.topDrag:\n      case topLevelTypes.topDragEnd:\n      case topLevelTypes.topDragEnter:\n      case topLevelTypes.topDragExit:\n      case topLevelTypes.topDragLeave:\n      case topLevelTypes.topDragOver:\n      case topLevelTypes.topDragStart:\n      case topLevelTypes.topDrop:\n        EventConstructor = SyntheticDragEvent;\n        break;\n      case topLevelTypes.topTouchCancel:\n      case topLevelTypes.topTouchEnd:\n      case topLevelTypes.topTouchMove:\n      case topLevelTypes.topTouchStart:\n        EventConstructor = SyntheticTouchEvent;\n        break;\n      case topLevelTypes.topScroll:\n        EventConstructor = SyntheticUIEvent;\n        break;\n      case topLevelTypes.topWheel:\n        EventConstructor = SyntheticWheelEvent;\n        break;\n      case topLevelTypes.topCopy:\n      case topLevelTypes.topCut:\n      case topLevelTypes.topPaste:\n        EventConstructor = SyntheticClipboardEvent;\n        break;\n    }\n    !EventConstructor ? \"development\" !== 'production' ? invariant(false, 'SimpleEventPlugin: Unhandled event type, `%s`.', topLevelType) : invariant(false) : undefined;\n    var event = EventConstructor.getPooled(dispatchConfig, topLevelTargetID, nativeEvent, nativeEventTarget);\n    EventPropagators.accumulateTwoPhaseDispatches(event);\n    return event;\n  },\n\n  didPutListener: function (id, registrationName, listener) {\n    // Mobile Safari does not fire properly bubble click events on\n    // non-interactive elements, which means delegated click listeners do not\n    // fire. The workaround for this bug involves attaching an empty click\n    // listener on the target node.\n    if (registrationName === ON_CLICK_KEY) {\n      var node = ReactMount.getNode(id);\n      if (!onClickListeners[id]) {\n        onClickListeners[id] = EventListener.listen(node, 'click', emptyFunction);\n      }\n    }\n  },\n\n  willDeleteListener: function (id, registrationName) {\n    if (registrationName === ON_CLICK_KEY) {\n      onClickListeners[id].remove();\n      delete onClickListeners[id];\n    }\n  }\n\n};\n\nmodule.exports = SimpleEventPlugin;\n},{\"102\":102,\"104\":104,\"105\":105,\"106\":106,\"108\":108,\"109\":109,\"110\":110,\"111\":111,\"112\":112,\"125\":125,\"146\":146,\"15\":15,\"153\":153,\"161\":161,\"166\":166,\"19\":19,\"72\":72}],102:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule SyntheticClipboardEvent\n * @typechecks static-only\n */\n\n'use strict';\n\nvar SyntheticEvent = _dereq_(105);\n\n/**\n * @interface Event\n * @see http://www.w3.org/TR/clipboard-apis/\n */\nvar ClipboardEventInterface = {\n  clipboardData: function (event) {\n    return 'clipboardData' in event ? event.clipboardData : window.clipboardData;\n  }\n};\n\n/**\n * @param {object} dispatchConfig Configuration used to dispatch this event.\n * @param {string} dispatchMarker Marker identifying the event target.\n * @param {object} nativeEvent Native browser event.\n * @extends {SyntheticUIEvent}\n */\nfunction SyntheticClipboardEvent(dispatchConfig, dispatchMarker, nativeEvent, nativeEventTarget) {\n  SyntheticEvent.call(this, dispatchConfig, dispatchMarker, nativeEvent, nativeEventTarget);\n}\n\nSyntheticEvent.augmentClass(SyntheticClipboardEvent, ClipboardEventInterface);\n\nmodule.exports = SyntheticClipboardEvent;\n},{\"105\":105}],103:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule SyntheticCompositionEvent\n * @typechecks static-only\n */\n\n'use strict';\n\nvar SyntheticEvent = _dereq_(105);\n\n/**\n * @interface Event\n * @see http://www.w3.org/TR/DOM-Level-3-Events/#events-compositionevents\n */\nvar CompositionEventInterface = {\n  data: null\n};\n\n/**\n * @param {object} dispatchConfig Configuration used to dispatch this event.\n * @param {string} dispatchMarker Marker identifying the event target.\n * @param {object} nativeEvent Native browser event.\n * @extends {SyntheticUIEvent}\n */\nfunction SyntheticCompositionEvent(dispatchConfig, dispatchMarker, nativeEvent, nativeEventTarget) {\n  SyntheticEvent.call(this, dispatchConfig, dispatchMarker, nativeEvent, nativeEventTarget);\n}\n\nSyntheticEvent.augmentClass(SyntheticCompositionEvent, CompositionEventInterface);\n\nmodule.exports = SyntheticCompositionEvent;\n},{\"105\":105}],104:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule SyntheticDragEvent\n * @typechecks static-only\n */\n\n'use strict';\n\nvar SyntheticMouseEvent = _dereq_(109);\n\n/**\n * @interface DragEvent\n * @see http://www.w3.org/TR/DOM-Level-3-Events/\n */\nvar DragEventInterface = {\n  dataTransfer: null\n};\n\n/**\n * @param {object} dispatchConfig Configuration used to dispatch this event.\n * @param {string} dispatchMarker Marker identifying the event target.\n * @param {object} nativeEvent Native browser event.\n * @extends {SyntheticUIEvent}\n */\nfunction SyntheticDragEvent(dispatchConfig, dispatchMarker, nativeEvent, nativeEventTarget) {\n  SyntheticMouseEvent.call(this, dispatchConfig, dispatchMarker, nativeEvent, nativeEventTarget);\n}\n\nSyntheticMouseEvent.augmentClass(SyntheticDragEvent, DragEventInterface);\n\nmodule.exports = SyntheticDragEvent;\n},{\"109\":109}],105:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule SyntheticEvent\n * @typechecks static-only\n */\n\n'use strict';\n\nvar PooledClass = _dereq_(25);\n\nvar assign = _dereq_(24);\nvar emptyFunction = _dereq_(153);\nvar warning = _dereq_(173);\n\n/**\n * @interface Event\n * @see http://www.w3.org/TR/DOM-Level-3-Events/\n */\nvar EventInterface = {\n  type: null,\n  target: null,\n  // currentTarget is set when dispatching; no use in copying it here\n  currentTarget: emptyFunction.thatReturnsNull,\n  eventPhase: null,\n  bubbles: null,\n  cancelable: null,\n  timeStamp: function (event) {\n    return event.timeStamp || Date.now();\n  },\n  defaultPrevented: null,\n  isTrusted: null\n};\n\n/**\n * Synthetic events are dispatched by event plugins, typically in response to a\n * top-level event delegation handler.\n *\n * These systems should generally use pooling to reduce the frequency of garbage\n * collection. The system should check `isPersistent` to determine whether the\n * event should be released into the pool after being dispatched. Users that\n * need a persisted event should invoke `persist`.\n *\n * Synthetic events (and subclasses) implement the DOM Level 3 Events API by\n * normalizing browser quirks. Subclasses do not necessarily have to implement a\n * DOM interface; custom application-specific events can also subclass this.\n *\n * @param {object} dispatchConfig Configuration used to dispatch this event.\n * @param {string} dispatchMarker Marker identifying the event target.\n * @param {object} nativeEvent Native browser event.\n */\nfunction SyntheticEvent(dispatchConfig, dispatchMarker, nativeEvent, nativeEventTarget) {\n  this.dispatchConfig = dispatchConfig;\n  this.dispatchMarker = dispatchMarker;\n  this.nativeEvent = nativeEvent;\n\n  var Interface = this.constructor.Interface;\n  for (var propName in Interface) {\n    if (!Interface.hasOwnProperty(propName)) {\n      continue;\n    }\n    var normalize = Interface[propName];\n    if (normalize) {\n      this[propName] = normalize(nativeEvent);\n    } else {\n      if (propName === 'target') {\n        this.target = nativeEventTarget;\n      } else {\n        this[propName] = nativeEvent[propName];\n      }\n    }\n  }\n\n  var defaultPrevented = nativeEvent.defaultPrevented != null ? nativeEvent.defaultPrevented : nativeEvent.returnValue === false;\n  if (defaultPrevented) {\n    this.isDefaultPrevented = emptyFunction.thatReturnsTrue;\n  } else {\n    this.isDefaultPrevented = emptyFunction.thatReturnsFalse;\n  }\n  this.isPropagationStopped = emptyFunction.thatReturnsFalse;\n}\n\nassign(SyntheticEvent.prototype, {\n\n  preventDefault: function () {\n    this.defaultPrevented = true;\n    var event = this.nativeEvent;\n    if (\"development\" !== 'production') {\n      \"development\" !== 'production' ? warning(event, 'This synthetic event is reused for performance reasons. If you\\'re ' + 'seeing this, you\\'re calling `preventDefault` on a ' + 'released/nullified synthetic event. This is a no-op. See ' + 'https://fb.me/react-event-pooling for more information.') : undefined;\n    }\n    if (!event) {\n      return;\n    }\n\n    if (event.preventDefault) {\n      event.preventDefault();\n    } else {\n      event.returnValue = false;\n    }\n    this.isDefaultPrevented = emptyFunction.thatReturnsTrue;\n  },\n\n  stopPropagation: function () {\n    var event = this.nativeEvent;\n    if (\"development\" !== 'production') {\n      \"development\" !== 'production' ? warning(event, 'This synthetic event is reused for performance reasons. If you\\'re ' + 'seeing this, you\\'re calling `stopPropagation` on a ' + 'released/nullified synthetic event. This is a no-op. See ' + 'https://fb.me/react-event-pooling for more information.') : undefined;\n    }\n    if (!event) {\n      return;\n    }\n\n    if (event.stopPropagation) {\n      event.stopPropagation();\n    } else {\n      event.cancelBubble = true;\n    }\n    this.isPropagationStopped = emptyFunction.thatReturnsTrue;\n  },\n\n  /**\n   * We release all dispatched `SyntheticEvent`s after each event loop, adding\n   * them back into the pool. This allows a way to hold onto a reference that\n   * won't be added back into the pool.\n   */\n  persist: function () {\n    this.isPersistent = emptyFunction.thatReturnsTrue;\n  },\n\n  /**\n   * Checks if this event should be released back into the pool.\n   *\n   * @return {boolean} True if this should not be released, false otherwise.\n   */\n  isPersistent: emptyFunction.thatReturnsFalse,\n\n  /**\n   * `PooledClass` looks for `destructor` on each instance it releases.\n   */\n  destructor: function () {\n    var Interface = this.constructor.Interface;\n    for (var propName in Interface) {\n      this[propName] = null;\n    }\n    this.dispatchConfig = null;\n    this.dispatchMarker = null;\n    this.nativeEvent = null;\n  }\n\n});\n\nSyntheticEvent.Interface = EventInterface;\n\n/**\n * Helper to reduce boilerplate when creating subclasses.\n *\n * @param {function} Class\n * @param {?object} Interface\n */\nSyntheticEvent.augmentClass = function (Class, Interface) {\n  var Super = this;\n\n  var prototype = Object.create(Super.prototype);\n  assign(prototype, Class.prototype);\n  Class.prototype = prototype;\n  Class.prototype.constructor = Class;\n\n  Class.Interface = assign({}, Super.Interface, Interface);\n  Class.augmentClass = Super.augmentClass;\n\n  PooledClass.addPoolingTo(Class, PooledClass.fourArgumentPooler);\n};\n\nPooledClass.addPoolingTo(SyntheticEvent, PooledClass.fourArgumentPooler);\n\nmodule.exports = SyntheticEvent;\n},{\"153\":153,\"173\":173,\"24\":24,\"25\":25}],106:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule SyntheticFocusEvent\n * @typechecks static-only\n */\n\n'use strict';\n\nvar SyntheticUIEvent = _dereq_(111);\n\n/**\n * @interface FocusEvent\n * @see http://www.w3.org/TR/DOM-Level-3-Events/\n */\nvar FocusEventInterface = {\n  relatedTarget: null\n};\n\n/**\n * @param {object} dispatchConfig Configuration used to dispatch this event.\n * @param {string} dispatchMarker Marker identifying the event target.\n * @param {object} nativeEvent Native browser event.\n * @extends {SyntheticUIEvent}\n */\nfunction SyntheticFocusEvent(dispatchConfig, dispatchMarker, nativeEvent, nativeEventTarget) {\n  SyntheticUIEvent.call(this, dispatchConfig, dispatchMarker, nativeEvent, nativeEventTarget);\n}\n\nSyntheticUIEvent.augmentClass(SyntheticFocusEvent, FocusEventInterface);\n\nmodule.exports = SyntheticFocusEvent;\n},{\"111\":111}],107:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule SyntheticInputEvent\n * @typechecks static-only\n */\n\n'use strict';\n\nvar SyntheticEvent = _dereq_(105);\n\n/**\n * @interface Event\n * @see http://www.w3.org/TR/2013/WD-DOM-Level-3-Events-20131105\n *      /#events-inputevents\n */\nvar InputEventInterface = {\n  data: null\n};\n\n/**\n * @param {object} dispatchConfig Configuration used to dispatch this event.\n * @param {string} dispatchMarker Marker identifying the event target.\n * @param {object} nativeEvent Native browser event.\n * @extends {SyntheticUIEvent}\n */\nfunction SyntheticInputEvent(dispatchConfig, dispatchMarker, nativeEvent, nativeEventTarget) {\n  SyntheticEvent.call(this, dispatchConfig, dispatchMarker, nativeEvent, nativeEventTarget);\n}\n\nSyntheticEvent.augmentClass(SyntheticInputEvent, InputEventInterface);\n\nmodule.exports = SyntheticInputEvent;\n},{\"105\":105}],108:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule SyntheticKeyboardEvent\n * @typechecks static-only\n */\n\n'use strict';\n\nvar SyntheticUIEvent = _dereq_(111);\n\nvar getEventCharCode = _dereq_(125);\nvar getEventKey = _dereq_(126);\nvar getEventModifierState = _dereq_(127);\n\n/**\n * @interface KeyboardEvent\n * @see http://www.w3.org/TR/DOM-Level-3-Events/\n */\nvar KeyboardEventInterface = {\n  key: getEventKey,\n  location: null,\n  ctrlKey: null,\n  shiftKey: null,\n  altKey: null,\n  metaKey: null,\n  repeat: null,\n  locale: null,\n  getModifierState: getEventModifierState,\n  // Legacy Interface\n  charCode: function (event) {\n    // `charCode` is the result of a KeyPress event and represents the value of\n    // the actual printable character.\n\n    // KeyPress is deprecated, but its replacement is not yet final and not\n    // implemented in any major browser. Only KeyPress has charCode.\n    if (event.type === 'keypress') {\n      return getEventCharCode(event);\n    }\n    return 0;\n  },\n  keyCode: function (event) {\n    // `keyCode` is the result of a KeyDown/Up event and represents the value of\n    // physical keyboard key.\n\n    // The actual meaning of the value depends on the users' keyboard layout\n    // which cannot be detected. Assuming that it is a US keyboard layout\n    // provides a surprisingly accurate mapping for US and European users.\n    // Due to this, it is left to the user to implement at this time.\n    if (event.type === 'keydown' || event.type === 'keyup') {\n      return event.keyCode;\n    }\n    return 0;\n  },\n  which: function (event) {\n    // `which` is an alias for either `keyCode` or `charCode` depending on the\n    // type of the event.\n    if (event.type === 'keypress') {\n      return getEventCharCode(event);\n    }\n    if (event.type === 'keydown' || event.type === 'keyup') {\n      return event.keyCode;\n    }\n    return 0;\n  }\n};\n\n/**\n * @param {object} dispatchConfig Configuration used to dispatch this event.\n * @param {string} dispatchMarker Marker identifying the event target.\n * @param {object} nativeEvent Native browser event.\n * @extends {SyntheticUIEvent}\n */\nfunction SyntheticKeyboardEvent(dispatchConfig, dispatchMarker, nativeEvent, nativeEventTarget) {\n  SyntheticUIEvent.call(this, dispatchConfig, dispatchMarker, nativeEvent, nativeEventTarget);\n}\n\nSyntheticUIEvent.augmentClass(SyntheticKeyboardEvent, KeyboardEventInterface);\n\nmodule.exports = SyntheticKeyboardEvent;\n},{\"111\":111,\"125\":125,\"126\":126,\"127\":127}],109:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule SyntheticMouseEvent\n * @typechecks static-only\n */\n\n'use strict';\n\nvar SyntheticUIEvent = _dereq_(111);\nvar ViewportMetrics = _dereq_(114);\n\nvar getEventModifierState = _dereq_(127);\n\n/**\n * @interface MouseEvent\n * @see http://www.w3.org/TR/DOM-Level-3-Events/\n */\nvar MouseEventInterface = {\n  screenX: null,\n  screenY: null,\n  clientX: null,\n  clientY: null,\n  ctrlKey: null,\n  shiftKey: null,\n  altKey: null,\n  metaKey: null,\n  getModifierState: getEventModifierState,\n  button: function (event) {\n    // Webkit, Firefox, IE9+\n    // which:  1 2 3\n    // button: 0 1 2 (standard)\n    var button = event.button;\n    if ('which' in event) {\n      return button;\n    }\n    // IE<9\n    // which:  undefined\n    // button: 0 0 0\n    // button: 1 4 2 (onmouseup)\n    return button === 2 ? 2 : button === 4 ? 1 : 0;\n  },\n  buttons: null,\n  relatedTarget: function (event) {\n    return event.relatedTarget || (event.fromElement === event.srcElement ? event.toElement : event.fromElement);\n  },\n  // \"Proprietary\" Interface.\n  pageX: function (event) {\n    return 'pageX' in event ? event.pageX : event.clientX + ViewportMetrics.currentScrollLeft;\n  },\n  pageY: function (event) {\n    return 'pageY' in event ? event.pageY : event.clientY + ViewportMetrics.currentScrollTop;\n  }\n};\n\n/**\n * @param {object} dispatchConfig Configuration used to dispatch this event.\n * @param {string} dispatchMarker Marker identifying the event target.\n * @param {object} nativeEvent Native browser event.\n * @extends {SyntheticUIEvent}\n */\nfunction SyntheticMouseEvent(dispatchConfig, dispatchMarker, nativeEvent, nativeEventTarget) {\n  SyntheticUIEvent.call(this, dispatchConfig, dispatchMarker, nativeEvent, nativeEventTarget);\n}\n\nSyntheticUIEvent.augmentClass(SyntheticMouseEvent, MouseEventInterface);\n\nmodule.exports = SyntheticMouseEvent;\n},{\"111\":111,\"114\":114,\"127\":127}],110:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule SyntheticTouchEvent\n * @typechecks static-only\n */\n\n'use strict';\n\nvar SyntheticUIEvent = _dereq_(111);\n\nvar getEventModifierState = _dereq_(127);\n\n/**\n * @interface TouchEvent\n * @see http://www.w3.org/TR/touch-events/\n */\nvar TouchEventInterface = {\n  touches: null,\n  targetTouches: null,\n  changedTouches: null,\n  altKey: null,\n  metaKey: null,\n  ctrlKey: null,\n  shiftKey: null,\n  getModifierState: getEventModifierState\n};\n\n/**\n * @param {object} dispatchConfig Configuration used to dispatch this event.\n * @param {string} dispatchMarker Marker identifying the event target.\n * @param {object} nativeEvent Native browser event.\n * @extends {SyntheticUIEvent}\n */\nfunction SyntheticTouchEvent(dispatchConfig, dispatchMarker, nativeEvent, nativeEventTarget) {\n  SyntheticUIEvent.call(this, dispatchConfig, dispatchMarker, nativeEvent, nativeEventTarget);\n}\n\nSyntheticUIEvent.augmentClass(SyntheticTouchEvent, TouchEventInterface);\n\nmodule.exports = SyntheticTouchEvent;\n},{\"111\":111,\"127\":127}],111:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule SyntheticUIEvent\n * @typechecks static-only\n */\n\n'use strict';\n\nvar SyntheticEvent = _dereq_(105);\n\nvar getEventTarget = _dereq_(128);\n\n/**\n * @interface UIEvent\n * @see http://www.w3.org/TR/DOM-Level-3-Events/\n */\nvar UIEventInterface = {\n  view: function (event) {\n    if (event.view) {\n      return event.view;\n    }\n\n    var target = getEventTarget(event);\n    if (target != null && target.window === target) {\n      // target is a window object\n      return target;\n    }\n\n    var doc = target.ownerDocument;\n    // TODO: Figure out why `ownerDocument` is sometimes undefined in IE8.\n    if (doc) {\n      return doc.defaultView || doc.parentWindow;\n    } else {\n      return window;\n    }\n  },\n  detail: function (event) {\n    return event.detail || 0;\n  }\n};\n\n/**\n * @param {object} dispatchConfig Configuration used to dispatch this event.\n * @param {string} dispatchMarker Marker identifying the event target.\n * @param {object} nativeEvent Native browser event.\n * @extends {SyntheticEvent}\n */\nfunction SyntheticUIEvent(dispatchConfig, dispatchMarker, nativeEvent, nativeEventTarget) {\n  SyntheticEvent.call(this, dispatchConfig, dispatchMarker, nativeEvent, nativeEventTarget);\n}\n\nSyntheticEvent.augmentClass(SyntheticUIEvent, UIEventInterface);\n\nmodule.exports = SyntheticUIEvent;\n},{\"105\":105,\"128\":128}],112:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule SyntheticWheelEvent\n * @typechecks static-only\n */\n\n'use strict';\n\nvar SyntheticMouseEvent = _dereq_(109);\n\n/**\n * @interface WheelEvent\n * @see http://www.w3.org/TR/DOM-Level-3-Events/\n */\nvar WheelEventInterface = {\n  deltaX: function (event) {\n    return 'deltaX' in event ? event.deltaX :\n    // Fallback to `wheelDeltaX` for Webkit and normalize (right is positive).\n    'wheelDeltaX' in event ? -event.wheelDeltaX : 0;\n  },\n  deltaY: function (event) {\n    return 'deltaY' in event ? event.deltaY :\n    // Fallback to `wheelDeltaY` for Webkit and normalize (down is positive).\n    'wheelDeltaY' in event ? -event.wheelDeltaY :\n    // Fallback to `wheelDelta` for IE<9 and normalize (down is positive).\n    'wheelDelta' in event ? -event.wheelDelta : 0;\n  },\n  deltaZ: null,\n\n  // Browsers without \"deltaMode\" is reporting in raw wheel delta where one\n  // notch on the scroll is always +/- 120, roughly equivalent to pixels.\n  // A good approximation of DOM_DELTA_LINE (1) is 5% of viewport size or\n  // ~40 pixels, for DOM_DELTA_SCREEN (2) it is 87.5% of viewport size.\n  deltaMode: null\n};\n\n/**\n * @param {object} dispatchConfig Configuration used to dispatch this event.\n * @param {string} dispatchMarker Marker identifying the event target.\n * @param {object} nativeEvent Native browser event.\n * @extends {SyntheticMouseEvent}\n */\nfunction SyntheticWheelEvent(dispatchConfig, dispatchMarker, nativeEvent, nativeEventTarget) {\n  SyntheticMouseEvent.call(this, dispatchConfig, dispatchMarker, nativeEvent, nativeEventTarget);\n}\n\nSyntheticMouseEvent.augmentClass(SyntheticWheelEvent, WheelEventInterface);\n\nmodule.exports = SyntheticWheelEvent;\n},{\"109\":109}],113:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule Transaction\n */\n\n'use strict';\n\nvar invariant = _dereq_(161);\n\n/**\n * `Transaction` creates a black box that is able to wrap any method such that\n * certain invariants are maintained before and after the method is invoked\n * (Even if an exception is thrown while invoking the wrapped method). Whoever\n * instantiates a transaction can provide enforcers of the invariants at\n * creation time. The `Transaction` class itself will supply one additional\n * automatic invariant for you - the invariant that any transaction instance\n * should not be run while it is already being run. You would typically create a\n * single instance of a `Transaction` for reuse multiple times, that potentially\n * is used to wrap several different methods. Wrappers are extremely simple -\n * they only require implementing two methods.\n *\n * <pre>\n *                       wrappers (injected at creation time)\n *                                      +        +\n *                                      |        |\n *                    +-----------------|--------|--------------+\n *                    |                 v        |              |\n *                    |      +---------------+   |              |\n *                    |   +--|    wrapper1   |---|----+         |\n *                    |   |  +---------------+   v    |         |\n *                    |   |          +-------------+  |         |\n *                    |   |     +----|   wrapper2  |--------+   |\n *                    |   |     |    +-------------+  |     |   |\n *                    |   |     |                     |     |   |\n *                    |   v     v                     v     v   | wrapper\n *                    | +---+ +---+   +---------+   +---+ +---+ | invariants\n * perform(anyMethod) | |   | |   |   |         |   |   | |   | | maintained\n * +----------------->|-|---|-|---|-->|anyMethod|---|---|-|---|-|-------->\n *                    | |   | |   |   |         |   |   | |   | |\n *                    | |   | |   |   |         |   |   | |   | |\n *                    | |   | |   |   |         |   |   | |   | |\n *                    | +---+ +---+   +---------+   +---+ +---+ |\n *                    |  initialize                    close    |\n *                    +-----------------------------------------+\n * </pre>\n *\n * Use cases:\n * - Preserving the input selection ranges before/after reconciliation.\n *   Restoring selection even in the event of an unexpected error.\n * - Deactivating events while rearranging the DOM, preventing blurs/focuses,\n *   while guaranteeing that afterwards, the event system is reactivated.\n * - Flushing a queue of collected DOM mutations to the main UI thread after a\n *   reconciliation takes place in a worker thread.\n * - Invoking any collected `componentDidUpdate` callbacks after rendering new\n *   content.\n * - (Future use case): Wrapping particular flushes of the `ReactWorker` queue\n *   to preserve the `scrollTop` (an automatic scroll aware DOM).\n * - (Future use case): Layout calculations before and after DOM updates.\n *\n * Transactional plugin API:\n * - A module that has an `initialize` method that returns any precomputation.\n * - and a `close` method that accepts the precomputation. `close` is invoked\n *   when the wrapped process is completed, or has failed.\n *\n * @param {Array<TransactionalWrapper>} transactionWrapper Wrapper modules\n * that implement `initialize` and `close`.\n * @return {Transaction} Single transaction for reuse in thread.\n *\n * @class Transaction\n */\nvar Mixin = {\n  /**\n   * Sets up this instance so that it is prepared for collecting metrics. Does\n   * so such that this setup method may be used on an instance that is already\n   * initialized, in a way that does not consume additional memory upon reuse.\n   * That can be useful if you decide to make your subclass of this mixin a\n   * \"PooledClass\".\n   */\n  reinitializeTransaction: function () {\n    this.transactionWrappers = this.getTransactionWrappers();\n    if (this.wrapperInitData) {\n      this.wrapperInitData.length = 0;\n    } else {\n      this.wrapperInitData = [];\n    }\n    this._isInTransaction = false;\n  },\n\n  _isInTransaction: false,\n\n  /**\n   * @abstract\n   * @return {Array<TransactionWrapper>} Array of transaction wrappers.\n   */\n  getTransactionWrappers: null,\n\n  isInTransaction: function () {\n    return !!this._isInTransaction;\n  },\n\n  /**\n   * Executes the function within a safety window. Use this for the top level\n   * methods that result in large amounts of computation/mutations that would\n   * need to be safety checked. The optional arguments helps prevent the need\n   * to bind in many cases.\n   *\n   * @param {function} method Member of scope to call.\n   * @param {Object} scope Scope to invoke from.\n   * @param {Object?=} a Argument to pass to the method.\n   * @param {Object?=} b Argument to pass to the method.\n   * @param {Object?=} c Argument to pass to the method.\n   * @param {Object?=} d Argument to pass to the method.\n   * @param {Object?=} e Argument to pass to the method.\n   * @param {Object?=} f Argument to pass to the method.\n   *\n   * @return {*} Return value from `method`.\n   */\n  perform: function (method, scope, a, b, c, d, e, f) {\n    !!this.isInTransaction() ? \"development\" !== 'production' ? invariant(false, 'Transaction.perform(...): Cannot initialize a transaction when there ' + 'is already an outstanding transaction.') : invariant(false) : undefined;\n    var errorThrown;\n    var ret;\n    try {\n      this._isInTransaction = true;\n      // Catching errors makes debugging more difficult, so we start with\n      // errorThrown set to true before setting it to false after calling\n      // close -- if it's still set to true in the finally block, it means\n      // one of these calls threw.\n      errorThrown = true;\n      this.initializeAll(0);\n      ret = method.call(scope, a, b, c, d, e, f);\n      errorThrown = false;\n    } finally {\n      try {\n        if (errorThrown) {\n          // If `method` throws, prefer to show that stack trace over any thrown\n          // by invoking `closeAll`.\n          try {\n            this.closeAll(0);\n          } catch (err) {}\n        } else {\n          // Since `method` didn't throw, we don't want to silence the exception\n          // here.\n          this.closeAll(0);\n        }\n      } finally {\n        this._isInTransaction = false;\n      }\n    }\n    return ret;\n  },\n\n  initializeAll: function (startIndex) {\n    var transactionWrappers = this.transactionWrappers;\n    for (var i = startIndex; i < transactionWrappers.length; i++) {\n      var wrapper = transactionWrappers[i];\n      try {\n        // Catching errors makes debugging more difficult, so we start with the\n        // OBSERVED_ERROR state before overwriting it with the real return value\n        // of initialize -- if it's still set to OBSERVED_ERROR in the finally\n        // block, it means wrapper.initialize threw.\n        this.wrapperInitData[i] = Transaction.OBSERVED_ERROR;\n        this.wrapperInitData[i] = wrapper.initialize ? wrapper.initialize.call(this) : null;\n      } finally {\n        if (this.wrapperInitData[i] === Transaction.OBSERVED_ERROR) {\n          // The initializer for wrapper i threw an error; initialize the\n          // remaining wrappers but silence any exceptions from them to ensure\n          // that the first error is the one to bubble up.\n          try {\n            this.initializeAll(i + 1);\n          } catch (err) {}\n        }\n      }\n    }\n  },\n\n  /**\n   * Invokes each of `this.transactionWrappers.close[i]` functions, passing into\n   * them the respective return values of `this.transactionWrappers.init[i]`\n   * (`close`rs that correspond to initializers that failed will not be\n   * invoked).\n   */\n  closeAll: function (startIndex) {\n    !this.isInTransaction() ? \"development\" !== 'production' ? invariant(false, 'Transaction.closeAll(): Cannot close transaction when none are open.') : invariant(false) : undefined;\n    var transactionWrappers = this.transactionWrappers;\n    for (var i = startIndex; i < transactionWrappers.length; i++) {\n      var wrapper = transactionWrappers[i];\n      var initData = this.wrapperInitData[i];\n      var errorThrown;\n      try {\n        // Catching errors makes debugging more difficult, so we start with\n        // errorThrown set to true before setting it to false after calling\n        // close -- if it's still set to true in the finally block, it means\n        // wrapper.close threw.\n        errorThrown = true;\n        if (initData !== Transaction.OBSERVED_ERROR && wrapper.close) {\n          wrapper.close.call(this, initData);\n        }\n        errorThrown = false;\n      } finally {\n        if (errorThrown) {\n          // The closer for wrapper i threw an error; close the remaining\n          // wrappers but silence any exceptions from them to ensure that the\n          // first error is the one to bubble up.\n          try {\n            this.closeAll(i + 1);\n          } catch (e) {}\n        }\n      }\n    }\n    this.wrapperInitData.length = 0;\n  }\n};\n\nvar Transaction = {\n\n  Mixin: Mixin,\n\n  /**\n   * Token to look for to determine if an error occurred.\n   */\n  OBSERVED_ERROR: {}\n\n};\n\nmodule.exports = Transaction;\n},{\"161\":161}],114:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ViewportMetrics\n */\n\n'use strict';\n\nvar ViewportMetrics = {\n\n  currentScrollLeft: 0,\n\n  currentScrollTop: 0,\n\n  refreshScrollValues: function (scrollPosition) {\n    ViewportMetrics.currentScrollLeft = scrollPosition.x;\n    ViewportMetrics.currentScrollTop = scrollPosition.y;\n  }\n\n};\n\nmodule.exports = ViewportMetrics;\n},{}],115:[function(_dereq_,module,exports){\n/**\n * Copyright 2014-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule accumulateInto\n */\n\n'use strict';\n\nvar invariant = _dereq_(161);\n\n/**\n *\n * Accumulates items that must not be null or undefined into the first one. This\n * is used to conserve memory by avoiding array allocations, and thus sacrifices\n * API cleanness. Since `current` can be null before being passed in and not\n * null after this function, make sure to assign it back to `current`:\n *\n * `a = accumulateInto(a, b);`\n *\n * This API should be sparingly used. Try `accumulate` for something cleaner.\n *\n * @return {*|array<*>} An accumulation of items.\n */\n\nfunction accumulateInto(current, next) {\n  !(next != null) ? \"development\" !== 'production' ? invariant(false, 'accumulateInto(...): Accumulated items must not be null or undefined.') : invariant(false) : undefined;\n  if (current == null) {\n    return next;\n  }\n\n  // Both are not empty. Warning: Never call x.concat(y) when you are not\n  // certain that x is an Array (x could be a string with concat method).\n  var currentIsArray = Array.isArray(current);\n  var nextIsArray = Array.isArray(next);\n\n  if (currentIsArray && nextIsArray) {\n    current.push.apply(current, next);\n    return current;\n  }\n\n  if (currentIsArray) {\n    current.push(next);\n    return current;\n  }\n\n  if (nextIsArray) {\n    // A bit too dangerous to mutate `next`.\n    return [current].concat(next);\n  }\n\n  return [current, next];\n}\n\nmodule.exports = accumulateInto;\n},{\"161\":161}],116:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule adler32\n */\n\n'use strict';\n\nvar MOD = 65521;\n\n// adler32 is not cryptographically strong, and is only used to sanity check that\n// markup generated on the server matches the markup generated on the client.\n// This implementation (a modified version of the SheetJS version) has been optimized\n// for our use case, at the expense of conforming to the adler32 specification\n// for non-ascii inputs.\nfunction adler32(data) {\n  var a = 1;\n  var b = 0;\n  var i = 0;\n  var l = data.length;\n  var m = l & ~0x3;\n  while (i < m) {\n    for (; i < Math.min(i + 4096, m); i += 4) {\n      b += (a += data.charCodeAt(i)) + (a += data.charCodeAt(i + 1)) + (a += data.charCodeAt(i + 2)) + (a += data.charCodeAt(i + 3));\n    }\n    a %= MOD;\n    b %= MOD;\n  }\n  for (; i < l; i++) {\n    b += a += data.charCodeAt(i);\n  }\n  a %= MOD;\n  b %= MOD;\n  return a | b << 16;\n}\n\nmodule.exports = adler32;\n},{}],117:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule canDefineProperty\n */\n\n'use strict';\n\nvar canDefineProperty = false;\nif (\"development\" !== 'production') {\n  try {\n    Object.defineProperty({}, 'x', { get: function () {} });\n    canDefineProperty = true;\n  } catch (x) {\n    // IE will fail on defineProperty\n  }\n}\n\nmodule.exports = canDefineProperty;\n},{}],118:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @typechecks static-only\n * @providesModule cloneWithProps\n */\n\n'use strict';\n\nvar ReactElement = _dereq_(57);\nvar ReactPropTransferer = _dereq_(79);\n\nvar keyOf = _dereq_(166);\nvar warning = _dereq_(173);\n\nvar CHILDREN_PROP = keyOf({ children: null });\n\nvar didDeprecatedWarn = false;\n\n/**\n * Sometimes you want to change the props of a child passed to you. Usually\n * this is to add a CSS class.\n *\n * @param {ReactElement} child child element you'd like to clone\n * @param {object} props props you'd like to modify. className and style will be\n * merged automatically.\n * @return {ReactElement} a clone of child with props merged in.\n * @deprecated\n */\nfunction cloneWithProps(child, props) {\n  if (\"development\" !== 'production') {\n    \"development\" !== 'production' ? warning(didDeprecatedWarn, 'cloneWithProps(...) is deprecated. ' + 'Please use React.cloneElement instead.') : undefined;\n    didDeprecatedWarn = true;\n    \"development\" !== 'production' ? warning(!child.ref, 'You are calling cloneWithProps() on a child with a ref. This is ' + 'dangerous because you\\'re creating a new child which will not be ' + 'added as a ref to its parent.') : undefined;\n  }\n\n  var newProps = ReactPropTransferer.mergeProps(props, child.props);\n\n  // Use `child.props.children` if it is provided.\n  if (!newProps.hasOwnProperty(CHILDREN_PROP) && child.props.hasOwnProperty(CHILDREN_PROP)) {\n    newProps.children = child.props.children;\n  }\n\n  // The current API doesn't retain _owner, which is why this\n  // doesn't use ReactElement.cloneAndReplaceProps.\n  return ReactElement.createElement(child.type, newProps);\n}\n\nmodule.exports = cloneWithProps;\n},{\"166\":166,\"173\":173,\"57\":57,\"79\":79}],119:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule dangerousStyleValue\n * @typechecks static-only\n */\n\n'use strict';\n\nvar CSSProperty = _dereq_(4);\n\nvar isUnitlessNumber = CSSProperty.isUnitlessNumber;\n\n/**\n * Convert a value into the proper css writable value. The style name `name`\n * should be logical (no hyphens), as specified\n * in `CSSProperty.isUnitlessNumber`.\n *\n * @param {string} name CSS property name such as `topMargin`.\n * @param {*} value CSS property value such as `10px`.\n * @return {string} Normalized style value with dimensions applied.\n */\nfunction dangerousStyleValue(name, value) {\n  // Note that we've removed escapeTextForBrowser() calls here since the\n  // whole string will be escaped when the attribute is injected into\n  // the markup. If you provide unsafe user data here they can inject\n  // arbitrary CSS which may be problematic (I couldn't repro this):\n  // https://www.owasp.org/index.php/XSS_Filter_Evasion_Cheat_Sheet\n  // http://www.thespanner.co.uk/2007/11/26/ultimate-xss-css-injection/\n  // This is not an XSS hole but instead a potential CSS injection issue\n  // which has lead to a greater discussion about how we're going to\n  // trust URLs moving forward. See #2115901\n\n  var isEmpty = value == null || typeof value === 'boolean' || value === '';\n  if (isEmpty) {\n    return '';\n  }\n\n  var isNonNumeric = isNaN(value);\n  if (isNonNumeric || value === 0 || isUnitlessNumber.hasOwnProperty(name) && isUnitlessNumber[name]) {\n    return '' + value; // cast to string\n  }\n\n  if (typeof value === 'string') {\n    value = value.trim();\n  }\n  return value + 'px';\n}\n\nmodule.exports = dangerousStyleValue;\n},{\"4\":4}],120:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule deprecated\n */\n\n'use strict';\n\nvar assign = _dereq_(24);\nvar warning = _dereq_(173);\n\n/**\n * This will log a single deprecation notice per function and forward the call\n * on to the new API.\n *\n * @param {string} fnName The name of the function\n * @param {string} newModule The module that fn will exist in\n * @param {string} newPackage The module that fn will exist in\n * @param {*} ctx The context this forwarded call should run in\n * @param {function} fn The function to forward on to\n * @return {function} The function that will warn once and then call fn\n */\nfunction deprecated(fnName, newModule, newPackage, ctx, fn) {\n  var warned = false;\n  if (\"development\" !== 'production') {\n    var newFn = function () {\n      \"development\" !== 'production' ? warning(warned,\n      // Require examples in this string must be split to prevent React's\n      // build tools from mistaking them for real requires.\n      // Otherwise the build tools will attempt to build a '%s' module.\n      'React.%s is deprecated. Please use %s.%s from require' + '(\\'%s\\') ' + 'instead.', fnName, newModule, fnName, newPackage) : undefined;\n      warned = true;\n      return fn.apply(ctx, arguments);\n    };\n    // We need to make sure all properties of the original fn are copied over.\n    // In particular, this is needed to support PropTypes\n    return assign(newFn, fn);\n  }\n\n  return fn;\n}\n\nmodule.exports = deprecated;\n},{\"173\":173,\"24\":24}],121:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule escapeTextContentForBrowser\n */\n\n'use strict';\n\nvar ESCAPE_LOOKUP = {\n  '&': '&amp;',\n  '>': '&gt;',\n  '<': '&lt;',\n  '\"': '&quot;',\n  '\\'': '&#x27;'\n};\n\nvar ESCAPE_REGEX = /[&><\"']/g;\n\nfunction escaper(match) {\n  return ESCAPE_LOOKUP[match];\n}\n\n/**\n * Escapes text to prevent scripting attacks.\n *\n * @param {*} text Text value to escape.\n * @return {string} An escaped string.\n */\nfunction escapeTextContentForBrowser(text) {\n  return ('' + text).replace(ESCAPE_REGEX, escaper);\n}\n\nmodule.exports = escapeTextContentForBrowser;\n},{}],122:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule findDOMNode\n * @typechecks static-only\n */\n\n'use strict';\n\nvar ReactCurrentOwner = _dereq_(39);\nvar ReactInstanceMap = _dereq_(68);\nvar ReactMount = _dereq_(72);\n\nvar invariant = _dereq_(161);\nvar warning = _dereq_(173);\n\n/**\n * Returns the DOM node rendered by this element.\n *\n * @param {ReactComponent|DOMElement} componentOrElement\n * @return {?DOMElement} The root node of this element.\n */\nfunction findDOMNode(componentOrElement) {\n  if (\"development\" !== 'production') {\n    var owner = ReactCurrentOwner.current;\n    if (owner !== null) {\n      \"development\" !== 'production' ? warning(owner._warnedAboutRefsInRender, '%s is accessing getDOMNode or findDOMNode inside its render(). ' + 'render() should be a pure function of props and state. It should ' + 'never access something that requires stale data from the previous ' + 'render, such as refs. Move this logic to componentDidMount and ' + 'componentDidUpdate instead.', owner.getName() || 'A component') : undefined;\n      owner._warnedAboutRefsInRender = true;\n    }\n  }\n  if (componentOrElement == null) {\n    return null;\n  }\n  if (componentOrElement.nodeType === 1) {\n    return componentOrElement;\n  }\n  if (ReactInstanceMap.has(componentOrElement)) {\n    return ReactMount.getNodeFromInstance(componentOrElement);\n  }\n  !(componentOrElement.render == null || typeof componentOrElement.render !== 'function') ? \"development\" !== 'production' ? invariant(false, 'findDOMNode was called on an unmounted component.') : invariant(false) : undefined;\n  !false ? \"development\" !== 'production' ? invariant(false, 'Element appears to be neither ReactComponent nor DOMNode (keys: %s)', Object.keys(componentOrElement)) : invariant(false) : undefined;\n}\n\nmodule.exports = findDOMNode;\n},{\"161\":161,\"173\":173,\"39\":39,\"68\":68,\"72\":72}],123:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule flattenChildren\n */\n\n'use strict';\n\nvar traverseAllChildren = _dereq_(142);\nvar warning = _dereq_(173);\n\n/**\n * @param {function} traverseContext Context passed through traversal.\n * @param {?ReactComponent} child React child component.\n * @param {!string} name String name of key path to child.\n */\nfunction flattenSingleChildIntoContext(traverseContext, child, name) {\n  // We found a component instance.\n  var result = traverseContext;\n  var keyUnique = result[name] === undefined;\n  if (\"development\" !== 'production') {\n    \"development\" !== 'production' ? warning(keyUnique, 'flattenChildren(...): Encountered two children with the same key, ' + '`%s`. Child keys must be unique; when two children share a key, only ' + 'the first child will be used.', name) : undefined;\n  }\n  if (keyUnique && child != null) {\n    result[name] = child;\n  }\n}\n\n/**\n * Flattens children that are typically specified as `props.children`. Any null\n * children will not be included in the resulting object.\n * @return {!object} flattened children keyed by name.\n */\nfunction flattenChildren(children) {\n  if (children == null) {\n    return children;\n  }\n  var result = {};\n  traverseAllChildren(children, flattenSingleChildIntoContext, result);\n  return result;\n}\n\nmodule.exports = flattenChildren;\n},{\"142\":142,\"173\":173}],124:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule forEachAccumulated\n */\n\n'use strict';\n\n/**\n * @param {array} arr an \"accumulation\" of items which is either an Array or\n * a single item. Useful when paired with the `accumulate` module. This is a\n * simple utility that allows us to reason about a collection of items, but\n * handling the case when there is exactly one item (and we do not need to\n * allocate an array).\n */\nvar forEachAccumulated = function (arr, cb, scope) {\n  if (Array.isArray(arr)) {\n    arr.forEach(cb, scope);\n  } else if (arr) {\n    cb.call(scope, arr);\n  }\n};\n\nmodule.exports = forEachAccumulated;\n},{}],125:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule getEventCharCode\n * @typechecks static-only\n */\n\n'use strict';\n\n/**\n * `charCode` represents the actual \"character code\" and is safe to use with\n * `String.fromCharCode`. As such, only keys that correspond to printable\n * characters produce a valid `charCode`, the only exception to this is Enter.\n * The Tab-key is considered non-printable and does not have a `charCode`,\n * presumably because it does not produce a tab-character in browsers.\n *\n * @param {object} nativeEvent Native browser event.\n * @return {number} Normalized `charCode` property.\n */\nfunction getEventCharCode(nativeEvent) {\n  var charCode;\n  var keyCode = nativeEvent.keyCode;\n\n  if ('charCode' in nativeEvent) {\n    charCode = nativeEvent.charCode;\n\n    // FF does not set `charCode` for the Enter-key, check against `keyCode`.\n    if (charCode === 0 && keyCode === 13) {\n      charCode = 13;\n    }\n  } else {\n    // IE8 does not implement `charCode`, but `keyCode` has the correct value.\n    charCode = keyCode;\n  }\n\n  // Some non-printable keys are reported in `charCode`/`keyCode`, discard them.\n  // Must not discard the (non-)printable Enter-key.\n  if (charCode >= 32 || charCode === 13) {\n    return charCode;\n  }\n\n  return 0;\n}\n\nmodule.exports = getEventCharCode;\n},{}],126:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule getEventKey\n * @typechecks static-only\n */\n\n'use strict';\n\nvar getEventCharCode = _dereq_(125);\n\n/**\n * Normalization of deprecated HTML5 `key` values\n * @see https://developer.mozilla.org/en-US/docs/Web/API/KeyboardEvent#Key_names\n */\nvar normalizeKey = {\n  'Esc': 'Escape',\n  'Spacebar': ' ',\n  'Left': 'ArrowLeft',\n  'Up': 'ArrowUp',\n  'Right': 'ArrowRight',\n  'Down': 'ArrowDown',\n  'Del': 'Delete',\n  'Win': 'OS',\n  'Menu': 'ContextMenu',\n  'Apps': 'ContextMenu',\n  'Scroll': 'ScrollLock',\n  'MozPrintableKey': 'Unidentified'\n};\n\n/**\n * Translation from legacy `keyCode` to HTML5 `key`\n * Only special keys supported, all others depend on keyboard layout or browser\n * @see https://developer.mozilla.org/en-US/docs/Web/API/KeyboardEvent#Key_names\n */\nvar translateToKey = {\n  8: 'Backspace',\n  9: 'Tab',\n  12: 'Clear',\n  13: 'Enter',\n  16: 'Shift',\n  17: 'Control',\n  18: 'Alt',\n  19: 'Pause',\n  20: 'CapsLock',\n  27: 'Escape',\n  32: ' ',\n  33: 'PageUp',\n  34: 'PageDown',\n  35: 'End',\n  36: 'Home',\n  37: 'ArrowLeft',\n  38: 'ArrowUp',\n  39: 'ArrowRight',\n  40: 'ArrowDown',\n  45: 'Insert',\n  46: 'Delete',\n  112: 'F1', 113: 'F2', 114: 'F3', 115: 'F4', 116: 'F5', 117: 'F6',\n  118: 'F7', 119: 'F8', 120: 'F9', 121: 'F10', 122: 'F11', 123: 'F12',\n  144: 'NumLock',\n  145: 'ScrollLock',\n  224: 'Meta'\n};\n\n/**\n * @param {object} nativeEvent Native browser event.\n * @return {string} Normalized `key` property.\n */\nfunction getEventKey(nativeEvent) {\n  if (nativeEvent.key) {\n    // Normalize inconsistent values reported by browsers due to\n    // implementations of a working draft specification.\n\n    // FireFox implements `key` but returns `MozPrintableKey` for all\n    // printable characters (normalized to `Unidentified`), ignore it.\n    var key = normalizeKey[nativeEvent.key] || nativeEvent.key;\n    if (key !== 'Unidentified') {\n      return key;\n    }\n  }\n\n  // Browser does not implement `key`, polyfill as much of it as we can.\n  if (nativeEvent.type === 'keypress') {\n    var charCode = getEventCharCode(nativeEvent);\n\n    // The enter-key is technically both printable and non-printable and can\n    // thus be captured by `keypress`, no other non-printable key should.\n    return charCode === 13 ? 'Enter' : String.fromCharCode(charCode);\n  }\n  if (nativeEvent.type === 'keydown' || nativeEvent.type === 'keyup') {\n    // While user keyboard layout determines the actual meaning of each\n    // `keyCode` value, almost all function keys have a universal value.\n    return translateToKey[nativeEvent.keyCode] || 'Unidentified';\n  }\n  return '';\n}\n\nmodule.exports = getEventKey;\n},{\"125\":125}],127:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule getEventModifierState\n * @typechecks static-only\n */\n\n'use strict';\n\n/**\n * Translation from modifier key to the associated property in the event.\n * @see http://www.w3.org/TR/DOM-Level-3-Events/#keys-Modifiers\n */\n\nvar modifierKeyToProp = {\n  'Alt': 'altKey',\n  'Control': 'ctrlKey',\n  'Meta': 'metaKey',\n  'Shift': 'shiftKey'\n};\n\n// IE8 does not implement getModifierState so we simply map it to the only\n// modifier keys exposed by the event itself, does not support Lock-keys.\n// Currently, all major browsers except Chrome seems to support Lock-keys.\nfunction modifierStateGetter(keyArg) {\n  var syntheticEvent = this;\n  var nativeEvent = syntheticEvent.nativeEvent;\n  if (nativeEvent.getModifierState) {\n    return nativeEvent.getModifierState(keyArg);\n  }\n  var keyProp = modifierKeyToProp[keyArg];\n  return keyProp ? !!nativeEvent[keyProp] : false;\n}\n\nfunction getEventModifierState(nativeEvent) {\n  return modifierStateGetter;\n}\n\nmodule.exports = getEventModifierState;\n},{}],128:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule getEventTarget\n * @typechecks static-only\n */\n\n'use strict';\n\n/**\n * Gets the target node from a native browser event by accounting for\n * inconsistencies in browser DOM APIs.\n *\n * @param {object} nativeEvent Native browser event.\n * @return {DOMEventTarget} Target node.\n */\nfunction getEventTarget(nativeEvent) {\n  var target = nativeEvent.target || nativeEvent.srcElement || window;\n  // Safari may fire events on text nodes (Node.TEXT_NODE is 3).\n  // @see http://www.quirksmode.org/js/events_properties.html\n  return target.nodeType === 3 ? target.parentNode : target;\n}\n\nmodule.exports = getEventTarget;\n},{}],129:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule getIteratorFn\n * @typechecks static-only\n */\n\n'use strict';\n\n/* global Symbol */\nvar ITERATOR_SYMBOL = typeof Symbol === 'function' && Symbol.iterator;\nvar FAUX_ITERATOR_SYMBOL = '@@iterator'; // Before Symbol spec.\n\n/**\n * Returns the iterator method function contained on the iterable object.\n *\n * Be sure to invoke the function with the iterable as context:\n *\n *     var iteratorFn = getIteratorFn(myIterable);\n *     if (iteratorFn) {\n *       var iterator = iteratorFn.call(myIterable);\n *       ...\n *     }\n *\n * @param {?object} maybeIterable\n * @return {?function}\n */\nfunction getIteratorFn(maybeIterable) {\n  var iteratorFn = maybeIterable && (ITERATOR_SYMBOL && maybeIterable[ITERATOR_SYMBOL] || maybeIterable[FAUX_ITERATOR_SYMBOL]);\n  if (typeof iteratorFn === 'function') {\n    return iteratorFn;\n  }\n}\n\nmodule.exports = getIteratorFn;\n},{}],130:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule getNodeForCharacterOffset\n */\n\n'use strict';\n\n/**\n * Given any node return the first leaf node without children.\n *\n * @param {DOMElement|DOMTextNode} node\n * @return {DOMElement|DOMTextNode}\n */\nfunction getLeafNode(node) {\n  while (node && node.firstChild) {\n    node = node.firstChild;\n  }\n  return node;\n}\n\n/**\n * Get the next sibling within a container. This will walk up the\n * DOM if a node's siblings have been exhausted.\n *\n * @param {DOMElement|DOMTextNode} node\n * @return {?DOMElement|DOMTextNode}\n */\nfunction getSiblingNode(node) {\n  while (node) {\n    if (node.nextSibling) {\n      return node.nextSibling;\n    }\n    node = node.parentNode;\n  }\n}\n\n/**\n * Get object describing the nodes which contain characters at offset.\n *\n * @param {DOMElement|DOMTextNode} root\n * @param {number} offset\n * @return {?object}\n */\nfunction getNodeForCharacterOffset(root, offset) {\n  var node = getLeafNode(root);\n  var nodeStart = 0;\n  var nodeEnd = 0;\n\n  while (node) {\n    if (node.nodeType === 3) {\n      nodeEnd = nodeStart + node.textContent.length;\n\n      if (nodeStart <= offset && nodeEnd >= offset) {\n        return {\n          node: node,\n          offset: offset - nodeStart\n        };\n      }\n\n      nodeStart = nodeEnd;\n    }\n\n    node = getLeafNode(getSiblingNode(node));\n  }\n}\n\nmodule.exports = getNodeForCharacterOffset;\n},{}],131:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule getTextContentAccessor\n */\n\n'use strict';\n\nvar ExecutionEnvironment = _dereq_(147);\n\nvar contentKey = null;\n\n/**\n * Gets the key used to access text content on a DOM node.\n *\n * @return {?string} Key used to access text content.\n * @internal\n */\nfunction getTextContentAccessor() {\n  if (!contentKey && ExecutionEnvironment.canUseDOM) {\n    // Prefer textContent to innerText because many browsers support both but\n    // SVG <text> elements don't support innerText even when <div> does.\n    contentKey = 'textContent' in document.documentElement ? 'textContent' : 'innerText';\n  }\n  return contentKey;\n}\n\nmodule.exports = getTextContentAccessor;\n},{\"147\":147}],132:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule instantiateReactComponent\n * @typechecks static-only\n */\n\n'use strict';\n\nvar ReactCompositeComponent = _dereq_(38);\nvar ReactEmptyComponent = _dereq_(59);\nvar ReactNativeComponent = _dereq_(75);\n\nvar assign = _dereq_(24);\nvar invariant = _dereq_(161);\nvar warning = _dereq_(173);\n\n// To avoid a cyclic dependency, we create the final class in this module\nvar ReactCompositeComponentWrapper = function () {};\nassign(ReactCompositeComponentWrapper.prototype, ReactCompositeComponent.Mixin, {\n  _instantiateReactComponent: instantiateReactComponent\n});\n\nfunction getDeclarationErrorAddendum(owner) {\n  if (owner) {\n    var name = owner.getName();\n    if (name) {\n      return ' Check the render method of `' + name + '`.';\n    }\n  }\n  return '';\n}\n\n/**\n * Check if the type reference is a known internal type. I.e. not a user\n * provided composite type.\n *\n * @param {function} type\n * @return {boolean} Returns true if this is a valid internal type.\n */\nfunction isInternalComponentType(type) {\n  return typeof type === 'function' && typeof type.prototype !== 'undefined' && typeof type.prototype.mountComponent === 'function' && typeof type.prototype.receiveComponent === 'function';\n}\n\n/**\n * Given a ReactNode, create an instance that will actually be mounted.\n *\n * @param {ReactNode} node\n * @return {object} A new instance of the element's constructor.\n * @protected\n */\nfunction instantiateReactComponent(node) {\n  var instance;\n\n  if (node === null || node === false) {\n    instance = new ReactEmptyComponent(instantiateReactComponent);\n  } else if (typeof node === 'object') {\n    var element = node;\n    !(element && (typeof element.type === 'function' || typeof element.type === 'string')) ? \"development\" !== 'production' ? invariant(false, 'Element type is invalid: expected a string (for built-in components) ' + 'or a class/function (for composite components) but got: %s.%s', element.type == null ? element.type : typeof element.type, getDeclarationErrorAddendum(element._owner)) : invariant(false) : undefined;\n\n    // Special case string values\n    if (typeof element.type === 'string') {\n      instance = ReactNativeComponent.createInternalComponent(element);\n    } else if (isInternalComponentType(element.type)) {\n      // This is temporarily available for custom components that are not string\n      // representations. I.e. ART. Once those are updated to use the string\n      // representation, we can drop this code path.\n      instance = new element.type(element);\n    } else {\n      instance = new ReactCompositeComponentWrapper();\n    }\n  } else if (typeof node === 'string' || typeof node === 'number') {\n    instance = ReactNativeComponent.createInstanceForText(node);\n  } else {\n    !false ? \"development\" !== 'production' ? invariant(false, 'Encountered invalid React node of type %s', typeof node) : invariant(false) : undefined;\n  }\n\n  if (\"development\" !== 'production') {\n    \"development\" !== 'production' ? warning(typeof instance.construct === 'function' && typeof instance.mountComponent === 'function' && typeof instance.receiveComponent === 'function' && typeof instance.unmountComponent === 'function', 'Only React Components can be mounted.') : undefined;\n  }\n\n  // Sets up the instance. This can probably just move into the constructor now.\n  instance.construct(node);\n\n  // These two fields are used by the DOM and ART diffing algorithms\n  // respectively. Instead of using expandos on components, we should be\n  // storing the state needed by the diffing algorithms elsewhere.\n  instance._mountIndex = 0;\n  instance._mountImage = null;\n\n  if (\"development\" !== 'production') {\n    instance._isOwnerNecessary = false;\n    instance._warnedAboutRefsInRender = false;\n  }\n\n  // Internal instances should fully constructed at this point, so they should\n  // not get any new fields added to them at this point.\n  if (\"development\" !== 'production') {\n    if (Object.preventExtensions) {\n      Object.preventExtensions(instance);\n    }\n  }\n\n  return instance;\n}\n\nmodule.exports = instantiateReactComponent;\n},{\"161\":161,\"173\":173,\"24\":24,\"38\":38,\"59\":59,\"75\":75}],133:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule isEventSupported\n */\n\n'use strict';\n\nvar ExecutionEnvironment = _dereq_(147);\n\nvar useHasFeature;\nif (ExecutionEnvironment.canUseDOM) {\n  useHasFeature = document.implementation && document.implementation.hasFeature &&\n  // always returns true in newer browsers as per the standard.\n  // @see http://dom.spec.whatwg.org/#dom-domimplementation-hasfeature\n  document.implementation.hasFeature('', '') !== true;\n}\n\n/**\n * Checks if an event is supported in the current execution environment.\n *\n * NOTE: This will not work correctly for non-generic events such as `change`,\n * `reset`, `load`, `error`, and `select`.\n *\n * Borrows from Modernizr.\n *\n * @param {string} eventNameSuffix Event name, e.g. \"click\".\n * @param {?boolean} capture Check if the capture phase is supported.\n * @return {boolean} True if the event is supported.\n * @internal\n * @license Modernizr 3.0.0pre (Custom Build) | MIT\n */\nfunction isEventSupported(eventNameSuffix, capture) {\n  if (!ExecutionEnvironment.canUseDOM || capture && !('addEventListener' in document)) {\n    return false;\n  }\n\n  var eventName = 'on' + eventNameSuffix;\n  var isSupported = (eventName in document);\n\n  if (!isSupported) {\n    var element = document.createElement('div');\n    element.setAttribute(eventName, 'return;');\n    isSupported = typeof element[eventName] === 'function';\n  }\n\n  if (!isSupported && useHasFeature && eventNameSuffix === 'wheel') {\n    // This is the only way to test support for the `wheel` event in IE9+.\n    isSupported = document.implementation.hasFeature('Events.wheel', '3.0');\n  }\n\n  return isSupported;\n}\n\nmodule.exports = isEventSupported;\n},{\"147\":147}],134:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule isTextInputElement\n */\n\n'use strict';\n\n/**\n * @see http://www.whatwg.org/specs/web-apps/current-work/multipage/the-input-element.html#input-type-attr-summary\n */\nvar supportedInputTypes = {\n  'color': true,\n  'date': true,\n  'datetime': true,\n  'datetime-local': true,\n  'email': true,\n  'month': true,\n  'number': true,\n  'password': true,\n  'range': true,\n  'search': true,\n  'tel': true,\n  'text': true,\n  'time': true,\n  'url': true,\n  'week': true\n};\n\nfunction isTextInputElement(elem) {\n  var nodeName = elem && elem.nodeName && elem.nodeName.toLowerCase();\n  return nodeName && (nodeName === 'input' && supportedInputTypes[elem.type] || nodeName === 'textarea');\n}\n\nmodule.exports = isTextInputElement;\n},{}],135:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule onlyChild\n */\n'use strict';\n\nvar ReactElement = _dereq_(57);\n\nvar invariant = _dereq_(161);\n\n/**\n * Returns the first child in a collection of children and verifies that there\n * is only one child in the collection. The current implementation of this\n * function assumes that a single child gets passed without a wrapper, but the\n * purpose of this helper function is to abstract away the particular structure\n * of children.\n *\n * @param {?object} children Child collection structure.\n * @return {ReactComponent} The first and only `ReactComponent` contained in the\n * structure.\n */\nfunction onlyChild(children) {\n  !ReactElement.isValidElement(children) ? \"development\" !== 'production' ? invariant(false, 'onlyChild must be passed a children with exactly one child.') : invariant(false) : undefined;\n  return children;\n}\n\nmodule.exports = onlyChild;\n},{\"161\":161,\"57\":57}],136:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule quoteAttributeValueForBrowser\n */\n\n'use strict';\n\nvar escapeTextContentForBrowser = _dereq_(121);\n\n/**\n * Escapes attribute value to prevent scripting attacks.\n *\n * @param {*} value Value to escape.\n * @return {string} An escaped string.\n */\nfunction quoteAttributeValueForBrowser(value) {\n  return '\"' + escapeTextContentForBrowser(value) + '\"';\n}\n\nmodule.exports = quoteAttributeValueForBrowser;\n},{\"121\":121}],137:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n* @providesModule renderSubtreeIntoContainer\n*/\n\n'use strict';\n\nvar ReactMount = _dereq_(72);\n\nmodule.exports = ReactMount.renderSubtreeIntoContainer;\n},{\"72\":72}],138:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule setInnerHTML\n */\n\n/* globals MSApp */\n\n'use strict';\n\nvar ExecutionEnvironment = _dereq_(147);\n\nvar WHITESPACE_TEST = /^[ \\r\\n\\t\\f]/;\nvar NONVISIBLE_TEST = /<(!--|link|noscript|meta|script|style)[ \\r\\n\\t\\f\\/>]/;\n\n/**\n * Set the innerHTML property of a node, ensuring that whitespace is preserved\n * even in IE8.\n *\n * @param {DOMElement} node\n * @param {string} html\n * @internal\n */\nvar setInnerHTML = function (node, html) {\n  node.innerHTML = html;\n};\n\n// Win8 apps: Allow all html to be inserted\nif (typeof MSApp !== 'undefined' && MSApp.execUnsafeLocalFunction) {\n  setInnerHTML = function (node, html) {\n    MSApp.execUnsafeLocalFunction(function () {\n      node.innerHTML = html;\n    });\n  };\n}\n\nif (ExecutionEnvironment.canUseDOM) {\n  // IE8: When updating a just created node with innerHTML only leading\n  // whitespace is removed. When updating an existing node with innerHTML\n  // whitespace in root TextNodes is also collapsed.\n  // @see quirksmode.org/bugreports/archives/2004/11/innerhtml_and_t.html\n\n  // Feature detection; only IE8 is known to behave improperly like this.\n  var testElement = document.createElement('div');\n  testElement.innerHTML = ' ';\n  if (testElement.innerHTML === '') {\n    setInnerHTML = function (node, html) {\n      // Magic theory: IE8 supposedly differentiates between added and updated\n      // nodes when processing innerHTML, innerHTML on updated nodes suffers\n      // from worse whitespace behavior. Re-adding a node like this triggers\n      // the initial and more favorable whitespace behavior.\n      // TODO: What to do on a detached node?\n      if (node.parentNode) {\n        node.parentNode.replaceChild(node, node);\n      }\n\n      // We also implement a workaround for non-visible tags disappearing into\n      // thin air on IE8, this only happens if there is no visible text\n      // in-front of the non-visible tags. Piggyback on the whitespace fix\n      // and simply check if any non-visible tags appear in the source.\n      if (WHITESPACE_TEST.test(html) || html[0] === '<' && NONVISIBLE_TEST.test(html)) {\n        // Recover leading whitespace by temporarily prepending any character.\n        // \\uFEFF has the potential advantage of being zero-width/invisible.\n        // UglifyJS drops U+FEFF chars when parsing, so use String.fromCharCode\n        // in hopes that this is preserved even if \"\\uFEFF\" is transformed to\n        // the actual Unicode character (by Babel, for example).\n        // https://github.com/mishoo/UglifyJS2/blob/v2.4.20/lib/parse.js#L216\n        node.innerHTML = String.fromCharCode(0xFEFF) + html;\n\n        // deleteData leaves an empty `TextNode` which offsets the index of all\n        // children. Definitely want to avoid this.\n        var textNode = node.firstChild;\n        if (textNode.data.length === 1) {\n          node.removeChild(textNode);\n        } else {\n          textNode.deleteData(0, 1);\n        }\n      } else {\n        node.innerHTML = html;\n      }\n    };\n  }\n}\n\nmodule.exports = setInnerHTML;\n},{\"147\":147}],139:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule setTextContent\n */\n\n'use strict';\n\nvar ExecutionEnvironment = _dereq_(147);\nvar escapeTextContentForBrowser = _dereq_(121);\nvar setInnerHTML = _dereq_(138);\n\n/**\n * Set the textContent property of a node, ensuring that whitespace is preserved\n * even in IE8. innerText is a poor substitute for textContent and, among many\n * issues, inserts <br> instead of the literal newline chars. innerHTML behaves\n * as it should.\n *\n * @param {DOMElement} node\n * @param {string} text\n * @internal\n */\nvar setTextContent = function (node, text) {\n  node.textContent = text;\n};\n\nif (ExecutionEnvironment.canUseDOM) {\n  if (!('textContent' in document.documentElement)) {\n    setTextContent = function (node, text) {\n      setInnerHTML(node, escapeTextContentForBrowser(text));\n    };\n  }\n}\n\nmodule.exports = setTextContent;\n},{\"121\":121,\"138\":138,\"147\":147}],140:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n* @providesModule shallowCompare\n*/\n\n'use strict';\n\nvar shallowEqual = _dereq_(171);\n\n/**\n * Does a shallow comparison for props and state.\n * See ReactComponentWithPureRenderMixin\n */\nfunction shallowCompare(instance, nextProps, nextState) {\n  return !shallowEqual(instance.props, nextProps) || !shallowEqual(instance.state, nextState);\n}\n\nmodule.exports = shallowCompare;\n},{\"171\":171}],141:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule shouldUpdateReactComponent\n * @typechecks static-only\n */\n\n'use strict';\n\n/**\n * Given a `prevElement` and `nextElement`, determines if the existing\n * instance should be updated as opposed to being destroyed or replaced by a new\n * instance. Both arguments are elements. This ensures that this logic can\n * operate on stateless trees without any backing instance.\n *\n * @param {?object} prevElement\n * @param {?object} nextElement\n * @return {boolean} True if the existing instance should be updated.\n * @protected\n */\nfunction shouldUpdateReactComponent(prevElement, nextElement) {\n  var prevEmpty = prevElement === null || prevElement === false;\n  var nextEmpty = nextElement === null || nextElement === false;\n  if (prevEmpty || nextEmpty) {\n    return prevEmpty === nextEmpty;\n  }\n\n  var prevType = typeof prevElement;\n  var nextType = typeof nextElement;\n  if (prevType === 'string' || prevType === 'number') {\n    return nextType === 'string' || nextType === 'number';\n  } else {\n    return nextType === 'object' && prevElement.type === nextElement.type && prevElement.key === nextElement.key;\n  }\n  return false;\n}\n\nmodule.exports = shouldUpdateReactComponent;\n},{}],142:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule traverseAllChildren\n */\n\n'use strict';\n\nvar ReactCurrentOwner = _dereq_(39);\nvar ReactElement = _dereq_(57);\nvar ReactInstanceHandles = _dereq_(67);\n\nvar getIteratorFn = _dereq_(129);\nvar invariant = _dereq_(161);\nvar warning = _dereq_(173);\n\nvar SEPARATOR = ReactInstanceHandles.SEPARATOR;\nvar SUBSEPARATOR = ':';\n\n/**\n * TODO: Test that a single child and an array with one item have the same key\n * pattern.\n */\n\nvar userProvidedKeyEscaperLookup = {\n  '=': '=0',\n  '.': '=1',\n  ':': '=2'\n};\n\nvar userProvidedKeyEscapeRegex = /[=.:]/g;\n\nvar didWarnAboutMaps = false;\n\nfunction userProvidedKeyEscaper(match) {\n  return userProvidedKeyEscaperLookup[match];\n}\n\n/**\n * Generate a key string that identifies a component within a set.\n *\n * @param {*} component A component that could contain a manual key.\n * @param {number} index Index that is used if a manual key is not provided.\n * @return {string}\n */\nfunction getComponentKey(component, index) {\n  if (component && component.key != null) {\n    // Explicit key\n    return wrapUserProvidedKey(component.key);\n  }\n  // Implicit key determined by the index in the set\n  return index.toString(36);\n}\n\n/**\n * Escape a component key so that it is safe to use in a reactid.\n *\n * @param {*} text Component key to be escaped.\n * @return {string} An escaped string.\n */\nfunction escapeUserProvidedKey(text) {\n  return ('' + text).replace(userProvidedKeyEscapeRegex, userProvidedKeyEscaper);\n}\n\n/**\n * Wrap a `key` value explicitly provided by the user to distinguish it from\n * implicitly-generated keys generated by a component's index in its parent.\n *\n * @param {string} key Value of a user-provided `key` attribute\n * @return {string}\n */\nfunction wrapUserProvidedKey(key) {\n  return '$' + escapeUserProvidedKey(key);\n}\n\n/**\n * @param {?*} children Children tree container.\n * @param {!string} nameSoFar Name of the key path so far.\n * @param {!function} callback Callback to invoke with each child found.\n * @param {?*} traverseContext Used to pass information throughout the traversal\n * process.\n * @return {!number} The number of children in this subtree.\n */\nfunction traverseAllChildrenImpl(children, nameSoFar, callback, traverseContext) {\n  var type = typeof children;\n\n  if (type === 'undefined' || type === 'boolean') {\n    // All of the above are perceived as null.\n    children = null;\n  }\n\n  if (children === null || type === 'string' || type === 'number' || ReactElement.isValidElement(children)) {\n    callback(traverseContext, children,\n    // If it's the only child, treat the name as if it was wrapped in an array\n    // so that it's consistent if the number of children grows.\n    nameSoFar === '' ? SEPARATOR + getComponentKey(children, 0) : nameSoFar);\n    return 1;\n  }\n\n  var child;\n  var nextName;\n  var subtreeCount = 0; // Count of children found in the current subtree.\n  var nextNamePrefix = nameSoFar === '' ? SEPARATOR : nameSoFar + SUBSEPARATOR;\n\n  if (Array.isArray(children)) {\n    for (var i = 0; i < children.length; i++) {\n      child = children[i];\n      nextName = nextNamePrefix + getComponentKey(child, i);\n      subtreeCount += traverseAllChildrenImpl(child, nextName, callback, traverseContext);\n    }\n  } else {\n    var iteratorFn = getIteratorFn(children);\n    if (iteratorFn) {\n      var iterator = iteratorFn.call(children);\n      var step;\n      if (iteratorFn !== children.entries) {\n        var ii = 0;\n        while (!(step = iterator.next()).done) {\n          child = step.value;\n          nextName = nextNamePrefix + getComponentKey(child, ii++);\n          subtreeCount += traverseAllChildrenImpl(child, nextName, callback, traverseContext);\n        }\n      } else {\n        if (\"development\" !== 'production') {\n          \"development\" !== 'production' ? warning(didWarnAboutMaps, 'Using Maps as children is not yet fully supported. It is an ' + 'experimental feature that might be removed. Convert it to a ' + 'sequence / iterable of keyed ReactElements instead.') : undefined;\n          didWarnAboutMaps = true;\n        }\n        // Iterator will provide entry [k,v] tuples rather than values.\n        while (!(step = iterator.next()).done) {\n          var entry = step.value;\n          if (entry) {\n            child = entry[1];\n            nextName = nextNamePrefix + wrapUserProvidedKey(entry[0]) + SUBSEPARATOR + getComponentKey(child, 0);\n            subtreeCount += traverseAllChildrenImpl(child, nextName, callback, traverseContext);\n          }\n        }\n      }\n    } else if (type === 'object') {\n      var addendum = '';\n      if (\"development\" !== 'production') {\n        addendum = ' If you meant to render a collection of children, use an array ' + 'instead or wrap the object using createFragment(object) from the ' + 'React add-ons.';\n        if (children._isReactElement) {\n          addendum = ' It looks like you\\'re using an element created by a different ' + 'version of React. Make sure to use only one copy of React.';\n        }\n        if (ReactCurrentOwner.current) {\n          var name = ReactCurrentOwner.current.getName();\n          if (name) {\n            addendum += ' Check the render method of `' + name + '`.';\n          }\n        }\n      }\n      var childrenString = String(children);\n      !false ? \"development\" !== 'production' ? invariant(false, 'Objects are not valid as a React child (found: %s).%s', childrenString === '[object Object]' ? 'object with keys {' + Object.keys(children).join(', ') + '}' : childrenString, addendum) : invariant(false) : undefined;\n    }\n  }\n\n  return subtreeCount;\n}\n\n/**\n * Traverses children that are typically specified as `props.children`, but\n * might also be specified through attributes:\n *\n * - `traverseAllChildren(this.props.children, ...)`\n * - `traverseAllChildren(this.props.leftPanelChildren, ...)`\n *\n * The `traverseContext` is an optional argument that is passed through the\n * entire traversal. It can be used to store accumulations or anything else that\n * the callback might find relevant.\n *\n * @param {?*} children Children tree object.\n * @param {!function} callback To invoke upon traversing each child.\n * @param {?*} traverseContext Context for traversal.\n * @return {!number} The number of children in this subtree.\n */\nfunction traverseAllChildren(children, callback, traverseContext) {\n  if (children == null) {\n    return 0;\n  }\n\n  return traverseAllChildrenImpl(children, '', callback, traverseContext);\n}\n\nmodule.exports = traverseAllChildren;\n},{\"129\":129,\"161\":161,\"173\":173,\"39\":39,\"57\":57,\"67\":67}],143:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule update\n */\n\n/* global hasOwnProperty:true */\n\n'use strict';\n\nvar assign = _dereq_(24);\nvar keyOf = _dereq_(166);\nvar invariant = _dereq_(161);\nvar hasOwnProperty = ({}).hasOwnProperty;\n\nfunction shallowCopy(x) {\n  if (Array.isArray(x)) {\n    return x.concat();\n  } else if (x && typeof x === 'object') {\n    return assign(new x.constructor(), x);\n  } else {\n    return x;\n  }\n}\n\nvar COMMAND_PUSH = keyOf({ $push: null });\nvar COMMAND_UNSHIFT = keyOf({ $unshift: null });\nvar COMMAND_SPLICE = keyOf({ $splice: null });\nvar COMMAND_SET = keyOf({ $set: null });\nvar COMMAND_MERGE = keyOf({ $merge: null });\nvar COMMAND_APPLY = keyOf({ $apply: null });\n\nvar ALL_COMMANDS_LIST = [COMMAND_PUSH, COMMAND_UNSHIFT, COMMAND_SPLICE, COMMAND_SET, COMMAND_MERGE, COMMAND_APPLY];\n\nvar ALL_COMMANDS_SET = {};\n\nALL_COMMANDS_LIST.forEach(function (command) {\n  ALL_COMMANDS_SET[command] = true;\n});\n\nfunction invariantArrayCase(value, spec, command) {\n  !Array.isArray(value) ? \"development\" !== 'production' ? invariant(false, 'update(): expected target of %s to be an array; got %s.', command, value) : invariant(false) : undefined;\n  var specValue = spec[command];\n  !Array.isArray(specValue) ? \"development\" !== 'production' ? invariant(false, 'update(): expected spec of %s to be an array; got %s. ' + 'Did you forget to wrap your parameter in an array?', command, specValue) : invariant(false) : undefined;\n}\n\nfunction update(value, spec) {\n  !(typeof spec === 'object') ? \"development\" !== 'production' ? invariant(false, 'update(): You provided a key path to update() that did not contain one ' + 'of %s. Did you forget to include {%s: ...}?', ALL_COMMANDS_LIST.join(', '), COMMAND_SET) : invariant(false) : undefined;\n\n  if (hasOwnProperty.call(spec, COMMAND_SET)) {\n    !(Object.keys(spec).length === 1) ? \"development\" !== 'production' ? invariant(false, 'Cannot have more than one key in an object with %s', COMMAND_SET) : invariant(false) : undefined;\n\n    return spec[COMMAND_SET];\n  }\n\n  var nextValue = shallowCopy(value);\n\n  if (hasOwnProperty.call(spec, COMMAND_MERGE)) {\n    var mergeObj = spec[COMMAND_MERGE];\n    !(mergeObj && typeof mergeObj === 'object') ? \"development\" !== 'production' ? invariant(false, 'update(): %s expects a spec of type \\'object\\'; got %s', COMMAND_MERGE, mergeObj) : invariant(false) : undefined;\n    !(nextValue && typeof nextValue === 'object') ? \"development\" !== 'production' ? invariant(false, 'update(): %s expects a target of type \\'object\\'; got %s', COMMAND_MERGE, nextValue) : invariant(false) : undefined;\n    assign(nextValue, spec[COMMAND_MERGE]);\n  }\n\n  if (hasOwnProperty.call(spec, COMMAND_PUSH)) {\n    invariantArrayCase(value, spec, COMMAND_PUSH);\n    spec[COMMAND_PUSH].forEach(function (item) {\n      nextValue.push(item);\n    });\n  }\n\n  if (hasOwnProperty.call(spec, COMMAND_UNSHIFT)) {\n    invariantArrayCase(value, spec, COMMAND_UNSHIFT);\n    spec[COMMAND_UNSHIFT].forEach(function (item) {\n      nextValue.unshift(item);\n    });\n  }\n\n  if (hasOwnProperty.call(spec, COMMAND_SPLICE)) {\n    !Array.isArray(value) ? \"development\" !== 'production' ? invariant(false, 'Expected %s target to be an array; got %s', COMMAND_SPLICE, value) : invariant(false) : undefined;\n    !Array.isArray(spec[COMMAND_SPLICE]) ? \"development\" !== 'production' ? invariant(false, 'update(): expected spec of %s to be an array of arrays; got %s. ' + 'Did you forget to wrap your parameters in an array?', COMMAND_SPLICE, spec[COMMAND_SPLICE]) : invariant(false) : undefined;\n    spec[COMMAND_SPLICE].forEach(function (args) {\n      !Array.isArray(args) ? \"development\" !== 'production' ? invariant(false, 'update(): expected spec of %s to be an array of arrays; got %s. ' + 'Did you forget to wrap your parameters in an array?', COMMAND_SPLICE, spec[COMMAND_SPLICE]) : invariant(false) : undefined;\n      nextValue.splice.apply(nextValue, args);\n    });\n  }\n\n  if (hasOwnProperty.call(spec, COMMAND_APPLY)) {\n    !(typeof spec[COMMAND_APPLY] === 'function') ? \"development\" !== 'production' ? invariant(false, 'update(): expected spec of %s to be a function; got %s.', COMMAND_APPLY, spec[COMMAND_APPLY]) : invariant(false) : undefined;\n    nextValue = spec[COMMAND_APPLY](nextValue);\n  }\n\n  for (var k in spec) {\n    if (!(ALL_COMMANDS_SET.hasOwnProperty(k) && ALL_COMMANDS_SET[k])) {\n      nextValue[k] = update(value[k], spec[k]);\n    }\n  }\n\n  return nextValue;\n}\n\nmodule.exports = update;\n},{\"161\":161,\"166\":166,\"24\":24}],144:[function(_dereq_,module,exports){\n/**\n * Copyright 2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule validateDOMNesting\n */\n\n'use strict';\n\nvar assign = _dereq_(24);\nvar emptyFunction = _dereq_(153);\nvar warning = _dereq_(173);\n\nvar validateDOMNesting = emptyFunction;\n\nif (\"development\" !== 'production') {\n  // This validation code was written based on the HTML5 parsing spec:\n  // https://html.spec.whatwg.org/multipage/syntax.html#has-an-element-in-scope\n  //\n  // Note: this does not catch all invalid nesting, nor does it try to (as it's\n  // not clear what practical benefit doing so provides); instead, we warn only\n  // for cases where the parser will give a parse tree differing from what React\n  // intended. For example, <b><div></div></b> is invalid but we don't warn\n  // because it still parses correctly; we do warn for other cases like nested\n  // <p> tags where the beginning of the second element implicitly closes the\n  // first, causing a confusing mess.\n\n  // https://html.spec.whatwg.org/multipage/syntax.html#special\n  var specialTags = ['address', 'applet', 'area', 'article', 'aside', 'base', 'basefont', 'bgsound', 'blockquote', 'body', 'br', 'button', 'caption', 'center', 'col', 'colgroup', 'dd', 'details', 'dir', 'div', 'dl', 'dt', 'embed', 'fieldset', 'figcaption', 'figure', 'footer', 'form', 'frame', 'frameset', 'h1', 'h2', 'h3', 'h4', 'h5', 'h6', 'head', 'header', 'hgroup', 'hr', 'html', 'iframe', 'img', 'input', 'isindex', 'li', 'link', 'listing', 'main', 'marquee', 'menu', 'menuitem', 'meta', 'nav', 'noembed', 'noframes', 'noscript', 'object', 'ol', 'p', 'param', 'plaintext', 'pre', 'script', 'section', 'select', 'source', 'style', 'summary', 'table', 'tbody', 'td', 'template', 'textarea', 'tfoot', 'th', 'thead', 'title', 'tr', 'track', 'ul', 'wbr', 'xmp'];\n\n  // https://html.spec.whatwg.org/multipage/syntax.html#has-an-element-in-scope\n  var inScopeTags = ['applet', 'caption', 'html', 'table', 'td', 'th', 'marquee', 'object', 'template',\n\n  // https://html.spec.whatwg.org/multipage/syntax.html#html-integration-point\n  // TODO: Distinguish by namespace here -- for <title>, including it here\n  // errs on the side of fewer warnings\n  'foreignObject', 'desc', 'title'];\n\n  // https://html.spec.whatwg.org/multipage/syntax.html#has-an-element-in-button-scope\n  var buttonScopeTags = inScopeTags.concat(['button']);\n\n  // https://html.spec.whatwg.org/multipage/syntax.html#generate-implied-end-tags\n  var impliedEndTags = ['dd', 'dt', 'li', 'option', 'optgroup', 'p', 'rp', 'rt'];\n\n  var emptyAncestorInfo = {\n    parentTag: null,\n\n    formTag: null,\n    aTagInScope: null,\n    buttonTagInScope: null,\n    nobrTagInScope: null,\n    pTagInButtonScope: null,\n\n    listItemTagAutoclosing: null,\n    dlItemTagAutoclosing: null\n  };\n\n  var updatedAncestorInfo = function (oldInfo, tag, instance) {\n    var ancestorInfo = assign({}, oldInfo || emptyAncestorInfo);\n    var info = { tag: tag, instance: instance };\n\n    if (inScopeTags.indexOf(tag) !== -1) {\n      ancestorInfo.aTagInScope = null;\n      ancestorInfo.buttonTagInScope = null;\n      ancestorInfo.nobrTagInScope = null;\n    }\n    if (buttonScopeTags.indexOf(tag) !== -1) {\n      ancestorInfo.pTagInButtonScope = null;\n    }\n\n    // See rules for 'li', 'dd', 'dt' start tags in\n    // https://html.spec.whatwg.org/multipage/syntax.html#parsing-main-inbody\n    if (specialTags.indexOf(tag) !== -1 && tag !== 'address' && tag !== 'div' && tag !== 'p') {\n      ancestorInfo.listItemTagAutoclosing = null;\n      ancestorInfo.dlItemTagAutoclosing = null;\n    }\n\n    ancestorInfo.parentTag = info;\n\n    if (tag === 'form') {\n      ancestorInfo.formTag = info;\n    }\n    if (tag === 'a') {\n      ancestorInfo.aTagInScope = info;\n    }\n    if (tag === 'button') {\n      ancestorInfo.buttonTagInScope = info;\n    }\n    if (tag === 'nobr') {\n      ancestorInfo.nobrTagInScope = info;\n    }\n    if (tag === 'p') {\n      ancestorInfo.pTagInButtonScope = info;\n    }\n    if (tag === 'li') {\n      ancestorInfo.listItemTagAutoclosing = info;\n    }\n    if (tag === 'dd' || tag === 'dt') {\n      ancestorInfo.dlItemTagAutoclosing = info;\n    }\n\n    return ancestorInfo;\n  };\n\n  /**\n   * Returns whether\n   */\n  var isTagValidWithParent = function (tag, parentTag) {\n    // First, let's check if we're in an unusual parsing mode...\n    switch (parentTag) {\n      // https://html.spec.whatwg.org/multipage/syntax.html#parsing-main-inselect\n      case 'select':\n        return tag === 'option' || tag === 'optgroup' || tag === '#text';\n      case 'optgroup':\n        return tag === 'option' || tag === '#text';\n      // Strictly speaking, seeing an <option> doesn't mean we're in a <select>\n      // but\n      case 'option':\n        return tag === '#text';\n\n      // https://html.spec.whatwg.org/multipage/syntax.html#parsing-main-intd\n      // https://html.spec.whatwg.org/multipage/syntax.html#parsing-main-incaption\n      // No special behavior since these rules fall back to \"in body\" mode for\n      // all except special table nodes which cause bad parsing behavior anyway.\n\n      // https://html.spec.whatwg.org/multipage/syntax.html#parsing-main-intr\n      case 'tr':\n        return tag === 'th' || tag === 'td' || tag === 'style' || tag === 'script' || tag === 'template';\n\n      // https://html.spec.whatwg.org/multipage/syntax.html#parsing-main-intbody\n      case 'tbody':\n      case 'thead':\n      case 'tfoot':\n        return tag === 'tr' || tag === 'style' || tag === 'script' || tag === 'template';\n\n      // https://html.spec.whatwg.org/multipage/syntax.html#parsing-main-incolgroup\n      case 'colgroup':\n        return tag === 'col' || tag === 'template';\n\n      // https://html.spec.whatwg.org/multipage/syntax.html#parsing-main-intable\n      case 'table':\n        return tag === 'caption' || tag === 'colgroup' || tag === 'tbody' || tag === 'tfoot' || tag === 'thead' || tag === 'style' || tag === 'script' || tag === 'template';\n\n      // https://html.spec.whatwg.org/multipage/syntax.html#parsing-main-inhead\n      case 'head':\n        return tag === 'base' || tag === 'basefont' || tag === 'bgsound' || tag === 'link' || tag === 'meta' || tag === 'title' || tag === 'noscript' || tag === 'noframes' || tag === 'style' || tag === 'script' || tag === 'template';\n\n      // https://html.spec.whatwg.org/multipage/semantics.html#the-html-element\n      case 'html':\n        return tag === 'head' || tag === 'body';\n    }\n\n    // Probably in the \"in body\" parsing mode, so we outlaw only tag combos\n    // where the parsing rules cause implicit opens or closes to be added.\n    // https://html.spec.whatwg.org/multipage/syntax.html#parsing-main-inbody\n    switch (tag) {\n      case 'h1':\n      case 'h2':\n      case 'h3':\n      case 'h4':\n      case 'h5':\n      case 'h6':\n        return parentTag !== 'h1' && parentTag !== 'h2' && parentTag !== 'h3' && parentTag !== 'h4' && parentTag !== 'h5' && parentTag !== 'h6';\n\n      case 'rp':\n      case 'rt':\n        return impliedEndTags.indexOf(parentTag) === -1;\n\n      case 'caption':\n      case 'col':\n      case 'colgroup':\n      case 'frame':\n      case 'head':\n      case 'tbody':\n      case 'td':\n      case 'tfoot':\n      case 'th':\n      case 'thead':\n      case 'tr':\n        // These tags are only valid with a few parents that have special child\n        // parsing rules -- if we're down here, then none of those matched and\n        // so we allow it only if we don't know what the parent is, as all other\n        // cases are invalid.\n        return parentTag == null;\n    }\n\n    return true;\n  };\n\n  /**\n   * Returns whether\n   */\n  var findInvalidAncestorForTag = function (tag, ancestorInfo) {\n    switch (tag) {\n      case 'address':\n      case 'article':\n      case 'aside':\n      case 'blockquote':\n      case 'center':\n      case 'details':\n      case 'dialog':\n      case 'dir':\n      case 'div':\n      case 'dl':\n      case 'fieldset':\n      case 'figcaption':\n      case 'figure':\n      case 'footer':\n      case 'header':\n      case 'hgroup':\n      case 'main':\n      case 'menu':\n      case 'nav':\n      case 'ol':\n      case 'p':\n      case 'section':\n      case 'summary':\n      case 'ul':\n\n      case 'pre':\n      case 'listing':\n\n      case 'table':\n\n      case 'hr':\n\n      case 'xmp':\n\n      case 'h1':\n      case 'h2':\n      case 'h3':\n      case 'h4':\n      case 'h5':\n      case 'h6':\n        return ancestorInfo.pTagInButtonScope;\n\n      case 'form':\n        return ancestorInfo.formTag || ancestorInfo.pTagInButtonScope;\n\n      case 'li':\n        return ancestorInfo.listItemTagAutoclosing;\n\n      case 'dd':\n      case 'dt':\n        return ancestorInfo.dlItemTagAutoclosing;\n\n      case 'button':\n        return ancestorInfo.buttonTagInScope;\n\n      case 'a':\n        // Spec says something about storing a list of markers, but it sounds\n        // equivalent to this check.\n        return ancestorInfo.aTagInScope;\n\n      case 'nobr':\n        return ancestorInfo.nobrTagInScope;\n    }\n\n    return null;\n  };\n\n  /**\n   * Given a ReactCompositeComponent instance, return a list of its recursive\n   * owners, starting at the root and ending with the instance itself.\n   */\n  var findOwnerStack = function (instance) {\n    if (!instance) {\n      return [];\n    }\n\n    var stack = [];\n    /*eslint-disable space-after-keywords */\n    do {\n      /*eslint-enable space-after-keywords */\n      stack.push(instance);\n    } while (instance = instance._currentElement._owner);\n    stack.reverse();\n    return stack;\n  };\n\n  var didWarn = {};\n\n  validateDOMNesting = function (childTag, childInstance, ancestorInfo) {\n    ancestorInfo = ancestorInfo || emptyAncestorInfo;\n    var parentInfo = ancestorInfo.parentTag;\n    var parentTag = parentInfo && parentInfo.tag;\n\n    var invalidParent = isTagValidWithParent(childTag, parentTag) ? null : parentInfo;\n    var invalidAncestor = invalidParent ? null : findInvalidAncestorForTag(childTag, ancestorInfo);\n    var problematic = invalidParent || invalidAncestor;\n\n    if (problematic) {\n      var ancestorTag = problematic.tag;\n      var ancestorInstance = problematic.instance;\n\n      var childOwner = childInstance && childInstance._currentElement._owner;\n      var ancestorOwner = ancestorInstance && ancestorInstance._currentElement._owner;\n\n      var childOwners = findOwnerStack(childOwner);\n      var ancestorOwners = findOwnerStack(ancestorOwner);\n\n      var minStackLen = Math.min(childOwners.length, ancestorOwners.length);\n      var i;\n\n      var deepestCommon = -1;\n      for (i = 0; i < minStackLen; i++) {\n        if (childOwners[i] === ancestorOwners[i]) {\n          deepestCommon = i;\n        } else {\n          break;\n        }\n      }\n\n      var UNKNOWN = '(unknown)';\n      var childOwnerNames = childOwners.slice(deepestCommon + 1).map(function (inst) {\n        return inst.getName() || UNKNOWN;\n      });\n      var ancestorOwnerNames = ancestorOwners.slice(deepestCommon + 1).map(function (inst) {\n        return inst.getName() || UNKNOWN;\n      });\n      var ownerInfo = [].concat(\n      // If the parent and child instances have a common owner ancestor, start\n      // with that -- otherwise we just start with the parent's owners.\n      deepestCommon !== -1 ? childOwners[deepestCommon].getName() || UNKNOWN : [], ancestorOwnerNames, ancestorTag,\n      // If we're warning about an invalid (non-parent) ancestry, add '...'\n      invalidAncestor ? ['...'] : [], childOwnerNames, childTag).join(' > ');\n\n      var warnKey = !!invalidParent + '|' + childTag + '|' + ancestorTag + '|' + ownerInfo;\n      if (didWarn[warnKey]) {\n        return;\n      }\n      didWarn[warnKey] = true;\n\n      if (invalidParent) {\n        var info = '';\n        if (ancestorTag === 'table' && childTag === 'tr') {\n          info += ' Add a <tbody> to your code to match the DOM tree generated by ' + 'the browser.';\n        }\n        \"development\" !== 'production' ? warning(false, 'validateDOMNesting(...): <%s> cannot appear as a child of <%s>. ' + 'See %s.%s', childTag, ancestorTag, ownerInfo, info) : undefined;\n      } else {\n        \"development\" !== 'production' ? warning(false, 'validateDOMNesting(...): <%s> cannot appear as a descendant of ' + '<%s>. See %s.', childTag, ancestorTag, ownerInfo) : undefined;\n      }\n    }\n  };\n\n  validateDOMNesting.ancestorInfoContextKey = '__validateDOMNesting_ancestorInfo$' + Math.random().toString(36).slice(2);\n\n  validateDOMNesting.updatedAncestorInfo = updatedAncestorInfo;\n\n  // For testing\n  validateDOMNesting.isTagValidInContext = function (tag, ancestorInfo) {\n    ancestorInfo = ancestorInfo || emptyAncestorInfo;\n    var parentInfo = ancestorInfo.parentTag;\n    var parentTag = parentInfo && parentInfo.tag;\n    return isTagValidWithParent(tag, parentTag) && !findInvalidAncestorForTag(tag, ancestorInfo);\n  };\n}\n\nmodule.exports = validateDOMNesting;\n},{\"153\":153,\"173\":173,\"24\":24}],145:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule CSSCore\n * @typechecks\n */\n\n'use strict';\n\nvar invariant = _dereq_(161);\n\n/**\n * The CSSCore module specifies the API (and implements most of the methods)\n * that should be used when dealing with the display of elements (via their\n * CSS classes and visibility on screen. It is an API focused on mutating the\n * display and not reading it as no logical state should be encoded in the\n * display of elements.\n */\n\nvar CSSCore = {\n\n  /**\n   * Adds the class passed in to the element if it doesn't already have it.\n   *\n   * @param {DOMElement} element the element to set the class on\n   * @param {string} className the CSS className\n   * @return {DOMElement} the element passed in\n   */\n  addClass: function (element, className) {\n    !!/\\s/.test(className) ? \"development\" !== 'production' ? invariant(false, 'CSSCore.addClass takes only a single class name. \"%s\" contains ' + 'multiple classes.', className) : invariant(false) : undefined;\n\n    if (className) {\n      if (element.classList) {\n        element.classList.add(className);\n      } else if (!CSSCore.hasClass(element, className)) {\n        element.className = element.className + ' ' + className;\n      }\n    }\n    return element;\n  },\n\n  /**\n   * Removes the class passed in from the element\n   *\n   * @param {DOMElement} element the element to set the class on\n   * @param {string} className the CSS className\n   * @return {DOMElement} the element passed in\n   */\n  removeClass: function (element, className) {\n    !!/\\s/.test(className) ? \"development\" !== 'production' ? invariant(false, 'CSSCore.removeClass takes only a single class name. \"%s\" contains ' + 'multiple classes.', className) : invariant(false) : undefined;\n\n    if (className) {\n      if (element.classList) {\n        element.classList.remove(className);\n      } else if (CSSCore.hasClass(element, className)) {\n        element.className = element.className.replace(new RegExp('(^|\\\\s)' + className + '(?:\\\\s|$)', 'g'), '$1').replace(/\\s+/g, ' ') // multiple spaces to one\n        .replace(/^\\s*|\\s*$/g, ''); // trim the ends\n      }\n    }\n    return element;\n  },\n\n  /**\n   * Helper to add or remove a class from an element based on a condition.\n   *\n   * @param {DOMElement} element the element to set the class on\n   * @param {string} className the CSS className\n   * @param {*} bool condition to whether to add or remove the class\n   * @return {DOMElement} the element passed in\n   */\n  conditionClass: function (element, className, bool) {\n    return (bool ? CSSCore.addClass : CSSCore.removeClass)(element, className);\n  },\n\n  /**\n   * Tests whether the element has the class specified.\n   *\n   * @param {DOMNode|DOMWindow} element the element to set the class on\n   * @param {string} className the CSS className\n   * @return {boolean} true if the element has the class, false if not\n   */\n  hasClass: function (element, className) {\n    !!/\\s/.test(className) ? \"development\" !== 'production' ? invariant(false, 'CSS.hasClass takes only a single class name.') : invariant(false) : undefined;\n    if (element.classList) {\n      return !!className && element.classList.contains(className);\n    }\n    return (' ' + element.className + ' ').indexOf(' ' + className + ' ') > -1;\n  }\n\n};\n\nmodule.exports = CSSCore;\n},{\"161\":161}],146:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n *\n * Licensed under the Apache License, Version 2.0 (the \"License\");\n * you may not use this file except in compliance with the License.\n * You may obtain a copy of the License at\n *\n * http://www.apache.org/licenses/LICENSE-2.0\n *\n * Unless required by applicable law or agreed to in writing, software\n * distributed under the License is distributed on an \"AS IS\" BASIS,\n * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n * See the License for the specific language governing permissions and\n * limitations under the License.\n *\n * @providesModule EventListener\n * @typechecks\n */\n\n'use strict';\n\nvar emptyFunction = _dereq_(153);\n\n/**\n * Upstream version of event listener. Does not take into account specific\n * nature of platform.\n */\nvar EventListener = {\n  /**\n   * Listen to DOM events during the bubble phase.\n   *\n   * @param {DOMEventTarget} target DOM element to register listener on.\n   * @param {string} eventType Event type, e.g. 'click' or 'mouseover'.\n   * @param {function} callback Callback function.\n   * @return {object} Object with a `remove` method.\n   */\n  listen: function (target, eventType, callback) {\n    if (target.addEventListener) {\n      target.addEventListener(eventType, callback, false);\n      return {\n        remove: function () {\n          target.removeEventListener(eventType, callback, false);\n        }\n      };\n    } else if (target.attachEvent) {\n      target.attachEvent('on' + eventType, callback);\n      return {\n        remove: function () {\n          target.detachEvent('on' + eventType, callback);\n        }\n      };\n    }\n  },\n\n  /**\n   * Listen to DOM events during the capture phase.\n   *\n   * @param {DOMEventTarget} target DOM element to register listener on.\n   * @param {string} eventType Event type, e.g. 'click' or 'mouseover'.\n   * @param {function} callback Callback function.\n   * @return {object} Object with a `remove` method.\n   */\n  capture: function (target, eventType, callback) {\n    if (target.addEventListener) {\n      target.addEventListener(eventType, callback, true);\n      return {\n        remove: function () {\n          target.removeEventListener(eventType, callback, true);\n        }\n      };\n    } else {\n      if (\"development\" !== 'production') {\n        console.error('Attempted to listen to events during the capture phase on a ' + 'browser that does not support the capture phase. Your application ' + 'will not receive some events.');\n      }\n      return {\n        remove: emptyFunction\n      };\n    }\n  },\n\n  registerDefault: function () {}\n};\n\nmodule.exports = EventListener;\n},{\"153\":153}],147:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule ExecutionEnvironment\n */\n\n'use strict';\n\nvar canUseDOM = !!(typeof window !== 'undefined' && window.document && window.document.createElement);\n\n/**\n * Simple, lightweight module assisting with the detection and context of\n * Worker. Helps avoid circular dependencies and allows code to reason about\n * whether or not they are in a Worker, even if they never include the main\n * `ReactWorker` dependency.\n */\nvar ExecutionEnvironment = {\n\n  canUseDOM: canUseDOM,\n\n  canUseWorkers: typeof Worker !== 'undefined',\n\n  canUseEventListeners: canUseDOM && !!(window.addEventListener || window.attachEvent),\n\n  canUseViewport: canUseDOM && !!window.screen,\n\n  isInWorker: !canUseDOM // For now, this is true - might change in the future.\n\n};\n\nmodule.exports = ExecutionEnvironment;\n},{}],148:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule camelize\n * @typechecks\n */\n\n\"use strict\";\n\nvar _hyphenPattern = /-(.)/g;\n\n/**\n * Camelcases a hyphenated string, for example:\n *\n *   > camelize('background-color')\n *   < \"backgroundColor\"\n *\n * @param {string} string\n * @return {string}\n */\nfunction camelize(string) {\n  return string.replace(_hyphenPattern, function (_, character) {\n    return character.toUpperCase();\n  });\n}\n\nmodule.exports = camelize;\n},{}],149:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule camelizeStyleName\n * @typechecks\n */\n\n'use strict';\n\nvar camelize = _dereq_(148);\n\nvar msPattern = /^-ms-/;\n\n/**\n * Camelcases a hyphenated CSS property name, for example:\n *\n *   > camelizeStyleName('background-color')\n *   < \"backgroundColor\"\n *   > camelizeStyleName('-moz-transition')\n *   < \"MozTransition\"\n *   > camelizeStyleName('-ms-transition')\n *   < \"msTransition\"\n *\n * As Andi Smith suggests\n * (http://www.andismith.com/blog/2012/02/modernizr-prefixed/), an `-ms` prefix\n * is converted to lowercase `ms`.\n *\n * @param {string} string\n * @return {string}\n */\nfunction camelizeStyleName(string) {\n  return camelize(string.replace(msPattern, 'ms-'));\n}\n\nmodule.exports = camelizeStyleName;\n},{\"148\":148}],150:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule containsNode\n * @typechecks\n */\n\n'use strict';\n\nvar isTextNode = _dereq_(163);\n\n/*eslint-disable no-bitwise */\n\n/**\n * Checks if a given DOM node contains or is another DOM node.\n *\n * @param {?DOMNode} outerNode Outer DOM node.\n * @param {?DOMNode} innerNode Inner DOM node.\n * @return {boolean} True if `outerNode` contains or is `innerNode`.\n */\nfunction containsNode(_x, _x2) {\n  var _again = true;\n\n  _function: while (_again) {\n    var outerNode = _x,\n        innerNode = _x2;\n    _again = false;\n\n    if (!outerNode || !innerNode) {\n      return false;\n    } else if (outerNode === innerNode) {\n      return true;\n    } else if (isTextNode(outerNode)) {\n      return false;\n    } else if (isTextNode(innerNode)) {\n      _x = outerNode;\n      _x2 = innerNode.parentNode;\n      _again = true;\n      continue _function;\n    } else if (outerNode.contains) {\n      return outerNode.contains(innerNode);\n    } else if (outerNode.compareDocumentPosition) {\n      return !!(outerNode.compareDocumentPosition(innerNode) & 16);\n    } else {\n      return false;\n    }\n  }\n}\n\nmodule.exports = containsNode;\n},{\"163\":163}],151:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule createArrayFromMixed\n * @typechecks\n */\n\n'use strict';\n\nvar toArray = _dereq_(172);\n\n/**\n * Perform a heuristic test to determine if an object is \"array-like\".\n *\n *   A monk asked Joshu, a Zen master, \"Has a dog Buddha nature?\"\n *   Joshu replied: \"Mu.\"\n *\n * This function determines if its argument has \"array nature\": it returns\n * true if the argument is an actual array, an `arguments' object, or an\n * HTMLCollection (e.g. node.childNodes or node.getElementsByTagName()).\n *\n * It will return false for other array-like objects like Filelist.\n *\n * @param {*} obj\n * @return {boolean}\n */\nfunction hasArrayNature(obj) {\n  return(\n    // not null/false\n    !!obj && (\n    // arrays are objects, NodeLists are functions in Safari\n    typeof obj == 'object' || typeof obj == 'function') &&\n    // quacks like an array\n    'length' in obj &&\n    // not window\n    !('setInterval' in obj) &&\n    // no DOM node should be considered an array-like\n    // a 'select' element has 'length' and 'item' properties on IE8\n    typeof obj.nodeType != 'number' && (\n    // a real array\n    Array.isArray(obj) ||\n    // arguments\n    'callee' in obj ||\n    // HTMLCollection/NodeList\n    'item' in obj)\n  );\n}\n\n/**\n * Ensure that the argument is an array by wrapping it in an array if it is not.\n * Creates a copy of the argument if it is already an array.\n *\n * This is mostly useful idiomatically:\n *\n *   var createArrayFromMixed = require('createArrayFromMixed');\n *\n *   function takesOneOrMoreThings(things) {\n *     things = createArrayFromMixed(things);\n *     ...\n *   }\n *\n * This allows you to treat `things' as an array, but accept scalars in the API.\n *\n * If you need to convert an array-like object, like `arguments`, into an array\n * use toArray instead.\n *\n * @param {*} obj\n * @return {array}\n */\nfunction createArrayFromMixed(obj) {\n  if (!hasArrayNature(obj)) {\n    return [obj];\n  } else if (Array.isArray(obj)) {\n    return obj.slice();\n  } else {\n    return toArray(obj);\n  }\n}\n\nmodule.exports = createArrayFromMixed;\n},{\"172\":172}],152:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule createNodesFromMarkup\n * @typechecks\n */\n\n/*eslint-disable fb-www/unsafe-html*/\n\n'use strict';\n\nvar ExecutionEnvironment = _dereq_(147);\n\nvar createArrayFromMixed = _dereq_(151);\nvar getMarkupWrap = _dereq_(157);\nvar invariant = _dereq_(161);\n\n/**\n * Dummy container used to render all markup.\n */\nvar dummyNode = ExecutionEnvironment.canUseDOM ? document.createElement('div') : null;\n\n/**\n * Pattern used by `getNodeName`.\n */\nvar nodeNamePattern = /^\\s*<(\\w+)/;\n\n/**\n * Extracts the `nodeName` of the first element in a string of markup.\n *\n * @param {string} markup String of markup.\n * @return {?string} Node name of the supplied markup.\n */\nfunction getNodeName(markup) {\n  var nodeNameMatch = markup.match(nodeNamePattern);\n  return nodeNameMatch && nodeNameMatch[1].toLowerCase();\n}\n\n/**\n * Creates an array containing the nodes rendered from the supplied markup. The\n * optionally supplied `handleScript` function will be invoked once for each\n * <script> element that is rendered. If no `handleScript` function is supplied,\n * an exception is thrown if any <script> elements are rendered.\n *\n * @param {string} markup A string of valid HTML markup.\n * @param {?function} handleScript Invoked once for each rendered <script>.\n * @return {array<DOMElement|DOMTextNode>} An array of rendered nodes.\n */\nfunction createNodesFromMarkup(markup, handleScript) {\n  var node = dummyNode;\n  !!!dummyNode ? \"development\" !== 'production' ? invariant(false, 'createNodesFromMarkup dummy not initialized') : invariant(false) : undefined;\n  var nodeName = getNodeName(markup);\n\n  var wrap = nodeName && getMarkupWrap(nodeName);\n  if (wrap) {\n    node.innerHTML = wrap[1] + markup + wrap[2];\n\n    var wrapDepth = wrap[0];\n    while (wrapDepth--) {\n      node = node.lastChild;\n    }\n  } else {\n    node.innerHTML = markup;\n  }\n\n  var scripts = node.getElementsByTagName('script');\n  if (scripts.length) {\n    !handleScript ? \"development\" !== 'production' ? invariant(false, 'createNodesFromMarkup(...): Unexpected <script> element rendered.') : invariant(false) : undefined;\n    createArrayFromMixed(scripts).forEach(handleScript);\n  }\n\n  var nodes = createArrayFromMixed(node.childNodes);\n  while (node.lastChild) {\n    node.removeChild(node.lastChild);\n  }\n  return nodes;\n}\n\nmodule.exports = createNodesFromMarkup;\n},{\"147\":147,\"151\":151,\"157\":157,\"161\":161}],153:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule emptyFunction\n */\n\n\"use strict\";\n\nfunction makeEmptyFunction(arg) {\n  return function () {\n    return arg;\n  };\n}\n\n/**\n * This function accepts and discards inputs; it has no side effects. This is\n * primarily useful idiomatically for overridable function endpoints which\n * always need to be callable, since JS lacks a null-call idiom ala Cocoa.\n */\nfunction emptyFunction() {}\n\nemptyFunction.thatReturns = makeEmptyFunction;\nemptyFunction.thatReturnsFalse = makeEmptyFunction(false);\nemptyFunction.thatReturnsTrue = makeEmptyFunction(true);\nemptyFunction.thatReturnsNull = makeEmptyFunction(null);\nemptyFunction.thatReturnsThis = function () {\n  return this;\n};\nemptyFunction.thatReturnsArgument = function (arg) {\n  return arg;\n};\n\nmodule.exports = emptyFunction;\n},{}],154:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule emptyObject\n */\n\n'use strict';\n\nvar emptyObject = {};\n\nif (\"development\" !== 'production') {\n  Object.freeze(emptyObject);\n}\n\nmodule.exports = emptyObject;\n},{}],155:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule focusNode\n */\n\n'use strict';\n\n/**\n * @param {DOMElement} node input/textarea to focus\n */\nfunction focusNode(node) {\n  // IE8 can throw \"Can't move focus to the control because it is invisible,\n  // not enabled, or of a type that does not accept the focus.\" for all kinds of\n  // reasons that are too expensive and fragile to test.\n  try {\n    node.focus();\n  } catch (e) {}\n}\n\nmodule.exports = focusNode;\n},{}],156:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule getActiveElement\n * @typechecks\n */\n\n/* eslint-disable fb-www/typeof-undefined */\n\n/**\n * Same as document.activeElement but wraps in a try-catch block. In IE it is\n * not safe to call document.activeElement if there is nothing focused.\n *\n * The activeElement will be null only if the document or document body is not\n * yet defined.\n */\n'use strict';\n\nfunction getActiveElement() /*?DOMElement*/{\n  if (typeof document === 'undefined') {\n    return null;\n  }\n  try {\n    return document.activeElement || document.body;\n  } catch (e) {\n    return document.body;\n  }\n}\n\nmodule.exports = getActiveElement;\n},{}],157:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule getMarkupWrap\n */\n\n/*eslint-disable fb-www/unsafe-html */\n\n'use strict';\n\nvar ExecutionEnvironment = _dereq_(147);\n\nvar invariant = _dereq_(161);\n\n/**\n * Dummy container used to detect which wraps are necessary.\n */\nvar dummyNode = ExecutionEnvironment.canUseDOM ? document.createElement('div') : null;\n\n/**\n * Some browsers cannot use `innerHTML` to render certain elements standalone,\n * so we wrap them, render the wrapped nodes, then extract the desired node.\n *\n * In IE8, certain elements cannot render alone, so wrap all elements ('*').\n */\n\nvar shouldWrap = {};\n\nvar selectWrap = [1, '<select multiple=\"true\">', '</select>'];\nvar tableWrap = [1, '<table>', '</table>'];\nvar trWrap = [3, '<table><tbody><tr>', '</tr></tbody></table>'];\n\nvar svgWrap = [1, '<svg xmlns=\"http://www.w3.org/2000/svg\">', '</svg>'];\n\nvar markupWrap = {\n  '*': [1, '?<div>', '</div>'],\n\n  'area': [1, '<map>', '</map>'],\n  'col': [2, '<table><tbody></tbody><colgroup>', '</colgroup></table>'],\n  'legend': [1, '<fieldset>', '</fieldset>'],\n  'param': [1, '<object>', '</object>'],\n  'tr': [2, '<table><tbody>', '</tbody></table>'],\n\n  'optgroup': selectWrap,\n  'option': selectWrap,\n\n  'caption': tableWrap,\n  'colgroup': tableWrap,\n  'tbody': tableWrap,\n  'tfoot': tableWrap,\n  'thead': tableWrap,\n\n  'td': trWrap,\n  'th': trWrap\n};\n\n// Initialize the SVG elements since we know they'll always need to be wrapped\n// consistently. If they are created inside a <div> they will be initialized in\n// the wrong namespace (and will not display).\nvar svgElements = ['circle', 'clipPath', 'defs', 'ellipse', 'g', 'image', 'line', 'linearGradient', 'mask', 'path', 'pattern', 'polygon', 'polyline', 'radialGradient', 'rect', 'stop', 'text', 'tspan'];\nsvgElements.forEach(function (nodeName) {\n  markupWrap[nodeName] = svgWrap;\n  shouldWrap[nodeName] = true;\n});\n\n/**\n * Gets the markup wrap configuration for the supplied `nodeName`.\n *\n * NOTE: This lazily detects which wraps are necessary for the current browser.\n *\n * @param {string} nodeName Lowercase `nodeName`.\n * @return {?array} Markup wrap configuration, if applicable.\n */\nfunction getMarkupWrap(nodeName) {\n  !!!dummyNode ? \"development\" !== 'production' ? invariant(false, 'Markup wrapping node not initialized') : invariant(false) : undefined;\n  if (!markupWrap.hasOwnProperty(nodeName)) {\n    nodeName = '*';\n  }\n  if (!shouldWrap.hasOwnProperty(nodeName)) {\n    if (nodeName === '*') {\n      dummyNode.innerHTML = '<link />';\n    } else {\n      dummyNode.innerHTML = '<' + nodeName + '></' + nodeName + '>';\n    }\n    shouldWrap[nodeName] = !dummyNode.firstChild;\n  }\n  return shouldWrap[nodeName] ? markupWrap[nodeName] : null;\n}\n\nmodule.exports = getMarkupWrap;\n},{\"147\":147,\"161\":161}],158:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule getUnboundedScrollPosition\n * @typechecks\n */\n\n'use strict';\n\n/**\n * Gets the scroll position of the supplied element or window.\n *\n * The return values are unbounded, unlike `getScrollPosition`. This means they\n * may be negative or exceed the element boundaries (which is possible using\n * inertial scrolling).\n *\n * @param {DOMWindow|DOMElement} scrollable\n * @return {object} Map with `x` and `y` keys.\n */\nfunction getUnboundedScrollPosition(scrollable) {\n  if (scrollable === window) {\n    return {\n      x: window.pageXOffset || document.documentElement.scrollLeft,\n      y: window.pageYOffset || document.documentElement.scrollTop\n    };\n  }\n  return {\n    x: scrollable.scrollLeft,\n    y: scrollable.scrollTop\n  };\n}\n\nmodule.exports = getUnboundedScrollPosition;\n},{}],159:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule hyphenate\n * @typechecks\n */\n\n'use strict';\n\nvar _uppercasePattern = /([A-Z])/g;\n\n/**\n * Hyphenates a camelcased string, for example:\n *\n *   > hyphenate('backgroundColor')\n *   < \"background-color\"\n *\n * For CSS style names, use `hyphenateStyleName` instead which works properly\n * with all vendor prefixes, including `ms`.\n *\n * @param {string} string\n * @return {string}\n */\nfunction hyphenate(string) {\n  return string.replace(_uppercasePattern, '-$1').toLowerCase();\n}\n\nmodule.exports = hyphenate;\n},{}],160:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule hyphenateStyleName\n * @typechecks\n */\n\n'use strict';\n\nvar hyphenate = _dereq_(159);\n\nvar msPattern = /^ms-/;\n\n/**\n * Hyphenates a camelcased CSS property name, for example:\n *\n *   > hyphenateStyleName('backgroundColor')\n *   < \"background-color\"\n *   > hyphenateStyleName('MozTransition')\n *   < \"-moz-transition\"\n *   > hyphenateStyleName('msTransition')\n *   < \"-ms-transition\"\n *\n * As Modernizr suggests (http://modernizr.com/docs/#prefixed), an `ms` prefix\n * is converted to `-ms-`.\n *\n * @param {string} string\n * @return {string}\n */\nfunction hyphenateStyleName(string) {\n  return hyphenate(string).replace(msPattern, '-ms-');\n}\n\nmodule.exports = hyphenateStyleName;\n},{\"159\":159}],161:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule invariant\n */\n\n'use strict';\n\n/**\n * Use invariant() to assert state which your program assumes to be true.\n *\n * Provide sprintf-style format (only %s is supported) and arguments\n * to provide information about what broke and what you were\n * expecting.\n *\n * The invariant message will be stripped in production, but the invariant\n * will remain to ensure logic does not differ in production.\n */\n\nfunction invariant(condition, format, a, b, c, d, e, f) {\n  if (\"development\" !== 'production') {\n    if (format === undefined) {\n      throw new Error('invariant requires an error message argument');\n    }\n  }\n\n  if (!condition) {\n    var error;\n    if (format === undefined) {\n      error = new Error('Minified exception occurred; use the non-minified dev environment ' + 'for the full error message and additional helpful warnings.');\n    } else {\n      var args = [a, b, c, d, e, f];\n      var argIndex = 0;\n      error = new Error(format.replace(/%s/g, function () {\n        return args[argIndex++];\n      }));\n      error.name = 'Invariant Violation';\n    }\n\n    error.framesToPop = 1; // we don't care about invariant's own frame\n    throw error;\n  }\n}\n\nmodule.exports = invariant;\n},{}],162:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule isNode\n * @typechecks\n */\n\n/**\n * @param {*} object The object to check.\n * @return {boolean} Whether or not the object is a DOM node.\n */\n'use strict';\n\nfunction isNode(object) {\n  return !!(object && (typeof Node === 'function' ? object instanceof Node : typeof object === 'object' && typeof object.nodeType === 'number' && typeof object.nodeName === 'string'));\n}\n\nmodule.exports = isNode;\n},{}],163:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule isTextNode\n * @typechecks\n */\n\n'use strict';\n\nvar isNode = _dereq_(162);\n\n/**\n * @param {*} object The object to check.\n * @return {boolean} Whether or not the object is a DOM text node.\n */\nfunction isTextNode(object) {\n  return isNode(object) && object.nodeType == 3;\n}\n\nmodule.exports = isTextNode;\n},{\"162\":162}],164:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule joinClasses\n * @typechecks static-only\n */\n\n'use strict';\n\n/**\n * Combines multiple className strings into one.\n * http://jsperf.com/joinclasses-args-vs-array\n *\n * @param {...?string} className\n * @return {string}\n */\nfunction joinClasses(className /*, ... */) {\n  if (!className) {\n    className = '';\n  }\n  var nextClass;\n  var argLength = arguments.length;\n  if (argLength > 1) {\n    for (var ii = 1; ii < argLength; ii++) {\n      nextClass = arguments[ii];\n      if (nextClass) {\n        className = (className ? className + ' ' : '') + nextClass;\n      }\n    }\n  }\n  return className;\n}\n\nmodule.exports = joinClasses;\n},{}],165:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule keyMirror\n * @typechecks static-only\n */\n\n'use strict';\n\nvar invariant = _dereq_(161);\n\n/**\n * Constructs an enumeration with keys equal to their value.\n *\n * For example:\n *\n *   var COLORS = keyMirror({blue: null, red: null});\n *   var myColor = COLORS.blue;\n *   var isColorValid = !!COLORS[myColor];\n *\n * The last line could not be performed if the values of the generated enum were\n * not equal to their keys.\n *\n *   Input:  {key1: val1, key2: val2}\n *   Output: {key1: key1, key2: key2}\n *\n * @param {object} obj\n * @return {object}\n */\nvar keyMirror = function (obj) {\n  var ret = {};\n  var key;\n  !(obj instanceof Object && !Array.isArray(obj)) ? \"development\" !== 'production' ? invariant(false, 'keyMirror(...): Argument must be an object.') : invariant(false) : undefined;\n  for (key in obj) {\n    if (!obj.hasOwnProperty(key)) {\n      continue;\n    }\n    ret[key] = key;\n  }\n  return ret;\n};\n\nmodule.exports = keyMirror;\n},{\"161\":161}],166:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule keyOf\n */\n\n/**\n * Allows extraction of a minified key. Let's the build system minify keys\n * without losing the ability to dynamically use key strings as values\n * themselves. Pass in an object with a single key/val pair and it will return\n * you the string key of that single record. Suppose you want to grab the\n * value for a key 'className' inside of an object. Key/val minification may\n * have aliased that key to be 'xa12'. keyOf({className: null}) will return\n * 'xa12' in that case. Resolve keys you want to use once at startup time, then\n * reuse those resolutions.\n */\n\"use strict\";\n\nvar keyOf = function (oneKeyObj) {\n  var key;\n  for (key in oneKeyObj) {\n    if (!oneKeyObj.hasOwnProperty(key)) {\n      continue;\n    }\n    return key;\n  }\n  return null;\n};\n\nmodule.exports = keyOf;\n},{}],167:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule mapObject\n */\n\n'use strict';\n\nvar hasOwnProperty = Object.prototype.hasOwnProperty;\n\n/**\n * Executes the provided `callback` once for each enumerable own property in the\n * object and constructs a new object from the results. The `callback` is\n * invoked with three arguments:\n *\n *  - the property value\n *  - the property name\n *  - the object being traversed\n *\n * Properties that are added after the call to `mapObject` will not be visited\n * by `callback`. If the values of existing properties are changed, the value\n * passed to `callback` will be the value at the time `mapObject` visits them.\n * Properties that are deleted before being visited are not visited.\n *\n * @grep function objectMap()\n * @grep function objMap()\n *\n * @param {?object} object\n * @param {function} callback\n * @param {*} context\n * @return {?object}\n */\nfunction mapObject(object, callback, context) {\n  if (!object) {\n    return null;\n  }\n  var result = {};\n  for (var name in object) {\n    if (hasOwnProperty.call(object, name)) {\n      result[name] = callback.call(context, object[name], name, object);\n    }\n  }\n  return result;\n}\n\nmodule.exports = mapObject;\n},{}],168:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule memoizeStringOnly\n * @typechecks static-only\n */\n\n'use strict';\n\n/**\n * Memoizes the return value of a function that accepts one string argument.\n *\n * @param {function} callback\n * @return {function}\n */\nfunction memoizeStringOnly(callback) {\n  var cache = {};\n  return function (string) {\n    if (!cache.hasOwnProperty(string)) {\n      cache[string] = callback.call(this, string);\n    }\n    return cache[string];\n  };\n}\n\nmodule.exports = memoizeStringOnly;\n},{}],169:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule performance\n * @typechecks\n */\n\n'use strict';\n\nvar ExecutionEnvironment = _dereq_(147);\n\nvar performance;\n\nif (ExecutionEnvironment.canUseDOM) {\n  performance = window.performance || window.msPerformance || window.webkitPerformance;\n}\n\nmodule.exports = performance || {};\n},{\"147\":147}],170:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule performanceNow\n * @typechecks\n */\n\n'use strict';\n\nvar performance = _dereq_(169);\n\nvar performanceNow;\n\n/**\n * Detect if we can use `window.performance.now()` and gracefully fallback to\n * `Date.now()` if it doesn't exist. We need to support Firefox < 15 for now\n * because of Facebook's testing infrastructure.\n */\nif (performance.now) {\n  performanceNow = function () {\n    return performance.now();\n  };\n} else {\n  performanceNow = function () {\n    return Date.now();\n  };\n}\n\nmodule.exports = performanceNow;\n},{\"169\":169}],171:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule shallowEqual\n * @typechecks\n * \n */\n\n'use strict';\n\nvar hasOwnProperty = Object.prototype.hasOwnProperty;\n\n/**\n * Performs equality by iterating through keys on an object and returning false\n * when any key has values which are not strictly equal between the arguments.\n * Returns true when the values of all keys are strictly equal.\n */\nfunction shallowEqual(objA, objB) {\n  if (objA === objB) {\n    return true;\n  }\n\n  if (typeof objA !== 'object' || objA === null || typeof objB !== 'object' || objB === null) {\n    return false;\n  }\n\n  var keysA = Object.keys(objA);\n  var keysB = Object.keys(objB);\n\n  if (keysA.length !== keysB.length) {\n    return false;\n  }\n\n  // Test for A's keys different from B.\n  var bHasOwnProperty = hasOwnProperty.bind(objB);\n  for (var i = 0; i < keysA.length; i++) {\n    if (!bHasOwnProperty(keysA[i]) || objA[keysA[i]] !== objB[keysA[i]]) {\n      return false;\n    }\n  }\n\n  return true;\n}\n\nmodule.exports = shallowEqual;\n},{}],172:[function(_dereq_,module,exports){\n/**\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule toArray\n * @typechecks\n */\n\n'use strict';\n\nvar invariant = _dereq_(161);\n\n/**\n * Convert array-like objects to arrays.\n *\n * This API assumes the caller knows the contents of the data type. For less\n * well defined inputs use createArrayFromMixed.\n *\n * @param {object|function|filelist} obj\n * @return {array}\n */\nfunction toArray(obj) {\n  var length = obj.length;\n\n  // Some browse builtin objects can report typeof 'function' (e.g. NodeList in\n  // old versions of Safari).\n  !(!Array.isArray(obj) && (typeof obj === 'object' || typeof obj === 'function')) ? \"development\" !== 'production' ? invariant(false, 'toArray: Array-like object expected') : invariant(false) : undefined;\n\n  !(typeof length === 'number') ? \"development\" !== 'production' ? invariant(false, 'toArray: Object needs a length property') : invariant(false) : undefined;\n\n  !(length === 0 || length - 1 in obj) ? \"development\" !== 'production' ? invariant(false, 'toArray: Object should have keys for indices') : invariant(false) : undefined;\n\n  // Old IE doesn't give collections access to hasOwnProperty. Assume inputs\n  // without method will throw during the slice call and skip straight to the\n  // fallback.\n  if (obj.hasOwnProperty) {\n    try {\n      return Array.prototype.slice.call(obj);\n    } catch (e) {\n      // IE < 9 does not support Array#slice on collections objects\n    }\n  }\n\n  // Fall back to copying key by key. This assumes all keys have a value,\n  // so will not preserve sparsely populated inputs.\n  var ret = Array(length);\n  for (var ii = 0; ii < length; ii++) {\n    ret[ii] = obj[ii];\n  }\n  return ret;\n}\n\nmodule.exports = toArray;\n},{\"161\":161}],173:[function(_dereq_,module,exports){\n/**\n * Copyright 2014-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n * @providesModule warning\n */\n\n'use strict';\n\nvar emptyFunction = _dereq_(153);\n\n/**\n * Similar to invariant but only logs a warning if the condition is not met.\n * This can be used to log issues in development environments in critical\n * paths. Removing the logging code for production environments will keep the\n * same logic and follow the same code paths.\n */\n\nvar warning = emptyFunction;\n\nif (\"development\" !== 'production') {\n  warning = function (condition, format) {\n    for (var _len = arguments.length, args = Array(_len > 2 ? _len - 2 : 0), _key = 2; _key < _len; _key++) {\n      args[_key - 2] = arguments[_key];\n    }\n\n    if (format === undefined) {\n      throw new Error('`warning(condition, format, ...args)` requires a warning ' + 'message argument');\n    }\n\n    if (format.indexOf('Failed Composite propType: ') === 0) {\n      return; // Ignore CompositeComponent proptype check.\n    }\n\n    if (!condition) {\n      var argIndex = 0;\n      var message = 'Warning: ' + format.replace(/%s/g, function () {\n        return args[argIndex++];\n      });\n      if (typeof console !== 'undefined') {\n        console.error(message);\n      }\n      try {\n        // --- Welcome to debugging React ---\n        // This error was thrown as a convenience so that you can use this stack\n        // to find the callsite that caused this warning to fire.\n        throw new Error(message);\n      } catch (x) {}\n    }\n  };\n}\n\nmodule.exports = warning;\n},{\"153\":153}]},{},[1])(1)\n});\n//# sourceURL=/thirdparty/react.js"),
eval('/**\n * ReactDOM v0.14.7\n *\n * Copyright 2013-2015, Facebook, Inc.\n * All rights reserved.\n *\n * This source code is licensed under the BSD-style license found in the\n * LICENSE file in the root directory of this source tree. An additional grant\n * of patent rights can be found in the PATENTS file in the same directory.\n *\n */\n// Based off https://github.com/ForbesLindesay/umd/blob/master/template.js\n;(function(f) {\n  // CommonJS\n  if (typeof exports === "object" && typeof module !== "undefined") {\n    module.exports = f(require(\'react\'));\n\n  // RequireJS\n  } else if (typeof define === "function" && define.amd) {\n    define(\'thirdparty/react-dom\',[\'react\'], f);\n\n  // <script>\n  } else {\n    var g;\n    if (typeof window !== "undefined") {\n      g = window;\n    } else if (typeof global !== "undefined") {\n      g = global;\n    } else if (typeof self !== "undefined") {\n      g = self;\n    } else {\n      // works providing we\'re not in "use strict";\n      // needed for Java 8 Nashorn\n      // see https://github.com/facebook/react/issues/3037\n      g = this;\n    }\n    g.ReactDOM = f(g.React);\n  }\n\n})(function(React) {\n  return React.__SECRET_DOM_DO_NOT_USE_OR_YOU_WILL_BE_FIRED;\n});\n\n//# sourceURL=/thirdparty/react-dom.js'),eval("//    https://github.com/JedWatson/classnames\n//\n//    The MIT License (MIT)\n//\n//    Copyright (c) 2015 Jed Watson\n//\n//    Permission is hereby granted, free of charge, to any person obtaining a copy\n//    of this software and associated documentation files (the \"Software\"), to deal\n//    in the Software without restriction, including without limitation the rights\n//    to use, copy, modify, merge, publish, distribute, sublicense, and/or sell\n//    copies of the Software, and to permit persons to whom the Software is\n//    furnished to do so, subject to the following conditions:\n//\n//    The above copyright notice and this permission notice shall be included in all\n//    copies or substantial portions of the Software.\n//\n//    THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n//    IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n//    FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n//    AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n//    LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,\n//    OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE\n//    SOFTWARE.\n\ndefine('thirdparty/classnames',['require','exports','module'],function (require, exports, module) {\n    \"use strict\";\n\n    function classNames() {\n        var classes = '';\n        var arg;\n\n        for (var i = 0; i < arguments.length; i++) {\n            arg = arguments[i];\n            if (!arg) {\n                continue;\n            }\n\n            if ('string' === typeof arg || 'number' === typeof arg) {\n                classes += ' ' + arg;\n            } else if (Object.prototype.toString.call(arg) === '[object Array]') {\n                classes += ' ' + classNames.apply(null, arg);\n            } else if ('object' === typeof arg) {\n                for (var key in arg) {\n                    if (!arg.hasOwnProperty(key) || !arg[key]) {\n                        continue;\n                    }\n                    classes += ' ' + key;\n                }\n            }\n        }\n        return classes.substr(1);\n    }\n\n    // safely export classNames in case the script is included directly on a page\n    if (typeof module !== 'undefined' && module.exports) {\n        module.exports = classNames;\n    }\n    \n});\n\n//# sourceURL=/thirdparty/classnames.js"),eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*unittests: FileTreeView*/\n\n/**\n * This is the view layer (template) for the file tree in the sidebar. It takes a FileTreeViewModel\n * and renders it to the given element using React. User actions are signaled via an ActionCreator\n * (in the Flux sense).\n */\ndefine(\'project/FileTreeView\',[\'require\',\'exports\',\'module\',\'thirdparty/react\',\'thirdparty/react-dom\',\'thirdparty/classnames\',\'thirdparty/immutable\',\'thirdparty/lodash\',\'file/FileUtils\',\'language/LanguageManager\',\'project/FileTreeViewModel\',\'utils/ViewUtils\',\'utils/KeyEvent\'],function (require, exports, module) {\n    "use strict";\n\n    var React             = require("thirdparty/react"),\n        ReactDOM          = require("thirdparty/react-dom"),\n        Classnames        = require("thirdparty/classnames"),\n        Immutable         = require("thirdparty/immutable"),\n        _                 = require("thirdparty/lodash"),\n        FileUtils         = require("file/FileUtils"),\n        LanguageManager   = require("language/LanguageManager"),\n        FileTreeViewModel = require("project/FileTreeViewModel"),\n        ViewUtils         = require("utils/ViewUtils"),\n        KeyEvent          = require("utils/KeyEvent");\n\n    var DOM = React.DOM;\n\n    /**\n     * @private\n     * @type {Immutable.Map}\n     *\n     * Stores the file tree extensions for adding classes and icons. The keys of the map\n     * are the "categories" of the extensions and values are vectors of the callback functions.\n     */\n    var _extensions = Immutable.Map();\n\n    // Constants\n\n    // Time range from first click to second click to invoke renaming.\n    var CLICK_RENAME_MINIMUM  = 500,\n        RIGHT_MOUSE_BUTTON    = 2,\n        LEFT_MOUSE_BUTTON     = 0;\n\n    var INDENTATION_WIDTH     = 10;\n\n    /**\n     * @private\n     *\n     * Returns the name of a file without its extension.\n     *\n     * @param {string} fullname The complete name of the file (not including the rest of the path)\n     * @param {string} extension The file extension\n     * @return {string} The fullname without the extension\n     */\n    function _getName(fullname, extension) {\n        return extension !== "" ? fullname.substring(0, fullname.length - extension.length - 1) : fullname;\n    }\n\n    /**\n     * Mixin that allows a component to compute the full path to its directory entry.\n     */\n    var pathComputer = {\n        /**\n         * Computes the full path of the file represented by this input.\n         */\n        myPath: function () {\n            var result = this.props.parentPath + this.props.name;\n\n            // Add trailing slash for directories\n            if (!FileTreeViewModel.isFile(this.props.entry) && _.last(result) !== "/") {\n                result += "/";\n            }\n\n            return result;\n        }\n    };\n\n    /**\n     * @private\n     *\n     * Gets an appropriate width given the text provided.\n     *\n     * @param {string} text Text to measure\n     * @return {int} Width to use\n     */\n    function _measureText(text) {\n        var measuringElement = $("<span />", { css : { "position" : "absolute", "top" : "-200px", "left" : "-1000px", "visibility" : "hidden", "white-space": "pre" } }).appendTo("body");\n        measuringElement.text("pW" + text);\n        var width = measuringElement.width();\n        measuringElement.remove();\n        return width;\n    }\n\n    /**\n     * @private\n     *\n     * Create an appropriate div based "thickness" to indent the tree correctly.\n     *\n     * @param {int} depth The depth of the current node.\n     * @return {ReactComponent} The resulting div.\n     */\n    function _createThickness(depth) {\n        return DOM.div({\n            style: {\n                display: "inline-block",\n                width: INDENTATION_WIDTH * depth\n            }\n        });\n    }\n\n    /**\n     * @private\n     *\n     * Create, and indent correctly, the arrow icons used for the folders.\n     *\n     * @param {int} depth The depth of the current node.\n     * @return {ReactComponent} The resulting ins.\n     */\n    function _createAlignedIns(depth) {\n        return DOM.ins({\n            className: "jstree-icon",\n            style: {\n                marginLeft: INDENTATION_WIDTH * depth\n            }\n        });\n    }\n\n    /**\n     * This is a mixin that provides rename input behavior. It is responsible for taking keyboard input\n     * and invoking the correct action based on that input.\n     */\n    var renameBehavior = {\n        /**\n         * Stop clicks from propagating so that clicking on the rename input doesn\'t\n         * cause directories to collapse.\n         */\n        handleClick: function (e) {\n            e.stopPropagation();\n            if (e.button !== LEFT_MOUSE_BUTTON) {\n                e.preventDefault();\n            }\n        },\n\n        /**\n         * If the user presses enter or escape, we either successfully complete or cancel, respectively,\n         * the rename or create operation that is underway.\n         */\n        handleKeyDown: function (e) {\n            if (e.keyCode === KeyEvent.DOM_VK_ESCAPE) {\n                this.props.actions.cancelRename();\n            } else if (e.keyCode === KeyEvent.DOM_VK_RETURN) {\n                this.props.actions.performRename();\n            }\n        },\n\n        /**\n         * The rename or create operation can be completed or canceled by actions outside of\n         * this component, so we keep the model up to date by sending every update via an action.\n         */\n        handleInput: function (e) {\n            this.props.actions.setRenameValue(this.refs.name.value.trim());\n\n            if (e.keyCode !== KeyEvent.DOM_VK_LEFT &&\n                    e.keyCode !== KeyEvent.DOM_VK_RIGHT) {\n                // update the width of the input field\n                var node = this.refs.name,\n                    newWidth = _measureText(node.value);\n                $(node).width(newWidth);\n            }\n        },\n\n        /**\n         * If we leave the field for any reason, complete the rename.\n         */\n        handleBlur: function () {\n            this.props.actions.performRename();\n        }\n    };\n\n    /**\n     * @private\n     *\n     * This component presents an input field to the user for renaming a file.\n     *\n     * Props:\n     * * parentPath: the full path of the directory containing this file\n     * * name: the name of the file, including the extension\n     * * actions: the action creator responsible for communicating actions the user has taken\n     */\n    var fileRenameInput = React.createFactory(React.createClass({\n        mixins: [renameBehavior],\n\n        /**\n         * When this component is displayed, we scroll it into view and select the portion\n         * of the filename that excludes the extension.\n         */\n        componentDidMount: function () {\n            var fullname = this.props.name,\n                extension = LanguageManager.getCompoundFileExtension(fullname);\n\n            var node = this.refs.name;\n            node.setSelectionRange(0, _getName(fullname, extension).length);\n            ViewUtils.scrollElementIntoView($("#project-files-container"), $(node), true);\n        },\n\n        render: function () {\n            var width = _measureText(this.props.name);\n\n            return DOM.input({\n                className: "jstree-rename-input",\n                type: "text",\n                defaultValue: this.props.name,\n                autoFocus: true,\n                onKeyDown: this.handleKeyDown,\n                onInput: this.handleInput,\n                onClick: this.handleClick,\n                onBlur: this.handleBlur,\n                style: {\n                    width: width\n                },\n                ref: "name"\n            });\n        }\n    }));\n\n    /**\n     * @private\n     *\n     * This mixin handles right click (or control click on Mac) action to make a file\n     * the "context" object for performing operations like rename.\n     */\n    var contextSettable = {\n\n        /**\n         * Send matching mouseDown events to the action creator as a setContext action.\n         */\n        handleMouseDown: function (e) {\n            e.stopPropagation();\n            if (e.button === RIGHT_MOUSE_BUTTON ||\n                    (this.props.platform === "mac" && e.button === LEFT_MOUSE_BUTTON && e.ctrlKey)) {\n                this.props.actions.setContext(this.myPath());\n                e.preventDefault();\n                return;\n            }\n            // Return true only for mouse down in rename mode.\n            if (this.props.entry.get("rename")) {\n                return;\n            }\n            e.preventDefault();\n        }\n    };\n\n    /**\n     * @private\n     *\n     * Returns true if the value is defined (used in `.filter`)\n     *\n     * @param {Object} value value to test\n     * @return {boolean} true if value is defined\n     */\n    function isDefined(value) {\n        return value !== undefined;\n    }\n\n    /**\n     * Mixin for components that support the "icons" and "addClass" extension points.\n     * `fileNode` and `directoryNode` support this.\n     */\n    var extendable = {\n\n        /**\n         * Calls the icon providers to get the collection of icons (most likely just one) for\n         * the current file or directory.\n         *\n         * @return {Array.<ReactComponent>} icon components to render\n         */\n        getIcons: function () {\n            var result,\n                extensions = this.props.extensions;\n\n            if (extensions && extensions.get("icons")) {\n                var data = this.getDataForExtension();\n                result = extensions.get("icons").map(function (callback) {\n                    try {\n                        var result = callback(data);\n                        if (result && !React.isValidElement(result)) {\n                            result = React.DOM.span({\n                                dangerouslySetInnerHTML: {\n                                    __html: $(result)[0].outerHTML\n                                }\n                            });\n                        }\n                        return result;  // by this point, returns either undefined or a React object\n                    } catch (e) {\n                        console.error("Exception thrown in FileTreeView icon provider: " + e, e.stack);\n                    }\n                }).filter(isDefined).toArray();\n            }\n\n            if (!result || result.length === 0) {\n                result = [DOM.ins({\n                    className: "jstree-icon"\n                }, " ")];\n            }\n            return result;\n        },\n\n        /**\n         * Calls the addClass providers to get the classes (in string form) to add for the current\n         * file or directory.\n         *\n         * @param {string} classes Initial classes for this node\n         * @return {string} classes for the current node\n         */\n        getClasses: function (classes) {\n            var extensions = this.props.extensions;\n\n            if (extensions && extensions.get("addClass")) {\n                var data = this.getDataForExtension();\n                classes = classes + " " + extensions.get("addClass").map(function (callback) {\n                    try {\n                        return callback(data);\n                    } catch (e) {\n                        console.error("Exception thrown in FileTreeView addClass provider: " + e, e.stack);\n                    }\n                }).filter(isDefined).toArray().join(" ");\n            }\n\n            return classes;\n        }\n    };\n\n    /**\n     * @private\n     *\n     * Component to display a file in the tree.\n     *\n     * Props:\n     * * parentPath: the full path of the directory containing this file\n     * * name: the name of the file, including the extension\n     * * entry: the object with the relevant metadata for the file (whether it\'s selected or is the context file)\n     * * actions: the action creator responsible for communicating actions the user has taken\n     * * extensions: registered extensions for the file tree\n     * * forceRender: causes the component to run render\n     */\n    var fileNode = React.createFactory(React.createClass({\n        mixins: [contextSettable, pathComputer, extendable],\n\n        /**\n         * Ensures that we always have a state object.\n         */\n        getInitialState: function () {\n            return {\n                clickTimer: null\n            };\n        },\n\n        /**\n         * Thanks to immutable objects, we can just do a start object identity check to know\n         * whether or not we need to re-render.\n         */\n        shouldComponentUpdate: function (nextProps, nextState) {\n            return nextProps.forceRender ||\n                this.props.entry !== nextProps.entry ||\n                this.props.extensions !== nextProps.extensions;\n        },\n\n        /**\n         * If this node is newly selected, scroll it into view. Also, move the selection or\n         * context boxes as appropriate.\n         */\n        componentDidUpdate: function (prevProps, prevState) {\n            var wasSelected = prevProps.entry.get("selected"),\n                isSelected  = this.props.entry.get("selected");\n\n            if (isSelected && !wasSelected) {\n                // TODO: This shouldn\'t really know about project-files-container\n                // directly. It is probably the case that our React tree should actually\n                // start with project-files-container instead of just the interior of\n                // project-files-container and then the file tree will be one self-contained\n                // functional unit.\n                ViewUtils.scrollElementIntoView($("#project-files-container"), $(ReactDOM.findDOMNode(this)), true);\n            } else if (!isSelected && wasSelected && this.state.clickTimer !== null) {\n                this.clearTimer();\n            }\n        },\n\n        clearTimer: function () {\n            if (this.state.clickTimer !== null) {\n                window.clearTimeout(this.state.clickTimer);\n                this.setState({\n                    clickTimer: null\n                });\n            }\n        },\n\n        startRename: function () {\n            if (!this.props.entry.get("rename")) {\n                this.props.actions.startRename(this.myPath());\n            }\n            this.clearTimer();\n        },\n\n        /**\n         * When the user clicks on the node, we\'ll either select it or, if they\'ve clicked twice\n         * with a bit of delay in between, we\'ll invoke the `startRename` action.\n         */\n        handleClick: function (e) {\n            // If we\'re renaming, allow the click to go through to the rename input.\n            if (this.props.entry.get("rename")) {\n                e.stopPropagation();\n                return;\n            }\n\n            if (e.button !== LEFT_MOUSE_BUTTON) {\n                return;\n            }\n\n            if (this.props.entry.get("selected") && !e.ctrlKey) {\n                if (this.state.clickTimer === null && !this.props.entry.get("rename")) {\n                    var timer = window.setTimeout(this.startRename, CLICK_RENAME_MINIMUM);\n                    this.setState({\n                        clickTimer: timer\n                    });\n                }\n            } else {\n                this.props.actions.setSelected(this.myPath());\n            }\n            e.stopPropagation();\n            e.preventDefault();\n        },\n\n        /**\n         * When the user double clicks, we will select this file and add it to the working\n         * set (via the `selectInWorkingSet` action.)\n         */\n        handleDoubleClick: function () {\n            if (!this.props.entry.get("rename")) {\n                if (this.state.clickTimer !== null) {\n                    this.clearTimer();\n                }\n                this.props.actions.selectInWorkingSet(this.myPath());\n            }\n        },\n\n        /**\n         * Create the data object to pass to extensions.\n         *\n         * @return {!{name:string, isFile:boolean, fullPath:string}} Data for extensions\n         */\n        getDataForExtension: function () {\n            return {\n                name: this.props.name,\n                isFile: true,\n                fullPath: this.myPath()\n            };\n        },\n\n        render: function () {\n            var fullname = this.props.name,\n                extension = LanguageManager.getCompoundFileExtension(fullname),\n                name = _getName(fullname, extension);\n\n            if (extension) {\n                extension = DOM.span({\n                    className: "extension"\n                }, "." + extension);\n            }\n\n            var nameDisplay,\n                cx = Classnames;\n\n            var fileClasses = cx({\n                \'jstree-clicked selected-node\': this.props.entry.get("selected"),\n                \'context-node\': this.props.entry.get("context")\n            });\n\n            var liArgs = [\n                {\n                    className: this.getClasses("jstree-leaf"),\n                    onClick: this.handleClick,\n                    onMouseDown: this.handleMouseDown,\n                    onDoubleClick: this.handleDoubleClick\n                },\n                DOM.ins({\n                    className: "jstree-icon"\n                })\n            ];\n\n            var thickness = _createThickness(this.props.depth);\n\n            if (this.props.entry.get("rename")) {\n                liArgs.push(thickness);\n                nameDisplay = fileRenameInput({\n                    actions: this.props.actions,\n                    entry: this.props.entry,\n                    name: this.props.name,\n                    parentPath: this.props.parentPath\n                });\n            } else {\n                // Need to flatten the argument list because getIcons returns an array\n                var aArgs = _.flatten([{\n                    href: "#",\n                    className: fileClasses\n                }, thickness, this.getIcons(), name, extension]);\n                nameDisplay = DOM.a.apply(DOM.a, aArgs);\n            }\n\n            liArgs.push(nameDisplay);\n\n            return DOM.li.apply(DOM.li, liArgs);\n        }\n    }));\n\n    /**\n     * @private\n     *\n     * Creates a comparison function for sorting a directory\'s contents with directories\n     * appearing before files.\n     *\n     * We\'re sorting the keys of the directory (the names) based partly on the values,\n     * so we use a closure to capture the map itself so that we can look up the\n     * values as needed.\n     *\n     * @param {Immutable.Map} contents The directory\'s contents\n     * @return {function(string,string)} Comparator that sorts directories first.\n     */\n    function _buildDirsFirstComparator(contents) {\n        function _dirsFirstCompare(a, b) {\n            var aIsFile = FileTreeViewModel.isFile(contents.get(a)),\n                bIsFile = FileTreeViewModel.isFile(contents.get(b));\n\n            if (!aIsFile && bIsFile) {\n                return -1;\n            } else if (aIsFile && !bIsFile) {\n                return 1;\n            } else {\n                return FileUtils.compareFilenames(a, b);\n            }\n        }\n        return _dirsFirstCompare;\n    }\n\n    /**\n     * @private\n     *\n     * Sort a directory either alphabetically or with subdirectories listed first.\n     *\n     * @param {Immutable.Map} contents the directory\'s contents\n     * @param {boolean} dirsFirst true to sort subdirectories first\n     * @return {Immutable.Map} sorted mapping\n     */\n    function _sortDirectoryContents(contents, dirsFirst) {\n        if (dirsFirst) {\n            return contents.keySeq().sort(_buildDirsFirstComparator(contents));\n        } else {\n            return contents.keySeq().sort(FileUtils.compareFilenames);\n        }\n    }\n\n    // Forward references to keep JSLint happy.\n    var directoryNode, directoryContents;\n\n    /**\n     * @private\n     *\n     * Component that provides the input for renaming a directory.\n     *\n     * Props:\n     * * parentPath: the full path of the directory containing this file\n     * * name: the name of the file, including the extension\n     * * actions: the action creator responsible for communicating actions the user has taken\n     */\n    var directoryRenameInput = React.createFactory(React.createClass({\n        mixins: [renameBehavior],\n\n        /**\n         * When this component is displayed, we scroll it into view and select the folder name.\n         */\n        componentDidMount: function () {\n            var fullname = this.props.name;\n\n            var node = this.refs.name;\n            node.setSelectionRange(0, fullname.length);\n            ViewUtils.scrollElementIntoView($("#project-files-container"), $(node), true);\n        },\n\n        render: function () {\n            var width = _measureText(this.props.name);\n\n            return DOM.input({\n                className: "jstree-rename-input",\n                type: "text",\n                defaultValue: this.props.name,\n                autoFocus: true,\n                onKeyDown: this.handleKeyDown,\n                onInput: this.handleInput,\n                onBlur: this.handleBlur,\n                style: {\n                    width: width\n                },\n                onClick: this.handleClick,\n                ref: "name"\n            });\n        }\n    }));\n\n    /**\n     * @private\n     *\n     * Displays a directory (but not its contents) in the tree.\n     *\n     * Props:\n     * * parentPath: the full path of the directory containing this file\n     * * name: the name of the directory\n     * * entry: the object with the relevant metadata for the file (whether it\'s selected or is the context file)\n     * * actions: the action creator responsible for communicating actions the user has taken\n     * * sortDirectoriesFirst: whether the directories should be displayed first when listing the contents of a directory\n     * * extensions: registered extensions for the file tree\n     * * forceRender: causes the component to run render\n     */\n    directoryNode = React.createFactory(React.createClass({\n        mixins: [contextSettable, pathComputer, extendable],\n\n        /**\n         * We need to update this component if the sort order changes or our entry object\n         * changes. Thanks to immutability, if any of the directory contents change, our\n         * entry object will change.\n         */\n        shouldComponentUpdate: function (nextProps, nextState) {\n            return nextProps.forceRender ||\n                this.props.entry !== nextProps.entry ||\n                this.props.sortDirectoriesFirst !== nextProps.sortDirectoriesFirst ||\n                this.props.extensions !== nextProps.extensions;\n        },\n\n        /**\n         * If you click on a directory, it will toggle between open and closed.\n         */\n        handleClick: function (event) {\n            if (this.props.entry.get("rename")) {\n                event.stopPropagation();\n                return;\n            }\n\n            if (event.button !== LEFT_MOUSE_BUTTON) {\n                return;\n            }\n\n            var isOpen = this.props.entry.get("open"),\n                setOpen = isOpen ? false : true;\n\n            if (event.metaKey || event.ctrlKey) {\n                // ctrl-alt-click toggles this directory and its children\n                if (event.altKey) {\n                    if (setOpen) {\n                        // when opening, we only open the immediate children because\n                        // opening a whole subtree could be really slow (consider\n                        // a `node_modules` directory, for example).\n                        this.props.actions.toggleSubdirectories(this.myPath(), setOpen);\n                        this.props.actions.setDirectoryOpen(this.myPath(), setOpen);\n                    } else {\n                        // When closing, we recursively close the whole subtree.\n                        this.props.actions.closeSubtree(this.myPath());\n                    }\n                } else {\n                    // ctrl-click toggles the sibling directories\n                    this.props.actions.toggleSubdirectories(this.props.parentPath, setOpen);\n                }\n            } else {\n                // directory toggle with no modifier\n                this.props.actions.setDirectoryOpen(this.myPath(), setOpen);\n            }\n            event.stopPropagation();\n            event.preventDefault();\n        },\n\n        /**\n         * Create the data object to pass to extensions.\n         *\n         * @return {{name: {string}, isFile: {boolean}, fullPath: {string}}} Data for extensions\n         */\n        getDataForExtension: function () {\n            return {\n                name: this.props.name,\n                isFile: false,\n                fullPath: this.myPath()\n            };\n        },\n\n        render: function () {\n            var entry = this.props.entry,\n                nodeClass,\n                childNodes,\n                children = entry.get("children"),\n                isOpen = entry.get("open");\n\n            if (isOpen && children) {\n                nodeClass = "open";\n                childNodes = directoryContents({\n                    depth: this.props.depth + 1,\n                    parentPath: this.myPath(),\n                    contents: children,\n                    extensions: this.props.extensions,\n                    actions: this.props.actions,\n                    forceRender: this.props.forceRender,\n                    platform: this.props.platform,\n                    sortDirectoriesFirst: this.props.sortDirectoriesFirst\n                });\n            } else {\n                nodeClass = "closed";\n            }\n\n            var nameDisplay,\n                cx = Classnames;\n\n            var directoryClasses = cx({\n                \'jstree-clicked sidebar-selection\': entry.get("selected"),\n                \'context-node\': entry.get("context")\n            });\n\n            var liArgs = [\n                {\n                    className: this.getClasses("jstree-" + nodeClass),\n                    onClick: this.handleClick,\n                    onMouseDown: this.handleMouseDown\n                },\n                _createAlignedIns(this.props.depth)\n            ];\n\n            var thickness = _createThickness(this.props.depth);\n\n            if (entry.get("rename")) {\n                liArgs.push(thickness);\n                nameDisplay = directoryRenameInput({\n                    actions: this.props.actions,\n                    entry: entry,\n                    name: this.props.name,\n                    parentPath: this.props.parentPath\n                });\n            } else {\n                // Need to flatten the arguments because getIcons returns an array\n                var aArgs = _.flatten([{\n                    href: "#",\n                    className: directoryClasses\n                }, thickness, this.getIcons(), this.props.name]);\n                nameDisplay = DOM.a.apply(DOM.a, aArgs);\n            }\n\n            liArgs.push(nameDisplay);\n            liArgs.push(childNodes);\n\n            return DOM.li.apply(DOM.li, liArgs);\n        }\n    }));\n\n    /**\n     * @private\n     *\n     * Displays the contents of a directory.\n     *\n     * Props:\n     * * isRoot: whether this directory is the root of the tree\n     * * parentPath: the full path of the directory containing this file\n     * * contents: the map of name/child entry pairs for this directory\n     * * actions: the action creator responsible for communicating actions the user has taken\n     * * sortDirectoriesFirst: whether the directories should be displayed first when listing the contents of a directory\n     * * extensions: registered extensions for the file tree\n     * * forceRender: causes the component to run render\n     */\n    directoryContents = React.createFactory(React.createClass({\n\n        /**\n         * Need to re-render if the sort order or the contents change.\n         */\n        shouldComponentUpdate: function (nextProps, nextState) {\n            return nextProps.forceRender ||\n                this.props.contents !== nextProps.contents ||\n                this.props.sortDirectoriesFirst !== nextProps.sortDirectoriesFirst ||\n                this.props.extensions !== nextProps.extensions;\n        },\n\n        render: function () {\n            var extensions = this.props.extensions,\n                iconClass = extensions && extensions.get("icons") ? "jstree-icons" : "jstree-no-icons",\n                ulProps = this.props.isRoot ? {\n                    className: "jstree-brackets jstree-no-dots " + iconClass\n                } : null;\n\n            var contents = this.props.contents,\n                namesInOrder = _sortDirectoryContents(contents, this.props.sortDirectoriesFirst);\n\n            return DOM.ul(ulProps, namesInOrder.map(function (name) {\n                var entry = contents.get(name);\n\n                if (FileTreeViewModel.isFile(entry)) {\n                    return fileNode({\n                        depth: this.props.depth,\n                        parentPath: this.props.parentPath,\n                        name: name,\n                        entry: entry,\n                        actions: this.props.actions,\n                        extensions: this.props.extensions,\n                        forceRender: this.props.forceRender,\n                        platform: this.props.platform,\n                        key: name\n                    });\n                } else {\n                    return directoryNode({\n                        depth: this.props.depth,\n                        parentPath: this.props.parentPath,\n                        name: name,\n                        entry: entry,\n                        actions: this.props.actions,\n                        extensions: this.props.extensions,\n                        sortDirectoriesFirst: this.props.sortDirectoriesFirst,\n                        forceRender: this.props.forceRender,\n                        platform: this.props.platform,\n                        key: name\n                    });\n                }\n            }.bind(this)).toArray());\n        }\n    }));\n\n    /**\n     * Displays the absolutely positioned box for the selection or context in the\n     * file tree. Its position is determined by passed-in info about the scroller in which\n     * the tree resides and the top of the selected node (as reported by the node itself).\n     *\n     * Props:\n     * * selectionViewInfo: Immutable.Map with width, scrollTop, scrollLeft and offsetTop for the tree container\n     * * visible: should this be visible now\n     * * selectedClassName: class name applied to the element that is selected\n     */\n    var fileSelectionBox = React.createFactory(React.createClass({\n        /**\n         * When the component has updated in the DOM, reposition it to where the currently\n         * selected node is located now.\n         */\n        componentDidUpdate: function () {\n            if (!this.props.visible) {\n                return;\n            }\n\n            var node = ReactDOM.findDOMNode(this),\n                selectedNode = $(node.parentNode).find(this.props.selectedClassName),\n                selectionViewInfo = this.props.selectionViewInfo;\n\n            if (selectedNode.length === 0) {\n                return;\n            }\n\n            node.style.top = selectedNode.offset().top - selectionViewInfo.get("offsetTop") + selectionViewInfo.get("scrollTop") - selectedNode.position().top + "px";\n        },\n\n        render: function () {\n            var selectionViewInfo = this.props.selectionViewInfo,\n                left = selectionViewInfo.get("scrollLeft"),\n                width = selectionViewInfo.get("width"),\n                scrollWidth = selectionViewInfo.get("scrollWidth");\n\n            return DOM.div({\n                style: {\n                    overflow: "auto",\n                    left: left,\n                    display: this.props.visible ? "block" : "none"\n                },\n                className: this.props.className\n            });\n        }\n    }));\n\n    /**\n     * On Windows and Linux, the selection bar in the tree does not extend over the scroll bar.\n     * The selectionExtension sits on top of the scroll bar to make the selection bar appear to span the\n     * whole width of the sidebar.\n     *\n     * Props:\n     * * selectionViewInfo: Immutable.Map with width, scrollTop, scrollLeft and offsetTop for the tree container\n     * * visible: should this be visible now\n     * * selectedClassName: class name applied to the element that is selected\n     * * className: class to be applied to the extension element\n     */\n    var selectionExtension = React.createFactory(React.createClass({\n        /**\n         * When the component has updated in the DOM, reposition it to where the currently\n         * selected node is located now.\n         */\n        componentDidUpdate: function () {\n            if (!this.props.visible) {\n                return;\n            }\n\n            var node = ReactDOM.findDOMNode(this),\n                selectedNode = $(node.parentNode).find(this.props.selectedClassName).closest("li"),\n                selectionViewInfo = this.props.selectionViewInfo;\n\n            if (selectedNode.length === 0) {\n                return;\n            }\n\n            var top = selectedNode.offset().top,\n                baselineHeight = node.dataset.initialHeight,\n                height = baselineHeight,\n                scrollerTop = selectionViewInfo.get("offsetTop");\n\n            if (!baselineHeight) {\n                baselineHeight = $(node).outerHeight();\n                node.dataset.initialHeight = baselineHeight;\n                height = baselineHeight;\n            }\n\n            // Check to see if the selection is completely scrolled out of view\n            // to prevent the extension from appearing in the working set area.\n            if (top < scrollerTop - baselineHeight) {\n                node.style.display = "none";\n                return;\n            }\n\n            node.style.display = "block";\n\n            // The selectionExtension sits on top of the other nodes\n            // so we need to shrink it if only part of the selection node is visible\n            if (top < scrollerTop) {\n                var difference = scrollerTop - top;\n                top += difference;\n                height = parseInt(height, 10);\n                height -= difference;\n            }\n\n            node.style.top = top + "px";\n            node.style.height = height + "px";\n            node.style.left = selectionViewInfo.get("width") - $(node).outerWidth() + "px";\n        },\n\n        render: function () {\n            return DOM.div({\n                style: {\n                    display: this.props.visible ? "block" : "none"\n                },\n                className: this.props.className\n            });\n        }\n    }));\n\n    /**\n     * @private\n     *\n     * This is the root component of the file tree.\n     *\n     * Props:\n     * * treeData: the root of the tree (an Immutable.Map with the contents of the project root)\n     * * sortDirectoriesFirst: whether the directories should be displayed first when listing the contents of a directory\n     * * parentPath: the full path of the directory containing this file\n     * * actions: the action creator responsible for communicating actions the user has taken\n     * * extensions: registered extensions for the file tree\n     * * forceRender: causes the component to run render\n     * * platform: platform that Brackets is running on\n     */\n    var fileTreeView = React.createFactory(React.createClass({\n\n        /**\n         * Update for any change in the tree data or directory sorting preference.\n         */\n        shouldComponentUpdate: function (nextProps, nextState) {\n            return nextProps.forceRender ||\n                this.props.treeData !== nextProps.treeData ||\n                this.props.sortDirectoriesFirst !== nextProps.sortDirectoriesFirst ||\n                this.props.extensions !== nextProps.extensions ||\n                this.props.selectionViewInfo !== nextProps.selectionViewInfo;\n        },\n\n        render: function () {\n            var selectionBackground = fileSelectionBox({\n                ref: "selectionBackground",\n                selectionViewInfo: this.props.selectionViewInfo,\n                className: "filetree-selection",\n                visible: this.props.selectionViewInfo.get("hasSelection"),\n                selectedClassName: ".selected-node",\n                forceUpdate: true\n            }),\n                contextBackground = fileSelectionBox({\n                    ref: "contextBackground",\n                    selectionViewInfo: this.props.selectionViewInfo,\n                    className: "filetree-context",\n                    visible: this.props.selectionViewInfo.get("hasContext"),\n                    selectedClassName: ".context-node",\n                    forceUpdate: true\n                }),\n                extensionForSelection = selectionExtension({\n                    selectionViewInfo: this.props.selectionViewInfo,\n                    selectedClassName: ".selected-node",\n                    visible: this.props.selectionViewInfo.get("hasSelection"),\n                    forceUpdate: true,\n                    className: "filetree-selection-extension"\n                }),\n                extensionForContext = selectionExtension({\n                    selectionViewInfo: this.props.selectionViewInfo,\n                    selectedClassName: ".context-node",\n                    visible: this.props.selectionViewInfo.get("hasContext"),\n                    forceUpdate: true,\n                    className: "filetree-context-extension"\n                }),\n                contents = directoryContents({\n                    isRoot: true,\n                    depth: 1,\n                    parentPath: this.props.parentPath,\n                    sortDirectoriesFirst: this.props.sortDirectoriesFirst,\n                    contents: this.props.treeData,\n                    extensions: this.props.extensions,\n                    actions: this.props.actions,\n                    forceRender: this.props.forceRender,\n                    platform: this.props.platform\n                });\n\n            return DOM.div(\n                null,\n                selectionBackground,\n                contextBackground,\n                extensionForSelection,\n                extensionForContext,\n                contents\n            );\n        }\n    }));\n\n    /**\n     * Renders the file tree to the given element.\n     *\n     * @param {DOMNode|jQuery} element Element in which to render this file tree\n     * @param {FileTreeViewModel} viewModel the data container\n     * @param {Directory} projectRoot Directory object from which the fullPath of the project root is extracted\n     * @param {ActionCreator} actions object with methods used to communicate events that originate from the user\n     * @param {boolean} forceRender Run render on the entire tree (useful if an extension has new data that it needs rendered)\n     * @param {string} platform mac, win, linux\n     */\n    function render(element, viewModel, projectRoot, actions, forceRender, platform) {\n        if (!projectRoot) {\n            return;\n        }\n\n        ReactDOM.render(fileTreeView({\n            treeData: viewModel.treeData,\n            selectionViewInfo: viewModel.selectionViewInfo,\n            sortDirectoriesFirst: viewModel.sortDirectoriesFirst,\n            parentPath: projectRoot.fullPath,\n            actions: actions,\n            extensions: _extensions,\n            platform: platform,\n            forceRender: forceRender\n        }),\n              element);\n    }\n\n    /**\n     * @private\n     *\n     * Add an extension for the given category (icons, addClass).\n     *\n     * @param {string} category Category to which the extension is being added\n     * @param {function} callback The extension function itself\n     */\n    function _addExtension(category, callback) {\n        if (!callback || typeof callback !== "function") {\n            console.error("Attempt to add FileTreeView", category, "extension without a callback function");\n            return;\n        }\n        var callbackList = _extensions.get(category);\n        if (!callbackList) {\n            callbackList = Immutable.List();\n        }\n        callbackList = callbackList.push(callback);\n        _extensions = _extensions.set(category, callbackList);\n    }\n\n    /**\n     * @see {@link ProjectManager::#addIconProvider}\n     */\n    function addIconProvider(callback) {\n        _addExtension("icons", callback);\n    }\n\n    /**\n     * @see {@link ProjectManager::#addClassesProvider}\n     */\n    function addClassesProvider(callback) {\n        _addExtension("addClass", callback);\n    }\n\n    // Private API for testing\n    exports._sortFormattedDirectory = _sortDirectoryContents;\n    exports._fileNode = fileNode;\n    exports._directoryNode = directoryNode;\n    exports._directoryContents = directoryContents;\n    exports._fileTreeView = fileTreeView;\n\n    // Public API\n    exports.addIconProvider = addIconProvider;\n    exports.addClassesProvider = addClassesProvider;\n    exports.render = render;\n});\n\n//# sourceURL=/project/FileTreeView.js'),
eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Initializes the default brackets menu items.\n */\ndefine(\'command/DefaultMenus\',[\'require\',\'exports\',\'module\',\'utils/AppInit\',\'command/Commands\',\'command/Menus\',\'strings\',\'view/MainViewManager\',\'command/CommandManager\'],function (require, exports, module) {\n    "use strict";\n\n    var AppInit         = require("utils/AppInit"),\n        Commands        = require("command/Commands"),\n        Menus           = require("command/Menus"),\n        Strings         = require("strings"),\n        MainViewManager = require("view/MainViewManager"),\n        CommandManager  = require("command/CommandManager");\n\n    /**\n     * Disables menu items present in items if enabled is true.\n     * enabled is true if file is saved and present on user system.\n     * @param {boolean} enabled\n     * @param {array} items\n     */\n    function _setContextMenuItemsVisible(enabled, items) {\n        items.forEach(function (item) {\n            CommandManager.get(item).setEnabled(enabled);\n        });\n    }\n    \n    /**\n     * Checks if file saved and present on system and\n     * disables menu items accordingly\n     */\n    function _setMenuItemsVisible() {\n        var file = MainViewManager.getCurrentlyViewedFile(MainViewManager.ACTIVE_PANE);\n        if (file) {\n            file.exists(function (err, isPresent) {\n                if (err) {\n                    return err;\n                }\n                _setContextMenuItemsVisible(isPresent, [Commands.FILE_RENAME, Commands.NAVIGATE_SHOW_IN_FILE_TREE, Commands.NAVIGATE_SHOW_IN_OS]);   \n            });\n        }\n    }\n\n    AppInit.htmlReady(function () {\n        /*\n         * File menu\n         */\n        var menu;\n        menu = Menus.addMenu(Strings.FILE_MENU, Menus.AppMenuBar.FILE_MENU);\n        menu.addMenuItem(Commands.FILE_NEW_UNTITLED);\n        menu.addMenuItem(Commands.FILE_OPEN);\n        menu.addMenuItem(Commands.FILE_OPEN_FOLDER);\n        menu.addMenuItem(Commands.FILE_CLOSE);\n        menu.addMenuItem(Commands.FILE_CLOSE_ALL);\n        menu.addMenuDivider();\n        menu.addMenuItem(Commands.FILE_SAVE);\n        menu.addMenuItem(Commands.FILE_SAVE_ALL);\n        menu.addMenuItem(Commands.FILE_SAVE_AS);\n        menu.addMenuDivider();\n        menu.addMenuItem(Commands.FILE_LIVE_FILE_PREVIEW);\n        menu.addMenuItem(Commands.TOGGLE_LIVE_PREVIEW_MB_MODE);\n        menu.addMenuItem(Commands.FILE_PROJECT_SETTINGS);\n        menu.addMenuDivider();\n        menu.addMenuItem(Commands.FILE_EXTENSION_MANAGER);\n\n        // suppress redundant quit menu item on mac\n        if (brackets.platform !== "mac" || !brackets.nativeMenus) {\n            menu.addMenuDivider();\n            menu.addMenuItem(Commands.FILE_QUIT);\n        }\n\n        /*\n         * Edit  menu\n         */\n        menu = Menus.addMenu(Strings.EDIT_MENU, Menus.AppMenuBar.EDIT_MENU);\n        menu.addMenuItem(Commands.EDIT_UNDO);\n        menu.addMenuItem(Commands.EDIT_REDO);\n        menu.addMenuDivider();\n        if (brackets.nativeMenus) {\n            // Native-only - can\'t programmatically trigger clipboard actions from JS menus\n            menu.addMenuItem(Commands.EDIT_CUT);\n            menu.addMenuItem(Commands.EDIT_COPY);\n            menu.addMenuItem(Commands.EDIT_PASTE);\n            menu.addMenuDivider();\n        }\n        menu.addMenuItem(Commands.EDIT_SELECT_ALL);\n        menu.addMenuItem(Commands.EDIT_SELECT_LINE);\n        menu.addMenuItem(Commands.EDIT_SPLIT_SEL_INTO_LINES);\n        menu.addMenuItem(Commands.EDIT_ADD_CUR_TO_PREV_LINE);\n        menu.addMenuItem(Commands.EDIT_ADD_CUR_TO_NEXT_LINE);\n        menu.addMenuDivider();\n        menu.addMenuItem(Commands.EDIT_INDENT);\n        menu.addMenuItem(Commands.EDIT_UNINDENT);\n        menu.addMenuItem(Commands.EDIT_DUPLICATE);\n        menu.addMenuItem(Commands.EDIT_DELETE_LINES);\n        menu.addMenuItem(Commands.EDIT_LINE_UP);\n        menu.addMenuItem(Commands.EDIT_LINE_DOWN);\n        menu.addMenuDivider();\n        menu.addMenuItem(Commands.EDIT_LINE_COMMENT);\n        menu.addMenuItem(Commands.EDIT_BLOCK_COMMENT);\n        menu.addMenuDivider();\n        menu.addMenuItem(Commands.SHOW_CODE_HINTS);\n        menu.addMenuDivider();\n        menu.addMenuItem(Commands.TOGGLE_CLOSE_BRACKETS);\n\n        /*\n         * Find menu\n         */\n        menu = Menus.addMenu(Strings.FIND_MENU, Menus.AppMenuBar.FIND_MENU);\n        menu.addMenuItem(Commands.CMD_FIND);\n        menu.addMenuItem(Commands.CMD_FIND_NEXT);\n        menu.addMenuItem(Commands.CMD_FIND_PREVIOUS);\n        menu.addMenuItem(Commands.CMD_FIND_ALL_AND_SELECT);\n        menu.addMenuItem(Commands.CMD_ADD_NEXT_MATCH);\n        menu.addMenuItem(Commands.CMD_SKIP_CURRENT_MATCH);\n        menu.addMenuDivider();\n        menu.addMenuItem(Commands.CMD_FIND_IN_FILES);\n        menu.addMenuDivider();\n        menu.addMenuItem(Commands.CMD_REPLACE);\n        menu.addMenuItem(Commands.CMD_REPLACE_IN_FILES);\n\n        /*\n         * View menu\n         */\n        menu = Menus.addMenu(Strings.VIEW_MENU, Menus.AppMenuBar.VIEW_MENU);\n        menu.addMenuItem(Commands.CMD_THEMES_OPEN_SETTINGS);\n        menu.addMenuDivider();\n        menu.addMenuItem(Commands.CMD_SPLITVIEW_NONE);\n        menu.addMenuItem(Commands.CMD_SPLITVIEW_VERTICAL);\n        menu.addMenuItem(Commands.CMD_SPLITVIEW_HORIZONTAL);\n        menu.addMenuDivider();\n        menu.addMenuItem(Commands.VIEW_HIDE_SIDEBAR);\n        menu.addMenuDivider();\n        menu.addMenuItem(Commands.VIEW_INCREASE_FONT_SIZE);\n        menu.addMenuItem(Commands.VIEW_DECREASE_FONT_SIZE);\n        menu.addMenuItem(Commands.VIEW_RESTORE_FONT_SIZE);\n        menu.addMenuDivider();\n        menu.addMenuItem(Commands.TOGGLE_ACTIVE_LINE);\n        menu.addMenuItem(Commands.TOGGLE_LINE_NUMBERS);\n        menu.addMenuItem(Commands.TOGGLE_WORD_WRAP);\n        menu.addMenuDivider();\n        menu.addMenuItem(Commands.FILE_LIVE_HIGHLIGHT);\n        menu.addMenuDivider();\n        menu.addMenuItem(Commands.VIEW_TOGGLE_INSPECTION);\n\n        /*\n         * Navigate menu\n         */\n        menu = Menus.addMenu(Strings.NAVIGATE_MENU, Menus.AppMenuBar.NAVIGATE_MENU);\n        menu.addMenuItem(Commands.NAVIGATE_QUICK_OPEN);\n        menu.addMenuItem(Commands.NAVIGATE_GOTO_LINE);\n        menu.addMenuItem(Commands.NAVIGATE_GOTO_DEFINITION);\n        menu.addMenuItem(Commands.NAVIGATE_JUMPTO_DEFINITION);\n        menu.addMenuItem(Commands.NAVIGATE_GOTO_FIRST_PROBLEM);\n        menu.addMenuDivider();\n        menu.addMenuItem(Commands.NAVIGATE_NEXT_DOC);\n        menu.addMenuItem(Commands.NAVIGATE_PREV_DOC);\n        menu.addMenuItem(Commands.NAVIGATE_NEXT_DOC_LIST_ORDER);\n        menu.addMenuItem(Commands.NAVIGATE_PREV_DOC_LIST_ORDER);\n        menu.addMenuDivider();\n        menu.addMenuItem(Commands.NAVIGATE_SHOW_IN_FILE_TREE);\n        menu.addMenuDivider();\n        menu.addMenuItem(Commands.TOGGLE_QUICK_EDIT);\n        menu.addMenuItem(Commands.QUICK_EDIT_PREV_MATCH);\n        menu.addMenuItem(Commands.QUICK_EDIT_NEXT_MATCH);\n        menu.addMenuItem(Commands.CSS_QUICK_EDIT_NEW_RULE);\n        menu.addMenuDivider();\n        menu.addMenuItem(Commands.TOGGLE_QUICK_DOCS);\n\n        /*\n         * Help menu\n         */\n        menu = Menus.addMenu(Strings.HELP_MENU, Menus.AppMenuBar.HELP_MENU);\n        menu.addMenuItem(Commands.HELP_CHECK_FOR_UPDATE);\n\n        menu.addMenuDivider();\n        if (brackets.config.how_to_use_url) {\n            menu.addMenuItem(Commands.HELP_HOW_TO_USE_BRACKETS);\n        }\n        if (brackets.config.support_url) {\n            menu.addMenuItem(Commands.HELP_SUPPORT);\n        }\n        if (brackets.config.suggest_feature_url) {\n            menu.addMenuItem(Commands.HELP_SUGGEST);\n        }\n        if (brackets.config.release_notes_url) {\n            menu.addMenuItem(Commands.HELP_RELEASE_NOTES);\n        }\n        if (brackets.config.get_involved_url) {\n            menu.addMenuItem(Commands.HELP_GET_INVOLVED);\n        }\n\n        menu.addMenuDivider();\n        menu.addMenuItem(Commands.HELP_SHOW_EXT_FOLDER);\n\n        var hasAboutItem = (brackets.platform !== "mac" || !brackets.nativeMenus);\n\n        // Add final divider only if we have a homepage URL or twitter URL or about item\n        if (hasAboutItem || brackets.config.homepage_url || brackets.config.twitter_url) {\n            menu.addMenuDivider();\n        }\n\n        if (brackets.config.homepage_url) {\n            menu.addMenuItem(Commands.HELP_HOMEPAGE);\n        }\n\n        if (brackets.config.twitter_url) {\n            menu.addMenuItem(Commands.HELP_TWITTER);\n        }\n        // supress redundant about menu item in mac shell\n        if (hasAboutItem) {\n            menu.addMenuItem(Commands.HELP_ABOUT);\n        }\n\n\n        /*\n         * Context Menus\n         */\n\n        // WorkingSet context menu - Unlike most context menus, we can\'t attach\n        // listeners here because the DOM nodes for each pane\'s working set are\n        // created dynamically. Each WorkingSetView attaches its own listeners.\n        var workingset_cmenu = Menus.registerContextMenu(Menus.ContextMenuIds.WORKING_SET_CONTEXT_MENU);\n        workingset_cmenu.addMenuItem(Commands.FILE_SAVE);\n        workingset_cmenu.addMenuItem(Commands.FILE_SAVE_AS);\n        workingset_cmenu.addMenuItem(Commands.FILE_RENAME);\n        workingset_cmenu.addMenuItem(Commands.NAVIGATE_SHOW_IN_FILE_TREE);\n        workingset_cmenu.addMenuItem(Commands.NAVIGATE_SHOW_IN_OS);\n        workingset_cmenu.addMenuDivider();\n        workingset_cmenu.addMenuItem(Commands.CMD_FIND_IN_SUBTREE);\n        workingset_cmenu.addMenuItem(Commands.CMD_REPLACE_IN_SUBTREE);\n        workingset_cmenu.addMenuDivider();\n        workingset_cmenu.addMenuItem(Commands.FILE_CLOSE);\n\n        var workingset_configuration_menu = Menus.registerContextMenu(Menus.ContextMenuIds.WORKING_SET_CONFIG_MENU);\n        workingset_configuration_menu.addMenuItem(Commands.CMD_WORKINGSET_SORT_BY_ADDED);\n        workingset_configuration_menu.addMenuItem(Commands.CMD_WORKINGSET_SORT_BY_NAME);\n        workingset_configuration_menu.addMenuItem(Commands.CMD_WORKINGSET_SORT_BY_TYPE);\n        workingset_configuration_menu.addMenuDivider();\n        workingset_configuration_menu.addMenuItem(Commands.CMD_WORKING_SORT_TOGGLE_AUTO);\n\n        var splitview_menu = Menus.registerContextMenu(Menus.ContextMenuIds.SPLITVIEW_MENU);\n        splitview_menu.addMenuItem(Commands.CMD_SPLITVIEW_NONE);\n        splitview_menu.addMenuItem(Commands.CMD_SPLITVIEW_VERTICAL);\n        splitview_menu.addMenuItem(Commands.CMD_SPLITVIEW_HORIZONTAL);\n\n        var project_cmenu = Menus.registerContextMenu(Menus.ContextMenuIds.PROJECT_MENU);\n        project_cmenu.addMenuItem(Commands.FILE_NEW);\n        project_cmenu.addMenuItem(Commands.FILE_NEW_FOLDER);\n        project_cmenu.addMenuItem(Commands.FILE_RENAME);\n        project_cmenu.addMenuItem(Commands.FILE_DELETE);\n        project_cmenu.addMenuItem(Commands.NAVIGATE_SHOW_IN_OS);\n        project_cmenu.addMenuDivider();\n        project_cmenu.addMenuItem(Commands.CMD_FIND_IN_SUBTREE);\n        project_cmenu.addMenuItem(Commands.CMD_REPLACE_IN_SUBTREE);\n        project_cmenu.addMenuDivider();\n        project_cmenu.addMenuItem(Commands.FILE_REFRESH);\n\n        var editor_cmenu = Menus.registerContextMenu(Menus.ContextMenuIds.EDITOR_MENU);\n        // editor_cmenu.addMenuItem(Commands.NAVIGATE_JUMPTO_DEFINITION);\n        editor_cmenu.addMenuItem(Commands.TOGGLE_QUICK_EDIT);\n        editor_cmenu.addMenuItem(Commands.TOGGLE_QUICK_DOCS);\n        editor_cmenu.addMenuDivider();\n        editor_cmenu.addMenuItem(Commands.EDIT_CUT);\n        editor_cmenu.addMenuItem(Commands.EDIT_COPY);\n        editor_cmenu.addMenuItem(Commands.EDIT_PASTE);\n\n        editor_cmenu.addMenuDivider();\n        editor_cmenu.addMenuItem(Commands.EDIT_SELECT_ALL);\n\n        var inline_editor_cmenu = Menus.registerContextMenu(Menus.ContextMenuIds.INLINE_EDITOR_MENU);\n        inline_editor_cmenu.addMenuItem(Commands.TOGGLE_QUICK_EDIT);\n        inline_editor_cmenu.addMenuItem(Commands.EDIT_SELECT_ALL);\n        inline_editor_cmenu.addMenuDivider();\n        inline_editor_cmenu.addMenuItem(Commands.QUICK_EDIT_PREV_MATCH);\n        inline_editor_cmenu.addMenuItem(Commands.QUICK_EDIT_NEXT_MATCH);\n\n        /**\n         * Context menu for code editors (both full-size and inline)\n         * Auto selects the word the user clicks if the click does not occur over\n         * an existing selection\n         */\n        $("#editor-holder").on("contextmenu", function (e) {\n            require(["editor/EditorManager"], function (EditorManager) {\n                if ($(e.target).parents(".CodeMirror-gutter").length !== 0) {\n                    return;\n                }\n\n                // Note: on mousedown before this event, CodeMirror automatically checks mouse pos, and\n                // if not clicking on a selection moves the cursor to click location. When triggered\n                // from keyboard, no pre-processing occurs and the cursor/selection is left as is.\n\n                var editor = EditorManager.getFocusedEditor(),\n                    inlineWidget = EditorManager.getFocusedInlineWidget();\n\n                if (editor) {\n                    //if (!editor.hasSelection()) {\n                        // Prevent menu from overlapping text by moving it down a little\n                        // Temporarily backout this change for now to help mitigate issue #1111,\n                        // which only happens if mouse is not over context menu. Better fix\n                        // requires change to bootstrap, which is too risky for now.\n                        //e.pageY += 6;\n                    //}\n\n                    // Inline text editors have a different context menu (safe to assume it\'s not some other\n                    // type of inline widget since we already know an Editor has focus)\n                    if (inlineWidget) {\n                        inline_editor_cmenu.open(e);\n                    } else {\n                        editor_cmenu.open(e);\n                    }\n                }\n            });\n        });\n\n        /**\n         * Context menu for folder tree\n         */\n        $("#project-files-container").on("contextmenu", function (e) {\n            project_cmenu.open(e);\n        });\n\n        // Dropdown menu for workspace sorting\n        Menus.ContextMenu.assignContextMenuToSelector(".working-set-option-btn", workingset_configuration_menu);\n\n        // Dropdown menu for view splitting\n        Menus.ContextMenu.assignContextMenuToSelector(".working-set-splitview-btn", splitview_menu);\n\n        // Prevent the browser context menu since Brackets creates a custom context menu\n        $(window).contextmenu(function (e) {\n            e.preventDefault();\n        });\n\n        /*\n         * General menu event processing\n         */\n        // Prevent clicks on top level menus and menu items from taking focus\n        $(window.document).on("mousedown", ".dropdown", function (e) {\n            e.preventDefault();\n        });\n\n        // Switch menus when the mouse enters an adjacent menu\n        // Only open the menu if another one has already been opened\n        // by clicking\n        $(window.document).on("mouseenter", "#titlebar .dropdown", function (e) {\n            var open = $(this).siblings(".open");\n            if (open.length > 0) {\n                open.removeClass("open");\n                $(this).addClass("open");\n            }\n        });\n        // Check the visibility of context menu items before opening the context menu.\n        // \'Rename\', \'Show in file tree\' and \'Show in explorer\' items will be disabled for files that have not yet been saved to disk.\n        Menus.getContextMenu(Menus.ContextMenuIds.WORKING_SET_CONTEXT_MENU).on("beforeContextMenuOpen", _setMenuItemsVisible);        \n        Menus.getContextMenu(Menus.ContextMenuIds.PROJECT_MENU).on("beforeContextMenuOpen", _setMenuItemsVisible);\n    });\n});\n\n//# sourceURL=/command/DefaultMenus.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * ProjectManager glues together the project model and file tree view and integrates as needed with other parts\n * of Brackets. It is responsible for creating and updating the project tree when projects are opened\n * and when changes occur to the file tree.\n *\n * This module dispatches these events:\n *    - beforeProjectClose -- before `_projectRoot` changes, but working set files still open\n *    - projectClose       -- *just* before `_projectRoot` changes; working set already cleared\n *      & project root unwatched\n *    - beforeAppClose     -- before Brackets quits entirely\n *    - projectOpen        -- after `_projectRoot` changes and the tree is re-rendered\n *    - projectRefresh     -- when project tree is re-rendered for a reason other than\n *      a project being opened (e.g. from the Refresh command)\n *\n * To listen for events, do something like this: (see EventDispatcher for details on this pattern)\n *    ProjectManager.on("eventname", handler);\n */\ndefine(\'project/ProjectManager\',[\'require\',\'exports\',\'module\',\'utils/Global\',\'thirdparty/lodash\',\'utils/AppInit\',\'utils/Async\',\'preferences/PreferencesDialogs\',\'preferences/PreferencesManager\',\'document/DocumentManager\',\'view/MainViewManager\',\'command/CommandManager\',\'command/Commands\',\'widgets/Dialogs\',\'widgets/DefaultDialogs\',\'utils/EventDispatcher\',\'language/LanguageManager\',\'command/Menus\',\'utils/StringUtils\',\'strings\',\'filesystem/FileSystem\',\'project/FileViewController\',\'utils/PerfUtils\',\'file/FileUtils\',\'filesystem/FileSystemError\',\'i18n!nls/urls\',\'project/FileSyncManager\',\'project/ProjectModel\',\'project/FileTreeView\',\'utils/ViewUtils\',\'command/DefaultMenus\'],function (require, exports, module) {\n    "use strict";\n\n    require("utils/Global");\n\n    var _ = require("thirdparty/lodash");\n\n    // Load dependent modules\n    var AppInit             = require("utils/AppInit"),\n        Async               = require("utils/Async"),\n        PreferencesDialogs  = require("preferences/PreferencesDialogs"),\n        PreferencesManager  = require("preferences/PreferencesManager"),\n        DocumentManager     = require("document/DocumentManager"),\n        MainViewManager     = require("view/MainViewManager"),\n        CommandManager      = require("command/CommandManager"),\n        Commands            = require("command/Commands"),\n        Dialogs             = require("widgets/Dialogs"),\n        DefaultDialogs      = require("widgets/DefaultDialogs"),\n        EventDispatcher     = require("utils/EventDispatcher"),\n        LanguageManager     = require("language/LanguageManager"),\n        Menus               = require("command/Menus"),\n        StringUtils         = require("utils/StringUtils"),\n        Strings             = require("strings"),\n        FileSystem          = require("filesystem/FileSystem"),\n        FileViewController  = require("project/FileViewController"),\n        PerfUtils           = require("utils/PerfUtils"),\n        FileUtils           = require("file/FileUtils"),\n        FileSystemError     = require("filesystem/FileSystemError"),\n        Urls                = require("i18n!nls/urls"),\n        FileSyncManager     = require("project/FileSyncManager"),\n        ProjectModel        = require("project/ProjectModel"),\n        FileTreeView        = require("project/FileTreeView"),\n        ViewUtils           = require("utils/ViewUtils");\n\n    // Needed to ensure that menus are set up when we need them.\n    // See #10115\n    require("command/DefaultMenus");\n\n    /**\n     * @private\n     * Filename to use for project settings files.\n     * @type {string}\n     */\n    var SETTINGS_FILENAME = "." + PreferencesManager.SETTINGS_FILENAME;\n\n    /**\n     * Name of the preferences for sorting directories first\n     *\n     * @type {string}\n     */\n    var SORT_DIRECTORIES_FIRST = "sortDirectoriesFirst";\n\n    /**\n     * @private\n     * Forward declarations to make JSLint happy.\n     */\n    var _fileSystemChange,\n        _fileSystemRename,\n        _showErrorDialog,\n        _saveTreeState,\n        renameItemInline,\n        _renderTreeSync,\n        _renderTree;\n\n    /**\n     * @const\n     * @private\n     * Error context to show the correct error message\n     * @type {int}\n     */\n    var ERR_TYPE_CREATE                 = 1,\n        ERR_TYPE_CREATE_EXISTS          = 2,\n        ERR_TYPE_RENAME                 = 3,\n        ERR_TYPE_DELETE                 = 4,\n        ERR_TYPE_LOADING_PROJECT        = 5,\n        ERR_TYPE_LOADING_PROJECT_NATIVE = 6,\n        ERR_TYPE_MAX_FILES              = 7,\n        ERR_TYPE_OPEN_DIALOG            = 8,\n        ERR_TYPE_INVALID_FILENAME       = 9;\n\n    /**\n     * @private\n     * Reference to the tree control container div. Initialized by\n     * htmlReady handler\n     * @type {jQueryObject}\n     */\n    var $projectTreeContainer;\n\n    /**\n     * @private\n     *\n     * Reference to the container of the React component. Everything in this\n     * node is managed by React.\n     * @type {Element}\n     */\n    var fileTreeViewContainer;\n\n    /**\n     * @private\n     *\n     * Does the file tree currently have the focus?\n     *\n     * @return {boolean} `true` if the file tree has the focus\n     */\n    function _hasFileSelectionFocus() {\n        return FileViewController.getFileSelectionFocus() === FileViewController.PROJECT_MANAGER;\n    }\n\n    /**\n     * @private\n     * Singleton ProjectModel object.\n     * @type {ProjectModel.ProjectModel}\n     */\n    var model = new ProjectModel.ProjectModel({\n        focused: _hasFileSelectionFocus()\n    });\n\n    /**\n     * @private\n     * @type {boolean}\n     * A flag to remember when user has been warned about too many files, so they\n     * are only warned once per project/session.\n     */\n    var _projectWarnedForTooManyFiles = false;\n\n    /**\n     * @private\n     *\n     * Event handler which displays an error based on a problem creating a file.\n     *\n     * @param {$.Event} e jQuery event object\n     * @param {{type:any,isFolder:boolean}} errorInfo Information passed in the error events\n     */\n    function _displayCreationError(e, errorInfo) {\n        window.setTimeout(function () {\n            var error = errorInfo.type,\n                isFolder = errorInfo.isFolder,\n                name = errorInfo.name;\n\n            if (error === FileSystemError.ALREADY_EXISTS) {\n                _showErrorDialog(ERR_TYPE_CREATE_EXISTS, isFolder, null, name);\n            } else if (error === ProjectModel.ERROR_INVALID_FILENAME) {\n                _showErrorDialog(ERR_TYPE_INVALID_FILENAME, isFolder, ProjectModel._invalidChars);\n            } else {\n                var errString = error === FileSystemError.NOT_WRITABLE ?\n                        Strings.NO_MODIFICATION_ALLOWED_ERR :\n                        StringUtils.format(Strings.GENERIC_ERROR, error);\n\n                _showErrorDialog(ERR_TYPE_CREATE, isFolder, errString, name).getPromise();\n            }\n        }, 10);\n    }\n\n    /**\n     * @private\n     *\n     * Reverts to the previous selection (useful if there\'s an error).\n     *\n     * @param {string|File} previousPath The previously selected path.\n     * @param {boolean} switchToWorkingSet True if we need to switch focus to the Working Set\n     */\n    function _revertSelection(previousPath, switchToWorkingSet) {\n        model.setSelected(previousPath);\n        if (switchToWorkingSet) {\n            FileViewController.setFileViewFocus(FileViewController.WORKING_SET_VIEW);\n        }\n    }\n\n    /**\n     * @constructor\n     * @private\n     *\n     * Manages the interaction between the view and the model. This is loosely structured in\n     * the style of [Flux](https://github.com/facebook/flux), but the initial implementation did\n     * not need all of the parts of Flux yet. This ActionCreator could be replaced later with\n     * a real ActionCreator that talks to a Dispatcher.\n     *\n     * Most of the methods just delegate to the ProjectModel. Some are responsible for integration\n     * with other parts of Brackets.\n     *\n     * @param {ProjectModel} model store (in Flux terminology) with the project data\n     */\n    function ActionCreator(model) {\n        this.model = model;\n        this._bindEvents();\n    }\n\n    /**\n     * @private\n     *\n     * Listen to events on the ProjectModel and cause the appropriate behavior within the rest of the system.\n     */\n    ActionCreator.prototype._bindEvents = function () {\n\n        // Change events are the standard Flux signal to rerender the view. Note that\n        // current Flux style is to have the view itself listen to the Store for change events\n        // and re-render itself.\n        this.model.on(ProjectModel.EVENT_CHANGE, function () {\n            _renderTree();\n        });\n\n        // The "should select" event signals that we need to open the document based on file tree\n        // activity.\n        this.model.on(ProjectModel.EVENT_SHOULD_SELECT, function (e, data) {\n            if (data.add) {\n                FileViewController.openFileAndAddToWorkingSet(data.path).fail(_.partial(_revertSelection, data.previousPath, !data.hadFocus));\n            } else {\n                FileViewController.openAndSelectDocument(data.path, FileViewController.PROJECT_MANAGER).fail(_.partial(_revertSelection, data.previousPath, !data.hadFocus));\n            }\n        });\n\n        this.model.on(ProjectModel.EVENT_SHOULD_FOCUS, function () {\n            FileViewController.setFileViewFocus(FileViewController.PROJECT_MANAGER);\n        });\n\n        this.model.on(ProjectModel.ERROR_CREATION, _displayCreationError);\n    };\n\n    /**\n     * Sets the directory at the given path to open in the tree and saves the open nodes to view state.\n     *\n     * See `ProjectModel.setDirectoryOpen`\n     */\n    ActionCreator.prototype.setDirectoryOpen = function (path, open) {\n        this.model.setDirectoryOpen(path, open).then(_saveTreeState);\n    };\n\n    /**\n     * See `ProjectModel.setSelected`\n     */\n    ActionCreator.prototype.setSelected = function (path, doNotOpen) {\n        this.model.setSelected(path, doNotOpen);\n    };\n\n    /**\n     * See `ProjectModel.selectInWorkingSet`\n     */\n    ActionCreator.prototype.selectInWorkingSet = function (path) {\n        this.model.selectInWorkingSet(path);\n    };\n\n    /**\n     * See `ProjectModel.setContext`\n     */\n    ActionCreator.prototype.setContext = function (path) {\n        this.model.setContext(path);\n    };\n\n    /**\n     * See `ProjectModel.restoreContext`\n     */\n    ActionCreator.prototype.restoreContext = function () {\n        this.model.restoreContext();\n    };\n\n    /**\n     * See `ProjectModel.startRename`\n     */\n    ActionCreator.prototype.startRename = function (path) {\n        // This is very not Flux-like, which is a sign that Flux may not be the\n        // right choice here *or* that this architecture needs to evolve subtly\n        // in how errors are reported (more like the create case).\n        // See #9284.\n        renameItemInline(path);\n    };\n\n    /**\n     * See `ProjectModel.setRenameValue`\n     */\n    ActionCreator.prototype.setRenameValue = function (path) {\n        this.model.setRenameValue(path);\n    };\n\n    /**\n     * See `ProjectModel.cancelRename`\n     */\n    ActionCreator.prototype.cancelRename = function () {\n        this.model.cancelRename();\n    };\n\n    /**\n     * See `ProjectModel.performRename`\n     */\n    ActionCreator.prototype.performRename = function () {\n        return this.model.performRename();\n    };\n\n    /**\n     * See `ProjectModel.startCreating`\n     */\n    ActionCreator.prototype.startCreating = function (basedir, newName, isFolder) {\n        return this.model.startCreating(basedir, newName, isFolder);\n    };\n\n    /**\n     * See `ProjectModel.setSortDirectoriesFirst`\n     */\n    ActionCreator.prototype.setSortDirectoriesFirst = function (sortDirectoriesFirst) {\n        this.model.setSortDirectoriesFirst(sortDirectoriesFirst);\n    };\n\n    /**\n     * See `ProjectModel.setFocused`\n     */\n    ActionCreator.prototype.setFocused = function (focused) {\n        this.model.setFocused(focused);\n    };\n\n    /**\n     * See `ProjectModel.setCurrentFile`\n     */\n    ActionCreator.prototype.setCurrentFile = function (curFile) {\n        this.model.setCurrentFile(curFile);\n    };\n\n    /**\n     * See `ProjectModel.toggleSubdirectories`\n     */\n    ActionCreator.prototype.toggleSubdirectories = function (path, openOrClose) {\n        this.model.toggleSubdirectories(path, openOrClose).then(_saveTreeState);\n    };\n\n    /**\n     * See `ProjectModel.closeSubtree`\n     */\n    ActionCreator.prototype.closeSubtree = function (path) {\n        this.model.closeSubtree(path);\n        _saveTreeState();\n    };\n\n    /**\n     * See `ProjectModel.refresh`\n     */\n    ActionCreator.prototype.refresh = function () {\n        this.model.refresh();\n    };\n\n    /**\n     * @private\n     * @type {ActionCreator}\n     *\n     * Singleton actionCreator that is used for dispatching changes to the ProjectModel.\n     */\n    var actionCreator = new ActionCreator(model);\n\n    /**\n     * Returns the File or Directory corresponding to the item selected in the sidebar panel, whether in\n     * the file tree OR in the working set; or null if no item is selected anywhere in the sidebar.\n     * May NOT be identical to the current Document - a folder may be selected in the sidebar, or the sidebar may not\n     * have the current document visible in the tree & working set.\n     * @return {?(File|Directory)}\n     */\n    function getSelectedItem() {\n        // Prefer file tree context, then selection, else use working set\n        var selectedEntry = model.getContext();\n        if (!selectedEntry) {\n            selectedEntry = model.getSelected();\n        }\n        if (!selectedEntry) {\n            selectedEntry = MainViewManager.getCurrentlyViewedFile();\n        }\n        return selectedEntry;\n    }\n\n    /**\n     * @private\n     *\n     * Handler for changes in the focus between working set and file tree view.\n     */\n    function _fileViewControllerChange() {\n        actionCreator.setFocused(_hasFileSelectionFocus());\n        _renderTree();\n    }\n\n    /**\n     * @private\n     *\n     * Handler for changes in document selection.\n     */\n    function _documentSelectionFocusChange() {\n        var curFullPath = MainViewManager.getCurrentlyViewedPath(MainViewManager.ACTIVE_PANE);\n        if (curFullPath && _hasFileSelectionFocus()) {\n            actionCreator.setSelected(curFullPath, true);\n        } else {\n            actionCreator.setSelected(null);\n        }\n        _fileViewControllerChange();\n    }\n\n    /**\n     * @private\n     *\n     * Handler for changes to which file is currently viewed.\n     *\n     * @param {Object} e jQuery event object\n     * @param {File} curFile Currently viewed file.\n     */\n    function _currentFileChange(e, curFile) {\n        actionCreator.setCurrentFile(curFile);\n    }\n\n    /**\n     * @private\n     *\n     * Creates a context object for doing project view state lookups.\n     */\n    function _getProjectViewStateContext() {\n        return { location : { scope: "user",\n                             layer: "project",\n                             layerID: model.projectRoot.fullPath } };\n    }\n\n    /**\n     * Returns the encoded Base URL of the currently loaded project, or empty string if no project\n     * is open (during startup, or running outside of app shell).\n     * @return {String}\n     */\n    function getBaseUrl() {\n        return model.getBaseUrl();\n    }\n\n    /**\n     * Sets the encoded Base URL of the currently loaded project.\n     * @param {String}\n     */\n    function setBaseUrl(projectBaseUrl) {\n        var context = _getProjectViewStateContext();\n\n        projectBaseUrl = model.setBaseUrl(projectBaseUrl);\n\n        PreferencesManager.setViewState("project.baseUrl", projectBaseUrl, context);\n    }\n\n    /**\n     * Returns true if absPath lies within the project, false otherwise.\n     * Does not support paths containing ".."\n     * @param {string|FileSystemEntry} absPathOrEntry\n     * @return {boolean}\n     */\n    function isWithinProject(absPathOrEntry) {\n        return model.isWithinProject(absPathOrEntry);\n    }\n\n    /**\n     * If absPath lies within the project, returns a project-relative path. Else returns absPath\n     * unmodified.\n     * Does not support paths containing ".."\n     * @param {!string} absPath\n     * @return {!string}\n     */\n    function makeProjectRelativeIfPossible(absPath) {\n        return model.makeProjectRelativeIfPossible(absPath);\n    }\n\n    /**\n     * Returns the root folder of the currently loaded project, or null if no project is open (during\n     * startup, or running outside of app shell).\n     * @return {Directory}\n     */\n    function getProjectRoot() {\n        return model.projectRoot;\n    }\n\n    /**\n     * @private\n     *\n     * Sets the project root to the given directory, resetting the ProjectModel and file tree in the process.\n     *\n     * @param {Directory} rootEntry directory object for the project root\n     * @return {$.Promise} resolved when the project is done setting up\n     */\n    function _setProjectRoot(rootEntry) {\n        var d = new $.Deferred();\n        model.setProjectRoot(rootEntry).then(function () {\n            d.resolve();\n            model.reopenNodes(PreferencesManager.getViewState("project.treeState", _getProjectViewStateContext()));\n        });\n        return d.promise();\n    }\n\n    /**\n     * @private\n     *\n     * Saves the project path.\n     */\n    var _saveProjectPath = function () {\n        // save the current project\n        PreferencesManager.setViewState("projectPath", model.projectRoot.fullPath);\n    };\n\n    /**\n     * @private\n     * Save tree state.\n     */\n    _saveTreeState = function () {\n        var context = _getProjectViewStateContext(),\n            openNodes = model.getOpenNodes();\n\n        // Store the open nodes by their full path and persist to storage\n        PreferencesManager.setViewState("project.treeState", openNodes, context);\n    };\n\n    /**\n     * @private\n     *\n     * Displays an error dialog for problems when working with files in the file tree.\n     *\n     * @param {number} errType type of error that occurred\n     * @param {boolean} isFolder did the error occur because of a folder operation?\n     * @param {string} error message with detail about the error\n     * @param {string} path path to file or folder that had the error\n     * @return {Dialog|null} Dialog if the error message was created\n     */\n    _showErrorDialog = function (errType, isFolder, error, path) {\n        var titleType = isFolder ? Strings.DIRECTORY_TITLE : Strings.FILE_TITLE,\n            entryType = isFolder ? Strings.DIRECTORY : Strings.FILE,\n            title,\n            message;\n        path = StringUtils.breakableUrl(path);\n\n        switch (errType) {\n        case ERR_TYPE_CREATE:\n            title = StringUtils.format(Strings.ERROR_CREATING_FILE_TITLE, titleType);\n            message = StringUtils.format(Strings.ERROR_CREATING_FILE, entryType, path, error);\n            break;\n        case ERR_TYPE_CREATE_EXISTS:\n            title = StringUtils.format(Strings.INVALID_FILENAME_TITLE, titleType);\n            message = StringUtils.format(Strings.ENTRY_WITH_SAME_NAME_EXISTS, path);\n            break;\n        case ERR_TYPE_RENAME:\n            title = StringUtils.format(Strings.ERROR_RENAMING_FILE_TITLE, titleType);\n            message = StringUtils.format(Strings.ERROR_RENAMING_FILE, path, error, entryType);\n            break;\n        case ERR_TYPE_DELETE:\n            title = StringUtils.format(Strings.ERROR_DELETING_FILE_TITLE, titleType);\n            message = StringUtils.format(Strings.ERROR_DELETING_FILE, path, error, entryType);\n            break;\n        case ERR_TYPE_LOADING_PROJECT:\n            title = Strings.ERROR_LOADING_PROJECT;\n            message = StringUtils.format(Strings.READ_DIRECTORY_ENTRIES_ERROR, path, error);\n            break;\n        case ERR_TYPE_LOADING_PROJECT_NATIVE:\n            title = Strings.ERROR_LOADING_PROJECT;\n            message = StringUtils.format(Strings.REQUEST_NATIVE_FILE_SYSTEM_ERROR, path, error);\n            break;\n        case ERR_TYPE_MAX_FILES:\n            title = Strings.ERROR_MAX_FILES_TITLE;\n            message = Strings.ERROR_MAX_FILES;\n            break;\n        case ERR_TYPE_OPEN_DIALOG:\n            title = Strings.ERROR_LOADING_PROJECT;\n            message = StringUtils.format(Strings.OPEN_DIALOG_ERROR, error);\n            break;\n        case ERR_TYPE_INVALID_FILENAME:\n            title = StringUtils.format(Strings.INVALID_FILENAME_TITLE, isFolder ? Strings.DIRECTORY_NAME : Strings.FILENAME);\n            message = StringUtils.format(Strings.INVALID_FILENAME_MESSAGE, isFolder ? Strings.DIRECTORY_NAMES_LEDE : Strings.FILENAMES_LEDE, error);\n            break;\n        }\n\n        if (title && message) {\n            return Dialogs.showModalDialog(\n                DefaultDialogs.DIALOG_ID_ERROR,\n                title,\n                message\n            );\n        }\n        return null;\n    };\n\n    var _RENDER_DEBOUNCE_TIME = 100;\n\n    /**\n     * @private\n     *\n     * Rerender the file tree view.\n     *\n     * @param {boolean} forceRender Force the tree to rerender. Should only be needed by extensions that call rerenderTree.\n     */\n    _renderTreeSync = function (forceRender) {\n        var projectRoot = getProjectRoot();\n        if (!projectRoot) {\n            return;\n        }\n        model.setScrollerInfo($projectTreeContainer[0].scrollWidth, $projectTreeContainer.scrollTop(), $projectTreeContainer.scrollLeft(), $projectTreeContainer.offset().top);\n        FileTreeView.render(fileTreeViewContainer, model._viewModel, projectRoot, actionCreator, forceRender, brackets.platform);\n    };\n\n    _renderTree = _.debounce(_renderTreeSync, _RENDER_DEBOUNCE_TIME);\n\n    /**\n     * @private\n     *\n     * Returns the full path to the welcome project, which we open on first launch.\n     *\n     * @param {string} sampleUrl URL for getting started project\n     * @param {string} initialPath Path to Brackets directory (see FileUtils.getNativeBracketsDirectoryPath())\n     * @return {!string} fullPath reference\n     */\n    function _getWelcomeProjectPath() {\n        return ProjectModel._getWelcomeProjectPath(Urls.GETTING_STARTED, FileUtils.getNativeBracketsDirectoryPath());\n    }\n\n    /**\n     * Adds the path to the list of welcome projects we\'ve ever seen, if not on the list already.\n     *\n     * @param {string} path Path to possibly add\n     */\n    function addWelcomeProjectPath(path) {\n        var welcomeProjects = ProjectModel._addWelcomeProjectPath(path,\n                                                                 PreferencesManager.getViewState("welcomeProjects"));\n        PreferencesManager.setViewState("welcomeProjects", welcomeProjects);\n    }\n\n\n    /**\n     * Returns true if the given path is the same as one of the welcome projects we\'ve previously opened,\n     * or the one for the current build.\n     *\n     * @param {string} path Path to check to see if it\'s a welcome project path\n     * @return {boolean} true if this is a welcome project path\n     */\n    function isWelcomeProjectPath(path) {\n        return ProjectModel._isWelcomeProjectPath(path, _getWelcomeProjectPath(), PreferencesManager.getViewState("welcomeProjects"));\n    }\n\n    /**\n     * If the provided path is to an old welcome project, returns the current one instead.\n     */\n    function updateWelcomeProjectPath(path) {\n        if (isWelcomeProjectPath(path)) {\n            return _getWelcomeProjectPath();\n        } else {\n            return path;\n        }\n    }\n\n    /**\n     * After failing to load a project, this function determines which project path to fallback to.\n     * @return {$.Promise} Promise that resolves to a project path {string}\n     */\n    function _getFallbackProjectPath() {\n        var fallbackPaths = [],\n            recentProjects = PreferencesManager.getViewState("recentProjects") || [],\n            deferred = new $.Deferred();\n\n        // Build ordered fallback path array\n        if (recentProjects.length > 1) {\n            // *Most* recent project is the one that just failed to load, so use second most recent\n            fallbackPaths.push(recentProjects[1]);\n        }\n\n        // Next is Getting Started project\n        fallbackPaths.push(_getWelcomeProjectPath());\n\n        // Helper func for Async.firstSequentially()\n        function processItem(path) {\n            var deferred = new $.Deferred(),\n                fileEntry = FileSystem.getDirectoryForPath(path);\n\n            fileEntry.exists(function (err, exists) {\n                if (!err && exists) {\n                    deferred.resolve();\n                } else {\n                    deferred.reject();\n                }\n            });\n\n            return deferred.promise();\n        }\n\n        // Find first path that exists\n        Async.firstSequentially(fallbackPaths, processItem)\n            .done(function (fallbackPath) {\n                deferred.resolve(fallbackPath);\n            })\n            .fail(function () {\n                // Last resort is Brackets source folder which is guaranteed to exist\n                deferred.resolve(FileUtils.getNativeBracketsDirectoryPath());\n            });\n\n        return deferred.promise();\n    }\n\n    /**\n     * Initial project path is stored in prefs, which defaults to the welcome project on\n     * first launch.\n     */\n    function getInitialProjectPath() {\n        return updateWelcomeProjectPath(PreferencesManager.getViewState("projectPath"));\n    }\n\n    /**\n     * @private\n     *\n     * Watches the project for filesystem changes so that the tree can be updated.\n     */\n    function _watchProjectRoot(rootPath) {\n        FileSystem.on("change", _fileSystemChange);\n        FileSystem.on("rename", _fileSystemRename);\n\n        FileSystem.watch(FileSystem.getDirectoryForPath(rootPath), ProjectModel._shouldShowName, ProjectModel.defaultIgnoreGlobs, function (err) {\n            if (err === FileSystemError.TOO_MANY_ENTRIES) {\n                if (!_projectWarnedForTooManyFiles) {\n                    _showErrorDialog(ERR_TYPE_MAX_FILES);\n                    _projectWarnedForTooManyFiles = true;\n                }\n            } else if (err) {\n                console.error("Error watching project root: ", rootPath, err);\n            }\n        });\n\n        // Reset allFiles cache\n        model._resetCache();\n    }\n\n\n    /**\n     * @private\n     * Close the file system and remove listeners.\n     * @return {$.Promise} A promise that\'s resolved when the root is unwatched. Rejected if\n     *     there is no project root or if the unwatch fails.\n     */\n    function _unwatchProjectRoot() {\n        var result = new $.Deferred();\n        if (!model.projectRoot) {\n            result.reject();\n        } else {\n            FileSystem.off("change", _fileSystemChange);\n            FileSystem.off("rename", _fileSystemRename);\n\n            FileSystem.unwatch(model.projectRoot, function (err) {\n                if (err) {\n                    console.error("Error unwatching project root: ", model.projectRoot.fullPath, err);\n                    result.reject(err);\n                } else {\n                    result.resolve();\n                }\n            });\n\n            // Reset allFiles cache\n            model._resetCache();\n        }\n\n        return result.promise();\n    }\n\n    /**\n     * @private\n     * Reloads the project preferences.\n     */\n    function _reloadProjectPreferencesScope() {\n        var root = getProjectRoot();\n        if (root) {\n            // Alias the "project" Scope to the path Scope for the project-level settings file\n            PreferencesManager._setProjectSettingsFile(root.fullPath + SETTINGS_FILENAME);\n        } else {\n            PreferencesManager._setProjectSettingsFile();\n        }\n    }\n\n    /**\n     * Loads the given folder as a project. Does NOT prompt about any unsaved changes - use openProject()\n     * instead to check for unsaved changes and (optionally) let the user choose the folder to open.\n     *\n     * @param {!string} rootPath  Absolute path to the root folder of the project.\n     *  A trailing "/" on the path is optional (unlike many Brackets APIs that assume a trailing "/").\n     * @param {boolean=} isUpdating  If true, indicates we\'re just updating the tree;\n     *  if false, a different project is being loaded.\n     * @return {$.Promise} A promise object that will be resolved when the\n     *  project is loaded and tree is rendered, or rejected if the project path\n     *  fails to load.\n     */\n    function _loadProject(rootPath, isUpdating) {\n        var result = new $.Deferred(),\n            startLoad = new $.Deferred();\n\n        // Some legacy code calls this API with a non-canonical path\n        rootPath = ProjectModel._ensureTrailingSlash(rootPath);\n\n        var projectPrefFullPath = (rootPath + SETTINGS_FILENAME),\n            file   = FileSystem.getFileForPath(projectPrefFullPath);\n\n        //Verify that the project preferences file (.brackets.json) is NOT corrupted.\n        //If corrupted, display the error message and open the file in editor for the user to edit.\n        FileUtils.readAsText(file)\n            .done(function (text) {\n                try {\n                    if (text) {\n                        JSON.parse(text);\n                    }\n                } catch (err) {\n                    // Cannot parse the text read from the project preferences file.\n                    var info = MainViewManager.findInAllWorkingSets(projectPrefFullPath);\n                    var paneId;\n                    if (info.length) {\n                        paneId = info[0].paneId;\n                    }\n                    FileViewController.openFileAndAddToWorkingSet(projectPrefFullPath, paneId)\n                        .done(function () {\n                            Dialogs.showModalDialog(\n                                DefaultDialogs.DIALOG_ID_ERROR,\n                                Strings.ERROR_PREFS_CORRUPT_TITLE,\n                                Strings.ERROR_PROJ_PREFS_CORRUPT\n                            ).done(function () {\n                                // give the focus back to the editor with the pref file\n                                MainViewManager.focusActivePane();\n                            });\n                        });\n                }\n            });\n\n        if (isUpdating) {\n            // We\'re just refreshing. Don\'t need to unwatch the project root, so we can start loading immediately.\n            startLoad.resolve();\n        } else {\n            if (model.projectRoot && model.projectRoot.fullPath === rootPath) {\n                return (new $.Deferred()).resolve().promise();\n            }\n\n            // About to close current project (if any)\n            if (model.projectRoot) {\n                exports.trigger("beforeProjectClose", model.projectRoot);\n            }\n\n            // close all the old files\n            MainViewManager._closeAll(MainViewManager.ALL_PANES);\n\n            _unwatchProjectRoot().always(function () {\n                // Done closing old project (if any)\n                if (model.projectRoot) {\n                    LanguageManager._resetPathLanguageOverrides();\n                    PreferencesManager._reloadUserPrefs(model.projectRoot);\n                    exports.trigger("projectClose", model.projectRoot);\n                }\n\n                startLoad.resolve();\n            });\n        }\n\n        startLoad.done(function () {\n            var context = { location : { scope: "user",\n                                         layer: "project" } };\n\n            // Clear project path map\n            if (!isUpdating) {\n                PreferencesManager._stateProjectLayer.setProjectPath(rootPath);\n            }\n\n            // Populate file tree as long as we aren\'t running in the browser\n            if (!brackets.inBrowser) {\n                if (!isUpdating) {\n                    _watchProjectRoot(rootPath);\n                }\n                // Point at a real folder structure on local disk\n                var rootEntry = FileSystem.getDirectoryForPath(rootPath);\n                rootEntry.exists(function (err, exists) {\n                    if (exists) {\n                        var projectRootChanged = (!model.projectRoot || !rootEntry) ||\n                            model.projectRoot.fullPath !== rootEntry.fullPath;\n\n                        // Success!\n                        var perfTimerName = PerfUtils.markStart("Load Project: " + rootPath);\n\n                        _projectWarnedForTooManyFiles = false;\n\n                        _setProjectRoot(rootEntry).always(function () {\n                            model.setBaseUrl(PreferencesManager.getViewState("project.baseUrl", context) || "");\n\n                            if (projectRootChanged) {\n                                _reloadProjectPreferencesScope();\n                                PreferencesManager._setCurrentFile(rootPath);\n                            }\n\n                            // If this is the most current welcome project, record it. In future launches, we want\n                            // to substitute the latest welcome project from the current build instead of using an\n                            // outdated one (when loading recent projects or the last opened project).\n                            if (rootPath === _getWelcomeProjectPath()) {\n                                addWelcomeProjectPath(rootPath);\n                            }\n\n                            if (projectRootChanged) {\n                                // Allow asynchronous event handlers to finish before resolving result by collecting promises from them\n                                exports.trigger("projectOpen", model.projectRoot);\n                                result.resolve();\n                            } else {\n                                exports.trigger("projectRefresh", model.projectRoot);\n                                result.resolve();\n                            }\n                            PerfUtils.addMeasurement(perfTimerName);\n                        });\n                    } else {\n                        console.log("error loading project");\n                        _showErrorDialog(ERR_TYPE_LOADING_PROJECT_NATIVE, true, err || FileSystemError.NOT_FOUND, rootPath)\n                            .done(function () {\n                                // Reset _projectRoot to null so that the following _loadProject call won\'t\n                                // run the \'beforeProjectClose\' event a second time on the original project,\n                                // which is now partially torn down (see #6574).\n                                model.projectRoot = null;\n\n                                // The project folder stored in preference doesn\'t exist, so load the default\n                                // project directory.\n                                // TODO (issue #267): When Brackets supports having no project directory\n                                // defined this code will need to change\n                                _getFallbackProjectPath().done(function (path) {\n                                    _loadProject(path).always(function () {\n                                        // Make sure not to reject the original deferred until the fallback\n                                        // project is loaded, so we don\'t violate expectations that there is always\n                                        // a current project before continuing after _loadProject().\n                                        result.reject();\n                                    });\n                                });\n                            });\n                    }\n                });\n            }\n        });\n\n        return result.promise();\n    }\n\n    /**\n     * @const\n     * @private\n     * @type {number} Minimum delay in milliseconds between calls to refreshFileTree\n     */\n    var _refreshDelay = 1000;\n\n    /**\n     * Refresh the project\'s file tree, maintaining the current selection.\n     *\n     * Note that the original implementation of this returned a promise to be resolved when the refresh is complete.\n     * That use is deprecated and `refreshFileTree` is now a "fire and forget" kind of function.\n     */\n    var refreshFileTree = function refreshFileTree() {\n        FileSystem.clearAllCaches();\n        return new $.Deferred().resolve().promise();\n    };\n\n    refreshFileTree = _.debounce(refreshFileTree, _refreshDelay);\n\n    /**\n     * Expands tree nodes to show the given file or folder and selects it. Silently no-ops if the\n     * path lies outside the project, or if it doesn\'t exist.\n     *\n     * @param {!(File|Directory)} entry File or Directory to show\n     * @return {$.Promise} Resolved when done; or rejected if not found\n     */\n    function showInTree(entry) {\n        return model.showInTree(entry).then(_saveTreeState);\n    }\n\n\n    /**\n     * Open a new project. Currently, Brackets must always have a project open, so\n     * this method handles both closing the current project and opening a new project.\n     *\n     * @param {string=} path Optional absolute path to the root folder of the project.\n     *  If path is undefined or null, displays a dialog where the user can choose a\n     *  folder to load. If the user cancels the dialog, nothing more happens.\n     * @return {$.Promise} A promise object that will be resolved when the\n     *  project is loaded and tree is rendered, or rejected if the project path\n     *  fails to load.\n     */\n    function openProject(path) {\n\n        var result = new $.Deferred();\n\n        // Confirm any unsaved changes first. We run the command in "prompt-only" mode, meaning it won\'t\n        // actually close any documents even on success; we\'ll do that manually after the user also oks\n        // the folder-browse dialog.\n        CommandManager.execute(Commands.FILE_CLOSE_ALL, { promptOnly: true })\n            .done(function () {\n                if (path) {\n                    // use specified path\n                    _loadProject(path, false).then(result.resolve, result.reject);\n                } else {\n                    // Pop up a folder browse dialog\n                    FileSystem.showOpenDialog(false, true, Strings.CHOOSE_FOLDER, model.projectRoot.fullPath, null, function (err, files) {\n                        if (!err) {\n                            // If length == 0, user canceled the dialog; length should never be > 1\n                            if (files.length > 0) {\n                                // Load the new project into the folder tree\n                                _loadProject(files[0]).then(result.resolve, result.reject);\n                            } else {\n                                result.reject();\n                            }\n                        } else {\n                            _showErrorDialog(ERR_TYPE_OPEN_DIALOG, null, err);\n                            result.reject();\n                        }\n                    });\n                }\n            })\n            .fail(function () {\n                result.reject();\n            });\n\n        // if fail, don\'t open new project: user canceled (or we failed to save its unsaved changes)\n        return result.promise();\n    }\n\n    /**\n     * Invoke project settings dialog.\n     * @return {$.Promise}\n     */\n    function _projectSettings() {\n        return PreferencesDialogs.showProjectPreferencesDialog(getBaseUrl()).getPromise();\n    }\n\n    /**\n     * Create a new item in the current project.\n     *\n     * @param baseDir {string|Directory} Full path of the directory where the item should go.\n     *   Defaults to the project root if the entry is not valid or not within the project.\n     * @param initialName {string} Initial name for the item\n     * @param skipRename {boolean} If true, don\'t allow the user to rename the item\n     * @param isFolder {boolean} If true, create a folder instead of a file\n     * @return {$.Promise} A promise object that will be resolved with the File\n     *  of the created object, or rejected if the user cancelled or entered an illegal\n     *  filename.\n     */\n    function createNewItem(baseDir, initialName, skipRename, isFolder) {\n        baseDir = model.getDirectoryInProject(baseDir);\n\n        if (skipRename) {\n            return model.createAtPath(baseDir + initialName, isFolder);\n        }\n        return actionCreator.startCreating(baseDir, initialName, isFolder);\n    }\n\n    /**\n     * Delete file or directore from project\n     * @param {!(File|Directory)} entry File or Directory to delete\n     */\n    function deleteItem(entry) {\n        var result = new $.Deferred();\n\n        entry.moveToTrash(function (err) {\n            if (!err) {\n                DocumentManager.notifyPathDeleted(entry.fullPath);\n                result.resolve();\n            } else {\n                _showErrorDialog(ERR_TYPE_DELETE, entry.isDirectory, FileUtils.getFileErrorString(err), entry.fullPath);\n\n                result.reject(err);\n            }\n        });\n\n        return result.promise();\n    }\n\n    /**\n     * Returns a filter for use with getAllFiles() that filters files based on LanguageManager language id\n     * @param {!(string|Array.<string>)} languageId a single string of a language id or an array of language ids\n     * @return {!function(File):boolean}\n     */\n    function getLanguageFilter(languageId) {\n        return function languageFilter(file) {\n            var id = LanguageManager.getLanguageForPath(file.fullPath).getId();\n            if (typeof languageId === "string") {\n                return (id === languageId);\n            } else {\n                return (languageId.indexOf(id) !== -1);\n            }\n        };\n    }\n\n    /**\n     * @private\n     *\n     * Respond to a FileSystem change event. Note that if renames are initiated\n     * externally, they may be reported as a separate removal and addition. In\n     * this case, the editor state isn\'t currently preserved.\n     *\n     * @param {$.Event} event\n     * @param {?(File|Directory)} entry File or Directory changed\n     * @param {Array.<FileSystemEntry>=} added If entry is a Directory, contains zero or more added children\n     * @param {Array.<FileSystemEntry>=} removed If entry is a Directory, contains zero or more removed children\n     */\n    _fileSystemChange = function (event, entry, added, removed) {\n        FileSyncManager.syncOpenDocuments();\n\n        model.handleFSEvent(entry, added, removed);\n\n        // @TODO: DocumentManager should implement its own fsChange  handler\n        //          we can clean up the calls to DocumentManager.notifyPathDeleted\n        //          and privatize DocumentManager.notifyPathDeleted as well\n        //        We can also remove the _fileSystemRename handler below and move\n        //          it to DocumentManager\n        if (removed) {\n            removed.forEach(function (file) {\n                // The call to syncOpenDocuemnts above will not nofify\n                //  document manager about deleted images that are\n                //  not in the working set -- try to clean that up here\n                DocumentManager.notifyPathDeleted(file.fullPath);\n            });\n        }\n    };\n\n    /**\n     * @private\n     * Respond to a FileSystem rename event.\n     */\n    _fileSystemRename = function (event, oldName, newName) {\n        // Tell the document manager about the name change. This will update\n        // all of the model information and send notification to all views\n        DocumentManager.notifyPathNameChanged(oldName, newName);\n    };\n\n    /**\n     * Causes the rename operation that\'s in progress to complete.\n     */\n    function forceFinishRename() {\n        actionCreator.performRename();\n    }\n\n    /**\n     * @private\n     *\n     * Sets the width of the selection bar in the file tree.\n     *\n     * @param {int} width New width value\n     */\n    function _setFileTreeSelectionWidth(width) {\n        model.setSelectionWidth(width);\n        _renderTreeSync();\n    }\n\n    // Initialize variables and listeners that depend on the HTML DOM\n    AppInit.htmlReady(function () {\n        $projectTreeContainer = $("#project-files-container");\n        $projectTreeContainer.addClass("jstree jstree-brackets");\n        $projectTreeContainer.css("overflow", "auto");\n        $projectTreeContainer.css("position", "relative");\n\n        fileTreeViewContainer = $("<div>").appendTo($projectTreeContainer)[0];\n\n        model.setSelectionWidth($projectTreeContainer.width());\n\n        $(".main-view").click(function (jqEvent) {\n            if (!jqEvent.target.classList.contains("jstree-rename-input")) {\n                forceFinishRename();\n                actionCreator.setContext(null);\n            }\n        });\n\n        $("#working-set-list-container").on("contentChanged", function () {\n            $projectTreeContainer.trigger("contentChanged");\n        });\n\n        Menus.getContextMenu(Menus.ContextMenuIds.PROJECT_MENU).on("beforeContextMenuOpen", function () {\n            actionCreator.restoreContext();\n        });\n\n        Menus.getContextMenu(Menus.ContextMenuIds.PROJECT_MENU).on("beforeContextMenuClose", function () {\n            model.setContext(null, false, true);\n        });\n\n        $projectTreeContainer.on("contextmenu", function () {\n            forceFinishRename();\n        });\n\n        // When a context menu item is selected, we need to clear the context\n        // because we don\'t get a beforeContextMenuClose event since Bootstrap\n        // handles this directly.\n        $("#project-context-menu").on("click.dropdown-menu", function () {\n            model.setContext(null, true);\n        });\n\n        $projectTreeContainer.on("scroll", function () {\n            // Close open menus on scroll and clear the context, but only if there\'s a menu open.\n            if ($(".dropdown.open").length > 0) {\n                Menus.closeAll();\n                actionCreator.setContext(null);\n            }\n            // we need to render the tree without a delay to not cause selection extension issues (#10573)\n            _renderTreeSync();\n        });\n\n        _renderTree();\n\n        ViewUtils.addScrollerShadow($projectTreeContainer[0]);\n    });\n\n    EventDispatcher.makeEventDispatcher(exports);\n\n    // Init default project path to welcome project\n    PreferencesManager.stateManager.definePreference("projectPath", "string", _getWelcomeProjectPath());\n\n    exports.on("projectOpen", _reloadProjectPreferencesScope);\n    exports.on("projectOpen", _saveProjectPath);\n    exports.on("beforeAppClose", _unwatchProjectRoot);\n\n    // Due to circular dependencies, not safe to call on() directly for other modules\' events\n    EventDispatcher.on_duringInit(FileViewController, "documentSelectionFocusChange", _documentSelectionFocusChange);\n    EventDispatcher.on_duringInit(FileViewController, "fileViewFocusChange", _fileViewControllerChange);\n    EventDispatcher.on_duringInit(MainViewManager, "currentFileChange", _currentFileChange);\n\n    // Commands\n    CommandManager.register(Strings.CMD_OPEN_FOLDER,      Commands.FILE_OPEN_FOLDER,      openProject);\n    CommandManager.register(Strings.CMD_PROJECT_SETTINGS, Commands.FILE_PROJECT_SETTINGS, _projectSettings);\n    CommandManager.register(Strings.CMD_FILE_REFRESH,     Commands.FILE_REFRESH,          refreshFileTree);\n\n    // Define the preference to decide how to sort the Project Tree files\n    PreferencesManager.definePreference(SORT_DIRECTORIES_FIRST, "boolean", brackets.platform !== "mac", {\n        description: Strings.DESCRIPTION_SORT_DIRECTORIES_FIRST\n    })\n        .on("change", function () {\n            actionCreator.setSortDirectoriesFirst(PreferencesManager.get(SORT_DIRECTORIES_FIRST));\n        });\n\n    actionCreator.setSortDirectoriesFirst(PreferencesManager.get(SORT_DIRECTORIES_FIRST));\n\n    /**\n     * Gets the filesystem object for the current context in the file tree.\n     */\n    function getContext() {\n        return model.getContext();\n    }\n\n    /**\n     * Starts a rename operation, completing the current operation if there is one.\n     *\n     * The Promise returned is resolved with an object with a `newPath` property with the renamed path. If the user cancels the operation, the promise is resolved with the value RENAME_CANCELLED.\n     *\n     * @param {FileSystemEntry} entry file or directory filesystem object to rename\n     * @return {$.Promise} a promise resolved when the rename is done.\n     */\n    renameItemInline = function (entry) {\n        var d = new $.Deferred();\n\n        model.startRename(entry)\n            .done(function () {\n                d.resolve();\n            })\n            .fail(function (errorInfo) {\n                // Need to do display the error message on the next event loop turn\n                // because some errors can come up synchronously and then the dialog\n                // is not displayed.\n                window.setTimeout(function () {\n                    switch (errorInfo.type) {\n                    case ProjectModel.ERROR_INVALID_FILENAME:\n                        _showErrorDialog(ERR_TYPE_INVALID_FILENAME, errorInfo.isFolder, ProjectModel._invalidChars);\n                        break;\n                    case FileSystemError.ALREADY_EXISTS:\n                        _showErrorDialog(ERR_TYPE_RENAME, errorInfo.isFolder, Strings.FILE_EXISTS_ERR, errorInfo.fullPath);\n                        break;\n                    case ProjectModel.ERROR_NOT_IN_PROJECT:\n                        _showErrorDialog(ERR_TYPE_RENAME, errorInfo.isFolder, Strings.ERROR_RENAMING_NOT_IN_PROJECT, errorInfo.fullPath);\n                        break;\n                    default:\n                        _showErrorDialog(ERR_TYPE_RENAME, errorInfo.isFolder, FileUtils.getFileErrorString(errorInfo.type), errorInfo.fullPath);\n                    }\n                }, 10);\n                d.reject(errorInfo);\n            });\n        return d.promise();\n    };\n\n    /**\n     * Returns an Array of all files for this project, optionally including\n     * files in the working set that are *not* under the project root. Files are\n     * filtered first by ProjectModel.shouldShow(), then by the custom filter\n     * argument (if one was provided).\n     *\n     * @param {function (File, number):boolean=} filter Optional function to filter\n     *          the file list (does not filter directory traversal). API matches Array.filter().\n     * @param {boolean=} includeWorkingSet If true, include files in the working set\n     *          that are not under the project root (*except* for untitled documents).\n     * @param {boolean=} sort If true, The files will be sorted by their paths\n     *\n     * @return {$.Promise} Promise that is resolved with an Array of File objects.\n     */\n    function getAllFiles(filter, includeWorkingSet, sort) {\n        var viewFiles, deferred;\n\n        // The filter and includeWorkingSet params are both optional.\n        // Handle the case where filter is omitted but includeWorkingSet is\n        // specified.\n        if (includeWorkingSet === undefined && typeof (filter) !== "function") {\n            includeWorkingSet = filter;\n            filter = null;\n        }\n\n        if (includeWorkingSet) {\n            viewFiles = MainViewManager.getWorkingSet(MainViewManager.ALL_PANES);\n        }\n\n        deferred = new $.Deferred();\n        model.getAllFiles(filter, viewFiles, sort)\n            .done(function (fileList) {\n                deferred.resolve(fileList);\n            })\n            .fail(function (err) {\n                if (err === FileSystemError.TOO_MANY_ENTRIES && !_projectWarnedForTooManyFiles) {\n                    _showErrorDialog(ERR_TYPE_MAX_FILES);\n                    _projectWarnedForTooManyFiles = true;\n                }\n                // resolve with empty list\n                deferred.resolve([]);\n            });\n        return deferred.promise();\n    }\n\n    /**\n     * Adds an icon provider. The callback is invoked before each tree item is rendered, and can\n     * return content to prepend to the item.\n     *\n     * @param {!function(!{name:string, fullPath:string, isFile:boolean}):?string|jQuery|DOMNode|React.DOM.ins} callback\n     * * `name`: the file or directory name\n     * * `fullPath`: full path to the file or directory\n     * * `isFile`: true if it\'s a file, false if it\'s a directory\n     * Return a string of HTML text, a React.DOM.ins instance, a jQuery object, or a DOM node; or undefined\n     * to prepend nothing.\n     */\n    function addIconProvider(callback) {\n        return FileTreeView.addIconProvider(callback);\n    }\n\n    /**\n     * Adds a CSS class provider, invoked before each tree item is rendered.\n     *\n     * @param {!function(!{name:string, fullPath:string, isFile:boolean}):?string} callback\n     * * `name`: the file or directory name\n     * * `fullPath`: full path to the file or directory\n     * * `isFile`: true if it\'s a file, false if it\'s a directory\n     * Return a string containing space-separated CSS class(es) to add, or undefined to leave CSS unchanged.\n     */\n    function addClassesProvider(callback) {\n        return FileTreeView.addClassesProvider(callback);\n    }\n\n    /**\n     * Forces the file tree to rerender. Typically, the tree only rerenders the portions of the\n     * tree that have changed data. If an extension that augments the tree has changes that it\n     * needs to display, calling rerenderTree will cause the components for the whole tree to\n     * be rerendered.\n     */\n    function rerenderTree() {\n        _renderTree(true);\n    }\n\n\n    // Private API helpful in testing\n    exports._actionCreator                = actionCreator;\n    exports._RENDER_DEBOUNCE_TIME         = _RENDER_DEBOUNCE_TIME;\n\n    // Private API for use with SidebarView\n    exports._setFileTreeSelectionWidth    = _setFileTreeSelectionWidth;\n\n    // Define public API\n    exports.getProjectRoot                = getProjectRoot;\n    exports.getBaseUrl                    = getBaseUrl;\n    exports.setBaseUrl                    = setBaseUrl;\n    exports.isWithinProject               = isWithinProject;\n    exports.makeProjectRelativeIfPossible = makeProjectRelativeIfPossible;\n    exports.shouldShow                    = ProjectModel.shouldShow;\n    exports.openProject                   = openProject;\n    exports.getSelectedItem               = getSelectedItem;\n    exports.getContext                    = getContext;\n    exports.getInitialProjectPath         = getInitialProjectPath;\n    exports.isWelcomeProjectPath          = isWelcomeProjectPath;\n    exports.updateWelcomeProjectPath      = updateWelcomeProjectPath;\n    exports.createNewItem                 = createNewItem;\n    exports.renameItemInline              = renameItemInline;\n    exports.deleteItem                    = deleteItem;\n    exports.forceFinishRename             = forceFinishRename;\n    exports.showInTree                    = showInTree;\n    exports.refreshFileTree               = refreshFileTree;\n    exports.getAllFiles                   = getAllFiles;\n    exports.getLanguageFilter             = getLanguageFilter;\n    exports.addIconProvider               = addIconProvider;\n    exports.addClassesProvider            = addClassesProvider;\n    exports.rerenderTree                  = rerenderTree;\n});\n\n//# sourceURL=/project/ProjectManager.js'),
eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*global less */\n\n/**\n * ExtensionUtils defines utility methods for implementing extensions.\n */\ndefine(\'utils/ExtensionUtils\',[\'require\',\'exports\',\'module\',\'utils/Async\',\'filesystem/FileSystem\',\'file/FileUtils\',\'thirdparty/path-utils/path-utils\'],function (require, exports, module) {\n    "use strict";\n\n    var Async      = require("utils/Async"),\n        FileSystem = require("filesystem/FileSystem"),\n        FileUtils  = require("file/FileUtils"),\n        PathUtils  = require("thirdparty/path-utils/path-utils");\n\n    /**\n     * Appends a <style> tag to the document\'s head.\n     *\n     * @param {!string} css CSS code to use as the tag\'s content\n     * @return {!HTMLStyleElement} The generated HTML node\n     **/\n    function addEmbeddedStyleSheet(css) {\n        return $("<style>").text(css).appendTo("head")[0];\n    }\n\n    /**\n     * Appends a <link> tag to the document\'s head.\n     *\n     * @param {!string} url URL to a style sheet\n     * @param {$.Deferred=} deferred Optionally check for load and error events\n     * @return {!HTMLLinkElement} The generated HTML node\n     **/\n    function addLinkedStyleSheet(url, deferred) {\n        var attributes = {\n            type: "text/css",\n            rel:  "stylesheet",\n            href: url\n        };\n\n        var $link = $("<link/>").attr(attributes);\n\n        if (deferred) {\n            $link.on(\'load\', deferred.resolve).on(\'error\', deferred.reject);\n        }\n\n        $link.appendTo("head");\n\n        return $link[0];\n    }\n\n    /**\n     * getModuleUrl returns different urls for win platform\n     * so that\'s why we need a different check here\n     * @see #getModuleUrl\n     * @param {!string} pathOrUrl that should be checked if it\'s absolute\n     * @return {!boolean} returns true if pathOrUrl is absolute url on win platform\n     *                    or when it\'s absolute path on other platforms\n     */\n    function isAbsolutePathOrUrl(pathOrUrl) {\n        return brackets.platform === "win" ? PathUtils.isAbsoluteUrl(pathOrUrl) : FileSystem.isAbsolutePath(pathOrUrl);\n    }\n\n    /**\n     * Parses LESS code and returns a promise that resolves with plain CSS code.\n     *\n     * Pass the {@link url} argument to resolve relative URLs contained in the code.\n     * Make sure URLs in the code are wrapped in quotes, like so:\n     *     background-image: url("image.png");\n     *\n     * @param {!string} code LESS code to parse\n     * @param {?string} url URL to the file containing the code\n     * @return {!$.Promise} A promise object that is resolved with CSS code if the LESS code can be parsed\n     */\n    function parseLessCode(code, url) {\n        var result = new $.Deferred(),\n            options;\n\n        if (url) {\n            var dir = url.slice(0, url.lastIndexOf("/") + 1);\n\n            options = {\n                filename: url,\n                rootpath: dir\n            };\n\n            if (isAbsolutePathOrUrl(url)) {\n                options.currentFileInfo = {\n                    currentDirectory: dir,\n                    entryPath: dir,\n                    filename: url,\n                    rootFilename: url,\n                    rootpath: dir\n                };\n            }\n        }\n\n        less.render(code, options, function onParse(err, tree) {\n            if (err) {\n                result.reject(err);\n            } else {\n                result.resolve(tree.css);\n            }\n        });\n\n        return result.promise();\n    }\n\n    /**\n     * Returns a path to an extension module.\n     *\n     * @param {!module} module Module provided by RequireJS\n     * @param {?string} path Relative path from the extension folder to a file\n     * @return {!string} The path to the module\'s folder\n     **/\n    function getModulePath(module, path) {\n        var modulePath = module.uri.substr(0, module.uri.lastIndexOf("/") + 1);\n        if (path) {\n            modulePath += path;\n        }\n\n        return modulePath;\n    }\n\n    /**\n     * Returns a URL to an extension module.\n     *\n     * @param {!module} module Module provided by RequireJS\n     * @param {?string} path Relative path from the extension folder to a file\n     * @return {!string} The URL to the module\'s folder\n     **/\n    function getModuleUrl(module, path) {\n        var url = encodeURI(getModulePath(module, path));\n\n        // On Windows, $.get() fails if the url is a full pathname. To work around this,\n        // prepend "file:///". On the Mac, $.get() works fine if the url is a full pathname,\n        // but *doesn\'t* work if it is prepended with "file://". Go figure.\n        // However, the prefix "file://localhost" does work.\n        if (brackets.platform === "win" && url.indexOf(":") !== -1) {\n            url = "file:///" + url;\n        }\n\n        return url;\n    }\n\n    /**\n     * Performs a GET request using a path relative to an extension module.\n     *\n     * The resulting URL can be retrieved in the resolve callback by accessing\n     *\n     * @param {!module} module Module provided by RequireJS\n     * @param {!string} path Relative path from the extension folder to a file\n     * @return {!$.Promise} A promise object that is resolved with the contents of the requested file\n     **/\n    function loadFile(module, path) {\n        var url     = PathUtils.isAbsoluteUrl(path) ? path : getModuleUrl(module, path),\n            promise = $.get(url);\n\n        return promise;\n    }\n\n    /**\n     * Loads a style sheet (CSS or LESS) relative to the extension module.\n     *\n     * @param {!module} module Module provided by RequireJS\n     * @param {!string} path Relative path from the extension folder to a CSS or LESS file\n     * @return {!$.Promise} A promise object that is resolved with an HTML node if the file can be loaded.\n     */\n    function loadStyleSheet(module, path) {\n        var result = new $.Deferred();\n\n        loadFile(module, path)\n            .done(function (content) {\n                var url = this.url;\n\n                if (url.slice(-5) === ".less") {\n                    parseLessCode(content, url)\n                        .done(function (css) {\n                            result.resolve(addEmbeddedStyleSheet(css));\n                        })\n                        .fail(result.reject);\n                } else {\n                    var deferred = new $.Deferred(),\n                        link = addLinkedStyleSheet(url, deferred);\n\n                    deferred\n                        .done(function () {\n                            result.resolve(link);\n                        })\n                        .fail(result.reject);\n                }\n            })\n            .fail(result.reject);\n\n        // Summarize error info to console for easier debugging\n        result.fail(function (error, textStatus, httpError) {\n            if (error.readyState !== undefined) {\n                // If first arg is a jQXHR object, the real error info is in the next two args\n                console.error("[Extension] Unable to read stylesheet " + path + ":", textStatus, httpError);\n            } else {\n                console.error("[Extension] Unable to process stylesheet " + path, error);\n            }\n        });\n\n        return result.promise();\n    }\n\n    /**\n     * Loads the package.json file in the given extension folder as well as any additional\n     * metadata.\n     *\n     * If there\'s a .disabled file in the extension directory, then the content of package.json\n     * will be augmented with disabled property set to true. It will override whatever value of\n     * disabled might be set.\n     *\n     * @param {string} folder The extension folder.\n     * @return {$.Promise} A promise object that is resolved with the parsed contents of the package.json file,\n     *     or rejected if there is no package.json with the boolean indicating whether .disabled file exists.\n     */\n    function loadMetadata(folder) {\n        var packageJSONFile = FileSystem.getFileForPath(folder + "/package.json"),\n            disabledFile = FileSystem.getFileForPath(folder + "/.disabled"),\n            result = new $.Deferred(),\n            jsonPromise = new $.Deferred(),\n            disabledPromise = new $.Deferred(),\n            json,\n            disabled;\n        FileUtils.readAsText(packageJSONFile)\n            .then(function (text) {\n                try {\n                    json = JSON.parse(text);\n                    jsonPromise.resolve();\n                } catch (e) {\n                    jsonPromise.reject();\n                }\n            })\n            .fail(jsonPromise.reject);\n        disabledFile.exists(function (err, exists) {\n            if (err) {\n                disabled = false;\n            } else {\n                disabled = exists;\n            }\n            disabledPromise.resolve();\n        });\n        Async.waitForAll([jsonPromise, disabledPromise])\n            .always(function () {\n                if (!json) {\n                    result.reject(disabled);\n                } else {\n                    json.disabled = disabled;\n                    result.resolve(json);\n                }\n            });\n        return result.promise();\n    }\n\n    exports.addEmbeddedStyleSheet = addEmbeddedStyleSheet;\n    exports.addLinkedStyleSheet   = addLinkedStyleSheet;\n    exports.parseLessCode         = parseLessCode;\n    exports.getModulePath         = getModulePath;\n    exports.getModuleUrl          = getModuleUrl;\n    exports.loadFile              = loadFile;\n    exports.loadStyleSheet        = loadStyleSheet;\n    exports.loadMetadata          = loadMetadata;\n});\n\n//# sourceURL=/utils/ExtensionUtils.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * ExtensionLoader searches the filesystem for extensions, then creates a new context for each one and loads it.\n * This module dispatches the following events:\n *      "load" - when an extension is successfully loaded. The second argument is the file path to the\n *          extension root.\n *      "loadFailed" - when an extension load is unsuccessful. The second argument is the file path to the\n *          extension root.\n */\n\ndefine(\'utils/ExtensionLoader\',[\'require\',\'exports\',\'module\',\'utils/Global\',\'thirdparty/lodash\',\'utils/EventDispatcher\',\'filesystem/FileSystem\',\'file/FileUtils\',\'utils/Async\',\'utils/ExtensionUtils\',\'utils/UrlParams\',\'thirdparty/path-utils/path-utils\'],function (require, exports, module) {\n    "use strict";\n\n    require("utils/Global");\n\n    var _              = require("thirdparty/lodash"),\n        EventDispatcher = require("utils/EventDispatcher"),\n        FileSystem     = require("filesystem/FileSystem"),\n        FileUtils      = require("file/FileUtils"),\n        Async          = require("utils/Async"),\n        ExtensionUtils = require("utils/ExtensionUtils"),\n        UrlParams      = require("utils/UrlParams").UrlParams,\n        PathUtils      = require("thirdparty/path-utils/path-utils");\n\n    // default async initExtension timeout\n    var INIT_EXTENSION_TIMEOUT = 10000;\n\n    var _init       = false,\n        _extensions = {},\n        _initExtensionTimeout = INIT_EXTENSION_TIMEOUT,\n        srcPath     = FileUtils.getNativeBracketsDirectoryPath();\n\n    /**\n     * Stores require.js contexts of extensions\n     * @type {Object.<string, Object>}\n     */\n    var contexts    = {};\n\n    // The native directory path ends with either "test" or "src". We need "src" to\n    // load the text and i18n modules.\n    srcPath = srcPath.replace(/\\/test$/, "/src"); // convert from "test" to "src"\n\n\n    // Retrieve the global paths\n    var globalPaths = brackets._getGlobalRequireJSConfig().paths;\n\n    // Convert the relative paths to absolute\n    Object.keys(globalPaths).forEach(function (key) {\n        globalPaths[key] = PathUtils.makePathAbsolute(srcPath + "/" + globalPaths[key]);\n    });\n\n    /**\n     * Returns the full path of the default user extensions directory. This is in the users\n     * application support directory, which is typically\n     * /Users/<user>/Application Support/Brackets/extensions/user on the mac, and\n     * C:\\Users\\<user>\\AppData\\Roaming\\Brackets\\extensions\\user on windows.\n     */\n    function getUserExtensionPath() {\n        if (brackets.app.getApplicationSupportDirectory) {\n            return brackets.app.getApplicationSupportDirectory() + "/extensions/user";\n        }\n\n        return null;\n    }\n\n    /**\n     * Returns the require.js require context used to load an extension\n     *\n     * @param {!string} name, used to identify the extension\n     * @return {!Object} A require.js require object used to load the extension, or undefined if\n     * there is no require object with that name\n     */\n    function getRequireContextForExtension(name) {\n        return contexts[name];\n    }\n\n    /**\n     * @private\n     * Get timeout value for rejecting an extension\'s async initExtension promise.\n     * @return {number} Timeout in milliseconds\n     */\n    function _getInitExtensionTimeout() {\n        return _initExtensionTimeout;\n    }\n\n    /**\n     * @private\n     * Set timeout for rejecting an extension\'s async initExtension promise.\n     * @param {number} value Timeout in milliseconds\n     */\n    function _setInitExtensionTimeout(value) {\n        _initExtensionTimeout = value;\n    }\n\n    /**\n     * @private\n     * Loads optional requirejs-config.json file for an extension\n     * @param {Object} baseConfig\n     * @return {$.Promise}\n     */\n    function _mergeConfig(baseConfig) {\n        var deferred = new $.Deferred(),\n            extensionConfigFile = FileSystem.getFileForPath(baseConfig.baseUrl + "/requirejs-config.json");\n\n        // Optional JSON config for require.js\n        FileUtils.readAsText(extensionConfigFile).done(function (text) {\n            try {\n                var extensionConfig = JSON.parse(text);\n\n                // baseConfig.paths properties will override any extension config paths\n                _.extend(extensionConfig.paths, baseConfig.paths);\n\n                // Overwrite baseUrl, context, locale (paths is already merged above)\n                _.extend(extensionConfig, _.omit(baseConfig, "paths"));\n\n                deferred.resolve(extensionConfig);\n            } catch (err) {\n                // Failed to parse requirejs-config.json\n                deferred.reject("failed to parse requirejs-config.json");\n            }\n        }).fail(function () {\n            // If requirejs-config.json isn\'t specified, resolve with the baseConfig only\n            deferred.resolve(baseConfig);\n        });\n\n        return deferred.promise();\n    }\n\n    /**\n     * Loads the extension module that lives at baseUrl into its own Require.js context\n     *\n     * @param {!string} name, used to identify the extension\n     * @param {!{baseUrl: string}} config object with baseUrl property containing absolute path of extension\n     * @param {!string} entryPoint, name of the main js file to load\n     * @return {!$.Promise} A promise object that is resolved when the extension is loaded, or rejected\n     *              if the extension fails to load or throws an exception immediately when loaded.\n     *              (Note: if extension contains a JS syntax error, promise is resolved not rejected).\n     */\n    function loadExtensionModule(name, config, entryPoint) {\n        var extensionConfig = {\n            context: name,\n            baseUrl: config.baseUrl,\n            paths: globalPaths,\n            locale: brackets.getLocale()\n        };\n\n        // Read optional requirejs-config.json\n        var promise = _mergeConfig(extensionConfig).then(function (mergedConfig) {\n            // Create new RequireJS context and load extension entry point\n            var extensionRequire = brackets.libRequire.config(mergedConfig),\n                extensionRequireDeferred = new $.Deferred();\n\n            contexts[name] = extensionRequire;\n            extensionRequire([entryPoint], extensionRequireDeferred.resolve, extensionRequireDeferred.reject);\n\n            return extensionRequireDeferred.promise();\n        }).then(function (module) {\n            // Extension loaded normally\n            var initPromise;\n\n            _extensions[name] = module;\n\n            // Optional sync/async initExtension\n            if (module && module.initExtension && (typeof module.initExtension === "function")) {\n                // optional async extension init\n                try {\n                    initPromise = Async.withTimeout(module.initExtension(), _getInitExtensionTimeout());\n                } catch (err) {\n                    // Synchronous error while initializing extension\n                    console.error("[Extension] Error -- error thrown during initExtension for " + name + ": " + err);\n                    return new $.Deferred().reject(err).promise();\n                }\n\n                // initExtension may be synchronous and may not return a promise\n                if (initPromise) {\n                    // WARNING: These calls to initPromise.fail() and initPromise.then(),\n                    // could also result in a runtime error if initPromise is not a valid\n                    // promise. Currently, the promise is wrapped via Async.withTimeout(),\n                    // so the call is safe as-is.\n                    initPromise.fail(function (err) {\n                        if (err === Async.ERROR_TIMEOUT) {\n                            console.error("[Extension] Error -- timeout during initExtension for " + name);\n                        } else {\n                            console.error("[Extension] Error -- failed initExtension for " + name + (err ? ": " + err : ""));\n                        }\n                    });\n\n                    return initPromise;\n                }\n            }\n        }, function errback(err) {\n            // Extension failed to load during the initial require() call\n            var additionalInfo = String(err);\n            if (err.requireType === "scripterror" && err.originalError) {\n                // This type has a misleading error message - replace it with something clearer (URL of require() call that got a 404 result)\n                additionalInfo = "Module does not exist: " + err.originalError.target.src;\n            }\n            console.error("[Extension] failed to load " + config.baseUrl + " - " + additionalInfo);\n\n            if (err.requireType === "define") {\n                // This type has a useful stack (exception thrown by ext code or info on bad getModule() call)\n                console.log(err.stack);\n            }\n        });\n\n        return promise;\n    }\n\n    /**\n     * Loads the extension that lives at baseUrl into its own Require.js context\n     *\n     * @param {!string} name, used to identify the extension\n     * @param {!{baseUrl: string}} config object with baseUrl property containing absolute path of extension\n     * @param {!string} entryPoint, name of the main js file to load\n     * @return {!$.Promise} A promise object that is resolved when the extension is loaded, or rejected\n     *              if the extension fails to load or throws an exception immediately when loaded.\n     *              (Note: if extension contains a JS syntax error, promise is resolved not rejected).\n     */\n    function loadExtension(name, config, entryPoint) {\n        var promise = new $.Deferred();\n\n        // Try to load the package.json to figure out if we are loading a theme.\n        ExtensionUtils.loadMetadata(config.baseUrl).always(promise.resolve);\n\n        return promise\n            .then(function (metadata) {\n                // No special handling for themes... Let the promise propagate into the ExtensionManager\n                if (metadata && metadata.theme) {\n                    return;\n                }\n\n                if (!metadata.disabled) {\n                    return loadExtensionModule(name, config, entryPoint);\n                } else {\n                    return new $.Deferred().reject("disabled").promise();\n                }\n            })\n            .then(function () {\n                exports.trigger("load", config.baseUrl);\n            }, function (err) {\n                if (err === "disabled") {\n                    exports.trigger("disabled", config.baseUrl);\n                } else {\n                    exports.trigger("loadFailed", config.baseUrl);\n                }\n            });\n    }\n\n    /**\n     * Runs unit tests for the extension that lives at baseUrl into its own Require.js context\n     *\n     * @param {!string} name, used to identify the extension\n     * @param {!{baseUrl: string}} config object with baseUrl property containing absolute path of extension\n     * @param {!string} entryPoint, name of the main js file to load\n     * @return {!$.Promise} A promise object that is resolved when all extensions complete loading.\n     */\n    function testExtension(name, config, entryPoint) {\n        var result = new $.Deferred(),\n            extensionPath = config.baseUrl + "/" + entryPoint + ".js";\n\n        FileSystem.resolve(extensionPath, function (err, entry) {\n            if (!err && entry.isFile) {\n                // unit test file exists\n                var extensionRequire = brackets.libRequire.config({\n                    context: name,\n                    baseUrl: config.baseUrl,\n                    paths: $.extend({}, config.paths, globalPaths)\n                });\n\n                extensionRequire([entryPoint], function () {\n                    result.resolve();\n                });\n            } else {\n                result.reject();\n            }\n        });\n\n        return result.promise();\n    }\n\n    /**\n     * @private\n     * Loads a file entryPoint from each extension folder within the baseUrl into its own Require.js context\n     *\n     * @param {!string} directory, an absolute native path that contains a directory of extensions.\n     *                  each subdirectory is interpreted as an independent extension\n     * @param {!{baseUrl: string}} config object with baseUrl property containing absolute path of extension folder\n     * @param {!string} entryPoint Module name to load (without .js suffix)\n     * @param {function} processExtension\n     * @return {!$.Promise} A promise object that is resolved when all extensions complete loading.\n     */\n    function _loadAll(directory, config, entryPoint, processExtension) {\n        var result = new $.Deferred();\n\n        FileSystem.getDirectoryForPath(directory).getContents(function (err, contents) {\n            if (!err) {\n                var i,\n                    extensions = [];\n\n                for (i = 0; i < contents.length; i++) {\n                    if (contents[i].isDirectory) {\n                        // FUTURE (JRB): read package.json instead of just using the entrypoint "main".\n                        // Also, load sub-extensions defined in package.json.\n                        extensions.push(contents[i].name);\n                    }\n                }\n\n                if (extensions.length === 0) {\n                    result.resolve();\n                    return;\n                }\n\n                Async.doInParallel(extensions, function (item) {\n                    var extConfig = {\n                        baseUrl: config.baseUrl + "/" + item,\n                        paths: config.paths\n                    };\n                    return processExtension(item, extConfig, entryPoint);\n                }).always(function () {\n                    // Always resolve the promise even if some extensions had errors\n                    result.resolve();\n                });\n            } else {\n                console.error("[Extension] Error -- could not read native directory: " + directory);\n                result.reject();\n            }\n        });\n\n        return result.promise();\n    }\n\n    /**\n     * Loads the extension that lives at baseUrl into its own Require.js context\n     *\n     * @param {!string} directory, an absolute native path that contains a directory of extensions.\n     *                  each subdirectory is interpreted as an independent extension\n     * @return {!$.Promise} A promise object that is resolved when all extensions complete loading.\n     */\n    function loadAllExtensionsInNativeDirectory(directory) {\n        return _loadAll(directory, {baseUrl: directory}, "main", loadExtension);\n    }\n\n    /**\n     * Runs unit test for the extension that lives at baseUrl into its own Require.js context\n     *\n     * @param {!string} directory, an absolute native path that contains a directory of extensions.\n     *                  each subdirectory is interpreted as an independent extension\n     * @return {!$.Promise} A promise object that is resolved when all extensions complete loading.\n     */\n    function testAllExtensionsInNativeDirectory(directory) {\n        var bracketsPath = FileUtils.getNativeBracketsDirectoryPath(),\n            config = {\n                baseUrl: directory\n            };\n\n        config.paths = {\n            "perf": bracketsPath + "/perf",\n            "spec": bracketsPath + "/spec"\n        };\n\n        return _loadAll(directory, config, "unittests", testExtension);\n    }\n\n    /**\n     * Load extensions.\n     *\n     * @param {?Array.<string>} A list containing references to extension source\n     *      location. A source location may be either (a) a folder name inside\n     *      src/extensions or (b) an absolute path.\n     * @return {!$.Promise} A promise object that is resolved when all extensions complete loading.\n     */\n    function init(paths) {\n        var params = new UrlParams();\n\n        if (_init) {\n            // Only init once. Return a resolved promise.\n            return new $.Deferred().resolve().promise();\n        }\n\n        if (!paths) {\n            params.parse();\n\n            if (params.get("reloadWithoutUserExts") === "true") {\n                paths = ["default"];\n            } else {\n                paths = ["default", "dev", getUserExtensionPath()];\n            }\n        }\n\n        // Load extensions before restoring the project\n\n        // Get a Directory for the user extension directory and create it if it doesn\'t exist.\n        // Note that this is an async call and there are no success or failure functions passed\n        // in. If the directory *doesn\'t* exist, it will be created. Extension loading may happen\n        // before the directory is finished being created, but that is okay, since the extension\n        // loading will work correctly without this directory.\n        // If the directory *does* exist, nothing else needs to be done. It will be scanned normally\n        // during extension loading.\n        var extensionPath = getUserExtensionPath();\n        FileSystem.getDirectoryForPath(extensionPath).create();\n\n        // Create the extensions/disabled directory, too.\n        var disabledExtensionPath = extensionPath.replace(/\\/user$/, "/disabled");\n        FileSystem.getDirectoryForPath(disabledExtensionPath).create();\n\n        var promise = Async.doSequentially(paths, function (item) {\n            var extensionPath = item;\n\n            // If the item has "/" in it, assume it is a full path. Otherwise, load\n            // from our source path + "/extensions/".\n            if (item.indexOf("/") === -1) {\n                extensionPath = FileUtils.getNativeBracketsDirectoryPath() + "/extensions/" + item;\n            }\n\n            return loadAllExtensionsInNativeDirectory(extensionPath);\n        }, false);\n\n        promise.always(function () {\n            _init = true;\n        });\n\n        return promise;\n    }\n\n\n    EventDispatcher.makeEventDispatcher(exports);\n\n    // unit tests\n    exports._setInitExtensionTimeout = _setInitExtensionTimeout;\n    exports._getInitExtensionTimeout = _getInitExtensionTimeout;\n\n    // public API\n    exports.init = init;\n    exports.getUserExtensionPath = getUserExtensionPath;\n    exports.getRequireContextForExtension = getRequireContextForExtension;\n    exports.loadExtension = loadExtension;\n    exports.testExtension = testExtension;\n    exports.loadAllExtensionsInNativeDirectory = loadAllExtensionsInNativeDirectory;\n    exports.testAllExtensionsInNativeDirectory = testAllExtensionsInNativeDirectory;\n});\n\n//# sourceURL=/utils/ExtensionLoader.js'),eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*jslint regexp: true */\n\n/**\n * Functions for working with extension packages\n */\ndefine(\'extensibility/Package\',[\'require\',\'exports\',\'module\',\'utils/AppInit\',\'filesystem/FileSystem\',\'file/FileUtils\',\'utils/StringUtils\',\'strings\',\'utils/ExtensionLoader\',\'utils/NodeConnection\',\'preferences/PreferencesManager\',\'thirdparty/path-utils/path-utils\'],function (require, exports, module) {\n    "use strict";\n\n    var AppInit              = require("utils/AppInit"),\n        FileSystem           = require("filesystem/FileSystem"),\n        FileUtils            = require("file/FileUtils"),\n        StringUtils          = require("utils/StringUtils"),\n        Strings              = require("strings"),\n        ExtensionLoader      = require("utils/ExtensionLoader"),\n        NodeConnection       = require("utils/NodeConnection"),\n        PreferencesManager   = require("preferences/PreferencesManager"),\n        PathUtils            = require("thirdparty/path-utils/path-utils");\n\n    PreferencesManager.definePreference("proxy", "string", undefined, {\n        description: Strings.DESCRIPTION_PROXY\n    });\n\n    var Errors = {\n        ERROR_LOADING: "ERROR_LOADING",\n        MALFORMED_URL: "MALFORMED_URL",\n        UNSUPPORTED_PROTOCOL: "UNSUPPORTED_PROTOCOL"\n    };\n\n    var InstallationStatuses = {\n        FAILED: "FAILED",\n        INSTALLED: "INSTALLED",\n        ALREADY_INSTALLED: "ALREADY_INSTALLED",\n        SAME_VERSION: "SAME_VERSION",\n        OLDER_VERSION: "OLDER_VERSION",\n        NEEDS_UPDATE: "NEEDS_UPDATE",\n        DISABLED: "DISABLED"\n    };\n\n    /**\n     * @private\n     * @type {NodeConnection}\n     * Connects to ExtensionManagerDomain\n     */\n    var _nodeConnection;\n\n    /**\n     * @private\n     * @type {jQuery.Deferred.<NodeConnection>}\n     * A deferred which is resolved with a NodeConnection or rejected if\n     * we are unable to connect to Node.\n     */\n    var _nodeConnectionDeferred = $.Deferred();\n\n    /**\n     * @type {number} Used to generate unique download ids\n     */\n    var _uniqueId = 0;\n\n    function _extensionManagerCall(callback) {\n        if (_nodeConnection.domains.extensionManager) {\n            return callback(_nodeConnection.domains.extensionManager);\n        } else {\n            return new $.Deferred().reject("extensionManager domain is undefined").promise();\n        }\n    }\n\n    /**\n     * TODO: can this go away now that we never call it directly?\n     *\n     * Validates the package at the given path. The actual validation is\n     * handled by the Node server.\n     *\n     * The promise is resolved with an object:\n     * { errors: Array.<{string}>, metadata: { name:string, version:string, ... } }\n     * metadata is pulled straight from package.json and will be undefined\n     * if there are errors or null if the extension did not include package.json.\n     *\n     * @param {string} Absolute path to the package zip file\n     * @param {{requirePackageJSON: ?boolean}} validation options\n     * @return {$.Promise} A promise that is resolved with information about the package\n     */\n    function validate(path, options) {\n        return _extensionManagerCall(function (extensionManager) {\n            var d = new $.Deferred();\n            \n            // make sure proxy is attached to options before calling validate\n            // so npm can use it in the domain\n            options = options || {};\n            options.proxy = PreferencesManager.get("proxy");\n            \n            extensionManager.validate(path, options)\n                .done(function (result) {\n                    d.resolve({\n                        errors: result.errors,\n                        metadata: result.metadata\n                    });\n                })\n                .fail(function (error) {\n                    d.reject(error);\n                });\n\n            return d.promise();\n        });\n    }\n\n    /**\n     * Validates and installs the package at the given path. Validation and\n     * installation is handled by the Node process.\n     *\n     * The extension will be installed into the user\'s extensions directory.\n     * If the user already has the extension installed, it will instead go\n     * into their disabled extensions directory.\n     *\n     * The promise is resolved with an object:\n     * { errors: Array.<{string}>, metadata: { name:string, version:string, ... },\n     * disabledReason:string, installedTo:string, commonPrefix:string }\n     * metadata is pulled straight from package.json and is likely to be undefined\n     * if there are errors. It is null if there was no package.json.\n     *\n     * disabledReason is either null or the reason the extension was installed disabled.\n     *\n     * @param {string} path Absolute path to the package zip file\n     * @param {?string} nameHint Hint for the extension folder\'s name (used in favor of\n     *          path\'s filename if present, and if no package metadata present).\n     * @param {?boolean} _doUpdate private argument used to signal an update\n     * @return {$.Promise} A promise that is resolved with information about the package\n     *          (which may include errors, in which case the extension was disabled), or\n     *          rejected with an error object.\n     */\n    function install(path, nameHint, _doUpdate) {\n        return _extensionManagerCall(function (extensionManager) {\n            var d                       = new $.Deferred(),\n                destinationDirectory    = ExtensionLoader.getUserExtensionPath(),\n                disabledDirectory       = destinationDirectory.replace(/\\/user$/, "/disabled"),\n                systemDirectory         = FileUtils.getNativeBracketsDirectoryPath() + "/extensions/default/";\n\n            var operation = _doUpdate ? "update" : "install";\n            extensionManager[operation](path, destinationDirectory, {\n                disabledDirectory: disabledDirectory,\n                systemExtensionDirectory: systemDirectory,\n                apiVersion: brackets.metadata.apiVersion,\n                nameHint: nameHint,\n                proxy: PreferencesManager.get("proxy")\n            })\n                .done(function (result) {\n                    result.keepFile = false;\n\n                    if (result.installationStatus !== InstallationStatuses.INSTALLED || _doUpdate) {\n                        d.resolve(result);\n                    } else {\n                        // This was a new extension and everything looked fine.\n                        // We load it into Brackets right away.\n                        ExtensionLoader.loadExtension(result.name, {\n                            // On Windows, it looks like Node converts Unix-y paths to backslashy paths.\n                            // We need to convert them back.\n                            baseUrl: FileUtils.convertWindowsPathToUnixPath(result.installedTo)\n                        }, "main").then(function () {\n                            d.resolve(result);\n                        }, function () {\n                            d.reject(Errors.ERROR_LOADING);\n                        });\n                    }\n                })\n                .fail(function (error) {\n                    d.reject(error);\n                });\n\n            return d.promise();\n        });\n    }\n\n\n\n    /**\n     * Special case handling to make the common case of downloading from GitHub easier; modifies \'urlInfo\' as\n     * needed. Converts a bare GitHub repo URL to the corresponding master ZIP URL; or if given a direct\n     * master ZIP URL already, sets a nicer download filename (both cases use the repo name).\n     *\n     * @param {{url:string, parsed:Array.<string>, filenameHint:string}} urlInfo\n     */\n    function githubURLFilter(urlInfo) {\n        if (urlInfo.parsed.hostname === "github.com" || urlInfo.parsed.hostname === "www.github.com") {\n            // Is it a URL to the root of a repo? (/user/repo)\n            var match = /^\\/[^\\/?]+\\/([^\\/?]+)(\\/?)$/.exec(urlInfo.parsed.pathname);\n            if (match) {\n                if (!match[2]) {\n                    urlInfo.url += "/";\n                }\n                urlInfo.url += "archive/master.zip";\n                urlInfo.filenameHint = match[1] + ".zip";\n\n            } else {\n                // Is it a URL directly to the repo\'s \'master.zip\'? (/user/repo/archive/master.zip)\n                match = /^\\/[^\\/?]+\\/([^\\/?]+)\\/archive\\/master.zip$/.exec(urlInfo.parsed.pathname);\n                if (match) {\n                    urlInfo.filenameHint = match[1] + ".zip";\n                }\n            }\n        }\n    }\n\n    /**\n     * Downloads from the given URL to a temporary location. On success, resolves with the path of the\n     * downloaded file (typically in a temp folder) and a hint for the real filename. On failure, rejects\n     * with an error object.\n     *\n     * @param {string} url URL of the file to be downloaded\n     * @param {number} downloadId Unique number to identify this request\n     * @return {$.Promise}\n     */\n    function download(url, downloadId) {\n        return _extensionManagerCall(function (extensionManager) {\n            var d = new $.Deferred();\n\n            // Validate URL\n            // TODO: PathUtils fails to parse URLs that are missing the protocol part (e.g. starts immediately with "www...")\n            var parsed = PathUtils.parseUrl(url);\n            if (!parsed.hostname) {  // means PathUtils failed to parse at all\n                d.reject(Errors.MALFORMED_URL);\n                return d.promise();\n            }\n            if (parsed.protocol !== "http:" && parsed.protocol !== "https:") {\n                d.reject(Errors.UNSUPPORTED_PROTOCOL);\n                return d.promise();\n            }\n\n            var urlInfo = { url: url, parsed: parsed, filenameHint: parsed.filename };\n            githubURLFilter(urlInfo);\n\n            // Decide download destination\n            var filename = urlInfo.filenameHint;\n            filename = filename.replace(/[^a-zA-Z0-9_\\- \\(\\)\\.]/g, "_"); // make sure it\'s a valid filename\n            if (!filename) {  // in case of URL ending in "/"\n                filename = "extension.zip";\n            }\n\n            // Download the bits (using Node since brackets-shell doesn\'t support binary file IO)\n            var r = extensionManager.downloadFile(downloadId, urlInfo.url, PreferencesManager.get("proxy"));\n            r.done(function (result) {\n                d.resolve({ localPath: FileUtils.convertWindowsPathToUnixPath(result), filenameHint: urlInfo.filenameHint });\n            }).fail(function (err) {\n                d.reject(err);\n            });\n\n            return d.promise();\n        });\n    }\n\n    /**\n     * Attempts to synchronously cancel the given pending download. This may not be possible, e.g.\n     * if the download has already finished.\n     *\n     * @param {number} downloadId Identifier previously passed to download()\n     */\n    function cancelDownload(downloadId) {\n        return _extensionManagerCall(function (extensionManager) {\n            return extensionManager.abortDownload(downloadId);\n        });\n    }\n\n    /**\n     * On success, resolves with an extension metadata object; at that point, the extension has already\n     * started running in Brackets. On failure (including validation errors), rejects with an error object.\n     *\n     * An error object consists of either a string error code OR an array where the first entry is the error\n     * code and the remaining entries are further info. The error code string is one of either\n     * ExtensionsDomain.Errors or Package.Errors. Use formatError() to convert an error object to a friendly,\n     * localized error message.\n     *\n     * @param {string} path Absolute path to the package zip file\n     * @param {?string} filenameHint Hint for the extension folder\'s name (used in favor of\n     *          path\'s filename if present, and if no package metadata present).\n     * @return {$.Promise} A promise that is rejected if there are errors during\n     *          install or the extension is disabled.\n     */\n    function installFromPath(path, filenameHint) {\n        var d = new $.Deferred();\n\n        install(path, filenameHint)\n            .done(function (result) {\n                result.keepFile = true;\n\n                var installationStatus = result.installationStatus;\n                if (installationStatus === InstallationStatuses.ALREADY_INSTALLED ||\n                        installationStatus === InstallationStatuses.NEEDS_UPDATE ||\n                        installationStatus === InstallationStatuses.SAME_VERSION ||\n                        installationStatus === InstallationStatuses.OLDER_VERSION) {\n                    d.resolve(result);\n                } else {\n                    if (result.errors && result.errors.length > 0) {\n                        // Validation errors - for now, only return the first one\n                        d.reject(result.errors[0]);\n                    } else if (result.disabledReason) {\n                        // Extension valid but left disabled (wrong API version, extension name collision, etc.)\n                        d.reject(result.disabledReason);\n                    } else {\n                        // Success! Extension is now running in Brackets\n                        d.resolve(result);\n                    }\n                }\n            })\n            .fail(function (err) {\n                d.reject(err);\n            });\n\n        return d.promise();\n    }\n\n    /**\n     * On success, resolves with an extension metadata object; at that point, the extension has already\n     * started running in Brackets. On failure (including validation errors), rejects with an error object.\n     *\n     * An error object consists of either a string error code OR an array where the first entry is the error\n     * code and the remaining entries are further info. The error code string is one of either\n     * ExtensionsDomain.Errors or Package.Errors. Use formatError() to convert an error object to a friendly,\n     * localized error message.\n     *\n     * The returned cancel() function will *attempt* to cancel installation, but it is not guaranteed to\n     * succeed. If cancel() succeeds, the Promise is rejected with a CANCELED error code. If we\'re unable\n     * to cancel, the Promise is resolved or rejected normally, as if cancel() had never been called.\n     *\n     * @return {{promise: $.Promise, cancel: function():boolean}}\n     */\n    function installFromURL(url) {\n        var STATE_DOWNLOADING = 1,\n            STATE_INSTALLING = 2,\n            STATE_SUCCEEDED = 3,\n            STATE_FAILED = 4;\n\n        var d = new $.Deferred();\n        var state = STATE_DOWNLOADING;\n\n        var downloadId = (_uniqueId++);\n        download(url, downloadId)\n            .done(function (downloadResult) {\n                state = STATE_INSTALLING;\n\n                installFromPath(downloadResult.localPath, downloadResult.filenameHint)\n                    .done(function (result) {\n                        var installationStatus = result.installationStatus;\n\n                        state = STATE_SUCCEEDED;\n                        result.localPath = downloadResult.localPath;\n                        result.keepFile = false;\n\n                        if (installationStatus === InstallationStatuses.INSTALLED) {\n                            // Delete temp file\n                            FileSystem.getFileForPath(downloadResult.localPath).unlink();\n                        }\n\n                        d.resolve(result);\n                    })\n                    .fail(function (err) {\n                        // File IO errors, internal error in install()/validate(), or extension startup crashed\n                        state = STATE_FAILED;\n                        FileSystem.getFileForPath(downloadResult.localPath).unlink();\n                        d.reject(err);  // TODO: needs to be err.message ?\n                    });\n            })\n            .fail(function (err) {\n                // Download error (the Node-side download code cleans up any partial ZIP file)\n                state = STATE_FAILED;\n                d.reject(err);\n            });\n\n        return {\n            promise: d.promise(),\n            cancel: function () {\n                if (state === STATE_DOWNLOADING) {\n                    // This will trigger download()\'s fail() handler with CANCELED as the err code\n                    cancelDownload(downloadId);\n                }\n                // Else it\'s too late to cancel; we\'ll continue on through the done() chain and emit\n                // a success result (calling done() handlers) if all else goes well.\n            }\n        };\n    }\n\n    /**\n     * Converts an error object as returned by install(), installFromPath() or\n     * installFromURL() into a flattened, localized string.\n     *\n     * @param {string|Array.<string>} error\n     * @return {string}\n     */\n    function formatError(error) {\n        function localize(key) {\n            if (Strings[key]) {\n                return Strings[key];\n            }\n            console.log("Unknown installation error", key);\n            return Strings.UNKNOWN_ERROR;\n        }\n\n        if (Array.isArray(error)) {\n            error[0] = localize(error[0]);\n            return StringUtils.format.apply(window, error);\n        } else {\n            return localize(error);\n        }\n    }\n\n    /**\n     * Removes the extension at the given path.\n     *\n     * @param {string} path The absolute path to the extension to remove.\n     * @return {$.Promise} A promise that\'s resolved when the extension is removed, or\n     *     rejected if there was an error.\n     */\n    function remove(path) {\n        return _extensionManagerCall(function (extensionManager) {\n            return extensionManager.remove(path);\n        });\n    }\n\n    /**\n     * Disables the extension at the given path.\n     *\n     * @param {string} path The absolute path to the extension to disable.\n     * @return {$.Promise} A promise that\'s resolved when the extenion is disabled, or\n     *      rejected if there was an error.\n     */\n    function disable(path) {\n        var result = new $.Deferred(),\n            file = FileSystem.getFileForPath(path + "/.disabled");\n        file.write("", function (err) {\n            if (err) {\n                result.reject(err);\n            } else {\n                result.resolve();\n            }\n        });\n        return result.promise();\n    }\n\n    /**\n     * Enables the extension at the given path.\n     *\n     * @param {string} path The absolute path to the extension to enable.\n     * @return {$.Promise} A promise that\'s resolved when the extenion is enable, or\n     *      rejected if there was an error.\n     */\n    function enable(path) {\n        var result = new $.Deferred(),\n            file = FileSystem.getFileForPath(path + "/.disabled");\n        file.unlink(function (err) {\n            if (err) {\n                result.reject(err);\n                return;\n            }\n            ExtensionLoader.loadExtension(FileUtils.getBaseName(path), { baseUrl: path }, "main")\n                .done(result.resolve)\n                .fail(result.reject);\n        });\n        return result.promise();\n    }\n\n    /**\n     * Install an extension update located at path.\n     * This assumes that the installation was previously attempted\n     * and an installationStatus of "ALREADY_INSTALLED", "NEEDS_UPDATE", "SAME_VERSION",\n     * or "OLDER_VERSION" was the result.\n     *\n     * This workflow ensures that there should not generally be validation errors\n     * because the first pass at installation the extension looked at the metadata\n     * and installed packages.\n     *\n     * @param {string} path to package file\n     * @param {?string} nameHint Hint for the extension folder\'s name (used in favor of\n     *          path\'s filename if present, and if no package metadata present).\n     * @return {$.Promise} A promise that is resolved when the extension is successfully\n     *      installed or rejected if there is a problem.\n     */\n    function installUpdate(path, nameHint) {\n        var d = new $.Deferred();\n        install(path, nameHint, true)\n            .done(function (result) {\n                if (result.installationStatus !== InstallationStatuses.INSTALLED) {\n                    d.reject(result.errors);\n                } else {\n                    d.resolve(result);\n                }\n            })\n            .fail(function (error) {\n                d.reject(error);\n            });\n        return d.promise();\n    }\n\n    /**\n     * Allows access to the deferred that manages the node connection. This\n     * is *only* for unit tests. Messing with this not in testing will\n     * potentially break everything.\n     *\n     * @private\n     * @return {jQuery.Deferred} The deferred that manages the node connection\n     */\n    function _getNodeConnectionDeferred() {\n        return _nodeConnectionDeferred;\n    }\n\n    // Initializes node connection\n    // TODO: duplicates code from StaticServer\n    // TODO: can this be done lazily?\n    AppInit.appReady(function () {\n        _nodeConnection = new NodeConnection();\n        _nodeConnection.connect(true).then(function () {\n            var domainPath = FileUtils.getNativeBracketsDirectoryPath() + "/" + FileUtils.getNativeModuleDirectoryPath(module) + "/node/ExtensionManagerDomain";\n\n            _nodeConnection.loadDomains(domainPath, true)\n                .then(\n                    function () {\n                        _nodeConnectionDeferred.resolve();\n                    },\n                    function () { // Failed to connect\n                        console.error("[Extensions] Failed to connect to node", arguments);\n                        _nodeConnectionDeferred.reject();\n                    }\n                );\n        });\n    });\n\n    // For unit tests only\n    exports._getNodeConnectionDeferred = _getNodeConnectionDeferred;\n\n    exports.installFromURL          = installFromURL;\n    exports.installFromPath         = installFromPath;\n    exports.validate                = validate;\n    exports.install                 = install;\n    exports.remove                  = remove;\n    exports.disable                 = disable;\n    exports.enable                  = enable;\n    exports.installUpdate           = installUpdate;\n    exports.formatError             = formatError;\n    exports.InstallationStatuses    = InstallationStatuses;\n});\n\n//# sourceURL=/extensibility/Package.js'),
eval("define('text!view/fontrules/font-based-rules.less',[],function () { return '@basefontsize: 16;\\n\\n/* mixin for converting EM to PX */\\n.emtoPx( @emvalue ) when (isem( @emvalue)) {\\n    @return: (unit(@emvalue) * @basefontsize) + 0px;\\n}\\n\\n/* mixin for passthrough other units */\\n.emtoPx( @emvalue ) when (isem(@emvalue) = false) {\\n    @return: @emvalue;\\n}\\n\\n@fontsizeparam : {font-size-param};\\n\\n@value: return;\\n.emtoPx(@fontsizeparam);\\n@fontsize: @@value;\\n\\n@defaultfontsize : 12px;\\n@maxvisibleitems: 8;\\n@lineheightoffset: 5px/@defaultfontsize;\\n@defaultmenuwidth: 300px/@defaultfontsize;\\n\\n@lineheight: @fontsize +  @fontsize * @lineheightoffset;\\n\\n.CodeMirror {\\n    font-size: @fontsize !important;\\n}\\n\\n.codehint-menu .dropdown-menu li a {\\n    font-size: @fontsize !important;\\n    line-height: @lineheight  !important;\\n}\\n\\nspan.brackets-js-hints-with-type-details {\\n    width: @defaultmenuwidth * @fontsize !important;\\n}\\n\\n.codehint-menu .dropdown-menu {\\n    max-height: @maxvisibleitems * @lineheight !important;\\n}';});\n\n//# sourceURL=/text!view/fontrules/font-based-rules.less"),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*global less */\n\n/**\n * The ViewCommandHandlers object dispatches the following event(s):\n *    - fontSizeChange -- Triggered when the font size is changed via the\n *      Increase Font Size, Decrease Font Size, or Restore Font Size commands.\n *      The 2nd arg to the listener is the amount of the change. The 3rd arg\n *      is a string containing the new font size after applying the change.\n */\ndefine(\'view/ViewCommandHandlers\',[\'require\',\'exports\',\'module\',\'command/Commands\',\'utils/EventDispatcher\',\'command/CommandManager\',\'strings\',\'utils/StringUtils\',\'editor/EditorManager\',\'preferences/PreferencesManager\',\'document/DocumentManager\',\'view/ThemeSettings\',\'view/MainViewManager\',\'utils/AppInit\',\'thirdparty/lodash\',\'text!view/fontrules/font-based-rules.less\'],function (require, exports, module) {\n    "use strict";\n\n    var Commands            = require("command/Commands"),\n        EventDispatcher     = require("utils/EventDispatcher"),\n        CommandManager      = require("command/CommandManager"),\n        Strings             = require("strings"),\n        StringUtils         = require("utils/StringUtils"),\n        EditorManager       = require("editor/EditorManager"),\n        PreferencesManager  = require("preferences/PreferencesManager"),\n        DocumentManager     = require("document/DocumentManager"),\n        ThemeSettings       = require("view/ThemeSettings"),\n        MainViewManager     = require("view/MainViewManager"),\n        AppInit             = require("utils/AppInit"),\n        _                   = require("thirdparty/lodash"),\n        FontRuleTemplate    = require("text!view/fontrules/font-based-rules.less");\n\n    var prefs = PreferencesManager.getExtensionPrefs("fonts");\n    \n    \n    /**\n     * Font sizes should be validated by this regexp\n     */\n    var validFontSizeRegExpStr = "^([0-9]+)?(\\\\.)?([0-9]+)(px|em)$";\n    // Need RegExp as a string to be exported for use with HTML5 pattern attribute\n\n    /**\n     * @private\n     * The currently present font size. Used to detect no-op changes.\n     * @type {string}\n     */\n    var currFontSize;\n\n    /**\n     * @private\n     * The currently present font family. Used to detect no-op changes.\n     * @type {string}\n     */\n    var currFontFamily;\n\n    /**\n     * @const\n     * @type {string}\n     */\n    var DYNAMIC_FONT_STYLE_ID = "codemirror-dynamic-fonts";\n\n    /**\n     * @const\n     * @type {string}\n     */\n    var DYNAMIC_FONT_FAMILY_ID = "codemirror-dynamic-font-family";\n\n    /**\n     * @const\n     * @private\n     * The smallest font size in pixels\n     * @type {number}\n     */\n    var MIN_FONT_SIZE = 1;\n\n    /**\n     * @const\n     * @private\n     * The largest font size in pixels\n     * @type {number}\n     */\n    var MAX_FONT_SIZE = 72;\n\n    /**\n     * @const\n     * @private\n     * The default font size used only to convert the old fontSizeAdjustment view state to the new fontSize\n     * @type {number}\n     */\n    var DEFAULT_FONT_SIZE = 12;\n\n    /**\n     * @const\n     * @private\n     * The default font family\n     * @type {string}\n     */\n    var DEFAULT_FONT_FAMILY = "\'SourceCodePro-Medium\', ＭＳ ゴシック, \'MS Gothic\', monospace";\n    \n    /**\n     * @private\n     * Removes style property from the DOM\n     * @param {string} propertyID is the id of the property to be removed\n     */\n    function _removeDynamicProperty(propertyID) {\n        $("#" + propertyID).remove();\n    }\n    \n    /**\n     * @private\n     * Add the style property to the DOM\n     * @param {string} propertyID Is the property ID to be added\n     * @param {object} ruleCfg Is the CSS Rule configuration object\n     * @param {string} ruleCfg.propName Is the name of the style property\n     * @param {string} ruleCfg.propValue Is the value of the style property\n     * @param {boolean} ruleCfg.priorityFlag Is a flag to make the style property !important\n     * @param {string} ruleCfg.ruleName Optional Selctor name to be used for the rule\n     * @param {string} ruleCfg.ruleText Optional selector definition text\n     */\n    function _addDynamicProperty(propertyID, ruleCfg) {\n        var $style   = $("<style type=\'text/css\'></style>").attr("id", propertyID);\n        if (ruleCfg.ruleText) {\n            $style.html(ruleCfg.ruleText);\n        } else {\n            var cssRule = ruleCfg.ruleName || ".CodeMirror";\n            var styleStr = ruleCfg.ruleText || StringUtils.format("{0}: {1} {2}", ruleCfg.propName, ruleCfg.propValue, ruleCfg.priorityFlag ? "!important" : "");\n            $style.html(cssRule + "{ " + styleStr + " }");\n        }\n\n        // Let\'s make sure we remove the already existing item from the DOM.\n        _removeDynamicProperty(propertyID);\n        $("head").append($style);\n    }\n    \n    /**\n     * @private\n     * Removes the styles used to update the font size\n     */\n    function _removeDynamicFontSize() {\n        _removeDynamicProperty(DYNAMIC_FONT_STYLE_ID);\n    }\n\n    /**\n     * @private\n     * Add the styles used to update the font size\n     * @param {string} fontSize  A string with the font size and the size unit\n     */\n    function _addDynamicFontSize(fontSize) {\n        var template = FontRuleTemplate.split("{font-size-param}").join(fontSize);\n        less.render(template, null, function onParse(err, tree) {\n            if (err) {\n                console.error(err);\n            } else {\n                _addDynamicProperty(DYNAMIC_FONT_STYLE_ID, {\n                    ruleText: tree.css\n                });\n            }\n        });\n    }\n\n    /**\n     * @private\n     * Removes the styles used to update the font family\n     */\n    function _removeDynamicFontFamily() {\n        _removeDynamicProperty(DYNAMIC_FONT_FAMILY_ID);\n    }\n\n    /**\n     * @private\n     * Add the styles used to update the font family\n     * @param {string} fontFamily  A string with the font family\n     */\n    function _addDynamicFontFamily(fontFamily) {\n        _addDynamicProperty(DYNAMIC_FONT_STYLE_ID, {\n            propName: "font-family",\n            propValue: fontFamily\n        });\n    }\n\n    /**\n     * @private\n     * Sets the font size and restores the scroll position as best as possible.\n     * @param {!Editor} editor  Editor to update.\n     * @param {string=} fontSize  A string with the font size and the size unit\n     */\n    function _updateScroll(editor, fontSize) {\n        var oldWidth    = editor._codeMirror.defaultCharWidth(),\n            oldFontSize = prefs.get("fontSize"),\n            newFontSize = fontSize,\n            delta       = 0,\n            adjustment  = 0,\n            scrollPos   = editor.getScrollPos(),\n            line        = editor._codeMirror.lineAtHeight(scrollPos.y, "local");\n\n        delta = /em$/.test(oldFontSize) ? 10 : 1;\n        adjustment = parseInt((parseFloat(newFontSize) - parseFloat(oldFontSize)) * delta, 10);\n\n        // Only adjust the scroll position if there was any adjustments to the font size.\n        // Otherwise there will be unintended scrolling.\n        //\n        if (adjustment) {\n            editor.refreshAll();\n        }\n\n        // Calculate the new scroll based on the old font sizes and scroll position\n        var newWidth   = editor._codeMirror.defaultCharWidth(),\n            deltaX     = scrollPos.x / oldWidth,\n            scrollPosX = scrollPos.x + Math.round(deltaX * (newWidth  - oldWidth)),\n            scrollPosY = editor._codeMirror.heightAtLine(line, "local");\n\n        editor.setScrollPos(scrollPosX, scrollPosY);\n    }\n\n    /**\n     * Font size setter to set the font size for the document editor\n     * @param {string} fontSize The font size with size unit as \'px\' or \'em\'\n     */\n    function setFontSize(fontSize) {\n        if (currFontSize === fontSize) {\n            return;\n        }\n\n        _removeDynamicFontSize();\n        if (fontSize) {\n            _addDynamicFontSize(fontSize);\n        }\n\n        // Update scroll metrics in viewed editors\n        _.forEach(MainViewManager.getPaneIdList(), function (paneId) {\n            var currentPath = MainViewManager.getCurrentlyViewedPath(paneId),\n                doc = currentPath && DocumentManager.getOpenDocumentForPath(currentPath);\n            if (doc && doc._masterEditor) {\n                _updateScroll(doc._masterEditor, fontSize);\n            }\n        });\n\n        exports.trigger("fontSizeChange", fontSize, currFontSize);\n        currFontSize = fontSize;\n        prefs.set("fontSize", fontSize);\n    }\n\n    /**\n     * Font size getter to get the current font size for the document editor\n     * @return {string} Font size with size unit as \'px\' or \'em\'\n     */\n    function getFontSize() {\n        return prefs.get("fontSize");\n    }\n\n\n    /**\n     * Font family setter to set the font family for the document editor\n     * @param {string} fontFamily The font family to be set.  It can be a string with multiple comma separated fonts\n     */\n    function setFontFamily(fontFamily) {\n        var editor = EditorManager.getCurrentFullEditor();\n\n        if (currFontFamily === fontFamily) {\n            return;\n        }\n\n        _removeDynamicFontFamily();\n        if (fontFamily) {\n            _addDynamicFontFamily(fontFamily);\n        }\n\n        exports.trigger("fontFamilyChange", fontFamily, currFontFamily);\n        currFontFamily = fontFamily;\n        prefs.set("fontFamily", fontFamily);\n\n        if (editor) {\n            editor.refreshAll();\n        }\n    }\n\n\n    /**\n     * Font smoothing setter to set the anti-aliasing type for the code area on Mac.\n     * @param {string} aaType The antialiasing type to be set. It can take either "subpixel-antialiased" or "antialiased"\n     */\n    function setMacFontSmoothingType(aaType) {\n        var $editor_holder  = $("#editor-holder");\n\n        // Add/Remove the class based on the preference. Also\n        // default to subpixel AA in case of invalid entries.\n        if (aaType === "antialiased") {\n            $editor_holder.removeClass("subpixel-aa");\n        } else {\n            $editor_holder.addClass("subpixel-aa");\n        }\n    }\n\n    /**\n     * Font family getter to get the currently configured font family for the document editor\n     * @return {string} The font family for the document editor\n     */\n    function getFontFamily() {\n        return prefs.get("fontFamily");\n    }\n\n\n    /**\n     * @private\n     * Increases or decreases the editor\'s font size.\n     * @param {number} adjustment  Negative number to make the font smaller; positive number to make it bigger\n     * @return {boolean} true if adjustment occurred, false if it did not occur\n     */\n     function _adjustFontSize(adjustment) {\n        var fsStyle    = prefs.get("fontSize");\n        var validFontSizeRegExp = new RegExp(validFontSizeRegExpStr);\n        \n        // Make sure that the font size is expressed in terms we can\n        // handle (px or em). If not, simply bail.\n        \n         if (fsStyle.search(validFontSizeRegExp) === -1) {\n            return false;\n        }\n\n        // Guaranteed to work by validation above.\n        var fsUnits = fsStyle.substring(fsStyle.length - 2, fsStyle.length),\n            delta   = fsUnits === "px" ? 1 : 0.1,\n            fsOld   = parseFloat(fsStyle.substring(0, fsStyle.length - 2)),\n            fsNew   = fsOld + (delta * adjustment),\n            fsStr   = fsNew + fsUnits;\n\n        // Don\'t let the font size get too small or too large. The minimum font size is 1px or 0.1em\n        // and the maximum font size is 72px or 7.2em depending on the unit used\n        if (fsNew < MIN_FONT_SIZE * delta || fsNew > MAX_FONT_SIZE * delta) {\n            return false;\n        }\n\n        setFontSize(fsStr);\n        return true;\n    }\n\n    /** Increases the font size by 1 */\n    function _handleIncreaseFontSize() {\n        _adjustFontSize(1);\n    }\n\n    /** Decreases the font size by 1 */\n    function _handleDecreaseFontSize() {\n        _adjustFontSize(-1);\n    }\n\n    /** Restores the font size to the original size */\n    function _handleRestoreFontSize() {\n        setFontSize(DEFAULT_FONT_SIZE + "px");\n    }\n\n    /**\n     * @private\n     * Updates the user interface appropriately based on whether or not a document is\n     * currently open in the editor.\n     */\n    function _updateUI() {\n        if (DocumentManager.getCurrentDocument() !== null) {\n            if (!CommandManager.get(Commands.VIEW_INCREASE_FONT_SIZE).getEnabled()) {\n                // If one is disabled then they all are disabled, so enable them all\n                CommandManager.get(Commands.VIEW_INCREASE_FONT_SIZE).setEnabled(true);\n                CommandManager.get(Commands.VIEW_DECREASE_FONT_SIZE).setEnabled(true);\n                CommandManager.get(Commands.VIEW_RESTORE_FONT_SIZE).setEnabled(true);\n            }\n        } else {\n            // No current document so disable all of the Font Size commands\n            CommandManager.get(Commands.VIEW_INCREASE_FONT_SIZE).setEnabled(false);\n            CommandManager.get(Commands.VIEW_DECREASE_FONT_SIZE).setEnabled(false);\n            CommandManager.get(Commands.VIEW_RESTORE_FONT_SIZE).setEnabled(false);\n        }\n    }\n\n    /**\n     * Initializes the different settings that need to loaded\n     */\n    function init() {\n        currFontFamily = prefs.get("fontFamily");\n        _addDynamicFontFamily(currFontFamily);\n        currFontSize = prefs.get("fontSize");\n        _addDynamicFontSize(currFontSize);\n        _updateUI();\n    }\n\n    /**\n     * Restores the font size using the saved style and migrates the old fontSizeAdjustment\n     * view state to the new fontSize, when required\n     */\n    function restoreFontSize() {\n        var fsStyle      = prefs.get("fontSize"),\n            fsAdjustment = PreferencesManager.getViewState("fontSizeAdjustment");\n\n        if (fsAdjustment) {\n            // Always remove the old view state even if we also have the new view state.\n            PreferencesManager.setViewState("fontSizeAdjustment");\n\n            if (!fsStyle) {\n                // Migrate the old view state to the new one.\n                fsStyle = (DEFAULT_FONT_SIZE + fsAdjustment) + "px";\n                prefs.set("fontSize", fsStyle);\n            }\n        }\n\n        if (fsStyle) {\n            _removeDynamicFontSize();\n            _addDynamicFontSize(fsStyle);\n        }\n    }\n\n    /**\n     * Restores the font size and font family back to factory settings.\n     */\n    function restoreFonts() {\n        setFontFamily(DEFAULT_FONT_FAMILY);\n        setFontSize(DEFAULT_FONT_SIZE + "px");\n    }\n\n\n    /**\n     * @private\n     * Calculates the first and last visible lines of the focused editor\n     * @param {number} textHeight\n     * @param {number} scrollTop\n     * @param {number} editorHeight\n     * @return {{first: number, last: number}}\n     */\n    function _getLinesInView(textHeight, scrollTop, editorHeight) {\n        var scrolledTop    = scrollTop / textHeight,\n            scrolledBottom = (scrollTop + editorHeight) / textHeight;\n\n        // Adjust the last line to round inward to show a whole lines.\n        var firstLine      = Math.ceil(scrolledTop),\n            lastLine       = Math.floor(scrolledBottom) - 1;\n\n        return { first: firstLine, last: lastLine };\n    }\n\n    /**\n     * @private\n     * Scroll the viewport one line up or down.\n     * @param {number} direction -1 to scroll one line up; 1 to scroll one line down.\n     */\n    function _scrollLine(direction) {\n        var editor        = EditorManager.getCurrentFullEditor(),\n            textHeight    = editor.getTextHeight(),\n            cursorPos     = editor.getCursorPos(),\n            hasSelecction = editor.hasSelection(),\n            inlineEditors = editor.getInlineWidgets(),\n            scrollInfo    = editor._codeMirror.getScrollInfo(),\n            paddingTop    = editor._getLineSpaceElement().offsetTop,\n            editorHeight  = scrollInfo.clientHeight,\n            scrollTop     = scrollInfo.top - paddingTop,\n            removedScroll = paddingTop;\n\n        // Go through all the editors and reduce the scroll top and editor height to properly calculate the lines in view\n        var line, coords;\n        inlineEditors.forEach(function (inlineEditor) {\n            line   = editor._getInlineWidgetLineNumber(inlineEditor);\n            coords = editor._codeMirror.charCoords({line: line, ch: 0}, "local");\n\n            if (coords.top < scrollInfo.top) {\n                scrollTop     -= inlineEditor.info.height;\n                removedScroll += inlineEditor.info.height;\n\n            } else if (coords.top + inlineEditor.info.height < scrollInfo.top + editorHeight) {\n                editorHeight -= inlineEditor.info.height;\n            }\n        });\n\n        // Calculate the lines in view\n        var linesInView = _getLinesInView(textHeight, scrollTop, editorHeight);\n\n        // If there is no selection move the cursor so that is always visible.\n        if (!hasSelecction) {\n            // Move the cursor to the first visible line.\n            if (cursorPos.line < linesInView.first) {\n                editor.setCursorPos({line: linesInView.first + direction, ch: cursorPos.ch});\n\n            // Move the cursor to the last visible line.\n            } else if (cursorPos.line > linesInView.last) {\n                editor.setCursorPos({line: linesInView.last + direction, ch: cursorPos.ch});\n\n            // Move the cursor up or down using moveV to keep the goal column intact, since setCursorPos deletes it.\n            } else if ((direction > 0 && cursorPos.line === linesInView.first) ||\n                    (direction < 0 && cursorPos.line === linesInView.last)) {\n                editor._codeMirror.moveV(direction, "line");\n            }\n        }\n\n        // Scroll and make it snap to lines\n        var lines = linesInView.first + direction;\n        editor.setScrollPos(scrollInfo.left, (textHeight * lines) + removedScroll);\n    }\n\n    /** Scrolls one line up */\n    function _handleScrollLineUp() {\n        _scrollLine(-1);\n    }\n\n    /** Scrolls one line down */\n    function _handleScrollLineDown() {\n        _scrollLine(1);\n    }\n\n    /** Open theme settings dialog */\n    function _handleThemeSettings() {\n        ThemeSettings.showDialog();\n    }\n\n    // Register command handlers\n    CommandManager.register(Strings.CMD_INCREASE_FONT_SIZE, Commands.VIEW_INCREASE_FONT_SIZE,  _handleIncreaseFontSize);\n    CommandManager.register(Strings.CMD_DECREASE_FONT_SIZE, Commands.VIEW_DECREASE_FONT_SIZE,  _handleDecreaseFontSize);\n    CommandManager.register(Strings.CMD_RESTORE_FONT_SIZE,  Commands.VIEW_RESTORE_FONT_SIZE,   _handleRestoreFontSize);\n    CommandManager.register(Strings.CMD_SCROLL_LINE_UP,     Commands.VIEW_SCROLL_LINE_UP,      _handleScrollLineUp);\n    CommandManager.register(Strings.CMD_SCROLL_LINE_DOWN,   Commands.VIEW_SCROLL_LINE_DOWN,    _handleScrollLineDown);\n    CommandManager.register(Strings.CMD_THEMES,             Commands.CMD_THEMES_OPEN_SETTINGS, _handleThemeSettings);\n\n    prefs.definePreference("fontSize",   "string", DEFAULT_FONT_SIZE + "px", {\n        description: Strings.DESCRIPTION_FONT_SIZE\n    }).on("change", function () {\n        setFontSize(prefs.get("fontSize"));\n    });\n    prefs.definePreference("fontFamily", "string", DEFAULT_FONT_FAMILY, {\n        description: Strings.DESCRIPTION_FONT_FAMILY\n    }).on("change", function () {\n        setFontFamily(prefs.get("fontFamily"));\n    });\n\n    // Define a preference for font smoothing mode on Mac.\n    // By default fontSmoothing is set to "subpixel-antialiased"\n    // for the text inside code editor. It can be overridden\n    // to "antialiased", that would set text rendering AA to use\n    // gray scale antialiasing.\n    if (brackets.platform === "mac") {\n        prefs.definePreference("fontSmoothing", "string", "subpixel-antialiased", {\n            description: Strings.DESCRIPTION_FONT_SMOOTHING,\n            values: ["subpixel-antialiased", "antialiased"]\n        }).on("change", function () {\n            setMacFontSmoothingType(prefs.get("fontSmoothing"));\n        });\n    }\n\n    // Update UI when opening or closing a document\n    MainViewManager.on("currentFileChange", _updateUI);\n\n    // Update UI when Brackets finishes loading\n    AppInit.appReady(init);\n\n    EventDispatcher.makeEventDispatcher(exports);\n\n    exports.restoreFontSize = restoreFontSize;\n    exports.restoreFonts    = restoreFonts;\n    exports.getFontSize     = getFontSize;\n    exports.setFontSize     = setFontSize;\n    exports.getFontFamily   = getFontFamily;\n    exports.setFontFamily   = setFontFamily;\n    exports.validFontSizeRegExp = validFontSizeRegExpStr;\n}); \n\n//# sourceURL=/view/ViewCommandHandlers.js'),eval('define(\'text!htmlContent/themes-settings.html\',[],function () { return \'<div class="theme-settings modal">\\n    <div class="modal-header">\\n        <h1 class="dialog-title">{{Strings.THEMES_SETTINGS}}</h1>\\n    </div>\\n    <div class="modal-body">\\n        <form class="form-horizontal">\\n            <div class="control-group">\\n                <label class="control-label">{{Strings.CURRENT_THEME}}:</label>\\n                <div class="controls">\\n                    <select>\\n                        {{#themes}}\\n                        <option style="text-align:left;" value="{{name}}" data-target="theme">{{displayName}}</option>\\n                        {{/themes}}\\n                    </select>\\n                </div>\\n            </div>\\n\\n            <div class="control-group">\\n                <label class="control-label">{{Strings.USE_THEME_SCROLLBARS}}:</label>\\n                <div class="controls">\\n                    {{#settings.themeScrollbars}}\\n                        <input type="checkbox" data-target="themeScrollbars" checked>\\n                    {{/settings.themeScrollbars}}\\n                    {{^settings.themeScrollbars}}\\n                        <input type="checkbox" data-target="themeScrollbars">\\n                    {{/settings.themeScrollbars}}\\n                </div>\\n            </div>\\n\\n            <div class="control-group">\\n                <label class="control-label">{{Strings.FONT_SIZE}}:</label>\\n                <div class="controls">\\n                    <input type="text" pattern="{{settings.validFontSizeRegExp}}" data-target="fontSize" value="{{settings.fontSize}}">\\n                </div>\\n            </div>\\n\\n            <div class="control-group">\\n                <label class="control-label">{{Strings.FONT_FAMILY}}:</label>\\n                <div class="controls">\\n                    <input type="text" data-target="fontFamily" value="{{settings.fontFamily}}">\\n                </div>\\n            </div>\\n        </form>\\n    </div>\\n    <div class="modal-footer">\\n        <button class="dialog-button btn" data-button-id="cancel">{{Strings.CANCEL}}</button>\\n        <button class="dialog-button btn primary" id="theme-settings-done-btn" data-button-id="save">{{Strings.DONE}}</button>\\n    </div>\\n</div>\\n\';});\n\n//# sourceURL=/text!htmlContent/themes-settings.html'),eval('/**\n * Brackets Themes Copyright (c) 2014 Miguel Castillo.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'view/ThemeSettings\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'thirdparty/mustache/mustache\',\'widgets/Dialogs\',\'strings\',\'view/ViewCommandHandlers\',\'text!htmlContent/themes-settings.html\',\'preferences/PreferencesManager\'],function (require, exports, module) {\n    "use strict";\n\n    var _                   = require("thirdparty/lodash"),\n        Mustache            = require("thirdparty/mustache/mustache"),\n        Dialogs             = require("widgets/Dialogs"),\n        Strings             = require("strings"),\n        ViewCommandHandlers = require("view/ViewCommandHandlers"),\n        settingsTemplate    = require("text!htmlContent/themes-settings.html"),\n        PreferencesManager  = require("preferences/PreferencesManager"),\n        prefs               = PreferencesManager.getExtensionPrefs("themes");\n\n    /**\n     * @type {Object}\n     * Currently loaded themes that are available to choose from.\n     */\n    var loadedThemes = {};\n\n    /**\n     * Object with all default values that can be configure via the settings UI\n     */\n    var defaults = {\n        "themeScrollbars": true,\n        "theme": "light-theme"\n    };\n\n\n    /**\n     * Cached html settings jQuery object for easier processing when opening the settings dialog\n     */\n    var $settings = $(settingsTemplate).addClass("themeSettings");\n\n    /**\n     * @private\n     * Gets all the configurable settings that need to be loaded in the settings dialog\n     *\n     * @return {Object} a collection with all the settings\n     */\n    function getValues() {\n        var result = {};\n\n        Object.keys(defaults).forEach(function (key) {\n            result[key] = prefs.get(key);\n        });\n\n        result.fontFamily = ViewCommandHandlers.getFontFamily();\n        result.fontSize   = ViewCommandHandlers.getFontSize();\n        result.validFontSizeRegExp = ViewCommandHandlers.validFontSizeRegExp;\n        return result;\n    }\n\n    /**\n     * Opens the settings dialog\n     */\n    function showDialog() {\n        var currentSettings = getValues();\n        var newSettings     = {};\n        var themes          = _.map(loadedThemes, function (theme) { return theme; });\n        var template        = $("<div>").append($settings).html();\n        var $template       = $(Mustache.render(template, {"settings": currentSettings, "themes": themes, "Strings": Strings}));\n\n        // Select the correct theme.\n        var $currentThemeOption = $template\n            .find("[value=\'" + currentSettings.theme + "\']");\n\n        if ($currentThemeOption.length === 0) {\n            $currentThemeOption = $template.find("[value=\'" + defaults.theme + "\']");\n        }\n        $currentThemeOption.attr("selected", "selected");\n\n        $template\n            .find("[data-toggle=tab].default")\n            .tab("show");\n\n        $template\n            .on("change", "[data-target]:checkbox", function () {\n                var $target = $(this);\n                var attr = $target.attr("data-target");\n                newSettings[attr] = $target.is(":checked");\n            })\n            .on("input", "[data-target=\'fontSize\']", function () {\n                var target = this;\n                var targetValue = $(this).val();\n                var $btn = $("#theme-settings-done-btn")[0];\n\n                // Make sure that the font size is expressed in terms\n                // we can handle (px or em). If not, \'done\' button is\n                // disabled until input has been corrected.\n\n                if (target.checkValidity() === true) {\n                    $btn.disabled = false;\n                    newSettings["fontSize"] = targetValue;\n                } else {\n                    $btn.disabled = true;\n                }\n            })\n            .on("input", "[data-target=\'fontFamily\']", function () {\n                var targetValue = $(this).val();\n                newSettings["fontFamily"] = targetValue;\n            })\n            .on("change", "select", function () {\n                var $target = $(":selected", this);\n                var attr = $target.attr("data-target");\n\n                if (attr) {\n                    prefs.set(attr, $target.val());\n                }\n            });\n\n        Dialogs.showModalDialogUsingTemplate($template).done(function (id) {\n            var setterFn;\n\n            if (id === "save") {\n                // Go through each new setting and apply it\n                Object.keys(newSettings).forEach(function (setting) {\n                    if (defaults.hasOwnProperty(setting)) {\n                        prefs.set(setting, newSettings[setting]);\n                    } else {\n                        // Figure out if the setting is in the ViewCommandHandlers, which means it is\n                        // a font setting\n                        setterFn = "set" + setting[0].toLocaleUpperCase() + setting.substr(1);\n                        if (typeof ViewCommandHandlers[setterFn] === "function") {\n                            ViewCommandHandlers[setterFn](newSettings[setting]);\n                        }\n                    }\n                });\n            } else if (id === "cancel") {\n                // Make sure we revert any changes to theme selection\n                prefs.set("theme", currentSettings.theme);\n            }\n        });\n    }\n\n    /**\n     * Interface to set the themes that are available to chose from in the setting dialog\n     * @param {ThemeManager.Theme} themes is a collection of themes created by the ThemeManager\n     */\n    function setThemes(themes) {\n        loadedThemes = themes;\n    }\n\n    /**\n     * Restores themes to factory settings.\n     */\n    function restore() {\n        prefs.set("theme", defaults.theme);\n        prefs.set("themeScrollbars", defaults.themeScrollbars);\n    }\n\n    prefs.definePreference("theme", "string", defaults.theme, {\n        description: Strings.DESCRIPTION_THEME\n    });\n    prefs.definePreference("themeScrollbars", "boolean", defaults.themeScrollbars, {\n        description: Strings.DESCRIPTION_USE_THEME_SCROLLBARS\n    });\n\n    exports._setThemes = setThemes;\n    exports.restore    = restore;\n    exports.showDialog = showDialog;\n});\n\n//# sourceURL=/view/ThemeSettings.js'),
eval('/**\n * Brackets Themes Copyright (c) 2014 Miguel Castillo.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'view/ThemeView\',[\'require\',\'exports\',\'module\',\'thirdparty/CodeMirror/lib/codemirror\',\'preferences/PreferencesManager\'],function (require, exports, module) {\n    "use strict";\n\n    var CodeMirror         = require("thirdparty/CodeMirror/lib/codemirror"),\n        PreferencesManager = require("preferences/PreferencesManager"),\n        prefs              = PreferencesManager.getExtensionPrefs("themes");\n\n    var $scrollbars = $("<style id=\'scrollbars\'>").appendTo("head");\n\n\n    /**\n     * Load scrollbar styling based on whether or not theme scrollbars are enabled.\n     *\n     * @param {ThemeManager.Theme} theme Is the theme object with the corresponding scrollbar style\n     *   to be updated\n     */\n    function updateScrollbars(theme) {\n        theme = theme || {};\n        if (prefs.get("themeScrollbars")) {\n            var scrollbar = (theme.scrollbar || []).join(" ");\n            $scrollbars.text(scrollbar || "");\n        } else {\n            $scrollbars.text("");\n        }\n    }\n\n\n    /**\n     *  Handles updating codemirror with the current selection of themes.\n     *\n     * @param {CodeMirror} cm is the CodeMirror instance currently loaded\n     */\n    function updateThemes(cm) {\n        var newTheme = prefs.get("theme"),\n            cmTheme  = (cm.getOption("theme") || "").replace(/[\\s]*/, ""); // Normalize themes string\n\n        // Check if the editor already has the theme applied...\n        if (cmTheme === newTheme) {\n            return;\n        }\n\n        // Setup current and further documents to get the new theme...\n        CodeMirror.defaults.theme = newTheme;\n        cm.setOption("theme", newTheme);\n    }\n\n\n    exports.updateScrollbars = updateScrollbars;\n    exports.updateThemes     = updateThemes;\n});\n\n//# sourceURL=/view/ThemeView.js'),eval('/**\n * Brackets Themes Copyright (c) 2014 Miguel Castillo.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*jslint regexp: true */\n/*global less */\n\ndefine(\'view/ThemeManager\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'utils/EventDispatcher\',\'filesystem/FileSystem\',\'file/FileUtils\',\'editor/EditorManager\',\'utils/ExtensionUtils\',\'view/ThemeSettings\',\'view/ThemeView\',\'preferences/PreferencesManager\'],function (require, exports, module) {\n    "use strict";\n\n    var _                  = require("thirdparty/lodash"),\n        EventDispatcher    = require("utils/EventDispatcher"),\n        FileSystem         = require("filesystem/FileSystem"),\n        FileUtils          = require("file/FileUtils"),\n        EditorManager      = require("editor/EditorManager"),\n        ExtensionUtils     = require("utils/ExtensionUtils"),\n        ThemeSettings      = require("view/ThemeSettings"),\n        ThemeView          = require("view/ThemeView"),\n        PreferencesManager = require("preferences/PreferencesManager"),\n        prefs              = PreferencesManager.getExtensionPrefs("themes");\n\n    var loadedThemes    = {},\n        currentTheme    = null,\n        styleNode       = $(ExtensionUtils.addEmbeddedStyleSheet("")),\n        defaultTheme    = "thor-light-theme",\n        commentRegex    = /\\/\\*([\\s\\S]*?)\\*\\//mg,\n        scrollbarsRegex = /((?:[^}|,]*)::-webkit-scrollbar(?:[^{]*)[{](?:[^}]*?)[}])/mgi,\n        stylesPath      = FileUtils.getNativeBracketsDirectoryPath() + "/styles/";\n\n\n    /**\n     * @private\n     * Takes all dashes and converts them to white spaces. Then takes all first letters\n     * and capitalizes them.\n     *\n     * @param {string} name is what needs to be procseed to generate a display name\n     * @return {string} theme name properly formatted for display\n     */\n    function toDisplayName(name) {\n        var extIndex = name.lastIndexOf(\'.\');\n        name = name.substring(0, extIndex !== -1 ? extIndex : undefined).replace(/-/g, \' \');\n\n        return name.split(" ").map(function (part) {\n            return part[0].toUpperCase() + part.substring(1);\n        }).join(" ");\n    }\n\n\n    /**\n     * @constructor\n     * Theme contains all the essential bit to load a theme from disk, display a theme in the settings\n     * dialog, and to properly add a theme into CodeMirror along with the rest of brackets.\n     *\n     * @param {File} file for the theme\n     * @param {{name: string, title: string}} options to configure different\n     *   properties in the theme\n     */\n    function Theme(file, options) {\n        options = options || {};\n        var fileName = file.name;\n\n        // If no options.name is provided, then we derive the name of the theme from whichever we find\n        // first, the options.title or the filename.\n        if (!options.name) {\n            if (options.title) {\n                options.name = options.title;\n            } else {\n                // Remove the file extension when the filename is used as the theme name. This is to\n                // follow CodeMirror conventions where themes are just a CSS file and the filename\n                // (without the extension) is used to build CSS rules.  Also handle removing .min\n                // in case the ".min" is part of the file name.\n                options.name = FileUtils.getFilenameWithoutExtension(fileName).replace(/\\.min$/, "");\n            }\n\n            // We do a bit of string treatment here to make sure we generate theme names that can be\n            // used as a CSS class name by CodeMirror.\n            options.name = options.name.toLocaleLowerCase().replace(/[\\W]/g, \'-\');\n        }\n\n        this.file           = file;\n        this.name           = options.name;\n        this.displayName    = options.title || toDisplayName(fileName);\n        this.dark           = options.theme !== undefined && options.theme.dark === true;\n        this.addModeClass   = options.theme !== undefined && options.theme.addModeClass === true;\n    }\n\n\n    /**\n     * @private\n     * Extracts the scrollbar text from the css/less content so that it can be treated\n     * as a separate styling component that can be anabled/disabled independently from\n     * the theme.\n     *\n     * @param {string} content is the css/less input string to be processed\n     * @return {{content: string, scrollbar: Array.<string>}} content is the new css/less content\n     *   with the scrollbar rules extracted out and put in scrollbar\n     */\n    function extractScrollbars(content) {\n        var scrollbar = [];\n\n        // Go through and extract out scrollbar customizations so that we can\n        // enable/disable via settings.\n        content = content\n            .replace(scrollbarsRegex, function (match) {\n                scrollbar.push(match);\n                return "";\n            });\n\n        return {\n            content: content,\n            scrollbar: scrollbar\n        };\n    }\n\n\n    /**\n     * @private\n     * Function will process a string and figure out if it looks like window path with a\n     * a drive.  If that\'s the case, then we lower case everything.\n     * --- NOTE: There is a bug in less that only checks for lowercase in order to handle\n     * the rootPath configuration...  Hopefully a PR will be coming their way soon.\n     *\n     * @param {string} path is a string to search for drive letters that need to be converted\n     *   to lower case.\n     *\n     * @return {string} Windows Drive letter in lowercase.\n     */\n    function fixPath(path) {\n        return path.replace(/^([A-Z]+:)?\\//, function (match) {\n            return match.toLocaleLowerCase();\n        });\n    }\n\n\n    /**\n     * @private\n     * Takes the content of a file and feeds it through the less processor in order\n     * to provide support for less files.\n     *\n     * @param {string} content is the css/less string to be processed\n     * @param {Theme} theme is the object the css/less corresponds to\n     * @return {$.Promise} promsie with the processed css/less as the resolved value\n     */\n    function lessifyTheme(content, theme) {\n        var deferred = new $.Deferred();\n\n        less.render("#editor-holder {" + content + "\\n}", {\n            rootpath: fixPath(stylesPath),\n            filename: fixPath(theme.file._path)\n        }, function (err, tree) {\n            if (err) {\n                deferred.reject(err);\n            } else {\n                deferred.resolve(tree.css);\n            }\n        });\n\n        return deferred.promise();\n    }\n\n    /**\n     * @private\n     * Will search all loaded themes for one the matches the file passed in\n     *\n     * @param {File} file is the search criteria\n     * @return {Theme} theme that matches the file\n     */\n    function getThemeByFile(file) {\n        var path = file._path;\n        return _.find(loadedThemes, function (item) {\n            return item.file._path === path;\n        });\n    }\n\n\n    /**\n     * Get current theme object that is loaded in the editor.\n     *\n     * @return {Theme} the current theme instance\n     */\n    function getCurrentTheme() {\n        if (!currentTheme) {\n            currentTheme = loadedThemes[prefs.get("theme")] || loadedThemes[defaultTheme];\n        }\n\n        return currentTheme;\n    }\n\n\n    /**\n     * Gets all available themes\n     * @return {Array.<Theme>} collection of all available themes\n     */\n    function getAllThemes() {\n        return _.map(loadedThemes, function (theme) {\n            return theme;\n        });\n    }\n\n\n    /**\n     * @private\n     * Process and load the current theme into the editor\n     *\n     * @return {$.Promise} promise object resolved with the theme object and all\n     *    corresponding new css/less and scrollbar information\n     */\n    function loadCurrentTheme() {\n        var theme = getCurrentTheme();\n\n        var pending = theme && FileUtils.readAsText(theme.file)\n            .then(function (lessContent) {\n                return lessifyTheme(lessContent.replace(commentRegex, ""), theme);\n            })\n            .then(function (content) {\n                var result = extractScrollbars(content);\n                theme.scrollbar = result.scrollbar;\n                return result.content;\n            })\n            .then(function (cssContent) {\n                $("body").toggleClass("dark", theme.dark);\n                styleNode.text(cssContent);\n                return theme;\n            });\n\n        return $.when(pending);\n    }\n\n\n    /**\n     * Refresh current theme in the editor\n     *\n     * @param {boolean} force Forces a reload of the current theme.  It reloads the theme file.\n     */\n    function refresh(force) {\n        if (force) {\n            currentTheme = null;\n        }\n\n        $.when(force && loadCurrentTheme()).done(function () {\n            var editor = EditorManager.getActiveEditor();\n            if (!editor || !editor._codeMirror) {\n                return;\n            }\n\n            var cm = editor._codeMirror;\n            ThemeView.updateThemes(cm);\n\n            // currentTheme can be undefined, so watch out\n            cm.setOption("addModeClass", !!(currentTheme && currentTheme.addModeClass));\n        });\n    }\n\n\n    /**\n     * Loads a theme from a file.\n     *\n     * @param {string} fileName is the full path to the file to be opened\n     * @param {Object} options is an optional parameter to specify metadata\n     *    for the theme.\n     * @return {$.Promise} promise object resolved with the theme to be loaded from fileName\n     */\n    function loadFile(fileName, options) {\n        var deferred         = new $.Deferred(),\n            file             = FileSystem.getFileForPath(fileName),\n            currentThemeName = prefs.get("theme");\n\n        file.exists(function (err, exists) {\n            var theme;\n\n            if (exists) {\n                theme = new Theme(file, options);\n                loadedThemes[theme.name] = theme;\n                ThemeSettings._setThemes(loadedThemes);\n\n                // For themes that are loaded after ThemeManager has been loaded,\n                // we should check if it\'s the current theme.  If it is, then we just\n                // load it.\n                if (currentThemeName === theme.name) {\n                    refresh(true);\n                }\n\n                deferred.resolve(theme);\n            } else if (err || !exists) {\n                deferred.reject(err);\n            }\n        });\n\n        return deferred.promise();\n    }\n\n\n    /**\n     * Loads a theme from an extension package.\n     *\n     * @param {Object} themePackage is a package from the extension manager for the theme to be loaded.\n     * @return {$.Promise} promise object resolved with the theme to be loaded from the pacakge\n     */\n    function loadPackage(themePackage) {\n        var fileName = themePackage.path + "/" + themePackage.metadata.theme.file;\n        return loadFile(fileName, themePackage.metadata);\n    }\n\n\n    prefs.on("change", "theme", function () {\n        // Make sure we don\'t reprocess a theme that\'s already loaded\n        if (currentTheme && currentTheme.name === prefs.get("theme")) {\n            return;\n        }\n\n        // Refresh editor with the new theme\n        refresh(true);\n\n        // Process the scrollbars for the editor\n        ThemeView.updateScrollbars(getCurrentTheme());\n\n        // Expose event for theme changes\n        exports.trigger("themeChange", getCurrentTheme());\n    });\n\n    prefs.on("change", "themeScrollbars", function () {\n        refresh();\n        ThemeView.updateScrollbars(getCurrentTheme());\n    });\n\n    // Monitor file changes.  If the file that has changed is actually the currently loaded\n    // theme, then we just reload the theme.  This allows to live edit the theme\n    FileSystem.on("change", function (evt, file) {\n        if (!file || file.isDirectory) {\n            return;\n        }\n\n        if (getThemeByFile(file)) {\n            refresh(true);\n        }\n    });\n\n    EditorManager.on("activeEditorChange", function () {\n        refresh();\n    });\n\n\n    EventDispatcher.makeEventDispatcher(exports);\n\n    exports.refresh         = refresh;\n    exports.loadFile        = loadFile;\n    exports.loadPackage     = loadPackage;\n    exports.getCurrentTheme = getCurrentTheme;\n    exports.getAllThemes    = getAllThemes;\n\n    // Exposed for testing purposes\n    exports._toDisplayName     = toDisplayName;\n    exports._extractScrollbars = extractScrollbars;\n});\n\n//# sourceURL=/view/ThemeManager.js'),eval('define(\'thirdparty/semver.browser\',[],function(){return function(r){function e(n){if(t[n])return t[n].exports;var i=t[n]={i:n,l:!1,exports:{}};return r[n].call(i.exports,i,i.exports,e),i.l=!0,i.exports}var t={};return e.m=r,e.c=t,e.i=function(r){return r},e.d=function(r,t,n){e.o(r,t)||Object.defineProperty(r,t,{configurable:!1,enumerable:!0,get:n})},e.n=function(r){var t=r&&r.__esModule?function(){return r.default}:function(){return r};return e.d(t,"a",t),t},e.o=function(r,e){return Object.prototype.hasOwnProperty.call(r,e)},e.p="",e(e.s=1)}([function(r,e){function t(){throw new Error("setTimeout has not been defined")}function n(){throw new Error("clearTimeout has not been defined")}function i(r){if(h===setTimeout)return setTimeout(r,0);if((h===t||!h)&&setTimeout)return h=setTimeout,setTimeout(r,0);try{return h(r,0)}catch(e){try{return h.call(null,r,0)}catch(e){return h.call(this,r,0)}}}function o(r){if(p===clearTimeout)return clearTimeout(r);if((p===n||!p)&&clearTimeout)return p=clearTimeout,clearTimeout(r);try{return p(r)}catch(e){try{return p.call(null,r)}catch(e){return p.call(this,r)}}}function s(){m&&f&&(m=!1,f.length?v=f.concat(v):g=-1,v.length&&a())}function a(){if(!m){var r=i(s);m=!0;for(var e=v.length;e;){for(f=v,v=[];++g<e;)f&&f[g].run();g=-1,e=v.length}f=null,m=!1,o(r)}}function u(r,e){this.fun=r,this.array=e}function c(){}var h,p,l=r.exports={};!function(){try{h="function"==typeof setTimeout?setTimeout:t}catch(r){h=t}try{p="function"==typeof clearTimeout?clearTimeout:n}catch(r){p=n}}();var f,v=[],m=!1,g=-1;l.nextTick=function(r){var e=new Array(arguments.length-1);if(arguments.length>1)for(var t=1;t<arguments.length;t++)e[t-1]=arguments[t];v.push(new u(r,e)),1!==v.length||m||i(a)},u.prototype.run=function(){this.fun.apply(null,this.array)},l.title="browser",l.browser=!0,l.env={},l.argv=[],l.version="",l.versions={},l.on=c,l.addListener=c,l.once=c,l.off=c,l.removeListener=c,l.removeAllListeners=c,l.emit=c,l.binding=function(r){throw new Error("process.binding is not supported")},l.cwd=function(){return"/"},l.chdir=function(r){throw new Error("process.chdir is not supported")},l.umask=function(){return 0}},function(r,e,t){(function(t){function n(r,e){if(r instanceof s)return r;if("string"!=typeof r)return null;if(r.length>J)return null;if(!(e?Q[vr]:Q[pr]).test(r))return null;try{return new s(r,e)}catch(r){return null}}function i(r,e){var t=n(r,e);return t?t.version:null}function o(r,e){var t=n(r.trim().replace(/^[=v]+/,""),e);return t?t.version:null}function s(r,e){if(r instanceof s){if(r.loose===e)return r;r=r.version}else if("string"!=typeof r)throw new TypeError("Invalid Version: "+r);if(r.length>J)throw new TypeError("version is longer than "+J+" characters");if(!(this instanceof s))return new s(r,e);H("SemVer",r,e),this.loose=e;var t=r.trim().match(e?Q[vr]:Q[pr]);if(!t)throw new TypeError("Invalid Version: "+r);if(this.raw=r,this.major=+t[1],this.minor=+t[2],this.patch=+t[3],this.major>K||this.major<0)throw new TypeError("Invalid major version");if(this.minor>K||this.minor<0)throw new TypeError("Invalid minor version");if(this.patch>K||this.patch<0)throw new TypeError("Invalid patch version");t[4]?this.prerelease=t[4].split(".").map(function(r){if(/^[0-9]+$/.test(r)){var e=+r;if(e>=0&&e<K)return e}return r}):this.prerelease=[],this.build=t[5]?t[5].split("."):[],this.format()}function a(r,e,t,n){"string"==typeof t&&(n=t,t=void 0);try{return new s(r,t).inc(e,n).version}catch(r){return null}}function u(r,e){if(j(r,e))return null;var t=n(r),i=n(e);if(t.prerelease.length||i.prerelease.length){for(var o in t)if(("major"===o||"minor"===o||"patch"===o)&&t[o]!==i[o])return"pre"+o;return"prerelease"}for(var o in t)if(("major"===o||"minor"===o||"patch"===o)&&t[o]!==i[o])return o}function c(r,e){var t=Xr.test(r),n=Xr.test(e);return t&&n&&(r=+r,e=+e),t&&!n?-1:n&&!t?1:r<e?-1:r>e?1:0}function h(r,e){return c(e,r)}function p(r,e){return new s(r,e).major}function l(r,e){return new s(r,e).minor}function f(r,e){return new s(r,e).patch}function v(r,e,t){return new s(r,t).compare(e)}function m(r,e){return v(r,e,!0)}function g(r,e,t){return v(e,r,t)}function w(r,t){return r.sort(function(r,n){return e.compare(r,n,t)})}function y(r,t){return r.sort(function(r,n){return e.rcompare(r,n,t)})}function d(r,e,t){return v(r,e,t)>0}function b(r,e,t){return v(r,e,t)<0}function j(r,e,t){return 0===v(r,e,t)}function E(r,e,t){return 0!==v(r,e,t)}function T(r,e,t){return v(r,e,t)>=0}function $(r,e,t){return v(r,e,t)<=0}function k(r,e,t,n){var i;switch(e){case"===":"object"==typeof r&&(r=r.version),"object"==typeof t&&(t=t.version),i=r===t;break;case"!==":"object"==typeof r&&(r=r.version),"object"==typeof t&&(t=t.version),i=r!==t;break;case"":case"=":case"==":i=j(r,t,n);break;case"!=":i=E(r,t,n);break;case">":i=d(r,t,n);break;case">=":i=T(r,t,n);break;case"<":i=b(r,t,n);break;case"<=":i=$(r,t,n);break;default:throw new TypeError("Invalid operator: "+e)}return i}function x(r,e){if(r instanceof x){if(r.loose===e)return r;r=r.value}if(!(this instanceof x))return new x(r,e);H("comparator",r,e),this.loose=e,this.parse(r),this.semver===zr?this.value="":this.value=this.operator+this.semver.version,H("comp",this)}function R(r,e){if(r instanceof R&&r.loose===e)return r;if(!(this instanceof R))return new R(r,e);if(this.loose=e,this.raw=r,this.set=r.split(/\\s*\\|\\|\\s*/).map(function(r){return this.parseRange(r.trim())},this).filter(function(r){return r.length}),!this.set.length)throw new TypeError("Invalid SemVer Range: "+r);this.format()}function S(r,e){return new R(r,e).set.map(function(r){return r.map(function(r){return r.value}).join(" ").trim().split(" ")})}function I(r,e){return H("comp",r),r=M(r,e),H("caret",r),r=V(r,e),H("tildes",r),r=C(r,e),H("xrange",r),r=L(r,e),H("stars",r),r}function A(r){return!r||"x"===r.toLowerCase()||"*"===r}function V(r,e){return r.trim().split(/\\s+/).map(function(r){return _(r,e)}).join(" ")}function _(r,e){var t=e?Q[xr]:Q[kr];return r.replace(t,function(e,t,n,i,o){H("tilde",r,e,t,n,i,o);var s;return A(t)?s="":A(n)?s=">="+t+".0.0 <"+(+t+1)+".0.0":A(i)?s=">="+t+"."+n+".0 <"+t+"."+(+n+1)+".0":o?(H("replaceTilde pr",o),"-"!==o.charAt(0)&&(o="-"+o),s=">="+t+"."+n+"."+i+o+" <"+t+"."+(+n+1)+".0"):s=">="+t+"."+n+"."+i+" <"+t+"."+(+n+1)+".0",H("tilde return",s),s})}function M(r,e){return r.trim().split(/\\s+/).map(function(r){return N(r,e)}).join(" ")}function N(r,e){H("caret",r,e);var t=e?Q[Vr]:Q[Ar];return r.replace(t,function(e,t,n,i,o){H("caret",r,e,t,n,i,o);var s;return A(t)?s="":A(n)?s=">="+t+".0.0 <"+(+t+1)+".0.0":A(i)?s="0"===t?">="+t+"."+n+".0 <"+t+"."+(+n+1)+".0":">="+t+"."+n+".0 <"+(+t+1)+".0.0":o?(H("replaceCaret pr",o),"-"!==o.charAt(0)&&(o="-"+o),s="0"===t?"0"===n?">="+t+"."+n+"."+i+o+" <"+t+"."+n+"."+(+i+1):">="+t+"."+n+"."+i+o+" <"+t+"."+(+n+1)+".0":">="+t+"."+n+"."+i+o+" <"+(+t+1)+".0.0"):(H("no pr"),s="0"===t?"0"===n?">="+t+"."+n+"."+i+" <"+t+"."+n+"."+(+i+1):">="+t+"."+n+"."+i+" <"+t+"."+(+n+1)+".0":">="+t+"."+n+"."+i+" <"+(+t+1)+".0.0"),H("caret return",s),s})}function C(r,e){return H("replaceXRanges",r,e),r.split(/\\s+/).map(function(r){return O(r,e)}).join(" ")}function O(r,e){r=r.trim();var t=e?Q[jr]:Q[br];return r.replace(t,function(e,t,n,i,o,s){H("xRange",r,e,t,n,i,o,s);var a=A(n),u=a||A(i),c=u||A(o),h=c;return"="===t&&h&&(t=""),a?e=">"===t||"<"===t?"<0.0.0":"*":t&&h?(u&&(i=0),c&&(o=0),">"===t?(t=">=",u?(n=+n+1,i=0,o=0):c&&(i=+i+1,o=0)):"<="===t&&(t="<",u?n=+n+1:i=+i+1),e=t+n+"."+i+"."+o):u?e=">="+n+".0.0 <"+(+n+1)+".0.0":c&&(e=">="+n+"."+i+".0 <"+n+"."+(+i+1)+".0"),H("xRange return",e),e})}function L(r,e){return H("replaceStars",r,e),r.trim().replace(Q[Pr],"")}function P(r,e,t,n,i,o,s,a,u,c,h,p,l){return e=A(t)?"":A(n)?">="+t+".0.0":A(i)?">="+t+"."+n+".0":">="+e,a=A(u)?"":A(c)?"<"+(+u+1)+".0.0":A(h)?"<"+u+"."+(+c+1)+".0":p?"<="+u+"."+c+"."+h+"-"+p:"<="+a,(e+" "+a).trim()}function D(r,e){for(var t=0;t<r.length;t++)if(!r[t].test(e))return!1;if(e.prerelease.length){for(var t=0;t<r.length;t++)if(H(r[t].semver),r[t].semver!==zr&&r[t].semver.prerelease.length>0){var n=r[t].semver;if(n.major===e.major&&n.minor===e.minor&&n.patch===e.patch)return!0}return!1}return!0}function X(r,e,t){try{e=new R(e,t)}catch(r){return!1}return e.test(r)}function z(r,e,t){return r.filter(function(r){return X(r,e,t)}).sort(function(r,e){return g(r,e,t)})[0]||null}function G(r,e,t){return r.filter(function(r){return X(r,e,t)}).sort(function(r,e){return v(r,e,t)})[0]||null}function Z(r,e){try{return new R(r,e).range||"*"}catch(r){return null}}function q(r,e,t){return U(r,e,"<",t)}function B(r,e,t){return U(r,e,">",t)}function U(r,e,t,n){r=new s(r,n),e=new R(e,n);var i,o,a,u,c;switch(t){case">":i=d,o=$,a=b,u=">",c=">=";break;case"<":i=b,o=T,a=d,u="<",c="<=";break;default:throw new TypeError(\'Must provide a hilo val of "<" or ">"\')}if(X(r,e,n))return!1;for(var h=0;h<e.set.length;++h){var p=e.set[h],l=null,f=null;if(p.forEach(function(r){r.semver===zr&&(r=new x(">=0.0.0")),l=l||r,f=f||r,i(r.semver,l.semver,n)?l=r:a(r.semver,f.semver,n)&&(f=r)}),l.operator===u||l.operator===c)return!1;if((!f.operator||f.operator===u)&&o(r,f.semver))return!1;if(f.operator===c&&a(r,f.semver))return!1}return!0}function F(r,e){var t=n(r,e);return t&&t.prerelease.length?t.prerelease:null}e=r.exports=s;var H;H="object"==typeof t&&t.env&&t.env.NODE_DEBUG&&/\\bsemver\\b/i.test(t.env.NODE_DEBUG)?function(){var r=Array.prototype.slice.call(arguments,0);r.unshift("SEMVER"),console.log.apply(console,r)}:function(){},e.SEMVER_SPEC_VERSION="2.0.0";var J=256,K=Number.MAX_SAFE_INTEGER||9007199254740991,Q=e.re=[],W=e.src=[],Y=0,rr=Y++;W[rr]="0|[1-9]\\\\d*";var er=Y++;W[er]="[0-9]+";var tr=Y++;W[tr]="\\\\d*[a-zA-Z-][a-zA-Z0-9-]*";var nr=Y++;W[nr]="("+W[rr]+")\\\\.("+W[rr]+")\\\\.("+W[rr]+")";var ir=Y++;W[ir]="("+W[er]+")\\\\.("+W[er]+")\\\\.("+W[er]+")";var or=Y++;W[or]="(?:"+W[rr]+"|"+W[tr]+")";var sr=Y++;W[sr]="(?:"+W[er]+"|"+W[tr]+")";var ar=Y++;W[ar]="(?:-("+W[or]+"(?:\\\\."+W[or]+")*))";var ur=Y++;W[ur]="(?:-?("+W[sr]+"(?:\\\\."+W[sr]+")*))";var cr=Y++;W[cr]="[0-9A-Za-z-]+";var hr=Y++;W[hr]="(?:\\\\+("+W[cr]+"(?:\\\\."+W[cr]+")*))";var pr=Y++,lr="v?"+W[nr]+W[ar]+"?"+W[hr]+"?";W[pr]="^"+lr+"$";var fr="[v=\\\\s]*"+W[ir]+W[ur]+"?"+W[hr]+"?",vr=Y++;W[vr]="^"+fr+"$";var mr=Y++;W[mr]="((?:<|>)?=?)";var gr=Y++;W[gr]=W[er]+"|x|X|\\\\*";var wr=Y++;W[wr]=W[rr]+"|x|X|\\\\*";var yr=Y++;W[yr]="[v=\\\\s]*("+W[wr]+")(?:\\\\.("+W[wr]+")(?:\\\\.("+W[wr]+")(?:"+W[ar]+")?"+W[hr]+"?)?)?";var dr=Y++;W[dr]="[v=\\\\s]*("+W[gr]+")(?:\\\\.("+W[gr]+")(?:\\\\.("+W[gr]+")(?:"+W[ur]+")?"+W[hr]+"?)?)?";var br=Y++;W[br]="^"+W[mr]+"\\\\s*"+W[yr]+"$";var jr=Y++;W[jr]="^"+W[mr]+"\\\\s*"+W[dr]+"$";var Er=Y++;W[Er]="(?:~>?)";var Tr=Y++;W[Tr]="(\\\\s*)"+W[Er]+"\\\\s+",Q[Tr]=new RegExp(W[Tr],"g");var $r="$1~",kr=Y++;W[kr]="^"+W[Er]+W[yr]+"$";var xr=Y++;W[xr]="^"+W[Er]+W[dr]+"$";var Rr=Y++;W[Rr]="(?:\\\\^)";var Sr=Y++;W[Sr]="(\\\\s*)"+W[Rr]+"\\\\s+",Q[Sr]=new RegExp(W[Sr],"g");var Ir="$1^",Ar=Y++;W[Ar]="^"+W[Rr]+W[yr]+"$";var Vr=Y++;W[Vr]="^"+W[Rr]+W[dr]+"$";var _r=Y++;W[_r]="^"+W[mr]+"\\\\s*("+fr+")$|^$";var Mr=Y++;W[Mr]="^"+W[mr]+"\\\\s*("+lr+")$|^$";var Nr=Y++;W[Nr]="(\\\\s*)"+W[mr]+"\\\\s*("+fr+"|"+W[yr]+")",Q[Nr]=new RegExp(W[Nr],"g");var Cr="$1$2$3",Or=Y++;W[Or]="^\\\\s*("+W[yr]+")\\\\s+-\\\\s+("+W[yr]+")\\\\s*$";var Lr=Y++;W[Lr]="^\\\\s*("+W[dr]+")\\\\s+-\\\\s+("+W[dr]+")\\\\s*$";var Pr=Y++;W[Pr]="(<|>)?=?\\\\s*\\\\*";for(var Dr=0;Dr<Y;Dr++)H(Dr,W[Dr]),Q[Dr]||(Q[Dr]=new RegExp(W[Dr]));e.parse=n,e.valid=i,e.clean=o,e.SemVer=s,s.prototype.format=function(){return this.version=this.major+"."+this.minor+"."+this.patch,this.prerelease.length&&(this.version+="-"+this.prerelease.join(".")),this.version},s.prototype.toString=function(){return this.version},s.prototype.compare=function(r){return H("SemVer.compare",this.version,this.loose,r),r instanceof s||(r=new s(r,this.loose)),this.compareMain(r)||this.comparePre(r)},s.prototype.compareMain=function(r){return r instanceof s||(r=new s(r,this.loose)),c(this.major,r.major)||c(this.minor,r.minor)||c(this.patch,r.patch)},s.prototype.comparePre=function(r){if(r instanceof s||(r=new s(r,this.loose)),this.prerelease.length&&!r.prerelease.length)return-1;if(!this.prerelease.length&&r.prerelease.length)return 1;if(!this.prerelease.length&&!r.prerelease.length)return 0;var e=0;do{var t=this.prerelease[e],n=r.prerelease[e];if(H("prerelease compare",e,t,n),void 0===t&&void 0===n)return 0;if(void 0===n)return 1;if(void 0===t)return-1;if(t!==n)return c(t,n)}while(++e)},s.prototype.inc=function(r,e){switch(r){case"premajor":this.prerelease.length=0,this.patch=0,this.minor=0,this.major++,this.inc("pre",e);break;case"preminor":this.prerelease.length=0,this.patch=0,this.minor++,this.inc("pre",e);break;case"prepatch":this.prerelease.length=0,this.inc("patch",e),this.inc("pre",e);break;case"prerelease":0===this.prerelease.length&&this.inc("patch",e),this.inc("pre",e);break;case"major":0===this.minor&&0===this.patch&&0!==this.prerelease.length||this.major++,this.minor=0,this.patch=0,this.prerelease=[];break;case"minor":0===this.patch&&0!==this.prerelease.length||this.minor++,this.patch=0,this.prerelease=[];break;case"patch":0===this.prerelease.length&&this.patch++,this.prerelease=[];break;case"pre":if(0===this.prerelease.length)this.prerelease=[0];else{for(var t=this.prerelease.length;--t>=0;)"number"==typeof this.prerelease[t]&&(this.prerelease[t]++,t=-2);t===-1&&this.prerelease.push(0)}e&&(this.prerelease[0]===e?isNaN(this.prerelease[1])&&(this.prerelease=[e,0]):this.prerelease=[e,0]);break;default:throw new Error("invalid increment argument: "+r)}return this.format(),this.raw=this.version,this},e.inc=a,e.diff=u,e.compareIdentifiers=c;var Xr=/^[0-9]+$/;e.rcompareIdentifiers=h,e.major=p,e.minor=l,e.patch=f,e.compare=v,e.compareLoose=m,e.rcompare=g,e.sort=w,e.rsort=y,e.gt=d,e.lt=b,e.eq=j,e.neq=E,e.gte=T,e.lte=$,e.cmp=k,e.Comparator=x;var zr={};x.prototype.parse=function(r){var e=this.loose?Q[_r]:Q[Mr],t=r.match(e);if(!t)throw new TypeError("Invalid comparator: "+r);this.operator=t[1],"="===this.operator&&(this.operator=""),t[2]?this.semver=new s(t[2],this.loose):this.semver=zr},x.prototype.toString=function(){return this.value},x.prototype.test=function(r){return H("Comparator.test",r,this.loose),this.semver===zr||("string"==typeof r&&(r=new s(r,this.loose)),k(r,this.operator,this.semver,this.loose))},e.Range=R,R.prototype.format=function(){return this.range=this.set.map(function(r){return r.join(" ").trim()}).join("||").trim(),this.range},R.prototype.toString=function(){return this.range},R.prototype.parseRange=function(r){var e=this.loose;r=r.trim(),H("range",r,e);var t=e?Q[Lr]:Q[Or];r=r.replace(t,P),H("hyphen replace",r),r=r.replace(Q[Nr],Cr),H("comparator trim",r,Q[Nr]),r=r.replace(Q[Tr],$r),r=r.replace(Q[Sr],Ir),r=r.split(/\\s+/).join(" ");var n=e?Q[_r]:Q[Mr],i=r.split(" ").map(function(r){return I(r,e)}).join(" ").split(/\\s+/);return this.loose&&(i=i.filter(function(r){return!!r.match(n)})),i=i.map(function(r){return new x(r,e)})},e.toComparators=S,R.prototype.test=function(r){if(!r)return!1;"string"==typeof r&&(r=new s(r,this.loose));for(var e=0;e<this.set.length;e++)if(D(this.set[e],r))return!0;return!1},e.satisfies=X,e.maxSatisfying=z,e.minSatisfying=G,e.validRange=Z,e.ltr=q,e.gtr=B,e.outside=U,e.prerelease=F}).call(e,t(0))}])});\n//# sourceURL=/thirdparty/semver.browser.js'),
eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*jslint regexp: true */\n/*unittests: ExtensionManager*/\n\n/**\n * The ExtensionManager fetches/caches the extension registry and provides\n * information about the status of installed extensions. ExtensionManager raises the\n * following events:\n * - statusChange - indicates that an extension has been installed/uninstalled or\n *   its status has otherwise changed. Second parameter is the id of the\n *   extension.\n * - registryUpdate - indicates that an existing extension was synchronized\n *   with new data from the registry.\n */\ndefine(\'extensibility/ExtensionManager\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'utils/EventDispatcher\',\'extensibility/Package\',\'utils/AppInit\',\'utils/Async\',\'utils/ExtensionLoader\',\'utils/ExtensionUtils\',\'filesystem/FileSystem\',\'file/FileUtils\',\'preferences/PreferencesManager\',\'strings\',\'utils/StringUtils\',\'view/ThemeManager\',\'thirdparty/semver.browser\'],function (require, exports, module) {\n    "use strict";\n\n    var _                   = require("thirdparty/lodash"),\n        EventDispatcher     = require("utils/EventDispatcher"),\n        Package             = require("extensibility/Package"),\n        AppInit             = require("utils/AppInit"),\n        Async               = require("utils/Async"),\n        ExtensionLoader     = require("utils/ExtensionLoader"),\n        ExtensionUtils      = require("utils/ExtensionUtils"),\n        FileSystem          = require("filesystem/FileSystem"),\n        FileUtils           = require("file/FileUtils"),\n        PreferencesManager  = require("preferences/PreferencesManager"),\n        Strings             = require("strings"),\n        StringUtils         = require("utils/StringUtils"),\n        ThemeManager        = require("view/ThemeManager");\n\n    // semver.browser is an AMD-compatible module\n    var semver = require("thirdparty/semver.browser");\n\n    /**\n     * @private\n     * @type {$.Deferred} Keeps track of the current registry download so that if a request is already\n     * in progress and another request to download the registry comes in, we don\'t send yet another request.\n     * This is primarily used when multiple view models need to download the registry at the same time.\n     */\n    var pendingDownloadRegistry = null;\n\n    /**\n     * Extension status constants.\n     */\n    var ENABLED      = "enabled",\n        DISABLED     = "disabled",\n        START_FAILED = "startFailed";\n\n    /**\n     * Extension location constants.\n     */\n    var LOCATION_DEFAULT = "default",\n        LOCATION_DEV     = "dev",\n        LOCATION_USER    = "user",\n        LOCATION_UNKNOWN = "unknown";\n\n    /**\n     * Extension auto-install folder. Also used for preferences key.\n     */\n    var FOLDER_AUTOINSTALL = "auto-install-extensions";\n\n    /**\n     * @private\n     * @type {Object.<string, {metadata: Object, path: string, status: string}>}\n     * The set of all known extensions, both from the registry and locally installed.\n     * The keys are either "name" from package.json (for extensions that have package metadata)\n     * or the last segment of local file paths (for installed legacy extensions\n     * with no package metadata). The fields of each record are:\n     *     registryInfo: object containing the info for this id from the main registry (containing metadata, owner,\n     *         and versions). This will be null for legacy extensions.\n     *     installInfo: object containing the info for a locally-installed extension:\n     *         metadata: the package metadata loaded from the local package.json, or null if it\'s a legacy extension.\n     *             This will be different from registryInfo.metadata if there\'s a newer version in the registry.\n     *         path: the local path to the extension folder on disk\n     *         locationType: general type of installation; one of the LOCATION_* constants above\n     *         status: the current status, one of the status constants above\n     */\n    var extensions = {};\n\n    /**\n     * Requested changes to the installed extensions.\n     */\n    var _idsToRemove = {},\n        _idsToUpdate = {},\n        _idsToDisable = {};\n\n    PreferencesManager.stateManager.definePreference(FOLDER_AUTOINSTALL, "object", undefined);\n    PreferencesManager.definePreference("extensions.sort", "string", "publishedDate", {\n        description: Strings.SORT_EXTENSION_METHOD\n    });\n\n    /**\n     * @private\n     * Synchronizes the information between the public registry and the installed\n     * extensions. Specifically, this makes the `owner` available in each and sets\n     * an `updateAvailable` flag.\n     *\n     * @param {string} id of the extension to synchronize\n     */\n    function synchronizeEntry(id) {\n        var entry = extensions[id];\n\n        // Do nothing if we only have one set of data\n        if (!entry || !entry.installInfo || !entry.registryInfo) {\n            return;\n        }\n\n        entry.installInfo.owner = entry.registryInfo.owner;\n\n        // Assume false\n        entry.installInfo.updateAvailable   = false;\n        entry.registryInfo.updateAvailable  = false;\n        entry.installInfo.updateCompatible  = false;\n        entry.registryInfo.updateCompatible = false;\n\n        var currentVersion = entry.installInfo.metadata ? entry.installInfo.metadata.version : null;\n        if (currentVersion && semver.lt(currentVersion, entry.registryInfo.metadata.version)) {\n            // Note: available update may still be incompatible; we check for this when rendering the Update button in ExtensionManagerView._renderItem()\n            entry.registryInfo.updateAvailable  = true;\n            entry.installInfo.updateAvailable   = true;\n            // Calculate updateCompatible to check if there\'s an update for current version of Brackets\n            var lastCompatibleVersionInfo = _.findLast(entry.registryInfo.versions, function (versionInfo) {\n                return !versionInfo.brackets || semver.satisfies(brackets.metadata.apiVersion, versionInfo.brackets);\n            });\n            if (lastCompatibleVersionInfo && lastCompatibleVersionInfo.version && semver.lt(currentVersion, lastCompatibleVersionInfo.version)) {\n                entry.installInfo.updateCompatible        = true;\n                entry.registryInfo.updateCompatible       = true;\n                entry.installInfo.lastCompatibleVersion   = lastCompatibleVersionInfo.version;\n                entry.registryInfo.lastCompatibleVersion  = lastCompatibleVersionInfo.version;\n            }\n        }\n\n        exports.trigger("registryUpdate", id);\n    }\n\n\n    /**\n     * @private\n     * Verifies if an extension is a theme based on the presence of the field "theme"\n     * in the package.json.  If it is a theme, then the theme file is just loaded by the\n     * ThemeManager\n     *\n     * @param {string} id of the theme extension to load\n     */\n    function loadTheme(id) {\n        var extension = extensions[id];\n        if (extension.installInfo && extension.installInfo.metadata && extension.installInfo.metadata.theme) {\n            ThemeManager.loadPackage(extension.installInfo);\n        }\n    }\n\n\n    /**\n     * @private\n     * Sets our data. For unit testing only.\n     */\n    function _setExtensions(newExtensions) {\n        exports.extensions = extensions = newExtensions;\n        Object.keys(extensions).forEach(function (id) {\n            synchronizeEntry(id);\n        });\n    }\n\n    /**\n     * @private\n     * Clears out our existing data. For unit testing only.\n     */\n    function _reset() {\n        exports.extensions = extensions = {};\n        _idsToRemove = {};\n        _idsToUpdate = {};\n        _idsToDisable = {};\n    }\n\n    /**\n     * Downloads the registry of Brackets extensions and stores the information in our\n     * extension info.\n     *\n     * @return {$.Promise} a promise that\'s resolved with the registry JSON data\n     * or rejected if the server can\'t be reached.\n     */\n    function downloadRegistry() {\n        if (pendingDownloadRegistry) {\n            return pendingDownloadRegistry.promise();\n        }\n\n        pendingDownloadRegistry = new $.Deferred();\n\n        $.ajax({\n            url: brackets.config.extension_registry,\n            dataType: "json",\n            cache: false\n        })\n            .done(function (data) {\n                exports.hasDownloadedRegistry = true;\n                Object.keys(data).forEach(function (id) {\n                    if (!extensions[id]) {\n                        extensions[id] = {};\n                    }\n                    extensions[id].registryInfo = data[id];\n                    synchronizeEntry(id);\n                });\n                exports.trigger("registryDownload");\n                pendingDownloadRegistry.resolve();\n            })\n            .fail(function () {\n                pendingDownloadRegistry.reject();\n            })\n            .always(function () {\n                // Make sure to clean up the pending registry so that new requests can be made.\n                pendingDownloadRegistry = null;\n            });\n\n        return pendingDownloadRegistry.promise();\n    }\n\n\n    /**\n     * @private\n     * When an extension is loaded, fetches the package.json and stores the extension in our map.\n     * @param {$.Event} e The event object\n     * @param {string} path The local path of the loaded extension\'s folder.\n     */\n    function _handleExtensionLoad(e, path) {\n        function setData(metadata) {\n            var locationType,\n                id = metadata.name,\n                userExtensionPath = ExtensionLoader.getUserExtensionPath();\n            if (path.indexOf(userExtensionPath) === 0) {\n                locationType = LOCATION_USER;\n            } else {\n                var segments = path.split("/"), parent;\n                if (segments.length > 2) {\n                    parent = segments[segments.length - 2];\n                }\n                if (parent === "dev") {\n                    locationType = LOCATION_DEV;\n                } else if (parent === "default") {\n                    locationType = LOCATION_DEFAULT;\n                } else {\n                    locationType = LOCATION_UNKNOWN;\n                }\n            }\n            if (!extensions[id]) {\n                extensions[id] = {};\n            }\n            extensions[id].installInfo = {\n                metadata: metadata,\n                path: path,\n                locationType: locationType,\n                status: (e.type === "loadFailed" ? START_FAILED : (e.type === "disabled" ? DISABLED : ENABLED))\n            };\n\n            synchronizeEntry(id);\n            loadTheme(id);\n            exports.trigger("statusChange", id);\n        }\n\n        function deduceMetadata() {\n            var match = path.match(/\\/([^\\/]+)$/),\n                name = (match && match[1]) || path,\n                metadata = { name: name, title: name };\n            return metadata;\n        }\n\n        ExtensionUtils.loadMetadata(path)\n            .done(function (metadata) {\n                setData(metadata);\n            })\n            .fail(function (disabled) {\n                // If there\'s no package.json, this is a legacy extension. It was successfully loaded,\n                // but we don\'t have an official ID or metadata for it, so we just create an id and\n                // "title" for it (which is the last segment of its pathname)\n                // and record that it\'s enabled.\n                var metadata = deduceMetadata();\n                metadata.disabled = disabled;\n                setData(metadata);\n            });\n    }\n\n    /**\n     * Determines if the given versions[] entry is compatible with the given Brackets API version, and if not\n     * specifies why.\n     * @param {Object} extVersion\n     * @param {string} apiVersion\n     * @return {{isCompatible: boolean, requiresNewer: ?boolean, compatibleVersion: ?string}}\n     */\n    function getCompatibilityInfoForVersion(extVersion, apiVersion) {\n        var requiredVersion = (extVersion.brackets || (extVersion.engines && extVersion.engines.brackets)),\n            result = {};\n        result.isCompatible = !requiredVersion || semver.satisfies(apiVersion, requiredVersion);\n        if (result.isCompatible) {\n            result.compatibleVersion = extVersion.version;\n        } else {\n            // Find out reason for incompatibility\n            if (requiredVersion.charAt(0) === \'<\') {\n                result.requiresNewer = false;\n            } else if (requiredVersion.charAt(0) === \'>\') {\n                result.requiresNewer = true;\n            } else if (requiredVersion.charAt(0) === "~") {\n                var compareVersion = requiredVersion.slice(1);\n                // Need to add .0s to this style of range in order to compare (since valid version\n                // numbers must have major/minor/patch).\n                if (compareVersion.match(/^[0-9]+$/)) {\n                    compareVersion += ".0.0";\n                } else if (compareVersion.match(/^[0-9]+\\.[0-9]+$/)) {\n                    compareVersion += ".0";\n                }\n                result.requiresNewer = semver.lt(apiVersion, compareVersion);\n            }\n        }\n        return result;\n    }\n\n    /**\n     * Finds the newest version of the entry that is compatible with the given Brackets API version, if any.\n     * @param {Object} entry The registry entry to check.\n     * @param {string} apiVersion The Brackets API version to check against.\n     * @return {{isCompatible: boolean, requiresNewer: ?boolean, compatibleVersion: ?string, isLatestVersion: boolean}}\n     *      Result contains an "isCompatible" member saying whether it\'s compatible. If compatible, "compatibleVersion"\n     *      specifies the newest version that is compatible and "isLatestVersion" indicates if this is the absolute\n     *      latest version of the extension or not. If !isCompatible or !isLatestVersion, "requiresNewer" says whether\n     *      the latest version is incompatible due to requiring a newer (vs. older) version of Brackets.\n     */\n    function getCompatibilityInfo(entry, apiVersion) {\n        if (!entry.versions) {\n            var fallback = getCompatibilityInfoForVersion(entry.metadata, apiVersion);\n            if (fallback.isCompatible) {\n                fallback.isLatestVersion = true;\n            }\n            return fallback;\n        }\n\n        var i = entry.versions.length - 1,\n            latestInfo = getCompatibilityInfoForVersion(entry.versions[i], apiVersion);\n\n        if (latestInfo.isCompatible) {\n            latestInfo.isLatestVersion = true;\n            return latestInfo;\n        } else {\n            // Look at earlier versions (skipping very latest version since we already checked it)\n            for (i--; i >= 0; i--) {\n                var compatInfo = getCompatibilityInfoForVersion(entry.versions[i], apiVersion);\n                if (compatInfo.isCompatible) {\n                    compatInfo.isLatestVersion = false;\n                    compatInfo.requiresNewer = latestInfo.requiresNewer;\n                    return compatInfo;\n                }\n            }\n\n            // No version is compatible, so just return info for the latest version\n            return latestInfo;\n        }\n    }\n\n    /**\n     * Given an extension id and version number, returns the URL for downloading that extension from\n     * the repository. Does not guarantee that the extension exists at that URL.\n     * @param {string} id The extension\'s name from the metadata.\n     * @param {string} version The version to download.\n     * @return {string} The URL to download the extension from.\n     */\n    function getExtensionURL(id, version) {\n        return StringUtils.format(brackets.config.extension_url, id, version);\n    }\n\n    /**\n     * Removes the installed extension with the given id.\n     * @param {string} id The id of the extension to remove.\n     * @return {$.Promise} A promise that\'s resolved when the extension is removed or\n     *     rejected with an error if there\'s a problem with the removal.\n     */\n    function remove(id) {\n        var result = new $.Deferred();\n        if (extensions[id] && extensions[id].installInfo) {\n            Package.remove(extensions[id].installInfo.path)\n                .done(function () {\n                    extensions[id].installInfo = null;\n                    result.resolve();\n                    exports.trigger("statusChange", id);\n                })\n                .fail(function (err) {\n                    result.reject(err);\n                });\n        } else {\n            result.reject(StringUtils.format(Strings.EXTENSION_NOT_INSTALLED, id));\n        }\n        return result.promise();\n    }\n\n    /**\n     * @private\n     *\n     * Disables or enables the installed extensions.\n     *\n     * @param {string} id The id of the extension to disable or enable.\n     * @param {boolean} enable A boolean indicating whether to enable or disable.\n     * @return {$.Promise} A promise that\'s resolved when the extension action is\n     *      completed or rejected with an error that prevents the action from completion.\n     */\n    function _enableOrDisable(id, enable) {\n        var result = new $.Deferred(),\n            extension = extensions[id];\n        if (extension && extension.installInfo) {\n            Package[(enable ? "enable" : "disable")](extension.installInfo.path)\n                .done(function () {\n                    extension.installInfo.status = enable ? ENABLED : DISABLED;\n                    extension.installInfo.metadata.disabled = !enable;\n                    result.resolve();\n                    exports.trigger("statusChange", id);\n                })\n                .fail(function (err) {\n                    result.reject(err);\n                });\n        } else {\n            result.reject(StringUtils.format(Strings.EXTENSION_NOT_INSTALLED, id));\n        }\n        return result.promise();\n    }\n\n    /**\n     * Disables the installed extension with the given id.\n     *\n     * @param {string} id The id of the extension to disable.\n     * @return {$.Promise} A promise that\'s resolved when the extenion is disabled or\n     *      rejected with an error that prevented the disabling.\n     */\n    function disable(id) {\n        return _enableOrDisable(id, false);\n    }\n\n    /**\n     * Enables the installed extension with the given id.\n     *\n     * @param {string} id The id of the extension to enable.\n     * @return {$.Promise} A promise that\'s resolved when the extenion is enabled or\n     *      rejected with an error that prevented the enabling.\n     */\n    function enable(id) {\n        return _enableOrDisable(id, true);\n    }\n\n    /**\n     * Updates an installed extension with the given package file.\n     * @param {string} id of the extension\n     * @param {string} packagePath path to the package file\n     * @param {boolean=} keepFile Flag to keep extension package file, default=false\n     * @return {$.Promise} A promise that\'s resolved when the extension is updated or\n     *     rejected with an error if there\'s a problem with the update.\n     */\n    function update(id, packagePath, keepFile) {\n        return Package.installUpdate(packagePath, id).done(function () {\n            if (!keepFile) {\n                FileSystem.getFileForPath(packagePath).unlink();\n            }\n        });\n    }\n\n    /**\n     * Deletes any temporary files left behind by extensions that\n     * were marked for update.\n     */\n    function cleanupUpdates() {\n        Object.keys(_idsToUpdate).forEach(function (id) {\n            var installResult = _idsToUpdate[id],\n                keepFile = installResult.keepFile,\n                filename = installResult.localPath;\n\n            if (filename && !keepFile) {\n                FileSystem.getFileForPath(filename).unlink();\n            }\n        });\n        _idsToUpdate = {};\n    }\n\n    /**\n     * Unmarks all extensions marked for removal.\n     */\n    function unmarkAllForRemoval() {\n        _idsToRemove = {};\n    }\n\n    /**\n     * Marks an extension for later removal, or unmarks an extension previously marked.\n     * @param {string} id The id of the extension to mark for removal.\n     * @param {boolean} mark Whether to mark or unmark it.\n     */\n    function markForRemoval(id, mark) {\n        if (mark) {\n            _idsToRemove[id] = true;\n        } else {\n            delete _idsToRemove[id];\n        }\n        exports.trigger("statusChange", id);\n    }\n\n    /**\n     * Returns true if an extension is marked for removal.\n     * @param {string} id The id of the extension to check.\n     * @return {boolean} true if it\'s been marked for removal, false otherwise.\n     */\n    function isMarkedForRemoval(id) {\n        return !!(_idsToRemove[id]);\n    }\n\n    /**\n     * Returns true if there are any extensions marked for removal.\n     * @return {boolean} true if there are extensions to remove\n     */\n    function hasExtensionsToRemove() {\n        return Object.keys(_idsToRemove).length > 0;\n    }\n\n    /**\n     * Marks an extension for disabling later, or unmarks an extension previously marked.\n     *\n     * @param {string} id The id of the extension\n     * @param {boolean} mark Whether to mark or unmark the extension.\n     */\n    function markForDisabling(id, mark) {\n        if (mark) {\n            _idsToDisable[id] = true;\n        } else {\n            delete _idsToDisable[id];\n        }\n        exports.trigger("statusChange", id);\n    }\n\n    /**\n     * Returns true if an extension is mark for disabling.\n     *\n     * @param {string} id The id of the extension to check.\n     * @return {boolean} true if it\'s been mark for disabling, false otherwise.\n     */\n    function isMarkedForDisabling(id) {\n        return !!(_idsToDisable[id]);\n    }\n\n    /**\n     * Returns true if there are any extensions marked for disabling.\n     * @return {boolean} true if there are extensions to disable\n     */\n    function hasExtensionsToDisable() {\n        return Object.keys(_idsToDisable).length > 0;\n    }\n\n    /**\n     * Unmarks all the extensions that have been marked for disabling.\n     */\n    function unmarkAllForDisabling() {\n        _idsToDisable = {};\n    }\n\n    /**\n     * If a downloaded package appears to be an update, mark the extension for update.\n     * If an extension was previously marked for removal, marking for update will\n     * turn off the removal mark.\n     * @param {Object} installationResult info about the install provided by the Package.download function\n     */\n    function updateFromDownload(installationResult) {\n        if (installationResult.keepFile === undefined) {\n            installationResult.keepFile = false;\n        }\n\n        var installationStatus = installationResult.installationStatus;\n        if (installationStatus === Package.InstallationStatuses.ALREADY_INSTALLED ||\n                installationStatus === Package.InstallationStatuses.NEEDS_UPDATE ||\n                installationStatus === Package.InstallationStatuses.SAME_VERSION ||\n                installationStatus === Package.InstallationStatuses.OLDER_VERSION) {\n            var id = installationResult.name;\n            delete _idsToRemove[id];\n            _idsToUpdate[id] = installationResult;\n            exports.trigger("statusChange", id);\n        }\n    }\n\n    /**\n     * Removes the mark for an extension to be updated on restart. Also deletes the\n     * downloaded package file.\n     * @param {string} id The id of the extension for which the update is being removed\n     */\n    function removeUpdate(id) {\n        var installationResult = _idsToUpdate[id];\n        if (!installationResult) {\n            return;\n        }\n        if (installationResult.localPath && !installationResult.keepFile) {\n            FileSystem.getFileForPath(installationResult.localPath).unlink();\n        }\n        delete _idsToUpdate[id];\n        exports.trigger("statusChange", id);\n    }\n\n    /**\n     * Returns true if an extension is marked for update.\n     * @param {string} id The id of the extension to check.\n     * @return {boolean} true if it\'s been marked for update, false otherwise.\n     */\n    function isMarkedForUpdate(id) {\n        return !!(_idsToUpdate[id]);\n    }\n\n    /**\n     * Returns true if there are any extensions marked for update.\n     * @return {boolean} true if there are extensions to update\n     */\n    function hasExtensionsToUpdate() {\n        return Object.keys(_idsToUpdate).length > 0;\n    }\n\n    /**\n     * Removes extensions previously marked for removal.\n     * @return {$.Promise} A promise that\'s resolved when all extensions are removed, or rejected\n     *     if one or more extensions can\'t be removed. When rejected, the argument will be an\n     *     array of error objects, each of which contains an "item" property with the id of the\n     *     failed extension and an "error" property with the actual error.\n     */\n    function removeMarkedExtensions() {\n        return Async.doInParallel_aggregateErrors(\n            Object.keys(_idsToRemove),\n            function (id) {\n                return remove(id);\n            }\n        );\n    }\n\n    /**\n     * Disables extensions marked for disabling.\n     *\n     * If the return promise is rejected, the argument will contain an array of objects. Each\n     * element is an object identifying the extension failed with "item" property set to the\n     * extension id which has failed to be disabled and "error" property set to the error.\n     *\n     * @return {$.Promise} A promise that\'s resolved when all extensions marked for disabling are\n     *      disabled or rejected if one or more extensions can\'t be disabled.\n     */\n    function disableMarkedExtensions() {\n        return Async.doInParallel_aggregateErrors(\n            Object.keys(_idsToDisable),\n            function (id) {\n                return disable(id);\n            }\n        );\n    }\n\n    /**\n     * Updates extensions previously marked for update.\n     * @return {$.Promise} A promise that\'s resolved when all extensions are updated, or rejected\n     *     if one or more extensions can\'t be updated. When rejected, the argument will be an\n     *     array of error objects, each of which contains an "item" property with the id of the\n     *     failed extension and an "error" property with the actual error.\n     */\n    function updateExtensions() {\n        return Async.doInParallel_aggregateErrors(\n            Object.keys(_idsToUpdate),\n            function (id) {\n                var installationResult = _idsToUpdate[id];\n                return update(installationResult.name, installationResult.localPath, installationResult.keepFile);\n            }\n        );\n    }\n\n    /**\n     * Gets an array of extensions that are currently installed and can be updated to a new version\n     * @return {Array.<{id: string, installVersion: string, registryVersion: string}>}\n     *     where id = extensionId\n     *     installVersion = currently installed version of extension\n     *     registryVersion = latest version compatible with current Brackets\n     */\n    function getAvailableUpdates() {\n        var result = [];\n        Object.keys(extensions).forEach(function (extensionId) {\n            var extensionInfo = extensions[extensionId];\n            // skip extensions that are not installed or are not in the registry\n            if (!extensionInfo.installInfo || !extensionInfo.registryInfo) {\n                return;\n            }\n            if (extensionInfo.registryInfo.updateCompatible) {\n                result.push({\n                    id: extensionId,\n                    installVersion: extensionInfo.installInfo.metadata.version,\n                    registryVersion: extensionInfo.registryInfo.lastCompatibleVersion\n                });\n            }\n        });\n        return result;\n    }\n\n    /**\n     * Takes the array returned from getAvailableUpdates() as an input and removes those entries\n     * that are no longer current - when currently installed version of an extension\n     * is equal or newer than registryVersion returned by getAvailableUpdates().\n     * This function is designed to work without the necessity to download extension registry\n     * @param {Array.<{id: string, installVersion: string, registryVersion: string}>} updates\n     *     previous output of getAvailableUpdates()\n     * @return {Array.<{id: string, installVersion: string, registryVersion: string}>}\n     *     filtered input as function description\n     */\n    function cleanAvailableUpdates(updates) {\n        return updates.reduce(function (arr, updateInfo) {\n            var extDefinition = extensions[updateInfo.id];\n            if (!extDefinition || !extDefinition.installInfo) {\n                // extension has been uninstalled in the meantime\n                return arr;\n            }\n\n            var installedVersion = extDefinition.installInfo.metadata.version;\n            if (semver.lt(installedVersion, updateInfo.registryVersion)) {\n                arr.push(updateInfo);\n            }\n\n            return arr;\n        }, []);\n    }\n\n    /**\n     * @private\n     * Find valid extensions in specified path\n     * @param {string} dirPath Directory with extensions\n     * @param {Object} autoExtensions Object that maps names of previously auto-installed\n     *      extensions {string} to installed version {string}.\n     * @return {$.Promise} Promise that resolves with arrays for extensions to update and install\n     */\n    function _getAutoInstallFiles(dirPath, autoExtensions) {\n        var zipFiles    = [],\n            installZips = [],\n            updateZips  = [],\n            deferred    = new $.Deferred();\n\n        FileSystem.getDirectoryForPath(dirPath).getContents(function (err, contents) {\n            if (!err) {\n                zipFiles = contents.filter(function (dirItem) {\n                    return (dirItem.isFile && FileUtils.getFileExtension(dirItem.fullPath) === "zip");\n                });\n            }\n\n            // Parse zip files and separate new installs vs. updates\n            Async.doInParallel_aggregateErrors(zipFiles, function (file) {\n                var zipFilePromise = new $.Deferred();\n\n                // Call validate() so that we open the local zip file and parse the\n                // package.json. We need the name to detect if this zip will be a\n                // new install or an update.\n                Package.validate(file.fullPath, { requirePackageJSON: true }).done(function (info) {\n                    if (info.errors.length) {\n                        zipFilePromise.reject(Package.formatError(info.errors));\n                        return;\n                    }\n\n                    var extensionInfo, installedVersion, zipArray, existingItem,\n                        extensionName   = info.metadata.name,\n                        autoExtVersion  = autoExtensions[extensionName];\n\n                    // Verify extension has not already been auto-installed/updated\n                    if (autoExtVersion && semver.lte(info.metadata.version, autoExtVersion)) {\n                        // Have already auto installed/updated version >= version of this extension\n                        zipFilePromise.reject();\n                        return;\n                    }\n\n                    // Verify extension has not already been installed/updated by some other means\n                    extensionInfo = extensions[extensionName];\n                    installedVersion = extensionInfo && extensionInfo.installInfo && extensionInfo.installInfo.metadata.version;\n                    if (installedVersion && semver.lte(info.metadata.version, installedVersion)) {\n                        // Have already manually installed/updated version >= version of this extension\n                        zipFilePromise.reject();\n                        return;\n                    }\n\n                    // Update appropriate zip array. There could be multiple zip files for an\n                    // extension, so make sure only the latest is stored\n                    zipArray = (installedVersion) ? updateZips : installZips;\n                    zipArray.some(function (zip) {\n                        if (zip.info.metadata.name === extensionName) {\n                            existingItem = zip;\n                            return true;\n                        }\n                        return false;\n                    });\n                    if (existingItem) {\n                        if (semver.lt(existingItem.info.metadata.version, info.metadata.version)) {\n                            existingItem.file = file;\n                            existingItem.info = info;\n                        }\n                    } else {\n                        zipArray.push({ file: file, info: info });\n                    }\n\n                    zipFilePromise.resolve();\n                }).fail(function (err) {\n                    zipFilePromise.reject(Package.formatError(err));\n                });\n\n                return zipFilePromise.promise();\n            }).fail(function (errorArray) {\n                // Async.doInParallel() fails if some are successful, so write errors\n                // to console and always resolve\n                errorArray.forEach(function (errorObj) {\n                    // If we rejected without an error argument, it means it was no problem\n                    // (e.g. same version of extension is already installed)\n                    if (errorObj.error) {\n                        if (errorObj.error.forEach) {\n                            console.error("Errors for", errorObj.item);\n                            errorObj.error.forEach(function (error) {\n                                console.error(Package.formatError(error));\n                            });\n                        } else {\n                            console.error("Error for", errorObj.item, errorObj);\n                        }\n                    }\n                });\n            }).always(function () {\n                deferred.resolve({\n                    installZips: installZips,\n                    updateZips:  updateZips\n                });\n            });\n        });\n\n        return deferred.promise();\n    }\n\n    /**\n     * @private\n     * Auto-install extensions bundled with installer\n     * @return {$.Promise} Promise that resolves when finished\n     */\n    function _autoInstallExtensions() {\n        var dirPath        = FileUtils.getDirectoryPath(FileUtils.getNativeBracketsDirectoryPath()) + FOLDER_AUTOINSTALL + "/",\n            autoExtensions = PreferencesManager.getViewState(FOLDER_AUTOINSTALL) || {},\n            deferred       = new $.Deferred();\n\n        _getAutoInstallFiles(dirPath, autoExtensions).done(function (result) {\n            var installPromise = Async.doSequentially(result.installZips, function (zip) {\n                autoExtensions[zip.info.metadata.name] = zip.info.metadata.version;\n                return Package.installFromPath(zip.file.fullPath);\n            });\n\n            var updatePromise = installPromise.always(function () {\n                return Async.doSequentially(result.updateZips, function (zip) {\n                    autoExtensions[zip.info.metadata.name] = zip.info.metadata.version;\n                    return Package.installUpdate(zip.file.fullPath);\n                });\n            });\n\n            // Always resolve the outer promise\n            updatePromise.always(function () {\n                // Keep track of auto-installed extensions so we only install an extension once\n                PreferencesManager.setViewState(FOLDER_AUTOINSTALL, autoExtensions);\n\n                deferred.resolve();\n            });\n        });\n\n        return deferred.promise();\n    }\n\n    AppInit.appReady(function () {\n        Package._getNodeConnectionDeferred().done(function () {\n            _autoInstallExtensions();\n        });\n    });\n\n    // Listen to extension load and loadFailed events\n    ExtensionLoader\n        .on("load", _handleExtensionLoad)\n        .on("loadFailed", _handleExtensionLoad)\n        .on("disabled", _handleExtensionLoad);\n\n\n    EventDispatcher.makeEventDispatcher(exports);\n\n    // Public exports\n    exports.downloadRegistry        = downloadRegistry;\n    exports.getCompatibilityInfo    = getCompatibilityInfo;\n    exports.getExtensionURL         = getExtensionURL;\n    exports.remove                  = remove;\n    exports.update                  = update;\n    exports.disable                 = disable;\n    exports.enable                  = enable;\n    exports.extensions              = extensions;\n    exports.cleanupUpdates          = cleanupUpdates;\n    exports.markForRemoval          = markForRemoval;\n    exports.isMarkedForRemoval      = isMarkedForRemoval;\n    exports.unmarkAllForRemoval     = unmarkAllForRemoval;\n    exports.hasExtensionsToRemove   = hasExtensionsToRemove;\n    exports.markForDisabling        = markForDisabling;\n    exports.isMarkedForDisabling    = isMarkedForDisabling;\n    exports.unmarkAllForDisabling   = unmarkAllForDisabling;\n    exports.hasExtensionsToDisable  = hasExtensionsToDisable;\n    exports.updateFromDownload      = updateFromDownload;\n    exports.removeUpdate            = removeUpdate;\n    exports.isMarkedForUpdate       = isMarkedForUpdate;\n    exports.hasExtensionsToUpdate   = hasExtensionsToUpdate;\n    exports.removeMarkedExtensions  = removeMarkedExtensions;\n    exports.disableMarkedExtensions = disableMarkedExtensions;\n    exports.updateExtensions        = updateExtensions;\n    exports.getAvailableUpdates     = getAvailableUpdates;\n    exports.cleanAvailableUpdates   = cleanAvailableUpdates;\n\n    exports.hasDownloadedRegistry   = false;\n\n    exports.ENABLED       = ENABLED;\n    exports.DISABLED      = DISABLED;\n    exports.START_FAILED  = START_FAILED;\n\n    exports.LOCATION_DEFAULT  = LOCATION_DEFAULT;\n    exports.LOCATION_DEV      = LOCATION_DEV;\n    exports.LOCATION_USER     = LOCATION_USER;\n    exports.LOCATION_UNKNOWN  = LOCATION_UNKNOWN;\n\n    // For unit testing only\n    exports._getAutoInstallFiles    = _getAutoInstallFiles;\n    exports._reset                  = _reset;\n    exports._setExtensions          = _setExtensions;\n});\n\n//# sourceURL=/extensibility/ExtensionManager.js'),
eval("/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the \"Software\"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine('utils/NativeApp',['require','exports','module','utils/Async','filesystem/FileSystemError'],function (require, exports, module) {\n    \"use strict\";\n\n    var Async           = require(\"utils/Async\"),\n        FileSystemError = require(\"filesystem/FileSystemError\");\n\n    /**\n     * @private\n     * Map an fs error code to a FileError.\n     */\n    function _browserErrToFileError(err) {\n        if (err === brackets.fs.ERR_NOT_FOUND) {\n            return FileSystemError.NOT_FOUND;\n        }\n\n        // All other errors are mapped to the generic \"unknown\" error\n        return FileSystemError.UNKNOWN;\n    }\n\n    var liveBrowserOpenedPIDs = [];\n\n    /** openLiveBrowser\n     * Open the given URL in the user's system browser, optionally enabling debugging.\n     * @param {string} url The URL to open.\n     * @param {boolean=} enableRemoteDebugging Whether to turn on remote debugging. Default false.\n     * @return {$.Promise}\n     */\n    function openLiveBrowser(url, enableRemoteDebugging) {\n        var result = new $.Deferred();\n\n        brackets.app.openLiveBrowser(url, !!enableRemoteDebugging, function onRun(err, pid) {\n            if (!err) {\n                // Undefined ids never get removed from list, so don't push them on\n                if (pid !== undefined) {\n                    liveBrowserOpenedPIDs.push(pid);\n                }\n                result.resolve(pid);\n            } else {\n                result.reject(_browserErrToFileError(err));\n            }\n        });\n\n        return result.promise();\n    }\n\n    /** closeLiveBrowser\n     *\n     * @return {$.Promise}\n     */\n    function closeLiveBrowser(pid) {\n        var result = new $.Deferred();\n\n        if (isNaN(pid)) {\n            pid = 0;\n        }\n        brackets.app.closeLiveBrowser(function (err) {\n            if (!err) {\n                var i = liveBrowserOpenedPIDs.indexOf(pid);\n                if (i !== -1) {\n                    liveBrowserOpenedPIDs.splice(i, 1);\n                }\n                result.resolve();\n            } else {\n                result.reject(_browserErrToFileError(err));\n            }\n        }, pid);\n\n        return result.promise();\n    }\n\n    /** closeAllLiveBrowsers\n     * Closes all the browsers that were tracked on open\n     * TODO: does not seem to work on Windows\n     * @return {$.Promise}\n     */\n    function closeAllLiveBrowsers() {\n        //make a copy incase the array is edited as we iterate\n        var closeIDs = liveBrowserOpenedPIDs.concat();\n        return Async.doSequentially(closeIDs, closeLiveBrowser, false);\n    }\n\n    /**\n     * Opens a URL in the system default browser\n     */\n    function openURLInDefaultBrowser(url) {\n        brackets.app.openURLInDefaultBrowser(url);\n    }\n\n\n    // Define public API\n    exports.openLiveBrowser = openLiveBrowser;\n    exports.closeLiveBrowser = closeLiveBrowser;\n    exports.closeAllLiveBrowsers = closeAllLiveBrowsers;\n    exports.openURLInDefaultBrowser = openURLInDefaultBrowser;\n});\n\n//# sourceURL=/utils/NativeApp.js"),eval('define(\'text!htmlContent/update-dialog.html\',[],function () { return \'<div class="update-dialog modal">\\n    <div class="modal-header">\\n        <h1 class="dialog-title">{{UPDATE_AVAILABLE_TITLE}}</h1>\\n    </div>\\n    <div class="modal-body no-padding">\\n        <img class="update-icon" src="styles/images/update_large_icon.svg">\\n        <div class="update-text">\\n            <p class="dialog-message">{{UPDATE_MESSAGE}}</p>\\n            <div class="update-info">\\n            </div>\\n        </div>\\n    </div>\\n    <div class="modal-footer">\\n        <button class="dialog-button btn left" data-button-id="cancel">{{CANCEL}}</button>\\n        <button class="dialog-button btn primary" data-button-id="download">{{GET_IT_NOW}}</button>\\n    </div>\\n</div>\\n\';});\n\n//# sourceURL=/text!htmlContent/update-dialog.html'),eval("define('text!htmlContent/update-list.html',[],function () { return '{{#.}}\\n<div>\\n    <h3>{{versionString}} - {{dateString}} (<a href=\"{{releaseNotesURL}}\" title=\"{{releaseNotesURL}}\">{{Strings.RELEASE_NOTES}}</a>)</h3>\\n    <ul>\\n        {{#newFeatures}}\\n        <li><b>{{name}}</b> - {{description}}</li>\\n        {{/newFeatures}}\\n    </ul>\\n</div>\\n{{/.}}';});\n\n//# sourceURL=/text!htmlContent/update-list.html"),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n *  Utilities functions for displaying update notifications\n *\n */\ndefine(\'utils/UpdateNotification\',[\'require\',\'exports\',\'module\',\'widgets/Dialogs\',\'widgets/DefaultDialogs\',\'extensibility/ExtensionManager\',\'preferences/PreferencesManager\',\'utils/NativeApp\',\'strings\',\'text!htmlContent/update-dialog.html\',\'text!htmlContent/update-list.html\',\'thirdparty/mustache/mustache\',\'utils/Global\'],function (require, exports, module) {\n    "use strict";\n\n    var Dialogs              = require("widgets/Dialogs"),\n        DefaultDialogs       = require("widgets/DefaultDialogs"),\n        ExtensionManager     = require("extensibility/ExtensionManager"),\n        PreferencesManager   = require("preferences/PreferencesManager"),\n        NativeApp            = require("utils/NativeApp"),\n        Strings              = require("strings"),\n        UpdateDialogTemplate = require("text!htmlContent/update-dialog.html"),\n        UpdateListTemplate   = require("text!htmlContent/update-list.html"),\n        Mustache             = require("thirdparty/mustache/mustache");\n\n    // make sure the global brackets variable is loaded\n    require("utils/Global");\n\n    // duration of one day in milliseconds\n    var ONE_DAY = 1000 * 60 * 60 * 24;\n\n    // duration of two minutes in milliseconds\n    var TWO_MINUTES = 1000 * 60 * 2;\n\n    // Extract current build number from package.json version field 0.0.0-0\n    var _buildNumber = Number(/-([0-9]+)/.exec(brackets.metadata.version)[1]);\n\n    // Init default last build number\n    PreferencesManager.stateManager.definePreference("lastNotifiedBuildNumber", "number", 0);\n\n    // Init default last info URL fetch time\n    PreferencesManager.stateManager.definePreference("lastInfoURLFetchTime", "number", 0);\n\n    // Time of last registry check for update\n    PreferencesManager.stateManager.definePreference("lastExtensionRegistryCheckTime", "number", 0);\n    // Data about available updates in the registry\n    PreferencesManager.stateManager.definePreference("extensionUpdateInfo", "Array", []);\n\n    // URL to load version info from. By default this is loaded no more than once a day. If\n    // you force an update check it is always loaded.\n\n    // Information on all posted builds of Brackets. This is an Array, where each element is\n    // an Object with the following fields:\n    //\n    //  {Number} buildNumber Number of the build\n    //  {String} versionString String representation of the build number (ie "Release 0.40")\n    //  {String} dateString Date of the build\n    //  {String} releaseNotesURL URL of the release notes for this build\n    //  {String} downloadURL URL to download this build\n    //  {Array} newFeatures Array of new features in this build. Each entry has two fields:\n    //      {String} name Name of the feature\n    //      {String} description Description of the feature\n    //\n    // This array must be reverse sorted by buildNumber (newest build info first)\n\n    /**\n     * @private\n     * Flag that indicates if we\'ve added a click handler to the update notification icon.\n     */\n    var _addedClickHandler = false;\n\n    /**\n     * Construct a new version update url with the given locale.\n     *\n     * @param {string=} locale - optional locale, defaults to \'brackets.getLocale()\' when omitted.\n     * @param {boolean=} removeCountryPartOfLocale - optional, remove existing country information from locale \'en-gb\' => \'en\'\n     * return {string} the new version update url\n     */\n    function _getVersionInfoUrl(locale, removeCountryPartOfLocale) {\n        locale = locale || brackets.getLocale();\n\n        if (removeCountryPartOfLocale) {\n            locale = locale.substring(0, 2);\n        }\n\n        return brackets.config.update_info_url + \'?locale=\' + locale;\n    }\n\n    /**\n     * Get a data structure that has information for all builds of Brackets.\n     *\n     * If force is true, the information is always fetched from _versionInfoURL.\n     * If force is false, we try to use cached information. If more than\n     * 24 hours have passed since the last fetch, or if cached data can\'t be found,\n     * the data is fetched again.\n     *\n     * If new data is fetched and dontCache is false, the data is saved in preferences\n     * for quick fetching later.\n     * _versionInfoUrl is used for unit testing.\n     */\n    function _getUpdateInformation(force, dontCache, _versionInfoUrl) {\n        // Last time the versionInfoURL was fetched\n        var lastInfoURLFetchTime = PreferencesManager.getViewState("lastInfoURLFetchTime");\n\n        var result = new $.Deferred();\n        var fetchData = false;\n        var data;\n\n        // If force is true, always fetch\n        if (force) {\n            fetchData = true;\n        }\n\n        // If we don\'t have data saved in prefs, fetch\n        data = PreferencesManager.getViewState("updateInfo");\n        if (!data) {\n            fetchData = true;\n        }\n\n        // If more than 24 hours have passed since our last fetch, fetch again\n        if ((new Date()).getTime() > lastInfoURLFetchTime + ONE_DAY) {\n            fetchData = true;\n        }\n\n        if (fetchData) {\n            var lookupPromise = new $.Deferred(),\n                localVersionInfoUrl;\n\n            // If the current locale isn\'t "en" or "en-US", check whether we actually have a\n            //   locale-specific update notification, and fall back to "en" if not.\n            // Note: we check for both "en" and "en-US" to watch for the general case or\n            //    country-specific English locale.  The former appears default on Mac, while\n            //    the latter appears default on Windows.\n            var locale = brackets.getLocale().toLowerCase();\n            if (locale !== "en" && locale !== "en-us") {\n                localVersionInfoUrl = _versionInfoUrl || _getVersionInfoUrl();\n                $.ajax({\n                    url: localVersionInfoUrl,\n                    cache: false,\n                    type: "HEAD"\n                }).fail(function (jqXHR, status, error) {\n                    // get rid of any country information from locale and try again\n                    var tmpUrl = _getVersionInfoUrl(brackets.getLocale(), true);\n                    if (tmpUrl !== localVersionInfoUrl) {\n                        $.ajax({\n                            url: tmpUrl,\n                            cache: false,\n                            type: "HEAD"\n                        }).fail(function (jqXHR, status, error) {\n                            localVersionInfoUrl = _getVersionInfoUrl("en");\n                        }).done(function (jqXHR, status, error) {\n                            localVersionInfoUrl = tmpUrl;\n                        }).always(function (jqXHR, status, error) {\n                            lookupPromise.resolve();\n                        });\n                    } else {\n                        localVersionInfoUrl = _getVersionInfoUrl("en");\n                        lookupPromise.resolve();\n                    }\n                }).done(function (jqXHR, status, error) {\n                    lookupPromise.resolve();\n                });\n            } else {\n                localVersionInfoUrl = _versionInfoUrl || _getVersionInfoUrl("en");\n                lookupPromise.resolve();\n            }\n\n            lookupPromise.done(function () {\n                $.ajax({\n                    url: localVersionInfoUrl,\n                    dataType: "json",\n                    cache: false\n                }).done(function (updateInfo, textStatus, jqXHR) {\n                    if (!dontCache) {\n                        lastInfoURLFetchTime = (new Date()).getTime();\n                        PreferencesManager.setViewState("lastInfoURLFetchTime", lastInfoURLFetchTime);\n                        PreferencesManager.setViewState("updateInfo", updateInfo);\n                    }\n                    result.resolve(updateInfo);\n                }).fail(function (jqXHR, status, error) {\n                    // When loading data for unit tests, the error handler is\n                    // called but the responseText is valid. Try to use it here,\n                    // but *don\'t* save the results in prefs.\n\n                    if (!jqXHR.responseText) {\n                        // Text is NULL or empty string, reject().\n                        result.reject();\n                        return;\n                    }\n\n                    try {\n                        data = JSON.parse(jqXHR.responseText);\n                        result.resolve(data);\n                    } catch (e) {\n                        result.reject();\n                    }\n                });\n            });\n        } else {\n            result.resolve(data);\n        }\n\n        return result.promise();\n    }\n\n    /**\n     * Return a new array of version information that is newer than "buildNumber".\n     * Returns null if there is no new version information.\n     */\n    function _stripOldVersionInfo(versionInfo, buildNumber) {\n        // Do a simple linear search. Since we are going in reverse-chronological order, we\n        // should get through the search quickly.\n        var lastIndex = 0;\n        var len = versionInfo.length;\n\n        while (lastIndex < len) {\n            if (versionInfo[lastIndex].buildNumber <= buildNumber) {\n                break;\n            }\n            lastIndex++;\n        }\n\n        if (lastIndex > 0) {\n            return versionInfo.slice(0, lastIndex);\n        }\n\n        // No new version info\n        return null;\n    }\n\n    /**\n     * Show a dialog that shows the update\n     */\n    function _showUpdateNotificationDialog(updates) {\n        Dialogs.showModalDialogUsingTemplate(Mustache.render(UpdateDialogTemplate, Strings))\n            .done(function (id) {\n                if (id === Dialogs.DIALOG_BTN_DOWNLOAD) {\n                    // The first entry in the updates array has the latest download link\n                    NativeApp.openURLInDefaultBrowser(updates[0].downloadURL);\n                }\n            });\n\n        // Populate the update data\n        var $dlg        = $(".update-dialog.instance"),\n            $updateList = $dlg.find(".update-info");\n\n        // Make the update notification icon clickable again\n        _addedClickHandler = false;\n\n        updates.Strings = Strings;\n        $updateList.html(Mustache.render(UpdateListTemplate, updates));\n    }\n\n    /**\n     * Calculate state of notification everytime registries are downloaded - no matter who triggered the download\n     */\n    function _onRegistryDownloaded() {\n        var availableUpdates = ExtensionManager.getAvailableUpdates();\n        PreferencesManager.setViewState("extensionUpdateInfo", availableUpdates);\n        PreferencesManager.setViewState("lastExtensionRegistryCheckTime", (new Date()).getTime());\n        $("#toolbar-extension-manager").toggleClass("updatesAvailable", availableUpdates.length > 0);\n    }\n\n    /**\n     *  Every 24 hours downloads registry information to check for update, but only if the registry download\n     *  wasn\'t triggered by another action (like opening extension manager)\n     *  If there isn\'t 24 hours elapsed from the last download, use cached information from last download\n     *  to determine state of the update notification.\n     */\n    function checkForExtensionsUpdate() {\n        var lastExtensionRegistryCheckTime = PreferencesManager.getViewState("lastExtensionRegistryCheckTime"),\n            timeOfNextCheck = lastExtensionRegistryCheckTime + ONE_DAY,\n            currentTime = (new Date()).getTime();\n\n        // update icon according to previously saved information\n        var availableUpdates = PreferencesManager.getViewState("extensionUpdateInfo");\n        availableUpdates = ExtensionManager.cleanAvailableUpdates(availableUpdates);\n        $("#toolbar-extension-manager").toggleClass("updatesAvailable", availableUpdates.length > 0);\n\n        if (availableUpdates.length === 0) {\n            // icon is gray, no updates available\n            if (currentTime > timeOfNextCheck) {\n                // downloadRegistry, will be resolved in _onRegistryDownloaded\n                ExtensionManager.downloadRegistry().done(function () {\n                    // schedule another check in 24 hours + 2 minutes\n                    setTimeout(checkForExtensionsUpdate, ONE_DAY + TWO_MINUTES);\n                });\n            } else {\n                // schedule the download of the registry in appropriate time\n                setTimeout(checkForExtensionsUpdate, (timeOfNextCheck - currentTime) + TWO_MINUTES);\n            }\n        }\n    }\n\n    /**\n     * Check for updates. If "force" is true, update notification dialogs are always displayed\n     * (if an update is available). If "force" is false, the update notification is only\n     * displayed for newly available updates.\n     *\n     * If an update is available, show the "update available" notification icon in the title bar.\n     *\n     * @param {boolean} force If true, always show the notification dialog.\n     * @param {Object} _testValues This should only be used for testing purposes. See comments for details.\n     * @return {$.Promise} jQuery Promise object that is resolved or rejected after the update check is complete.\n     */\n    function checkForUpdate(force, _testValues) {\n        // This is the last version we notified the user about. If checkForUpdate()\n        // is called with "false", only show the update notification dialog if there\n        // is an update newer than this one. This value is saved in preferences.\n        var lastNotifiedBuildNumber = PreferencesManager.getViewState("lastNotifiedBuildNumber");\n\n        // The second param, if non-null, is an Object containing value overrides. Values\n        // in the object temporarily override the local values. This should *only* be used for testing.\n        // If any overrides are set, permanent changes are not made (including showing\n        // the update notification icon and saving prefs).\n        var oldValues;\n        var usingOverrides = false; // true if any of the values are overridden.\n        var result = new $.Deferred();\n        var versionInfoUrl;\n\n        if (_testValues) {\n            oldValues = {};\n\n            if (_testValues.hasOwnProperty("_buildNumber")) {\n                oldValues._buildNumber = _buildNumber;\n                _buildNumber = _testValues._buildNumber;\n                usingOverrides = true;\n            }\n\n            if (_testValues.hasOwnProperty("lastNotifiedBuildNumber")) {\n                oldValues.lastNotifiedBuildNumber = lastNotifiedBuildNumber;\n                lastNotifiedBuildNumber = _testValues.lastNotifiedBuildNumber;\n                usingOverrides = true;\n            }\n\n            if (_testValues.hasOwnProperty("_versionInfoURL")) {\n                versionInfoUrl = _testValues._versionInfoURL;\n                usingOverrides = true;\n            }\n        }\n\n        _getUpdateInformation(force || usingOverrides, usingOverrides, versionInfoUrl)\n            .done(function (versionInfo) {\n                // Get all available updates\n                var allUpdates = _stripOldVersionInfo(versionInfo, _buildNumber);\n\n                // When running directly from GitHub source (as opposed to\n                // an installed build), _buildNumber is 0. In this case, if the\n                // test is not forced, don\'t show the update notification icon or\n                // dialog.\n                if (_buildNumber === 0 && !force) {\n                    result.resolve();\n                    return;\n                }\n\n                if (allUpdates) {\n                    // Always show the "update available" icon if any updates are available\n                    var $updateNotification = $("#update-notification");\n\n                    $updateNotification.css("display", "block");\n\n                    $updateNotification.on("click", function () {\n                        // Block the click until the Notification Dialog opens\n                        if (!_addedClickHandler) {\n                            _addedClickHandler = true;\n                            checkForUpdate(true);\n                        }\n                    });\n\n                    // Only show the update dialog if force = true, or if the user hasn\'t been\n                    // alerted of this update\n                    if (force || allUpdates[0].buildNumber >  lastNotifiedBuildNumber) {\n                        _showUpdateNotificationDialog(allUpdates);\n\n                        // Update prefs with the last notified build number\n                        lastNotifiedBuildNumber = allUpdates[0].buildNumber;\n                        // Don\'t save prefs is we have overridden values\n                        if (!usingOverrides) {\n                            PreferencesManager.setViewState("lastNotifiedBuildNumber", lastNotifiedBuildNumber);\n                        }\n                    }\n                } else if (force) {\n                    // No updates are available. If force == true, let the user know.\n                    Dialogs.showModalDialog(\n                        DefaultDialogs.DIALOG_ID_ERROR,\n                        Strings.NO_UPDATE_TITLE,\n                        Strings.NO_UPDATE_MESSAGE\n                    );\n                }\n\n                if (oldValues) {\n                    if (oldValues.hasOwnProperty("_buildNumber")) {\n                        _buildNumber = oldValues._buildNumber;\n                    }\n                    if (oldValues.hasOwnProperty("lastNotifiedBuildNumber")) {\n                        lastNotifiedBuildNumber = oldValues.lastNotifiedBuildNumber;\n                    }\n                }\n                result.resolve();\n            })\n            .fail(function () {\n                // Error fetching the update data. If this is a forced check, alert the user\n                if (force) {\n                    Dialogs.showModalDialog(\n                        DefaultDialogs.DIALOG_ID_ERROR,\n                        Strings.ERROR_FETCHING_UPDATE_INFO_TITLE,\n                        Strings.ERROR_FETCHING_UPDATE_INFO_MSG\n                    );\n                }\n                result.reject();\n            });\n\n        return result.promise();\n    }\n\n    /**\n     * Launches both check for Brackets update and check for installed extensions update\n     */\n    function launchAutomaticUpdate() {\n        // launch immediately and then every 24 hours + 2 minutes\n        checkForUpdate();\n        checkForExtensionsUpdate();\n        window.setInterval(checkForUpdate, ONE_DAY + TWO_MINUTES);\n    }\n\n    // Events listeners\n    ExtensionManager.on("registryDownload", _onRegistryDownloaded);\n\n    // Define public API\n    exports.launchAutomaticUpdate = launchAutomaticUpdate;\n    exports.checkForUpdate        = checkForUpdate;\n});\n\n//# sourceURL=/utils/UpdateNotification.js'),eval(' /*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'utils/DragAndDrop\',[\'require\',\'exports\',\'module\',\'utils/Async\',\'command/CommandManager\',\'command/Commands\',\'widgets/Dialogs\',\'widgets/DefaultDialogs\',\'view/MainViewManager\',\'filesystem/FileSystem\',\'file/FileUtils\',\'project/ProjectManager\',\'strings\',\'utils/StringUtils\'],function (require, exports, module) {\n    "use strict";\n\n    var Async           = require("utils/Async"),\n        CommandManager  = require("command/CommandManager"),\n        Commands        = require("command/Commands"),\n        Dialogs         = require("widgets/Dialogs"),\n        DefaultDialogs  = require("widgets/DefaultDialogs"),\n        MainViewManager = require("view/MainViewManager"),\n        FileSystem      = require("filesystem/FileSystem"),\n        FileUtils       = require("file/FileUtils"),\n        ProjectManager  = require("project/ProjectManager"),\n        Strings         = require("strings"),\n        StringUtils     = require("utils/StringUtils");\n\n    /**\n     * Returns true if the drag and drop items contains valid drop objects.\n     * @param {Array.<DataTransferItem>} items Array of items being dragged\n     * @return {boolean} True if one or more items can be dropped.\n     */\n    function isValidDrop(items) {\n        var i, len = items.length;\n\n        for (i = 0; i < len; i++) {\n            if (items[i].kind === "file") {\n                var entry = items[i].webkitGetAsEntry();\n\n                if (entry.isFile) {\n                    // If any files are being dropped, this is a valid drop\n                    return true;\n                } else if (len === 1) {\n                    // If exactly one folder is being dropped, this is a valid drop\n                    return true;\n                }\n            }\n        }\n\n        // No valid entries found\n        return false;\n    }\n    \n    /**\n     * Determines if the event contains a type list that has a URI-list.\n     * If it does and contains an empty file list, then what is being dropped is a URL.\n     * If that is true then we stop the event propagation and default behavior to save Brackets editor from the browser taking over.\n     * @param {Array.<File>} files Array of File objects from the event datastructure. URLs are the only drop item that would contain a URI-list.\n     * @param {event} event The event datastucture containing datatransfer information about the drag/drop event. Contains a type list which may or may not hold a URI-list depending on what was dragged/dropped. Interested if it does.\n     */\n    function stopURIListPropagation(files, event) {\n        var types = event.dataTransfer.types;\n            \n        if ((!files || !files.length) && types) { // We only want to check if a string of text was dragged into the editor\n            types.forEach(function (value) {\n                //Draging text externally (dragging text from another file): types has "text/plain" and "text/html"\n                //Draging text internally (dragging text to another line): types has just "text/plain"\n                //Draging a file: types has "Files"\n                //Draging a url: types has "text/plain" and "text/uri-list" <-what we are interested in\n                if (value === "text/uri-list") { \n                    event.stopPropagation();\n                    event.preventDefault();\n                    return;\n                }\n            });\n        }\n    }\n\n    /**\n     * Open dropped files\n     * @param {Array.<string>} files Array of files dropped on the application.\n     * @return {Promise} Promise that is resolved if all files are opened, or rejected\n     *     if there was an error.\n     */\n    function openDroppedFiles(paths) {\n        var errorFiles = [],\n            ERR_MULTIPLE_ITEMS_WITH_DIR = {};\n\n        return Async.doInParallel(paths, function (path, idx) {\n            var result = new $.Deferred();\n\n            // Only open files.\n            FileSystem.resolve(path, function (err, item) {\n                if (!err && item.isFile) {\n                    // If the file is already open, and this isn\'t the last\n                    // file in the list, return. If this *is* the last file,\n                    // always open it so it gets selected.\n                    if (idx < paths.length - 1) {\n                        if (MainViewManager.findInWorkingSet(MainViewManager.ALL_PANES, path) !== -1) {\n                            result.resolve();\n                            return;\n                        }\n                    }\n\n                    CommandManager.execute(Commands.CMD_ADD_TO_WORKINGSET_AND_OPEN,\n                                           {fullPath: path, silent: true})\n                        .done(function () {\n                            result.resolve();\n                        })\n                        .fail(function (openErr) {\n                            errorFiles.push({path: path, error: openErr});\n                            result.reject();\n                        });\n                } else if (!err && item.isDirectory && paths.length === 1) {\n                    // One folder was dropped, open it.\n                    ProjectManager.openProject(path)\n                        .done(function () {\n                            result.resolve();\n                        })\n                        .fail(function () {\n                            // User was already notified of the error.\n                            result.reject();\n                        });\n                } else {\n                    errorFiles.push({path: path, error: err || ERR_MULTIPLE_ITEMS_WITH_DIR});\n                    result.reject();\n                }\n            });\n\n            return result.promise();\n        }, false)\n            .fail(function () {\n                function errorToString(err) {\n                    if (err === ERR_MULTIPLE_ITEMS_WITH_DIR) {\n                        return Strings.ERROR_MIXED_DRAGDROP;\n                    } else {\n                        return FileUtils.getFileErrorString(err);\n                    }\n                }\n\n                if (errorFiles.length > 0) {\n                    var message = Strings.ERROR_OPENING_FILES;\n\n                    message += "<ul class=\'dialog-list\'>";\n                    errorFiles.forEach(function (info) {\n                        message += "<li><span class=\'dialog-filename\'>" +\n                            StringUtils.breakableUrl(ProjectManager.makeProjectRelativeIfPossible(info.path)) +\n                            "</span> - " + errorToString(info.error) +\n                            "</li>";\n                    });\n                    message += "</ul>";\n\n                    Dialogs.showModalDialog(\n                        DefaultDialogs.DIALOG_ID_ERROR,\n                        Strings.ERROR_OPENING_FILE_TITLE,\n                        message\n                    );\n                }\n            });\n    }\n\n\n    /**\n     * Attaches global drag & drop handlers to this window. This enables dropping files/folders to open them, and also\n     * protects the Brackets app from being replaced by the browser trying to load the dropped file in its place.\n     */\n    function attachHandlers() {\n\n        function handleDragOver(event) {\n            event = event.originalEvent || event;\n\n            var files = event.dataTransfer.files;\n\n            stopURIListPropagation(files, event);\n\n            if (files && files.length) {\n                event.stopPropagation();\n                event.preventDefault();\n\n                var dropEffect = "none";\n\n                // Don\'t allow drag-and-drop of files/folders when a modal dialog is showing.\n                if ($(".modal.instance").length === 0 && isValidDrop(event.dataTransfer.items)) {\n                    dropEffect = "copy";\n                }\n                event.dataTransfer.dropEffect = dropEffect;\n            }\n        }\n\n        function handleDrop(event) {\n            event = event.originalEvent || event;\n\n            var files = event.dataTransfer.files;\n\n            stopURIListPropagation(files, event);\n\n            if (files && files.length) {\n                event.stopPropagation();\n                event.preventDefault();\n\n                brackets.app.getDroppedFiles(function (err, paths) {\n                    if (!err) {\n                        openDroppedFiles(paths);\n                    }\n                });\n            }\n        }\n\n        // For most of the window, only respond if nothing more specific in the UI has already grabbed the event (e.g.\n        // the Extension Manager drop-to-install zone, or an extension with a drop-to-upload zone in its panel)\n        $(window.document.body)\n            .on("dragover", handleDragOver)\n            .on("drop", handleDrop);\n\n        // Over CodeMirror specifically, always pre-empt CodeMirror\'s drag event handling if files are being dragged - CM stops\n        // propagation on any drag event it sees, even when it\'s not a text drag/drop. But allow CM to handle all non-file drag\n        // events. See bug #10617.\n        window.document.body.addEventListener("dragover", function (event) {\n            if ($(event.target).closest(".CodeMirror").length) {\n                handleDragOver(event);\n            }\n        }, true);\n        window.document.body.addEventListener("drop", function (event) {\n            if ($(event.target).closest(".CodeMirror").length) {\n                handleDrop(event);\n            }\n        }, true);\n    }\n\n\n    CommandManager.register(Strings.CMD_OPEN_DROPPED_FILES, Commands.FILE_OPEN_DROPPED_FILES, openDroppedFiles);\n\n    // Export public API\n    exports.attachHandlers      = attachHandlers;\n    exports.isValidDrop         = isValidDrop;\n    exports.openDroppedFiles    = openDroppedFiles;\n});\n\n//# sourceURL=/utils/DragAndDrop.js'),
eval('define(\'text!htmlContent/main-view.html\',[],function () { return \'<!-- \\n  Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\\n   \\n  Permission is hereby granted, free of charge, to any person obtaining a\\n  copy of this software and associated documentation files (the "Software"), \\n  to deal in the Software without restriction, including without limitation \\n  the rights to use, copy, modify, merge, publish, distribute, sublicense, \\n  and/or sell copies of the Software, and to permit persons to whom the \\n  Software is furnished to do so, subject to the following conditions:\\n   \\n  The above copyright notice and this permission notice shall be included in\\n  all copies or substantial portions of the Software.\\n   \\n  THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\\n  IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, \\n  FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\\n  AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER \\n  LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING \\n  FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER \\n  DEALINGS IN THE SOFTWARE.\\n-->\\n\\n\\n<!--\\n    HTML template for the body tag of index.html. It is rendered dynamically in\\n    brackets.js with Mustache and localized with the i18n RequireJS plugin.\\n\\n    LOCALIZATION NOTE:\\n    All display text for this file must use templating so the text can be localized.\\n    \\n    English text goes in src/nls/root/strings.js. All other translations go in the strings.js file for\\n    the specific local in the nls folder. If a translation is missing for a specific key English\\n    is used as a fallback\\n\\n    Strings should be referenced using the double brackets syntax.\\n    Example: {{keyname}}. Note, all strings are HTML escaped unless the form \\n    {{&keyname}} is used.\\n\\n-->\\n\\n    <!-- Main UI: horizontal set of sidebar, main content vertical stack, and vertical toolbar -->\\n    <div class="main-view">\\n        <div id="sidebar" class="sidebar panel quiet-scrollbars horz-resizable right-resizer collapsible" data-minsize="0" data-maxsize="80%" data-forceleft=".content">\\n            <div class="working-set-splitview-btn btn-alt-quiet"></div>\\n            <div class="working-set-option-btn btn-alt-quiet"></div>\\n            \\n            <div id="working-set-list-container">\\n                \\n            </div>\\n            <div id="project-files-header">\\n                <span id="project-title" class="title"></span>\\n            </div>\\n            <div id="project-files-container">\\n                <!-- This will contain a dynamically generated <ul> hierarchy at runtime -->\\n            </div>\\n        </div>\\n        \\n        <!--\\n            Vertical stack of titlebar (in-browser), editor, bottom panels, status bar\\n                (status bar is injected later - see StatusBar.init()).\\n            Note: all children must be in a vertical stack with heights explicitly set in a fixed\\n                unit such as px (not percent/em/auto). If you change the height later, you must\\n                call WorkspaceManager.recomputeLayout() each time. Otherwise the layout will\\n                not get set correctly. Use WorkspaceManager to have this managed for you automatically.\\n         -->\\n        <div class="content">\\n            <!-- Horizontal titlebar containing menus & filename when inBrowser -->\\n            <div id="titlebar" class="toolbar no-focus">\\n                <!-- Menu bar -->\\n                <ul class="nav" data-dropdown="dropdown">\\n                </ul>\\n                \\n                <!-- Filename label -->\\n                <div class="title-wrapper">\\n                    <span class="title"></span>&nbsp;<span class=\\\'dirty-dot\\\' style="visibility:hidden;">•</span>\\n                </div>\\n            </div>\\n            \\n            <div id="editor-holder" {{#shouldAddAA}}class="subpixel-aa"{{/shouldAddAA}}>\\n                <!-- View Panes are programatically created here -->\\n            </div>\\n            \\n            <!-- Bottom panels and status bar are programmatically created here -->\\n            \\n        </div>\\n\\n        <!-- Vertical toolbar docked to right -->\\n        <div id="main-toolbar" class="toolbar no-focus collapsible">\\n            <!-- Top-aligned buttons -->\\n            <div class="buttons">\\n                <a id="toolbar-go-live" href="#"></a> <!-- tooltip for this is set in JS -->\\n                <a id="toolbar-extension-manager" title="{{Strings.EXTENSION_MANAGER_TITLE}}" href="#"></a>\\n                <a id="update-notification" title="{{Strings.UPDATE_NOTIFICATION_TOOLTIP}}" href="#" style="display: none"></a>\\n            </div>\\n            <div class="bottom-buttons"></div>\\n        </div>\\n        \\n        <!-- Hack to ensure that the code editor\\\'s web font is loaded early. -->\\n        <!-- For more info, see note in brackets.less for class .dummy-text, or issue 76 -->\\n        <div class="dummy-text">x</div>\\n    </div>\\n\\n    <!-- Modal Windows -->\\n    <div id="context-menu-bar">\\n        <ul data-dropdown="dropdown"></ul>\\n    </div>\\n    <div id="codehint-menu-bar">\\n        <ul data-dropdown="dropdown"></ul>\\n    </div>\\n    <div id="hidden-editors"></div>\\n\';});\n\n//# sourceURL=/text!htmlContent/main-view.html'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'language/HTMLUtils\',[\'require\',\'exports\',\'module\',\'thirdparty/CodeMirror/lib/codemirror\',\'utils/TokenUtils\'],function (require, exports, module) {\n    "use strict";\n\n    var CodeMirror = require("thirdparty/CodeMirror/lib/codemirror"),\n        TokenUtils = require("utils/TokenUtils");\n\n    // Constants\n    var TAG_NAME = "tagName",\n        CLOSING_TAG = "closingTag",\n        ATTR_NAME = "attr.name",\n        ATTR_VALUE = "attr.value";\n\n    // Regular expression for token types with "tag" prefixed\n    var tagPrefixedRegExp = /^tag/;\n\n   /**\n     * @private\n     * Sometimes as attr values are getting typed, if the quotes aren\'t balanced yet\n     * some extra \'non attribute value\' text gets included in the token. This attempts\n     * to assure the attribute value we grab is always good\n     * @param {editor:{CodeMirror}, pos:{ch:{string}, line:{number}}, token:{object}} context\n     * @return { val:{string}, offset:{number}}\n     */\n    function _extractAttrVal(ctx) {\n        var attrValue = ctx.token.string,\n            startChar = attrValue.charAt(0),\n            endChar = attrValue.charAt(attrValue.length - 1),\n            offset = TokenUtils.offsetInToken(ctx),\n            foundEqualSign = false;\n\n        //If this is a fully quoted value, return the whole\n        //thing regardless of position\n        if (attrValue.length > 1 &&\n                (startChar === "\'" || startChar === \'"\') &&\n                endChar === startChar) {\n\n            // Find an equal sign before the end quote. If found,\n            // then the user may be entering an attribute value right before\n            // another attribute and we\'re getting a false balanced string.\n            // An example of this case is <link rel" href="foo"> where the\n            // cursor is right after the first double quote.\n            foundEqualSign = (attrValue.match(/\\=\\s*[\'"]$/) !== null);\n\n            if (!foundEqualSign) {\n                //strip the quotes and return;\n                attrValue = attrValue.substring(1, attrValue.length - 1);\n                offset = offset - 1 > attrValue.length ? attrValue.length : offset - 1;\n                return {val: attrValue, offset: offset, quoteChar: startChar, hasEndQuote: true};\n            }\n        }\n\n        if (foundEqualSign) {\n            var spaceIndex = attrValue.indexOf(" "),\n                bracketIndex = attrValue.indexOf(">"),\n                upToIndex = (spaceIndex !== -1 && spaceIndex < bracketIndex) ? spaceIndex : bracketIndex;\n            attrValue = attrValue.substring(0, (upToIndex > offset) ? upToIndex : offset);\n        } else if (offset > 0 && (startChar === "\'" || startChar === \'"\')) {\n            //The att value is getting edit in progress. There is possible extra\n            //stuff in this token state since the quote isn\'t closed, so we assume\n            //the stuff from the quote to the current pos is definitely in the attribute\n            //value.\n            attrValue = attrValue.substring(0, offset);\n        }\n\n        //If the attrValue start with a quote, trim that now\n        startChar = attrValue.charAt(0);\n        if (startChar === "\'" || startChar === \'"\') {\n            attrValue = attrValue.substring(1);\n            offset--;\n        } else {\n            startChar = "";\n            // Make attr value empty and set offset to zero if it has the ">"\n            // which is the closing of the tag.\n            if (endChar === ">") {\n                attrValue = "";\n                offset = 0;\n            }\n        }\n\n        return {val: attrValue, offset: offset, quoteChar: startChar, hasEndQuote: false};\n    }\n\n    /**\n     * @private\n     * Gets the tagname from where ever you are in the currect state\n     * @param {editor:{CodeMirror}, pos:{ch:{string}, line:{number}}, token:{object}} context\n     * @return {string}\n     */\n    function _extractTagName(ctx) {\n        var mode = ctx.editor.getMode(),\n            innerModeData = CodeMirror.innerMode(mode, ctx.token.state);\n\n        if (ctx.token.type === "tag bracket") {\n            return innerModeData.state.tagName;\n        }\n\n        // If the ctx is inside the tag name of an end tag, innerModeData.state.tagName is\n        // undefined. So return token string as the tag name.\n        return innerModeData.state.tagName || ctx.token.string;\n    }\n\n    /**\n     * Compiles a list of used attributes for a given tag\n     * @param {CodeMirror} editor An instance of a CodeMirror editor\n     * @param {ch:{string}, line:{number}} pos A CodeMirror position\n     * @return {Array.<string>} A list of the used attributes inside the current tag\n     */\n    function getTagAttributes(editor, pos) {\n        var attrs       = [],\n            backwardCtx = TokenUtils.getInitialContext(editor._codeMirror, pos),\n            forwardCtx  = $.extend({}, backwardCtx);\n\n        if (editor.getModeForSelection() === "html") {\n            if (backwardCtx.token && !tagPrefixedRegExp.test(backwardCtx.token.type)) {\n                while (TokenUtils.movePrevToken(backwardCtx) && !tagPrefixedRegExp.test(backwardCtx.token.type)) {\n                    if (backwardCtx.token.type === "error" && backwardCtx.token.string.indexOf("<") === 0) {\n                        break;\n                    }\n                    if (backwardCtx.token.type === "attribute") {\n                        attrs.push(backwardCtx.token.string);\n                    }\n                }\n\n                while (TokenUtils.moveNextToken(forwardCtx) && !tagPrefixedRegExp.test(forwardCtx.token.type)) {\n                    if (forwardCtx.token.type === "attribute") {\n                        // If the current tag is not closed, codemirror may return the next opening\n                        // tag as an attribute. Stop the search loop in that case.\n                        if (forwardCtx.token.string.indexOf("<") === 0) {\n                            break;\n                        }\n                        attrs.push(forwardCtx.token.string);\n                    } else if (forwardCtx.token.type === "error") {\n                        if (forwardCtx.token.string.indexOf("<") === 0 || forwardCtx.token.string.indexOf(">") === 0) {\n                            break;\n                        }\n                        // If we type the first letter of the next attribute, it comes as an error\n                        // token. We need to double check for possible invalidated attributes.\n                        if (/\\S/.test(forwardCtx.token.string) &&\n                                forwardCtx.token.string.indexOf("\\"") === -1 &&\n                                forwardCtx.token.string.indexOf("\'") === -1 &&\n                                forwardCtx.token.string.indexOf("=") === -1) {\n                            attrs.push(forwardCtx.token.string);\n                        }\n                    }\n                }\n            }\n        }\n\n        return attrs;\n    }\n\n    /**\n     * Creates a tagInfo object and assures all the values are entered or are empty strings\n     * @param {string=} tokenType what is getting edited and should be hinted\n     * @param {number=} offset where the cursor is for the part getting hinted\n     * @param {string=} tagName The name of the tag\n     * @param {string=} attrName The name of the attribute\n     * @param {string=} attrValue The value of the attribute\n     * @return {{tagName:string,\n     *           attr:{name:string, value:string, valueAssigned:boolean, quoteChar:string, hasEndQuote:boolean},\n     *           position:{tokenType:string, offset:number}\n     *         }}\n     *         A tagInfo object with some context about the current tag hint.\n     */\n    function createTagInfo(tokenType, offset, tagName, attrName, attrValue, valueAssigned, quoteChar, hasEndQuote) {\n        return { tagName: tagName || "",\n                 attr:\n                    { name: attrName || "",\n                      value: attrValue || "",\n                      valueAssigned: valueAssigned || false,\n                      quoteChar: quoteChar || "",\n                      hasEndQuote: hasEndQuote || false },\n                 position:\n                    { tokenType: tokenType || "",\n                      offset: offset || 0 } };\n    }\n\n    /**\n     * @private\n     * Gets the taginfo starting from the attribute value and moving backwards\n     * @param {editor:{CodeMirror}, pos:{ch:{string}, line:{number}}, token:{object}} context\n     * @return {string}\n     */\n    function _getTagInfoStartingFromAttrValue(ctx) {\n        // Assume we in the attr value\n        // and validate that by going backwards\n        var attrInfo = _extractAttrVal(ctx),\n            attrVal = attrInfo.val,\n            offset = attrInfo.offset,\n            quoteChar = attrInfo.quoteChar,\n            hasEndQuote = attrInfo.hasEndQuote,\n            strLength = ctx.token.string.length;\n\n        if ((ctx.token.type === "string" || ctx.token.type === "error") &&\n                ctx.pos.ch === ctx.token.end && strLength > 1) {\n            var firstChar = ctx.token.string[0],\n                lastChar = ctx.token.string[strLength - 1];\n\n            // We get here only when the cursor is immediately on the right of the end quote\n            // of an attribute value. So we want to return an empty tag info so that the caller\n            // can dismiss the code hint popup if it is still open.\n            if (firstChar === lastChar && (firstChar === "\'" || firstChar === "\\"")) {\n                return createTagInfo();\n            }\n        }\n\n        //Move to the prev token, and check if it\'s "="\n        if (!TokenUtils.moveSkippingWhitespace(TokenUtils.movePrevToken, ctx) || ctx.token.string !== "=") {\n            return createTagInfo();\n        }\n\n        //Move to the prev token, and check if it\'s an attribute\n        if (!TokenUtils.moveSkippingWhitespace(TokenUtils.movePrevToken, ctx) || ctx.token.type !== "attribute") {\n            return createTagInfo();\n        }\n\n        var attrName = ctx.token.string;\n        var tagName = _extractTagName(ctx);\n\n        //We\'re good.\n        return createTagInfo(ATTR_VALUE, offset, tagName, attrName, attrVal, true, quoteChar, hasEndQuote);\n    }\n\n    /**\n     * @private\n     * Gets the taginfo starting from the attribute name and moving forwards\n     * @param {editor:{CodeMirror}, pos:{ch:{string}, line:{number}}, token:{object}} context\n     * @param {boolean} isPriorAttr indicates whether we\'re getting info for a prior attribute\n     * @return {string}\n     */\n    function _getTagInfoStartingFromAttrName(ctx, isPriorAttr) {\n        //Verify We\'re in the attribute name, move forward and try to extract the rest of\n        //the info. If the user it typing the attr the rest might not be here\n        if (isPriorAttr === false && ctx.token.type !== "attribute") {\n            return createTagInfo();\n        }\n\n        var tagName = _extractTagName(ctx);\n        var attrName = ctx.token.string;\n        var offset = TokenUtils.offsetInToken(ctx);\n\n        if (!TokenUtils.moveSkippingWhitespace(TokenUtils.moveNextToken, ctx) || ctx.token.string !== "=") {\n            // If we\'re checking for a prior attribute and the next token we get is a tag or an html comment or\n            // an undefined token class, then we\'ve already scanned past our original cursor location.\n            // So just return an empty tag info.\n            if (isPriorAttr &&\n                    (!ctx.token.type ||\n                    (ctx.token.type && ctx.token.type !== "attribute" &&\n                        ctx.token.type.indexOf("error") === -1 &&\n                        ctx.token.string.indexOf("<") !== -1))) {\n                return createTagInfo();\n            }\n            return createTagInfo(ATTR_NAME, offset, tagName, attrName);\n        }\n\n        if (!TokenUtils.moveSkippingWhitespace(TokenUtils.moveNextToken, ctx)) {\n            return createTagInfo(ATTR_NAME, offset, tagName, attrName);\n        }\n        //this should be the attrvalue\n        var attrInfo = _extractAttrVal(ctx),\n            attrVal = attrInfo.val,\n            quoteChar = attrInfo.quoteChar,\n            hasEndQuote = attrInfo.hasEndQuote;\n\n        return createTagInfo(ATTR_NAME, offset, tagName, attrName, attrVal, true, quoteChar, hasEndQuote);\n    }\n\n    /**\n     * Figure out if we\'re in a tag, and if we are return info about it\n     * An example token stream for this tag is <span id="open-files-disclosure-arrow"></span> :\n     *      className:tag       string:"<span"\n     *      className:          string:" "\n     *      className:attribute string:"id"\n     *      className:          string:"="\n     *      className:string    string:""open-files-disclosure-arrow""\n     *      className:tag       string:"></span>"\n     * @param {Editor} editor An instance of a Brackets editor\n     * @param {{ch: number, line: number}} constPos  A CM pos (likely from editor.getCursorPos())\n     * @return {{tagName:string,\n     *           attr:{name:string, value:string, valueAssigned:boolean, quoteChar:string, hasEndQuote:boolean},\n     *           position:{tokenType:string, offset:number}\n     *         }}\n     *         A tagInfo object with some context about the current tag hint.\n     */\n    function getTagInfo(editor, constPos) {\n        // We\'re going to be changing pos a lot, but we don\'t want to mess up\n        // the pos the caller passed in so we use extend to make a safe copy of it.\n        var pos = $.extend({}, constPos),\n            ctx = TokenUtils.getInitialContext(editor._codeMirror, pos),\n            offset = TokenUtils.offsetInToken(ctx),\n            tagInfo,\n            tokenType;\n\n        // Check if this is inside a style block.\n        if (editor.getModeForSelection() !== "html") {\n            return createTagInfo();\n        }\n\n        // Check and see where we are in the tag\n        if (ctx.token.string.length > 0 && !/\\S/.test(ctx.token.string)) {\n\n            // token at (i.e. before) pos is whitespace, so test token at next pos\n            //\n            // note: getTokenAt() does range checking for ch. If it detects that ch is past\n            // EOL, it uses EOL, same token is returned, and the following condition fails,\n            // so we don\'t need to worry about testPos being valid.\n            var testPos = {ch: ctx.pos.ch + 1, line: ctx.pos.line},\n                testToken = editor._codeMirror.getTokenAt(testPos, true);\n\n            if (testToken.string.length > 0 && /\\S/.test(testToken.string) &&\n                    testToken.string.charAt(0) !== ">") {\n                // pos has whitespace before it and non-whitespace after it, so use token after\n                ctx.token = testToken;\n\n                // Check whether the token type is one of the types prefixed with "tag"\n                // (e.g. "tag", "tag error", "tag brackets")\n                if (tagPrefixedRegExp.test(ctx.token.type)) {\n                    // Check to see if the cursor is just before a "<" but not in any tag.\n                    if (ctx.token.string.charAt(0) === "<") {\n                        return createTagInfo();\n                    }\n                } else if (ctx.token.type === "attribute") {\n                    // Check to see if the user is going to add a new attr before an existing one\n                    return _getTagInfoStartingFromAttrName(ctx, false);\n                } else if (ctx.token.string === "=") {\n                    // We\'re between a whitespace and  "=", so return an empty tag info.\n                    return createTagInfo();\n                }\n            } else {\n                // We get here if ">" or white spaces after testPos.\n                // Check if there is an equal sign after testPos by creating a new ctx\n                // with the original pos. We can\'t use the current ctx since we need to\n                // use it to scan backwards if we don\'t find an equal sign here.\n                // Comment out this block to fix issue #1510.\n//                if (testToken.string.length > 0 && testToken.string.charAt(0) !== ">") {\n//                    tempCtx = TokenUtils.getInitialContext(editor._codeMirror, pos);\n//                    if (TokenUtils.moveSkippingWhitespace(TokenUtils.moveNextToken, tempCtx) && tempCtx.token.string === "=") {\n//                        // Return an empty tag info since we\'re between an atribute name and the equal sign.\n//                        return createTagInfo();\n//                    }\n//                }\n\n                // next, see what\'s before pos\n                if (!TokenUtils.movePrevToken(ctx)) {\n                    return createTagInfo();\n                }\n\n                if (ctx.token.type === "comment") {\n                    return createTagInfo();\n                } else if (!tagPrefixedRegExp.test(ctx.token.type) && ctx.token.string !== "=") {\n                    // If it wasn\'t the tag name, assume it was an attr value\n                    // Also we don\'t handle the "=" here.\n                    tagInfo = _getTagInfoStartingFromAttrValue(ctx);\n\n                    // Check to see if this is the closing of a tag (either the start or end)\n                    // or a comment tag.\n                    if (ctx.token.type === "comment" ||\n                            (tagPrefixedRegExp.test(ctx.token.type) &&\n                            (ctx.token.string === ">" || ctx.token.string === "/>" ||\n                                ctx.token.string === "</"))) {\n                        return createTagInfo();\n                    }\n\n                    // If it wasn\'t an attr value, assume it was an empty attr (ie. attr with no value)\n                    if (!tagInfo.tagName) {\n                        tagInfo = _getTagInfoStartingFromAttrName(ctx, true);\n                    }\n\n                    // We don\'t want to give context for the previous attr\n                    // and we want it to look like the user is going to add a new attr\n                    if (tagInfo.tagName) {\n                        return createTagInfo(ATTR_NAME, 0, tagInfo.tagName);\n                    }\n                    return createTagInfo();\n                }\n\n                // We know the tag was here, so the user is adding an attr name\n                tokenType = ATTR_NAME;\n                offset = 0;\n            }\n        }\n\n        if (tagPrefixedRegExp.test(ctx.token.type)) {\n            if (ctx.token.type !== "tag bracket") {\n                // Check if the user just typed a white space after "<" that made an existing tag invalid.\n                if (TokenUtils.movePrevToken(ctx) && !/\\S/.test(ctx.token.string)) {\n                    return createTagInfo();\n                }\n\n                // Check to see if this is a closing tag\n                if (ctx.token.type === "tag bracket" && ctx.token.string === "</") {\n                    tokenType = CLOSING_TAG;\n                }\n\n                // Restore the original ctx by moving back to next context since we call\n                // movePrevToken above to detect "<" or "</".\n                TokenUtils.moveNextToken(ctx);\n            }\n\n            // Check to see if this is the closing of a start tag or a self closing tag\n            if (ctx.token.string === ">" || ctx.token.string === "/>") {\n                return createTagInfo();\n            }\n\n            // Make sure the cursor is not after an equal sign or a quote before we report the context as a tag.\n            if (ctx.token.string !== "=" && ctx.token.string.match(/^["\']/) === null) {\n                if (!tokenType) {\n                    tokenType = TAG_NAME;\n                    if (ctx.token.type === "tag bracket") {\n                        // Check to see if this is a closing tag\n                        if (ctx.token.string === "</") {\n                            tokenType = CLOSING_TAG;\n                            offset -= 2;\n                        } else {\n                            offset = 0;\n                        }\n                        // If the cursor is right after the "<" or "</", then\n                        // move context to next one so that _extractTagName\n                        // call below can get the tag name if there is one.\n                        if (offset === 0) {\n                            TokenUtils.moveNextToken(ctx);\n                        }\n                    }\n                }\n\n                // We\'re actually in the tag, just return that as we have no relevant\n                // info about what attr is selected\n                return createTagInfo(tokenType, offset, _extractTagName(ctx));\n            }\n        }\n\n        if (ctx.token.string === "=") {\n            // We could be between the attr and the value\n            // Step back and check\n            if (!TokenUtils.moveSkippingWhitespace(TokenUtils.movePrevToken, ctx) || ctx.token.type !== "attribute") {\n                return createTagInfo();\n            }\n\n            // The "=" is added, time to hint for values\n            tokenType = ATTR_VALUE;\n            offset = 0;\n        }\n\n        if (ctx.token.type === "attribute") {\n            tagInfo = _getTagInfoStartingFromAttrName(ctx, false);\n\n            // If we\'re in attr value, then we may need to calculate the correct offset\n            // from the beginning of the attribute value. If the cursor position is to\n            // the left of attr value, then the offset is negative.\n            // e.g. if the cursor is just to the right of the "=" in <a rel= "rtl", then\n            // the offset will be -2.\n            if (tagInfo.attr.quoteChar) {\n                offset = constPos.ch - ctx.pos.ch;\n            } else if (tokenType === ATTR_VALUE && (constPos.ch + 1) < ctx.pos.ch) {\n                // The cursor may be right before an unquoted attribute or another attribute name.\n                // Since we can\'t distinguish between them, we will empty the value so that the\n                // caller can just insert a new attribute value.\n                tagInfo.attr.value = "";\n            }\n        } else {\n            // if we\'re not at a tag, "=", or attribute name, assume we\'re in the value\n            tagInfo = _getTagInfoStartingFromAttrValue(ctx);\n        }\n\n        if (tokenType && tagInfo.tagName) {\n            tagInfo.position.tokenType = tokenType;\n            tagInfo.position.offset = offset;\n        }\n\n        return tagInfo;\n    }\n\n\n\n    /**\n     * Returns an Array of info about all blocks whose token mode name matches that passed in,\n     * in the given Editor\'s HTML document (assumes the Editor contains HTML text).\n     * @param {!Editor} editor - the editor containing the HTML text\n     * @param {string} modeName - the mode name of the tokens to look for\n     * @return {Array.<{start:{line:number, ch:number}, end:{line:number, ch:number}, text:string}>}\n     */\n    function findBlocks(editor, modeName) {\n        // Start scanning from beginning of file\n        var ctx = TokenUtils.getInitialContext(editor._codeMirror, {line: 0, ch: 0}),\n            blocks = [],\n            currentBlock = null,\n            inBlock = false,\n            outerMode = editor._codeMirror.getMode(),\n            tokenModeName,\n            previousMode;\n\n        while (TokenUtils.moveNextToken(ctx, false)) {\n            tokenModeName = CodeMirror.innerMode(outerMode, ctx.token.state).mode.name;\n            if (inBlock) {\n                if (!currentBlock.end) {\n                    // Handle empty blocks\n                    currentBlock.end = currentBlock.start;\n                }\n                // Check for end of this block\n                if (tokenModeName === previousMode) {\n                    // currentBlock.end is already set to pos of the last token by now\n                    currentBlock.text = editor.document.getRange(currentBlock.start, currentBlock.end);\n                    inBlock = false;\n                } else {\n                    currentBlock.end = { line: ctx.pos.line, ch: ctx.pos.ch };\n                }\n            } else {\n                // Check for start of a block\n                if (tokenModeName === modeName) {\n                    currentBlock = {\n                        start: { line: ctx.pos.line, ch: ctx.pos.ch }\n                    };\n                    blocks.push(currentBlock);\n                    inBlock = true;\n                } else {\n                    previousMode = tokenModeName;\n                }\n                // else, random token: ignore\n            }\n        }\n\n        return blocks;\n    }\n\n    /**\n     * Returns an Array of info about all <style> blocks in the given Editor\'s HTML document (assumes\n     * the Editor contains HTML text).\n     * @param {!Editor} editor\n     * @return {Array.<{start:{line:number, ch:number}, end:{line:number, ch:number}, text:string}>}\n     */\n    function findStyleBlocks(editor) {\n        return findBlocks(editor, "css");\n    }\n\n\n    // Define public API\n    exports.TAG_NAME         = TAG_NAME;\n    exports.CLOSING_TAG      = CLOSING_TAG;\n    exports.ATTR_NAME        = ATTR_NAME;\n    exports.ATTR_VALUE       = ATTR_VALUE;\n\n    exports.getTagInfo       = getTagInfo;\n    exports.getTagAttributes = getTagAttributes;\n    //The createTagInfo is really only for the unit tests so they can make the same structure to\n    //compare results with\n    exports.createTagInfo   = createTagInfo;\n    exports.findStyleBlocks = findStyleBlocks;\n    exports.findBlocks      = findBlocks;\n});\n\n//# sourceURL=/language/HTMLUtils.js'),
eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*jslint regexp: true */\n\n/**\n * Set of utilities for simple parsing of CSS text.\n */\ndefine(\'language/CSSUtils\',[\'require\',\'exports\',\'module\',\'thirdparty/CodeMirror/lib/codemirror\',\'utils/Async\',\'document/DocumentManager\',\'editor/EditorManager\',\'language/HTMLUtils\',\'language/LanguageManager\',\'project/ProjectManager\',\'utils/TokenUtils\',\'thirdparty/lodash\'],function (require, exports, module) {\n    "use strict";\n\n    var CodeMirror          = require("thirdparty/CodeMirror/lib/codemirror"),\n        Async               = require("utils/Async"),\n        DocumentManager     = require("document/DocumentManager"),\n        EditorManager       = require("editor/EditorManager"),\n        HTMLUtils           = require("language/HTMLUtils"),\n        LanguageManager     = require("language/LanguageManager"),\n        ProjectManager      = require("project/ProjectManager"),\n        TokenUtils          = require("utils/TokenUtils"),\n        _                   = require("thirdparty/lodash");\n\n    // Constants\n    var SELECTOR   = "selector",\n        PROP_NAME  = "prop.name",\n        PROP_VALUE = "prop.value",\n        IMPORT_URL = "import.url";\n\n    var RESERVED_FLOW_NAMES = ["content", "element"],\n        INVALID_FLOW_NAMES = ["none", "inherit", "default", "auto", "initial"],\n        IGNORED_FLOW_NAMES = RESERVED_FLOW_NAMES.concat(INVALID_FLOW_NAMES);\n\n    /**\n     * List of all bracket pairs that is keyed by opening brackets, and the inverted list\n     * that is keyed by closing brackets.\n     * @type {{string: string}}\n     */\n    var _bracketPairs = { "{": "}",\n                          "[": "]",\n                          "(": ")" },\n        _invertedBracketPairs = _.invert(_bracketPairs);\n\n    /**\n     * Determines if the given path is a CSS preprocessor file that CSSUtils supports.\n     * @param {string} filePath Absolute path to the file.\n     * @return {boolean} true if LanguageManager identifies filePath as less or scss language.\n     */\n    function isCSSPreprocessorFile(filePath) {\n        var languageId = LanguageManager.getLanguageForPath(filePath).getId();\n        return (languageId === "less" || languageId === "scss");\n    }\n\n    /**\n     * @private\n     * Helper function to check whether the given text string has any non whitespace character.\n     * @param {!string} text\n     * @return {boolean} true if text has any non whitespace character\n     */\n    function _hasNonWhitespace(text) {\n        return (/\\S/.test(text));\n    }\n\n    /**\n     * @private\n     * Returns state of a context\n     * @param {{editor:{CodeMirror}, pos:{ch:{string}, line:{number}}, token:{object}}} ctx\n     * @return {{tokenize:function, state:string, stateArg:string, context:Object}}\n     */\n    function _getContextState(ctx) {\n        if (!ctx || !ctx.token) {\n            return null;\n        }\n        var state = ctx.token.state.localState || ctx.token.state;\n        if (!state.context && ctx.token.state.html && ctx.token.state.html.localState) {\n            state = ctx.token.state.html.localState;\n        }\n        return state;\n    }\n\n    /**\n     * @private\n     * Checks if the current cursor position is inside the property name context\n     * @param {editor:{CodeMirror}, pos:{ch:{string}, line:{number}}, token:{object}} context\n     * @return {boolean} true if the context is in property name\n     */\n    function _isInPropName(ctx) {\n        var state = _getContextState(ctx),\n            lastToken;\n        if (!state || !state.context || ctx.token.type === "comment") {\n            return false;\n        }\n\n        lastToken = state.context.type;\n        return (lastToken === "{" || lastToken === "rule" || lastToken === "block");\n    }\n\n    /**\n     * @private\n     * Checks if the current cursor position is inside the property value context\n     * @param {editor:{CodeMirror}, pos:{ch:{string}, line:{number}}, token:{object}} context\n     * @return {boolean} true if the context is in property value\n     */\n    function _isInPropValue(ctx) {\n\n        function isInsideParens(context) {\n            if (context.type !== "parens" || !context.prev) {\n                return false;\n            }\n\n            if (context.prev.type === "prop") {\n                return true;\n            }\n\n            return isInsideParens(context.prev);\n        }\n\n        var state = _getContextState(ctx);\n        if (!state || !state.context || !state.context.prev || ctx.token.type === "comment") {\n            return false;\n        }\n\n        return ((state.context.type === "prop" &&\n                    (state.context.prev.type === "rule" || state.context.prev.type === "block")) ||\n                    isInsideParens(state.context));\n    }\n\n    /**\n     * @private\n     * Checks if the current cursor position is inside an at-rule\n     * @param {editor:{CodeMirror}, pos:{ch:{string}, line:{number}}, token:{object}} context\n     * @return {boolean} true if the context is in property value\n     */\n    function _isInAtRule(ctx) {\n        var state = _getContextState(ctx);\n        if (!state || !state.context) {\n            return false;\n        }\n        return (state.context.type === "atBlock_parens");\n    }\n\n    /**\n     * @private\n     * Creates a context info object\n     * @param {string=} context A constant string\n     * @param {number=} offset The offset of the token for a given cursor position\n     * @param {string=} name Property name of the context\n     * @param {number=} index The index of the property value for a given cursor position\n     * @param {Array.<string>=} values An array of property values\n     * @param {boolean=} isNewItem If this is true, then the value in index refers to the index at which a new item\n     *     is going to be inserted and should not be used for accessing an existing value in values array.\n     * @param {{start: {line: number, ch: number},\n     *          end: {line: number, ch: number}}=} range A range object with a start position and an end position\n     * @return {{context: string,\n     *           offset: number,\n     *           name: string,\n     *           index: number,\n     *           values: Array.<string>,\n     *           isNewItem: boolean,\n     *           range: {start: {line: number, ch: number},\n     *                   end: {line: number, ch: number}}}} A CSS context info object.\n     */\n    function createInfo(context, offset, name, index, values, isNewItem, range) {\n        var ruleInfo = { context: context || "",\n                         offset: offset || 0,\n                         name: name || "",\n                         index: -1,\n                         values: [],\n                         isNewItem: (isNewItem === true),\n                         range: range };\n\n        if (context === PROP_VALUE || context === SELECTOR || context === IMPORT_URL) {\n            ruleInfo.index = index;\n            ruleInfo.values = values;\n        }\n\n        return ruleInfo;\n    }\n\n    /**\n     * @private\n     * Scan backwards to check for any prefix if the current context is property name.\n     * If the current context is in a prefix (either \'meta\' or \'-\'), then scan forwards\n     * to collect the entire property name. Return the name of the property in the CSS\n     * context info object if there is one that seems to be valid. Return an empty context\n     * info when we find an invalid one.\n     *\n     * @param {editor:{CodeMirror}, pos:{ch:{string}, line:{number}}, token:{object}} ctx  context\n     * @return {{context: string,\n     *           offset: number,\n     *           name: string,\n     *           index: number,\n     *           values: Array.<string>,\n     *           isNewItem: boolean,\n     *           range: {start: {line: number, ch: number},\n     *                   end: {line: number, ch: number}}}} A CSS context info object.\n     */\n    function _getPropNameInfo(ctx) {\n        var propName = "",\n            offset = TokenUtils.offsetInToken(ctx),\n            tokenString = ctx.token.string,\n            excludedCharacters = [";", "{", "}"];\n\n        if (ctx.token.type === "property" || ctx.token.type === "property error" ||\n                ctx.token.type === "tag") {\n            propName = tokenString;\n            if (TokenUtils.movePrevToken(ctx) && _hasNonWhitespace(ctx.token.string) &&\n                    excludedCharacters.indexOf(ctx.token.string) === -1) {\n                propName = ctx.token.string + tokenString;\n                offset += ctx.token.string.length;\n            }\n        } else if (ctx.token.type === "meta" || tokenString === "-") {\n            propName = tokenString;\n            if (TokenUtils.moveNextToken(ctx) &&\n                    (ctx.token.type === "property" || ctx.token.type === "property error" ||\n                    ctx.token.type === "tag")) {\n                propName += ctx.token.string;\n            }\n        } else if (_hasNonWhitespace(tokenString) && excludedCharacters.indexOf(tokenString) === -1) {\n            // We\'re not inside the property name context.\n            return createInfo();\n        } else {\n            var testPos = {ch: ctx.pos.ch + 1, line: ctx.pos.line},\n                testToken = ctx.editor.getTokenAt(testPos, true);\n\n            if (testToken.type === "property" || testToken.type === "property error" ||\n                    testToken.type === "tag") {\n                propName = testToken.string;\n                offset = 0;\n            } else if (testToken.type === "meta" || testToken.string === "-") {\n                ctx.pos = testPos;\n                ctx.token = testToken;\n                return _getPropNameInfo(ctx);\n            }\n        }\n\n        // If we\'re in the property name context but not in an existing property name,\n        // then reset offset to zero.\n        if (propName === "") {\n            offset = 0;\n        }\n\n        return createInfo(PROP_NAME, offset, propName);\n    }\n\n    /**\n     * @private\n     * Scans backwards from the current context and returns the name of the property if there is\n     * a valid one.\n     * @param {editor:{CodeMirror}, pos:{ch:{string}, line:{number}}, token:{object}} context\n     * @return {string} the property name of the current rule.\n     */\n    function _getPropNameStartingFromPropValue(ctx) {\n        var ctxClone = $.extend({}, ctx),\n            propName = "";\n        do {\n            // If we\'re no longer in the property value before seeing a colon, then we don\'t\n            // have a valid property name. Just return an empty string.\n            if (ctxClone.token.string !== ":" && !_isInPropValue(ctxClone)) {\n                return "";\n            }\n        } while (ctxClone.token.string !== ":" && TokenUtils.moveSkippingWhitespace(TokenUtils.movePrevToken, ctxClone));\n\n        if (ctxClone.token.string === ":" && TokenUtils.moveSkippingWhitespace(TokenUtils.movePrevToken, ctxClone) &&\n                (ctxClone.token.type === "property" || ctxClone.token.type === "property error")) {\n            propName = ctxClone.token.string;\n            if (TokenUtils.movePrevToken(ctxClone) && ctxClone.token.type === "meta") {\n                propName = ctxClone.token.string + propName;\n            }\n        }\n\n        return propName;\n    }\n\n    /**\n     * @private\n     * Gets all of the space/comma seperated tokens before the the current cursor position.\n     * @param {editor:{CodeMirror}, pos:{ch:{string}, line:{number}}, token:{object}} context\n     * @return {?Array.<string>} An array of all the space/comma seperated tokens before the\n     *    current cursor position\n     */\n    function _getPrecedingPropValues(ctx) {\n        var lastValue = "",\n            curValue,\n            propValues = [];\n        while (ctx.token.string !== ":" && TokenUtils.movePrevToken(ctx)) {\n            if (ctx.token.string === ":" || !_isInPropValue(ctx)) {\n                break;\n            }\n\n            curValue = ctx.token.string;\n            if (lastValue !== "") {\n                curValue += lastValue;\n            }\n\n            if ((ctx.token.string.length > 0 && !ctx.token.string.match(/\\S/)) ||\n                    ctx.token.string === ",") {\n                lastValue = curValue;\n            } else {\n                lastValue = "";\n                if (propValues.length === 0 || curValue.match(/,\\s*$/)) {\n                    // stack is empty, or current value ends with a comma\n                    // (and optional whitespace), so push it on the stack\n                    propValues.push(curValue);\n                } else {\n                    // current value does not end with a comma (and optional ws) so prepend\n                    // to last stack item (e.g. "rgba(50" get broken into 2 tokens)\n                    propValues[propValues.length - 1] = curValue + propValues[propValues.length - 1];\n                }\n            }\n        }\n        if (propValues.length > 0) {\n            propValues.reverse();\n        }\n\n        return propValues;\n    }\n\n    /**\n     * @private\n     * Gets all of the space/comma seperated tokens after the the current cursor position.\n     * @param {editor:{CodeMirror}, pos:{ch:{string}, line:{number}}, token:{object}} context\n     * @param {string} currentValue The token string at the current cursor position\n     * @return {?Array.<string>} An array of all the space/comma seperated tokens after the\n     *    current cursor position\n     */\n    function _getSucceedingPropValues(ctx, currentValue) {\n        var lastValue = currentValue,\n            propValues = [];\n\n        while (ctx.token.string !== ";" && ctx.token.string !== "}" && TokenUtils.moveNextToken(ctx)) {\n            if (ctx.token.string === ";" || ctx.token.string === "}") {\n                break;\n            }\n            if (!_isInPropValue(ctx)) {\n                lastValue = "";\n                break;\n            }\n\n            if (lastValue === "") {\n                lastValue = ctx.token.string.trim();\n            } else if (lastValue.length > 0) {\n                if (ctx.token.string.length > 0 && !ctx.token.string.match(/\\S/)) {\n                    lastValue += ctx.token.string;\n                    propValues.push(lastValue);\n                    lastValue = "";\n                } else if (ctx.token.string === ",") {\n                    lastValue += ctx.token.string;\n                } else if (lastValue && lastValue.match(/,$/)) {\n                    propValues.push(lastValue);\n                    if (ctx.token.string.length > 0) {\n                        lastValue = ctx.token.string;\n                    } else {\n                        lastValue = "";\n                    }\n                } else {\n                    // e.g. "rgba(50" gets broken into 2 tokens\n                    lastValue += ctx.token.string;\n                }\n            }\n        }\n        if (lastValue.length > 0) {\n            propValues.push(lastValue);\n        }\n\n        return propValues;\n    }\n\n    /**\n     * @private\n     * Return a range object with a start position and an end position after\n     * skipping any whitespaces and all separators used before and after a\n     * valid property value.\n     *\n     * @param {editor:{CodeMirror}, pos:{ch:{string}, line:{number}}, token:{object}} startCtx context\n     * @param {editor:{CodeMirror}, pos:{ch:{string}, line:{number}}, token:{object}} endCtx context\n     * @return {{start: {line: number, ch: number},\n     *           end: {line: number, ch: number}}} A range object.\n     */\n    function _getRangeForPropValue(startCtx, endCtx) {\n        var range = { "start": {},\n                      "end": {} };\n\n        // Skip the ":" and any leading whitespace\n        while (TokenUtils.moveNextToken(startCtx)) {\n            if (_hasNonWhitespace(startCtx.token.string)) {\n                break;\n            }\n        }\n\n        // Skip the trailing whitespace and property separators.\n        while (endCtx.token.string === ";" || endCtx.token.string === "}" ||\n                !_hasNonWhitespace(endCtx.token.string)) {\n            TokenUtils.movePrevToken(endCtx);\n        }\n\n        range.start = _.clone(startCtx.pos);\n        range.start.ch = startCtx.token.start;\n\n        range.end = _.clone(endCtx.pos);\n        range.end.ch = endCtx.token.end;\n\n        return range;\n    }\n\n    /**\n     * @private\n     * Returns a context info object for the current CSS style rule\n     * @param {editor:{CodeMirror}, pos:{ch:{string}, line:{number}}, token:{object}} context\n     * @param {!Editor} editor\n     * @return {{context: string,\n     *           offset: number,\n     *           name: string,\n     *           index: number,\n     *           values: Array.<string>,\n     *           isNewItem: boolean,\n     *           range: {start: {line: number, ch: number},\n     *                   end: {line: number, ch: number}}}} A CSS context info object.\n     */\n    function _getRuleInfoStartingFromPropValue(ctx, editor) {\n        var propNamePos = $.extend({}, ctx.pos),\n            backwardPos = $.extend({}, ctx.pos),\n            forwardPos  = $.extend({}, ctx.pos),\n            propNameCtx = TokenUtils.getInitialContext(editor._codeMirror, propNamePos),\n            backwardCtx,\n            forwardCtx,\n            lastValue = "",\n            propValues = [],\n            index = -1,\n            offset = TokenUtils.offsetInToken(ctx),\n            canAddNewOne = false,\n            testPos = {ch: ctx.pos.ch + 1, line: ctx.pos.line},\n            testToken = editor._codeMirror.getTokenAt(testPos, true),\n            propName,\n            range;\n\n        // Get property name first. If we don\'t have a valid property name, then\n        // return a default rule info.\n        propName = _getPropNameStartingFromPropValue(propNameCtx);\n        if (!propName) {\n            return createInfo();\n        }\n\n        // Scan backward to collect all preceding property values\n        backwardCtx = TokenUtils.getInitialContext(editor._codeMirror, backwardPos);\n        propValues = _getPrecedingPropValues(backwardCtx);\n\n        lastValue = "";\n        if (ctx.token.string === ":") {\n            index = 0;\n            canAddNewOne = true;\n        } else {\n            index = propValues.length - 1;\n            if (ctx.token.string === ",") {\n                propValues[index] += ctx.token.string;\n                index++;\n                canAddNewOne = true;\n            } else {\n                index = (index < 0) ? 0 : index + 1;\n                if (ctx.token.string.match(/\\S/)) {\n                    lastValue = ctx.token.string;\n                } else {\n                    // Last token is all whitespace\n                    canAddNewOne = true;\n                    if (index > 0) {\n                        // Append all spaces before the cursor to the previous value in values array\n                        propValues[index - 1] += ctx.token.string.substr(0, offset);\n                    }\n                }\n            }\n        }\n\n        if (canAddNewOne) {\n            offset = 0;\n\n            // If pos is at EOL, then there\'s implied whitespace (newline).\n            if (editor.document.getLine(ctx.pos.line).length > ctx.pos.ch  &&\n                    (testToken.string.length === 0 || testToken.string.match(/\\S/))) {\n                canAddNewOne = false;\n            }\n        }\n\n        // Scan forward to collect all succeeding property values and append to all propValues.\n        forwardCtx = TokenUtils.getInitialContext(editor._codeMirror, forwardPos);\n        propValues = propValues.concat(_getSucceedingPropValues(forwardCtx, lastValue));\n\n        if (propValues.length) {\n            range = _getRangeForPropValue(backwardCtx, forwardCtx);\n        } else {\n            // No property value, so just return the cursor pos as range\n            range = { "start": _.clone(ctx.pos),\n                      "end": _.clone(ctx.pos) };\n        }\n\n        // If current index is more than the propValues size, then the cursor is\n        // at the end of the existing property values and is ready for adding another one.\n        if (index === propValues.length) {\n            canAddNewOne = true;\n        }\n\n        return createInfo(PROP_VALUE, offset, propName, index, propValues, canAddNewOne, range);\n    }\n\n    /**\n     * @private\n     * Returns a context info object for the current CSS import rule\n     * @param {editor:{CodeMirror}, pos:{ch:{string}, line:{number}}, token:{object}} context\n     * @param {!Editor} editor\n     * @return {{context: string,\n     *           offset: number,\n     *           name: string,\n     *           index: number,\n     *           values: Array.<string>,\n     *           isNewItem: boolean,\n     *           range: {start: {line: number, ch: number},\n     *                   end: {line: number, ch: number}}}} A CSS context info object.\n     */\n    function _getImportUrlInfo(ctx, editor) {\n        var backwardPos = $.extend({}, ctx.pos),\n            forwardPos  = $.extend({}, ctx.pos),\n            backwardCtx,\n            forwardCtx,\n            index = 0,\n            propValues = [],\n            offset = TokenUtils.offsetInToken(ctx);\n\n        // Currently only support url. May be null if starting to type\n        if (ctx.token.type && ctx.token.type !== "string") {\n            return createInfo();\n        }\n\n        // Move backward to @import and collect data as we go. We return propValues\n        // array, but we can only have 1 value, so put all data in first item\n        backwardCtx = TokenUtils.getInitialContext(editor._codeMirror, backwardPos);\n        propValues[0] = backwardCtx.token.string;\n\n        while (TokenUtils.movePrevToken(backwardCtx)) {\n            if (backwardCtx.token.type === "def" && backwardCtx.token.string === "@import") {\n                break;\n            }\n\n            if (backwardCtx.token.type && backwardCtx.token.type !== "atom" && backwardCtx.token.string !== "url") {\n                // Previous token may be white-space\n                // Otherwise, previous token may only be "url("\n                break;\n            }\n\n            propValues[0] = backwardCtx.token.string + propValues[0];\n            offset += backwardCtx.token.string.length;\n        }\n\n        if (backwardCtx.token.type !== "def" || backwardCtx.token.string !== "@import") {\n            // Not in url\n            return createInfo();\n        }\n\n        // Get value after cursor up until closing paren or newline\n        forwardCtx = TokenUtils.getInitialContext(editor._codeMirror, forwardPos);\n        do {\n            if (!TokenUtils.moveNextToken(forwardCtx)) {\n                if (forwardCtx.token.string === "(") {\n                    break;\n                } else {\n                    return createInfo();\n                }\n            }\n            propValues[0] += forwardCtx.token.string;\n        } while (forwardCtx.token.string !== ")" && forwardCtx.token.string !== "");\n\n        return createInfo(IMPORT_URL, offset, "", index, propValues, false);\n    }\n\n    /**\n     * Returns a context info object for the given cursor position\n     * @param {!Editor} editor\n     * @param {{ch: number, line: number}} constPos  A CM pos (likely from editor.getCursorPos())\n     * @return {{context: string,\n     *           offset: number,\n     *           name: string,\n     *           index: number,\n     *           values: Array.<string>,\n     *           isNewItem: boolean,\n     *           range: {start: {line: number, ch: number},\n     *                   end: {line: number, ch: number}}}} A CSS context info object.\n     */\n    function getInfoAtPos(editor, constPos) {\n        // We\'re going to be changing pos a lot, but we don\'t want to mess up\n        // the pos the caller passed in so we use extend to make a safe copy of it.\n        var pos = $.extend({}, constPos),\n            ctx = TokenUtils.getInitialContext(editor._codeMirror, pos),\n            mode = editor.getModeForSelection();\n\n        // Check if this is inside a style block or in a css/less document.\n        if (mode !== "css" && mode !== "text/x-scss" && mode !== "text/x-less") {\n            return createInfo();\n        }\n\n        if (_isInPropName(ctx)) {\n            return _getPropNameInfo(ctx, editor);\n        }\n\n        if (_isInPropValue(ctx)) {\n            return _getRuleInfoStartingFromPropValue(ctx, editor);\n        }\n\n        if (_isInAtRule(ctx)) {\n            return _getImportUrlInfo(ctx, editor);\n        }\n\n        return createInfo();\n    }\n\n    /**\n     * Return a string that shows the literal parent hierarchy of the selector\n     * in info.\n     *\n     * @param {!SelectorInfo} info\n     * @param {boolean=} useGroup true to append selectorGroup instead of selector\n     * @return {string} the literal parent hierarchy of the selector\n     */\n    function getCompleteSelectors(info, useGroup) {\n        if (info.parentSelectors) {\n            // Show parents with / separators.\n            var completeSelectors = info.parentSelectors + " / ";\n            if (useGroup && info.selectorGroup) {\n                completeSelectors += info.selectorGroup;\n            } else {\n                completeSelectors += info.selector;\n            }\n            return completeSelectors;\n        } else if (useGroup && info.selectorGroup) {\n            return info.selectorGroup;\n        }\n\n        return info.selector;\n    }\n\n    /**\n     * @typedef {{selector: !string,\n     *            ruleStartLine: number,\n     *            ruleStartChar: number,\n     *            selectorStartLine: number,\n     *            selectorStartChar: number,\n     *            selectorEndLine: number,\n     *            selectorEndChar: number,\n     *            selectorGroupStartLine: number,\n     *            selectorGroupStartChar: number,\n     *            selectorGroup: ?string,\n     *            declListStartLine: number,\n     *            declListStartChar: number,\n     *            declListEndLine: number,\n     *            declListEndChar: number,\n     *            level: number,\n     *            parentSelectors: ?string}} SelectorInfo\n     */\n\n    /**\n     * Extracts all CSS selectors from the given text\n     * Returns an array of SelectorInfo. Each SelectorInfo is an object with the following properties:\n         selector:                 the text of the selector (note: comma separated selector groups like\n                                   "h1, h2" are broken into separate selectors)\n         ruleStartLine:            line in the text where the rule (including preceding comment) appears\n         ruleStartChar:            column in the line where the rule (including preceding comment) starts\n         selectorStartLine:        line in the text where the selector appears\n         selectorStartChar:        column in the line where the selector starts\n         selectorEndLine:          line where the selector ends\n         selectorEndChar:          column where the selector ends\n         selectorGroupStartLine:   line where the comma-separated selector group (e.g. .foo, .bar, .baz)\n                                   starts that this selector (e.g. .baz) is part of. Particularly relevant for\n                                   groups that are on multiple lines.\n         selectorGroupStartChar:   column in line where the selector group starts.\n         selectorGroup:            the entire selector group containing this selector, or undefined if there\n                                   is only one selector in the rule.\n         declListStartLine:        line where the declaration list for the rule starts\n         declListStartChar:        column in line where the declaration list for the rule starts\n         declListEndLine:          line where the declaration list for the rule ends\n         declListEndChar:          column in the line where the declaration list for the rule ends\n         level:                    the level of the current selector including any containing @media block in the\n                                   nesting level count. Use this property with caution since it is primarily for internal\n                                   parsing use. For example, two sibling selectors may have different levels if one\n                                   of them is nested inside an @media block and it should not be used for sibling info.\n         parentSelectors:          all ancestor selectors separated with \'/\' if the current selector is a nested one\n     * @param {!string} text CSS text to extract from\n     * @param {?string} documentMode language mode of the document that text belongs to, default to css if undefined.\n     * @return {Array.<SelectorInfo>} Array with objects specifying selectors.\n     */\n    function extractAllSelectors(text, documentMode) {\n        var state, lines, lineCount,\n            token, style, stream, line,\n            selectors              = [],\n            mode                   = CodeMirror.getMode({indentUnit: 2}, documentMode || "css"),\n            currentSelector        = "",\n            currentLevel           = 0,\n            ruleStartChar          = -1,\n            ruleStartLine          = -1,\n            selectorStartChar      = -1,\n            selectorStartLine      = -1,\n            selectorGroupStartLine = -1,\n            selectorGroupStartChar = -1,\n            declListStartLine      = -1,\n            declListStartChar      = -1,\n            escapePattern          = new RegExp("\\\\\\\\[^\\\\\\\\]+", "g"),\n            validationPattern      = new RegExp("\\\\\\\\([a-f0-9]{6}|[a-f0-9]{4}(\\\\s|\\\\\\\\|$)|[a-f0-9]{2}(\\\\s|\\\\\\\\|$)|.)", "i"),\n            _parseRuleList;\n\n        // implement _firstToken()/_nextToken() methods to\n        // provide a single stream of tokens\n\n        function _hasStream() {\n            while (stream.eol()) {\n                line++;\n                if (line >= lineCount) {\n                    return false;\n                }\n                if (_hasNonWhitespace(currentSelector)) {\n                    // If we are in a current selector and starting a newline,\n                    // make sure there is whitespace in the selector\n                    currentSelector += " ";\n                }\n                stream = new CodeMirror.StringStream(lines[line]);\n            }\n            return true;\n        }\n\n        function _firstToken() {\n            state = CodeMirror.startState(mode);\n            lines = CodeMirror.splitLines(text);\n            lineCount = lines.length;\n            if (lineCount === 0) {\n                return false;\n            }\n            line = 0;\n            stream = new CodeMirror.StringStream(lines[line]);\n            if (!_hasStream()) {\n                return false;\n            }\n            style = mode.token(stream, state);\n            token = stream.current();\n            return true;\n        }\n\n        function _nextToken() {\n            // advance the stream past this token\n            stream.start = stream.pos;\n            if (!_hasStream()) {\n                return false;\n            }\n            style = mode.token(stream, state);\n            token = stream.current();\n            return true;\n        }\n\n        function _firstTokenSkippingWhitespace() {\n            if (!_firstToken()) {\n                return false;\n            }\n            while (!_hasNonWhitespace(token)) {\n                if (!_nextToken()) {\n                    return false;\n                }\n            }\n            return true;\n        }\n\n        function _nextTokenSkippingWhitespace() {\n            if (!_nextToken()) {\n                return false;\n            }\n            while (!_hasNonWhitespace(token)) {\n                if (!_nextToken()) {\n                    return false;\n                }\n            }\n            return true;\n        }\n\n        function _isStartComment() {\n            // Also check for line comments used in LESS and SASS.\n            return (/^\\/[\\/\\*]/.test(token));\n        }\n\n        function _parseComment() {\n            // If it is a line comment, then do nothing and just return. Unlike block\n            // comment, a line comment is just one single token and the caller always\n            // has to find the next token by skipping the current token. So leaving\n            // it for the caller to skip the current token.\n            if (/^\\/\\//.test(token)) {\n                return;\n            }\n            while (!/\\*\\/$/.test(token)) {\n                if (!_nextToken()) {\n                    break;\n                }\n            }\n        }\n\n        function _nextTokenSkippingComments() {\n            if (!_nextToken()) {\n                return false;\n            }\n            while (_isStartComment()) {\n                _parseComment();\n                if (!_nextToken()) {\n                    return false;\n                }\n            }\n            return true;\n        }\n\n        function _skipToClosingBracket(startChar) {\n            var skippedText = "",\n                unmatchedBraces = 0;\n            if (!startChar) {\n                startChar = "{";\n            }\n            while (true) {\n                if (token.indexOf(startChar) !== -1 && token.indexOf(_bracketPairs[startChar]) === -1) {\n                    // Found an opening bracket but not the matching closing bracket in the same token\n                    unmatchedBraces++;\n                } else if (token === _bracketPairs[startChar]) {\n                    unmatchedBraces--;\n                    if (unmatchedBraces <= 0) {\n                        skippedText += token;\n                        return skippedText;\n                    }\n                }\n                skippedText += token;\n\n                if (!_nextTokenSkippingComments()) {\n                    return skippedText; // eof\n                }\n            }\n        }\n\n        function _maybeProperty() {\n            return (/^-(moz|ms|o|webkit)-$/.test(token) ||\n                    (state.state !== "top" && state.state !== "block" && state.state !== "pseudo" &&\n                    // Has a semicolon as in "rgb(0,0,0);", but not one of those after a LESS\n                    // mixin parameter variable as in ".size(@width; @height)"\n                    stream.string.indexOf(";") !== -1 && !/\\([^)]+;/.test(stream.string)));\n        }\n\n        function _skipProperty() {\n            var prevToken = "";\n            while (token !== ";") {\n                // Skip tokens until the closing brace if we find an interpolated variable.\n                if (/[#@]\\{$/.test(token) || (token === "{" && /[#@]$/.test(prevToken))) {\n                    _skipToClosingBracket("{");\n                    if (token === "}") {\n                        _nextToken();   // Skip the closing brace\n                    }\n                    if (token === ";") {\n                        break;\n                    }\n                }\n                // If there is a \'{\' or \'}\' before the \';\',\n                // then stop skipping.\n                if (token === "{" || token === "}") {\n                    return false;   // can\'t tell if the entire property is skipped\n                }\n                prevToken = token;\n                if (!_nextTokenSkippingComments()) {\n                    break;\n                }\n            }\n            return true;    // skip the entire property\n        }\n\n        function _getParentSelectors() {\n            var j;\n            for (j = selectors.length - 1; j >= 0; j--) {\n                if (selectors[j].declListEndLine === -1 && selectors[j].level < currentLevel) {\n                    return getCompleteSelectors(selectors[j], true);\n                }\n            }\n            return "";\n        }\n\n        function _parseSelector(start, level) {\n\n            currentSelector = "";\n            selectorStartChar = start;\n            selectorStartLine = line;\n\n            // Everything until the next \',\' or \'{\' is part of the current selector\n            while ((token !== "," && token !== "{") ||\n                    (token === "{" && /[#@]$/.test(currentSelector)) ||\n                    (token === "," && !_hasNonWhitespace(currentSelector))) {\n                if (token === "{") {\n                    // Append the interpolated variable to selector\n                    currentSelector += _skipToClosingBracket("{");\n                    _nextToken();  // skip the closing brace\n                } else if (token === "}" &&\n                        (!currentSelector || /:\\s*\\S/.test(currentSelector) || !/[#@]\\{.+/.test(currentSelector))) {\n                    // Either empty currentSelector or currentSelector is a CSS property\n                    // but not a selector that is in the form of #{$class} or @{class}\n                    return false;\n                }\n                // Clear currentSelector if we\'re in a property, but make sure we don\'t treat\n                // the semicolors inside a parameter as a property separators.\n                if ((token === ";" && state.state !== "parens") ||\n                        // Make sure that something like `> li > a {` is not identified as a property\n                        (state.state === "prop" && !/\\{/.test(stream.string))) {\n                    currentSelector = "";\n                } else if (token === "(") {\n                    // Collect everything inside the parentheses as a whole chunk so that\n                    // commas inside the parentheses won\'t be identified as selector separators\n                    // by while loop.\n                    if (_hasNonWhitespace(currentSelector)) {\n                        currentSelector += _skipToClosingBracket("(");\n                    } else {\n                        // Nothing in currentSelector yet. Skip to the closing parenthesis\n                        // without collecting the selector since a selector cannot start with\n                        // an opening parenthesis.\n                        _skipToClosingBracket("(");\n                    }\n                } else if (_hasNonWhitespace(token) || _hasNonWhitespace(currentSelector)) {\n                    currentSelector += token;\n                }\n                if (!_nextTokenSkippingComments()) {\n                    return false; // eof\n                }\n            }\n\n            if (!currentSelector) {\n                return false;\n            }\n\n            // Unicode character replacement as defined in http://www.w3.org/TR/CSS21/syndata.html#characters\n            if (/\\\\/.test(currentSelector)) {\n                // Double replace in case of pattern overlapping (regex improvement?)\n                currentSelector = currentSelector.replace(escapePattern, function (escapedToken) {\n                    return escapedToken.replace(validationPattern, function (unicodeChar) {\n                        unicodeChar = unicodeChar.substr(1);\n                        if (unicodeChar.length === 1) {\n                            return unicodeChar;\n                        } else {\n                            if (parseInt(unicodeChar, 16) < 0x10FFFF) {\n                                return String.fromCharCode(parseInt(unicodeChar, 16));\n                            } else { return String.fromCharCode(0xFFFD); }\n                        }\n                    });\n                });\n            }\n\n            currentSelector = currentSelector.trim();\n            var startChar = (selectorGroupStartLine === -1) ? selectorStartChar : selectorStartChar + 1;\n            var selectorStart = (stream.string.indexOf(currentSelector, selectorStartChar) !== -1) ? stream.string.indexOf(currentSelector, selectorStartChar - currentSelector.length) : startChar;\n\n            if (currentSelector !== "") {\n                if (currentLevel < level) {\n                    currentLevel++;\n                }\n                if (ruleStartLine === -1) {\n                    ruleStartLine = line;\n                    ruleStartChar = stream.start - currentSelector.length;\n                }\n                var parentSelectors = _getParentSelectors();\n                selectors.push({selector: currentSelector,\n                                ruleStartLine: ruleStartLine,\n                                ruleStartChar: ruleStartChar,\n                                selectorStartLine: selectorStartLine,\n                                selectorStartChar: selectorStart,\n                                declListEndLine: -1,\n                                selectorEndLine: line,\n                                selectorEndChar: selectorStart + currentSelector.length,\n                                selectorGroupStartLine: selectorGroupStartLine,\n                                selectorGroupStartChar: selectorGroupStartChar,\n                                level: currentLevel,\n                                parentSelectors: parentSelectors\n                               });\n                currentSelector = "";\n            }\n            selectorStartChar = -1;\n\n            return true;\n        }\n\n        function _parseSelectorList(level) {\n            selectorGroupStartLine = (stream.string.indexOf(",") !== -1) ? line : -1;\n            selectorGroupStartChar = stream.start;\n\n            if (!_parseSelector(stream.start, level)) {\n                return false;\n            }\n\n            while (token === ",") {\n                if (!_nextTokenSkippingComments()) {\n                    return false; // eof\n                }\n                if (!_parseSelector(stream.start, level)) {\n                    return false;\n                }\n            }\n\n            return true;\n        }\n\n        function _parseDeclarationList(level) {\n\n            var j;\n            declListStartLine = Math.min(line, lineCount - 1);\n            declListStartChar = stream.start;\n\n            // Extract the entire selector group we just saw.\n            var selectorGroup, sgLine;\n            if (selectorGroupStartLine !== -1) {\n                selectorGroup = "";\n                for (sgLine = selectorGroupStartLine; sgLine <= declListStartLine; sgLine++) {\n                    var startChar = 0, endChar = lines[sgLine].length;\n                    if (sgLine === selectorGroupStartLine) {\n                        startChar = selectorGroupStartChar;\n                    } else {\n                        selectorGroup += " "; // replace the newline with a single space\n                    }\n                    if (sgLine === declListStartLine) {\n                        endChar = declListStartChar;\n                    }\n                    selectorGroup += lines[sgLine].substring(startChar, endChar).trim();\n                }\n                selectorGroup = selectorGroup.trim();\n            }\n\n            // assign this declaration list position and selector group to every selector on the stack\n            // that doesn\'t have a declaration list start and end line\n            for (j = selectors.length - 1; j >= 0; j--) {\n                if (selectors[j].level === level) {\n                    if (selectors[j].declListEndLine !== -1) {\n                        break;\n                    } else {\n                        selectors[j].declListStartLine = declListStartLine;\n                        selectors[j].declListStartChar = declListStartChar;\n                        if (selectorGroup) {\n                            selectors[j].selectorGroup = selectorGroup;\n                        }\n                    }\n                }\n            }\n\n            var nested = true;\n            do {\n                // Since we\'re now in a declaration list, that means we also finished\n                // parsing the whole selector group. Therefore, reset selectorGroupStartLine\n                // so that next time we parse a selector we know it\'s a new group\n                selectorGroupStartLine = -1;\n                selectorGroupStartChar = -1;\n                ruleStartLine = -1;\n                ruleStartChar = -1;\n\n                if (!nested) {\n                    if (currentLevel > 0 && currentLevel === level) {\n                        currentLevel--;\n                        // Skip past \'}\'\n                        if (token === "}") {\n                            _nextTokenSkippingWhitespace();\n                        }\n                    }\n                }\n                // Skip past \'{\' before parsing nested rule list.\n                if (token === "{") {\n                    _nextTokenSkippingWhitespace();\n                }\n                nested = _parseRuleList(undefined, currentLevel + 1);\n\n                // assign this declaration list position to every selector on the stack\n                // that doesn\'t have a declaration list end line\n                for (j = selectors.length - 1; j >= 0; j--) {\n                    if (selectors[j].level < currentLevel) {\n                        break;\n                    }\n                    if (selectors[j].declListEndLine === -1) {\n                        selectors[j].declListEndLine = line;\n                        selectors[j].declListEndChar = stream.pos - 1; // stream.pos actually points to the char after the }\n                    }\n                }\n            } while (currentLevel > 0 && currentLevel === level);\n        }\n\n        function includeCommentInNextRule() {\n            if (ruleStartChar !== -1) {\n                return false;       // already included\n            }\n            if (stream.start > 0 && lines[line].substr(0, stream.start).indexOf("}") !== -1) {\n                return false;       // on same line as \'}\', so it\'s for previous rule\n            }\n            return true;\n        }\n\n        function _isStartAtRule() {\n            // Exclude @mixin from at-rule so that we can parse it like a normal rule list\n            return (/^@/.test(token) && !/^@mixin/i.test(token) && token !== "@");\n        }\n\n        function _followedByPseudoSelector() {\n            return (/\\}:(enabled|disabled|checked|indeterminate|link|visited|hover|active|focus|target|lang|root|nth-|first-|last-|only-|empty|not)/.test(stream.string));\n        }\n\n        function _isVariableInterpolatedProperty() {\n            return (/[@#]\\{\\S+\\}(\\s*:|.*;)/.test(stream.string) && !_followedByPseudoSelector());\n        }\n\n        function _parseAtRule(level) {\n\n            // reset these fields to ignore comments preceding @rules\n            ruleStartLine = -1;\n            ruleStartChar = -1;\n            selectorStartLine = -1;\n            selectorStartChar = -1;\n            selectorGroupStartLine = -1;\n            selectorGroupStartChar = -1;\n\n            if (/@media/i.test(token)) {\n                // @media rule holds a rule list\n\n                // Skip everything until the opening \'{\'\n                while (token !== "{") {\n                    if (!_nextTokenSkippingComments()) {\n                        return; // eof\n                    }\n                }\n\n                // skip past \'{\', to next non-ws token\n                if (!_nextTokenSkippingWhitespace()) {\n                    return; // eof\n                }\n\n                if (currentLevel <= level) {\n                    currentLevel++;\n                }\n\n                // Parse rules until we see \'}\'\n                // Treat media rule as one nested level by\n                // calling _parseRuleList with next level.\n                _parseRuleList("}", currentLevel + 1);\n\n                if (currentLevel > 0) {\n                    currentLevel--;\n                }\n\n            } else {\n                // This code handles @rules in this format:\n                //   @rule ... ;\n                // Or any less variable that starts with @var ... ;\n                // Skip everything until the next \';\'\n                while (token !== ";") {\n                    // This code handle @rules that use this format:\n                    //    @rule ... { ... }\n                    // such as @page, @keyframes (also -webkit-keyframes, etc.), and @font-face.\n                    // Skip everything including nested braces until the next matching \'}\'\n                    if (token === "{") {\n                        _skipToClosingBracket("{");\n                        return;\n                    }\n                    if (!_nextTokenSkippingComments()) {\n                        return; // eof\n                    }\n                }\n            }\n        }\n\n        // parse a style rule\n        function _parseRule(level) {\n            if (!_parseSelectorList(level)) {\n                return false;\n            }\n\n            _parseDeclarationList(level);\n            return true;\n        }\n\n        _parseRuleList = function (escapeToken, level) {\n            while ((!escapeToken) || token !== escapeToken) {\n                if (_isVariableInterpolatedProperty()) {\n                    if (!_skipProperty()) {\n                        // We found a "{" or "}" while skipping a property. Return false to handle the\n                        // opening or closing of a block properly.\n                        return false;\n                    }\n                } else if (_isStartAtRule()) {\n                    // @rule\n                    _parseAtRule(level);\n                } else if (_isStartComment()) {\n                    // comment - make this part of style rule\n                    if (includeCommentInNextRule()) {\n                        ruleStartChar = stream.start;\n                        ruleStartLine = line;\n                    }\n                    _parseComment();\n                } else if (_maybeProperty()) {\n                    // Skip the property.\n                    if (!_skipProperty()) {\n                        // We found a "{" or "}" while skipping a property. Return false to handle the\n                        // opening or closing of a block properly.\n                        return false;\n                    }\n                } else {\n                    // Otherwise, it\'s style rule\n                    if (!_parseRule(level === undefined ? 0 : level) && level > 0) {\n                        return false;\n                    }\n                    if (level > 0) {\n                        return true;\n                    }\n                    // Clear ruleStartChar and ruleStartLine in case we have a comment\n                    // at the end of previous rule in level 0.\n                    ruleStartChar = -1;\n                    ruleStartLine = -1;\n                }\n\n                if (!_nextTokenSkippingWhitespace()) {\n                    break;\n                }\n            }\n\n            return true;\n        };\n\n        // Do parsing\n\n        if (_firstTokenSkippingWhitespace()) {\n\n            // Style sheet is a rule list\n            _parseRuleList();\n        }\n\n        return selectors;\n    }\n\n    /*\n     * This code can be used to create an "independent" HTML document that can be passed to jQuery\n     * calls. Allows using jQuery\'s CSS selector engine without actually putting anything in the browser\'s DOM\n     *\n    var _htmlDoctype = document.implementation.createDocumentType(\'html\',\n        \'-//W3C//DTD XHTML 1.0 Strict//EN\',\n        \'http://www.w3.org/TR/xhtml1/DTD/xhtml1-strict.dtd\'\n    );\n    var _htmlDocument = document.implementation.createDocument(\'http://www.w3.org/1999/xhtml\', \'html\', _htmlDoctype);\n\n    function checkIfSelectorSelectsHTML(selector, theHTML) {\n        $(\'html\', _htmlDocument).html(theHTML);\n        return ($(selector, _htmlDocument).length > 0);\n    }\n    */\n\n    /**\n     * Helper function to remove whitespaces before and after a selector\n     * Returns trimmed selector if it is not an at-rule, or null if it starts with @.\n     *\n     * @param {string} selector\n     * @return {string}\n     */\n    function _stripAtRules(selector) {\n        selector = selector.trim();\n        if (selector.indexOf("@") === 0) {\n            return "";\n        }\n        return selector;\n    }\n\n    /**\n     * Converts the given selector array into the actual CSS selectors similar to\n     * those generated by a CSS preprocessor.\n     *\n     * @param {Array.<string>} selectorArray\n     * @return {string}\n     */\n    function _getSelectorInFinalCSSForm(selectorArray) {\n        var finalSelectorArray = [""],\n            parentSelectorArray = [],\n            group = [];\n        _.forEach(selectorArray, function (selector) {\n            selector = _stripAtRules(selector);\n            group = selector.split(",");\n            parentSelectorArray = [];\n            _.forEach(group, function (cs) {\n                var ampersandIndex = cs.indexOf("&");\n                _.forEach(finalSelectorArray, function (ps) {\n                    if (ampersandIndex === -1) {\n                        cs = _stripAtRules(cs);\n                        if (ps.length && cs.length) {\n                            ps += " ";\n                        }\n                        ps += cs;\n                    } else {\n                        // Replace all instances of & with regexp\n                        ps = _stripAtRules(cs.replace(/&/g, ps));\n                    }\n                    parentSelectorArray.push(ps);\n                });\n            });\n            finalSelectorArray = parentSelectorArray;\n        });\n        return finalSelectorArray.join(", ");\n    }\n\n    /**\n     * Finds all instances of the specified selector in "text".\n     * Returns an Array of Objects with start and end properties.\n     *\n     * For now, we only support simple selectors. This function will need to change\n     * dramatically to support full selectors.\n     *\n     * FUTURE: (JRB) It would be nice to eventually use the browser/jquery to do the selector evaluation.\n     * One way to do this would be to take the user\'s HTML, add a special attribute to every tag with a UID,\n     * and then construct a DOM (using the commented out code above). Then, give this DOM and the selector to\n     * jquery and ask what matches. If the node that the user\'s cursor is in comes back from jquery, then\n     * we know the selector applies.\n     *\n     * @param {!string} text CSS text to search\n     * @param {!string} selector selector to search for\n     * @param {!string} mode language mode of the document that text belongs to\n     * @return {Array.<{selectorGroupStartLine:number, declListEndLine:number, selector:string}>}\n     *      Array of objects containing the start and end line numbers (0-based, inclusive range) for each\n     *      matched selector.\n     */\n    function _findAllMatchingSelectorsInText(text, selector, mode) {\n        var allSelectors = extractAllSelectors(text, mode);\n        var result = [];\n\n        // For now, we only match the rightmost simple selector, and ignore\n        // attribute selectors and pseudo selectors\n        var classOrIdSelector = selector[0] === "." || selector[0] === "#";\n\n        // Escape initial "." in selector, if present.\n        if (selector[0] === ".") {\n            selector = "\\\\" + selector;\n        }\n\n        if (!classOrIdSelector) {\n            // Tag selectors must have nothing, whitespace, or a combinator before it.\n            selector = "(^|[\\\\s>+~])" + selector;\n        }\n\n        var re = new RegExp(selector + "(\\\\[[^\\\\]]*\\\\]|:{1,2}[\\\\w-()]+|\\\\.[\\\\w-]+|#[\\\\w-]+)*\\\\s*$", classOrIdSelector ? "" : "i");\n        allSelectors.forEach(function (entry) {\n            var actualSelector = entry.selector;\n            if (entry.selector.indexOf("&") !== -1 && entry.parentSelectors) {\n                var selectorArray = entry.parentSelectors.split(" / ");\n                selectorArray.push(entry.selector);\n                actualSelector = _getSelectorInFinalCSSForm(selectorArray);\n            }\n            if (actualSelector.search(re) !== -1) {\n                result.push(entry);\n            } else if (!classOrIdSelector) {\n                // Special case for tag selectors - match "*" as the rightmost character\n                if (/\\*\\s*$/.test(actualSelector)) {\n                    result.push(entry);\n                }\n            }\n        });\n\n        return result;\n    }\n\n    /**\n     * Converts the results of _findAllMatchingSelectorsInText() into a simpler bag of data and\n     * appends those new objects to the given \'resultSelectors\' Array.\n     * @param {Array.<{document:Document, lineStart:number, lineEnd:number}>} resultSelectors\n     * @param {Array.<SelectorInfo>} selectorsToAdd\n     * @param {!Document} sourceDoc\n     * @param {!number} lineOffset Amount to offset all line number info by. Used if the first line\n     *          of the parsed CSS text is not the first line of the sourceDoc.\n     */\n    function _addSelectorsToResults(resultSelectors, selectorsToAdd, sourceDoc, lineOffset) {\n        selectorsToAdd.forEach(function (selectorInfo) {\n            resultSelectors.push({\n                name: getCompleteSelectors(selectorInfo),\n                document: sourceDoc,\n                lineStart: selectorInfo.ruleStartLine + lineOffset,\n                lineEnd: selectorInfo.declListEndLine + lineOffset,\n                selectorGroup: selectorInfo.selectorGroup\n            });\n        });\n    }\n\n    /** Finds matching selectors in CSS files; adds them to \'resultSelectors\' */\n    function _findMatchingRulesInCSSFiles(selector, resultSelectors) {\n        var result          = new $.Deferred();\n\n        // Load one CSS file and search its contents\n        function _loadFileAndScan(fullPath, selector) {\n            var oneFileResult = new $.Deferred();\n\n            DocumentManager.getDocumentForPath(fullPath)\n                .done(function (doc) {\n                    // Find all matching rules for the given CSS file\'s content, and add them to the\n                    // overall search result\n                    var oneCSSFileMatches = _findAllMatchingSelectorsInText(doc.getText(), selector, doc.getLanguage().getMode());\n                    _addSelectorsToResults(resultSelectors, oneCSSFileMatches, doc, 0);\n\n                    oneFileResult.resolve();\n                })\n                .fail(function (error) {\n                    console.warn("Unable to read " + fullPath + " during CSS rule search:", error);\n                    oneFileResult.resolve();  // still resolve, so the overall result doesn\'t reject\n                });\n\n            return oneFileResult.promise();\n        }\n\n        ProjectManager.getAllFiles(ProjectManager.getLanguageFilter(["css", "less", "scss"]))\n            .done(function (cssFiles) {\n                // Load index of all CSS files; then process each CSS file in turn (see above)\n                Async.doInParallel(cssFiles, function (fileInfo, number) {\n                    return _loadFileAndScan(fileInfo.fullPath, selector);\n                })\n                    .then(result.resolve, result.reject);\n            });\n\n        return result.promise();\n    }\n\n    /** Finds matching selectors in the <style> block of a single HTML file; adds them to \'resultSelectors\' */\n    function _findMatchingRulesInStyleBlocks(htmlDocument, selector, resultSelectors) {\n        // HTMLUtils requires a real CodeMirror instance; make sure we can give it the right Editor\n        var htmlEditor = EditorManager.getCurrentFullEditor();\n        if (htmlEditor.document !== htmlDocument) {\n            console.error("Cannot search for <style> blocks in HTML file other than current editor");\n            return;\n        }\n\n        // Find all <style> blocks in the HTML file\n        var styleBlocks = HTMLUtils.findStyleBlocks(htmlEditor);\n\n        styleBlocks.forEach(function (styleBlockInfo) {\n            // Search this one <style> block\'s content, appending results to \'resultSelectors\'\n            var oneStyleBlockMatches = _findAllMatchingSelectorsInText(styleBlockInfo.text, selector);\n            _addSelectorsToResults(resultSelectors, oneStyleBlockMatches, htmlDocument, styleBlockInfo.start.line);\n        });\n    }\n\n    /**\n     * Return all rules matching the specified selector.\n     * For now, we only look at the rightmost simple selector. For example, searching for ".foo" will\n     * match these rules:\n     *  .foo {}\n     *  div .foo {}\n     *  div.foo {}\n     *  div .foo[bar="42"] {}\n     *  div .foo:hovered {}\n     *  div .foo::first-child\n     * but will *not* match these rules:\n     *  .foobar {}\n     *  .foo .bar {}\n     *  div .foo .bar {}\n     *  .foo.bar {}\n     *\n     * @param {!string} selector The selector to match. This can be a tag selector, class selector or id selector\n     * @param {?Document} htmlDocument An HTML file for context (so we can search <style> blocks)\n     * @return {$.Promise} that will be resolved with an Array of objects containing the\n     *      source document, start line, and end line (0-based, inclusive range) for each matching declaration list.\n     *      Does not addRef() the documents returned in the array.\n     */\n    function findMatchingRules(selector, htmlDocument) {\n        var result          = new $.Deferred(),\n            resultSelectors = [];\n\n        // Synchronously search for matches in <style> blocks\n        if (htmlDocument) {\n            _findMatchingRulesInStyleBlocks(htmlDocument, selector, resultSelectors);\n        }\n\n        // Asynchronously search for matches in all the project\'s CSS files\n        // (results are appended together in same \'resultSelectors\' array)\n        _findMatchingRulesInCSSFiles(selector, resultSelectors)\n            .done(function () {\n                result.resolve(resultSelectors);\n            })\n            .fail(function (error) {\n                result.reject(error);\n            });\n\n        return result.promise();\n    }\n\n    /**\n     * Returns the selector(s) of the rule at the specified document pos, or "" if the position is\n     * is not within a style rule.\n     *\n     * @param {!Editor} editor Editor to search\n     * @param {!{line: number, ch: number}} pos Position to search\n     * @return {string} Selector(s) for the rule at the specified position, or "" if the position\n     *          is not within a style rule. If the rule has multiple selectors, a comma-separated\n     *          selector string is returned.\n     */\n    function findSelectorAtDocumentPos(editor, pos) {\n        var cm = editor._codeMirror;\n        var ctx = TokenUtils.getInitialContext(cm, $.extend({}, pos));\n        var selector = "", foundChars = false;\n        var isPreprocessorDoc = isCSSPreprocessorFile(editor.document.file.fullPath);\n        var selectorArray = [];\n\n        function _skipToOpeningBracket(ctx, startChar) {\n            var unmatchedBraces = 0;\n            if (!startChar) {\n                startChar = "}";\n            }\n            while (true) {\n                if (startChar === ctx.token.string) {\n                    unmatchedBraces++;\n                } else if (ctx.token.string.match(_invertedBracketPairs[startChar])) {\n                    unmatchedBraces--;\n                    if (unmatchedBraces <= 0) {\n                        return;\n                    }\n                }\n\n                if (!TokenUtils.movePrevToken(ctx)) {\n                    return;\n                }\n            }\n        }\n\n        // Parse a selector. Assumes ctx is pointing at the opening\n        // { that is after the selector name.\n        function _parseSelector(ctx) {\n            var selector = "";\n\n            // Skip over {\n            TokenUtils.movePrevToken(ctx);\n\n            while (true) {\n                if (ctx.token.type !== "comment") {\n                    // Stop once we\'ve reached a {, }, or ;\n                    if (/[\\{\\}\\;]/.test(ctx.token.string)) {\n                        break;\n                    }\n\n                    // Stop once we\'ve reached a <style ...> tag\n                    if (ctx.token.string === "style" && ctx.token.type === "tag") {\n                        // Remove everything up to end-of-tag from selector\n                        var eotIndex = selector.indexOf(">");\n                        if (eotIndex !== -1) {\n                            selector = selector.substring(eotIndex + 1);\n                        }\n                        break;\n                    }\n\n                    selector = ctx.token.string + selector;\n                }\n                if (!TokenUtils.movePrevToken(ctx)) {\n                    break;\n                }\n            }\n\n            return selector;\n        }\n\n        var skipPrevSibling = false,\n            state           = _getContextState(ctx);\n\n        // If the cursor is inside a non-whitespace token with "block" or "top" state, then it is inside a\n        // selector. The only exception is when it is immediately after the \'{\'.\n        if (isPreprocessorDoc && _hasNonWhitespace(ctx.token.string) && ctx.token.string !== "{" &&\n                (state.state === "block" || state.state === "top")) {\n            foundChars = true;\n        }\n\n        // scan backwards to see if the cursor is in a rule\n        do {\n            if (ctx.token.type !== "comment") {\n                if (ctx.token.string === "}") {\n                    if (isPreprocessorDoc) {\n                        if (state.state === "top") {\n                            break;\n                        }\n                        skipPrevSibling = true;\n                        // Skip past the entire preceding block until the matching "{"\n                        _skipToOpeningBracket(ctx, "}");\n                    } else {\n                        break;\n                    }\n                } else if (ctx.token.string === "{") {\n                    selector = _parseSelector(ctx);\n                    if (isPreprocessorDoc) {\n                        if (!skipPrevSibling && !/^\\s*@/.test(selector)) {\n                            selectorArray.unshift(selector);\n                        }\n                        if (skipPrevSibling) {\n                            skipPrevSibling = false;\n                        }\n                    } else {\n                        break;\n                    }\n                } else {\n                    if (!isPreprocessorDoc && _hasNonWhitespace(ctx.token.string)) {\n                        foundChars = true;\n                    }\n                    TokenUtils.movePrevToken(ctx);\n                }\n            } else {\n                TokenUtils.movePrevToken(ctx);\n            }\n        } while (!TokenUtils.isAtStart(ctx));\n\n        selector = _stripAtRules(selector);\n\n        // Reset the context to original scan position\n        ctx = TokenUtils.getInitialContext(cm, $.extend({}, pos));\n\n        // special case - we aren\'t in a selector and haven\'t found any chars,\n        // look at the next immediate token to see if it is non-whitespace.\n        // For preprocessor documents we need to move the cursor to next non-whitespace\n        // token so that we can collect the current selector if the cursor is inside it.\n        if ((!selector && !foundChars && !isPreprocessorDoc) ||\n                (isPreprocessorDoc && (ctx.token.string === "" || /\\s+/.test(ctx.token.string)))) {\n            if (TokenUtils.moveNextToken(ctx) && ctx.token.type !== "comment" && _hasNonWhitespace(ctx.token.string)) {\n                foundChars = true;\n                ctx = TokenUtils.getInitialContext(cm, $.extend({}, pos));\n            }\n        }\n\n        // At this point if we haven\'t found a selector, but have seen chars when\n        // scanning, assume we are in the middle of a selector. For a preprocessor\n        // document we also need to collect the current selector if the cursor is\n        // within the selector or whitespaces immediately before or after it.\n        if ((!selector || isPreprocessorDoc) && foundChars) {\n            // scan forward to see if the cursor is in a selector\n            while (true) {\n                if (ctx.token.type !== "comment") {\n                    if (ctx.token.string === "{") {\n                        selector = _parseSelector(ctx);\n                        if (isPreprocessorDoc && !/^\\s*@/.test(selector)) {\n                            selectorArray.push(selector);\n                        }\n                        break;\n                    } else if (ctx.token.string === "}" || ctx.token.string === ";") {\n                        break;\n                    }\n                }\n                if (!TokenUtils.moveNextToken(ctx)) {\n                    break;\n                }\n            }\n        }\n\n        if (isPreprocessorDoc) {\n            return _getSelectorInFinalCSSForm(selectorArray);\n        }\n\n        return _stripAtRules(selector);\n    }\n\n    /**\n     * removes CSS comments from the content\n     * @param {!string} content to reduce\n     * @return {string} reduced content\n     */\n    function _removeComments(content) {\n        return content.replace(/\\/\\*(?:(?!\\*\\/)[\\s\\S])*\\*\\//g, "");\n    }\n\n    /**\n     * removes strings from the content\n     * @param {!string} content to reduce\n     * @return {string} reduced content\n     */\n    function _removeStrings(content) {\n        // First remove escaped quotes so we can balance unescaped quotes\n        // since JavaScript doesn\'t support negative lookbehind\n        var s = content.replace(/\\\\\\"|\\\\\\\'/g, "");\n\n        // Now remove strings\n        return s.replace(/\\"(.*?)\\"|\\\'(.*?)\\\'/g, "");\n    }\n\n    /**\n     * Reduces the style sheet by removing comments and strings\n     * so that the content can be parsed using a regular expression\n     * @param {!string} content to reduce\n     * @return {string} reduced content\n     */\n    function reduceStyleSheetForRegExParsing(content) {\n        return _removeStrings(_removeComments(content));\n    }\n\n    /**\n     * Extracts all named flow instances\n     * @param {!string} text to extract from\n     * @return {Array.<string>} array of unique flow names found in the content (empty if none)\n     */\n    function extractAllNamedFlows(text) {\n        var namedFlowRegEx = /(?:flow\\-(into|from)\\:\\s*)([\\w\\-]+)(?:\\s*;)/gi,\n            result = [],\n            names = {},\n            thisMatch;\n\n        // Reduce the content so that matches\n        // inside strings and comments are ignored\n        text = reduceStyleSheetForRegExParsing(text);\n\n        // Find the first match\n        thisMatch = namedFlowRegEx.exec(text);\n\n        // Iterate over the matches and add them to result\n        while (thisMatch) {\n            var thisName = thisMatch[2];\n\n            if (IGNORED_FLOW_NAMES.indexOf(thisName) === -1 && !names.hasOwnProperty(thisName)) {\n                names[thisName] = result.push(thisName);\n            }\n            thisMatch = namedFlowRegEx.exec(text);\n        }\n\n        return result;\n    }\n\n    /**\n     * Adds a new rule to the end of the given document, and returns the range of the added rule\n     * and the position of the cursor on the indented blank line within it. Note that the range will\n     * not include all the inserted text (we insert extra newlines before and after the rule).\n     * @param {Document} doc The document to insert the rule into.\n     * @param {string} selector The selector to use for the given rule.\n     * @param {boolean} useTabChar Whether to indent with a tab.\n     * @param {number} indentUnit If useTabChar is false, how many spaces to indent with.\n     * @return {{range: {from: {line: number, ch: number}, to: {line: number, ch: number}}, pos: {line: number, ch: number}}}\n     *     The range of the inserted rule and the location where the cursor should be placed.\n     */\n    function addRuleToDocument(doc, selector, useTabChar, indentUnit) {\n        var newRule = "\\n" + selector + " {\\n",\n            blankLineOffset;\n        if (useTabChar) {\n            newRule += "\\t";\n            blankLineOffset = 1;\n        } else {\n            var i;\n            for (i = 0; i < indentUnit; i++) {\n                newRule += " ";\n            }\n            blankLineOffset = indentUnit;\n        }\n        newRule += "\\n}\\n";\n\n        var docLines = doc.getText().split("\\n"),\n            lastDocLine = docLines.length - 1,\n            lastDocChar = docLines[docLines.length - 1].length;\n        doc.replaceRange(newRule, {line: lastDocLine, ch: lastDocChar});\n        return {\n            range: {\n                from: {line: lastDocLine + 1, ch: 0},\n                to: {line: lastDocLine + 3, ch: 1}\n            },\n            pos: {line: lastDocLine + 2, ch: blankLineOffset}\n        };\n    }\n\n    /**\n     *\n     * In the given rule array (as returned by `findMatchingRules()`), if multiple rules in a row\n     * refer to the same rule (because there were multiple matching selectors), eliminate the redundant\n     * rules. Also, always use the selector group if available instead of the original matching selector.\n     */\n    function consolidateRules(rules) {\n        var newRules = [], lastRule;\n        rules.forEach(function (rule) {\n            if (rule.selectorGroup) {\n                rule.name = rule.selectorGroup;\n            }\n            // Push the entry unless it refers to the same rule as the previous entry.\n            if (!(lastRule &&\n                     rule.document === lastRule.document &&\n                     rule.lineStart === lastRule.lineStart &&\n                     rule.lineEnd === lastRule.lineEnd &&\n                     rule.selectorGroup === lastRule.selectorGroup)) {\n                newRules.push(rule);\n            }\n            lastRule = rule;\n        });\n        return newRules;\n    }\n\n    /**\n     * Given a TextRange, extracts the selector(s) for the rule in the range and returns it.\n     * Assumes the range only contains one rule; if there\'s more than one, it will return the\n     * selector(s) for the first rule.\n     * @param {TextRange} range The range to extract the selector(s) from.\n     * @return {string} The selector(s) for the rule in the range.\n     */\n    function getRangeSelectors(range) {\n        // There\'s currently no immediate way to access a given line in a Document, because it\'s just\n        // stored as a string. Eventually, we should have Documents cache the lines in the document\n        // as well, or make them use CodeMirror documents which do the same thing.\n        var i, startIndex = 0, endIndex, text = range.document.getText();\n        for (i = 0; i < range.startLine; i++) {\n            startIndex = text.indexOf("\\n", startIndex) + 1;\n        }\n        endIndex = startIndex;\n        // Go one line past the end line. We\'ll extract text up to but not including the last newline.\n        for (i = range.startLine + 1; i <= range.endLine + 1; i++) {\n            endIndex = text.indexOf("\\n", endIndex) + 1;\n        }\n        var allSelectors = extractAllSelectors(text.substring(startIndex, endIndex));\n\n        // There should only be one rule in the range, and if there are multiple selectors for\n        // the first rule, they\'ll all be recorded in the "selectorGroup" for the first selector,\n        // so we only need to look at the first one.\n        return (allSelectors.length ? allSelectors[0].selectorGroup || allSelectors[0].selector : "");\n    }\n\n    exports._findAllMatchingSelectorsInText = _findAllMatchingSelectorsInText; // For testing only\n    exports.findMatchingRules = findMatchingRules;\n    exports.extractAllSelectors = extractAllSelectors;\n    exports.extractAllNamedFlows = extractAllNamedFlows;\n    exports.findSelectorAtDocumentPos = findSelectorAtDocumentPos;\n    exports.reduceStyleSheetForRegExParsing = reduceStyleSheetForRegExParsing;\n    exports.addRuleToDocument = addRuleToDocument;\n    exports.consolidateRules = consolidateRules;\n    exports.getRangeSelectors = getRangeSelectors;\n    exports.getCompleteSelectors = getCompleteSelectors;\n    exports.isCSSPreprocessorFile = isCSSPreprocessorFile;\n\n    exports.SELECTOR = SELECTOR;\n    exports.PROP_NAME = PROP_NAME;\n    exports.PROP_VALUE = PROP_VALUE;\n    exports.IMPORT_URL = IMPORT_URL;\n\n    exports.getInfoAtPos = getInfoAtPos;\n\n    // The createInfo is really only for the unit tests so they can make the same\n    // structure to compare results with.\n    exports.createInfo = createInfo;\n});\n\n//# sourceURL=/language/CSSUtils.js'),
eval(' /*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'utils/DropdownEventHandler\',[\'require\',\'exports\',\'module\',\'command/KeyBindingManager\',\'utils/KeyEvent\',\'widgets/PopUpManager\',\'utils/ViewUtils\'],function (require, exports, module) {\n    "use strict";\n\n    var KeyBindingManager = require("command/KeyBindingManager"),\n        KeyEvent          = require("utils/KeyEvent"),\n        PopUpManager      = require("widgets/PopUpManager"),\n        ViewUtils         = require("utils/ViewUtils");\n\n    /**\n     * Object to handle events for a dropdown list.\n     *\n     * DropdownEventHandler handles these events:\n     *\n     * Mouse:\n     * - click       - execute selection callback and dismiss list\n     * - mouseover   - highlight item\n     * - mouseleave  - remove mouse highlighting\n     *\n     * Keyboard:\n     * - Enter       - execute selection callback and dismiss list\n     * - Esc         - dismiss list\n     * - Up/Down     - change selection\n     * - PageUp/Down - change selection\n     *\n     * Items whose <a> has the .disabled class do not respond to selection.\n     *\n     * @constructor\n     * @param {jQueryObject} $list  associated list object\n     * @param {Function} selectionCallback  function called when list item is selected.\n     */\n    function DropdownEventHandler($list, selectionCallback, closeCallback) {\n\n        this.$list = $list;\n        this.$items = $list.find("li");\n        this.selectionCallback = selectionCallback;\n        this.closeCallback = closeCallback;\n        this.scrolling = false;\n\n        /**\n         * @private\n         * The selected position in the list; otherwise -1.\n         * @type {number}\n         */\n        this._selectedIndex = -1;\n    }\n\n    /**\n     * Public open method\n     */\n    DropdownEventHandler.prototype.open = function () {\n        var self = this;\n\n        /**\n         * Convert keydown events into hint list navigation actions.\n         *\n         * @param {KeyboardEvent} event\n         * @return {boolean} true if key was handled, otherwise false.\n         */\n        function _keydownHook(event) {\n            var keyCode;\n\n            // (page) up, (page) down, enter and tab key are handled by the list\n            if (event.type === "keydown") {\n                keyCode = event.keyCode;\n\n                if (keyCode === KeyEvent.DOM_VK_TAB) {\n                    self.close();\n                } else if (keyCode === KeyEvent.DOM_VK_UP) {\n                    // Move up one, wrapping at edges (if nothing selected, select the last item)\n                    self._tryToSelect(self._selectedIndex === -1 ? -1 : self._selectedIndex - 1, -1);\n                } else if (keyCode === KeyEvent.DOM_VK_DOWN) {\n                    // Move down one, wrapping at edges (if nothing selected, select the first item)\n                    self._tryToSelect(self._selectedIndex === -1 ? 0 : self._selectedIndex + 1, +1);\n                } else if (keyCode === KeyEvent.DOM_VK_PAGE_UP) {\n                    // Move up roughly one \'page\', stopping at edges (not wrapping) (if nothing selected, selects the first item)\n                    self._tryToSelect((self._selectedIndex || 0) - self._itemsPerPage(), -1, true);\n                } else if (keyCode === KeyEvent.DOM_VK_PAGE_DOWN) {\n                    // Move down roughly one \'page\', stopping at edges (not wrapping) (if nothing selected, selects the item one page down from the top)\n                    self._tryToSelect((self._selectedIndex || 0) + self._itemsPerPage(), +1, true);\n\n                } else if (keyCode === KeyEvent.DOM_VK_HOME) {\n                    self._tryToSelect(0, +1);\n                } else if (keyCode === KeyEvent.DOM_VK_END) {\n                    self._tryToSelect(self.$items.length - 1, -1);\n\n                } else if (self._selectedIndex !== -1 &&\n                        (keyCode === KeyEvent.DOM_VK_RETURN)) {\n\n                    // Trigger a click handler to commmit the selected item\n                    self._selectionHandler();\n                } else {\n                    // Let the event bubble.\n                    return false;\n                }\n\n                event.stopImmediatePropagation();\n                event.preventDefault();\n                return true;\n            }\n\n            // If we didn\'t handle it, let other global keydown hooks handle it.\n            return false;\n        }\n\n        /**\n         * PopUpManager callback\n         */\n        function closeCallback() {\n            KeyBindingManager.removeGlobalKeydownHook(_keydownHook);\n            self._cleanup();\n        }\n\n        KeyBindingManager.addGlobalKeydownHook(_keydownHook);\n\n        if (this.$list) {\n            this._registerMouseEvents();\n            PopUpManager.addPopUp(this.$list, closeCallback, true);\n        }\n    };\n\n    /**\n     * Public close method\n     */\n    DropdownEventHandler.prototype.close = function () {\n        if (this.$list) {\n            PopUpManager.removePopUp(this.$list);\n        }\n    };\n\n    /**\n     * Cleanup\n     */\n    DropdownEventHandler.prototype._cleanup = function () {\n        if (this.$list) {\n            this.$list.off(".dropdownEventHandler");\n        }\n        if (this.closeCallback) {\n            this.closeCallback();\n        }\n    };\n\n    /**\n     * Try to select item at the given index. If it\'s disabled or a divider, keep trying by incrementing\n     * index by \'direction\' each time (wrapping around if needed).\n     * @param {number} index  If out of bounds, index either wraps around to remain in range (e.g. -1 yields\n     *                      last item, length+1 yields 2nd item) or if noWrap set, clips instead (e.g. -1 yields\n     *                      first item, length+1 yields last item).\n     * @param {number} direction  Either +1 or -1\n     * @param {boolean=} noWrap  Clip out of range index values instead of wrapping. Default false (wrap).\n     */\n    DropdownEventHandler.prototype._tryToSelect = function (index, direction, noWrap) {\n        // Fix up \'index\' if out of bounds (>= len or < 0)\n        var len = this.$items.length;\n        if (noWrap) {\n            // Clip to stay in range (and set direction so we don\'t wrap in the recursion case either)\n            if (index < 0) {\n                index = 0;\n                direction = +1;\n            } else if (index >= len) {\n                index = len - 1;\n                direction = -1;\n            }\n        } else {\n            // Wrap around to keep index in bounds\n            index %= len;\n            if (index < 0) {\n                index += len;\n            }\n        }\n\n        var $item = this.$items.eq(index);\n        if ($item.hasClass("divider") || $item.find("a.disabled").length) {\n            // Desired item is ineligible for selection: try next one\n            this._tryToSelect(index + direction, direction, noWrap);\n        } else {\n            this._setSelectedIndex(index, true);\n        }\n    };\n\n    /**\n     * @return {number} The number of items per scroll page.\n     */\n    DropdownEventHandler.prototype._itemsPerPage = function () {\n        var itemsPerPage = 1,\n            itemHeight;\n\n        if (this.$items.length !== 0) {\n            itemHeight = $(this.$items[0]).height();\n            if (itemHeight) {\n                // round down to integer value\n                itemsPerPage = Math.floor(this.$list.height() / itemHeight);\n                itemsPerPage = Math.max(1, Math.min(itemsPerPage, this.$items.length));\n            }\n        }\n\n        return itemsPerPage;\n    };\n\n    /**\n     * Call selectionCallback with selected index\n     */\n    DropdownEventHandler.prototype._selectionHandler = function () {\n\n        if (this._selectedIndex === -1) {\n            return;\n        }\n\n        var $link = this.$items.eq(this._selectedIndex).find("a");\n        this._clickHandler($link);\n    };\n\n    /**\n     * Call selectionCallback with selected item\n     *\n     * @param {jQueryObject} $item\n     */\n    DropdownEventHandler.prototype._clickHandler = function ($link) {\n\n        if (!this.selectionCallback || !this.$list || !$link) {\n            return;\n        }\n        if ($link.hasClass("disabled")) {\n            return;\n        }\n\n        this.selectionCallback($link);\n        PopUpManager.removePopUp(this.$list);\n    };\n\n    /**\n     * Select the item in the hint list at the specified index, or remove the\n     * selection if index < 0.\n     *\n     * @private\n     * @param {number} index\n     */\n    DropdownEventHandler.prototype._setSelectedIndex = function (index, scrollIntoView) {\n\n        // Range check\n        index = Math.max(-1, Math.min(index, this.$items.length - 1));\n\n        // Clear old highlight\n        if (this._selectedIndex !== -1) {\n            this.$items.eq(this._selectedIndex).find("a").removeClass("selected");\n        }\n\n        this._selectedIndex = index;\n\n        // Highlight the new selected item, if necessary\n        if (this._selectedIndex !== -1) {\n            var $item = this.$items.eq(this._selectedIndex);\n\n            $item.find("a").addClass("selected");\n            if (scrollIntoView) {\n                this.scrolling = true;\n                ViewUtils.scrollElementIntoView(this.$list, $item, false);\n            }\n        }\n    };\n\n    /**\n     * Register mouse event handlers\n     */\n    DropdownEventHandler.prototype._registerMouseEvents = function () {\n        var self = this;\n\n        this.$list\n            .on("click.dropdownEventHandler", "a", function () {\n                self._clickHandler($(this));\n            })\n            .on("mouseover.dropdownEventHandler", "a", function (e) {\n                // Don\'t select item under mouse cursor when scrolling.\n                if (self.scrolling) {\n                    self.scrolling = false;\n                    return;\n                }\n\n                var $link = $(e.currentTarget),\n                    $item = $link.closest("li"),\n                    viewOffset = self.$list.offset(),\n                    elementOffset = $item.offset();\n\n                // Only set selected if enabled & in view\n                // (dividers are already screened out since they don\'t have an "a" tag in them)\n                if (!$link.hasClass("disabled")) {\n                    if (elementOffset.top < viewOffset.top + self.$list.height() && viewOffset.top <= elementOffset.top) {\n                        self._setSelectedIndex(self.$items.index($item), false);\n                    }\n                }\n            });\n    };\n\n    /**\n     * Re-register mouse event handlers\n     * @param {!jQueryObject} $list  newly updated list object\n     */\n    DropdownEventHandler.prototype.reRegisterMouseHandlers = function ($list) {\n        if (this.$list) {\n            this.$list.off(".dropdownEventHandler");\n\n            this.$list = $list;\n            this.$items = $list.find("li");\n\n            this._registerMouseEvents();\n        }\n    };\n\n    // Export public API\n    exports.DropdownEventHandler    = DropdownEventHandler;\n});\n\n//# sourceURL=/utils/DropdownEventHandler.js'),eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n */\n\n/**\n * Button that opens a dropdown list when clicked. More akin to a popup menu than a combobox. Compared to a\n * simple <select> element:\n *  - There\'s no "selected" state\n *  - The button\'s label is not automatically changed when an item in the list is clicked\n *  - Its width is not the max of all the dropdown items\' labels\n *  - The button & dropdown\'s appearance can be customized far more\n * Events\n *  - listRendered -- This event is dispatched after the entire list is rendered so that custom event handlers can be\n *                    set up for any custom UI in the list.\n *\n * TODO: merge DropdownEventHandler into this? Are there any other widgets that might want to use it separately?\n *\n */\ndefine(\'widgets/DropdownButton\',[\'require\',\'exports\',\'module\',\'utils/DropdownEventHandler\',\'utils/EventDispatcher\',\'view/WorkspaceManager\',\'command/Menus\',\'utils/ViewUtils\',\'thirdparty/lodash\'],function (require, exports, module) {\n    "use strict";\n\n    // Load dependent modules\n    var DropdownEventHandler    = require("utils/DropdownEventHandler").DropdownEventHandler,\n        EventDispatcher         = require("utils/EventDispatcher"),\n        WorkspaceManager        = require("view/WorkspaceManager"),\n        Menus                   = require("command/Menus"),\n        ViewUtils               = require("utils/ViewUtils"),\n        _                       = require("thirdparty/lodash");\n\n    /**\n     * Creates a single dropdown-button instance. The DOM node is created but not attached to\n     * the document anywhere - clients should append this.$button to the appropriate location.\n     *\n     * DropdownButton dispatches the following events:\n     *  - "select" - when an option in the dropdown is clicked. Passed item object and index.\n     *\n     * @param {!string} label  Label to display on the button\n     * @param {!Array.<*>} items  Items in the dropdown list. It generally doesn\'t matter what type/value the\n     *          items have, except that any item === "---" will be treated as a divider. Such items are not\n     *          clickable and itemRenderer() will not be called for them.\n     * @param {?function(*, number):!string|{html:string, enabled:boolean} itemRenderer  Optional function to\n     *          convert a single item to HTML (see itemRenderer() docs below). If not provided, items are\n     *          assumed to be plain text strings.\n     */\n    function DropdownButton(label, items, itemRenderer) {\n        this.items = items;\n\n        this.itemRenderer = itemRenderer || this.itemRenderer;\n\n        this._onClick        = this._onClick.bind(this);\n        this.closeDropdown   = this.closeDropdown.bind(this);\n        this._onClickOutside = this._onClickOutside.bind(this);\n\n        this.$button = $("<button class=\'btn btn-dropdown\'/>")\n            .text(label)\n            .on("click", this._onClick);\n    }\n    EventDispatcher.makeEventDispatcher(DropdownButton.prototype);\n\n    /**\n     * Items in dropdown list - may be changed any time dropdown isn\'t open\n     * @type {!Array.<*>}\n     */\n    DropdownButton.prototype.items = null;\n\n    /**\n     * The clickable button. Available as soon as the DropdownButton is constructed.\n     * @type {!jQueryObject}\n     */\n    DropdownButton.prototype.$button = null;\n\n    /**\n     * The dropdown element. Only non-null while open.\n     * @type {?jQueryObject}\n     */\n    DropdownButton.prototype.$dropdown = null;\n\n    /**\n     * Extra CSS class(es) to apply to $dropdown\n     * @type {?string}\n     */\n    DropdownButton.prototype.dropdownExtraClasses = null;\n\n    /**\n     * @private\n     * Where to restore focus when dropdown closed\n     * @type {?HTMLElement}\n     */\n    DropdownButton.prototype._lastFocus = null;\n\n    /**\n     * @private\n     * Helper object for dropdown. Only non-null while open.\n     * @type {?DropdownEventHandler}\n     */\n    DropdownButton.prototype._dropdownEventHandler = null;\n\n\n    /**\n     * @private\n     * Handle clicking button\n     */\n    DropdownButton.prototype._onClick = function (event) {\n        if (!this.$button.hasClass("disabled")) {\n            this.toggleDropdown();\n        }\n        // Indicate click was handled (e.g. to shield from MultiRangeInlineEditor._onClick())\n        event.stopPropagation();\n    };\n\n    /**\n     * Update the button label.\n     * @param {string} label\n     */\n    DropdownButton.prototype.setButtonLabel = function (label) {\n        if (!this.$button) {\n            return;\n        }\n        $(this.$button).text(label);\n    };\n\n    /**\n     * Called for each item when rendering the dropdown.\n     * @param {*} item from items array\n     * @param {number} index in items array\n     * @return {!string|{html:string, enabled:boolean}} Formatted & escaped HTML, either as a simple string\n     *      or as the \'html\' field in an object that also conveys enabled state. Disabled items inherit gray\n     *      text color and cannot be selected.\n     */\n    DropdownButton.prototype.itemRenderer = function (item, index) {\n        return _.escape(String(item));\n    };\n\n    /**\n     * Converts the list of item objects into HTML list items in format required by DropdownEventHandler\n     * @param {!jQueryObject} parent The dropdown element\n     * @return {!jQueryObject} The dropdown element with the rendered list items appended.\n     */\n    DropdownButton.prototype._renderList = function (parent) {\n        if (!parent) {\n            return null;\n        }\n\n        var html = "";\n        this.items.forEach(function (item, i) {\n            if (item === "---") {\n                html += "<li class=\'divider\'></li>";\n            } else {\n                var rendered = this.itemRenderer(item, i),\n                    itemHtml = rendered.html || rendered,\n                    disabledClass = (rendered.html && !rendered.enabled) ? "disabled" : "";\n\n                html += "<li><a class=\'stylesheet-link " + disabledClass + "\' data-index=\'" + i + "\'>";\n                html += itemHtml;\n                html += "</a></li>";\n            }\n        }.bind(this));\n\n        parent.append(html);\n\n        // Also trigger listRendered handler so that custom event handlers can be\n        // set up for any custom UI in the list.\n        this.trigger("listRendered", parent);\n\n        // Also need to re-register mouse event handlers with the updated list.\n        if (this._dropdownEventHandler) {\n            this._dropdownEventHandler.reRegisterMouseHandlers(parent);\n        }\n\n        return parent;\n    };\n\n    /**\n     * Refresh the dropdown list by removing and re-creating all list items.\n     * Call this after deleting/adding any item in the dropdown list.\n     */\n    DropdownButton.prototype.refresh = function () {\n        if (!this.$dropdown) {\n            return;\n        }\n\n        // Remove all list items and then re-create them from this.items.\n        $("li", this.$dropdown).remove();\n        this._renderList(this.$dropdown);\n    };\n\n    /**\n     * Check/Uncheck the list item of the given index.\n     * @param {number} index The index of the list item to be checked or unchecked\n     * @param {boolean} checked True if the list item is to be checked, false to get check\n     *    mark removed.\n     */\n    DropdownButton.prototype.setChecked = function (index, checked) {\n        if (!this.$dropdown) {\n            return;\n        }\n\n        var listItems = $("li", this.$dropdown),\n            count     = listItems.length;\n\n        if (index > -1 && index < count) {\n            $("a", listItems[index]).toggleClass("checked", checked);\n        }\n    };\n\n    /** Pops open the dropdown if currently closed. Does nothing if items.length == 0 */\n    DropdownButton.prototype.showDropdown = function () {\n        // Act like a plain old button if no items to show\n        if (!this.items.length) {\n            return;\n        }\n\n        if (this.$dropdown) {\n            return;\n        }\n\n        Menus.closeAll();\n\n        var $dropdown = $("<ul class=\'dropdown-menu dropdownbutton-popup\' tabindex=\'-1\'>")\n            .addClass(this.dropdownExtraClasses)  // (no-op if unspecified)\n            .css("min-width", this.$button.outerWidth());  // do this before the clipping calcs below\n\n        this.$dropdown = $dropdown;\n        this._renderList(this.$dropdown)\n            .appendTo($("body"))\n            .data("attached-to", this.$button[0]);  // keep ModalBar open while dropdown focused\n\n        // Calculate position of dropdown\n        var toggleOffset = this.$button.offset(),\n            posLeft      = toggleOffset.left,\n            posTop       = toggleOffset.top + this.$button.outerHeight(),\n            elementRect  = {\n                top:     posTop,\n                left:    posLeft,\n                height:  $dropdown.height(),\n                width:   $dropdown.width()\n            },\n            clip = ViewUtils.getElementClipSize($(window), elementRect);\n\n        if (clip.bottom > 0) {\n            // Bottom is clipped, so move entire menu above button\n            posTop = Math.max(0, toggleOffset.top - $dropdown.height() - 4);\n        }\n\n        // Take in consideration the scrollbar to prevent unexpected behaviours (see #10963).\n        var dropdownElement = this.$dropdown[0];\n        var scrollWidth = dropdownElement.offsetWidth - dropdownElement.clientWidth + 1;\n\n        if (clip.right > 0) {\n            // Right is clipped, so adjust left to fit menu in editor.\n            posLeft = Math.max(0, posLeft - clip.right - scrollWidth);\n        }\n\n        $dropdown.css({\n            left: posLeft,\n            top: posTop,\n            width: $dropdown.width() + scrollWidth\n        });\n\n        // Attach event handlers\n        this._dropdownEventHandler = new DropdownEventHandler($dropdown, this._onSelect.bind(this), this._onDropdownClose.bind(this));\n        this._dropdownEventHandler.open();\n\n        window.document.body.addEventListener("mousedown", this._onClickOutside, true);\n        WorkspaceManager.on("workspaceUpdateLayout", this.closeDropdown);\n\n        // Manage focus\n        this._lastFocus = window.document.activeElement;\n        $dropdown.focus();\n    };\n\n    /**\n     * @private\n     * Clean up event handlers after dropdown closed & dispose old dropdown DOM. Called regardless of how the dropdown\n     * was closed.\n     */\n    DropdownButton.prototype._onDropdownClose = function () {\n        window.document.body.removeEventListener("mousedown", this._onClickOutside, true);\n        WorkspaceManager.off("workspaceUpdateLayout", this.closeDropdown);\n\n        // Restore focus to old pos, unless "select" handler changed it\n        if (window.document.activeElement === this.$dropdown[0]) {\n            this._lastFocus.focus();\n        }\n\n        this._dropdownEventHandler = null;\n        this.$dropdown = null;  // already remvoed from DOM automatically by PopUpManager\n    };\n\n    /** Closes the dropdown if currently open */\n    DropdownButton.prototype.closeDropdown = function () {\n        if (this._dropdownEventHandler) {\n            this._dropdownEventHandler.close();\n        }\n    };\n\n    /**\n     * @private\n     * Clicking outside the dropdown closes it\n     */\n    DropdownButton.prototype._onClickOutside = function (event) {\n        var $container = $(event.target).closest(".dropdownbutton-popup");\n\n        // If click is outside dropdown list or dropdown button, then close dropdown list\n        if (!$(event.target).is(this.$button) &&\n                ($container.length === 0 || $container[0] !== this.$dropdown[0])) {\n            this.closeDropdown();\n            event.stopPropagation();\n            event.preventDefault();\n        }\n    };\n\n    /** Opens the dropdown if closed; closes it if open */\n    DropdownButton.prototype.toggleDropdown = function () {\n        if (this.$dropdown) {\n            this.closeDropdown();\n        } else {\n            this.showDropdown();\n        }\n    };\n\n    /**\n     * @private\n     * Callback from DropdownEventHandler when item in dropdown list is selected (via mouse or keyboard)\n     * @param {!jQueryObject} $link  The `a` element selected\n     */\n    DropdownButton.prototype._onSelect = function ($link) {\n        var itemIndex = Number($link.data("index"));\n        this.trigger("select", this.items[itemIndex], itemIndex);\n    };\n\n\n    exports.DropdownButton = DropdownButton;\n});\n\n//# sourceURL=/widgets/DropdownButton.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n// FUTURE: Merge part (or all) of this class with InlineTextEditor\n\n/**\n * An inline editor for displaying and editing multiple text ranges. Each range corresponds to a\n * contiguous set of lines in a file.\n *\n * In the current implementation, only one range is visible at a time. A list on the right side\n * of the editor allows the user to select which range is visible.\n *\n * This module does not dispatch any events.\n */\ndefine(\'editor/MultiRangeInlineEditor\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'document/TextRange\',\'editor/InlineTextEditor\',\'editor/EditorManager\',\'file/FileUtils\',\'preferences/PreferencesManager\',\'project/ProjectManager\',\'command/Commands\',\'strings\',\'command/CommandManager\'],function (require, exports, module) {\n    "use strict";\n\n    var _ = require("thirdparty/lodash");\n\n    // Load dependent modules\n    var TextRange           = require("document/TextRange").TextRange,\n        InlineTextEditor    = require("editor/InlineTextEditor").InlineTextEditor,\n        EditorManager       = require("editor/EditorManager"),\n        FileUtils           = require("file/FileUtils"),\n        PreferencesManager  = require("preferences/PreferencesManager"),\n        ProjectManager      = require("project/ProjectManager"),\n        Commands            = require("command/Commands"),\n        Strings             = require("strings"),\n        CommandManager      = require("command/CommandManager");\n\n    var _prevMatchCmd, _nextMatchCmd;\n\n    /**\n     * Remove trailing "px" from a style size value.\n     * @param {!JQuery} $target Element in DOM\n     * @param {!string} styleName Style name to query\n     * @return {number} Style value converted from string to number, removing "px" units\n     */\n    function _parseStyleSize($target, styleName) {\n        return parseInt($target.css(styleName), 10);\n    }\n\n    /** Returns a \'context\' object for getting/setting project-specific preferences */\n    function _getPrefsContext() {\n        var projectRoot = ProjectManager.getProjectRoot();  // note: null during unit tests!\n        return { location : { scope: "user", layer: "project", layerID: projectRoot && projectRoot.fullPath } };\n    }\n\n\n    /**\n     * Stores one search result: its source file, line range, etc. plus the DOM node representing it\n     * in the results list.\n     * @constructor\n     */\n    function SearchResultItem(rangeResult) {\n        this.name = rangeResult.name;\n        this.textRange = new TextRange(rangeResult.document, rangeResult.lineStart, rangeResult.lineEnd);\n        // this.$listItem is assigned in load()\n    }\n    SearchResultItem.prototype.name = null;\n    SearchResultItem.prototype.textRange = null;\n    SearchResultItem.prototype.$listItem = null;\n\n    function _updateRangeLabel(listItem, range, labelCB) {\n        if (labelCB) {\n            range.name = labelCB(range.textRange);\n        }\n        var text = _.escape(range.name) + " <span class=\'related-file\'>:" + (range.textRange.startLine + 1) + "</span>";\n        listItem.html(text);\n        listItem.attr("title", listItem.text());\n    }\n\n\n    /**\n     * @constructor\n     * @param {Array.<{name:String,document:Document,lineStart:number,lineEnd:number}>} ranges The text\n     *      ranges to display. Results within the same file are expected to be contiguous in this array.\n     * @param {?function(): $.Promise} messageCB Optional; returns a promise resolved with a message to\n     *      show when no matches are available. The message should be already-escaped HTML.\n     * @param {?function(range): string} labelCB Optional; returns an updated label string for the given\n     *      range. Called when we detect that the content of a range has changed. The label is plain\n     *      text, not HTML.\n     * @param {?function(!File, !File):number} fileComparator Optional comparison function for sorting\n     *      the results list (based on range.document.file). Defaults to FileUtils.comparePaths().\n     * @extends {InlineTextEditor}\n     */\n    function MultiRangeInlineEditor(ranges, messageCB, labelCB, fileComparator) {\n        InlineTextEditor.call(this);\n\n        // Store the results to show in the range list. This creates TextRanges bound to the Document,\n        // which will stay up to date automatically (but we must be sure to detach them later)\n        this._ranges = ranges.map(function (rangeResult) {\n            return new SearchResultItem(rangeResult);\n        });\n        this._messageCB = messageCB;\n        this._labelCB = labelCB;\n\n        this._selectedRangeIndex = -1;\n        this._collapsedFiles = {};\n\n        // Set up list sort order\n        this._fileComparator = fileComparator || function defaultComparator(file1, file2) {\n            return FileUtils.comparePaths(file1.fullPath, file2.fullPath);\n        };\n        this._ranges.sort(function (result1, result2) {\n            return this._fileComparator(result1.textRange.document.file, result2.textRange.document.file);\n        }.bind(this));\n    }\n    MultiRangeInlineEditor.prototype = Object.create(InlineTextEditor.prototype);\n    MultiRangeInlineEditor.prototype.constructor = MultiRangeInlineEditor;\n    MultiRangeInlineEditor.prototype.parentClass = InlineTextEditor.prototype;\n\n    MultiRangeInlineEditor.prototype.$messageDiv = null;\n    MultiRangeInlineEditor.prototype.$relatedContainer = null;\n    MultiRangeInlineEditor.prototype.$related = null;\n    MultiRangeInlineEditor.prototype.$selectedMarker = null;\n\n    /** Includes all the _ranges[i].$listItem items, as well as section headers */\n    MultiRangeInlineEditor.prototype.$rangeList = null;\n\n    /**\n     * List of search results. Section headers are not represented in this list (they are implied before each group of\n     * of consecutive results from the same Document).\n     * @type {!Array.<SearchResultItem>}\n     */\n    MultiRangeInlineEditor.prototype._ranges = null;\n\n    /** Index into this._ranges - indices do not include section headers */\n    MultiRangeInlineEditor.prototype._selectedRangeIndex = null;\n\n    /**\n     * Map from fullPath to true if collapsed. May not agree with preferences, in cases where multiple inline editors make\n     * concurrent changes.\n     * @type {!Object.<string, boolean>}\n     */\n    MultiRangeInlineEditor.prototype._collapsedFiles = null;\n\n    MultiRangeInlineEditor.prototype._messageCB = null;\n    MultiRangeInlineEditor.prototype._labelCB = null;\n    MultiRangeInlineEditor.prototype._fileComparator = null;\n\n    /** @type {!Object.<string, jQueryObject>} Map from fullPath to section header DOM node */\n    MultiRangeInlineEditor.prototype._$headers = null;\n\n\n    /**\n     * @private\n     * Add a new result item <li> to the range list UI ($rangeList) and saves it in range.$listItem\n     * @param {SearchResultItem} range The range to add.\n     */\n    MultiRangeInlineEditor.prototype._createListItem = function (range) {\n        var self = this,\n            $rangeItem = $("<li/>");\n\n        // Attach filename for unit test use\n        $rangeItem.data("filename", range.textRange.document.file.name);\n\n        $rangeItem.appendTo(this.$rangeList);\n\n        _updateRangeLabel($rangeItem, range);\n        $rangeItem.mousedown(function () {\n            self.setSelectedIndex(self._ranges.indexOf(range));\n        });\n\n        range.$listItem = $rangeItem;\n    };\n\n    /** Collapses/expands a file section in the range list UI */\n    MultiRangeInlineEditor.prototype._toggleSection = function (fullPath, duringInit) {\n        var $headerItem = this._$headers[fullPath];\n        var $disclosureIcon = $headerItem.find(".disclosure-triangle");\n        var isCollapsing = $disclosureIcon.hasClass("expanded");\n        $disclosureIcon.toggleClass("expanded");\n        $headerItem.nextUntil(".section-header").toggle(!isCollapsing);  // explicit visibility arg, since during load() jQ doesn\'t think nodes are visible\n\n        // Update instance-specific state...\n        this._collapsedFiles[fullPath] = isCollapsing;\n        // ...AND persist as per-project view state\n        if (!duringInit) {\n            var setting = PreferencesManager.getViewState("inlineEditor.collapsedFiles", _getPrefsContext()) || {};\n            if (isCollapsing) {\n                setting[fullPath] = true;\n            } else {\n                delete setting[fullPath];\n            }\n            PreferencesManager.setViewState("inlineEditor.collapsedFiles", setting, _getPrefsContext());\n        }\n\n        // Show/hide selection indicator if selection was in collapsed section\n        this._updateSelectedMarker(false);\n\n        // Changing height of rule list may change ht of overall editor\n        this._ruleListHeightChanged();\n\n        // If user expands collapsed section and nothing selected yet, select first result in this section\n        if (this._selectedRangeIndex === -1 && !isCollapsing && !duringInit) {\n            var index = _.findIndex(this._ranges, function (resultItem) {\n                return resultItem.textRange.document.file.fullPath === fullPath;\n            });\n            this.setSelectedIndex(index);\n        }\n    };\n\n    /** Adds a file section header <li> to the range list UI ($rangeList) and adds it to the this._$headers map */\n    MultiRangeInlineEditor.prototype._createHeaderItem = function (doc) {\n        var $headerItem = $("<li class=\'section-header\'><span class=\'disclosure-triangle expanded\'/><span class=\'filename\'>" + _.escape(doc.file.name) + "</span></li>")\n            .attr("title", ProjectManager.makeProjectRelativeIfPossible(doc.file.fullPath))\n            .appendTo(this.$rangeList);\n\n        $headerItem.click(function () {\n            this._toggleSection(doc.file.fullPath);\n        }.bind(this));\n\n        this._$headers[doc.file.fullPath] = $headerItem;\n    };\n\n    /** Refresh the contents of $rangeList */\n    MultiRangeInlineEditor.prototype._renderList = function () {\n        this.$rangeList.empty();\n        this._$headers = {};\n\n        var self = this,\n            lastSectionDoc,\n            numItemsInSection = 0;\n\n        // After seeing all results for a given file, update its header with total # of results\n        function finalizeSection() {\n            if (lastSectionDoc) {\n                self._$headers[lastSectionDoc.file.fullPath].append(" (" + numItemsInSection + ")");\n                if (self._collapsedFiles[lastSectionDoc.file.fullPath]) {\n                    self._toggleSection(lastSectionDoc.file.fullPath, true);\n                }\n            }\n        }\n\n        this._ranges.forEach(function (resultItem) {\n            if (lastSectionDoc !== resultItem.textRange.document) {\n                // Finalize previous section\n                finalizeSection();\n\n                // Initialize new section\n                lastSectionDoc = resultItem.textRange.document;\n                numItemsInSection = 0;\n\n                // Create filename header for new section\n                this._createHeaderItem(lastSectionDoc);\n            }\n            numItemsInSection++;\n            this._createListItem(resultItem);\n        }, this);\n\n        // Finalize last section\n        finalizeSection();\n    };\n\n\n    /**\n     * @override\n     * @param {!Editor} hostEditor  Outer Editor instance that inline editor will sit within.\n     *\n     */\n    MultiRangeInlineEditor.prototype.load = function (hostEditor) {\n        MultiRangeInlineEditor.prototype.parentClass.load.apply(this, arguments);\n\n        // Create the message area\n        this.$messageDiv = $("<div/>")\n            .addClass("inline-editor-message");\n\n        // Prevent touch scroll events from bubbling up to the parent editor.\n        this.$editorHolder.on("mousewheel.MultiRangeInlineEditor", function (e) {\n            e.stopPropagation();\n        });\n\n        // Outer container for border-left and scrolling\n        this.$relatedContainer = $("<div/>").addClass("related-container");\n\n        // List "selection" highlight\n        this.$selectedMarker = $("<div/>").appendTo(this.$relatedContainer).addClass("selection");\n\n        // Inner container\n        this.$related = $("<div/>").appendTo(this.$relatedContainer).addClass("related");\n\n        // Range list\n        this.$rangeList = $("<ul/>").appendTo(this.$related);\n\n        // Determine which sections are initially collapsed (the actual collapsing happens after onAdded(),\n        // because jQuery.hide() requires the computed value of \'display\' to work properly)\n        var toCollapse = PreferencesManager.getViewState("inlineEditor.collapsedFiles", _getPrefsContext()) || {};\n        Object.keys(toCollapse).forEach(function (fullPath) {\n            this._collapsedFiles[fullPath] = true;\n        }.bind(this));\n\n        // Render list & section headers (matching collapsed state set above)\n        this._renderList();\n\n        if (this._ranges.length > 1) {      // attach to main container\n            this.$wrapper.before(this.$relatedContainer);\n        }\n\n        // Add TextRange listeners to update UI as text changes\n        var self = this;\n        this._ranges.forEach(function (range, index) {\n            // Update list item as TextRange changes\n            range.textRange.on("change", function () {\n                _updateRangeLabel(range.$listItem, range);\n            }).on("contentChange", function () {\n                _updateRangeLabel(range.$listItem, range, self._labelCB);\n            });\n\n            // If TextRange lost sync, remove it from the list (and close the widget if no other ranges are left)\n            range.textRange.on("lostSync", function () {\n                self._removeRange(range);\n            });\n        });\n\n        // Initial selection is the first non-collapsed result item\n        var indexToSelect = _.findIndex(this._ranges, function (range) {\n            return !this._collapsedFiles[range.textRange.document.file.fullPath];\n        }.bind(this));\n        if (this._ranges.length === 1 && indexToSelect === -1) {\n            // If no right-hand rule list shown, select the one result even if it\'s in a collapsed file (since no way to expand)\n            indexToSelect = 0;\n        }\n\n        if (indexToSelect !== -1) {\n            // select the first visible range\n            this.setSelectedIndex(indexToSelect);\n        } else {\n            // force the message div to show\n            this.setSelectedIndex(-1);\n        }\n\n        // Listen for clicks directly on us, so we can set focus back to the editor\n        var clickHandler = this._onClick.bind(this);\n        this.$htmlContent.on("click.MultiRangeInlineEditor", clickHandler);\n        // Also handle mouseup in case the user drags a little bit\n        this.$htmlContent.on("mouseup.MultiRangeInlineEditor", clickHandler);\n\n        // Update the rule list navigation menu items when we gain/lose focus.\n        this.$htmlContent\n            .on("focusin.MultiRangeInlineEditor", this._updateCommands.bind(this))\n            .on("focusout.MultiRangeInlineEditor", this._updateCommands.bind(this));\n    };\n\n    /**\n     * @private\n     * Updates the enablement for the rule list navigation commands.\n     */\n    MultiRangeInlineEditor.prototype._updateCommands = function () {\n        var enabled = (this.hasFocus() && this._ranges.length > 1);\n        _prevMatchCmd.setEnabled(enabled && this._selectedRangeIndex > 0);\n        _nextMatchCmd.setEnabled(enabled && this._selectedRangeIndex !== -1 && this._selectedRangeIndex < this._ranges.length - 1);\n    };\n\n    /**\n     * @override\n     */\n    MultiRangeInlineEditor.prototype.onAdded = function () {\n        // Set the initial position of the selected marker now that we\'re laid out.\n        this._updateSelectedMarker(false);\n\n        // Call super\n        MultiRangeInlineEditor.prototype.parentClass.onAdded.apply(this, arguments);\n\n        // Initially size the inline widget (calls sizeInlineWidgetToContents())\n        this._ruleListHeightChanged();\n\n        this._updateCommands();\n    };\n\n    /**\n     * Specify the range that is shown in the editor.\n     *\n     * @param {!number} index The index of the range to select, or -1 to deselect all. Index into this._ranges,\n     *      so section headers are not included in the sequence.\n     * @param {boolean} force Whether to re-select the item even if we think it\'s already selected\n     *     (used if the range list has changed).\n     */\n    MultiRangeInlineEditor.prototype.setSelectedIndex = function (index, force) {\n        var newIndex = Math.min(Math.max(-1, index), this._ranges.length - 1),\n            self = this;\n\n        if (!force && newIndex !== -1 && newIndex === this._selectedRangeIndex) {\n            return;\n        }\n\n        // Remove selected class(es)\n        var $previousItem = (this._selectedRangeIndex >= 0) ? this._ranges[this._selectedRangeIndex].$listItem : null;\n        if ($previousItem) {\n            $previousItem.removeClass("selected");\n        }\n\n        // Clear our listeners on the previous editor since it\'ll be destroyed in setInlineContent().\n        if (this.editor) {\n            this.editor.off(".MultiRangeInlineEditor");\n        }\n\n        this._selectedRangeIndex = newIndex;\n\n        if (newIndex === -1) {\n            // show the message div\n            this.setInlineContent(null);\n            var hasHiddenMatches = this._ranges.length > 0;\n            if (hasHiddenMatches) {\n                this.$messageDiv.text(Strings.INLINE_EDITOR_HIDDEN_MATCHES);\n            } else if (this._messageCB) {\n                this._messageCB(hasHiddenMatches).done(function (msg) {\n                    self.$messageDiv.html(msg);\n                });\n            } else {\n                this.$messageDiv.text(Strings.INLINE_EDITOR_NO_MATCHES);\n            }\n            this.$htmlContent.append(this.$messageDiv);\n            this.sizeInlineWidgetToContents();\n        } else {\n            this.$messageDiv.remove();\n\n            var range = this._getSelectedRange();\n            range.$listItem.addClass("selected");\n\n            // Add new editor\n            this.setInlineContent(range.textRange.document, range.textRange.startLine, range.textRange.endLine);\n            this.editor.focus();\n\n            this._updateEditorMinHeight();\n            this.editor.refresh();\n\n            // Ensure the cursor position is visible in the host editor as the user is arrowing around.\n            this.editor.on("cursorActivity.MultiRangeInlineEditor", this._ensureCursorVisible.bind(this));\n\n            // ensureVisibility is set to false because we don\'t want to scroll the main editor when the user selects a view\n            this.sizeInlineWidgetToContents();\n\n            this._updateSelectedMarker(true);\n        }\n\n        this._updateCommands();\n    };\n\n    /**\n     * Ensures that the editor\'s min-height is set so it never gets shorter than the rule list.\n     * This is necessary to make sure the editor\'s horizontal scrollbar stays at the bottom of the\n     * widget.\n     */\n    MultiRangeInlineEditor.prototype._updateEditorMinHeight = function () {\n        if (!this.editor) {\n            return;\n        }\n\n        // Set the scroller\'s min-height to the natural height of the rule list, so the editor\n        // always stays at least as tall as the rule list.\n        var ruleListNaturalHeight = this.$related.outerHeight(),\n            headerHeight = $(".inline-editor-header", this.$htmlContent).outerHeight();\n\n        // If the widget isn\'t fully loaded yet, bail--we\'ll get called again in onAdded().\n        if (!ruleListNaturalHeight || !headerHeight) {\n            return;\n        }\n\n        // We have to set this on the scroller instead of the wrapper because:\n        // * we want the wrapper\'s actual height to remain "auto"\n        // * if we set a min-height on the wrapper, the scroller\'s height: 100% doesn\'t\n        //   respect it (height: 100% doesn\'t seem to work properly with min-height on the parent)\n        $(this.editor.getScrollerElement())\n            .css("min-height", (ruleListNaturalHeight - headerHeight) + "px");\n    };\n\n    /** Update inline widget height to reflect changed rule-list height */\n    MultiRangeInlineEditor.prototype._ruleListHeightChanged = function () {\n        // Editor\'s min height depends on rule list height\n        this._updateEditorMinHeight();\n\n        // Overall widget height may have changed too\n        this.sizeInlineWidgetToContents();\n    };\n\n    MultiRangeInlineEditor.prototype._removeRange = function (range) {\n        // If this is the last range, just close the whole widget\n        if (this._ranges.length <= 1) {\n            this.close();\n            return;  // note: the dispose() that would normally happen below is covered by close()\n        }\n\n        // Now we know there is at least one other range -> found out which one this is\n        var index = this._ranges.indexOf(range);\n\n        // If the range to be removed is the selected one, first switch to another one\n        if (index === this._selectedRangeIndex) {\n            // If possible, select the one below, else select the one above\n            if (index + 1 < this._ranges.length) {\n                this.setSelectedIndex(index + 1);\n            } else {\n                this.setSelectedIndex(index - 1);\n            }\n        }\n\n        // Now we can remove this range\n        range.textRange.dispose();\n        this._ranges.splice(index, 1);\n\n        // Re-render list & section headers\n        this._renderList();\n\n        // Move selection highlight if deletion affected its position\n        if (index < this._selectedRangeIndex) {\n            this._selectedRangeIndex--;\n            this._updateSelectedMarker(true);\n        }\n\n        if (this._ranges.length === 1) {\n            this.$relatedContainer.remove();\n\n            // Refresh the height of the inline editor since we remove\n            // the entire selector list.\n            if (this.editor) {\n                this.editor.refresh();\n            }\n        }\n\n        this._updateCommands();\n    };\n\n    /**\n     * Adds a new range to the inline editor and selects it. The range will be inserted\n     * immediately below the last range for the same document, or at the end of the list\n     * if there are no other ranges for that document.\n     * @param {string} name The label for the new range.\n     * @param {Document} doc The document the range is in.\n     * @param {number} lineStart The starting line of the range, 0-based, inclusive.\n     * @param {number} lineEnd The ending line of the range, 0-based, inclusive.\n     */\n    MultiRangeInlineEditor.prototype.addAndSelectRange = function (name, doc, lineStart, lineEnd) {\n        var newRange = new SearchResultItem({\n                name: name,\n                document: doc,\n                lineStart: lineStart,\n                lineEnd: lineEnd\n            }),\n            i;\n\n        // Insert the new range after the last range from the same doc, or at the\n        // end of the list.\n        for (i = 0; i < this._ranges.length; i++) {\n            if (this._fileComparator(this._ranges[i].textRange.document.file, doc.file) > 0) {\n                break;\n            }\n        }\n        this._ranges.splice(i, 0, newRange);\n\n        // Update rule list display\n        this._renderList();\n\n        // Ensure rule list is visible if there are now multiple results\n        if (this._ranges.length > 1 && !this.$relatedContainer.parent().length) {\n            this.$wrapper.before(this.$relatedContainer);\n        }\n\n        // If added rule is in a collapsed item, expand it for clarity\n        if (this._collapsedFiles[doc.file.fullPath]) {\n            this._toggleSection(doc.file.fullPath);\n        }\n\n        // Select new range, showing it in the editor\n        this.setSelectedIndex(i, true);  // force, since i might be same as before\n\n        this._updateCommands();\n    };\n\n    MultiRangeInlineEditor.prototype._updateSelectedMarker = function (animate) {\n        // If no selection or selection is in a collapsed section, just hide the marker\n        if (this._selectedRangeIndex < 0 || this._collapsedFiles[this._getSelectedRange().textRange.document.file.fullPath]) {\n            this.$selectedMarker.hide();\n            return;\n        }\n\n        var $rangeItem = this._ranges[this._selectedRangeIndex].$listItem;\n\n        // scroll the selection to the rangeItem\n        var containerHeight = this.$relatedContainer.height(),\n            itemTop = $rangeItem.position().top,\n            scrollTop = this.$relatedContainer.scrollTop();\n\n        this.$selectedMarker\n            .show()\n            .toggleClass("animate", animate)\n            .css("top", itemTop)\n            .height($rangeItem.outerHeight());\n\n        if (containerHeight <= 0) {\n            return;\n        }\n\n        var paddingTop = _parseStyleSize($rangeItem.parent(), "paddingTop");\n\n        if ((itemTop - paddingTop) < scrollTop) {\n            this.$relatedContainer.scrollTop(itemTop - paddingTop);\n        } else {\n            var itemBottom = itemTop + $rangeItem.height() + _parseStyleSize($rangeItem.parent(), "paddingBottom");\n\n            if (itemBottom > (scrollTop + containerHeight)) {\n                this.$relatedContainer.scrollTop(itemBottom - containerHeight);\n            }\n        }\n    };\n\n    /**\n     * Called any time inline is closed, whether manually (via closeThisInline()) or automatically\n     */\n    MultiRangeInlineEditor.prototype.onClosed = function () {\n        // Superclass onClosed() destroys editor\n        MultiRangeInlineEditor.prototype.parentClass.onClosed.apply(this, arguments);\n\n        // de-ref all the Documents in the search results\n        this._ranges.forEach(function (searchResult) {\n            searchResult.textRange.dispose();\n        });\n\n        // Remove event handlers\n        this.$htmlContent.off(".MultiRangeInlineEditor");\n        this.$editorHolder.off(".MultiRangeInlineEditor");\n    };\n\n    /**\n     * Prevent clicks in the dead areas of the inlineWidget from changing the focus and insertion point in the editor.\n     * This is done by detecting clicks in the inlineWidget that are not inside the editor or the range list and\n     * restoring focus and the insertion point.\n     */\n    MultiRangeInlineEditor.prototype._onClick = function (event) {\n        if (!this.editor) {\n            return;\n        }\n\n        var childEditor = this.editor,\n            editorRoot = childEditor.getRootElement(),\n            editorPos = $(editorRoot).offset();\n\n        function containsClick($parent) {\n            return $parent.find(event.target).length > 0 || $parent[0] === event.target;\n        }\n\n        // Ignore clicks in editor and clicks on filename link\n        // Check clicks on filename link in the context of the current inline widget.\n        if (!containsClick($(editorRoot)) && !containsClick($(".filename", this.$htmlContent))) {\n            childEditor.focus();\n            // Only set the cursor if the click isn\'t in the range list.\n            if (!containsClick(this.$relatedContainer)) {\n                if (event.pageY < editorPos.top) {\n                    childEditor.setCursorPos(0, 0);\n                } else if (event.pageY > editorPos.top + $(editorRoot).height()) {\n                    var lastLine = childEditor.getLastVisibleLine();\n                    childEditor.setCursorPos(lastLine, childEditor.document.getLine(lastLine).length);\n                }\n            }\n        }\n    };\n\n    /**\n     * Based on the position of the cursor in the inline editor, determine whether we need to change the\n     * vertical scroll position of the host editor to ensure that the cursor is visible.\n     */\n    MultiRangeInlineEditor.prototype._ensureCursorVisible = function () {\n        if (!this.editor) {\n            return;\n        }\n\n        if ($.contains(this.editor.getRootElement(), window.document.activeElement)) {\n            var hostScrollPos = this.hostEditor.getScrollPos(),\n                cursorCoords = this.editor._codeMirror.cursorCoords();\n\n            // Vertically, we want to set the scroll position relative to the overall host editor, not\n            // the lineSpace of the widget itself. We don\'t want to modify the horizontal scroll position.\n            var scrollerTop = this.hostEditor.getVirtualScrollAreaTop();\n            this.hostEditor._codeMirror.scrollIntoView({\n                left: hostScrollPos.x,\n                top: cursorCoords.top - scrollerTop,\n                right: hostScrollPos.x,\n                bottom: cursorCoords.bottom - scrollerTop\n            });\n        }\n    };\n\n    /**\n     * Overwrite InlineTextEditor\'s _onLostContent to do nothing if the document\'s file is deleted\n     * (deletes are handled via TextRange\'s lostSync).\n     */\n    MultiRangeInlineEditor.prototype._onLostContent = function (event, cause) {\n        // Ignore when the editor\'s content got lost due to a deleted file\n        if (cause && cause.type === "deleted") { return; }\n        // Else yield to the parent\'s implementation\n        return MultiRangeInlineEditor.prototype.parentClass._onLostContent.apply(this, arguments);\n    };\n\n    /**\n     * @return {Array.<SearchResultItem>}\n     */\n    MultiRangeInlineEditor.prototype._getRanges = function () {\n        return this._ranges;\n    };\n\n    /**\n     * @return {!SearchResultItem}\n     */\n    MultiRangeInlineEditor.prototype._getSelectedRange = function () {\n        return this._selectedRangeIndex >= 0 ? this._ranges[this._selectedRangeIndex] : null;\n    };\n\n    /**\n     * Move the selection up or down, skipping any collapsed groups. If selection is currently IN a\n     * collapsed group, we expand it first so that other items in the same file are eligible.\n     */\n    MultiRangeInlineEditor.prototype._selectNextPrev = function (dir) {\n        if (this._selectedRangeIndex === -1) {\n            return;\n        }\n\n        // Traverse up or down the list until we find an item eligible for selection\n        var origDoc = this._ranges[this._selectedRangeIndex].textRange.document,\n            i;\n        for (i = this._selectedRangeIndex + dir; i >= 0 && i < this._ranges.length; i += dir) {\n            var doc = this._ranges[i].textRange.document;\n\n            // If first candidate is in same collapsed group as current selection, expand it\n            if (doc === origDoc && this._collapsedFiles[doc.file.fullPath]) {\n                this._toggleSection(doc.file.fullPath);\n            }\n\n            // Only consider expanded groups now\n            if (!this._collapsedFiles[doc.file.fullPath]) {\n                this.setSelectedIndex(i);\n                return;\n            }\n        }\n        // If we got here, we couldn\'t find any eligible item - so do nothing. Happens if selection is\n        // already the first/last item, or if all remaining items above/below the selection are collapsed.\n    };\n\n    /**\n     * Display the next range in the range list\n     */\n    MultiRangeInlineEditor.prototype._selectNextRange = function () {\n        this._selectNextPrev(1);\n    };\n\n    /**\n     *  Display the previous range in the range list\n     */\n    MultiRangeInlineEditor.prototype._selectPreviousRange = function () {\n        this._selectNextPrev(-1);\n    };\n\n    /**\n     * Sizes the inline widget height to be the maximum between the range list height and the editor height\n     * @override\n     */\n    MultiRangeInlineEditor.prototype.sizeInlineWidgetToContents = function () {\n        // Size the code mirror editors height to the editor content\n        MultiRangeInlineEditor.prototype.parentClass.sizeInlineWidgetToContents.call(this);\n\n        // Size the widget height to the max between the editor/message content and the related ranges list\n        var widgetHeight = Math.max(this.$related.height(),\n                                    this.$header.outerHeight() +\n                                        (this._selectedRangeIndex === -1 ? this.$messageDiv.outerHeight() : this.$editorHolder.height()));\n\n        if (widgetHeight) {\n            this.hostEditor.setInlineWidgetHeight(this, widgetHeight, false);\n        }\n    };\n\n    /**\n     * Called when the editor containing the inline is made visible. Updates UI based on\n     * state that might have changed while the editor was hidden.\n     */\n    MultiRangeInlineEditor.prototype.onParentShown = function () {\n        MultiRangeInlineEditor.prototype.parentClass.onParentShown.apply(this, arguments);\n        this._updateSelectedMarker(false);\n    };\n\n    /**\n     * Refreshes the height of the inline editor and all child editors.\n     * @override\n     */\n    MultiRangeInlineEditor.prototype.refresh = function () {\n        MultiRangeInlineEditor.prototype.parentClass.refresh.apply(this, arguments);\n        this.sizeInlineWidgetToContents();\n        if (this.editor) {\n            this.editor.refresh();\n        }\n    };\n\n    /**\n     * Returns the currently focused MultiRangeInlineEditor.\n     * @return {MultiRangeInlineEditor}\n     */\n    function getFocusedMultiRangeInlineEditor() {\n        var focusedWidget = EditorManager.getFocusedInlineWidget();\n        if (focusedWidget instanceof MultiRangeInlineEditor) {\n            return focusedWidget;\n        } else {\n            return null;\n        }\n    }\n\n    /**\n     * Previous Range command handler\n     */\n    function _previousRange() {\n        var focusedMultiRangeInlineEditor = getFocusedMultiRangeInlineEditor();\n        if (focusedMultiRangeInlineEditor) {\n            focusedMultiRangeInlineEditor._selectPreviousRange();\n        }\n    }\n\n    /**\n     * Next Range command handler\n     */\n    function _nextRange() {\n        var focusedMultiRangeInlineEditor = getFocusedMultiRangeInlineEditor();\n        if (focusedMultiRangeInlineEditor) {\n            focusedMultiRangeInlineEditor._selectNextRange();\n        }\n    }\n\n    _prevMatchCmd = CommandManager.register(Strings.CMD_QUICK_EDIT_PREV_MATCH, Commands.QUICK_EDIT_PREV_MATCH, _previousRange);\n    _prevMatchCmd.setEnabled(false);\n    _nextMatchCmd = CommandManager.register(Strings.CMD_QUICK_EDIT_NEXT_MATCH, Commands.QUICK_EDIT_NEXT_MATCH, _nextRange);\n    _nextMatchCmd.setEnabled(false);\n\n    exports.MultiRangeInlineEditor = MultiRangeInlineEditor;\n    exports.getFocusedMultiRangeInlineEditor = getFocusedMultiRangeInlineEditor;\n});\n\n//# sourceURL=/editor/MultiRangeInlineEditor.js'),
eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'editor/CSSInlineEditor\',[\'require\',\'exports\',\'module\',\'language/CSSUtils\',\'widgets/DropdownButton\',\'command/CommandManager\',\'command/Commands\',\'document/DocumentManager\',\'editor/EditorManager\',\'editor/Editor\',\'language/LanguageManager\',\'project/ProjectManager\',\'file/FileUtils\',\'language/HTMLUtils\',\'editor/MultiRangeInlineEditor\',\'strings\',\'utils/ViewUtils\',\'thirdparty/lodash\'],function (require, exports, module) {\n    "use strict";\n\n    // Load dependent modules\n    var CSSUtils                = require("language/CSSUtils"),\n        DropdownButton          = require("widgets/DropdownButton").DropdownButton,\n        CommandManager          = require("command/CommandManager"),\n        Commands                = require("command/Commands"),\n        DocumentManager         = require("document/DocumentManager"),\n        EditorManager           = require("editor/EditorManager"),\n        Editor                  = require("editor/Editor").Editor,\n        LanguageManager         = require("language/LanguageManager"),\n        ProjectManager          = require("project/ProjectManager"),\n        FileUtils               = require("file/FileUtils"),\n        HTMLUtils               = require("language/HTMLUtils"),\n        MultiRangeInlineEditor  = require("editor/MultiRangeInlineEditor"),\n        Strings                 = require("strings"),\n        ViewUtils               = require("utils/ViewUtils"),\n        _                       = require("thirdparty/lodash");\n\n    var _newRuleCmd,\n        _newRuleHandlers = [];\n\n    function _getCSSFilesInProject() {\n        return ProjectManager.getAllFiles(ProjectManager.getLanguageFilter(["css", "less", "scss"]));\n    }\n\n    /**\n     * Given a position in an HTML editor, returns the relevant selector for the attribute/tag\n     * surrounding that position, or "" if none is found.\n     * @param {!Editor} editor\n     * @param {!{line:Number, ch:Number}} pos\n     * @return {selectorName: {string}, reason: {string}}\n     * @private\n     */\n    function _getSelectorName(editor, pos) {\n        var tagInfo = HTMLUtils.getTagInfo(editor, pos),\n            selectorName = "",\n            reason;\n\n        if (tagInfo.position.tokenType === HTMLUtils.TAG_NAME || tagInfo.position.tokenType === HTMLUtils.CLOSING_TAG) {\n            // Type selector\n            selectorName = tagInfo.tagName;\n        } else if (tagInfo.position.tokenType === HTMLUtils.ATTR_NAME ||\n                   tagInfo.position.tokenType === HTMLUtils.ATTR_VALUE) {\n            if (tagInfo.attr.name === "class") {\n                // Class selector. We only look for the class name\n                // that includes the insertion point. For example, if\n                // the attribute is:\n                //   class="error-dialog modal hide"\n                // and the insertion point is inside "modal", we want ".modal"\n                var attributeValue = tagInfo.attr.value;\n                if (/\\S/.test(attributeValue)) {\n                    var startIndex = attributeValue.substr(0, tagInfo.position.offset).lastIndexOf(" ");\n                    var endIndex = attributeValue.indexOf(" ", tagInfo.position.offset);\n                    selectorName = "." +\n                        attributeValue.substring(\n                            startIndex === -1 ? 0 : startIndex + 1,\n                            endIndex === -1 ? attributeValue.length : endIndex\n                        );\n\n                    // If the insertion point is surrounded by space between two classnames, selectorName is "."\n                    if (selectorName === ".") {\n                        selectorName = "";\n                        reason = Strings.ERROR_CSSQUICKEDIT_BETWEENCLASSES;\n                    }\n                } else {\n                    reason = Strings.ERROR_CSSQUICKEDIT_CLASSNOTFOUND;\n                }\n            } else if (tagInfo.attr.name === "id") {\n                // ID selector\n                var trimmedVal = tagInfo.attr.value.trim();\n                if (trimmedVal) {\n                    selectorName = "#" + trimmedVal;\n                } else {\n                    reason = Strings.ERROR_CSSQUICKEDIT_IDNOTFOUND;\n                }\n            } else {\n                reason = Strings.ERROR_CSSQUICKEDIT_UNSUPPORTEDATTR;\n            }\n        }\n\n        return {\n            selectorName: selectorName,\n            reason:       reason\n        };\n    }\n\n    /**\n     * @private\n     * Add a new rule for the given selector to the given stylesheet, then add the rule to the\n     * given inline editor.\n     * @param {string} selectorName The selector to create a rule for.\n     * @param {MultiRangeInlineEditor} inlineEditor The inline editor to display the new rule in.\n     * @param {string} path The path to the stylesheet file.\n     */\n    function _addRule(selectorName, inlineEditor, path) {\n        DocumentManager.getDocumentForPath(path).done(function (styleDoc) {\n            var newRuleInfo = CSSUtils.addRuleToDocument(styleDoc, selectorName, Editor.getUseTabChar(path), Editor.getSpaceUnits(path));\n            inlineEditor.addAndSelectRange(selectorName, styleDoc, newRuleInfo.range.from.line, newRuleInfo.range.to.line);\n            inlineEditor.editor.setCursorPos(newRuleInfo.pos.line, newRuleInfo.pos.ch);\n        });\n    }\n\n    /**\n     * @private\n     * Handle the "new rule" menu item by dispatching it to the handler for the focused inline editor.\n     */\n    function _handleNewRule() {\n        var inlineEditor = MultiRangeInlineEditor.getFocusedMultiRangeInlineEditor();\n        if (inlineEditor) {\n            var handlerInfo = _.find(_newRuleHandlers, function (entry) {\n                return entry.inlineEditor === inlineEditor;\n            });\n            if (handlerInfo) {\n                handlerInfo.handler();\n            }\n        }\n    }\n\n    /** Item renderer for stylesheet-picker dropdown */\n    function _stylesheetListRenderer(item) {\n        var html = "<span class=\'stylesheet-name\'>" + _.escape(item.name);\n        if (item.subDirStr) {\n            html += "<span class=\'stylesheet-dir\'> — " + _.escape(item.subDirStr) + "</span>";\n        }\n        html += "</span>";\n        return html;\n    }\n\n    /**\n     * This function is registered with EditManager as an inline editor provider. It creates a CSSInlineEditor\n     * when cursor is on an HTML tag name, class attribute, or id attribute, find associated\n     * CSS rules and show (one/all of them) in an inline editor.\n     *\n     * @param {!Editor} editor\n     * @param {!{line:Number, ch:Number}} pos\n     * @return {?$.Promise} synchronously resolved with an InlineWidget; or error\n     *         {string} if pos is in tag but not in tag name, class attr, or id attr; or null if the\n     *         selection isn\'t even close to a context where we could provide anything.\n     */\n    function htmlToCSSProvider(hostEditor, pos) {\n\n        // Only provide a CSS editor when cursor is in HTML content\n        if (hostEditor.getLanguageForSelection().getId() !== "html") {\n            return null;\n        }\n\n        // Only provide CSS editor if the selection is within a single line\n        var sel = hostEditor.getSelection();\n        if (sel.start.line !== sel.end.line) {\n            return null;\n        }\n\n        // Always use the selection start for determining selector name. The pos\n        // parameter is usually the selection end.\n        var selectorResult = _getSelectorName(hostEditor, sel.start);\n        if (selectorResult.selectorName === "") {\n            return selectorResult.reason || null;\n        }\n\n        var selectorName = selectorResult.selectorName;\n\n        var result = new $.Deferred(),\n            cssInlineEditor,\n            cssFileInfos = [],\n            newRuleButton;\n\n        /**\n         * @private\n         * Callback when item from dropdown list is selected\n         */\n        function _onDropdownSelect(event, fileInfo) {\n            _addRule(selectorName, cssInlineEditor, fileInfo.fullPath);\n        }\n\n        /**\n         * @private\n         * Checks to see if there are any stylesheets in the project, and returns the appropriate\n         * "no rules"/"no stylesheets" message accordingly.\n         * @return {$.Promise} a promise that is resolved with the message to show. Never rejected.\n         */\n        function _getNoRulesMsg() {\n            var result = new $.Deferred();\n            _getCSSFilesInProject().done(function (fileInfos) {\n                result.resolve(fileInfos.length ? Strings.CSS_QUICK_EDIT_NO_MATCHES : Strings.CSS_QUICK_EDIT_NO_STYLESHEETS);\n            });\n            return result;\n        }\n\n        /**\n         * @private\n         * Update the enablement of associated menu commands.\n         */\n        function _updateCommands() {\n            _newRuleCmd.setEnabled(cssInlineEditor.hasFocus() && !newRuleButton.$button.hasClass("disabled"));\n        }\n\n        /**\n         * @private\n         * Create a new rule on click.\n         */\n        function _handleNewRuleClick(e) {\n            if (!newRuleButton.$button.hasClass("disabled")) {\n                if (cssFileInfos.length === 1) {\n                    // Just go ahead and create the rule.\n                    _addRule(selectorName, cssInlineEditor, cssFileInfos[0].fullPath);\n                } else {\n                    // Although not attached to button click in \'dropdown mode\', this handler can still be\n                    // invoked via the command shortcut. Just toggle dropdown open/closed in that case.\n                    newRuleButton.toggleDropdown();\n                }\n            }\n        }\n\n        /**\n         * @private\n         * Sort files with LESS/SCSS above CSS, and then within each grouping sort by path & filename\n         * (the same order we use for Find in Files)\n         * @param {!File} a, b\n         * @return {number}\n         */\n        function _fileComparator(a, b) {\n            var aIsCSS = LanguageManager.getLanguageForPath(a.fullPath).getId() === "css",\n                bIsCSS = LanguageManager.getLanguageForPath(b.fullPath).getId() === "css";\n            if (aIsCSS && !bIsCSS) {\n                return 1;\n            } else if (!aIsCSS && bIsCSS) {\n                return -1;\n            } else {\n                return FileUtils.comparePaths(a.fullPath, b.fullPath);\n            }\n        }\n\n        /**\n         * @private\n         * Prepare file list for display\n         */\n        function _prepFileList(files) {\n            // First, sort list (the same ordering we use for the results list)\n            files.sort(_fileComparator);\n\n            // Find any files that share the same name (with different path)\n            var fileNames = {};\n            files.forEach(function (file) {\n                if (!fileNames[file.name]) {\n                    fileNames[file.name] = [];\n                }\n                fileNames[file.name].push(file);\n            });\n\n            // For any duplicate filenames, set subDirStr to a path snippet the helps\n            // the user distinguish each file in the list.\n            _.forEach(fileNames, function (files) {\n                if (files.length > 1) {\n                    var displayPaths = ViewUtils.getDirNamesForDuplicateFiles(files);\n                    files.forEach(function (file, i) {\n                        file.subDirStr = displayPaths[i];\n                    });\n                }\n            });\n\n            return files;\n        }\n\n        function _onHostEditorScroll() {\n            newRuleButton.closeDropdown();\n        }\n\n        CSSUtils.findMatchingRules(selectorName, hostEditor.document)\n            .done(function (rules) {\n                var inlineEditorDeferred = new $.Deferred();\n                cssInlineEditor = new MultiRangeInlineEditor.MultiRangeInlineEditor(CSSUtils.consolidateRules(rules),\n                                                                                    _getNoRulesMsg, CSSUtils.getRangeSelectors,\n                                                                                    _fileComparator);\n                cssInlineEditor.load(hostEditor);\n                cssInlineEditor.$htmlContent\n                    .on("focusin", _updateCommands)\n                    .on("focusout", _updateCommands);\n                cssInlineEditor.on("add", function () {\n                    inlineEditorDeferred.resolve();\n                });\n                cssInlineEditor.on("close", function () {\n                    newRuleButton.closeDropdown();\n                    hostEditor.off("scroll", _onHostEditorScroll);\n                });\n\n                var $header = $(".inline-editor-header", cssInlineEditor.$htmlContent);\n                newRuleButton = new DropdownButton(Strings.BUTTON_NEW_RULE, [], _stylesheetListRenderer); // actual item list populated later, below\n                newRuleButton.$button.addClass("disabled");  // disabled until list is known\n                newRuleButton.$button.addClass("btn-mini stylesheet-button");\n                $header.append(newRuleButton.$button);\n                _newRuleHandlers.push({inlineEditor: cssInlineEditor, handler: _handleNewRuleClick});\n\n                hostEditor.on("scroll", _onHostEditorScroll);\n\n                result.resolve(cssInlineEditor);\n\n\n                // Now that dialog has been built, collect list of stylesheets\n                var stylesheetsPromise = _getCSSFilesInProject();\n\n                // After both the stylesheets are loaded and the inline editor has been added to the DOM,\n                // update the UI accordingly. (Those can happen in either order, so we need to wait for both.)\n                // Note that the stylesheetsPromise needs to be passed first in order for the fileInfos to be\n                // properly passed to the handler, since $.when() passes the results in order of the argument\n                // list.\n                $.when(stylesheetsPromise, inlineEditorDeferred.promise())\n                    .done(function (fileInfos) {\n                        cssFileInfos = _prepFileList(fileInfos);\n\n                        // "New Rule" button is disabled by default and gets enabled\n                        // here if there are any stylesheets in project\n                        if (cssFileInfos.length > 0) {\n                            newRuleButton.$button.removeClass("disabled");\n                            if (!rules.length) {\n                                // Force focus to the button so the user can create a new rule from the keyboard.\n                                newRuleButton.$button.focus();\n                            }\n\n                            if (cssFileInfos.length === 1) {\n                                // Make it look & feel like a plain button in this case\n                                newRuleButton.$button.removeClass("btn-dropdown");\n                                newRuleButton.$button.on("click", _handleNewRuleClick);\n                            } else {\n                                // Fill out remaining dropdown attributes otherwise\n                                newRuleButton.items = cssFileInfos;\n                                newRuleButton.on("select", _onDropdownSelect);\n                            }\n                        }\n\n                        _updateCommands();\n                    });\n            })\n            .fail(function (error) {\n                console.warn("Error in findMatchingRules()", error);\n                result.reject();\n            });\n\n        return result.promise();\n    }\n\n    EditorManager.registerInlineEditProvider(htmlToCSSProvider);\n\n    _newRuleCmd = CommandManager.register(Strings.CMD_CSS_QUICK_EDIT_NEW_RULE, Commands.CSS_QUICK_EDIT_NEW_RULE, _handleNewRule);\n    _newRuleCmd.setEnabled(false);\n});\n\n//# sourceURL=/editor/CSSInlineEditor.js'),eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Manages the workingSetList sort methods.\n */\ndefine(\'project/WorkingSetSort\',[\'require\',\'exports\',\'module\',\'command/Commands\',\'command/CommandManager\',\'view/MainViewManager\',\'preferences/PreferencesManager\',\'file/FileUtils\',\'utils/AppInit\',\'strings\',\'thirdparty/lodash\'],function (require, exports, module) {\n    "use strict";\n\n    var Commands                = require("command/Commands"),\n        CommandManager          = require("command/CommandManager"),\n        MainViewManager         = require("view/MainViewManager"),\n        PreferencesManager      = require("preferences/PreferencesManager"),\n        FileUtils               = require("file/FileUtils"),\n        AppInit                 = require("utils/AppInit"),\n        Strings                 = require("strings"),\n        _                       = require("thirdparty/lodash");\n\n    /**\n     * List of sorting method objects\n     * @private\n     * @type {Array.<Sort>}\n     */\n    var _sorts = [];\n\n    /**\n     * Denotes the current sort method object\n     * @private\n     * @type {Sort}\n     */\n    var _currentSort = null;\n\n    /**\n     * Denotes if automatic sorting is enabled or not\n     * @private\n     * @type {boolean}\n     */\n    var _automaticSort = false;\n\n\n    /**\n     * Maps Legacy sort method names  to new sort method names\n     * @private\n     * @type {object.<string: string>} oldname: newname\n     */\n    var _sortPrefConversionMap = {\n        "view.sortWorkingSetByAdded" : "cmd.sortWorkingSetByAdded",\n        "view.sortWorkingSetByName"  : "cmd.sortWorkingSetByName",\n        "view.sortWorkingSetByType"  : "cmd.sortWorkingSetByType"\n    };\n\n    /**\n     * Events which the sort command will listen for to trigger a sort\n     * @constant {string}\n     * @private\n     */\n    var _SORT_EVENT_NAMES = "workingSetAdd workingSetAddList";\n\n    /**\n     * Preference name\n     * @constant {string}\n     * @private\n     */\n    var _WORKING_SET_SORT_PREF = "workingSetSortMethod";\n\n    /**\n     * Legacy preference name\n     * @constant {string}\n     * @private\n     */\n    var _LEGACY_SORT_PREF = "currentSort";\n\n    /**\n     * Retrieves a Sort object by id\n     * @param {(string|Command)} command A command ID or a command object.\n     * @return {?Sort}\n     */\n    function get(command) {\n        var commandID;\n        if (!command) {\n            console.error("Attempting to get a Sort method with a missing required parameter: command");\n            return;\n        }\n\n        if (typeof command === "string") {\n            commandID = command;\n        } else {\n            commandID = command.getID();\n        }\n        return _sorts[commandID];\n    }\n\n    /**\n     * Converts the old brackets working set sort preference into the modern paneview sort preference\n     * @private\n     * @param {!string} sortMethod - sort preference to convert\n     * @return {?string} new sort preference string or undefined if an sortMethod is not found\n     */\n    function _convertSortPref(sortMethod) {\n        if (!sortMethod) {\n            return null;\n        }\n\n        if (_sortPrefConversionMap.hasOwnProperty(sortMethod)) {\n            sortMethod = _sortPrefConversionMap[sortMethod];\n            PreferencesManager.setViewState(_WORKING_SET_SORT_PREF, sortMethod);\n        } else {\n            sortMethod = null;\n        }\n\n        return sortMethod;\n    }\n\n    /**\n     * @return {boolean} Enabled state of Automatic Sort.\n     */\n    function getAutomatic() {\n        return _automaticSort;\n    }\n\n    /**\n     * Removes the sort listeners.\n     * @private\n     */\n    function _removeListeners() {\n        MainViewManager.off(".sort");\n    }\n\n    /**\n     * Enables/Disables Automatic Sort depending on the value.\n     * @param {boolean} enable True to enable, false to disable.\n     */\n    function setAutomatic(enable) {\n        _automaticSort = enable;\n        PreferencesManager.setViewState("automaticSort", _automaticSort);\n        CommandManager.get(Commands.CMD_WORKING_SORT_TOGGLE_AUTO).setChecked(_automaticSort);\n        _currentSort.setChecked(_automaticSort);\n\n        if (_automaticSort) {\n            _currentSort.sort();\n        } else {\n            _removeListeners();\n        }\n    }\n\n    /**\n     * Adds the current sort MainViewManager listeners.\n     * @private\n     */\n    function _addListeners() {\n        if (_automaticSort && _currentSort && _currentSort.getEvents()) {\n            MainViewManager\n                .on(_currentSort.getEvents(), function () {\n                    _currentSort.sort();\n                })\n                .on("_workingSetDisableAutoSort.sort", function () {\n                    setAutomatic(false);\n                });\n        }\n    }\n\n\n    /**\n     * Sets the current sort method and checks it on the context menu.\n     * @private\n     * @param {Sort} newSort\n     */\n    function _setCurrentSort(newSort) {\n        if (_currentSort !== newSort) {\n            if (_currentSort !== null) {\n                _currentSort.setChecked(false);\n            }\n            if (_automaticSort) {\n                newSort.setChecked(true);\n            }\n\n            CommandManager.get(Commands.CMD_WORKING_SORT_TOGGLE_AUTO).setEnabled(!!newSort.getEvents());\n            PreferencesManager.setViewState(_WORKING_SET_SORT_PREF, newSort.getCommandID());\n            _currentSort = newSort;\n        }\n    }\n\n\n    /**\n     * @constructor\n     * @param {string} commandID A valid command identifier.\n     * @param {function(File, File): number} compareFn A valid sort\n     *      function (see register for a longer explanation).\n     * @param {string} events Space-separated WorkingSetSort possible events\n     *      ending with ".sort".\n     */\n    function Sort(commandID, compareFn, events, automaticFn) {\n        this._commandID = commandID;\n        this._compareFn = compareFn;\n        this._events    = events;\n    }\n\n    /**\n     * The Command ID\n     * @return {string}\n     */\n    Sort.prototype.getCommandID = function () {\n        return this._commandID;\n    };\n\n    /**\n     * The compare function\n     * @return {function(File, File): number}\n     */\n    Sort.prototype.getCompareFn = function () {\n        return this._compareFn;\n    };\n\n    /**\n     * Gets the event that this sort object is listening to\n     * @return {string}\n     */\n    Sort.prototype.getEvents = function () {\n        return this._events;\n    };\n\n    /**\n     * Checks/Unchecks the command which will show a check in the menu\n     * @param {boolean} value\n     */\n    Sort.prototype.setChecked = function (value) {\n        var command = CommandManager.get(this._commandID);\n        if (command) {\n            command.setChecked(value);\n        }\n    };\n\n    /**\n     * Performs the sort and makes it the current sort method.\n     */\n    Sort.prototype.execute = function () {\n        _setCurrentSort(this);\n        this.sort();\n    };\n\n    /**\n     * Only performs the working set sort if this is the current sort.\n     */\n    Sort.prototype.sort = function () {\n        if (_currentSort === this) {\n            _removeListeners();\n            MainViewManager._sortWorkingSet(MainViewManager.ALL_PANES, this._compareFn);\n            _addListeners();\n        }\n    };\n\n\n    /**\n     * Registers a working set sort method.\n     * @param {(string|Command)} command A command ID or a command object\n     * @param {function(File, File): number} compareFn The function that\n     *      will be used inside JavaScript\'s sort function. The return a value\n     *      should be >0 (sort a to a lower index than b), =0 (leaves a and b\n     *      unchanged with respect to each other) or <0 (sort b to a lower index\n     *      than a) and must always returns the same value when given a specific\n     *      pair of elements a and b as its two arguments. Documentation at:\n     *      https://developer.mozilla.org/en-US/docs/JavaScript/Reference/Global_Objects/Array/sort\n     * @param {?string} events One or more space-separated event types that\n     *      DocumentManger uses. Each event passed will trigger the automatic\n     *      sort. If no events are passed, the automatic sort will be disabled\n     *      for that sort method.\n     * @return {?Sort}\n     */\n    function register(command, compareFn, events) {\n        var commandID = "";\n\n        if (!command || !compareFn) {\n            console.log("Attempting to register a Sort method with a missing required parameter: command or compare function");\n            return;\n        }\n        if (typeof command === "string") {\n            commandID = command;\n        } else {\n            commandID = command.getID();\n        }\n\n        if (_sorts[commandID]) {\n            console.log("Attempting to register an already-registered Sort method: " + command);\n            return;\n        }\n\n        // Adds ".sort" to the end of each event to make them specific for the automatic sort.\n        if (events) {\n            events = events.split(" ");\n            events.forEach(function (event, index) {\n                events[index] = events[index].trim() + ".sort";\n            });\n            events = events.join(" ");\n        }\n\n        var sort = new Sort(commandID, compareFn, events);\n        _sorts[commandID] = sort;\n        return sort;\n    }\n\n\n    /**\n     * Command Handler for CMD_WORKING_SORT_TOGGLE_AUTO\n     * @private\n     */\n    function _handleToggleAutoSort() {\n        setAutomatic(!getAutomatic());\n    }\n\n    /**\n     * Command Handler for CMD_WORKINGSET_SORT_BY_*\n     * @private\n     * @param {!string} commandId identifies the sort method to use\n     */\n    function _handleSort(commandId) {\n        get(commandId).execute();\n    }\n\n    /**\n     * Register Sort Methods\n     */\n    register(\n        Commands.CMD_WORKINGSET_SORT_BY_ADDED,\n        function (paneId, file1, file2) {\n            var index1 = MainViewManager.findInWorkingSetByAddedOrder(paneId, file1.fullPath),\n                index2 = MainViewManager.findInWorkingSetByAddedOrder(paneId, file2.fullPath);\n\n            return index1 - index2;\n        },\n        _SORT_EVENT_NAMES\n    );\n    register(\n        Commands.CMD_WORKINGSET_SORT_BY_NAME,\n        function (paneId, file1, file2) {\n            return FileUtils.compareFilenames(file1.name, file2.name, false);\n        },\n        _SORT_EVENT_NAMES\n    );\n    register(\n        Commands.CMD_WORKINGSET_SORT_BY_TYPE,\n        function (paneId, file1, file2) {\n            return FileUtils.compareFilenames(file1.name, file2.name, true);\n        },\n        _SORT_EVENT_NAMES\n    );\n\n\n    /**\n     * Register Command Handlers\n     */\n    CommandManager.register(Strings.CMD_WORKINGSET_SORT_BY_ADDED, Commands.CMD_WORKINGSET_SORT_BY_ADDED, _.partial(_handleSort, Commands.CMD_WORKINGSET_SORT_BY_ADDED));\n    CommandManager.register(Strings.CMD_WORKINGSET_SORT_BY_NAME,  Commands.CMD_WORKINGSET_SORT_BY_NAME,  _.partial(_handleSort, Commands.CMD_WORKINGSET_SORT_BY_NAME));\n    CommandManager.register(Strings.CMD_WORKINGSET_SORT_BY_TYPE,  Commands.CMD_WORKINGSET_SORT_BY_TYPE,  _.partial(_handleSort, Commands.CMD_WORKINGSET_SORT_BY_TYPE));\n    CommandManager.register(Strings.CMD_WORKING_SORT_TOGGLE_AUTO,   Commands.CMD_WORKING_SORT_TOGGLE_AUTO,    _handleToggleAutoSort);\n\n\n    /**\n     * Initialize default values for sorting preferences\n     */\n    PreferencesManager.stateManager.definePreference("automaticSort", "boolean", false);\n\n    /**\n     * Define a default sort method that\'s empty so that we\n     *   just convert and use the legacy sort method\n     */\n    PreferencesManager.stateManager.definePreference(_WORKING_SET_SORT_PREF, "string", "");\n\n    /*\n     * initializes global sort method from preference settings or the default\n     */\n    function initSortMethod() {\n        var sortMethod = PreferencesManager.getViewState(_WORKING_SET_SORT_PREF);\n\n        if (!sortMethod) {\n            sortMethod = _convertSortPref(PreferencesManager.getViewState(_LEGACY_SORT_PREF));\n        }\n\n        if (!sortMethod) {\n            sortMethod = Commands.CMD_WORKINGSET_SORT_BY_ADDED;\n        }\n        return sortMethod;\n    }\n\n    /**\n     * Initialize items dependent on extensions/workingSetList\n     */\n    AppInit.appReady(function () {\n        var sortMethod = initSortMethod(),\n            curSort    = get(sortMethod),\n            autoSort = PreferencesManager.getViewState("automaticSort");\n\n        if (curSort) {\n            _setCurrentSort(curSort);\n        }\n        if (autoSort) {\n            setAutomatic(autoSort);\n        }\n        if (curSort && autoSort) {\n            curSort.sort();\n        }\n    });\n\n    // Public API\n    exports.register        = register;\n    exports.get             = get;\n    exports.getAutomatic    = getAutomatic;\n    exports.setAutomatic    = setAutomatic;\n});\n\n//# sourceURL=/project/WorkingSetSort.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * A "modal bar" component. This is a lightweight replacement for modal dialogs that\n * appears at the top of the editor area for operations like Find and Quick Open.\n */\ndefine(\'widgets/ModalBar\',[\'require\',\'exports\',\'module\',\'view/MainViewManager\',\'utils/EventDispatcher\',\'utils/KeyEvent\',\'utils/AnimationUtils\',\'view/WorkspaceManager\'],function (require, exports, module) {\n    "use strict";\n\n    var MainViewManager  = require("view/MainViewManager"),\n        EventDispatcher  = require("utils/EventDispatcher"),\n        KeyEvent         = require("utils/KeyEvent"),\n        AnimationUtils   = require("utils/AnimationUtils"),\n        WorkspaceManager = require("view/WorkspaceManager");\n\n    /**\n     * Creates a modal bar whose contents are the given template.\n     *\n     * Dispatches one event:\n     * - close - When the bar is closed, either via close() or via autoClose. After this event, the\n     *     bar may remain visible and in the DOM while its closing animation is playing. However,\n     *     by the time "close" is fired, the bar has been "popped out" of the layout and the\n     *     editor scroll position has already been restored.\n     *     Second argument is the reason for closing (one of ModalBar.CLOSE_*).\n     *     Third argument is the Promise that close() will be returning.\n     *\n     * @constructor\n     *\n     * @param {string} template The HTML contents of the modal bar.\n     * @param {boolean} autoClose If true, then close the dialog if the user hits Esc\n     *      or if the bar loses focus.\n     * @param {boolean} animate If true (the default), animate the dialog closed, otherwise\n     *      close it immediately.\n     */\n    function ModalBar(template, autoClose, animate) {\n        if (animate === undefined) {\n            animate = true;\n        }\n\n        this._handleKeydown = this._handleKeydown.bind(this);\n        this._handleFocusChange = this._handleFocusChange.bind(this);\n\n        this._$root = $("<div class=\'modal-bar\'/>")\n            .html(template)\n            .insertBefore("#editor-holder");\n\n        if (animate) {\n            this._$root.addClass("popout offscreen");\n            // Forcing the renderer to do a layout, which will cause it to apply the transform for the "offscreen"\n            // class, so it will animate when you remove the class.\n            window.getComputedStyle(this._$root.get(0)).getPropertyValue("top");\n            this._$root.removeClass("popout offscreen");\n        }\n\n        // If something *other* than an editor (like another modal bar) has focus, set the focus\n        // to the editor here, before opening up the new modal bar. This ensures that the old\n        // focused item has time to react and close before the new modal bar is opened.\n        // See bugs #4287 and #3424\n        MainViewManager.focusActivePane();\n\n        if (autoClose) {\n            this._autoClose = true;\n            this._$root.on("keydown", this._handleKeydown);\n            window.document.body.addEventListener("focusin", this._handleFocusChange, true);\n\n            // Set focus to the first input field, or the first button if there is no input field.\n            // TODO: remove this logic?\n            var $firstInput = $("input[type=\'text\']", this._$root).first();\n            if ($firstInput.length > 0) {\n                $firstInput.focus();\n            } else {\n                $("button", this._$root).first().focus();\n            }\n        }\n\n        // Preserve scroll position of the current full editor across the editor refresh, adjusting for the\n        // height of the modal bar so the code doesn\'t appear to shift if possible.\n        MainViewManager.cacheScrollState(MainViewManager.ALL_PANES);\n        WorkspaceManager.recomputeLayout();  // changes available ht for editor area\n        MainViewManager.restoreAdjustedScrollState(MainViewManager.ALL_PANES, this.height());\n    }\n    EventDispatcher.makeEventDispatcher(ModalBar.prototype);\n\n    /**\n     * A jQuery object containing the root node of the ModalBar.\n     */\n    ModalBar.prototype._$root = null;\n\n    /**\n     * True if this ModalBar is set to autoclose.\n     */\n    ModalBar.prototype._autoClose = false;\n\n    /**\n     * Allows client code to block autoClose from closing the ModalBar: if set, this function is called whenever\n     * autoClose would normally close the ModalBar. Returning true prevents the close from occurring. Programmatically\n     * calling close() will still close the bar, however.\n     * @type {?function():boolean}\n     */\n    ModalBar.prototype.isLockedOpen = null;\n\n    ModalBar.CLOSE_ESCAPE = "escape";\n    ModalBar.CLOSE_BLUR = "blur";\n    ModalBar.CLOSE_API = "api";\n\n    /**\n     * @return {number} Height of the modal bar in pixels, if open.\n     */\n    ModalBar.prototype.height = function () {\n        return this._$root.outerHeight();\n    };\n\n    /**\n     * Prepares the ModalBar for closing by popping it out of the main flow and resizing/\n     * rescrolling the Editor to maintain its current apparent code position. Useful if\n     * you want to do that as a separate operation from actually animating the ModalBar\n     * closed and removing it (for example, if you need to switch full editors in between).\n     * If you don\'t call this explicitly, it will get called at the beginning of `close()`.\n     *\n     * @param {boolean=} restoreScrollPos If true (the default), adjust the scroll position\n     *     of the editor to account for the ModalBar disappearing. If not set, the caller\n     *     should do it immediately on return of this function (before the animation completes),\n     *     because the editor will already have been resized.\n     */\n    ModalBar.prototype.prepareClose = function (restoreScrollPos) {\n        if (restoreScrollPos === undefined) {\n            restoreScrollPos = true;\n        }\n\n        this._$root.addClass("popout");\n\n        // Since the modal bar has now an absolute position relative to the editor holder,\n        // when there are html menus we need to adjust the top position\n        if (!brackets.nativeMenus) {\n            var top = $("#titlebar").outerHeight();\n            this._$root.css("top", top + "px");\n        }\n\n        // Preserve scroll position of all visible views\n        //  adjusting for the height of the modal bar so the code doesn\'t appear to shift if possible.\n        var barHeight = this.height();\n        if (restoreScrollPos) {\n            MainViewManager.cacheScrollState(MainViewManager.ALL_PANES);\n        }\n        WorkspaceManager.recomputeLayout();  // changes available ht for editor area\n        // restore scroll position of all views\n        if (restoreScrollPos) {\n            MainViewManager.restoreAdjustedScrollState(MainViewManager.ALL_PANES, -barHeight);\n        }\n    };\n\n    /**\n     * Closes the modal bar and returns focus to the active editor. Returns a promise that is\n     * resolved when the bar is fully closed and the container is removed from the DOM.\n     * @param {boolean=} restoreScrollPos If true (the default), adjust the scroll position\n     *     of the editor to account for the ModalBar disappearing. If not set, the caller\n     *     should do it immediately on return of this function (before the animation completes),\n     *     because the editor will already have been resized. Note that this is ignored if\n     *     `prepareClose()` was already called (you need to pass the parameter to that\n     *     function if you call it first).\n     * @param {boolean=} animate If true (the default), animate the closing of the ModalBar,\n     *     otherwise close it immediately.\n     * @param {string=} _reason For internal use only.\n     * @return {$.Promise} promise resolved when close is finished\n     */\n    ModalBar.prototype.close = function (restoreScrollPos, animate, _reason) {\n        var result = new $.Deferred(),\n            self = this;\n\n        if (restoreScrollPos === undefined) {\n            restoreScrollPos = true;\n        }\n        if (animate === undefined) {\n            animate = true;\n        }\n\n        // If someone hasn\'t already called `prepareClose()` to pop the ModalBar out of the flow\n        // and resize the editor, then do that here.\n        if (!this._$root.hasClass("popout")) {\n            this.prepareClose(restoreScrollPos);\n        }\n\n        if (this._autoClose) {\n            window.document.body.removeEventListener("focusin", this._handleFocusChange, true);\n        }\n\n        this.trigger("close", _reason, result);\n\n        function doRemove() {\n            self._$root.remove();\n            result.resolve();\n        }\n\n        if (animate) {\n            AnimationUtils.animateUsingClass(this._$root.get(0), "offscreen")\n                .done(doRemove);\n        } else {\n            doRemove();\n        }\n\n        MainViewManager.focusActivePane();\n\n        return result.promise();\n    };\n\n    /**\n     * If autoClose is set, close the bar when Escape is pressed\n     */\n    ModalBar.prototype._handleKeydown = function (e) {\n        if (e.keyCode === KeyEvent.DOM_VK_ESCAPE) {\n            e.stopPropagation();\n            e.preventDefault();\n            this.close(undefined, undefined, ModalBar.CLOSE_ESCAPE);\n        }\n    };\n\n    /**\n     * If autoClose is set, detects when something other than the modal bar is getting focus and\n     * dismisses the modal bar. DOM nodes with "attached-to" jQuery metadata referencing an element\n     * within the ModalBar are allowed to take focus without closing it.\n     */\n    ModalBar.prototype._handleFocusChange = function (e) {\n        if (this.isLockedOpen && this.isLockedOpen()) {\n            return;\n        }\n\n        var effectiveElem = $(e.target).data("attached-to") || e.target;\n\n        if (!$.contains(this._$root.get(0), effectiveElem)) {\n            this.close(undefined, undefined, ModalBar.CLOSE_BLUR);\n        }\n    };\n\n    /**\n     * @return {jQueryObject} A jQuery object representing the root of the ModalBar.\n     */\n    ModalBar.prototype.getRoot = function () {\n        return this._$root;\n    };\n\n    exports.ModalBar = ModalBar;\n});\n\n//# sourceURL=/widgets/ModalBar.js'),
eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*\n * Text field with attached dropdown list that is updated (based on a provider) whenever the text changes.\n *\n * For styling, the DOM structure of the popup is as follows:\n *  body\n *      ol.quick-search-container\n *          li\n *          li.highlight\n *          li\n * And the text field is:\n *      input\n *      input.no-results\n */\ndefine(\'search/QuickSearchField\',[\'require\',\'exports\',\'module\',\'utils/KeyEvent\'],function (require, exports, module) {\n    "use strict";\n\n    var KeyEvent = require("utils/KeyEvent");\n\n\n    /**\n     * Attaches to an existing <input> tag\n     *\n     * @constructor\n     *\n     * @param {!jQueryObject} $input\n     * @param {!function(string):($.Promise|Array.<*>|{error:?string}} options.resultProvider\n     *          Given the current search text, returns an an array of result objects, an error object, or a\n     *          Promise that yields one of those. If the Promise is still outstanding when the query next\n     *          changes, resultProvider() will be called again (without waiting for the earlier Promise), and\n     *          the Promise\'s result will be ignored.\n     *          If the provider yields [], or a non-null error string, input is decorated with ".no-results"; if\n     *          the provider yields a null error string, input is not decorated.\n     *\n     * @param {!function(*, string):string} options.formatter\n     *          Converts one result object to a string of HTML text. Passed the item and the current query. The\n     *          outermost element must be <li>. The ".highlight" class can be ignored as it is applied automatically.\n     * @param {!function(?*, string):void} options.onCommit\n     *          Called when an item is selected by clicking or pressing Enter. Passed the item and the current\n     *          query. If the current result list is not up to date with the query text at the time Enter is\n     *          pressed, waits until it is before running this callback. If Enter pressed with no results, passed\n     *          null. The popup remains open after this event.\n     * @param {!function(*, string, boolean):void} options.onHighlight\n     *          Called when an item is highlighted in the list. Passed the item, the current query, and a flag that is\n     *          true if the item was highlighted explicitly (arrow keys), not simply due to a results list update. Since\n     *          the top item in the list is always initially highlighted, every time the list is updated onHighlight()\n     *          is called with the top item and with the explicit flag set to false.\n     * @param {?number} options.maxResults\n     *          Maximum number of items from resultProvider() to display in the popup.\n     * @param {?number} options.verticalAdjust\n     *          Number of pixels to position the popup below where $input is when constructor is called. Useful\n     *          if UI is going to animate position after construction, but QuickSearchField may receive input\n     *          before the animation is done.\n     */\n    function QuickSearchField($input, options) {\n        this.$input = $input;\n        this.options = options;\n\n        options.maxResults = options.maxResults || 10;\n\n        this._handleInput   = this._handleInput.bind(this);\n        this._handleKeyDown = this._handleKeyDown.bind(this);\n\n        $input.on("input", this._handleInput);\n        $input.on("keydown", this._handleKeyDown);\n\n        this._dropdownTop = $input.offset().top + $input.height() + (options.verticalAdjust || 0);\n    }\n\n    /** @type {!Object} */\n    QuickSearchField.prototype.options = null;\n\n    /** @type {?$.Promise} Promise corresponding to latest resultProvider call. Any earlier promises ignored */\n    QuickSearchField.prototype._pending = null;\n\n    /** @type {boolean} True if Enter already pressed & just waiting for results to arrive before committing */\n    QuickSearchField.prototype._commitPending = false;\n\n    /** @type {?string} Value of $input corresponding to the _displayedResults list */\n    QuickSearchField.prototype._displayedQuery = null;\n\n    /** @type {?Array.<*>}  Latest resultProvider result */\n    QuickSearchField.prototype._displayedResults = null;\n\n    /** @type {?number} */\n    QuickSearchField.prototype._highlightIndex = null;\n\n    /** @type {?jQueryObject} Dropdown\'s <ol>, while open; null while closed */\n    QuickSearchField.prototype._$dropdown = null;\n\n    /** @type {!jQueryObject} */\n    QuickSearchField.prototype.$input = null;\n\n\n    /** When text field changes, update results list */\n    QuickSearchField.prototype._handleInput = function () {\n        this._pending = null;  // immediately invalidate any previous Promise\n\n        var valueAtEvent = this.$input.val();\n        var self = this;\n        // The timeout lets us skip over a backlog of multiple keyboard events when the provider is responding\n        // so slowly that JS execution can\'t keep up. All the remaining input events are serviced before the\n        // first timeout runs; then all the queued-up timeouts run in a row. All except the last one can no-op.\n        setTimeout(function () {\n            if (self.$input.val() === valueAtEvent) {\n                self.updateResults();\n            }\n        }, 0);\n    };\n\n    /** Handle special keys: Enter, Up/Down */\n    QuickSearchField.prototype._handleKeyDown = function (event) {\n        if (event.keyCode === KeyEvent.DOM_VK_RETURN) {\n            // Enter should always act on the latest results. If input has changed and we\'re still waiting for\n            // new results, just flag the \'commit\' for later\n            if (this._displayedQuery === this.$input.val()) {\n                event.preventDefault();  // prevents keyup from going to someone else after we close\n                this._doCommit();\n            } else {\n                // Once the current wait resolves, _render() will run the commit\n                this._commitPending = true;\n            }\n        } else if (event.keyCode === KeyEvent.DOM_VK_DOWN) {\n            // Highlight changes are always done synchronously on the currently shown result list. If the list\n            // later changes, the highlight is reset to the top\n            if (this._displayedResults && this._displayedResults.length) {\n                if (this._highlightIndex === null || this._highlightIndex === this._displayedResults.length - 1) {\n                    this._highlightIndex = 0;\n                } else {\n                    this._highlightIndex++;\n                }\n                this._updateHighlight(true);\n            }\n            event.preventDefault(); // treated as Home key otherwise\n\n        } else if (event.keyCode === KeyEvent.DOM_VK_UP) {\n            if (this._displayedResults && this._displayedResults.length) {\n                if (this._highlightIndex === null || this._highlightIndex === 0) {\n                    this._highlightIndex = this._displayedResults.length - 1;\n                } else {\n                    this._highlightIndex--;\n                }\n                this._updateHighlight(true);\n            }\n            event.preventDefault(); // treated as End key otherwise\n        }\n    };\n\n    /** Call onCommit() immediately */\n    QuickSearchField.prototype._doCommit = function (index) {\n        var item;\n        if (this._displayedResults && this._displayedResults.length) {\n            var committedIndex = index !== undefined ? index : (this._highlightIndex || 0);\n            item = this._displayedResults[committedIndex];\n        }\n        this.options.onCommit(item, this._displayedQuery);\n    };\n\n    /** Update display to reflect value of _highlightIndex, & call onHighlight() */\n    QuickSearchField.prototype._updateHighlight = function (explicit) {\n        var $items = this._$dropdown.find("li");\n        $items.removeClass("highlight");\n        if (this._highlightIndex !== null) {\n            $items.eq(this._highlightIndex).addClass("highlight");\n\n            this.options.onHighlight(this._displayedResults[this._highlightIndex], this.$input.val(), explicit);\n        }\n    };\n\n    /**\n     * Refresh the results dropdown, as if the user had changed the search text. Useful for providers that\n     * want to show cached data initially, then update the results with fresher data once available.\n     */\n    QuickSearchField.prototype.updateResults = function () {\n        this._pending = null;  // immediately invalidate any previous Promise\n\n        var query = this.$input.val();\n        var results = this.options.resultProvider(query);\n        if (results.done && results.fail) {\n            // Provider returned an async result - mark it as the latest Promise and if it\'s still latest when\n            // it resolves, render the results then\n            this._pending = results;\n            var self = this;\n            this._pending.done(function (realResults) {\n                if (self._pending === results) {\n                    self._render(realResults, query);\n                    this._pending = null;\n                }\n            });\n            this._pending.fail(function () {\n                if (self._pending === results) {\n                    self._render([], query);\n                    this._pending = null;\n                }\n            });\n        } else {\n            // Synchronous result - render immediately\n            this._render(results, query);\n        }\n    };\n\n\n    /** Close dropdown result list if visible */\n    QuickSearchField.prototype._closeDropdown = function () {\n        if (this._$dropdown) {\n            this._$dropdown.remove();\n            this._$dropdown = null;\n        }\n    };\n\n    /**\n     * Open dropdown result list & populate with the given content\n     * @param {!string} htmlContent\n     */\n    QuickSearchField.prototype._openDropdown = function (htmlContent) {\n        if (!this._$dropdown) {\n            var self = this;\n            this._$dropdown = $("<ol class=\'quick-search-container\'/>").appendTo("body")\n                .css({\n                    position: "absolute",\n                    top: this._dropdownTop,\n                    left: this.$input.offset().left,\n                    width: this.$input.outerWidth()\n                })\n                .click(function (event) {\n                    // Unlike the Enter key, where we wait to catch up with typing, clicking commits immediately\n                    var $item = $(event.target).closest("li");\n                    if ($item.length) {\n                        self._doCommit($item.index());\n                    }\n                });\n        }\n        this._$dropdown.html(htmlContent);\n    };\n\n    /**\n     * Given finished provider result, format it into HTML and show in dropdown, and update "no-results" style.\n     * If an Enter key commit was pending from earlier, process it now.\n     * @param {!Array.<*>} results\n     * @param {!string} query\n     */\n    QuickSearchField.prototype._render = function (results, query) {\n        this._displayedQuery = query;\n        this._displayedResults = results;\n        this._highlightIndex = 0;\n        // TODO: fixup to match prev value\'s item if possible?\n\n        if (results.error || results.length === 0) {\n            this._closeDropdown();\n            this.$input.addClass("no-results");\n        } else if (results.hasOwnProperty("error")) {\n            // Error present but falsy - no results to show, but don\'t decorate with error style\n            this._closeDropdown();\n            this.$input.removeClass("no-results");\n        } else {\n            this.$input.removeClass("no-results");\n\n            var count = Math.min(results.length, this.options.maxResults),\n                html = "",\n                i;\n            for (i = 0; i < count; i++) {\n                html += this.options.formatter(results[i], query);\n            }\n            this._openDropdown(html);\n\n            // Highlight top item and trigger highlight callback\n            this._updateHighlight(false);\n        }\n\n        // If Enter key was pressed earlier, handle it now that we\'ve gotten results back\n        if (this._commitPending) {\n            this._commitPending = false;\n            this._doCommit();\n        }\n    };\n\n\n    /**\n     * Programmatically changes the search text and updates the results.\n     * @param {!string} value\n     */\n    QuickSearchField.prototype.setText = function (value) {\n        this.$input.val(value);\n        this.updateResults();  // programmatic changes don\'t trigger "input" event\n    };\n\n    /**\n     * Closes the dropdown, and discards any pending Promises.\n     */\n    QuickSearchField.prototype.destroy = function () {\n        this._pending = null;  // immediately invalidate any pending Promise\n        this._closeDropdown();\n    };\n\n\n    exports.QuickSearchField = QuickSearchField;\n});\n\n//# sourceURL=/search/QuickSearchField.js'),eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*unittests: StringMatch */\n\ndefine(\'utils/StringMatch\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\'],function (require, exports, module) {\n    "use strict";\n\n    var _ = require("thirdparty/lodash");\n\n    /*\n     * Performs matching that is useful for QuickOpen and similar searches.\n     */\n\n    /** Object representing a search result with associated metadata (added as extra ad hoc fields) */\n    function SearchResult(label) {\n        this.label = label;\n    }\n\n\n\n    /*\n     * Identifies the "special" characters in the given string.\n     * Special characters for matching purposes are:\n     *\n     * * the first character\n     * * "/" and the character following the "/"\n     * * "_", "." and "-" and the character following it\n     * * an uppercase character that follows a lowercase one (think camelCase)\n     *\n     * The returned object contains an array called "specials". This array is\n     * a list of indexes into the original string where all of the special\n     * characters are. It also has a property "lastSegmentSpecialsIndex" which\n     * is an index into the specials array that denotes which location is the\n     * beginning of the last path segment. (This is used to allow scanning of\n     * the last segment\'s specials separately.)\n     *\n     * @param {string} input string to break apart (e.g. filename that is being searched)\n     * @return {{specials:Array.<number>, lastSegmentSpecialsIndex:number}}\n     */\n    function findSpecialCharacters(str) {\n        var i, c;\n\n        // the beginning of the string is always special\n        var specials = [0];\n\n        // lastSegmentSpecialsIndex starts off with the assumption that\n        // there are no segments\n        var lastSegmentSpecialsIndex = 0;\n\n        // used to track down the camelCase changeovers\n        var lastWasLowerCase = false;\n\n        for (i = 0; i < str.length; i++) {\n            c = str[i];\n            if (c === "/") {\n                // new segment means this character and the next are special\n                specials.push(i++);\n                specials.push(i);\n                lastSegmentSpecialsIndex = specials.length - 1;\n                lastWasLowerCase = false;\n            } else if (c === "." || c === "-" || c === "_") {\n                // _, . and - are separators so they are\n                // special and so is the next character\n                specials.push(i);\n                if (str[i + 1] !== "/") {\n                    // if the next key is a slash, handle it separately\n                    // see #10871\n                    specials.push(++i);\n                }\n                lastWasLowerCase = false;\n            } else if (c.toUpperCase() === c) {\n                // this is the check for camelCase changeovers\n                if (lastWasLowerCase) {\n                    specials.push(i);\n                }\n                lastWasLowerCase = false;\n            } else {\n                lastWasLowerCase = true;\n            }\n        }\n        return {\n            specials: specials,\n            lastSegmentSpecialsIndex: lastSegmentSpecialsIndex\n        };\n    }\n\n    // states used during the scanning of the string\n    var SPECIALS_MATCH = 0;\n    var ANY_MATCH = 1;\n\n    // Scores can be hard to make sense of. The DEBUG_SCORES flag\n    // provides a way to peek into the parts that made up a score.\n    // This flag is used for manual debugging and in the unit tests only.\n    var DEBUG_SCORES = false;\n    function _setDebugScores(ds) {\n        DEBUG_SCORES = ds;\n    }\n\n\n    // Constants for scoring\n    var SPECIAL_POINTS = 40;\n    var MATCH_POINTS = 10;\n    var UPPER_CASE_MATCH = 100;\n    var CONSECUTIVE_MATCHES_POINTS = 8;\n    var BEGINNING_OF_NAME_POINTS = 13;\n    var LAST_SEGMENT_BOOST = 1;\n    var DEDUCTION_FOR_LENGTH = 0.2;\n    var NOT_STARTING_ON_SPECIAL_PENALTY = 25;\n\n    // Used in match lists to designate matches of "special" characters (see\n    // findSpecialCharacters above\n    function SpecialMatch(index, upper) {\n        this.index = index;\n        if (upper) {\n            this.upper = upper;\n        }\n    }\n\n    // Used in match lists to designate any matched characters that are not special\n    function NormalMatch(index, upper) {\n        this.index = index;\n        if (upper) {\n            this.upper = upper;\n        }\n    }\n\n    /*\n     * Finds the best matches between the query and the string. The query is\n     * compared with str (usually a lower case string with a lower case\n     * query).\n     *\n     * Generally speaking, this function tries to find "special" characters\n     * (see findSpecialCharacters above) first. Failing that, it starts scanning\n     * the "normal" characters. Sometimes, it will find a special character that matches\n     * but then not be able to match the rest of the query. In cases like that, the\n     * search will backtrack and try to find matches for the whole query earlier in the\n     * string.\n     *\n     * A contrived example will help illustrate how the searching and backtracking works. It\'s a bit long,\n     * but it illustrates different pieces of the algorithm which can be tricky. Let\'s say that we\'re\n     * searching the string "AzzBzzCzdzezzDgxgEF" for "abcdex".\n     *\n     * To start with, it will match "abcde" from the query to "A B C D E" in the string (the spaces\n     * represent gaps in the matched part of the string), because those are all "special characters".\n     * However, the "x" in the query doesn\'t match the "F" which is the only character left in the\n     * string.\n     *\n     * Backtracking kicks in. The "E" is pulled off of the match list.\n     * deadBranches[4] is set to the "g" before the "E". This means that for the 5th\n     * query character (the "e") we know that we don\'t have a match beyond that point in the string.\n     *\n     * To resume searching, the backtrack function looks at the previous match (the "D") and starts\n     * searching in character-by-character (ANY_MATCH) mode right after that. It fails to find an\n     * "e" before it gets to deadBranches[4], so it has to backtrack again.\n     *\n     * This time, the "D" is pulled off the match list.\n     * deadBranches[3] is set to the "z" before the "D", because we know that for the "dex" part of the\n     * query, we can\'t make it work past the "D". We\'ll resume searching with the "z" after the "C".\n     *\n     * Doing an ANY_MATCH search, we find the "d". We then start searching specials for "e", but we\n     * stop before we get to "E" because deadBranches[4] tells us that\'s a dead end. So, we switch\n     * to ANY_MATCH and find the "e".\n     *\n     * Finally, we search for the "x". We don\'t find a special that matches, so we start an ANY_MATCH\n     * search. Then we find the "x", and we have a successful match.\n     *\n     * Here are some notes on how the algorithm works:\n     *\n     * * We only backtrack() when we\'re exhausted both special AND normal forward searches past that point,\n     *   for the query remainder we currently have.  For a different query remainder, we may well get further\n     *   along - hence deadBranches[] being dependent on queryCounter; but in order to get a different query\n     *   remainder, we must give up one or more current matches by backtracking.\n     *\n     * * Normal "any char" forward search is a superset of special matching mode -- anything that would have\n     *   been matched in special mode *could* also be matched by normal mode. In practice, however,\n     *   any special characters that could have matched would be picked up first by the specials matching\n     *   code.\n     *\n     * * backtrack() always goes at least as far back as str[deadBranches[queryCounter]-1] before allowing\n     *   forward searching to resume\n     *\n     * * When `deadBranches[queryCounter] = strCounter` it means if we\'re still trying to match\n     *   `queryLower[queryCounter]` and we get to `str[strCounter]`, there\'s no way we can match the\n     *   remainer of `queryLower` with the remainder of `str` -- either using specials-only or\n     *   full any-char matching.\n     *\n     * * We know this because deadBranches[] is set in backtrack(), and we don\'t get to backtrack() unless\n     *   either:\n     *   1. We\'ve already exhausted both special AND normal forward searches past that point\n     *      (i.e. backtrack() due to `strCounter >= str.length`, yet `queryCounter < query.length`)\n     *   2. We stopped searching further forward due to a previously set deadBranches[] value\n     *      (i.e. backtrack() due to `strCounter > deadBranches[queryCounter]`, yet\n     *      `queryCounter < query.length`)\n     *\n     * @param {string} query the search string (generally lower cased)\n     * @param {string} str the string to compare with (generally lower cased)\n     * @param {string} originalQuery the "non-normalized" query string (used to detect case match priority)\n     * @param {string} originalStr the "non-normalized" string to compare with (used to detect case match priority)\n     * @param {Array} specials list of special indexes in str (from findSpecialCharacters)\n     * @param {int} startingSpecial index into specials array to start scanning with\n     * @return {Array.<SpecialMatch|NormalMatch>} matched indexes or null if no matches possible\n     */\n    function _generateMatchList(query, str, originalQuery, originalStr, specials, startingSpecial) {\n        var result = [];\n\n        // used to keep track of which special character we\'re testing now\n        var specialsCounter = startingSpecial;\n\n        // strCounter and queryCounter are the indexes used for pulling characters\n        // off of the str/compareLower and query.\n        var strCounter = specials[startingSpecial];\n        var queryCounter;\n\n        // the search branches out between special characters and normal characters\n        // that are found via consecutive character scanning. In the process of\n        // performing these scans, we discover that parts of the query will not match\n        // beyond a given point in the string. We keep track of that information\n        // in deadBranches, which has a slot for each character in the query.\n        // The value stored in the slot is the index into the string after which we\n        // are certain there is no match.\n        var deadBranches = [];\n\n        for (queryCounter = 0; queryCounter < query.length; queryCounter++) {\n            deadBranches[queryCounter] = Infinity;\n        }\n\n        queryCounter = 0;\n\n        var state = SPECIALS_MATCH;\n\n        // Compares the current character from the query string against the\n        // special characters in str. Returns true if a match was found,\n        // false otherwise.\n        function findMatchingSpecial() {\n            // used to loop through the specials\n            var i;\n\n            for (i = specialsCounter; i < specials.length; i++) {\n                // short circuit this search when we know there are no matches following\n                if (specials[i] >= deadBranches[queryCounter]) {\n                    break;\n                }\n\n                // First, ensure that we\'re not comparing specials that\n                // come earlier in the string than our current search position.\n                // This can happen when the string position changes elsewhere.\n                if (specials[i] < strCounter) {\n                    specialsCounter = i;\n                } else if (query[queryCounter] === str[specials[i]]) {\n                    // we have a match! do the required tracking\n                    strCounter = specials[i];\n\n                    // Upper case match check:\n                    // If the query and original string matched, but the original string\n                    // and the lower case version did not, that means that the original\n                    // was upper case.\n                    var upper = originalQuery[queryCounter] === originalStr[strCounter] && originalStr[strCounter] !== str[strCounter];\n                    result.push(new SpecialMatch(strCounter, upper));\n                    specialsCounter = i;\n                    queryCounter++;\n                    strCounter++;\n                    return true;\n                }\n            }\n\n            return false;\n        }\n\n        // This function implements the backtracking that is done when we fail to find\n        // a match with the query using the "search for specials first" approach.\n        //\n        // returns false when it is not able to backtrack successfully\n        function backtrack() {\n\n            // The idea is to pull matches off of our match list, rolling back\n            // characters from the query. We pay special attention to the special\n            // characters since they are searched first.\n            while (result.length > 0) {\n                var item = result.pop();\n\n                // nothing in the list? there\'s no possible match then.\n                if (!item) {\n                    return false;\n                }\n\n                // we pulled off a match, which means that we need to put a character\n                // back into our query. strCounter is going to be set once we\'ve pulled\n                // off the right special character and know where we\'re going to restart\n                // searching from.\n                queryCounter--;\n\n                if (item instanceof SpecialMatch) {\n                    // pulled off a special, which means we need to make that special available\n                    // for matching again\n                    specialsCounter--;\n\n                    // check to see if we\'ve gone back as far as we need to\n                    if (item.index < deadBranches[queryCounter]) {\n                        // we now know that this part of the query does not match beyond this\n                        // point\n                        deadBranches[queryCounter] = item.index - 1;\n\n                        // since we failed with the specials along this track, we\'re\n                        // going to reset to looking for matches consecutively.\n                        state = ANY_MATCH;\n\n                        // we figure out where to start looking based on the new\n                        // last item in the list. If there isn\'t anything else\n                        // in the match list, we\'ll start over at the starting special\n                        // (which is generally the beginning of the string, or the\n                        // beginning of the last segment of the string)\n                        item = result[result.length - 1];\n                        if (!item) {\n                            strCounter = specials[startingSpecial] + 1;\n                            return true;\n                        }\n                        strCounter = item.index + 1;\n                        return true;\n                    }\n                }\n            }\n            return false;\n        }\n\n        while (true) {\n\n            // keep looping until we\'ve either exhausted the query or the string\n            while (queryCounter < query.length && strCounter < str.length && strCounter <= deadBranches[queryCounter]) {\n                if (state === SPECIALS_MATCH) {\n                    if (!findMatchingSpecial()) {\n                        state = ANY_MATCH;\n                    }\n                }\n\n                if (state === ANY_MATCH) {\n                    // we look character by character for matches\n                    if (query[queryCounter] === str[strCounter]) {\n                        // got a match! record it, and switch back to searching specials\n\n                        // See the specials section above for a comment on the expression\n                        // for `upper` below.\n                        var upper = originalQuery[queryCounter] === originalStr[strCounter] && originalStr[strCounter] !== str[strCounter];\n                        result.push(new NormalMatch(strCounter++, upper));\n\n                        queryCounter++;\n                        state = SPECIALS_MATCH;\n                    } else {\n                        // no match, keep looking\n                        strCounter++;\n                    }\n                }\n            }\n\n            // if we\'ve finished the query, or we haven\'t finished the query but we have no\n            // more backtracking we can do, then we\'re all done searching.\n            if (queryCounter >= query.length || (queryCounter < query.length && !backtrack())) {\n                break;\n            }\n        }\n\n        // return null when we don\'t find anything\n        if (queryCounter < query.length || result.length === 0) {\n            return null;\n        }\n        return result;\n    }\n\n\n    /*\n     * Seek out the best match in the last segment (generally the filename).\n     * Matches in the filename are preferred, but the query entered could match\n     * any part of the path. So, we find the best match we can get in the filename\n     * and then allow for searching the rest of the string with any characters that\n     * are left from the beginning of the query.\n     *\n     * The parameters and return value are the same as for getMatchRanges,\n     * except this function is always working on the last segment and the\n     * result can optionally include a remainder, which is the characters\n     * at the beginning of the query which did not match in the last segment.\n     *\n     * @param {string} query the search string (generally lower cased)\n     * @param {string} str the string to compare with (generally lower cased)\n     * @param {string} originalQuery the "non-normalized" query string (used to detect case match priority)\n     * @param {string} originalStr the "non-normalized" string to compare with (used to detect case match priority)\n     * @param {Array} specials list of special indexes in str (from findSpecialCharacters)\n     * @param {int} startingSpecial index into specials array to start scanning with\n     * @param {boolean} lastSegmentStart which character does the last segment start at\n     * @return {{remainder:int, matchList:Array.<SpecialMatch|NormalMatch>}} matched indexes or null if no matches possible\n     */\n    function _lastSegmentSearch(query, str, originalQuery, originalStr, specials, startingSpecial, lastSegmentStart) {\n        var queryCounter, matchList;\n\n        // It\'s possible that the query is longer than the last segment.\n        // If so, we can chop off the bit that we know couldn\'t possibly be there.\n        var remainder = "",\n            originalRemainder = "",\n            extraCharacters = specials[startingSpecial] + query.length - str.length;\n\n        if (extraCharacters > 0) {\n            remainder = query.substring(0, extraCharacters);\n            originalRemainder = originalQuery.substring(0, extraCharacters);\n            query = query.substring(extraCharacters);\n            originalQuery = originalQuery.substring(extraCharacters);\n        }\n\n        for (queryCounter = 0; queryCounter < query.length; queryCounter++) {\n            matchList = _generateMatchList(query.substring(queryCounter),\n                                     str, originalQuery.substring(queryCounter),\n                                     originalStr, specials, startingSpecial);\n\n            // if we\'ve got a match *or* there are no segments in this string, we\'re done\n            if (matchList || startingSpecial === 0) {\n                break;\n            }\n        }\n\n        if (queryCounter === query.length || !matchList) {\n            return null;\n        } else {\n            return {\n                remainder: remainder + query.substring(0, queryCounter),\n                originalRemainder: originalRemainder + originalQuery.substring(0, queryCounter),\n                matchList: matchList\n            };\n        }\n    }\n\n    /*\n     * Implements the top-level search algorithm. Search the last segment first,\n     * then search the rest of the string with the remainder.\n     *\n     * The parameters and return value are the same as for getMatchRanges.\n     *\n     * @param {string} queryLower the search string (will be searched lower case)\n     * @param {string} compareLower the lower-cased string to search\n     * @param {string} originalQuery the "non-normalized" query string (used to detect case match priority)\n     * @param {string} originalStr the "non-normalized" string to compare with (used to detect case match priority)\n     * @param {Array} specials list of special indexes in str (from findSpecialCharacters)\n     * @param {int} lastSegmentSpecialsIndex index into specials array to start scanning with\n     * @return {Array.<SpecialMatch|NormalMatch>} matched indexes or null if no matches possible\n     */\n    function _wholeStringSearch(queryLower, compareLower, originalQuery, originalStr, specials, lastSegmentSpecialsIndex) {\n        var lastSegmentStart = specials[lastSegmentSpecialsIndex];\n        var result;\n        var matchList;\n\n        result = _lastSegmentSearch(queryLower, compareLower, originalQuery, originalStr, specials, lastSegmentSpecialsIndex, lastSegmentStart);\n\n        if (result) {\n            matchList = result.matchList;\n\n            // Do we have more query characters that did not fit?\n            if (result.remainder) {\n                // Scan with the remainder only through the beginning of the last segment\n                var remainderMatchList = _generateMatchList(result.remainder,\n                                              compareLower.substring(0, lastSegmentStart),\n                                              result.originalRemainder,\n                                              originalStr.substring(0, lastSegmentStart),\n                                              specials.slice(0, lastSegmentSpecialsIndex), 0);\n\n                if (remainderMatchList) {\n                    // add the new matched ranges to the beginning of the set of ranges we had\n                    matchList.unshift.apply(matchList, remainderMatchList);\n                } else {\n                    // no match\n                    return null;\n                }\n            }\n        } else {\n            // No match in the last segment, so we start over searching the whole\n            // string\n            matchList = _generateMatchList(queryLower, compareLower, originalQuery, originalStr, specials, 0);\n        }\n\n        return matchList;\n    }\n\n    /**\n     * Converts a list of matches into a form suitable for returning from stringMatch.\n     *\n     * @param {Array.<SpecialMatch|NormalMatch>} matchList to convert\n     * @param {string} original string\n     * @param {int} character index where last segment begins\n     * @return {{ranges:Array.<{text:string, matched:boolean, includesLastSegment:boolean}>, matchGoodness:int, scoreDebug: Object}} matched ranges and score\n     */\n    function _computeRangesAndScore(matchList, str, lastSegmentStart) {\n        var matchCounter;\n        var ranges = [];\n        var lastMatchIndex = -1;\n        var lastSegmentScore = 0;\n        var currentRangeStartedOnSpecial = false;\n\n        var score = 0;\n        var scoreDebug;\n        if (DEBUG_SCORES) {\n            scoreDebug = {\n                special: 0,\n                match: 0,\n                upper: 0,\n                lastSegment: 0,\n                beginning: 0,\n                lengthDeduction: 0,\n                consecutive: 0,\n                notStartingOnSpecial: 0\n            };\n        }\n\n        var currentRange = null;\n\n        // Records the current range and adds any additional ranges required to\n        // get to character index c. This function is called before starting a new range\n        // or returning from the function.\n        function closeRangeGap(c) {\n            // Close the current range\n            if (currentRange) {\n                currentRange.includesLastSegment = lastMatchIndex >= lastSegmentStart;\n                if (currentRange.matched && currentRange.includesLastSegment) {\n                    if (DEBUG_SCORES) {\n                        scoreDebug.lastSegment += lastSegmentScore * LAST_SEGMENT_BOOST;\n                    }\n                    score += lastSegmentScore * LAST_SEGMENT_BOOST;\n                }\n\n                if (currentRange.matched && !currentRangeStartedOnSpecial) {\n                    if (DEBUG_SCORES) {\n                        scoreDebug.notStartingOnSpecial -= NOT_STARTING_ON_SPECIAL_PENALTY;\n                    }\n                    score -= NOT_STARTING_ON_SPECIAL_PENALTY;\n                }\n                ranges.push(currentRange);\n            }\n\n            // If there was space between the new range and the last,\n            // add a new unmatched range before the new range can be added.\n            if (lastMatchIndex + 1 < c) {\n                ranges.push({\n                    text: str.substring(lastMatchIndex + 1, c),\n                    matched: false,\n                    includesLastSegment: c > lastSegmentStart\n                });\n            }\n            currentRange = null;\n            lastSegmentScore = 0;\n        }\n\n        // In some cases (see the use of this variable below), we accelerate the\n        // bonus the more consecutive matches there are.\n        var numConsecutive = 0;\n\n        // Adds a matched character to the appropriate range\n        function addMatch(match) {\n            // Pull off the character index\n            var c = match.index;\n            var newPoints = 0;\n\n            // A match means that we need to do some scoring bookkeeping.\n            // Start with points added for any match\n            if (DEBUG_SCORES) {\n                scoreDebug.match += MATCH_POINTS;\n            }\n            newPoints += MATCH_POINTS;\n\n            if (match.upper) {\n                if (DEBUG_SCORES) {\n                    scoreDebug.upper += UPPER_CASE_MATCH;\n                }\n                newPoints += UPPER_CASE_MATCH;\n            }\n\n            // A bonus is given for characters that match at the beginning\n            // of the filename\n            if (c === lastSegmentStart) {\n                if (DEBUG_SCORES) {\n                    scoreDebug.beginning += BEGINNING_OF_NAME_POINTS;\n                }\n                newPoints += BEGINNING_OF_NAME_POINTS;\n            }\n\n            // If the new character immediately follows the last matched character,\n            // we award the consecutive matches bonus. The check for score > 0\n            // handles the initial value of lastMatchIndex which is used for\n            // constructing ranges but we don\'t yet have a true match.\n            if (score > 0 && lastMatchIndex + 1 === c) {\n                // Continue boosting for each additional match at the beginning\n                // of the name\n                if (c - numConsecutive === lastSegmentStart) {\n                    if (DEBUG_SCORES) {\n                        scoreDebug.beginning += BEGINNING_OF_NAME_POINTS;\n                    }\n                    newPoints += BEGINNING_OF_NAME_POINTS;\n                }\n\n                numConsecutive++;\n\n                var boost = CONSECUTIVE_MATCHES_POINTS * numConsecutive;\n\n                // Consecutive matches that started on a special are a\n                // good indicator of intent, so we award an added bonus there.\n                if (currentRangeStartedOnSpecial) {\n                    boost = boost * 2;\n                }\n\n                if (DEBUG_SCORES) {\n                    scoreDebug.consecutive += boost;\n                }\n                newPoints += boost;\n            } else {\n                numConsecutive = 1;\n            }\n\n            // add points for "special" character matches\n            if (match instanceof SpecialMatch) {\n                if (DEBUG_SCORES) {\n                    scoreDebug.special += SPECIAL_POINTS;\n                }\n                newPoints += SPECIAL_POINTS;\n            }\n\n            score += newPoints;\n\n            // points accumulated in the last segment get an extra bonus\n            if (c >= lastSegmentStart) {\n                lastSegmentScore += newPoints;\n            }\n\n            // if the last range wasn\'t a match or there\'s a gap, we need to close off\n            // the range to start a new one.\n            if ((currentRange && !currentRange.matched) || c > lastMatchIndex + 1) {\n                closeRangeGap(c);\n            }\n            lastMatchIndex = c;\n\n            // set up a new match range or add to the current one\n            if (!currentRange) {\n                currentRange = {\n                    text: str[c],\n                    matched: true\n                };\n\n                // Check to see if this new matched range is starting on a special\n                // character. We penalize those ranges that don\'t, because most\n                // people will search on the logical boundaries of the name\n                currentRangeStartedOnSpecial = match instanceof SpecialMatch;\n            } else {\n                currentRange.text += str[c];\n            }\n        }\n\n        // scan through the matches, adding each one in turn\n        for (matchCounter = 0; matchCounter < matchList.length; matchCounter++) {\n            var match = matchList[matchCounter];\n            addMatch(match);\n        }\n\n        // add a range for the last part of the string\n        closeRangeGap(str.length);\n\n        // shorter strings that match are often better than longer ones\n        var lengthPenalty = -1 * Math.round(str.length * DEDUCTION_FOR_LENGTH);\n        if (DEBUG_SCORES) {\n            scoreDebug.lengthDeduction = lengthPenalty;\n        }\n        score = score + lengthPenalty;\n\n        var result = {\n            ranges: ranges,\n            matchGoodness: score\n        };\n\n        if (DEBUG_SCORES) {\n            result.scoreDebug = scoreDebug;\n        }\n        return result;\n    }\n\n    /*\n     * If we short circuit normal matching to produce a prefix match,\n     * this function will generate the appropriate SearchResult.\n     * This function assumes that the prefix match check has already\n     * been performed.\n     *\n     * @param {string} str  The string with the prefix match for the query\n     * @param {string} query  The query that matched the beginning of str\n     * @return {{ranges:Array.<{text:string, matched:boolean, includesLastSegment:boolean}>, matchGoodness:int, scoreDebug: Object}} ranges has a matching range for beginning of str\n     *                      and a non-matching range for the end of the str\n     *                      the score is -Number.MAX_VALUE in all cases\n     */\n    function _prefixMatchResult(str, query) {\n        var result = new SearchResult(str);\n\n        result.matchGoodness = -Number.MAX_VALUE;\n\n        if (str.substr(0, query.length) !== query) {\n            // Penalize for not matching case\n            result.matchGoodness *= 0.5;\n        }\n\n        if (DEBUG_SCORES) {\n            result.scoreDebug = {\n                beginning: -result.matchGoodness\n            };\n        }\n\n        result.stringRanges = [{\n            text: str.substr(0, query.length),\n            matched: true,\n            includesLastSegment: true\n        }];\n        if (str.length > query.length) {\n            result.stringRanges.push({\n                text: str.substring(query.length),\n                matched: false,\n                includesLastSegment: true\n            });\n        }\n        return result;\n    }\n\n\n    /*\n     * Match str against the query using the QuickOpen algorithm provided by\n     * the functions above. The general idea is to prefer matches of "special" characters and,\n     * optionally, matches that occur in the "last segment" (generally, the filename). stringMatch\n     * will try to provide the best match and produces a "matchGoodness" score\n     * to allow for relative ranking.\n     *\n     * The result object returned includes "stringRanges" which can be used to highlight\n     * the matched portions of the string, in addition to the "matchGoodness"\n     * mentioned above. If DEBUG_SCORES is true, scoreDebug is set on the result\n     * to provide insight into the score.\n     *\n     * The matching is done in a case-insensitive manner.\n     *\n     * @param {string} str  The string to search\n     * @param {string} query  The query string to find in string\n     * @param {{preferPrefixMatches:?boolean, segmentedSearch:?boolean}} options to control search behavior.\n     *                  preferPrefixMatches puts an exact case-insensitive prefix match ahead of all other matches,\n     *                  even short-circuiting the match logic. This option implies segmentedSearch=false.\n     *                  When segmentedSearch is true, the string is broken into segments by "/" characters\n     *                  and the last segment is searched first and matches there are scored higher.\n     * @param {?Object} special (optional) the specials data from findSpecialCharacters, if already known\n     *                  This is generally just used by StringMatcher for optimization.\n     * @return {{ranges:Array.<{text:string, matched:boolean, includesLastSegment:boolean}>, matchGoodness:int, scoreDebug: Object}} matched ranges and score\n     */\n    function stringMatch(str, query, options, special) {\n        var result;\n\n        options = options || {};\n\n        // No query? Short circuit the normal work done and just\n        // return a single range that covers the whole string.\n        if (!query) {\n            result = new SearchResult(str);\n            result.matchGoodness = 0;\n            if (DEBUG_SCORES) {\n                result.scoreDebug = {};\n            }\n            result.stringRanges = [{\n                text: str,\n                matched: false,\n                includesLastSegment: true\n            }];\n            return result;\n        }\n\n        // comparisons are case insensitive, so switch to lower case here\n        var queryLower = query.toLowerCase();\n        var compareLower = str.toLowerCase();\n\n        if (options.preferPrefixMatches) {\n            options.segmentedSearch = false;\n        }\n\n        if (options.preferPrefixMatches && compareLower.substr(0, queryLower.length) === queryLower) {\n            // NOTE: we compare against the case insensitive match\n            //        above but we pass the case-sensitive version in\n            //        because we want to weight the match to give case-matches\n            //        a higher score\n            return _prefixMatchResult(str, query);\n        }\n\n        // Locate the special characters and then use orderedCompare to do the real\n        // work.\n        if (!special) {\n            special = findSpecialCharacters(str);\n        }\n        var lastSegmentStart, matchList;\n\n        // For strings that are not broken into multiple segments, we can potentially\n        // avoid some extra work\n        if (options.segmentedSearch) {\n            lastSegmentStart = special.specials[special.lastSegmentSpecialsIndex];\n            matchList = _wholeStringSearch(queryLower, compareLower, query, str, special.specials,\n                              special.lastSegmentSpecialsIndex);\n        } else {\n            lastSegmentStart = 0;\n            matchList = _generateMatchList(queryLower, compareLower, query, str, special.specials, 0);\n        }\n\n        // If we get a match, turn this into a SearchResult as expected by the consumers\n        // of this API.\n        if (matchList) {\n            var compareData = _computeRangesAndScore(matchList, str, lastSegmentStart);\n            result = new SearchResult(str);\n            result.stringRanges = compareData.ranges;\n            result.matchGoodness = -1 * compareData.matchGoodness;\n            if (DEBUG_SCORES) {\n                result.scoreDebug = compareData.scoreDebug;\n            }\n        }\n        return result;\n    }\n\n    /**\n     * Sorts an array of SearchResult objects on a primary field, followed by secondary fields\n     * in case of ties. \'fieldSpec\' provides the priority order for fields, where the first entry is the primary field, for example:\n     *      multiFieldSort(bugList, [ "milestone", "severity" ]);\n     * Would sort a bug list by milestone, and within each milestone sort bugs by severity.\n     *\n     * fieldSpec can also include comparator functions of the form normally used by the sort()\n     * function.\n     *\n     * Any fields that have a string value are compared case-insensitively. Fields used should be\n     * present on all SearchResult objects (no optional/undefined fields).\n     *\n     * @param {!Array.<SearchResult>} searchResults\n     * @param {!Array.<string, function>} fieldSpec\n     */\n    function multiFieldSort(searchResults, fieldSpec) {\n        // Move field names into an array, with primary field first\n        var comparisons;\n        if (Array.isArray(fieldSpec)) {\n            comparisons = fieldSpec;\n        } else {\n            // TODO Deprecate this form of calling this function\n            comparisons = [];\n            _.forEach(fieldSpec, function (priority, key) {\n                comparisons[priority] = key;\n            });\n        }\n\n        searchResults.sort(function (a, b) {\n            var priority;\n            for (priority = 0; priority < comparisons.length; priority++) {\n                var comparison = comparisons[priority];\n                if (typeof comparison === "function") {\n                    var result = comparison(a, b);\n                    if (result) {\n                        return result;\n                    }\n                } else {\n                    var valueA = a[comparison];\n                    var valueB = b[comparison];\n                    if (typeof valueA === "string") {\n                        valueA = valueA.toLowerCase();\n                        valueB = valueB.toLowerCase();\n                    }\n\n                    if (valueA < valueB) {\n                        return -1;\n                    } else if (valueA > valueB) {\n                        return 1;\n                    }\n                }\n                // otherwise, move on to next sort priority\n            }\n            return 0; // all sort fields are equal\n        });\n    }\n\n    /**\n     * Sorts search results generated by stringMatch(): results are sorted into several\n     * tiers based on how well they matched the search query, then sorted alphabetically\n     * within each tier.\n     */\n    function basicMatchSort(searchResults) {\n        multiFieldSort(searchResults, { matchGoodness: 0, label: 1 });\n    }\n\n    /**\n     * A StringMatcher provides an interface to the stringMatch function with built-in\n     * caching. You should use a StringMatcher for the lifetime of queries over a\n     * single data set.\n     *\n     * You are free to store other data on this object to assist in higher-level caching.\n     * (This object\'s caches are all stored in "_" prefixed properties.)\n     *\n     * @param {{preferPrefixMatches:?boolean, segmentedSearch:?boolean}} options to control search behavior.\n     *                  preferPrefixMatches puts an exact case-insensitive prefix match ahead of all other matches,\n     *                  even short-circuiting the match logic. This option implies segmentedSearch=false.\n     *                  segmentedSearch treats segments of the string specially.\n     */\n    function StringMatcher(options) {\n        this.options = options;\n        this.reset();\n    }\n\n    /**\n     * Map from search-result string to the findSpecialCharacters() result for that string - easy to cache\n     * since this info doesn\'t change as the query changes.\n     * @type {Object.<string, {specials:Array.<number>, lastSegmentSpecialsIndex:number}>}\n     */\n    StringMatcher.prototype._specialsCache = null;\n\n    /**\n     * Set of search-result strings that we know don\'t match the query _lastQuery - or any other query with\n     * that prefix.\n     * @type {Object.<string, boolean>}\n     */\n    StringMatcher.prototype._noMatchCache = null;\n\n    /**\n     * Clears the caches. Use this in the event that the caches may be invalid.\n     */\n    StringMatcher.prototype.reset = function () {\n        // We keep track of the last query to know when we need to invalidate.\n        this._lastQuery = null;\n\n        this._specialsCache = {};\n        this._noMatchCache = {};\n    };\n\n    /**\n     * Performs a single match using the stringMatch function. See stringMatch for full documentation.\n     *\n     * @param {string} str  The string to search\n     * @param {string} query  The query string to find in string\n     * @return {{ranges:Array.<{text:string, matched:boolean, includesLastSegment:boolean}>, matchGoodness:int, scoreDebug: Object}} matched ranges and score\n     */\n    StringMatcher.prototype.match = function (str, query) {\n\n        // If the query is not just added characters from the previous query, we invalidate\n        // the no match cache and will re-match everything.\n        if (this._lastQuery !== null && (this._lastQuery !== query.substring(0, this._lastQuery.length))) {\n            this._noMatchCache = {};\n        }\n\n        this._lastQuery = query;\n\n        // Check for a known non-matching string.\n        if (_.has(this._noMatchCache, str)) {\n            return undefined;\n        }\n\n        // Load up the cached specials information (or build it if this is our first time through).\n        var special = _.has(this._specialsCache, str) ? this._specialsCache[str] : undefined;\n        if (special === undefined) {\n            special = findSpecialCharacters(str);\n            this._specialsCache[str] = special;\n        }\n\n        var result = stringMatch(str, query, this.options, special);\n\n        // If this query was not a match, we cache that fact for next time.\n        if (!result) {\n            this._noMatchCache[str] = true;\n        }\n        return result;\n    };\n\n    exports._findSpecialCharacters  = findSpecialCharacters;\n    exports._wholeStringSearch      = _wholeStringSearch;\n    exports._lastSegmentSearch      = _lastSegmentSearch;\n    exports._setDebugScores         = _setDebugScores;\n    exports._generateMatchList      = _generateMatchList;\n    exports._SpecialMatch           = SpecialMatch;\n    exports._NormalMatch            = NormalMatch;\n    exports._computeRangesAndScore  = _computeRangesAndScore;\n\n    // public exports\n    exports.SearchResult            = SearchResult;\n    exports.stringMatch             = stringMatch;\n    exports.basicMatchSort          = basicMatchSort;\n    exports.multiFieldSort          = multiFieldSort;\n    exports.StringMatcher           = StringMatcher;\n});\n\n//# sourceURL=/utils/StringMatch.js'),
eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*unittests: QuickOpen*/\n\n/*\n * Displays a search bar where the user can quickly navigate to a different file by searching file names in\n * the project, and/or jump to a line number. Providers can plug in to offer additional search modes.\n */\n\n\ndefine(\'search/QuickOpen\',[\'require\',\'exports\',\'module\',\'document/DocumentManager\',\'editor/EditorManager\',\'view/MainViewManager\',\'view/MainViewFactory\',\'command/CommandManager\',\'strings\',\'utils/StringUtils\',\'command/Commands\',\'project/ProjectManager\',\'language/LanguageManager\',\'widgets/ModalBar\',\'search/QuickSearchField\',\'utils/StringMatch\'],function (require, exports, module) {\n    "use strict";\n\n    var DocumentManager     = require("document/DocumentManager"),\n        EditorManager       = require("editor/EditorManager"),\n        MainViewManager     = require("view/MainViewManager"),\n        MainViewFactory     = require("view/MainViewFactory"),\n        CommandManager      = require("command/CommandManager"),\n        Strings             = require("strings"),\n        StringUtils         = require("utils/StringUtils"),\n        Commands            = require("command/Commands"),\n        ProjectManager      = require("project/ProjectManager"),\n        LanguageManager     = require("language/LanguageManager"),\n        ModalBar            = require("widgets/ModalBar").ModalBar,\n        QuickSearchField    = require("search/QuickSearchField").QuickSearchField,\n        StringMatch         = require("utils/StringMatch");\n\n\n    /**\n     * The regular expression to check the cursor position\n     * @const {RegExp}\n     */\n    var CURSOR_POS_EXP = new RegExp(":([^,]+)?(,(.+)?)?");\n\n    /**\n     * List of plugins\n     * @type {Array.<QuickOpenPlugin>}\n     */\n    var plugins = [];\n\n    /**\n     * Current plugin\n     * @type {QuickOpenPlugin}\n     */\n    var currentPlugin = null;\n\n    /** @type {Array.<File>} */\n    var fileList;\n\n    /** @type {$.Promise} */\n    var fileListPromise;\n\n    /**\n     * The currently open (or last open) QuickNavigateDialog\n     * @type {?QuickNavigateDialog}\n     */\n    var _curDialog;\n\n    /**\n     * Defines API for new QuickOpen plug-ins\n     */\n    function QuickOpenPlugin(name, languageIds, done, search, match, itemFocus, itemSelect, resultsFormatter, matcherOptions, label) {\n        this.name = name;\n        this.languageIds = languageIds;\n        this.done = done;\n        this.search = search;\n        this.match = match;\n        this.itemFocus = itemFocus;\n        this.itemSelect = itemSelect;\n        this.resultsFormatter = resultsFormatter;\n        this.matcherOptions = matcherOptions;\n        this.label = label;\n    }\n\n    /**\n     * Creates and registers a new QuickOpenPlugin\n     *\n     * @param { name: string,\n     *          languageIds: !Array.<string>,\n     *          done: ?function(),\n     *          search: function(string, !StringMatch.StringMatcher):(!Array.<SearchResult|string>|$.Promise),\n     *          match: function(string):boolean,\n     *          itemFocus: ?function(?SearchResult|string, string, boolean),\n     *          itemSelect: function(?SearchResult|string, string),\n     *          resultsFormatter: ?function(SearchResult|string, string):string,\n     *          matcherOptions: ?Object,\n     *          label: ?string\n     *        } pluginDef\n     *\n     * Parameter Documentation:\n     *\n     * name - plug-in name, **must be unique**\n     * languageIds - language Ids array. Example: ["javascript", "css", "html"]. To allow any language, pass []. Required.\n     * done - called when quick open is complete. Plug-in should clear its internal state. Optional.\n     * search - takes a query string and a StringMatcher (the use of which is optional but can speed up your searches) and returns\n     *      an array of strings or result objects that match the query; or a Promise that resolves to such an array. Required.\n     * match - takes a query string and returns true if this plug-in wants to provide\n     *      results for this query. Required.\n     * itemFocus - performs an action when a result has been highlighted (via arrow keys, or by becoming top of the list).\n     *      Passed the highlighted search result item (as returned by search()), the current query string, and a flag that is true\n     *      if the item was highlighted explicitly (arrow keys), not implicitly (at top of list after last search()). Optional.\n     * itemSelect - performs an action when a result is chosen.\n     *      Passed the highlighted search result item (as returned by search()), and the current query string. Required.\n     * resultsFormatter - takes a query string and an item string and returns\n     *      a <LI> item to insert into the displayed search results. Optional.\n     * matcherOptions - options to pass along to the StringMatcher (see StringMatch.StringMatcher\n     *          for available options). Optional.\n     * label - if provided, the label to show before the query field. Optional.\n     *\n     * If itemFocus() makes changes to the current document or cursor/scroll position and then the user\n     * cancels Quick Open (via Esc), those changes are automatically reverted.\n     */\n    function addQuickOpenPlugin(pluginDef) {\n        plugins.push(new QuickOpenPlugin(\n            pluginDef.name,\n            pluginDef.languageIds,\n            pluginDef.done,\n            pluginDef.search,\n            pluginDef.match,\n            pluginDef.itemFocus,\n            pluginDef.itemSelect,\n            pluginDef.resultsFormatter,\n            pluginDef.matcherOptions,\n            pluginDef.label\n        ));\n    }\n\n    /**\n     * QuickNavigateDialog class\n     * @constructor\n     */\n    function QuickNavigateDialog() {\n        this.$searchField = undefined; // defined when showDialog() is called\n\n        // ModalBar event handlers & callbacks\n        this._handleCloseBar           = this._handleCloseBar.bind(this);\n\n        // QuickSearchField callbacks\n        this._handleItemSelect         = this._handleItemSelect.bind(this);\n        this._handleItemHighlight      = this._handleItemHighlight.bind(this);\n        this._filterCallback           = this._filterCallback.bind(this);\n        this._resultsFormatterCallback = this._resultsFormatterCallback.bind(this);\n\n        // StringMatchers that cache in-progress query data.\n        this._filenameMatcher           = new StringMatch.StringMatcher({\n            segmentedSearch: true\n        });\n        this._matchers                  = {};\n    }\n\n    /**\n     * True if the search bar is currently open. Note that this is set to false immediately\n     * when the bar starts closing; it doesn\'t wait for the ModalBar animation to finish.\n     * @type {boolean}\n     */\n    QuickNavigateDialog.prototype.isOpen = false;\n\n    /**\n     * @private\n     * Handles caching of filename search information for the lifetime of a\n     * QuickNavigateDialog (a single search until the dialog is dismissed)\n     *\n     * @type {StringMatch.StringMatcher}\n     */\n    QuickNavigateDialog.prototype._filenameMatcher = null;\n\n    /**\n     * @private\n     * StringMatcher caches for each QuickOpen plugin that keep track of search\n     * information for the lifetime of a QuickNavigateDialog (a single search\n     * until the dialog is dismissed)\n     *\n     * @type {Object.<string, StringMatch.StringMatcher>}\n     */\n    QuickNavigateDialog.prototype._matchers = null;\n\n    /**\n     * @private\n     * If the dialog is closing, this will contain a deferred that is resolved\n     * when it\'s done closing.\n     * @type {$.Deferred}\n     */\n    QuickNavigateDialog.prototype._closeDeferred = null;\n\n\n    /**\n     * @private\n     * Remembers the current document that was displayed when showDialog() was called.\n     * @type {?string} full path\n     */\n    QuickNavigateDialog.prototype._origDocPath = null;\n\n    /**\n     * @private\n     * Remembers the selection state in origDocPath that was present when showDialog() was called. Focusing on an\n     * item can change the selection; we restore this original selection if the user presses Escape. Null if\n     * no document was open when Quick Open was invoked.\n     * @type {?Array.<{{start:{line:number, ch:number}, end:{line:number, ch:number}, primary:boolean, reversed:boolean}}>}\n     */\n    QuickNavigateDialog.prototype._origSelections = null;\n\n    /**\n     * @private\n     * Remembers the scroll position in origDocPath when showDialog() was called (see origSelection above).\n     * @type {?{x:number, y:number}}\n     */\n    QuickNavigateDialog.prototype._origScrollPos = null;\n\n    function _filenameFromPath(path, includeExtension) {\n        var end;\n        if (includeExtension) {\n            end = path.length;\n        } else {\n            end = path.lastIndexOf(".");\n            if (end === -1) {\n                end = path.length;\n            }\n        }\n        return path.slice(path.lastIndexOf("/") + 1, end);\n    }\n\n    /**\n     * Attempts to extract a line number from the query where the line number\n     * is followed by a colon. Callers should explicitly test result with isNaN()\n     *\n     * @param {string} query string to extract line number from\n     * @return {{query: string, local: boolean, line: number, ch: number}} An object with\n     *      the extracted line and column numbers, and two additional fields: query with the original position\n     *      string and local indicating if the cursor position should be applied to the current file.\n     *      Or null if the query is invalid\n     */\n    function extractCursorPos(query) {\n        var regInfo = query.match(CURSOR_POS_EXP);\n\n        if (query.length <= 1 || !regInfo ||\n                (regInfo[1] && isNaN(regInfo[1])) ||\n                (regInfo[3] && isNaN(regInfo[3]))) {\n\n            return null;\n        }\n\n        return {\n            query:  regInfo[0],\n            local:  query[0] === ":",\n            line:   regInfo[1] - 1 || 0,\n            ch:     regInfo[3] - 1 || 0\n        };\n    }\n\n    /**\n     * Navigates to the appropriate file and file location given the selected item\n     * and closes the dialog.\n     *\n     * Note, if selectedItem is null quick search should inspect $searchField for text\n     * that may have not matched anything in the list, but may have information\n     * for carrying out an action (e.g. go to line).\n     */\n    QuickNavigateDialog.prototype._handleItemSelect = function (selectedItem, query) {\n\n        var doClose = true,\n            self = this;\n\n        // Delegate to current plugin\n        if (currentPlugin) {\n            currentPlugin.itemSelect(selectedItem, query);\n        } else {\n            // Extract line/col number, if any\n            var cursorPos = extractCursorPos(query);\n\n            // Navigate to file and line number\n            var fullPath = selectedItem && selectedItem.fullPath;\n            if (fullPath) {\n                // We need to fix up the current editor\'s scroll pos before switching to the next one. But if\n                // we run the full close() now, ModalBar\'s animate-out won\'t be smooth (gets starved of cycles\n                // during creation of the new editor). So we call prepareClose() to do *only* the scroll pos\n                // fixup, and let the full close() be triggered later when the new editor takes focus.\n                doClose = false;\n                this.modalBar.prepareClose();\n                CommandManager.execute(Commands.CMD_ADD_TO_WORKINGSET_AND_OPEN, {fullPath: fullPath})\n                    .done(function () {\n                        if (cursorPos) {\n                            var editor = EditorManager.getCurrentFullEditor();\n                            editor.setCursorPos(cursorPos.line, cursorPos.ch, true);\n                        }\n                    })\n                    .always(function () {\n                        // Ensure we finish closing even if file failed to open, or file was already current (in\n                        // either case, we may not get a blur to trigger ModalBar to auto-close)\n                        self.close();\n                    });\n            } else if (cursorPos) {\n                EditorManager.getCurrentFullEditor().setCursorPos(cursorPos.line, cursorPos.ch, true);\n            }\n        }\n\n        if (doClose) {\n            this.close();\n            MainViewManager.focusActivePane();\n        }\n    };\n\n    /**\n     * Opens the file specified by selected item if there is no current plug-in, otherwise defers handling\n     * to the currentPlugin\n     */\n    QuickNavigateDialog.prototype._handleItemHighlight = function (selectedItem, query, explicit) {\n        if (currentPlugin && currentPlugin.itemFocus) {\n            currentPlugin.itemFocus(selectedItem, query, explicit);\n        }\n    };\n\n    /**\n     * Closes the search bar; if search bar is already closing, returns the Promise that is tracking the\n     * existing close activity.\n     * @return {$.Promise} Resolved when the search bar is entirely closed.\n     */\n    QuickNavigateDialog.prototype.close = function () {\n        if (!this.isOpen) {\n            return this.closePromise;\n        }\n\n        this.modalBar.close();  // triggers _handleCloseBar(), setting closePromise\n\n        return this.closePromise;\n    };\n\n    QuickNavigateDialog.prototype._handleCloseBar = function (event, reason, modalBarClosePromise) {\n        console.assert(!this.closePromise);\n        this.closePromise = modalBarClosePromise;\n        this.isOpen = false;\n\n        var i;\n        for (i = 0; i < plugins.length; i++) {\n            var plugin = plugins[i];\n            if (plugin.done) {\n                plugin.done();\n            }\n        }\n\n        // Close popup & ensure we ignore any still-pending result promises\n        this.searchField.destroy();\n\n        // Restore original selection / scroll pos if closed via Escape\n        if (reason === ModalBar.CLOSE_ESCAPE) {\n            // We can reset the scroll position synchronously on ModalBar\'s "close" event (before close animation\n            // completes) since ModalBar has already resized the editor and done its own scroll adjustment before\n            // this event fired - so anything we set here will override the pos that was (re)set by ModalBar.\n            var editor = EditorManager.getCurrentFullEditor();\n            if (this._origSelections) {\n                editor.setSelections(this._origSelections);\n            }\n            if (this._origScrollPos) {\n                editor.setScrollPos(this._origScrollPos.x, this._origScrollPos.y);\n            }\n        }\n    };\n\n\n    function _doSearchFileList(query, matcher) {\n        // Strip off line/col number suffix so it doesn\'t interfere with filename search\n        var cursorPos = extractCursorPos(query);\n        if (cursorPos && !cursorPos.local && cursorPos.query !== "") {\n            query = query.replace(cursorPos.query, "");\n        }\n\n        // First pass: filter based on search string; convert to SearchResults containing extra info\n        // for sorting & display\n        var filteredList = $.map(fileList, function (fileInfo) {\n            // Is it a match at all?\n            // match query against the full path (with gaps between query characters allowed)\n            var searchResult;\n\n            searchResult = matcher.match(ProjectManager.makeProjectRelativeIfPossible(fileInfo.fullPath), query);\n\n            if (searchResult) {\n                searchResult.label = fileInfo.name;\n                searchResult.fullPath = fileInfo.fullPath;\n                searchResult.filenameWithoutExtension = _filenameFromPath(fileInfo.name, false);\n            }\n            return searchResult;\n        });\n\n        // Sort by "match goodness" tier first, then within each tier sort alphabetically - first by filename\n        // sans extension, (so that "abc.js" comes before "abc-d.js"), then by filename, and finally (for\n        // identically-named files) by full path\n        StringMatch.multiFieldSort(filteredList, { matchGoodness: 0, filenameWithoutExtension: 1, label: 2, fullPath: 3 });\n\n        return filteredList;\n    }\n\n    function searchFileList(query, matcher) {\n        // The file index may still be loading asynchronously - if so, can\'t return a result yet\n        if (!fileList) {\n            var asyncResult = new $.Deferred();\n            fileListPromise.done(function () {\n                // Synchronously re-run the search call and resolve with its results\n                asyncResult.resolve(_doSearchFileList(query, matcher));\n            });\n            return asyncResult.promise();\n\n        } else {\n            return _doSearchFileList(query, matcher);\n        }\n    }\n\n    /**\n     * Handles changes to the current query in the search field.\n     * @param {string} query The new query.\n     * @return {$.Promise|Array.<*>|{error:?string}} The filtered list of results, an error object, or a Promise that\n     *                                               yields one of those\n     */\n    QuickNavigateDialog.prototype._filterCallback = function (query) {\n        // Re-evaluate which plugin is active each time query string changes\n        currentPlugin = null;\n\n        // "Go to line" mode is special-cased\n        var cursorPos = extractCursorPos(query);\n        if (cursorPos && cursorPos.local) {\n            // Bare Go to Line (no filename search) - can validate & jump to it now, without waiting for Enter/commit\n            var editor = EditorManager.getCurrentFullEditor();\n\n            // Validate (could just use 0 and lineCount() here, but in future might want this to work for inline editors too)\n            if (cursorPos && editor && cursorPos.line >= editor.getFirstVisibleLine() && cursorPos.line <= editor.getLastVisibleLine()) {\n                var from = {line: cursorPos.line, ch: cursorPos.ch},\n                    to   = {line: cursorPos.line};\n                EditorManager.getCurrentFullEditor().setSelection(from, to, true);\n\n                return { error: null };  // no error even though no results listed\n            } else {\n                return [];  // red error highlight: line number out of range, or no editor open\n            }\n        }\n        if (query === ":") {  // treat blank ":" query as valid, but no-op\n            return { error: null };\n        }\n\n        // Try to invoke a search plugin\n        var curDoc = DocumentManager.getCurrentDocument(), languageId;\n        if (curDoc) {\n            languageId = curDoc.getLanguage().getId();\n        }\n\n        var i;\n        for (i = 0; i < plugins.length; i++) {\n            var plugin = plugins[i];\n            var languageIdMatch = plugin.languageIds.length === 0 || plugin.languageIds.indexOf(languageId) !== -1;\n            if (languageIdMatch && plugin.match(query)) {\n                currentPlugin = plugin;\n\n                // Look up the StringMatcher for this plugin.\n                var matcher = this._matchers[currentPlugin.name];\n                if (!matcher) {\n                    matcher = new StringMatch.StringMatcher(plugin.matcherOptions);\n                    this._matchers[currentPlugin.name] = matcher;\n                }\n                this._updateDialogLabel(plugin, query);\n                return plugin.search(query, matcher);\n            }\n        }\n\n        // Reflect current search mode in UI\n        this._updateDialogLabel(null, query);\n\n        // No matching plugin: use default file search mode\n        return searchFileList(query, this._filenameMatcher);\n    };\n\n    /**\n     * Formats item\'s label as properly escaped HTML text, highlighting sections that match \'query\'.\n     * If item is a SearchResult generated by stringMatch(), uses its metadata about which string ranges\n     * matched; else formats the label with no highlighting.\n     * @param {!string|SearchResult} item\n     * @param {?string} matchClass CSS class for highlighting matched text\n     * @param {?function(boolean, string):string} rangeFilter\n     * @return {!string} bolded, HTML-escaped result\n     */\n    function highlightMatch(item, matchClass, rangeFilter) {\n        var label = item.label || item;\n        matchClass = matchClass || "quicksearch-namematch";\n\n        var stringRanges = item.stringRanges;\n        if (!stringRanges) {\n            // If result didn\'t come from stringMatch(), highlight nothing\n            stringRanges = [{\n                text: label,\n                matched: false,\n                includesLastSegment: true\n            }];\n        }\n\n        var displayName = "";\n        if (item.scoreDebug) {\n            var sd = item.scoreDebug;\n            displayName += \'<span title="sp:\' + sd.special + \', m:\' + sd.match +\n                \', ls:\' + sd.lastSegment + \', b:\' + sd.beginning +\n                \', ld:\' + sd.lengthDeduction + \', c:\' + sd.consecutive + \', nsos: \' +\n                sd.notStartingOnSpecial + \', upper: \' + sd.upper + \'">(\' + item.matchGoodness + \') </span>\';\n        }\n\n        // Put the path pieces together, highlighting the matched parts\n        stringRanges.forEach(function (range) {\n            if (range.matched) {\n                displayName += "<span class=\'" + matchClass + "\'>";\n            }\n\n            var rangeText = rangeFilter ? rangeFilter(range.includesLastSegment, range.text) : range.text;\n            displayName += StringUtils.breakableUrl(rangeText);\n\n            if (range.matched) {\n                displayName += "</span>";\n            }\n        });\n        return displayName;\n    }\n\n    function defaultResultsFormatter(item, query) {\n        query = query.slice(query.indexOf("@") + 1, query.length);\n\n        var displayName = highlightMatch(item);\n        return "<li>" + displayName + "</li>";\n    }\n\n    function _filenameResultsFormatter(item, query) {\n        // For main label, we just want filename: drop most of the string\n        function fileNameFilter(includesLastSegment, rangeText) {\n            if (includesLastSegment) {\n                var rightmostSlash = rangeText.lastIndexOf(\'/\');\n                return rangeText.substring(rightmostSlash + 1);  // safe even if rightmostSlash is -1\n            } else {\n                return "";\n            }\n        }\n        var displayName = highlightMatch(item, null, fileNameFilter);\n        var displayPath = highlightMatch(item, "quicksearch-pathmatch");\n\n        return "<li>" + displayName + "<br /><span class=\'quick-open-path\'>" + displayPath + "</span></li>";\n    }\n\n    /**\n     * Formats the entry for the given item to be displayed in the dropdown.\n     * @param {Object} item The item to be displayed.\n     * @return {string} The HTML to be displayed.\n     */\n    QuickNavigateDialog.prototype._resultsFormatterCallback = function (item, query) {\n        var formatter;\n\n        if (currentPlugin) {\n            // Plugins use their own formatter or the default formatter\n            formatter = currentPlugin.resultsFormatter || defaultResultsFormatter;\n        } else {\n            // No plugin: default file search mode uses a special formatter\n            formatter = _filenameResultsFormatter;\n        }\n        return formatter(item, query);\n    };\n\n    /**\n     * Sets the value in the search field, updating the current mode and label based on the\n     * given prefix.\n     * @param {string} prefix The prefix that determines which mode we\'re in: must be empty (for file search),\n     *      "@" for go to definition, or ":" for go to line.\n     * @param {string} initialString The query string to search for (without the prefix).\n     */\n    QuickNavigateDialog.prototype.setSearchFieldValue = function (prefix, initialString) {\n        prefix = prefix || "";\n        initialString = initialString || "";\n        initialString = prefix + initialString;\n\n        this.searchField.setText(initialString);\n\n        // Select just the text after the prefix\n        this.$searchField[0].setSelectionRange(prefix.length, initialString.length);\n    };\n\n    /**\n     * Sets the dialog label based on the current plugin (if any) and the current query.\n     * @param {Object} plugin The current Quick Open plugin, or none if there is none.\n     * @param {string} query The user\'s current query.\n     */\n    QuickNavigateDialog.prototype._updateDialogLabel = function (plugin, query) {\n        var dialogLabel = "";\n        if (plugin && plugin.label) {\n            dialogLabel = plugin.label;\n        } else {\n            var prefix = (query.length > 0 ? query.charAt(0) : "");\n\n            // Update the dialog label based on the current prefix.\n            switch (prefix) {\n            case ":":\n                dialogLabel = Strings.CMD_GOTO_LINE + "\\u2026";\n                break;\n            case "@":\n                dialogLabel = Strings.CMD_GOTO_DEFINITION + "\\u2026";\n                break;\n            default:\n                dialogLabel = "";\n                break;\n            }\n        }\n        $(".find-dialog-label", this.dialog).text(dialogLabel);\n    };\n\n    /**\n     * Shows the search dialog and initializes the auto suggestion list with filenames from the current project\n     */\n    QuickNavigateDialog.prototype.showDialog = function (prefix, initialString) {\n        if (this.isOpen) {\n            return;\n        }\n        this.isOpen = true;\n\n        // Record current document & cursor pos so we can restore it if search is canceled\n        // We record scroll pos *before* modal bar is opened since we\'re going to restore it *after* it\'s closed\n        var curDoc = DocumentManager.getCurrentDocument();\n        this._origDocPath = curDoc ? curDoc.file.fullPath : null;\n        if (curDoc) {\n            this._origSelections = EditorManager.getCurrentFullEditor().getSelections();\n            this._origScrollPos = EditorManager.getCurrentFullEditor().getScrollPos();\n        } else {\n            this._origSelections = null;\n            this._origScrollPos = null;\n        }\n\n        // Show the search bar\n        var searchBarHTML = "<div align=\'right\'><input type=\'text\' autocomplete=\'off\' id=\'quickOpenSearch\' placeholder=\'" + Strings.CMD_QUICK_OPEN + "\\u2026\' style=\'width: 30em\'><span class=\'find-dialog-label\'></span></div>";\n        this.modalBar = new ModalBar(searchBarHTML, true);\n\n        this.modalBar.on("close", this._handleCloseBar);\n\n        this.$searchField = $("input#quickOpenSearch");\n\n        this.searchField = new QuickSearchField(this.$searchField, {\n            maxResults: 20,\n            verticalAdjust: this.modalBar.getRoot().outerHeight(),\n            resultProvider: this._filterCallback,\n            formatter: this._resultsFormatterCallback,\n            onCommit: this._handleItemSelect,\n            onHighlight: this._handleItemHighlight\n        });\n\n        // Return files that are non-binary, or binary files that have a custom viewer\n        function _filter(file) {\n            return !LanguageManager.getLanguageForPath(file.fullPath).isBinary() ||\n                MainViewFactory.findSuitableFactoryForPath(file.fullPath);\n        }\n\n        // Start prefetching the file list, which will be needed the first time the user enters an un-prefixed query. If file index\n        // caches are out of date, this list might take some time to asynchronously build, forcing searchFileList() to wait. In the\n        // meantime we show our old, stale fileList (unless the user has switched projects and we cleared it).\n        fileListPromise = ProjectManager.getAllFiles(_filter, true)\n            .done(function (files) {\n                fileList = files;\n                fileListPromise = null;\n                this._filenameMatcher.reset();\n            }.bind(this));\n\n        // Prepopulated query\n        this.$searchField.focus();\n        this.setSearchFieldValue(prefix, initialString);\n    };\n\n    function getCurrentEditorSelectedText() {\n        var currentEditor = EditorManager.getActiveEditor();\n        return (currentEditor && currentEditor.getSelectedText()) || "";\n    }\n\n    /**\n     * Opens the Quick Open bar prepopulated with the given prefix (to select a mode) and optionally\n     * with the given query text too. Updates text field contents if Quick Open already open.\n     * @param {?string} prefix\n     * @param {?string} initialString\n     */\n    function beginSearch(prefix, initialString) {\n        function createDialog() {\n            _curDialog = new QuickNavigateDialog();\n            _curDialog.showDialog(prefix, initialString);\n        }\n\n        if (_curDialog) {\n            if (_curDialog.isOpen) {\n                // Just start a search using the existing dialog.\n                _curDialog.setSearchFieldValue(prefix, initialString);\n            } else {\n                // The dialog is already closing. Wait till it\'s done closing,\n                // then open a new dialog. (Calling close() again returns the\n                // promise for the deferred that was already kicked off when it\n                // started closing.)\n                _curDialog.close().done(createDialog);\n            }\n        } else {\n            createDialog();\n        }\n    }\n\n    function doFileSearch() {\n        beginSearch("", getCurrentEditorSelectedText());\n    }\n\n    function doGotoLine() {\n        // TODO: Brackets doesn\'t support disabled menu items right now, when it does goto line and\n        // goto definition should be disabled when there is not a current document\n        if (DocumentManager.getCurrentDocument()) {\n            beginSearch(":", "");\n        }\n    }\n\n    function doDefinitionSearch() {\n        if (DocumentManager.getCurrentDocument()) {\n            beginSearch("@", getCurrentEditorSelectedText());\n        }\n    }\n\n    // Listen for a change of project to invalidate our file list\n    ProjectManager.on("projectOpen", function () {\n        fileList = null;\n    });\n\n    CommandManager.register(Strings.CMD_QUICK_OPEN,         Commands.NAVIGATE_QUICK_OPEN,       doFileSearch);\n    CommandManager.register(Strings.CMD_GOTO_DEFINITION,    Commands.NAVIGATE_GOTO_DEFINITION,  doDefinitionSearch);\n    CommandManager.register(Strings.CMD_GOTO_LINE,          Commands.NAVIGATE_GOTO_LINE,        doGotoLine);\n\n    exports.beginSearch             = beginSearch;\n    exports.addQuickOpenPlugin      = addQuickOpenPlugin;\n    exports.highlightMatch          = highlightMatch;\n\n    // Convenience exports for functions that most QuickOpen plugins would need.\n    exports.stringMatch             = StringMatch.stringMatch;\n    exports.SearchResult            = StringMatch.SearchResult;\n    exports.basicMatchSort          = StringMatch.basicMatchSort;\n    exports.multiFieldSort          = StringMatch.multiFieldSort;\n});\n\n//# sourceURL=/search/QuickOpen.js'),
eval("/*\n * Copyright (c) 2016 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the \"Software\"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine('search/QuickOpenHelper',['require','exports','module','editor/EditorManager','search/QuickOpen','document/DocumentManager','utils/StringMatch'],function (require, exports, module) {\n    \"use strict\";\n    \n    var EditorManager       = require(\"editor/EditorManager\"),\n        QuickOpen           = require(\"search/QuickOpen\"),\n        DocumentManager     = require(\"document/DocumentManager\"),\n        StringMatch         = require(\"utils/StringMatch\");\n    \n    /**\n     * @param {string} query what the user is searching for\n     * @param {boolean} returns true if this plug-in wants to provide results for this query\n     */\n    function match(query) {\n        return (query[0] === \"@\");\n    }\n\n    /**\n     * Scroll to the selected item in the current document (unless no query string entered yet,\n     * in which case the topmost list item is irrelevant)\n     * @param {?SearchResult} selectedItem\n     * @param {string} query\n     * @param {boolean} explicit False if this is only highlighted due to being at top of list after search()\n     */\n    function itemFocus(selectedItem, query, explicit) {\n        if (!selectedItem || (query.length < 2 && !explicit)) {\n            return;\n        }\n        var fileLocation = selectedItem.fileLocation;\n\n        var from = {line: fileLocation.line, ch: fileLocation.chFrom};\n        var to = {line: fileLocation.line, ch: fileLocation.chTo};\n        EditorManager.getCurrentFullEditor().setSelection(from, to, true);\n    }\n\n    /**\n     * Scroll to the selected item in the current document (unless no query string entered yet,\n     * in which case the topmost list item is irrelevant)\n     * @param {?SearchResult} selectedItem\n     * @param {string} query\n     */\n    function itemSelect(selectedItem, query) {\n        itemFocus(selectedItem, query, true);\n    }\n    \n    exports.match      = match;\n    exports.itemFocus  = itemFocus;\n    exports.itemSelect = itemSelect;\n});\n\n//# sourceURL=/search/QuickOpenHelper.js"),eval('define(\'text!htmlContent/working-set.html\',[],function () { return \'<div class="working-set-view" id="{{id}}">\\n    <div class="working-set-header"><span class="working-set-header-title">{{WORKING_FILES}}</span></div>\\n    <div class="open-files-container">\\n        <!-- This will contain runtime-generated <li>\\\'s for each file in the working set -->\\n        <ul>\\n        </ul>\\n    </div>\\n<div>\';});\n\n//# sourceURL=/text!htmlContent/working-set.html'),eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * WorkingSetView generates the UI for the list of the files user is editing based on the model provided by EditorManager.\n * The UI allows the user to see what files are open/dirty and allows them to close files and specify the current editor.\n *\n */\ndefine(\'project/WorkingSetView\',[\'require\',\'exports\',\'module\',\'utils/AppInit\',\'document/DocumentManager\',\'view/MainViewManager\',\'command/CommandManager\',\'command/Commands\',\'command/Menus\',\'project/FileViewController\',\'utils/ViewUtils\',\'utils/KeyEvent\',\'text!htmlContent/working-set.html\',\'strings\',\'thirdparty/lodash\',\'thirdparty/mustache/mustache\'],function (require, exports, module) {\n    "use strict";\n\n    // Load dependent modules\n    var AppInit               = require("utils/AppInit"),\n        DocumentManager       = require("document/DocumentManager"),\n        MainViewManager       = require("view/MainViewManager"),\n        CommandManager        = require("command/CommandManager"),\n        Commands              = require("command/Commands"),\n        Menus                 = require("command/Menus"),\n        FileViewController    = require("project/FileViewController"),\n        ViewUtils             = require("utils/ViewUtils"),\n        KeyEvent              = require("utils/KeyEvent"),\n        paneListTemplate      = require("text!htmlContent/working-set.html"),\n        Strings               = require("strings"),\n        _                     = require("thirdparty/lodash"),\n        Mustache              = require("thirdparty/mustache/mustache");\n\n    /**\n     * Open view dictionary\n     * Maps PaneId to WorkingSetView\n     * @private\n     * @type {Object.<string, WorkingSetView>}\n     */\n    var _views = {};\n\n    /**\n     * Icon Providers\n     * @see {@link #addIconProvider}\n     * @private\n     */\n    var _iconProviders = [];\n\n    /**\n     * Class Providers\n     * @see {@link #addClassProvider}\n     * @private\n     */\n    var _classProviders = [];\n\n\n    /**\n     * #working-set-list-container\n     * @type {jQuery}\n     */\n    var $workingFilesContainer;\n\n    /**\n     * Constants for event.which values\n     * @enum {number}\n     */\n    var LEFT_BUTTON = 1,\n        MIDDLE_BUTTON = 2;\n\n    /**\n     * Each list item in the working set stores a references to the related document in the list item\'s data.\n     *  Use `listItem.data(_FILE_KEY)` to get the document reference\n     * @type {string}\n     * @private\n     */\n    var _FILE_KEY = "file";\n\n    /**\n     * Constants for hitTest.where\n     * @enum {string}\n     */\n    var NOMANSLAND = "nomansland",\n        NOMOVEITEM = "nomoveitem",\n        ABOVEITEM  = "aboveitem",\n        BELOWITEM  = "belowitem",\n        TOPSCROLL  = "topscroll",\n        BOTSCROLL  = "bottomscroll",\n        BELOWVIEW  = "belowview",\n        ABOVEVIEW  = "aboveview";\n\n    /**\n     * Drag an item has to move 3px before dragging starts\n     * @constant\n     */\n    var _DRAG_MOVE_DETECTION_START = 3;\n\n    /**\n     * Refreshes all Pane View List Views\n     */\n    function refresh(rebuild) {\n        _.forEach(_views, function (view) {\n            var top = view.$openFilesContainer.scrollTop();\n            if (rebuild) {\n                view._rebuildViewList(true);\n            } else {\n                view._redraw();\n            }\n            view.$openFilesContainer.scrollTop(top);\n        });\n    }\n\n    /**\n     * Synchronizes the selection indicator for all views\n     */\n    function syncSelectionIndicator() {\n        _.forEach(_views, function (view) {\n            view.$openFilesContainer.triggerHandler("scroll");\n        });\n    }\n\n    /**\n     * Updates the appearance of the list element based on the parameters provided.\n     * @private\n     * @param {!HTMLLIElement} listElement\n     * @param {?File} selectedFile\n     */\n    function _updateListItemSelection(listItem, selectedFile) {\n        var shouldBeSelected = (selectedFile && $(listItem).data(_FILE_KEY).fullPath === selectedFile.fullPath);\n        ViewUtils.toggleClass($(listItem), "selected", shouldBeSelected);\n    }\n\n    /**\n     * Determines if a file is dirty\n     * @private\n     * @param {!File} file - file to test\n     * @return {boolean} true if the file is dirty, false otherwise\n     */\n    function _isOpenAndDirty(file) {\n        // working set item might never have been opened; if so, then it\'s definitely not dirty\n        var docIfOpen = DocumentManager.getOpenDocumentForPath(file.fullPath);\n        return (docIfOpen && docIfOpen.isDirty);\n    }\n\n\n    function _hasSelectionFocus() {\n        return FileViewController.getFileSelectionFocus() === FileViewController.WORKING_SET_VIEW;\n    }\n\n    /**\n     * Turns on/off the flag which suppresses rebuilding of the working set\n     * when the "workingSetSort" event is dispatched from MainViewManager.\n     * Only used while dragging things around in the working set to disable\n     * rebuilding the list while dragging.\n     * @private\n     * @param {boolean} suppress - true suppress, false to allow sort redrawing\n     */\n    function _suppressSortRedrawForAllViews(suppress) {\n        _.forEach(_views, function (view) {\n            view.suppressSortRedraw = suppress;\n        });\n    }\n\n    /**\n     * turns off the scroll shadow on view containers so they don\'t interfere with dragging\n     * @private\n     * @param {Boolean} disable - true to disable, false to enable\n     */\n    function _suppressScrollShadowsOnAllViews(disable) {\n        _.forEach(_views, function (view) {\n            if (disable) {\n                ViewUtils.removeScrollerShadow(view.$openFilesContainer[0], null);\n            } else if (view.$openFilesContainer[0].scrollHeight > view.$openFilesContainer[0].clientHeight) {\n                ViewUtils.addScrollerShadow(view.$openFilesContainer[0], null, true);\n            }\n        });\n    }\n\n    /**\n     * Deactivates all views so the selection marker does not show\n     * @private\n     * @param {Boolean} deactivate - true to deactivate, false to reactivate\n     */\n    function _deactivateAllViews(deactivate) {\n        _.forEach(_views, function (view) {\n            if (deactivate) {\n                if (view.$el.hasClass("active")) {\n                    view.$el.removeClass("active").addClass("reactivate");\n                    view.$openFilesList.trigger("selectionHide");\n                }\n            } else {\n                if (view.$el.hasClass("reactivate")) {\n                    view.$el.removeClass("reactivate").addClass("active");\n                }\n                // don\'t update the scroll pos\n                view._fireSelectionChanged(false);\n            }\n        });\n    }\n\n    /**\n     * Finds the WorkingSetView object for the specified element\n     * @private\n     * @param {jQuery} $el - the element to find the view for\n     * @return {View} view object\n     */\n    function _viewFromEl($el) {\n        if (!$el.hasClass("working-set-view")) {\n            $el = $el.parents(".working-set-view");\n        }\n\n        var id = $el.attr("id").match(/working\\-set\\-list\\-([\\w]+[\\w\\d\\-\\.\\:\\_]*)/).pop();\n        return _views[id];\n    }\n\n    /**\n     * Makes the specified element draggable\n     * @private\n     * @param {jQuery} $el - the element to make draggable\n     */\n    function _makeDraggable($el) {\n        var interval,\n            sourceFile = $el.data(_FILE_KEY);\n\n        // turn off the "hover-scroll"\n        function endScroll($el) {\n            if (interval) {\n                window.clearInterval(interval);\n                interval = undefined;\n            }\n        }\n\n        //  We scroll the list while hovering over the first or last visible list element\n        //  in the working set, so that positioning a working set item before or after one\n        //  that has been scrolled out of view can be performed.\n        //\n        //  This function will call the drag interface repeatedly on an interval to allow\n        //  the item to be dragged while scrolling the list until the mouse is moved off\n        //  the first or last item or endScroll is called\n        function scroll($container, $el, dir, callback) {\n            var container = $container[0],\n                maxScroll = container.scrollHeight - container.clientHeight;\n            if (maxScroll && dir && !interval) {\n                // Scroll view if the mouse is over the first or last pixels of the container\n                interval = window.setInterval(function () {\n                    var scrollTop = $container.scrollTop();\n                    if ((dir === -1 && scrollTop <= 0) || (dir === 1 && scrollTop >= maxScroll)) {\n                        endScroll($el);\n                    } else {\n                        $container.scrollTop(scrollTop + 7 * dir);\n                        callback($el);\n                    }\n                }, 50);\n            }\n        }\n\n        // The mouse down handler pretty much handles everything\n        $el.mousedown(function (e) {\n            var scrollDir = 0,\n                dragged = false,\n                startPageY = e.pageY,\n                lastPageY = startPageY,\n                lastHit = { where: NOMANSLAND },\n                tryClosing = $(e.target).hasClass("can-close"),\n                currentFile = MainViewManager.getCurrentlyViewedFile(),\n                activePaneId = MainViewManager.getActivePaneId(),\n                activeView = _views[activePaneId],\n                sourceView = _viewFromEl($el),\n                currentView = sourceView,\n                startingIndex = $el.index(),\n                itemHeight,\n                offset,\n                $copy,\n                $ghost,\n                draggingCurrentFile;\n\n            function initDragging() {\n                itemHeight = $el.height();\n                offset = $el.offset();\n                $copy = $el.clone();\n                $ghost = $("<div class=\'open-files-container wsv-drag-ghost\' style=\'overflow: hidden; display: inline-block;\'>").append($("<ul>").append($copy).css("padding", "0"));\n                draggingCurrentFile = ($el.hasClass("selected") && sourceView.paneId === activePaneId);\n\n                // setup our ghost element as position absolute\n                //  so we can put it wherever we want to while dragging\n                if (draggingCurrentFile && _hasSelectionFocus()) {\n                    $ghost.addClass("dragging-current-file");\n                }\n\n                $ghost.css({\n                    top: offset.top,\n                    left: offset.left,\n                    width: $el.width() + 8\n                });\n\n                // this will give the element the appearence that it\'s ghosted if the user\n                //  drags the element out of the view and goes off into no mans land\n                $ghost.appendTo($("body"));\n            }\n\n            // Switches the view context to match the hit context\n            function updateContext(hit) {\n                // just set the container and update\n                currentView = _viewFromEl(hit.which);\n            }\n\n            // Determines where the mouse hit was\n            function hitTest(e) {\n                var pageY = $ghost.offset().top,\n                    direction =  e.pageY - lastPageY,\n                    result = {\n                        where: NOMANSLAND\n                    },\n                    lookCount = 0,\n                    hasScroller = false,\n                    onTopScroller = false,\n                    onBottomScroller = false,\n                    $container,\n                    $hit,\n                    $item,\n                    $view,\n                    gTop,\n                    gHeight,\n                    gBottom,\n                    deltaY,\n                    containerOffset,\n                    scrollerTopArea,\n                    scrollerBottomArea;\n\n                // if the mouse is outside of the view then\n                //  return nomansland -- this prevents some UI glitches\n                //  that appear when dragging onto a second monitor\n                if (e.pageX < 0 || e.pageX > $workingFilesContainer.width()) {\n                    return result;\n                }\n\n                do {\n                    // Turn off the ghost so elementFromPoint ignores it\n                    $ghost.hide();\n\n                    $hit = $(window.document.elementFromPoint(e.pageX, pageY));\n                    $view = $hit.closest(".working-set-view");\n                    $item = $hit.closest("#working-set-list-container li");\n\n                    // Show the ghost again\n                    $ghost.show();\n\n                    $container = $view.children(".open-files-container");\n\n                    if ($container.length) {\n                        containerOffset = $container.offset();\n\n                        // Compute "scrollMe" regions\n                        scrollerTopArea = { top: containerOffset.top - 14,\n                                            bottom: containerOffset.top + 7};\n\n                        scrollerBottomArea = { top: containerOffset.top + $container.height() - 7,\n                                               bottom: containerOffset.top + $container.height() + 14};\n                    }\n\n                    // If we hit ourself then look for another\n                    //  element to insert before/after\n                    if ($item[0] === $el[0]) {\n                        if (direction > 0) {\n                            $item = $item.next();\n                            if ($item.length) {\n                                pageY += itemHeight;\n                            }\n                        } else {\n                            $item = $item.prev();\n                            if ($item.length) {\n                                pageY -= itemHeight;\n                            }\n                        }\n                    }\n\n                    // If we didn\'t hit anything then\n                    //  back up and try again in the other direction\n                    if (!$item.length) {\n                        pageY += itemHeight;\n                    }\n\n                    // look one more time below the mouse\n                    //  if we didn\'t get a hit\n                } while (!$item.length && ++lookCount < 2);\n\n                // if we hit a span or an anchor tag and didn\'t\n                //  find an item then force the selection hit to\n                //  the item so we can bail out on the scrollMe\n                //  region at the top and bottom of the list\n                if ($item.length === 0 && ($hit.is("a") || $hit.is("span"))) {\n                    $item = $hit.parents("#working-set-list-container li");\n                }\n\n                // compute ghost location, we compute the insertion point based\n                //  on where the ghost is, not where the  mouse is\n                gTop = $ghost.offset().top;\n                gHeight = $ghost.height();\n                gBottom = gTop + gHeight;\n                deltaY = pageY - e.pageY;\n\n                // data to help us determine if we have a scroller\n                hasScroller = $item.length && $container.length && $container[0].scrollHeight > $container[0].clientHeight;\n\n                // data to help determine if the ghost is in either of the scrollMe regions\n                onTopScroller = hasScroller && scrollerTopArea && ((gTop >= scrollerTopArea.top && gTop <= scrollerTopArea.bottom)  ||\n                                                    (gBottom >= scrollerTopArea.top && gBottom <= scrollerTopArea.bottom));\n                onBottomScroller = hasScroller && scrollerBottomArea && ((gTop >= scrollerBottomArea.top && gTop <= scrollerBottomArea.bottom) ||\n                                                         (gBottom >= scrollerBottomArea.top && gBottom <= scrollerBottomArea.bottom));\n\n\n                // helpers\n                function mouseIsInTopHalf($elem) {\n                    var top = $elem.offset().top,\n                        height = $elem.height();\n\n                    return (pageY < top + (height / 2));\n                }\n\n                function ghostIsAbove($elem) {\n                    var top = $elem.offset().top,\n                        checkVal = gTop;\n\n                    if (direction > 0) {\n                        checkVal += gHeight;\n                    }\n\n                    return (checkVal <=  (top + (itemHeight / 2)));\n                }\n\n                function ghostIsBelow($elem) {\n                    var top = $elem.offset().top,\n                        checkVal = gTop;\n\n                    if (direction > 0) {\n                        checkVal += gHeight;\n                    }\n\n                    return (checkVal >= (top + (itemHeight / 2)));\n                }\n\n                function elIsClearBelow($a, $b) {\n                    var aTop = $a.offset().top,\n                        bTop = $b.offset().top;\n\n                    return (aTop >= bTop + $b.height());\n                }\n\n                function draggingBelowWorkingSet() {\n                    return ($hit.length === 0 || elIsClearBelow($hit, $workingFilesContainer));\n                }\n\n                function targetIsContainer() {\n                    return ($hit.is(".working-set-view") ||\n                            $hit.is(".open-files-container") ||\n                            ($hit.is("ul") && $hit.parent().is(".open-files-container")));\n                }\n\n                function targetIsNoDrop() {\n                    return $hit.is(".working-set-header") ||\n                           $hit.is(".working-set-header-title") ||\n                           $hit.is(".scroller-shadow") ||\n                           $hit.is(".scroller-shadow");\n                }\n\n                function findViewFor($elem) {\n                    if ($elem.is(".working-set-view")) {\n                        return $elem;\n                    }\n                    return $elem.parents(".working-set-view");\n                }\n\n                if ($item.length) {\n                    // We hit an item (li)\n                    if (onTopScroller && (direction <= 0 || lastHit.where === TOPSCROLL)) {\n                        result = {\n                            where: TOPSCROLL,\n                            which: $item\n                        };\n                    } else if (onBottomScroller && (direction >= 0 || lastHit.where === BOTSCROLL)) {\n                        result = {\n                            where: BOTSCROLL,\n                            which: $item\n                        };\n                    } else if (ghostIsAbove($item)) {\n                        result = {\n                            where: ABOVEITEM,\n                            which: $item\n                        };\n                    } else if (ghostIsBelow($item)) {\n                        result = {\n                            where: BELOWITEM,\n                            which: $item\n                        };\n                    }\n                } else if ($el.parent()[0] !== $hit[0]) {\n                    // Didn\'t hit an li, figure out\n                    //  where to go from here\n                    $view = $el.parents(".working-set-view");\n\n                    if (targetIsNoDrop()) {\n                        if (direction < 0) {\n                            if (ghostIsBelow($hit)) {\n                                return result;\n                            }\n                        } else {\n                            return result;\n                        }\n                    }\n\n                    if (draggingBelowWorkingSet()) {\n                        return result;\n                    }\n\n                    if (targetIsContainer()) {\n                        if (mouseIsInTopHalf($hit)) {\n                            result = {\n                                where: ABOVEVIEW,\n                                which: findViewFor($hit)\n                            };\n                        } else {\n                            result = {\n                                where: BELOWVIEW,\n                                which: findViewFor($hit)\n                            };\n                        }\n                        return result;\n                    }\n\n                    // Data to determine to help determine if we should\n                    //  append to the previous or prepend to the next\n                    var $prev = $view.prev(),\n                        $next = $view.next();\n\n                    if (direction < 0) {\n                        // moving up, if there is a view above\n                        //  then we want to append to the view above\n                        // otherwise we\'re in nomandsland\n                        if ($prev.length) {\n                            result = {\n                                where: BELOWVIEW,\n                                which: $prev\n                            };\n                        }\n                    } else if (direction > 0) {\n                        // moving down, if there is a view below\n                        // then we want to append to the view below\n                        //  otherwise we\'re in nomandsland\n                        if ($next.length) {\n                            result = {\n                                where: ABOVEVIEW,\n                                which: $next\n                            };\n                        }\n                    } else if (mouseIsInTopHalf($view)) {\n                        // we\'re inside the top half of\n                        //  a view so prepend to the view we hit\n                        result = {\n                            where: ABOVEVIEW,\n                            which: $view\n                        };\n                    } else {\n                        // we\'re inside the bottom half of\n                        //  a view so append to the view we hit\n                        result = {\n                            where: BELOWVIEW,\n                            which: $view\n                        };\n                    }\n                } else {\n                    // The item doesn\'t need updating\n                    result = {\n                        where: NOMOVEITEM,\n                        which: $hit\n                    };\n                }\n\n                return result;\n            }\n\n            // mouse move handler -- this pretty much does\n            //  the heavy lifting for dragging the item around\n            $(window).on("mousemove.wsvdragging", function (e) {\n                // The drag function\n                function drag(e) {\n                    if (!dragged) {\n                        initDragging();\n                        // sort redraw and scroll shadows\n                        //  cause problems during drag so disable them\n                        _suppressSortRedrawForAllViews(true);\n                        _suppressScrollShadowsOnAllViews(true);\n\n                        // remove the "active" class to remove the\n                        //  selection indicator so we don\'t have to\n                        //  keep it in sync while we\'re dragging\n                        _deactivateAllViews(true);\n\n                        // add a "dragging" class to the outer container\n                        $workingFilesContainer.addClass("dragging");\n\n                        // add a class to the element we\'re dragging if\n                        //  it\'s the currently selected file so that we\n                        //  can show it as selected while dragging\n                        if (!draggingCurrentFile && FileViewController.getFileSelectionFocus() === FileViewController.WORKING_SET_VIEW) {\n                            $(activeView._findListItemFromFile(currentFile)).addClass("drag-show-as-selected");\n                        }\n\n                        // we\'ve dragged the item so set\n                        //  dragged to true so we don\'t try and open it\n                        dragged = true;\n                    }\n\n                    // reset the scrolling direction to no-scroll\n                    scrollDir = 0;\n\n                    // Find out where to to drag it to\n                    lastHit = hitTest(e);\n\n                    // if the drag goes into nomansland then\n                    //  drop the opacity on the drag affordance\n                    //  and show the inserted item at reduced opacity\n                    switch (lastHit.where) {\n                    case NOMANSLAND:\n                    case BELOWVIEW:\n                    case ABOVEVIEW:\n                        $el.css({opacity: ".75"});\n                        $ghost.css("opacity", ".25");\n                        break;\n                    default:\n                        $el.css({opacity: ".0001"});\n                        $ghost.css("opacity", "");\n                        break;\n                    }\n\n                    // now do the insertion\n                    switch (lastHit.where) {\n                    case TOPSCROLL:\n                    case ABOVEITEM:\n                        if (lastHit.where === TOPSCROLL) {\n                            scrollDir = -1;\n                        }\n                        $el.insertBefore(lastHit.which);\n                        updateContext(lastHit);\n                        break;\n                    case BOTSCROLL:\n                    case BELOWITEM:\n                        if (lastHit.where === BOTSCROLL) {\n                            scrollDir = 1;\n                        }\n                        $el.insertAfter(lastHit.which);\n                        updateContext(lastHit);\n                        break;\n                    case BELOWVIEW:\n                        $el.appendTo(lastHit.which.find("ul"));\n                        updateContext(lastHit);\n                        break;\n                    case ABOVEVIEW:\n                        $el.prependTo(lastHit.which.find("ul"));\n                        updateContext(lastHit);\n                        break;\n                    }\n\n                    // we need to scroll\n                    if (scrollDir) {\n                        // we\'re in range to scroll\n                        scroll(currentView.$openFilesContainer, $el, scrollDir, function () {\n                            // as we scroll, recompute the element and insert\n                            //  it before/after the item to drag it in to place\n                            drag(e);\n                        });\n                    } else {\n                        // we\'ve moved away from the top/bottom "scrolling" region\n                        endScroll($el);\n                    }\n                }\n\n                // Reposition the drag affordance if we\'ve started dragging\n                if ($ghost) {\n                    $ghost.css("top", $ghost.offset().top + (e.pageY - lastPageY));\n                }\n\n                // if we have\'t started dragging yet then we wait until\n                //  the mouse has moved 3 pixels before we start dragging\n                //  to avoid the item moving when clicked or double clicked\n                if (dragged || Math.abs(e.pageY - startPageY) > _DRAG_MOVE_DETECTION_START) {\n                    drag(e);\n                }\n\n                lastPageY = e.pageY;\n                e.stopPropagation();\n            });\n\n\n            function scrollCurrentViewToBottom() {\n                var $container = currentView.$openFilesContainer,\n                    container = $container[0],\n                    maxScroll = container.scrollHeight - container.clientHeight;\n\n                if (maxScroll) {\n                    $container.scrollTop(maxScroll);\n                }\n            }\n\n            // Close down the drag operation\n            function preDropCleanup() {\n                window.onmousewheel = window.document.onmousewheel = null;\n                $(window).off(".wsvdragging");\n                if (dragged) {\n                    $workingFilesContainer.removeClass("dragging");\n                    $workingFilesContainer.find(".drag-show-as-selected").removeClass("drag-show-as-selected");\n                    endScroll($el);\n                    // re-activate the views (adds the "active" class to the view that was previously active)\n                    _deactivateAllViews(false);\n                    // turn scroll wheel back on\n                    $ghost.remove();\n                    $el.css("opacity", "");\n\n                    if ($el.next().length === 0) {\n                        scrollCurrentViewToBottom();\n                    }\n                }\n            }\n\n            // Final Cleanup\n            function postDropCleanup(noRefresh) {\n                if (dragged) {\n                    // re-enable stuff we turned off\n                    _suppressSortRedrawForAllViews(false);\n                    _suppressScrollShadowsOnAllViews(false);\n                }\n\n                // we don\'t need to refresh if the item\n                //  was dragged but not enough to not change\n                //  its order in the working set\n                if (!noRefresh) {\n                    // rebuild the view\n                    refresh(true);\n                }\n                // focus the editor\n                MainViewManager.focusActivePane();\n            }\n\n            // Drop\n            function drop() {\n                preDropCleanup();\n                if (sourceView.paneId === currentView.paneId && startingIndex === $el.index()) {\n                    // if the item was dragged but not moved then don\'t open or close\n                    if (!dragged) {\n                        // Click on close icon, or middle click anywhere - close the item without selecting it first\n                        if (tryClosing || e.which === MIDDLE_BUTTON) {\n                            CommandManager\n                                .execute(Commands.FILE_CLOSE, {file: sourceFile,\n                                                           paneId: sourceView.paneId})\n                                .always(function () {\n                                    postDropCleanup();\n                                });\n                        } else {\n                            // Normal right and left click - select the item\n                            FileViewController.setFileViewFocus(FileViewController.WORKING_SET_VIEW);\n                            CommandManager\n                                .execute(Commands.FILE_OPEN, {fullPath: sourceFile.fullPath,\n                                                               paneId: currentView.paneId})\n                                .always(function () {\n                                    postDropCleanup();\n                                });\n                        }\n                    } else {\n                        // no need to refresh\n                        postDropCleanup(true);\n                    }\n                } else if (sourceView.paneId === currentView.paneId) {\n                    // item was reordered\n                    MainViewManager._moveWorkingSetItem(sourceView.paneId, startingIndex, $el.index());\n                    postDropCleanup();\n                } else {\n                    // If the same doc view is present in the destination pane prevent drop\n                    if (!MainViewManager._getPane(currentView.paneId).getViewForPath(sourceFile.fullPath)) {\n                        // item was dragged to another working set\n                        MainViewManager._moveView(sourceView.paneId, currentView.paneId, sourceFile, $el.index())\n                            .always(function () {\n                                // if the current document was dragged to another working set\n                                //  then reopen it to make it the currently selected file\n                                if (draggingCurrentFile) {\n                                    CommandManager\n                                        .execute(Commands.FILE_OPEN, {fullPath: sourceFile.fullPath,\n                                                                       paneId: currentView.paneId})\n                                        .always(function () {\n                                            postDropCleanup();\n                                        });\n                                } else {\n                                    postDropCleanup();\n                                }\n                            });\n                    } else {\n                        postDropCleanup();\n                    }\n                }\n            }\n\n            // prevent working set from grabbing focus no matter what type of click/drag occurs\n            e.preventDefault();\n\n            // initialization\n            $(window).on("mouseup.wsvdragging", function () {\n                drop();\n            });\n\n            // let escape cancel the drag\n            $(window).on("keydown.wsvdragging", function (e) {\n                if (e.keyCode === KeyEvent.DOM_VK_ESCAPE) {\n                    preDropCleanup();\n                    postDropCleanup();\n                    e.stopPropagation();\n                }\n            });\n\n            // turn off scroll wheel\n            window.onmousewheel = window.document.onmousewheel = function (e) {\n                e.preventDefault();\n            };\n\n            // close all menus, and disable sorting\n            Menus.closeAll();\n\n            // Dragging only happens with the left mouse button\n            //  or (on the Mac) when the ctrl key isn\'t pressed\n            if (e.which !== LEFT_BUTTON || (e.ctrlKey && brackets.platform === "mac")) {\n                drop();\n                return;\n            }\n\n\n\n            e.stopPropagation();\n        });\n    }\n\n    /*\n     * WorkingSetView constructor\n     * @constructor\n     * @param {!jQuery} $container - owning container\n     * @param {!string} paneId - paneId of this view pertains to\n     */\n    function WorkingSetView($container, paneId) {\n        var id = "working-set-list-" + paneId;\n\n        this.$header = null;\n        this.$openFilesList = null;\n        this.$container = $container;\n        this.$el = $container.append(Mustache.render(paneListTemplate, _.extend({id: id}, Strings))).find("#" + id);\n        this.suppressSortRedraw = false;\n        this.paneId = paneId;\n\n        this.init();\n    }\n\n    /*\n     * Hides or shows the WorkingSetView\n     */\n    WorkingSetView.prototype._updateVisibility = function () {\n        var fileList = MainViewManager.getWorkingSet(this.paneId);\n        if (MainViewManager.getPaneCount() === 1 && (!fileList || fileList.length === 0)) {\n            this.$openFilesContainer.hide();\n            this.$workingSetListViewHeader.hide();\n        } else {\n            this.$openFilesContainer.show();\n            this.$workingSetListViewHeader.show();\n            this._checkForDuplicatesInWorkingTree();\n        }\n    };\n\n    /*\n     * paneLayoutChange event listener\n     * @private\n     */\n    WorkingSetView.prototype._handlePaneLayoutChange = function () {\n        var $titleEl = this.$el.find(".working-set-header-title"),\n            title = Strings.WORKING_FILES;\n\n        this._updateVisibility();\n\n        if (MainViewManager.getPaneCount() > 1) {\n            title = MainViewManager.getPaneTitle(this.paneId);\n        }\n\n        $titleEl.text(title);\n    };\n\n    /**\n     * Finds the listItem item assocated with the file. Returns null if not found.\n     * @private\n     * @param {!File} file\n     * @return {HTMLLIItem} returns the DOM element of the item. null if one could not be found\n     */\n    WorkingSetView.prototype._findListItemFromFile = function (file) {\n        var result = null;\n\n        if (file) {\n            var items = this.$openFilesContainer.find("ul").children();\n            items.each(function () {\n                var $listItem = $(this);\n                if ($listItem.data(_FILE_KEY).fullPath === file.fullPath) {\n                    result = $listItem;\n                    return false; // breaks each\n                }\n            });\n        }\n\n        return result;\n    };\n\n    /*\n     * creates a name that is namespaced to this pane\n     * @param {!string} name - name of the event to create.\n     * use an empty string to get just the event name to turn off all events in the namespace\n     * @private\n     */\n    WorkingSetView.prototype._makeEventName = function (name) {\n        return name + ".paneList" + this.paneId;\n    };\n\n\n    /**\n     * Scrolls the selected file into view\n     * @private\n     */\n    WorkingSetView.prototype._scrollSelectedFileIntoView = function () {\n        if (!_hasSelectionFocus()) {\n            return;\n        }\n\n        var file = MainViewManager.getCurrentlyViewedFile(this.paneId);\n\n        var $selectedFile = this._findListItemFromFile(file);\n        if (!$selectedFile) {\n            return;\n        }\n\n        ViewUtils.scrollElementIntoView(this.$openFilesContainer, $selectedFile, false);\n    };\n\n    /**\n     * Redraw selection when list size changes or DocumentManager currentDocument changes.\n     * @param {boolean=} scrollIntoView = Scrolls the selected item into view (the default behavior)\n     * @private\n     */\n    WorkingSetView.prototype._fireSelectionChanged = function (scrollIntoView) {\n        var reveal = (scrollIntoView === undefined || scrollIntoView === true);\n\n        if (reveal) {\n            this._scrollSelectedFileIntoView();\n        }\n\n        if (_hasSelectionFocus() && this.$el.hasClass("active")) {\n            this.$openFilesList.trigger("selectionChanged", reveal);\n        } else {\n            this.$openFilesList.trigger("selectionHide");\n        }\n        // in-lieu of resize events, manually trigger contentChanged to update scroll shadows\n        this.$openFilesContainer.trigger("contentChanged");\n    };\n\n    /**\n     * adds the style \'vertical-scroll\' if a vertical scroll bar is present\n     * @private\n     */\n    WorkingSetView.prototype._adjustForScrollbars = function () {\n        if (this.$openFilesContainer[0].scrollHeight > this.$openFilesContainer[0].clientHeight) {\n            if (!this.$openFilesContainer.hasClass("vertical-scroll")) {\n                this.$openFilesContainer.addClass("vertical-scroll");\n            }\n        } else {\n            this.$openFilesContainer.removeClass("vertical-scroll");\n        }\n    };\n\n    /**\n     * Adds directory names to elements representing passed files in working tree\n     * @private\n     * @param {Array.<File>} filesList - list of Files with the same filename\n     */\n    WorkingSetView.prototype._addDirectoryNamesToWorkingTreeFiles = function (filesList) {\n        // filesList must have at least two files in it for this to make sense\n        if (filesList.length <= 1) {\n            return;\n        }\n\n        var displayPaths = ViewUtils.getDirNamesForDuplicateFiles(filesList);\n\n        // Go through open files and add directories to appropriate entries\n        this.$openFilesContainer.find("ul > li").each(function () {\n            var $li = $(this);\n            var io = filesList.indexOf($li.data(_FILE_KEY));\n            if (io !== -1) {\n                var dirSplit = displayPaths[io].split("/");\n                if (dirSplit.length > 3) {\n                    displayPaths[io] = dirSplit[0] + "/\\u2026/" + dirSplit[dirSplit.length - 1];\n                }\n\n                var $dir = $("<span class=\'directory\'/>").html(" &mdash; " + displayPaths[io]);\n                $li.children("a").append($dir);\n            }\n        });\n    };\n\n    /**\n     * Looks for files with the same name in the working set\n     * and adds a parent directory name to them\n     * @private\n     */\n    WorkingSetView.prototype._checkForDuplicatesInWorkingTree = function () {\n        var self = this,\n            map = {},\n            fileList = MainViewManager.getWorkingSet(MainViewManager.ALL_PANES);\n\n        // We need to always clear current directories as files could be removed from working tree.\n        this.$openFilesContainer.find("ul > li > a > span.directory").remove();\n\n        // Go through files and fill map with arrays of files.\n        fileList.forEach(function (file) {\n            // Use the same function that is used to create html for file.\n            var displayHtml = ViewUtils.getFileEntryDisplay(file);\n\n            if (!map[displayHtml]) {\n                map[displayHtml] = [];\n            }\n            map[displayHtml].push(file);\n        });\n\n        // Go through the map and solve the arrays with length over 1. Ignore the rest.\n        _.forEach(map, function (value) {\n            if (value.length > 1) {\n                self._addDirectoryNamesToWorkingTreeFiles(value);\n            }\n        });\n    };\n\n    /**\n     * Shows/Hides open files list based on working set content.\n     * @private\n     */\n    WorkingSetView.prototype._redraw = function () {\n        this._updateViewState();\n        this._updateVisibility();\n        this._updateItemClasses();\n        this._adjustForScrollbars();\n        this._fireSelectionChanged();\n    };\n\n    /**\n     * activePaneChange event handler\n     * @private\n     */\n    WorkingSetView.prototype._handleActivePaneChange = function () {\n        this._redraw();\n    };\n\n    /**\n     * Updates the appearance of the list element based on the parameters provided\n     * @private\n     * @param {!HTMLLIElement} listElement\n     * @param {bool} isDirty\n     * @param {bool} canClose\n     */\n    WorkingSetView.prototype._updateFileStatusIcon = function (listElement, isDirty, canClose) {\n        var $fileStatusIcon = listElement.find(".file-status-icon"),\n            showIcon = isDirty || canClose;\n\n        // remove icon if its not needed\n        if (!showIcon && $fileStatusIcon.length !== 0) {\n            $fileStatusIcon.remove();\n            $fileStatusIcon = null;\n\n        // create icon if its needed and doesn\'t exist\n        } else if (showIcon && $fileStatusIcon.length === 0) {\n\n            $fileStatusIcon = $("<div class=\'file-status-icon\'></div>")\n                .prependTo(listElement);\n        }\n\n        // Set icon\'s class\n        if ($fileStatusIcon) {\n            ViewUtils.toggleClass($fileStatusIcon, "dirty", isDirty);\n            ViewUtils.toggleClass($fileStatusIcon, "can-close", canClose);\n        }\n    };\n\n    /**\n     * Updates the working set item class list\n     * @private\n     */\n    WorkingSetView.prototype._updateItemClasses = function () {\n        if (_classProviders.length > 0) {\n            this.$openFilesContainer.find("ul > li").each(function () {\n                var $li = $(this),\n                    file = $li.data(_FILE_KEY),\n                    data = {fullPath: file.fullPath,\n                            name: file.name,\n                            isFile: file.isFile};\n                $li.removeAttr("class");\n                _classProviders.forEach(function (provider) {\n                    $li.addClass(provider(data));\n                });\n            });\n        }\n    };\n\n    /**\n     * Builds the UI for a new list item and inserts in into the end of the list\n     * @private\n     * @param {File} file\n     * @return {HTMLLIElement} newListItem\n     */\n    WorkingSetView.prototype._createNewListItem = function (file) {\n        var self = this,\n            selectedFile = MainViewManager.getCurrentlyViewedFile(this.paneId),\n            data = {fullPath: file.fullPath,\n                    name: file.name,\n                    isFile: file.isFile};\n\n        // Create new list item with a link\n        var $link = $("<a href=\'#\'></a>").html(ViewUtils.getFileEntryDisplay(file));\n\n        _iconProviders.forEach(function (provider) {\n            var icon = provider(data);\n            if (icon) {\n                $link.prepend($(icon));\n            }\n        });\n\n        var $newItem = $("<li></li>")\n            .append($link)\n            .data(_FILE_KEY, file);\n\n        this.$openFilesContainer.find("ul").append($newItem);\n\n        _classProviders.forEach(function (provider) {\n            $newItem.addClass(provider(data));\n        });\n\n        // Update the listItem\'s apperance\n        this._updateFileStatusIcon($newItem, _isOpenAndDirty(file), false);\n        _updateListItemSelection($newItem, selectedFile);\n        _makeDraggable($newItem);\n\n        $newItem.hover(\n            function () {\n                self._updateFileStatusIcon($(this), _isOpenAndDirty(file), true);\n            },\n            function () {\n                self._updateFileStatusIcon($(this), _isOpenAndDirty(file), false);\n            }\n        );\n    };\n\n    /**\n     * Deletes all the list items in the view and rebuilds them from the working set model\n     * @private\n     */\n    WorkingSetView.prototype._rebuildViewList = function (forceRedraw) {\n        var self = this,\n            fileList = MainViewManager.getWorkingSet(this.paneId);\n\n        this.$openFilesContainer.find("ul").empty();\n\n        fileList.forEach(function (file) {\n            self._createNewListItem(file);\n        });\n\n        if (forceRedraw) {\n            self._redraw();\n        }\n    };\n\n    /**\n     * Updates the pane view\'s selection state\n     * @private\n     */\n    WorkingSetView.prototype._updateViewState = function () {\n        var paneId = MainViewManager.getActivePaneId();\n        if (_hasSelectionFocus() && paneId === this.paneId) {\n            this.$el.addClass("active");\n            this.$openFilesContainer.addClass("active");\n        } else {\n            this.$el.removeClass("active");\n            this.$openFilesContainer.removeClass("active");\n        }\n    };\n\n    /**\n     * Updates the pane view\'s selection marker and scrolls the item into view\n     * @private\n     */\n    WorkingSetView.prototype._updateListSelection = function () {\n        var file = MainViewManager.getCurrentlyViewedFile(this.paneId);\n\n        this._updateViewState();\n\n        // Iterate through working set list and update the selection on each\n        this.$openFilesContainer.find("ul").children().each(function () {\n            _updateListItemSelection(this, file);\n        });\n\n        // Make sure selection is in view\n        this._scrollSelectedFileIntoView();\n        this._fireSelectionChanged();\n    };\n\n    /**\n     * workingSetAdd event handler\n     * @private\n     * @param {jQuery.Event} e - event object\n     * @param {!File} fileAdded - the file that was added\n     * @param {!number} index - index where the file was added\n     * @param {!string} paneId - the id of the pane the item that was to\n     */\n    WorkingSetView.prototype._handleFileAdded = function (e, fileAdded, index, paneId) {\n        if (paneId === this.paneId) {\n            this._rebuildViewList(true);\n        } else {\n            this._checkForDuplicatesInWorkingTree();\n        }\n    };\n\n    /**\n     * workingSetAddList event handler\n     * @private\n     * @param {jQuery.Event} e - event object\n     * @param {!Array.<File>} files - the files that were added\n     * @param {!string} paneId - the id of the pane the item that was to\n     */\n    WorkingSetView.prototype._handleFileListAdded = function (e, files, paneId) {\n        if (paneId === this.paneId) {\n            this._rebuildViewList(true);\n        } else {\n            this._checkForDuplicatesInWorkingTree();\n        }\n    };\n\n    /**\n     * workingSetRemove event handler\n     * @private\n     * @param {jQuery.Event} e - event object\n     * @param {!File} file - the file that was removed\n     * @param {?boolean} suppressRedraw If true, suppress redraw\n     * @param {!string} paneId - the id of the pane the item that was to\n     */\n    WorkingSetView.prototype._handleFileRemoved = function (e, file, suppressRedraw, paneId) {\n        /*\n         * The suppressRedraw flag is used in cases when we are replacing the working\n         * set entry with another one. There are only 2 use cases for this:\n         *\n         *      1) When an untitled document is being saved.\n         *      2) When a file is saved with a new name.\n         */\n        if (paneId === this.paneId) {\n            if (!suppressRedraw) {\n                var $listItem = this._findListItemFromFile(file);\n                if ($listItem) {\n                    // Make the next file in the list show the close icon,\n                    // without having to move the mouse, if there is a next file.\n                    var $nextListItem = $listItem.next();\n                    if ($nextListItem && $nextListItem.length > 0) {\n                        var canClose = ($listItem.find(".can-close").length === 1);\n                        var isDirty = _isOpenAndDirty($nextListItem.data(_FILE_KEY));\n                        this._updateFileStatusIcon($nextListItem, isDirty, canClose);\n                    }\n                    $listItem.remove();\n                }\n                this._redraw();\n            }\n        } else {\n            /*\n             * When this event is handled by a pane that is not being updated then\n             * the suppressRedraw flag does not need to be respected.\n             * _checkForDuplicatesInWorkingTree() does not remove any entries so it\'s\n             * safe to call at any time.\n             */\n            this._checkForDuplicatesInWorkingTree();\n        }\n    };\n\n    /**\n     * workingSetRemoveList event handler\n     * @private\n     * @param {jQuery.Event} e - event object\n     * @param {!Array.<File>} files - the files that were removed\n     * @param {!string} paneId - the id of the pane the item that was to\n     */\n    WorkingSetView.prototype._handleRemoveList = function (e, files, paneId) {\n        var self = this;\n        if (paneId === this.paneId) {\n            files.forEach(function (file) {\n                var $listItem = self._findListItemFromFile(file);\n                if ($listItem) {\n                    $listItem.remove();\n                }\n            });\n\n            this._redraw();\n        } else {\n            this._checkForDuplicatesInWorkingTree();\n        }\n    };\n\n    /**\n     * workingSetSort event handler\n     * @private\n     * @param {jQuery.Event} e - event object\n     * @param {!string} paneId - the id of the pane to sort\n     */\n    WorkingSetView.prototype._handleWorkingSetSort = function (e, paneId) {\n        if (!this.suppressSortRedraw && paneId === this.paneId) {\n            this._rebuildViewList(true);\n        }\n    };\n\n    /**\n     * dirtyFlagChange event handler\n     * @private\n     * @param {jQuery.Event} e - event object\n     * @param {Document} doc - document whose dirty state has changed\n     */\n    WorkingSetView.prototype._handleDirtyFlagChanged = function (e, doc) {\n        var listItem = this._findListItemFromFile(doc.file);\n        if (listItem) {\n            var canClose = $(listItem).find(".can-close").length === 1;\n            this._updateFileStatusIcon(listItem, doc.isDirty, canClose);\n        }\n    };\n\n    /**\n     * workingSetUpdate event handler\n     * @private\n     * @param {jQuery.Event} e - event object\n     * @param {!string} paneId - the id of the pane to update\n     */\n    WorkingSetView.prototype._handleWorkingSetUpdate = function (e, paneId) {\n        if (this.paneId === paneId) {\n            this._rebuildViewList(true);\n        } else {\n            this._checkForDuplicatesInWorkingTree();\n        }\n    };\n\n\n    /**\n     * Initializes the WorkingSetView object\n     */\n    WorkingSetView.prototype.init = function () {\n        this.$openFilesContainer = this.$el.find(".open-files-container");\n        this.$workingSetListViewHeader = this.$el.find(".working-set-header");\n\n        this.$openFilesList = this.$el.find("ul");\n\n        // Register listeners\n        MainViewManager.on(this._makeEventName("workingSetAdd"), _.bind(this._handleFileAdded, this));\n        MainViewManager.on(this._makeEventName("workingSetAddList"), _.bind(this._handleFileListAdded, this));\n        MainViewManager.on(this._makeEventName("workingSetRemove"), _.bind(this._handleFileRemoved, this));\n        MainViewManager.on(this._makeEventName("workingSetRemoveList"), _.bind(this._handleRemoveList, this));\n        MainViewManager.on(this._makeEventName("workingSetSort"), _.bind(this._handleWorkingSetSort, this));\n        MainViewManager.on(this._makeEventName("activePaneChange"), _.bind(this._handleActivePaneChange, this));\n        MainViewManager.on(this._makeEventName("paneLayoutChange"), _.bind(this._handlePaneLayoutChange, this));\n        MainViewManager.on(this._makeEventName("workingSetUpdate"), _.bind(this._handleWorkingSetUpdate, this));\n\n        DocumentManager.on(this._makeEventName("dirtyFlagChange"), _.bind(this._handleDirtyFlagChanged, this));\n\n        FileViewController.on(this._makeEventName("documentSelectionFocusChange") + " " + this._makeEventName("fileViewFocusChange"), _.bind(this._updateListSelection, this));\n\n        // Show scroller shadows when open-files-container scrolls\n        ViewUtils.addScrollerShadow(this.$openFilesContainer[0], null, true);\n        ViewUtils.sidebarList(this.$openFilesContainer);\n\n        // Disable horizontal scrolling until WebKit bug #99379 is fixed\n        this.$openFilesContainer.css("overflow-x", "hidden");\n\n        this.$openFilesContainer.on("contextmenu.workingSetView", function (e) {\n            Menus.getContextMenu(Menus.ContextMenuIds.WORKING_SET_CONTEXT_MENU).open(e);\n        });\n\n        this._redraw();\n    };\n\n    /**\n     * Destroys the WorkingSetView DOM element and removes all event handlers\n     */\n    WorkingSetView.prototype.destroy = function () {\n        ViewUtils.removeScrollerShadow(this.$openFilesContainer[0], null);\n        this.$openFilesContainer.off(".workingSetView");\n        this.$el.remove();\n        MainViewManager.off(this._makeEventName(""));\n        DocumentManager.off(this._makeEventName(""));\n        FileViewController.off(this._makeEventName(""));\n    };\n\n    /**\n     * paneDestroy event handler\n     */\n    MainViewManager.on("paneDestroy", function (e, paneId) {\n        var view = _views[paneId];\n        delete _views[view.paneId];\n        view.destroy();\n    });\n\n    /**\n     * Creates a new WorkingSetView object for the specified pane\n     * @param {!jQuery} $container - the WorkingSetView\'s DOM parent node\n     * @param {!string} paneId - the id of the pane the view is being created for\n     */\n    function createWorkingSetViewForPane($container, paneId) {\n        var view = _views[paneId];\n        if (!view) {\n            view = new WorkingSetView($container, paneId);\n            _views[view.paneId] = view;\n        }\n    }\n\n\n    /**\n     * Adds an icon provider. The callback is invoked before each working set item is created, and can\n     * return content to prepend to the item.\n     *\n     * @param {!function(!{name:string, fullPath:string, isFile:boolean}):?string|jQuery|DOMNode} callback\n     * Return a string representing the HTML, a jQuery object or DOM node, or undefined. If undefined,\n     * nothing is prepended to the list item.\n     */\n    function addIconProvider(callback) {\n        if (!callback) {\n            return;\n        }\n        _iconProviders.push(callback);\n        // build all views so the provider has a chance to add icons\n        //    to all items that have already been created\n        refresh(true);\n    }\n\n    /**\n     * Adds a CSS class provider, invoked before each working set item is created or updated. When called\n     * to update an existing item, all previously applied classes have been cleared.\n     *\n     * @param {!function(!{name:string, fullPath:string, isFile:boolean}):?string} callback\n     * Return a string containing space-separated CSS class(es) to add, or undefined to leave CSS unchanged.\n     */\n    function addClassProvider(callback) {\n        if (!callback) {\n            return;\n        }\n        _classProviders.push(callback);\n        // build all views so the provider has a chance to style\n        //    all items that have already been created\n        refresh(true);\n    }\n\n    AppInit.htmlReady(function () {\n        $workingFilesContainer =  $("#working-set-list-container");\n    });\n    \n    /*\n     * To be used by other modules/deafult-extensions which needs to borrow working set entry icons\n     * @param {!object} data - contains file info {fullPath, name, isFile}\n     * @param {!jQuery} $element - jquery fn wrap for the list item\n     */\n    function useIconProviders(data, $element) {\n        _iconProviders.forEach(function (provider) {\n            var icon = provider(data);\n            if (icon) {\n                $element.prepend($(icon));\n            }\n        });\n    }\n\n    /*\n     * To be used by other modules/default-extensions which needs to borrow working set entry custom classes\n     * @param {!object} data - contains file info {fullPath, name, isFile}\n     * @param {!jQuery} $element - jquery fn wrap for the list item\n     */\n    function useClassProviders(data, $element) {\n        _classProviders.forEach(function (provider) {\n            $element.addClass(provider(data));\n        });\n    }\n    \n    // Public API\n    exports.createWorkingSetViewForPane   = createWorkingSetViewForPane;\n    exports.refresh                       = refresh;\n    exports.addIconProvider               = addIconProvider;\n    exports.addClassProvider              = addClassProvider;\n    exports.syncSelectionIndicator        = syncSelectionIndicator;\n    \n    // API to be used only by default extensions\n    exports.useIconProviders              = useIconProviders;\n    exports.useClassProviders               = useClassProviders;\n});\n\n//# sourceURL=/project/WorkingSetView.js'),
eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * The view that controls the showing and hiding of the sidebar.\n *\n * Although the sidebar view doesn\'t dispatch any events directly, it is a\n * resizable element (../utils/Resizer.js), which means it can dispatch Resizer\n * events.  For example, if you want to listen for the sidebar showing\n * or hiding itself, set up listeners for the corresponding Resizer events,\n * panelCollapsed and panelExpanded:\n *\n *      $("#sidebar").on("panelCollapsed", ...);\n *      $("#sidebar").on("panelExpanded", ...);\n */\ndefine(\'project/SidebarView\',[\'require\',\'exports\',\'module\',\'utils/AppInit\',\'project/ProjectManager\',\'project/WorkingSetView\',\'view/MainViewManager\',\'command/CommandManager\',\'command/Commands\',\'strings\',\'utils/Resizer\',\'thirdparty/lodash\'],function (require, exports, module) {\n    "use strict";\n\n    var AppInit         = require("utils/AppInit"),\n        ProjectManager  = require("project/ProjectManager"),\n        WorkingSetView  = require("project/WorkingSetView"),\n        MainViewManager = require("view/MainViewManager"),\n        CommandManager  = require("command/CommandManager"),\n        Commands        = require("command/Commands"),\n        Strings         = require("strings"),\n        Resizer         = require("utils/Resizer"),\n        _               = require("thirdparty/lodash");\n\n    // These vars are initialized by the htmlReady handler\n    // below since they refer to DOM elements\n    var $sidebar,\n        $gearMenu,\n        $splitViewMenu,\n        $projectTitle,\n        $projectFilesContainer,\n        $workingSetViewsContainer;\n\n    var _cmdSplitNone,\n        _cmdSplitVertical,\n        _cmdSplitHorizontal;\n\n    /**\n     * @private\n     * Update project title when the project root changes\n     */\n    function _updateProjectTitle() {\n        var displayName = ProjectManager.getProjectRoot().name;\n        var fullPath = ProjectManager.getProjectRoot().fullPath;\n\n        if (displayName === "" && fullPath === "/") {\n            displayName = "/";\n        }\n\n        $projectTitle.html(_.escape(displayName));\n        $projectTitle.attr("title", fullPath);\n\n        // Trigger a scroll on the project files container to\n        // reposition the scroller shadows and avoid issue #2255\n        $projectFilesContainer.trigger("scroll");\n    }\n\n    /**\n     * Toggle sidebar visibility.\n     */\n    function toggle() {\n        Resizer.toggle($sidebar);\n    }\n\n    /**\n     * Show the sidebar.\n     */\n    function show() {\n        Resizer.show($sidebar);\n    }\n\n    /**\n     * Hide the sidebar.\n     */\n    function hide() {\n        Resizer.hide($sidebar);\n    }\n\n    /**\n     * Returns the visibility state of the sidebar.\n     * @return {boolean} true if element is visible, false if it is not visible\n     */\n    function isVisible() {\n        return Resizer.isVisible($sidebar);\n    }\n\n    /**\n     * Update state of working set\n     * @private\n     */\n    function _updateWorkingSetState() {\n        if (MainViewManager.getPaneCount() === 1 &&\n                MainViewManager.getWorkingSetSize(MainViewManager.ACTIVE_PANE) === 0) {\n            $workingSetViewsContainer.hide();\n            $gearMenu.hide();\n        } else {\n            $workingSetViewsContainer.show();\n            $gearMenu.show();\n        }\n    }\n\n    /**\n     * Update state of splitview and option elements\n     * @private\n     */\n    function _updateUIStates() {\n        var spriteIndex,\n            ICON_CLASSES = ["splitview-icon-none", "splitview-icon-vertical", "splitview-icon-horizontal"],\n            layoutScheme = MainViewManager.getLayoutScheme();\n\n        if (layoutScheme.columns > 1) {\n            spriteIndex = 1;\n        } else if (layoutScheme.rows > 1) {\n            spriteIndex = 2;\n        } else {\n            spriteIndex = 0;\n        }\n\n        // SplitView Icon\n        $splitViewMenu.removeClass(ICON_CLASSES.join(" "))\n                      .addClass(ICON_CLASSES[spriteIndex]);\n\n        // SplitView Menu\n        _cmdSplitNone.setChecked(spriteIndex === 0);\n        _cmdSplitVertical.setChecked(spriteIndex === 1);\n        _cmdSplitHorizontal.setChecked(spriteIndex === 2);\n\n        // Options icon\n        _updateWorkingSetState();\n    }\n\n    /**\n     * Handle No Split Command\n     * @private\n     */\n    function _handleSplitViewNone() {\n        MainViewManager.setLayoutScheme(1, 1);\n    }\n\n    /**\n     * Handle Vertical Split Command\n     * @private\n     */\n    function _handleSplitViewVertical() {\n        MainViewManager.setLayoutScheme(1, 2);\n    }\n\n    /**\n     * Handle Horizontal Split Command\n     * @private\n     */\n    function _handleSplitViewHorizontal() {\n        MainViewManager.setLayoutScheme(2, 1);\n    }\n\n    // Initialize items dependent on HTML DOM\n    AppInit.htmlReady(function () {\n        $sidebar                  = $("#sidebar");\n        $gearMenu                 = $sidebar.find(".working-set-option-btn");\n        $splitViewMenu            = $sidebar.find(".working-set-splitview-btn");\n        $projectTitle             = $sidebar.find("#project-title");\n        $projectFilesContainer    = $sidebar.find("#project-files-container");\n        $workingSetViewsContainer = $sidebar.find("#working-set-list-container");\n\n        // init\n        $sidebar.on("panelResizeStart", function (evt, width) {\n            $sidebar.find(".sidebar-selection-extension").css("display", "none");\n            $sidebar.find(".scroller-shadow").css("display", "none");\n        });\n\n        $sidebar.on("panelResizeUpdate", function (evt, width) {\n            ProjectManager._setFileTreeSelectionWidth(width);\n        });\n\n        $sidebar.on("panelResizeEnd", function (evt, width) {\n            $sidebar.find(".sidebar-selection-extension").css("display", "block").css("left", width);\n            $sidebar.find(".scroller-shadow").css("display", "block");\n            $projectFilesContainer.triggerHandler("scroll");\n            WorkingSetView.syncSelectionIndicator();\n        });\n\n        $sidebar.on("panelCollapsed", function (evt, width) {\n            CommandManager.get(Commands.VIEW_HIDE_SIDEBAR).setName(Strings.CMD_SHOW_SIDEBAR);\n        });\n\n        $sidebar.on("panelExpanded", function (evt, width) {\n            WorkingSetView.refresh();\n            $sidebar.find(".scroller-shadow").css("display", "block");\n            $sidebar.find(".sidebar-selection-extension").css("left", width);\n            $projectFilesContainer.triggerHandler("scroll");\n            WorkingSetView.syncSelectionIndicator();\n            CommandManager.get(Commands.VIEW_HIDE_SIDEBAR).setName(Strings.CMD_HIDE_SIDEBAR);\n        });\n\n        // AppInit.htmlReady in utils/Resizer executes before, so it\'s possible that the sidebar\n        // is collapsed before we add the event. Check here initially\n        if (!$sidebar.is(":visible")) {\n            $sidebar.trigger("panelCollapsed");\n        }\n\n        // wire up an event handler to monitor when panes are created\n        MainViewManager.on("paneCreate", function (evt, paneId) {\n            WorkingSetView.createWorkingSetViewForPane($workingSetViewsContainer, paneId);\n        });\n\n        MainViewManager.on("paneLayoutChange", function () {\n            _updateUIStates();\n        });\n\n        MainViewManager.on("workingSetAdd workingSetAddList workingSetRemove workingSetRemoveList workingSetUpdate", function () {\n            _updateWorkingSetState();\n        });\n\n        // create WorkingSetViews for each pane already created\n        _.forEach(MainViewManager.getPaneIdList(), function (paneId) {\n            WorkingSetView.createWorkingSetViewForPane($workingSetViewsContainer, paneId);\n        });\n\n        _updateUIStates();\n\n        // Tooltips\n        $gearMenu.attr("title", Strings.GEAR_MENU_TOOLTIP);\n        $splitViewMenu.attr("title", Strings.SPLITVIEW_MENU_TOOLTIP);\n    });\n\n    ProjectManager.on("projectOpen", _updateProjectTitle);\n\n    /**\n     * Register Command Handlers\n     */\n    _cmdSplitNone       = CommandManager.register(Strings.CMD_SPLITVIEW_NONE,       Commands.CMD_SPLITVIEW_NONE,       _handleSplitViewNone);\n    _cmdSplitVertical   = CommandManager.register(Strings.CMD_SPLITVIEW_VERTICAL,   Commands.CMD_SPLITVIEW_VERTICAL,   _handleSplitViewVertical);\n    _cmdSplitHorizontal = CommandManager.register(Strings.CMD_SPLITVIEW_HORIZONTAL, Commands.CMD_SPLITVIEW_HORIZONTAL, _handleSplitViewHorizontal);\n\n    CommandManager.register(Strings.CMD_TOGGLE_SIDEBAR, Commands.VIEW_HIDE_SIDEBAR, toggle);\n    CommandManager.register(Strings.CMD_SHOW_SIDEBAR, Commands.SHOW_SIDEBAR, show);\n    CommandManager.register(Strings.CMD_HIDE_SIDEBAR, Commands.HIDE_SIDEBAR, hide);\n\n    // Define public API\n    exports.toggle      = toggle;\n    exports.show        = show;\n    exports.hide        = hide;\n    exports.isVisible   = isVisible;\n});\n\n//# sourceURL=/project/SidebarView.js'),eval("/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the \"Software\"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*jslint regexp: true */\n\ndefine('LiveDevelopment/Servers/BaseServer',['require','exports','module'],function (require, exports, module) {\n    \"use strict\";\n\n    /**\n     * Base class for live preview servers\n     *\n     * Configuration parameters for this server:\n     * - baseUrl      - Optional base URL (populated by the current project)\n     * - pathResolver - Function to covert absolute native paths to project relative paths\n     * - root         - Native path to the project root (and base URL)\n     *\n     * @constructor\n     * @param {!{baseUrl: string, root: string, pathResolver: function(string): string}} config\n     */\n    function BaseServer(config) {\n        this._baseUrl       = config.baseUrl;\n        this._root          = config.root;          // ProjectManager.getProjectRoot().fullPath\n        this._pathResolver  = config.pathResolver;  // ProjectManager.makeProjectRelativeIfPossible(doc.file.fullPath)\n        this._liveDocuments = {};\n    }\n\n    /**\n     * Returns a base url for current project.\n     *\n     * @return {string}\n     * Base url for current project.\n     */\n    BaseServer.prototype.getBaseUrl = function () {\n        return this._baseUrl;\n    };\n\n    /**\n     * @private\n     * Augments the given Brackets document with information that's useful for live development\n     * @param {Object} liveDocument\n     */\n    BaseServer.prototype._setDocInfo = function (liveDocument) {\n        var parentUrl,\n            matches,\n            doc = liveDocument.doc;\n\n        // FUTURE: some of these things should just be moved into core Document; others should\n        // be in a LiveDevelopment-specific object attached to the doc.\n        matches = /^(.*\\/)(.+\\.([^.]+))$/.exec(doc.file.fullPath);\n        if (!matches) {\n            return;\n        }\n\n        doc.extension = matches[3];\n\n        parentUrl = this.pathToUrl(matches[1]);\n        doc.url = parentUrl + encodeURI(matches[2]);\n\n        // the root represents the document that should be displayed in the browser\n        // for live development (the file for HTML files)\n        // TODO: Issue #2033 Improve how default page is determined\n        doc.root = { url: doc.url };\n\n        // TODO: Better workflow of liveDocument.doc.url assignment\n        // Force sync the browser after a URL is assigned\n        if (doc.isDirty && liveDocument._updateBrowser) {\n            liveDocument._updateBrowser();\n        }\n    };\n\n    /**\n     * Returns a URL for a given path\n     * @param {string} path Absolute path to covert to a URL\n     * @return {?string} Converts a path within the project root to a URL.\n     *  Returns null if the path is not a descendant of the project root.\n     */\n    BaseServer.prototype.pathToUrl = function (path) {\n        var baseUrl         = this.getBaseUrl(),\n            relativePath    = this._pathResolver(path);\n\n        // See if base url has been specified and path is within project\n        if (relativePath !== path) {\n            // Map to server url. Base url is already encoded, so don't encode again.\n            var encodedDocPath = encodeURI(path);\n            var encodedProjectPath = encodeURI(this._root);\n\n            return encodedDocPath.replace(encodedProjectPath, baseUrl);\n        }\n\n        return null;\n    };\n\n    /**\n     * Convert a URL to a local full file path\n     * @param {string} url\n     * @return {?string} The absolute path for given URL or null if the path is\n     *  not a descendant of the project.\n     */\n    BaseServer.prototype.urlToPath = function (url) {\n        var path,\n            baseUrl = \"\";\n\n        baseUrl = this.getBaseUrl();\n\n        if (baseUrl !== \"\" && url.indexOf(baseUrl) === 0) {\n            // Use base url to translate to local file path.\n            // Need to use encoded project path because it's decoded below.\n            path = url.replace(baseUrl, encodeURI(this._root));\n\n            return decodeURI(path);\n        }\n\n        return null;\n    };\n\n    /**\n     * Called by LiveDevelopment before to prepare the server before navigating\n     * to the project's base URL. The provider returns a jQuery promise.\n     * The Live Development launch process waits until the promise\n     * is resolved or rejected. If the promise is rejected, an error window\n     * is shown and Live Development does not start..\n     *\n     * @return {jQuery.Promise} Promise that may be asynchronously resolved\n     *  when the server is ready to handle HTTP requests.\n     */\n    BaseServer.prototype.readyToServe = function () {\n        // Base implementation always resolves\n        return $.Deferred().resolve().promise();\n    };\n\n    /**\n     * Determines if this server can serve local file. LiveDevServerManager\n     * calls this method when determining if a server can serve a file.\n     * @param {string} localPath A local path to file being served.\n     * @return {boolean} true When the file can be served, otherwise false.\n     */\n    BaseServer.prototype.canServe = function (localPath) {\n        return true;\n    };\n\n    BaseServer.prototype._documentKey = function (absolutePath) {\n        return \"/\" + encodeURI(this._pathResolver(absolutePath));\n    };\n\n    /**\n     * Adds a live document to server\n     * @param {Object} liveDocument\n     */\n    BaseServer.prototype.add = function (liveDocument) {\n        if (!liveDocument) {\n            return;\n        }\n\n        // use the project relative path as a key to lookup requests\n        var key = this._documentKey(liveDocument.doc.file.fullPath);\n\n        this._setDocInfo(liveDocument);\n        this._liveDocuments[key] = liveDocument;\n    };\n\n    /**\n     * Removes a live document from the server\n     * @param {Object} liveDocument\n     */\n    BaseServer.prototype.remove = function (liveDocument) {\n        if (!liveDocument) {\n            return;\n        }\n\n        var key = this._liveDocuments[this._documentKey(liveDocument.doc.file.fullPath)];\n\n        if (key) {\n            delete this._liveDocuments[key];\n        }\n    };\n\n    /**\n     * Lookup a live document using it's full path key\n     * @param {string} path Absolute path to covert to a URL\n     * @param {?Object} liveDocument Returns a live document or undefined if a\n     *     document does not exist for the path.\n     */\n    BaseServer.prototype.get = function (path) {\n        return this._liveDocuments[this._documentKey(path)];\n    };\n\n    /**\n     * Clears all live documents currently attached to the server\n     */\n    BaseServer.prototype.clear = function () {\n        this._liveDocuments = {};\n    };\n\n    /**\n     * Start the server\n     */\n    BaseServer.prototype.start = function () {\n        // do nothing\n    };\n\n    /**\n     * Stop the server\n     */\n    BaseServer.prototype.stop = function () {\n        // do nothing\n    };\n\n    exports.BaseServer = BaseServer;\n});\n\n//# sourceURL=/LiveDevelopment/Servers/BaseServer.js"),eval('/*\n * Copyright (c) 2015 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Set of utilities for working with files and text content.\n */\ndefine(\'LiveDevelopment/LiveDevelopmentUtils\',[\'require\',\'exports\',\'module\',\'language/LanguageManager\',\'project/ProjectManager\'],function (require, exports, module) {\n    "use strict";\n\n    var LanguageManager = require("language/LanguageManager"),\n        ProjectManager  = require("project/ProjectManager");\n\n    /**\n     * File extensions - hard-coded for now, but may want to make these preferences\n     * @const {Array.<string>}\n     */\n    var _staticHtmlFileExts = ["htm", "html", "xhtml"],\n        _serverHtmlFileExts = ["php", "php3", "php4", "php5", "phtm", "phtml", "cfm", "cfml", "asp", "aspx", "jsp", "jspx", "shtm", "shtml"];\n\n    /**\n     * Determine if file extension is a static html file extension.\n     * @param {string} filePath could be a path, a file name or just a file extension\n     * @return {boolean} Returns true if fileExt is in the list\n     */\n    function isStaticHtmlFileExt(filePath) {\n        if (!filePath) {\n            return false;\n        }\n\n        return (_staticHtmlFileExts.indexOf(LanguageManager.getLanguageForPath(filePath).getId()) !== -1);\n    }\n\n    /**\n     * Determine if file extension is a server html file extension.\n     * @param {string} filePath could be a path, a file name or just a file extension\n     * @return {boolean} Returns true if fileExt is in the list\n     */\n    function isServerHtmlFileExt(filePath) {\n        if (!filePath) {\n            return false;\n        }\n\n        return (_serverHtmlFileExts.indexOf(LanguageManager.getLanguageForPath(filePath).getId()) !== -1);\n    }\n\n    /**\n     * Returns true if we think the given extension is for an HTML file.\n     * @param {string} ext The extension to check.\n     * @return {boolean} true if this is an HTML extension.\n     */\n    function isHtmlFileExt(ext) {\n        return (isStaticHtmlFileExt(ext) ||\n                (ProjectManager.getBaseUrl() && isServerHtmlFileExt(ext)));\n    }\n\n    // Define public API\n    exports.isHtmlFileExt       = isHtmlFileExt;\n    exports.isStaticHtmlFileExt = isStaticHtmlFileExt;\n    exports.isServerHtmlFileExt = isServerHtmlFileExt;\n});\n\n//# sourceURL=/LiveDevelopment/LiveDevelopmentUtils.js'),eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'LiveDevelopment/Servers/FileServer\',[\'require\',\'exports\',\'module\',\'LiveDevelopment/Servers/BaseServer\',\'LiveDevelopment/LiveDevelopmentUtils\'],function (require, exports, module) {\n    "use strict";\n\n    var BaseServer           = require("LiveDevelopment/Servers/BaseServer").BaseServer,\n        LiveDevelopmentUtils = require("LiveDevelopment/LiveDevelopmentUtils");\n\n    // The path on Windows starts with a drive letter (e.g. "C:").\n    // In order to make it a valid file: URL we need to add an\n    // additional slash to the prefix.\n    var PREFIX = (brackets.platform === "win") ? "file:///" : "file://";\n\n    /**\n     * Server for file: URLs\n     *\n     * Configuration parameters for this server:\n     * - baseUrl      - Optional base URL (populated by the current project)\n     * - pathResolver - Function to covert absolute native paths to project relative paths\n     * - root         - Native path to the project root (and base URL)\n     *\n     * @constructor\n     * @param {!{baseUrl: string, root: string, pathResolver: function(string): string}} config\n     * @extends {BaseServer}\n     */\n    function FileServer(config) {\n        BaseServer.call(this, config);\n    }\n\n    FileServer.prototype = Object.create(BaseServer.prototype);\n    FileServer.prototype.constructor = FileServer;\n\n    /**\n     * Determines whether we can serve local file.\n     * @param {string} localPath A local path to file being served.\n     * @return {boolean} true for yes, otherwise false.\n     */\n    FileServer.prototype.canServe = function (localPath) {\n        // FileServer requires that the base URL is undefined and static HTML files\n        return (!this._baseUrl && LiveDevelopmentUtils.isStaticHtmlFileExt(localPath));\n    };\n\n    /**\n     * Convert a file: URL to a absolute file path\n     * @param {string} url\n     * @return {?string} The absolute path for given file: URL or null if the path is\n     *  not a descendant of the project.\n     */\n    FileServer.prototype.urlToPath = function (url) {\n        if (url.indexOf(PREFIX) === 0) {\n            // Convert a file URL to local file path\n            return decodeURI(url.slice(PREFIX.length));\n        }\n\n        return null;\n    };\n\n    /**\n     * Returns a file: URL for a given absolute path\n     * @param {string} path Absolute path to covert to a file: URL\n     * @return {string} Converts an absolute path within the project root to a file: URL.\n     */\n    FileServer.prototype.pathToUrl = function (path) {\n        return encodeURI(PREFIX + path);\n    };\n\n    exports.FileServer = FileServer;\n});\n\n//# sourceURL=/LiveDevelopment/Servers/FileServer.js'),eval("/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the \"Software\"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * LiveDevServerManager Overview:\n *\n * The LiveDevServerManager allows extensions to register to be Live Development\n * servers. Servers are queried for their ability to serve a page in\n * order of descending priority by way their canServe methods.\n *\n * NOTE: This API is currently experimental and intented to be internal-only.\n * It is very likely that it will be changed in the near future and/or\n * removed entirely.\n *\n *   `LiveDevServerManager.getServer(localPath)`\n *\n * Returns highest priority server (BaseServer) that can serve the local file.\n *\n * A Live Development server must implement the BaseServer API. See\n * LiveDevelopment/Servers/BaseServer base class.\n */\ndefine('LiveDevelopment/LiveDevServerManager',['require','exports','module'],function (require, exports, module) {\n    \"use strict\";\n\n    var _serverProviders   = [];\n\n    /**\n     * @private\n     * Comparator to sort providers based on their priority\n     * @param {number} a\n     * @param {number} b\n     */\n    function _providerSort(a, b) {\n        return b.priority - a.priority;\n    }\n\n    /**\n     * Determines which provider can serve a file with a local path.\n     *\n     * @param {string} localPath A local path to file being served.\n     * @return {?BaseServer} A server no null if no servers can serve the file\n     */\n    function getServer(localPath) {\n        var provider, server, i;\n\n        for (i = 0; i < _serverProviders.length; i++) {\n            provider = _serverProviders[i];\n            server = provider.create();\n\n            if (server.canServe(localPath)) {\n                return server;\n            }\n        }\n\n        return null;\n    }\n\n    /**\n     * The method by which a server registers itself. It returns an\n     * object handler that can be used to remove that server from the list.\n     *\n     * @param {BaseServer|{create: function():BaseServer}} provider\n     *  The provider to be registered, described below.\n     * @param {number} priority\n     *  A non-negative number used to break ties among providers for a\n     *  particular url. Providers that register with a higher priority will\n     *  have the opportunity to provide a given url before those with a\n     *  lower priority. The higher the number, the higher the priority.\n     * @return {{object}}\n     */\n    function registerServer(provider, priority) {\n        if (!provider.create) {\n            console.error(\"Incompatible live development server provider\");\n            return;\n        }\n\n        var providerObj = {};\n\n        providerObj.create = provider.create;\n        providerObj.priority = priority || 0;\n\n        _serverProviders.push(providerObj);\n        _serverProviders.sort(_providerSort);\n\n        return providerObj;\n    }\n\n    /**\n     * Remove a server from the list of the registered providers.\n     *\n     * @param {{object}} provider The provider to be removed.\n     */\n    function removeServer(provider) {\n        var i;\n        for (i = 0; i < _serverProviders.length; i++) {\n            if (provider === _serverProviders[i]) {\n                _serverProviders.splice(i, 1);\n            }\n        }\n    }\n\n    // Backwards compatibility\n    exports.getProvider         = getServer;\n    exports.registerProvider    = registerServer;\n\n    // Define public API\n    exports.getServer           = getServer;\n    exports.registerServer      = registerServer;\n    exports.removeServer        = removeServer;\n});\n\n//# sourceURL=/LiveDevelopment/LiveDevServerManager.js"),eval("/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the \"Software\"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine('LiveDevelopment/Servers/UserServer',['require','exports','module','LiveDevelopment/Servers/BaseServer','LiveDevelopment/LiveDevelopmentUtils'],function (require, exports, module) {\n    \"use strict\";\n\n    var BaseServer             = require(\"LiveDevelopment/Servers/BaseServer\").BaseServer,\n        LiveDevelopmentUtils   = require(\"LiveDevelopment/LiveDevelopmentUtils\");\n\n    /**\n     * Live preview server for user specified server as defined with Live Preview Base Url\n     * Project setting. In a clean installation of Brackets, this is the highest priority\n     * server provider, if defined.\n     *\n     * Configuration parameters for this server:\n     * - baseUrl      - Optional base URL (populated by the current project)\n     * - pathResolver - Function to covert absolute native paths to project relative paths\n     * - root         - Native path to the project root (and base URL)\n     *\n     * @constructor\n     * @param {!{baseUrl: string, root: string, pathResolver: function(string)}} config\n     * @extends {BaseServer}\n     */\n    function UserServer(config) {\n        BaseServer.call(this, config);\n    }\n\n    UserServer.prototype = Object.create(BaseServer.prototype);\n    UserServer.prototype.constructor = UserServer;\n\n    /**\n     * Determines whether we can serve local file.\n     * @param {string} localPath A local path to file being served.\n     * @return {boolean} true for yes, otherwise false.\n     */\n    UserServer.prototype.canServe = function (localPath) {\n        // UserServer can only function when the project specifies a base URL\n        if (!this._baseUrl) {\n            return false;\n        }\n\n        // If we can't transform the local path to a project relative path,\n        // the path cannot be served\n        if (localPath === this._pathResolver(localPath)) {\n            return false;\n        }\n\n        return LiveDevelopmentUtils.isStaticHtmlFileExt(localPath) ||\n            LiveDevelopmentUtils.isServerHtmlFileExt(localPath);\n    };\n\n    exports.UserServer = UserServer;\n});\n\n//# sourceURL=/LiveDevelopment/Servers/UserServer.js"),
eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n// A simple HTML tokenizer, originally adapted from https://github.com/fb55/htmlparser2\n// (MIT-licensed), but with significant customizations for use in HTML live development.\n\n/*jslint continue: true */\n\n/*unittests: HTML Tokenizer*/\n\ndefine(\'language/HTMLTokenizer\',[\'require\',\'exports\',\'module\'],function (require, exports, module) {\n\n    "use strict";\n    var i = 0,\n\n        TEXT = i++,\n        BEFORE_TAG_NAME = i++, //after <\n        IN_TAG_NAME = i++,\n        BEFORE_CLOSING_TAG_NAME = i++,\n        IN_CLOSING_TAG_NAME = i++,\n        AFTER_CLOSING_TAG_NAME = i++,\n        AFTER_SELFCLOSE_SLASH = i++,\n\n        //attributes\n        BEFORE_ATTRIBUTE_NAME = i++,\n        AFTER_QUOTED_ATTRIBUTE_VALUE = i++,\n        IN_ATTRIBUTE_NAME = i++,\n        AFTER_ATTRIBUTE_NAME = i++,\n        BEFORE_ATTRIBUTE_VALUE = i++,\n        IN_ATTRIBUTE_VALUE_DOUBLE_QUOTES = i++, // "\n        IN_ATTRIBUTE_VALUE_SINGLE_QUOTES = i++, // \'\n        IN_ATTRIBUTE_VALUE_NO_QUOTES = i++,\n\n        //declarations\n        BEFORE_DECLARATION = i++, // !\n        IN_DECLARATION = i++,\n\n        //processing instructions\n        IN_PROCESSING_INSTRUCTION = i++, // ?\n\n        //comments\n        BEFORE_COMMENT = i++,\n        IN_COMMENT = i++,\n        AFTER_COMMENT_1 = i++,\n        AFTER_COMMENT_2 = i++,\n\n        //cdata\n        BEFORE_CDATA_1 = i++, // [\n        BEFORE_CDATA_2 = i++, // C\n        BEFORE_CDATA_3 = i++, // D\n        BEFORE_CDATA_4 = i++, // A\n        BEFORE_CDATA_5 = i++, // T\n        BEFORE_CDATA_6 = i++, // A\n        IN_CDATA = i++,// [\n        AFTER_CDATA_1 = i++, // ]\n        AFTER_CDATA_2 = i++, // ]\n\n        //special tags\n        BEFORE_SPECIAL = i++, //S\n        BEFORE_SPECIAL_END = i++,   //S\n\n        BEFORE_SCRIPT_1 = i++, //C\n        BEFORE_SCRIPT_2 = i++, //R\n        BEFORE_SCRIPT_3 = i++, //I\n        BEFORE_SCRIPT_4 = i++, //P\n        BEFORE_SCRIPT_5 = i++, //T\n        AFTER_SCRIPT_1 = i++, //C\n        AFTER_SCRIPT_2 = i++, //R\n        AFTER_SCRIPT_3 = i++, //I\n        AFTER_SCRIPT_4 = i++, //P\n        AFTER_SCRIPT_5 = i++, //T\n\n        BEFORE_STYLE_1 = i++, //T\n        BEFORE_STYLE_2 = i++, //Y\n        BEFORE_STYLE_3 = i++, //L\n        BEFORE_STYLE_4 = i++, //E\n        AFTER_STYLE_1 = i++, //T\n        AFTER_STYLE_2 = i++, //Y\n        AFTER_STYLE_3 = i++, //L\n        AFTER_STYLE_4 = i++; //E\n\n    /**\n     * @private\n     * @param {string} c the character to test\n     * @return {boolean} true if c is whitespace\n     */\n    function isWhitespace(c) {\n        return c === " " || c === "\\t" || c === "\\r" || c === "\\n";\n    }\n\n    /**\n     * @private\n     * @param {string} c the character to test\n     * @return {boolean} true if c is legal in an HTML tag name\n     */\n    function isLegalInTagName(c) {\n        // We allow "-" in tag names since they\'re popular in Angular custom tag names\n        // and will be legal in the web components spec.\n        return (/[A-Za-z0-9\\-]/).test(c);\n    }\n\n    /**\n     * @private\n     * @param {string} c the character to test\n     * @return {boolean} true if c is legal in an HTML attribute name\n     */\n    function isLegalInAttributeName(c) {\n        return c !== \'"\' && c !== "\'" && c !== "<" && c !== "=";\n    }\n\n    /**\n     * @private\n     * @param {string} c the character to test\n     * @return {boolean} true if c is legal in an unquoted attribute value\n     */\n    function isLegalInUnquotedAttributeValue(c) {\n        return c !== "<" && c !== "=";\n    }\n\n    function _clonePos(pos, offset) {\n        return pos ? { line: pos.line, ch: pos.ch + (offset || 0)} : null;\n    }\n\n    /**\n     * A simple HTML tokenizer. See the description of nextToken() for usage details.\n     * @constructor\n     * @param {string} text The HTML document to tokenize.\n     */\n    function Tokenizer(text) {\n        this._state = TEXT;\n        this._buffer = text;\n        this._sectionStart = 0;\n        this._sectionStartPos = {line: 0, ch: 0};\n        this._index = 0;\n        this._indexPos = {line: 0, ch: 0};\n        this._special = 0; // 1 for script, 2 for style\n        this._token = null;\n        this._nextToken = null;\n    }\n\n    /**\n     * Returns the next token in the HTML document, or null if we\'re at the end of the document.\n     * @return {?{type: string, contents: string, start: number, end: number}} token The next token, with the following fields:\n     *    type: The type of token, one of:\n     *          "error" - invalid syntax was found, tokenization aborted. Calling nextToken() again will produce undefined results.\n     *          "text" - contents contains the text\n     *          "opentagname" - an open tag was started; contents contains the tag name\n     *          "attribname" - an attribute was encountered; contents contains the attribute name\n     *          "attribvalue" - the value for the previous attribname was encountered; contents contains the (unquoted) value\n     *              (Note that attributes like checked and disabled might not have values.)\n     *          "opentagend" - the end of an open tag was encountered; contents is unspecified\n     *          "selfclosingtag" - a "/>" was encountered indicating that a void element was self-closed; contents is unspecified\n     *              (Note that this is optional in HTML; void elements like <img> will end with "opentagend", not "selfclosingtag")\n     *          "closetag" - a close tag was encountered; contents contains the tag name\n     *          "comment" - a comment was encountered; contents contains the body of the comment\n     *          "cdata" - a CDATA block was encountered; contents contains the text inside the block\n     *    contents: the contents of the token, as specified above. Note that "opentagend" and "selfclosingtag" really specify positions,\n     *          not tokens, and so have no contents.\n     *    start: the start index of the token contents within the text, or -1 for "opentagend" and "selfclosingtag"\n     *    end: the end index of the token contents within the text, or the position of the boundary for "opentagend" and "selfclosingtag"\n     */\n    Tokenizer.prototype.nextToken = function () {\n        this._token = null;\n\n        if (this._nextToken) {\n            var result = this._nextToken;\n            this._nextToken = null;\n            return result;\n        }\n\n        while (this._index < this._buffer.length && !this._token) {\n            var c = this._buffer.charAt(this._index);\n            if (this._state === TEXT) {\n                if (c === "<") {\n                    this._emitTokenIfNonempty("text");\n                    this._state = BEFORE_TAG_NAME;\n                    this._startSection();\n                }\n            } else if (this._state === BEFORE_TAG_NAME) {\n                if (c === "/") {\n                    this._state = BEFORE_CLOSING_TAG_NAME;\n                } else if (c === ">" || this._special > 0) {\n                    this._state = TEXT;\n                } else {\n                    if (c === "!") {\n                        this._state = BEFORE_DECLARATION;\n                        this._startSection(1);\n                    } else if (c === "?") {\n                        this._state = IN_PROCESSING_INSTRUCTION;\n                        this._startSection(1);\n                    } else if (c === "s" || c === "S") {\n                        this._state = BEFORE_SPECIAL;\n                        this._startSection();\n                    } else if (!isLegalInTagName(c)) {\n                        this._emitSpecialToken("error");\n                        break;\n                    } else if (!isWhitespace(c)) {\n                        this._state = IN_TAG_NAME;\n                        this._startSection();\n                    }\n                }\n            } else if (this._state === IN_TAG_NAME) {\n                if (c === "/") {\n                    this._emitToken("opentagname");\n                    this._emitSpecialToken("selfclosingtag", this._index + 2, _clonePos(this._indexPos, 2));\n                    this._state = AFTER_SELFCLOSE_SLASH;\n                } else if (c === ">") {\n                    this._emitToken("opentagname");\n                    this._emitSpecialToken("opentagend", this._index + 1, _clonePos(this._indexPos, 1));\n                    this._state = TEXT;\n                    this._startSection(1);\n                } else if (isWhitespace(c)) {\n                    this._emitToken("opentagname");\n                    this._state = BEFORE_ATTRIBUTE_NAME;\n                } else if (!isLegalInTagName(c)) {\n                    this._emitSpecialToken("error");\n                    break;\n                }\n            } else if (this._state === BEFORE_CLOSING_TAG_NAME) {\n                if (c === ">") {\n                    this._state = TEXT;\n                } else if (this._special > 0) {\n                    if (c === "s" || c === "S") {\n                        this._state = BEFORE_SPECIAL_END;\n                    } else {\n                        this._state = TEXT;\n                        continue;\n                    }\n                } else if (!isLegalInTagName(c)) {\n                    this._emitSpecialToken("error");\n                    break;\n                } else if (!isWhitespace(c)) {\n                    this._state = IN_CLOSING_TAG_NAME;\n                    this._startSection();\n                }\n            } else if (this._state === IN_CLOSING_TAG_NAME) {\n                if (c === ">") {\n                    this._emitToken("closetag");\n                    this._state = TEXT;\n                    this._startSection(1);\n                    this._special = 0;\n                } else if (isWhitespace(c)) {\n                    this._emitToken("closetag");\n                    this._state = AFTER_CLOSING_TAG_NAME;\n                    this._special = 0;\n                } else if (!isLegalInTagName(c)) {\n                    this._emitSpecialToken("error");\n                    break;\n                }\n            } else if (this._state === AFTER_CLOSING_TAG_NAME) {\n                if (c === ">") {\n                    this._state = TEXT;\n                    this._startSection(1);\n                } else if (!isWhitespace(c)) {\n                    // There must be only whitespace in the closing tag after the name until the ">".\n                    this._emitSpecialToken("error");\n                    break;\n                }\n            } else if (this._state === AFTER_SELFCLOSE_SLASH) {\n                // Nothing (even whitespace) can come between the / and > of a self-close.\n                if (c === ">") {\n                    this._state = TEXT;\n                    this._startSection(1);\n                } else {\n                    this._emitSpecialToken("error");\n                    break;\n                }\n\n            /*\n            *	attributes\n            */\n            } else if (this._state === BEFORE_ATTRIBUTE_NAME) {\n                if (c === ">") {\n                    this._state = TEXT;\n                    this._emitSpecialToken("opentagend", this._index + 1, _clonePos(this._indexPos, 1));\n                    this._startSection(1);\n                } else if (c === "/") {\n                    this._emitSpecialToken("selfclosingtag", this._index + 2, _clonePos(this._indexPos, 2));\n                    this._state = AFTER_SELFCLOSE_SLASH;\n                } else if (!isLegalInAttributeName(c)) {\n                    this._emitSpecialToken("error");\n                    break;\n                } else if (!isWhitespace(c)) {\n                    this._state = IN_ATTRIBUTE_NAME;\n                    this._startSection();\n                }\n            } else if (this._state === IN_ATTRIBUTE_NAME) {\n                if (c === "=") {\n                    this._emitTokenIfNonempty("attribname");\n                    this._state = BEFORE_ATTRIBUTE_VALUE;\n                } else if (isWhitespace(c)) {\n                    this._emitTokenIfNonempty("attribname");\n                    this._state = AFTER_ATTRIBUTE_NAME;\n                } else if (c === "/" || c === ">") {\n                    this._emitTokenIfNonempty("attribname");\n                    this._state = BEFORE_ATTRIBUTE_NAME;\n                    continue;\n                } else if (!isLegalInAttributeName(c)) {\n                    this._emitSpecialToken("error");\n                    break;\n                }\n            } else if (this._state === AFTER_ATTRIBUTE_NAME) {\n                if (c === "=") {\n                    this._state = BEFORE_ATTRIBUTE_VALUE;\n                } else if (c === "/" || c === ">") {\n                    this._state = BEFORE_ATTRIBUTE_NAME;\n                    continue;\n                } else if (!isLegalInAttributeName(c)) {\n                    this._emitSpecialToken("error");\n                    break;\n                } else if (!isWhitespace(c)) {\n                    this._state = IN_ATTRIBUTE_NAME;\n                    this._startSection();\n                }\n            } else if (this._state === BEFORE_ATTRIBUTE_VALUE) {\n                if (c === "\\"") {\n                    this._state = IN_ATTRIBUTE_VALUE_DOUBLE_QUOTES;\n                    this._startSection(1);\n                } else if (c === "\'") {\n                    this._state = IN_ATTRIBUTE_VALUE_SINGLE_QUOTES;\n                    this._startSection(1);\n                } else if (!isLegalInUnquotedAttributeValue(c)) {\n                    this._emitSpecialToken("error");\n                    break;\n                } else if (!isWhitespace(c)) {\n                    this._state = IN_ATTRIBUTE_VALUE_NO_QUOTES;\n                    this._startSection();\n                }\n            } else if (this._state === IN_ATTRIBUTE_VALUE_DOUBLE_QUOTES) {\n                if (c === "\\"") {\n                    this._emitToken("attribvalue");\n                    this._state = AFTER_QUOTED_ATTRIBUTE_VALUE;\n                }\n            } else if (this._state === IN_ATTRIBUTE_VALUE_SINGLE_QUOTES) {\n                if (c === "\'") {\n                    this._state = AFTER_QUOTED_ATTRIBUTE_VALUE;\n                    this._emitToken("attribvalue");\n                }\n            } else if (this._state === IN_ATTRIBUTE_VALUE_NO_QUOTES) {\n                if (c === ">") {\n                    this._emitToken("attribvalue");\n                    this._emitSpecialToken("opentagend", this._index + 1, _clonePos(this._indexPos, 1));\n                    this._state = TEXT;\n                    this._startSection(1);\n                } else if (isWhitespace(c)) {\n                    this._emitToken("attribvalue");\n                    this._state = BEFORE_ATTRIBUTE_NAME;\n                } else if (!isLegalInUnquotedAttributeValue(c)) {\n                    this._emitSpecialToken("error");\n                    break;\n                }\n            } else if (this._state === AFTER_QUOTED_ATTRIBUTE_VALUE) {\n                // There must be at least one whitespace between the end of a quoted\n                // attribute value and the next attribute, if any.\n                if (c === ">") {\n                    this._state = TEXT;\n                    this._emitSpecialToken("opentagend", this._index + 1, _clonePos(this._indexPos, 1));\n                    this._startSection(1);\n                } else if (c === "/") {\n                    this._emitSpecialToken("selfclosingtag", this._index + 2, _clonePos(this._indexPos, 2));\n                    this._state = AFTER_SELFCLOSE_SLASH;\n                } else if (isWhitespace(c)) {\n                    this._state = BEFORE_ATTRIBUTE_NAME;\n                } else {\n                    this._emitSpecialToken("error");\n                    break;\n                }\n\n            /*\n            *	declarations\n            */\n            } else if (this._state === BEFORE_DECLARATION) {\n                if (c === "[") {\n                    this._state = BEFORE_CDATA_1;\n                } else if (c === "-") {\n                    this._state = BEFORE_COMMENT;\n                } else {\n                    this._state = IN_DECLARATION;\n                }\n            } else if (this._state === IN_DECLARATION) {\n                if (c === ">") {\n                    this._emitToken("declaration");\n                    this._state = TEXT;\n                    this._startSection(1);\n                }\n\n\n            /*\n            *	processing instructions\n            */\n            } else if (this._state === IN_PROCESSING_INSTRUCTION) {\n                if (c === ">") {\n                    this._emitToken("processinginstruction");\n                    this._state = TEXT;\n                    this._startSection(1);\n                }\n\n\n            /*\n            *	comments\n            */\n            } else if (this._state === BEFORE_COMMENT) {\n                if (c === "-") {\n                    this._state = IN_COMMENT;\n                    this._startSection(1);\n                } else {\n                    this._state = IN_DECLARATION;\n                }\n            } else if (this._state === IN_COMMENT) {\n                if (c === "-") {\n                    this._state = AFTER_COMMENT_1;\n                }\n            } else if (this._state === AFTER_COMMENT_1) {\n                if (c === "-") {\n                    this._state = AFTER_COMMENT_2;\n                } else {\n                    this._state = IN_COMMENT;\n                }\n            } else if (this._state === AFTER_COMMENT_2) {\n                if (c === ">") {\n                    //remove 2 trailing chars\n                    // It should be okay to just decrement the char position by 2 because we know neither of the previous\n                    // characters is a newline.\n                    this._emitToken("comment", this._index - 2, _clonePos(this._indexPos, -2));\n                    this._state = TEXT;\n                    this._startSection(1);\n                } else if (c !== "-") {\n                    this._state = IN_COMMENT;\n                }\n                // else: stay in AFTER_COMMENT_2 (`--->`)\n\n\n            /*\n            *	cdata\n            */\n            } else if (this._state === BEFORE_CDATA_1) {\n                if (c === "C") {\n                    this._state = BEFORE_CDATA_2;\n                } else {\n                    this._state = IN_DECLARATION;\n                }\n            } else if (this._state === BEFORE_CDATA_2) {\n                if (c === "D") {\n                    this._state = BEFORE_CDATA_3;\n                } else {\n                    this._state = IN_DECLARATION;\n                }\n            } else if (this._state === BEFORE_CDATA_3) {\n                if (c === "A") {\n                    this._state = BEFORE_CDATA_4;\n                } else {\n                    this._state = IN_DECLARATION;\n                }\n            } else if (this._state === BEFORE_CDATA_4) {\n                if (c === "T") {\n                    this._state = BEFORE_CDATA_5;\n                } else {\n                    this._state = IN_DECLARATION;\n                }\n            } else if (this._state === BEFORE_CDATA_5) {\n                if (c === "A") {\n                    this._state = BEFORE_CDATA_6;\n                } else {\n                    this._state = IN_DECLARATION;\n                }\n            } else if (this._state === BEFORE_CDATA_6) {\n                if (c === "[") {\n                    this._state = IN_CDATA;\n                    this._startSection(1);\n                } else {\n                    this._state = IN_DECLARATION;\n                }\n            } else if (this._state === IN_CDATA) {\n                if (c === "]") {\n                    this._state = AFTER_CDATA_1;\n                }\n            } else if (this._state === AFTER_CDATA_1) {\n                if (c === "]") {\n                    this._state = AFTER_CDATA_2;\n                } else {\n                    this._state = IN_CDATA;\n                }\n            } else if (this._state === AFTER_CDATA_2) {\n                if (c === ">") {\n                    //remove 2 trailing chars\n                    // It should be okay to just decrement the char position by 2 because we know neither of the previous\n                    // characters is a newline.\n                    this._emitToken("cdata", this._index - 2, _clonePos(this._indexPos, -2));\n                    this._state = TEXT;\n                    this._startSection(1);\n                } else if (c !== "]") {\n                    this._state = IN_CDATA;\n                }\n                //else: stay in AFTER_CDATA_2 (`]]]>`)\n\n\n            /*\n            * special tags\n            */\n            } else if (this._state === BEFORE_SPECIAL) {\n                if (c === "c" || c === "C") {\n                    this._state = BEFORE_SCRIPT_1;\n                } else if (c === "t" || c === "T") {\n                    this._state = BEFORE_STYLE_1;\n                } else {\n                    this._state = IN_TAG_NAME;\n                    continue; //consume the token again\n                }\n            } else if (this._state === BEFORE_SPECIAL_END) {\n                if (this._special === 1 && (c === "c" || c === "C")) {\n                    this._state = AFTER_SCRIPT_1;\n                } else if (this._special === 2 && (c === "t" || c === "T")) {\n                    this._state = AFTER_STYLE_1;\n                } else {\n                    this._state = TEXT;\n                }\n\n\n            /*\n            * script\n            */\n            } else if (this._state === BEFORE_SCRIPT_1) {\n                if (c === "r" || c === "R") {\n                    this._state = BEFORE_SCRIPT_2;\n                } else {\n                    this._state = IN_TAG_NAME;\n                    continue; //consume the token again\n                }\n            } else if (this._state === BEFORE_SCRIPT_2) {\n                if (c === "i" || c === "I") {\n                    this._state = BEFORE_SCRIPT_3;\n                } else {\n                    this._state = IN_TAG_NAME;\n                    continue; //consume the token again\n                }\n            } else if (this._state === BEFORE_SCRIPT_3) {\n                if (c === "p" || c === "P") {\n                    this._state = BEFORE_SCRIPT_4;\n                } else {\n                    this._state = IN_TAG_NAME;\n                    continue; //consume the token again\n                }\n            } else if (this._state === BEFORE_SCRIPT_4) {\n                if (c === "t" || c === "T") {\n                    this._state = BEFORE_SCRIPT_5;\n                } else {\n                    this._state = IN_TAG_NAME;\n                    continue; //consume the token again\n                }\n            } else if (this._state === BEFORE_SCRIPT_5) {\n                if (c === "/" || c === ">" || isWhitespace(c)) {\n                    this._special = 1;\n                }\n                this._state = IN_TAG_NAME;\n                continue; //consume the token again\n            } else if (this._state === AFTER_SCRIPT_1) {\n                if (c === "r" || c === "R") {\n                    this._state = AFTER_SCRIPT_2;\n                } else {\n                    this._state = TEXT;\n                }\n            } else if (this._state === AFTER_SCRIPT_2) {\n                if (c === "i" || c === "I") {\n                    this._state = AFTER_SCRIPT_3;\n                } else {\n                    this._state = TEXT;\n                }\n            } else if (this._state === AFTER_SCRIPT_3) {\n                if (c === "p" || c === "P") {\n                    this._state = AFTER_SCRIPT_4;\n                } else {\n                    this._state = TEXT;\n                }\n            } else if (this._state === AFTER_SCRIPT_4) {\n                if (c === "t" || c === "T") {\n                    this._state = AFTER_SCRIPT_5;\n                } else {\n                    this._state = TEXT;\n                }\n            } else if (this._state === AFTER_SCRIPT_5) {\n                if (c === ">" || isWhitespace(c)) {\n                    this._state = IN_CLOSING_TAG_NAME;\n                    this._startSection(-6);\n                    continue; //reconsume the token\n                } else {\n                    this._state = TEXT;\n                }\n\n\n            /*\n            * style\n            */\n            } else if (this._state === BEFORE_STYLE_1) {\n                if (c === "y" || c === "Y") {\n                    this._state = BEFORE_STYLE_2;\n                } else {\n                    this._state = IN_TAG_NAME;\n                    continue; //consume the token again\n                }\n            } else if (this._state === BEFORE_STYLE_2) {\n                if (c === "l" || c === "L") {\n                    this._state = BEFORE_STYLE_3;\n                } else {\n                    this._state = IN_TAG_NAME;\n                    continue; //consume the token again\n                }\n            } else if (this._state === BEFORE_STYLE_3) {\n                if (c === "e" || c === "E") {\n                    this._state = BEFORE_STYLE_4;\n                } else {\n                    this._state = IN_TAG_NAME;\n                    continue; //consume the token again\n                }\n            } else if (this._state === BEFORE_STYLE_4) {\n                if (c === "/" || c === ">" || isWhitespace(c)) {\n                    this._special = 2;\n                }\n                this._state = IN_TAG_NAME;\n                continue; //consume the token again\n            } else if (this._state === AFTER_STYLE_1) {\n                if (c === "y" || c === "Y") {\n                    this._state = AFTER_STYLE_2;\n                } else {\n                    this._state = TEXT;\n                }\n            } else if (this._state === AFTER_STYLE_2) {\n                if (c === "l" || c === "L") {\n                    this._state = AFTER_STYLE_3;\n                } else {\n                    this._state = TEXT;\n                }\n            } else if (this._state === AFTER_STYLE_3) {\n                if (c === "e" || c === "E") {\n                    this._state = AFTER_STYLE_4;\n                } else {\n                    this._state = TEXT;\n                }\n            } else if (this._state === AFTER_STYLE_4) {\n                if (c === ">" || isWhitespace(c)) {\n                    this._state = IN_CLOSING_TAG_NAME;\n                    this._startSection(-5);\n                    continue; //reconsume the token\n                } else {\n                    this._state = TEXT;\n                }\n            } else {\n                console.error("HTMLTokenizer: Encountered unknown state");\n                this._emitSpecialToken("error");\n                break;\n            }\n\n            if (c === "\\n") {\n                this._indexPos.line++;\n                this._indexPos.ch = 0;\n            } else {\n                this._indexPos.ch++;\n            }\n            this._index++;\n        }\n\n        if (!this._token) {\n            if (this._state !== TEXT) {\n                // We hit EOF in the middle of processing something else.\n                this._emitSpecialToken("error");\n            } else {\n                this._emitTokenIfNonempty("text");\n                this._startSection();\n            }\n        }\n        return this._token;\n    };\n\n    Tokenizer.prototype._startSection = function (offset) {\n        offset = offset || 0;\n        this._sectionStart = this._index + offset;\n\n        // Normally it wouldn\'t be safe to assume that we can just add the offset to the\n        // character position, because there might be a newline, which would require us to\n        // move to the next line. However, in all the cases where this is called, we are\n        // adjusting for characters that we know are not newlines.\n        this._sectionStartPos = _clonePos(this._indexPos, offset);\n    };\n\n    /**\n     * @private\n     * Extract the portion of the buffer since _sectionStart and set it to be the next token we return\n     * from `nextToken()`. If there\'s already a _token, we stuff it in _nextToken instead.\n     * @param {string} type The token\'s type (see documentation for `nextToken()`)\n     * @param {number} index If specified, the index to use as the end of the token; uses this._index if not specified\n     */\n    Tokenizer.prototype._setToken = function (type, index, indexPos) {\n        if (index === undefined) {\n            index = this._index;\n        }\n        if (indexPos === undefined) {\n            indexPos = this._indexPos;\n        }\n        var token = {\n            type: type,\n            contents: this._sectionStart === -1 ? "" : this._buffer.substring(this._sectionStart, index),\n            start: this._sectionStart,\n            end: index,\n            startPos: _clonePos(this._sectionStartPos),\n            endPos: _clonePos(indexPos)\n        };\n        if (this._token) {\n            // Queue this token to be emitted next. In theory it would be more general to have\n            // an arbitrary-length queue, but currently we only ever emit at most two tokens in a\n            // single pass through the tokenization loop.\n            if (this._nextToken) {\n                console.error("HTMLTokenizer: Tried to emit more than two tokens in a single call");\n            }\n            this._nextToken = token;\n        } else {\n            this._token = token;\n        }\n    };\n\n    /**\n     * @private\n     * Sets the token to be returned from `nextToken()` and resets the section start to an invalid value.\n     * this._sectionStart should be set to a valid value before the next call to one of the `_emit` methods.\n     * @param {string} type The token\'s type (see documentation for `nextToken()`)\n     * @param {number} index If specified, the index to use as the end of the token; uses this._index if not specified\n     */\n    Tokenizer.prototype._emitToken = function (type, index, indexPos) {\n        this._setToken(type, index, indexPos);\n        this._sectionStart = -1;\n        this._sectionStartPos = null;\n    };\n\n    /**\n     * @private\n     * Like `_emitToken()`, but used for special tokens that don\'t have real content (like opentagend and selfclosingtag).\n     * @param {string} type The token\'s type (see documentation for `nextToken()`)\n     * @param {number} index If specified, the index to use as the end of the token; uses this._index if not specified\n     */\n    Tokenizer.prototype._emitSpecialToken = function (type, index, indexPos) {\n        // Force the section start to be -1, since these tokens don\'t have meaningful content--they\'re\n        // just marking particular boundaries we care about (end of an open tag or a self-closing tag).\n        this._sectionStart = -1;\n        this._sectionStartPos = null;\n        this._emitToken(type, index, indexPos);\n    };\n\n    /**\n     * @private\n     * Like `_emitToken()`, but only emits a token if there is actually content in it. Note that this still\n     * resets this._sectionStart to an invalid value even if there is no content, so a new section must be\n     * started before the next `_emit`.\n     * @param {string} type The token\'s type (see documentation for `nextToken()`)\n     */\n    Tokenizer.prototype._emitTokenIfNonempty = function (type) {\n        if (this._index > this._sectionStart) {\n            this._setToken(type);\n        }\n        this._sectionStart = -1;\n        this._sectionStartPos = null;\n    };\n\n    exports.Tokenizer = Tokenizer;\n});\n\n//# sourceURL=/language/HTMLTokenizer.js'),
eval("/* Public Domain MurmurHash3 implementation. Altered to have AMD header and function wrapper. */\n\ndefine('thirdparty/murmurhash3_gc',['require','exports','module'],function (require, exports, module) {\n\n/*\n *  The MurmurHash3 algorithm was created by Austin Appleby.  This JavaScript port was authored\n *  by Peter Zotov (based on Java port by Yonik Seeley) and is placed into the public domain.\n *  The author hereby disclaims copyright to this source code.\n *\n *  This produces exactly the same hash values as the final C++ version of MurmurHash3 and\n *  is thus suitable for producing the same hash values across platforms.\n *\n *  There are two versions of this hash implementation. First interprets the string as a\n *  sequence of bytes, ignoring most significant byte of each codepoint. The second one\n *  interprets the string as a UTF-16 codepoint sequence, and appends each 16-bit codepoint\n *  to the hash independently. The latter mode was not written to be compatible with\n *  any other implementation, but it should offer better performance for JavaScript-only\n *  applications.\n *\n *  See http://github.com/whitequark/murmurhash3-js for future updates to this file.\n */\n\nvar MurmurHash3 = {\n	mul32: function(m, n) {\n		var nlo = n & 0xffff;\n		var nhi = n - nlo;\n		return ((nhi * m | 0) + (nlo * m | 0)) | 0;\n	},\n\n	hashBytes: function(data, len, seed) {\n		var c1 = 0xcc9e2d51, c2 = 0x1b873593;\n\n		var h1 = seed;\n		var roundedEnd = len & ~0x3;\n\n		for (var i = 0; i < roundedEnd; i += 4) {\n			var k1 = (data.charCodeAt(i)     & 0xff)        |\n				((data.charCodeAt(i + 1) & 0xff) << 8)  |\n				((data.charCodeAt(i + 2) & 0xff) << 16) |\n				((data.charCodeAt(i + 3) & 0xff) << 24);\n\n			k1 = this.mul32(k1, c1);\n			k1 = ((k1 & 0x1ffff) << 15) | (k1 >>> 17);  // ROTL32(k1,15);\n			k1 = this.mul32(k1, c2);\n\n			h1 ^= k1;\n			h1 = ((h1 & 0x7ffff) << 13) | (h1 >>> 19);  // ROTL32(h1,13);\n			h1 = (h1 * 5 + 0xe6546b64) | 0;\n		}\n\n		k1 = 0;\n\n		switch(len % 4) {\n			case 3:\n				k1 = (data.charCodeAt(roundedEnd + 2) & 0xff) << 16;\n				// fallthrough\n			case 2:\n				k1 |= (data.charCodeAt(roundedEnd + 1) & 0xff) << 8;\n				// fallthrough\n			case 1:\n				k1 |= (data.charCodeAt(roundedEnd) & 0xff);\n				k1 = this.mul32(k1, c1);\n				k1 = ((k1 & 0x1ffff) << 15) | (k1 >>> 17);  // ROTL32(k1,15);\n				k1 = this.mul32(k1, c2);\n				h1 ^= k1;\n		}\n\n		// finalization\n		h1 ^= len;\n\n		// fmix(h1);\n		h1 ^= h1 >>> 16;\n		h1  = this.mul32(h1, 0x85ebca6b);\n		h1 ^= h1 >>> 13;\n		h1  = this.mul32(h1, 0xc2b2ae35);\n		h1 ^= h1 >>> 16;\n\n		return h1;\n	},\n\n	hashString: function(data, len, seed) {\n		var c1 = 0xcc9e2d51, c2 = 0x1b873593;\n\n		var h1 = seed;\n		var roundedEnd = len & ~0x1;\n\n		for (var i = 0; i < roundedEnd; i += 2) {\n			var k1 = data.charCodeAt(i) | (data.charCodeAt(i + 1) << 16);\n\n			k1 = this.mul32(k1, c1);\n			k1 = ((k1 & 0x1ffff) << 15) | (k1 >>> 17);  // ROTL32(k1,15);\n			k1 = this.mul32(k1, c2);\n\n			h1 ^= k1;\n			h1 = ((h1 & 0x7ffff) << 13) | (h1 >>> 19);  // ROTL32(h1,13);\n			h1 = (h1 * 5 + 0xe6546b64) | 0;\n		}\n\n		if((len % 2) == 1) {\n			k1 = data.charCodeAt(roundedEnd);\n			k1 = this.mul32(k1, c1);\n			k1 = ((k1 & 0x1ffff) << 15) | (k1 >>> 17);  // ROTL32(k1,15);\n			k1 = this.mul32(k1, c2);\n			h1 ^= k1;\n		}\n\n		// finalization\n		h1 ^= (len << 1);\n\n		// fmix(h1);\n		h1 ^= h1 >>> 16;\n		h1  = this.mul32(h1, 0x85ebca6b);\n		h1 ^= h1 >>> 13;\n		h1  = this.mul32(h1, 0xc2b2ae35);\n		h1 ^= h1 >>> 16;\n\n		return h1;\n	}\n};\n\nif(typeof module !== \"undefined\" && typeof module.exports !== \"undefined\") {\n	module.exports = MurmurHash3;\n}\n});\n//# sourceURL=/thirdparty/murmurhash3_gc.js"),eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*unittests: HTML Instrumentation*/\n\ndefine(\'language/HTMLSimpleDOM\',[\'require\',\'exports\',\'module\',\'language/HTMLTokenizer\',\'thirdparty/murmurhash3_gc\',\'utils/PerfUtils\'],function (require, exports, module) {\n    "use strict";\n\n    var Tokenizer   = require("language/HTMLTokenizer").Tokenizer,\n        MurmurHash3 = require("thirdparty/murmurhash3_gc"),\n        PerfUtils   = require("utils/PerfUtils");\n\n    var seed = Math.floor(Math.random() * 65535);\n\n    var tagID = 1;\n\n    /**\n     * A list of tags whose start causes any of a given set of immediate parent\n     * tags to close. This mostly comes from the HTML5 spec section on omitted close tags:\n     * http://www.w3.org/html/wg/drafts/html/master/syntax.html#optional-tags\n     * This doesn\'t handle general content model violations.\n     */\n    var openImpliesClose = {\n        li      : { li: true },\n        dt      : { dd: true, dt: true },\n        dd      : { dd: true, dt: true },\n        address : { p: true },\n        article : { p: true },\n        aside   : { p: true },\n        blockquote : { p: true },\n        colgroup: { caption: true },\n        details : { p: true },\n        dir     : { p: true },\n        div     : { p: true },\n        dl      : { p: true },\n        fieldset: { p: true },\n        figcaption: { p: true },\n        figure  : { p: true },\n        footer  : { p: true },\n        form    : { p: true },\n        h1      : { p: true },\n        h2      : { p: true },\n        h3      : { p: true },\n        h4      : { p: true },\n        h5      : { p: true },\n        h6      : { p: true },\n        header  : { p: true },\n        hgroup  : { p: true },\n        hr      : { p: true },\n        main    : { p: true },\n        menu    : { p: true },\n        nav     : { p: true },\n        ol      : { p: true },\n        p       : { p: true },\n        pre     : { p: true },\n        section : { p: true },\n        table   : { p: true },\n        ul      : { p: true },\n        rb      : { rb: true, rt: true, rtc: true, rp: true },\n        rp      : { rb: true, rt: true, rp: true },\n        rt      : { rb: true, rt: true, rp: true },\n        rtc     : { rb: true, rt: true, rtc: true, rp: true },\n        optgroup: { optgroup: true, option: true },\n        option  : { option: true },\n        tbody   : { caption: true, colgroup: true, thead: true, tbody: true, tfoot: true },\n        tfoot   : { caption: true, colgroup: true, thead: true, tbody: true },\n        thead   : { caption: true, colgroup: true },\n        tr      : { tr: true, th: true, td: true, caption: true },\n        th      : { th: true, td: true },\n        td      : { th: true, td: true },\n        body    : { head: true }\n    };\n\n    /**\n     * A list of elements which are automatically closed when their parent is closed:\n     * http://www.w3.org/html/wg/drafts/html/master/syntax.html#optional-tags\n     */\n    var optionalClose = {\n      html: true,\n      body: true,\n      li: true,\n      dd: true,\n      dt: true, // This is not actually correct, but showing a syntax error is not helpful\n      p: true,\n      rb: true,\n      rt: true,\n      rtc: true,\n      rp: true,\n      optgroup: true,\n      option: true,\n      colgroup: true,\n      caption: true,\n      tbody: true,\n      tfoot: true,\n      tr: true,\n      td: true,\n      th: true\n    };\n\n    // TODO: handle optional start tags\n\n    /**\n     * A list of tags that are self-closing (do not contain other elements).\n     * Mostly taken from http://www.w3.org/html/wg/drafts/html/master/syntax.html#void-elements\n     */\n    var voidElements = {\n        area: true,\n        base: true,\n        basefont: true,\n        br: true,\n        col: true,\n        command: true,\n        embed: true,\n        frame: true,\n        hr: true,\n        img: true,\n        input: true,\n        isindex: true,\n        keygen: true,\n        link: true,\n        menuitem: true,\n        meta: true,\n        param: true,\n        source: true,\n        track: true,\n        wbr: true\n    };\n\n    /**\n     * A SimpleNode represents one node in a SimpleDOM tree. Each node can have\n     * any set of properties on it, though there are a couple of assumptions made.\n     * Elements will have `children` and `attributes` properties. Text nodes will have a `content`\n     * property. All Elements will have a `tagID` and text nodes *can* have one.\n     *\n     * @constructor\n     *\n     * @param {Object} properties the properties provided will be set on the new object.\n     */\n    function SimpleNode(properties) {\n        $.extend(this, properties);\n    }\n\n    SimpleNode.prototype = {\n\n        /**\n         * Updates signatures used to optimize the number of comparisons done during\n         * diffing. This is important to call if you change:\n         *\n         * * children\n         * * child node attributes\n         * * text content of a text node\n         * * child node text\n         */\n        update: function () {\n            if (this.isElement()) {\n                var i,\n                    subtreeHashes = "",\n                    childHashes = "",\n                    child;\n                for (i = 0; i < this.children.length; i++) {\n                    child = this.children[i];\n                    if (child.isElement()) {\n                        childHashes += String(child.tagID);\n                        subtreeHashes += String(child.tagID) + child.attributeSignature + child.subtreeSignature;\n                    } else {\n                        childHashes += child.textSignature;\n                        subtreeHashes += child.textSignature;\n                    }\n                }\n                this.childSignature = MurmurHash3.hashString(childHashes, childHashes.length, seed);\n                this.subtreeSignature = MurmurHash3.hashString(subtreeHashes, subtreeHashes.length, seed);\n            } else {\n                this.textSignature = MurmurHash3.hashString(this.content, this.content.length, seed);\n            }\n        },\n\n        /**\n         * Updates the signature of this node\'s attributes. Call this after making attribute changes.\n         */\n        updateAttributeSignature: function () {\n            var attributeString = JSON.stringify(this.attributes);\n            this.attributeSignature = MurmurHash3.hashString(attributeString, attributeString.length, seed);\n        },\n\n        /**\n         * Is this node an element node?\n         *\n         * @return {bool} true if it is an element\n         */\n        isElement: function () {\n            return !!this.children;\n        },\n\n        /**\n         * Is this node a text node?\n         *\n         * @return {bool} true if it is text\n         */\n        isText: function () {\n            return !this.children;\n        }\n    };\n\n    /**\n     * @private\n     *\n     * Generates a synthetic ID for text nodes. These IDs are only used\n     * for convenience when reading a SimpleDOM that is dumped to the console.\n     *\n     * @param {Object} textNode new node for which we are generating an ID\n     * @return {string} ID for the node\n     */\n    function getTextNodeID(textNode) {\n        var childIndex = textNode.parent.children.indexOf(textNode);\n        if (childIndex === 0) {\n            return textNode.parent.tagID + ".0";\n        }\n        return textNode.parent.children[childIndex - 1].tagID + "t";\n    }\n\n    /**\n     * @private\n     *\n     * Adds two {line, ch}-style positions, returning a new pos.\n     */\n    function _addPos(pos1, pos2) {\n        return {line: pos1.line + pos2.line, ch: (pos2.line === 0 ? pos1.ch + pos2.ch : pos2.ch)};\n    }\n\n    /**\n     * @private\n     *\n     * Offsets the character offset of the given {line, ch} pos by the given amount and returns a new\n     * pos. Not for general purpose use as it does not account for line boundaries.\n     */\n    function _offsetPos(pos, offset) {\n        return {line: pos.line, ch: pos.ch + offset};\n    }\n\n    /**\n     * A Builder creates a SimpleDOM tree of SimpleNode objects representing the\n     * "important" contents of an HTML document. It does not include things like comments.\n     * The nodes include information about their position in the text provided.\n     *\n     * @constructor\n     *\n     * @param {string} text The text to parse\n     * @param {?int} startOffset starting offset in the text\n     * @param {?{line: int, ch: int}} startOffsetPos line/ch position in the text\n     */\n    function Builder(text, startOffset, startOffsetPos) {\n        this.stack = [];\n        this.text = text;\n        this.t = new Tokenizer(text);\n        this.currentTag = null;\n        this.startOffset = startOffset || 0;\n        this.startOffsetPos = startOffsetPos || {line: 0, ch: 0};\n    }\n\n    Builder.prototype._logError = function (token) {\n        var error       = { token: token },\n            startPos    = token ? (token.startPos || token.endPos) : this.startOffsetPos,\n            endPos      = token ? token.endPos : this.startOffsetPos;\n\n        error.startPos = _addPos(this.startOffsetPos, startPos);\n        error.endPos = _addPos(this.startOffsetPos, endPos);\n\n        if (!this.errors) {\n            this.errors = [];\n        }\n\n        this.errors.push(error);\n    };\n\n    /**\n     * Builds the SimpleDOM.\n     *\n     * @param {?bool} strict if errors are detected, halt and return null\n     * @param {?Object} markCache a cache that can be used in ID generation (is passed to `getID`)\n     * @return {SimpleNode} root of tree or null if parsing failed\n     */\n    Builder.prototype.build = function (strict, markCache) {\n        var self = this;\n        var token, lastClosedTag, lastTextNode, lastIndex = 0;\n        var stack = this.stack;\n        var attributeName = null;\n        var nodeMap = {};\n\n        markCache = markCache || {};\n\n        // Start timers for building full and partial DOMs.\n        // Appropriate timer is used, and the other is discarded.\n        var timerBuildFull = "HTMLInstr. Build DOM Full";\n        var timerBuildPart = "HTMLInstr. Build DOM Partial";\n        var timers; // timer handles\n        timers = PerfUtils.markStart([timerBuildFull, timerBuildPart]);\n        timerBuildFull = timers[0];\n        timerBuildPart = timers[1];\n\n        function closeTag(endIndex, endPos) {\n            lastClosedTag = stack[stack.length - 1];\n            stack.pop();\n            lastClosedTag.update();\n\n            lastClosedTag.end = self.startOffset + endIndex;\n            lastClosedTag.endPos = _addPos(self.startOffsetPos, endPos);\n        }\n\n        while ((token = this.t.nextToken()) !== null) {\n            // lastTextNode is used to glue text nodes together\n            // If the last node we saw was text but this one is not, then we\'re done gluing.\n            // If this node is a comment, we might still encounter more text.\n            if (token.type !== "text" && token.type !== "comment" && lastTextNode) {\n                lastTextNode = null;\n            }\n\n            if (token.type === "error") {\n                PerfUtils.finalizeMeasurement(timerBuildFull);  // discard\n                PerfUtils.addMeasurement(timerBuildPart);       // use\n                this._logError(token);\n                return null;\n            } else if (token.type === "opentagname") {\n                var newTagName = token.contents.toLowerCase(),\n                    newTag;\n\n                if (openImpliesClose.hasOwnProperty(newTagName)) {\n                    var closable = openImpliesClose[newTagName];\n                    while (stack.length > 0 && closable.hasOwnProperty(stack[stack.length - 1].tag)) {\n                        // Close the previous tag at the start of this tag.\n                        // Adjust backwards for the < before the tag name.\n                        closeTag(token.start - 1, _offsetPos(token.startPos, -1));\n                    }\n                }\n\n                newTag = new SimpleNode({\n                    tag: token.contents.toLowerCase(),\n                    children: [],\n                    attributes: {},\n                    parent: (stack.length ? stack[stack.length - 1] : null),\n                    start: this.startOffset + token.start - 1,\n                    startPos: _addPos(this.startOffsetPos, _offsetPos(token.startPos, -1)) // ok because we know the previous char was a "<"\n                });\n                newTag.tagID = this.getID(newTag, markCache);\n\n                // During undo in particular, it\'s possible that tag IDs may be reused and\n                // the marks in the document may be misleading. If a tag ID has been reused,\n                // we apply a new tag ID to ensure that our edits come out correctly.\n                if (nodeMap[newTag.tagID]) {\n                    newTag.tagID = this.getNewID();\n                }\n\n                nodeMap[newTag.tagID] = newTag;\n                if (newTag.parent) {\n                    newTag.parent.children.push(newTag);\n                }\n                this.currentTag = newTag;\n\n                if (voidElements.hasOwnProperty(newTag.tag)) {\n                    // This is a self-closing element.\n                    newTag.update();\n                } else {\n                    stack.push(newTag);\n                }\n            } else if (token.type === "opentagend" || token.type === "selfclosingtag") {\n                // TODO: disallow <p/>?\n                if (this.currentTag) {\n                    if (token.type === "selfclosingtag" && stack.length && stack[stack.length - 1] === this.currentTag) {\n                        // This must have been a self-closing tag that we didn\'t identify as a void element\n                        // (e.g. an SVG tag). Pop it off the stack as if we had encountered its close tag.\n                        closeTag(token.end, token.endPos);\n                    } else {\n                        // We\'re ending an open tag. Record the end of the open tag as the end of the\n                        // range. (If we later find a close tag for this tag, the end will get overwritten\n                        // with the end of the close tag. In the case of a self-closing tag, we should never\n                        // encounter that.)\n                        // Note that we don\'t need to update the signature here because the signature only\n                        // relies on the tag name and ID, and isn\'t affected by the tag\'s attributes, so\n                        // the signature we calculated when creating the tag is still the same. If we later\n                        // find a close tag for this tag, we\'ll update the signature to account for its\n                        // children at that point (in the next "else" case).\n                        this.currentTag.end = this.startOffset + token.end;\n                        this.currentTag.endPos = _addPos(this.startOffsetPos, token.endPos);\n                        lastClosedTag = this.currentTag;\n                        this.currentTag.updateAttributeSignature();\n                        this.currentTag = null;\n                    }\n                }\n            } else if (token.type === "closetag") {\n                // If this is a self-closing element, ignore the close tag.\n                var closeTagName = token.contents.toLowerCase();\n                if (!voidElements.hasOwnProperty(closeTagName)) {\n                    // Find the topmost item on the stack that matches. If we can\'t find one, assume\n                    // this is just a dangling closing tag and ignore it.\n                    var i;\n                    for (i = stack.length - 1; i >= 0; i--) {\n                        if (stack[i].tag === closeTagName) {\n                            break;\n                        }\n                    }\n                    if (i >= 0) {\n                        do {\n                            // For all tags we\'re implicitly closing (before we hit the matching tag), we want the\n                            // implied end to be the beginning of the close tag (which is two characters, "</", before\n                            // the start of the tagname). For the actual tag we\'re explicitly closing, we want the\n                            // implied end to be the end of the close tag (which is one character, ">", after the end of\n                            // the tagname).\n                            if (stack.length === i + 1) {\n                                closeTag(token.end + 1, _offsetPos(token.endPos, 1));\n                            } else {\n                                if (strict && !optionalClose.hasOwnProperty(stack[stack.length - 1].tag)) {\n                                    // If we\'re in strict mode, treat unbalanced tags as invalid.\n                                    PerfUtils.finalizeMeasurement(timerBuildFull);\n                                    PerfUtils.addMeasurement(timerBuildPart);\n                                    this._logError(token);\n                                    return null;\n                                }\n                                closeTag(token.start - 2, _offsetPos(token.startPos, -2));\n                            }\n                        } while (stack.length > i);\n                    } else {\n                        // If we\'re in strict mode, treat unmatched close tags as invalid. Otherwise\n                        // we just silently ignore them.\n                        if (strict) {\n                            PerfUtils.finalizeMeasurement(timerBuildFull);\n                            PerfUtils.addMeasurement(timerBuildPart);\n                            this._logError(token);\n                            return null;\n                        }\n                    }\n                }\n            } else if (token.type === "attribname") {\n                attributeName = token.contents.toLowerCase();\n                // Set the value to the empty string in case this is an empty attribute. If it\'s not,\n                // it will get overwritten by the attribvalue later.\n                this.currentTag.attributes[attributeName] = "";\n            } else if (token.type === "attribvalue" && attributeName !== null) {\n                this.currentTag.attributes[attributeName] = token.contents;\n                attributeName = null;\n            } else if (token.type === "text") {\n                if (stack.length) {\n                    var parent = stack[stack.length - 1];\n                    var newNode;\n\n                    // Check to see if we\'re continuing a previous text.\n                    if (lastTextNode) {\n                        newNode = lastTextNode;\n                        newNode.content += token.contents;\n                    } else {\n                        newNode = new SimpleNode({\n                            parent: stack[stack.length - 1],\n                            content: token.contents\n                        });\n                        parent.children.push(newNode);\n                        newNode.tagID = getTextNodeID(newNode);\n                        nodeMap[newNode.tagID] = newNode;\n                        lastTextNode = newNode;\n                    }\n\n                    newNode.update();\n                }\n            }\n            lastIndex = token.end;\n        }\n\n        // If we have any tags hanging open, fail the parse if we\'re in strict mode,\n        // otherwise close them at the end of the document.\n        while (stack.length) {\n            if (strict && !optionalClose.hasOwnProperty(stack[stack.length - 1].tag)) {\n                PerfUtils.finalizeMeasurement(timerBuildFull);\n                PerfUtils.addMeasurement(timerBuildPart);\n                this._logError(token);\n                return null;\n            }\n            closeTag(this.text.length, this.t._indexPos);\n        }\n\n        var dom = lastClosedTag;\n        if (!dom) {\n            // This can happen if the document has no nontrivial content, or if the user tries to\n            // have something at the root other than the HTML tag. In all such cases, we treat the\n            // document as invalid.\n            this._logError(token);\n            return null;\n        }\n\n        dom.nodeMap = nodeMap;\n        PerfUtils.addMeasurement(timerBuildFull);       // use\n        PerfUtils.finalizeMeasurement(timerBuildPart);  // discard\n\n        return dom;\n    };\n\n    /**\n     * Returns a new tag ID.\n     *\n     * @return {int} unique tag ID\n     */\n    Builder.prototype.getNewID = function () {\n        return tagID++;\n    };\n\n    /**\n     * Returns the best tag ID for the new tag object given.\n     * The default implementation just calls `getNewID`\n     * and returns a unique ID.\n     *\n     * @param {Object} newTag tag object to potentially inspect to choose an ID\n     * @return {int} unique tag ID\n     */\n    Builder.prototype.getID = Builder.prototype.getNewID;\n\n    /**\n     * Builds a SimpleDOM from the text provided. If `strict` mode is true, parsing\n     * will halt as soon as any error is seen and null will be returned.\n     *\n     * @param {string} text Text of document to parse\n     * @param {bool} strict True for strict parsing\n     * @return {SimpleNode} root of tree or null if strict failed\n     */\n    function build(text, strict) {\n        var builder = new Builder(text);\n        return builder.build(strict);\n    }\n\n    /**\n     * @private\n     *\n     * Generates a string version of a SimpleDOM for debugging purposes.\n     *\n     * @param {SimpleNode} root root of the tree\n     * @return {string} Text version of the tree.\n     */\n    function _dumpDOM(root) {\n        var result = "",\n            indent = "";\n\n        function walk(node) {\n            if (node.tag) {\n                result += indent + "TAG " + node.tagID + " " + node.tag + " " + JSON.stringify(node.attributes) + "\\n";\n            } else {\n                result += indent + "TEXT " + (node.tagID || "- ") + node.content + "\\n";\n            }\n            if (node.isElement()) {\n                indent += "  ";\n                node.children.forEach(walk);\n                indent = indent.slice(2);\n            }\n        }\n        walk(root);\n\n        return result;\n    }\n\n    // Public API\n    exports.build                       = build;\n    exports.Builder                     = Builder;\n    exports.SimpleNode                  = SimpleNode;\n\n    // Private API\n    exports._dumpDOM                    = _dumpDOM;\n    exports._offsetPos                  = _offsetPos;\n    exports._getTextNodeID              = getTextNodeID;\n    exports._seed                       = seed;\n});\n\n//# sourceURL=/language/HTMLSimpleDOM.js'),eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*unittests: HTML Instrumentation*/\n\ndefine(\'language/HTMLDOMDiff\',[\'require\',\'exports\',\'module\'],function (require, exports, module) {\n    "use strict";\n\n    /**\n     * @private\n     *\n     * Determines the changes made to attributes and generates edits for those changes.\n     *\n     * @param {SimpleNode} oldNode node from old tree\n     * @param {SimpleNode} newNode node from new tree\n     * @return {Array.<Object>} list of edits to mutate attributes from the old node to the new\n     */\n    function generateAttributeEdits(oldNode, newNode) {\n        // shallow copy the old attributes object so that we can modify it\n        var oldAttributes = $.extend({}, oldNode.attributes),\n            newAttributes = newNode.attributes,\n            edits = [];\n\n        Object.keys(newAttributes).forEach(function (attributeName) {\n            if (oldAttributes[attributeName] !== newAttributes[attributeName]) {\n                var type = oldAttributes.hasOwnProperty(attributeName) ? "attrChange" : "attrAdd";\n                edits.push({\n                    type: type,\n                    tagID: oldNode.tagID,\n                    attribute: attributeName,\n                    value: newAttributes[attributeName]\n                });\n            }\n            delete oldAttributes[attributeName];\n        });\n\n        Object.keys(oldAttributes).forEach(function (attributeName) {\n            edits.push({\n                type: "attrDelete",\n                tagID: oldNode.tagID,\n                attribute: attributeName\n            });\n        });\n\n        return edits;\n    }\n\n    /**\n     * @private\n     *\n     * Retrieve the parent tag ID of a SimpleDOM node.\n     *\n     * @param {Object} node SimpleDOM node for which to look up parent ID\n     * @return {int?} ID or null if there is no parent\n     */\n    function getParentID(node) {\n        return node.parent && node.parent.tagID;\n    }\n\n    /**\n     * @private\n     *\n     * When the main loop (see below) determines that something has changed with\n     * an element\'s immediate children, it calls this function to create edit\n     * operations for those changes.\n     *\n     * This adds to the edit list in place and does not return anything.\n     *\n     * @param {?Object} oldParent SimpleDOM node for the previous state of this element, null/undefined if the element is new\n     * @param {Object} newParent SimpleDOM node for the current state of the element\n     */\n    var generateChildEdits = function (oldParent, oldNodeMap, newParent, newNodeMap) {\n        /*jslint continue: true */\n\n        var newIndex = 0,\n            oldIndex = 0,\n            newChildren = newParent.children,\n            oldChildren = oldParent ? oldParent.children : [],\n            newChild,\n            oldChild,\n            newEdits = [],\n            newEdit,\n            textAfterID,\n            edits = [],\n            moves = [],\n            newElements = [];\n\n        /**\n         * We initially put new edit objects into the `newEdits` array so that we\n         * can fix them up with proper positioning information. This function is\n         * responsible for doing that fixup.\n         *\n         * The `beforeID` that appears in many edits tells the browser to make the\n         * change before the element with the given ID. In other words, an\n         * elementInsert with a `beforeID` of 32 would result in something like\n         * `parentElement.insertBefore(newChildElement, _queryBracketsID(32))`\n         *\n         * Many new edits are captured in the `newEdits` array so that a suitable\n         * `beforeID` can be added to them before they are added to the main edits\n         * list. This function sets the `beforeID` on any pending edits and adds\n         * them to the main list.\n         *\n         * If this item is not being deleted, then it will be used as the `afterID`\n         * for text edits that follow.\n         *\n         * @param {int} beforeID ID to set on the pending edits\n         * @param {boolean} isBeingDeleted true if the given item is being deleted. If so,\n         *     we can\'t use it as the `afterID` for future edits--whatever previous item\n         *     was set as the `textAfterID` is still okay.\n         */\n        var finalizeNewEdits = function (beforeID, isBeingDeleted) {\n            newEdits.forEach(function (edit) {\n                // elementDeletes don\'t need any positioning information\n                if (edit.type !== "elementDelete") {\n                    edit.beforeID = beforeID;\n                }\n            });\n            edits.push.apply(edits, newEdits);\n            newEdits = [];\n\n            // If the item we made this set of edits relative to\n            // is being deleted, we can\'t use it as the afterID for future\n            // edits. It\'s okay to just keep the previous afterID, since\n            // this node will no longer be in the tree by the time we get\n            // to any future edit that needs an afterID.\n            if (!isBeingDeleted) {\n                textAfterID = beforeID;\n            }\n        };\n\n        /**\n         * If the current element was not in the old DOM, then we will create\n         * an elementInsert edit for it.\n         *\n         * If the element was in the old DOM, this will return false and the\n         * main loop will either spot this element later in the child list\n         * or the element has been moved.\n         *\n         * @return {boolean} true if an elementInsert was created\n         */\n        var addElementInsert = function () {\n            if (!oldNodeMap[newChild.tagID]) {\n                newEdit = {\n                    type: "elementInsert",\n                    tag: newChild.tag,\n                    tagID: newChild.tagID,\n                    parentID: newChild.parent.tagID,\n                    attributes: newChild.attributes\n                };\n\n                newEdits.push(newEdit);\n\n                // This newly inserted node needs to have edits generated for its\n                // children, so we add it to the queue.\n                newElements.push(newChild);\n\n                // A textInsert edit that follows this elementInsert should use\n                // this element\'s ID.\n                textAfterID = newChild.tagID;\n\n                // new element means we need to move on to compare the next\n                // of the current tree with the one from the old tree that we\n                // just compared\n                newIndex++;\n                return true;\n            }\n            return false;\n        };\n\n        /**\n         * If the old element that we\'re looking at does not appear in the new\n         * DOM, that means it was deleted and we\'ll create an elementDelete edit.\n         *\n         * If the element is in the new DOM, then this will return false and\n         * the main loop with either spot this node later on or the element\n         * has been moved.\n         *\n         * @return {boolean} true if elementDelete was generated\n         */\n        var addElementDelete = function () {\n            if (!newNodeMap[oldChild.tagID]) {\n                // We can finalize existing edits relative to this node *before* it\'s\n                // deleted.\n                finalizeNewEdits(oldChild.tagID, true);\n\n                newEdit = {\n                    type: "elementDelete",\n                    tagID: oldChild.tagID\n                };\n                newEdits.push(newEdit);\n\n                // deleted element means we need to move on to compare the next\n                // of the old tree with the one from the current tree that we\n                // just compared\n                oldIndex++;\n                return true;\n            }\n            return false;\n        };\n\n        /**\n         * Adds a textInsert edit for a newly created text node.\n         */\n        var addTextInsert = function () {\n            newEdit = {\n                type: "textInsert",\n                content: newChild.content,\n                parentID: newChild.parent.tagID\n            };\n\n            // text changes will generally have afterID and beforeID, but we make\n            // special note if it\'s the first child.\n            if (textAfterID) {\n                newEdit.afterID = textAfterID;\n            } else {\n                newEdit.firstChild = true;\n            }\n            newEdits.push(newEdit);\n\n            // The text node is in the new tree, so we move to the next new tree item\n            newIndex++;\n        };\n\n        /**\n         * Finds the previous child of the new tree.\n         *\n         * @return {?Object} previous child or null if there wasn\'t one\n         */\n        var prevNode = function () {\n            if (newIndex > 0) {\n                return newParent.children[newIndex - 1];\n            }\n            return null;\n        };\n\n        /**\n         * Adds a textDelete edit for text node that is not in the new tree.\n         * Note that we actually create a textReplace rather than a textDelete\n         * if the previous node in current tree was a text node. We do this because\n         * text nodes are not individually addressable and a delete event would\n         * end up clearing out both that previous text node that we want to keep\n         * and this text node that we want to eliminate. Instead, we just log\n         * a textReplace which will result in the deletion of this node and\n         * the maintaining of the old content.\n         */\n        var addTextDelete = function () {\n            var prev = prevNode();\n            if (prev && !prev.children) {\n                newEdit = {\n                    type: "textReplace",\n                    content: prev.content\n                };\n            } else {\n                newEdit = {\n                    type: "textDelete"\n                };\n            }\n\n            // When elements are deleted or moved from the old set of children, you\n            // can end up with multiple text nodes in a row. A single textReplace edit\n            // will take care of those (and will contain all of the right content since\n            // the text nodes between elements in the new DOM are merged together).\n            // The check below looks to see if we\'re already in the process of adding\n            // a textReplace edit following the same element.\n            var previousEdit = newEdits.length > 0 && newEdits[newEdits.length - 1];\n            if (previousEdit && previousEdit.type === "textReplace" &&\n                    previousEdit.afterID === textAfterID) {\n                oldIndex++;\n                return;\n            }\n\n            newEdit.parentID = oldChild.parent.tagID;\n\n            // If there was only one child previously, we just pass along\n            // textDelete/textReplace with the parentID and the browser will\n            // clear all of the children\n            if (oldChild.parent.children.length === 1) {\n                newEdits.push(newEdit);\n            } else {\n                if (textAfterID) {\n                    newEdit.afterID = textAfterID;\n                }\n                newEdits.push(newEdit);\n            }\n\n            // This text appeared in the old tree but not the new one, so we\n            // increment the old children counter.\n            oldIndex++;\n        };\n\n        /**\n         * Adds an elementMove edit if the parent has changed between the old and new trees.\n         * These are fairly infrequent and generally occur if you make a change across\n         * tag boundaries.\n         *\n         * @return {boolean} true if an elementMove was generated\n         */\n        var addElementMove = function () {\n\n            // This check looks a little strange, but it suits what we\'re trying\n            // to do: as we\'re walking through the children, a child node that has moved\n            // from one parent to another will be found but would look like some kind\n            // of insert. The check that we\'re doing here is looking up the current\n            // child\'s ID in the *old* map and seeing if this child used to have a\n            // different parent.\n            var possiblyMovedElement = oldNodeMap[newChild.tagID];\n            if (possiblyMovedElement &&\n                    newParent.tagID !== getParentID(possiblyMovedElement)) {\n                newEdit = {\n                    type: "elementMove",\n                    tagID: newChild.tagID,\n                    parentID: newChild.parent.tagID\n                };\n                moves.push(newEdit.tagID);\n                newEdits.push(newEdit);\n\n                // this element in the new tree was a move to this spot, so we can move\n                // on to the next child in the new tree.\n                newIndex++;\n                return true;\n            }\n            return false;\n        };\n\n        /**\n         * Looks to see if the element in the old tree has moved by checking its\n         * current and former parents.\n         *\n         * @return {boolean} true if the element has moved\n         */\n        var hasMoved = function (oldChild) {\n            var oldChildInNewTree = newNodeMap[oldChild.tagID];\n\n            return oldChild.children && oldChildInNewTree && getParentID(oldChild) !== getParentID(oldChildInNewTree);\n        };\n\n        // Loop through the current and old children, comparing them one by one.\n        while (newIndex < newChildren.length && oldIndex < oldChildren.length) {\n            newChild = newChildren[newIndex];\n\n            // Check to see if the currentChild has been reparented from somewhere\n            // else in the old tree\n            if (newChild.children && addElementMove()) {\n                continue;\n            }\n\n            oldChild = oldChildren[oldIndex];\n\n            // Check to see if the oldChild has been moved to another parent.\n            // If it has, we deal with it on the other side (see above)\n            if (hasMoved(oldChild)) {\n                oldIndex++;\n                continue;\n            }\n\n            if (newChild.isElement() || oldChild.isElement()) {\n\n                if (newChild.isElement() && oldChild.isText()) {\n                    addTextDelete();\n\n                    // If this element is new, add it and move to the next child\n                    // in the current tree. Otherwise, we\'ll compare this same\n                    // current element with the next old element on the next pass\n                    // through the loop.\n                    addElementInsert();\n\n                } else if (oldChild.isElement() && newChild.isText()) {\n                    // If the old child has *not* been deleted, we assume that we\'ve\n                    // inserted some text and will still encounter the old node\n                    if (!addElementDelete()) {\n                        addTextInsert();\n                    }\n\n                // both children are elements\n                } else {\n                    if (newChild.tagID !== oldChild.tagID) {\n\n                        // First, check to see if we\'re deleting an element.\n                        // If we are, get rid of that element and restart our comparison\n                        // logic with the same element from the new tree and the next one\n                        // from the old tree.\n                        if (!addElementDelete()) {\n                            // Since we\'re not deleting and these elements don\'t match up, we\n                            // must have a new element. Add an elementInsert (and log a problem\n                            // if no insert works.)\n                            if (!addElementInsert()) {\n                                console.error("HTML Instrumentation: This should not happen. Two elements have different tag IDs and there was no insert/delete. This generally means there was a reordering of elements.");\n                                newIndex++;\n                                oldIndex++;\n                            }\n                        }\n\n                    // There has been no change in the tag we\'re looking at.\n                    } else {\n                        // Since this element hasn\'t moved, it is a suitable "beforeID"\n                        // for the edits we\'ve logged.\n                        finalizeNewEdits(oldChild.tagID, false);\n                        newIndex++;\n                        oldIndex++;\n                    }\n                }\n\n            // We know we\'re comparing two texts. Just match up their signatures.\n            } else {\n                if (newChild.textSignature !== oldChild.textSignature) {\n                    newEdit = {\n                        type: "textReplace",\n                        content: newChild.content,\n                        parentID: newChild.parent.tagID\n                    };\n                    if (textAfterID) {\n                        newEdit.afterID = textAfterID;\n                    }\n                    newEdits.push(newEdit);\n                }\n\n                // Either we\'ve done a text replace or both sides matched. In either\n                // case we\'re ready to move forward among both the old and new children.\n                newIndex++;\n                oldIndex++;\n            }\n        }\n\n        // At this point, we\'ve used up all of the children in at least one of the\n        // two sets of children.\n\n        /**\n         * Take care of any remaining children in the old tree.\n         */\n        while (oldIndex < oldChildren.length) {\n            oldChild = oldChildren[oldIndex];\n\n            // Check for an element that has moved\n            if (hasMoved(oldChild)) {\n                // This element has moved, so we skip it on this side (the move\n                // is handled on the new tree side).\n                oldIndex++;\n\n            // is this an element? if so, delete it\n            } else if (oldChild.isElement()) {\n                if (!addElementDelete()) {\n                    console.error("HTML Instrumentation: failed to add elementDelete for remaining element in the original DOM. This should not happen.", oldChild);\n                    oldIndex++;\n                }\n\n            // must be text. delete that.\n            } else {\n                addTextDelete();\n            }\n        }\n\n        /**\n         * Take care of the remaining children in the new tree.\n         */\n        while (newIndex < newChildren.length) {\n            newChild = newChildren[newIndex];\n\n            // Is this an element?\n            if (newChild.isElement()) {\n\n                // Look to see if the element has moved here.\n                if (!addElementMove()) {\n                    // Not a move, so we insert this element.\n                    if (!addElementInsert()) {\n                        console.error("HTML Instrumentation: failed to add elementInsert for remaining element in the updated DOM. This should not happen.");\n                        newIndex++;\n                    }\n                }\n\n            // not a new element, so it must be new text.\n            } else {\n                addTextInsert();\n            }\n        }\n\n        /**\n         * Finalize remaining edits. For inserts and moves, we can set the `lastChild`\n         * flag and the browser can simply use `appendChild` to add these items.\n         */\n        newEdits.forEach(function (edit) {\n            if (edit.type === "textInsert" || edit.type === "elementInsert" || edit.type === "elementMove") {\n                edit.lastChild = true;\n                delete edit.firstChild;\n                delete edit.afterID;\n            }\n        });\n        edits.push.apply(edits, newEdits);\n\n        return {\n            edits: edits,\n            moves: moves,\n            newElements: newElements\n        };\n    };\n\n    /**\n     * Generate a list of edits that will mutate oldNode to look like newNode.\n     * Currently, there are the following possible edit operations:\n     *\n     * * elementInsert\n     * * elementDelete\n     * * elementMove\n     * * textInsert\n     * * textDelete\n     * * textReplace\n     * * attrDelete\n     * * attrChange\n     * * attrAdd\n     * * rememberNodes (a special instruction that reflects the need to hang on to moved nodes)\n     *\n     * @param {Object} oldNode SimpleDOM node with the original content\n     * @param {Object} newNode SimpleDOM node with the new content\n     * @return {Array.{Object}} list of edit operations\n     */\n    function domdiff(oldNode, newNode) {\n        var queue = [],\n            edits = [],\n            moves = [],\n            newElement,\n            oldElement,\n            oldNodeMap = oldNode ? oldNode.nodeMap : {},\n            newNodeMap = newNode.nodeMap;\n\n        /**\n         * Adds elements to the queue for generateChildEdits.\n         * Only elements (and not text nodes) are added. New nodes (ones that aren\'t in the\n         * old nodeMap), are not added here because they will be added when generateChildEdits\n         * creates the elementInsert edit.\n         */\n        var queuePush = function (node) {\n            if (node.children && oldNodeMap[node.tagID]) {\n                queue.push(node);\n            }\n        };\n\n        /**\n         * Aggregates the child edits in the proper data structures.\n         *\n         * @param {Object} delta edits, moves and newElements to add\n         */\n        var addEdits = function (delta) {\n            edits.push.apply(edits, delta.edits);\n            moves.push.apply(moves, delta.moves);\n            queue.push.apply(queue, delta.newElements);\n        };\n\n        // Start at the root of the current tree.\n        queue.push(newNode);\n\n        do {\n            newElement = queue.pop();\n            oldElement = oldNodeMap[newElement.tagID];\n\n            // Do we need to compare elements?\n            if (oldElement) {\n\n                // Are attributes different?\n                if (newElement.attributeSignature !== oldElement.attributeSignature) {\n                    // generate attribute edits\n                    edits.push.apply(edits, generateAttributeEdits(oldElement, newElement));\n                }\n\n                // Has there been a change to this node\'s immediate children?\n                if (newElement.childSignature !== oldElement.childSignature) {\n                    addEdits(generateChildEdits(oldElement, oldNodeMap, newElement, newNodeMap));\n                }\n\n                // If there\'s a change farther down in the tree, add the children to the queue.\n                // If not, we can skip that whole subtree.\n                if (newElement.subtreeSignature !== oldElement.subtreeSignature) {\n                    newElement.children.forEach(queuePush);\n                }\n\n            // This is a new element, so go straight to generating child edits (which will\n            // create the appropriate Insert edits).\n            } else {\n                // If this is the root (html) tag, we need to manufacture an insert for it here,\n                // because it isn\'t the child of any other node. The browser-side code doesn\'t\n                // care about parentage/positioning in this case, and will handle just setting the\n                // ID on the existing implied HTML tag in the browser without actually creating it.\n                if (!newElement.parent) {\n                    edits.push({\n                        type: "elementInsert",\n                        tag: newElement.tag,\n                        tagID: newElement.tagID,\n                        parentID: null,\n                        attributes: newElement.attributes\n                    });\n                }\n\n                addEdits(generateChildEdits(null, oldNodeMap, newElement, newNodeMap));\n            }\n        } while (queue.length);\n\n        // Special handling for moves: add edits to the beginning of the list so that\n        // moved nodes are set aside to ensure that they remain available at the time of their\n        // move.\n        if (moves.length > 0) {\n            edits.unshift({\n                type: "rememberNodes",\n                tagIDs: moves\n            });\n        }\n\n        return edits;\n    }\n\n    // Public API\n    exports.domdiff = domdiff;\n});\n\n//# sourceURL=/language/HTMLDOMDiff.js'),
eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*unittests: HTML Instrumentation*/\n\n/**\n * HTMLInstrumentation\n *\n * This module contains functions for "instrumenting" html code so that we can track\n * the relationship of source code to DOM nodes in the browser. This functionality is\n * used by both live highlighting and live HTML editing.\n *\n * During live HTML development, the HTML source code is parsed to identify tag boundaries.\n * Each tag is assigned an ID which is stored in markers that are inserted into the editor.\n * These IDs are also included in "data-brackets-id" attributes that are inserted in the\n * HTML code that\'s served to the browser via the Live Development server.\n *\n * The primary function for that functionality is generateInstrumentedHTML(). This does just\n * what it says - it will read the HTML content in the doc and generate instrumented code by\n * injecting "data-brackets-id" attributes. Additionally, it caches the parsed DOM for use\n * by future updates.\n *\n * As the user makes edits in the editor, we determine how the DOM structure should change\n * based on the edits to the source code; those edits are generated by getUnappliedEditList().\n * HTMLDocument (in LiveDevelopment) takes those edits and sends them to the browser (via\n * RemoteFunctions) so that the DOM structure in the live preview can be updated accordingly.\n *\n * There are also helper functions for returning the tagID associated with a specified\n * position in the document--this is used in live highlighting.\n */\ndefine(\'language/HTMLInstrumentation\',[\'require\',\'exports\',\'module\',\'document/DocumentManager\',\'./HTMLSimpleDOM\',\'./HTMLDOMDiff\',\'thirdparty/lodash\'],function (require, exports, module) {\n    "use strict";\n\n    var DocumentManager = require("document/DocumentManager"),\n        HTMLSimpleDOM   = require("./HTMLSimpleDOM"),\n        HTMLDOMDiff     = require("./HTMLDOMDiff"),\n        _               = require("thirdparty/lodash");\n\n    var allowIncremental = true;\n\n    // Hash of scanned documents. Key is the full path of the doc. Value is an object\n    // with two properties: timestamp and dom. Timestamp is the document timestamp,\n    // dom is the root node of a simple DOM tree.\n    var _cachedValues = {};\n\n    /**\n     * @private\n     * Removes the cached information (DOM, timestamp, etc.) used by HTMLInstrumentation\n     * for the given document.\n     * @param {$.Event} event (unused)\n     * @param {Document} document The document to clear from the cache.\n     */\n    function _removeDocFromCache(evt, document) {\n        if (_cachedValues.hasOwnProperty(document.file.fullPath)) {\n            delete _cachedValues[document.file.fullPath];\n            document.off(".htmlInstrumentation");\n        }\n    }\n\n    /**\n     * @private\n     * Checks if two CodeMirror-style {line, ch} positions are equal.\n     * @param {{line: number, ch: number}} pos1\n     * @param {{line: number, ch: number}} pos2\n     * @return {boolean} true if pos1 and pos2 are equal. Fails if either of them is falsy.\n     */\n    function _posEq(pos1, pos2) {\n        return pos1 && pos2 && pos1.line === pos2.line && pos1.ch === pos2.ch;\n    }\n\n    function getPositionFromTagId(editor, tagId) {\n        var marks = editor._codeMirror.getAllMarks(),\n            i,\n            markFound;\n        \n        markFound = _.find(marks, function (mark) {\n            return (mark.tagID === tagId);\n        });\n        if (markFound) {\n            return markFound.find().from;\n        } else {\n            return null;\n        }\n    }\n\n    /**\n     * @private\n     * Filters the given marks to find the ones that correspond to instrumented tags,\n     * sorts them by their starting position, and looks up and/or stores their ranges\n     * in the given markCache.\n     * @param {Array} marks An array of mark objects returned by CodeMirror.\n     * @param {Object} markCache An object that maps tag IDs to {mark, range} objects.\n     *     If a mark in the marks array is already in the cache, we use the cached range info,\n     *     otherwise we look up its range in CodeMirror and store it in the cache.\n     * @return {Array.<{mark: Object, range: {line: number, ch: number}}>} The filtered and\n     *     sorted array of mark info objects (each of which contains the mark and its range,\n     *     so the range doesn\'t need to be looked up again).\n     */\n    function _getSortedTagMarks(marks, markCache) {\n        marks = marks.filter(function (mark) {\n            return !!mark.tagID;\n        }).map(function (mark) {\n            // All marks should exist since we just got them from CodeMirror.\n            if (!markCache[mark.tagID]) {\n                markCache[mark.tagID] = {mark: mark, range: mark.find()};\n            }\n            return markCache[mark.tagID];\n        });\n        marks.sort(function (mark1, mark2) {\n            return (mark1.range.from.line === mark2.range.from.line ?\n                    mark1.range.from.ch - mark2.range.from.ch :\n                    mark1.range.from.line - mark2.range.from.line);\n        });\n\n        return marks;\n    }\n\n    /**\n     * @private\n     * Finds the mark for the DOM node at the given position in the editor.\n     * @param {Editor} editor The editor containing the instrumented document.\n     * @param {{line: number, ch: number}} pos The position to find the DOM marker for.\n     * @param {boolean} preferParent If true, and the pos is at one or the other edge of the\n     *     innermost marked range, return the immediately enclosing mark instead.\n     * @param {Object=} markCache An optional cache to look up positions of existing\n     *     markers. (This avoids calling the find() operation on marks multiple times,\n     *     which is expensive.)\n     * @return {Object} The CodeMirror mark object that represents the DOM node at the\n     *     given position.\n     */\n    function _getMarkerAtDocumentPos(editor, pos, preferParent, markCache) {\n        var marks, match;\n\n        markCache = markCache || {};\n        marks = _getSortedTagMarks(editor._codeMirror.findMarksAt(pos), markCache);\n        if (!marks.length) {\n            return null;\n        }\n\n        // The mark with the latest start is the innermost one.\n        match = marks.pop();\n        if (preferParent) {\n            // If the match is exactly at the edge of the range and preferParent is set,\n            // we want to pop upwards. If pos is exactly between two marks, we need to pop upwards twice.\n            while (match && (_posEq(match.range.from, pos) || _posEq(match.range.to, pos))) {\n                match = marks.pop();\n            }\n        }\n\n        return match && match.mark;\n    }\n\n    /**\n     * @private\n     * Dumps the current list of mark ranges for instrumented tags to the console. Used for debugging.\n     * @param {Editor} editor The editor to find the mark ranges for.\n     * @param {Object=} nodeMap If specified, a map of tag IDs to DOM nodes, used so we can indicate which tag name\n     *     the DOM thinks corresponds to the given mark.\n     */\n    function _dumpMarks(editor, nodeMap) {\n        var markCache = {},\n            marks = _getSortedTagMarks(editor._codeMirror.getAllMarks(), markCache);\n        marks.forEach(function (markInfo) {\n            var mark = markInfo.mark,\n                range = markInfo.range;\n            console.log("<" + nodeMap[mark.tagID].tag + "> (" + mark.tagID + ") " +\n                        range.from.line + ":" + range.from.ch + " - " + range.to.line + ":" + range.to.ch);\n        });\n    }\n    // Workaround for JSHint to not complain about the unused function\n    void(_dumpMarks);\n\n    /**\n     * Get the instrumented tagID at the specified position. Returns -1 if\n     * there are no instrumented tags at the location.\n     * The _markText() function must be called before calling this function.\n     *\n     * NOTE: This function is "private" for now (has a leading underscore), since\n     * the API is likely to change in the future.\n     *\n     * @param {Editor} editor The editor to scan.\n     * @param {{line: number, ch: number}} pos The position to find the DOM marker for.\n     * @param {Object=} markCache An optional cache to look up positions of existing\n     *     markers. (This avoids calling the find() operation on marks multiple times,\n     *     which is expensive.)\n     * @return {number} tagID at the specified position, or -1 if there is no tag\n     */\n    function _getTagIDAtDocumentPos(editor, pos, markCache) {\n        var match = _getMarkerAtDocumentPos(editor, pos, false, markCache);\n\n        return (match) ? match.tagID : -1;\n    }\n\n    /**\n     * Recursively walks the SimpleDOM starting at node and marking\n     * all tags in the CodeMirror instance. The more useful interface\n     * is the _markTextFromDOM function which clears existing marks\n     * before calling this function to create new ones.\n     *\n     * @param {CodeMirror} cm CodeMirror instance in which to mark tags\n     * @param {Object} node SimpleDOM node to use as the root for marking\n     */\n    function _markTags(cm, node) {\n        node.children.forEach(function (childNode) {\n            if (childNode.isElement()) {\n                _markTags(cm, childNode);\n            }\n        });\n        var mark = cm.markText(node.startPos, node.endPos);\n        mark.tagID = node.tagID;\n    }\n\n    /**\n     * Clears the marks from the document and creates new ones.\n     *\n     * @param {Editor} editor Editor object holding this document\n     * @param {Object} dom SimpleDOM root object that contains the parsed structure\n     */\n    function _markTextFromDOM(editor, dom) {\n        var cm = editor._codeMirror;\n\n        // Remove existing marks\n        var marks = cm.getAllMarks();\n        cm.operation(function () {\n            marks.forEach(function (mark) {\n                if (mark.hasOwnProperty("tagID")) {\n                    mark.clear();\n                }\n            });\n        });\n\n        // Mark\n        _markTags(cm, dom);\n    }\n\n    /**\n     * Subclass of HTMLSimpleDOM.Builder that builds an updated DOM after changes have been made,\n     * and maps nodes from the new DOM to the old DOM by tag ID. For non-structural edits, avoids reparsing\n     * the whole editor. Also updates marks in the editor based on the new DOM state.\n     *\n     * @constructor\n     * @param {Object} previousDOM The root of the HTMLSimpleDOM tree representing a previous state of the DOM.\n     * @param {Editor} editor The editor containing the instrumented HTML.\n     * @param {Array=} changeList An optional array of CodeMirror change records representing the\n     *     edits the user made in the editor since previousDOM was built. If provided, and the\n     *     edits are not structural, DOMUpdater will do a fast incremental reparse. If not provided,\n     *     or if one of the edits changes the DOM structure, DOMUpdater will reparse the whole DOM.\n     */\n    function DOMUpdater(previousDOM, editor, changeList) {\n        var text, startOffset = 0, startOffsetPos;\n\n        this.isIncremental = false;\n\n        function isDangerousEdit(text) {\n            // We don\'t consider & dangerous since entities only affect text content, not\n            // overall DOM structure.\n            return (/[<>\\/=\\"\\\']/).test(text);\n        }\n\n        // If there\'s more than one change, be conservative and assume we have to do a full reparse.\n        if (changeList && changeList.length === 1) {\n            // If the inserted or removed text doesn\'t have any characters that could change the\n            // structure of the DOM (e.g. by adding or removing a tag boundary), then we can do\n            // an incremental reparse of just the parent tag containing the edit. This should just\n            // be the marked range that contains the beginning of the edit range, since that position\n            // isn\'t changed by the edit.\n            var change = changeList[0];\n            if (!isDangerousEdit(change.text) && !isDangerousEdit(change.removed)) {\n                // If the edit is right at the beginning or end of a tag, we want to be conservative\n                // and use the parent as the edit range.\n                var startMark = _getMarkerAtDocumentPos(editor, change.from, true);\n                if (startMark) {\n                    var range = startMark.find();\n                    if (range) {\n                        text = editor._codeMirror.getRange(range.from, range.to);\n                        this.changedTagID = startMark.tagID;\n                        startOffsetPos = range.from;\n                        startOffset = editor._codeMirror.indexFromPos(startOffsetPos);\n                        this.isIncremental = true;\n                    }\n                }\n            }\n        }\n\n        if (!this.changedTagID) {\n            // We weren\'t able to incrementally update, so just rebuild and diff everything.\n            text = editor.document.getText();\n        }\n\n        HTMLSimpleDOM.Builder.call(this, text, startOffset, startOffsetPos);\n        this.editor = editor;\n        this.cm = editor._codeMirror;\n        this.previousDOM = previousDOM;\n    }\n\n    DOMUpdater.prototype = Object.create(HTMLSimpleDOM.Builder.prototype);\n\n    /**\n     * @private\n     * Returns true if the given node has an ancestor whose tagID is the given ID.\n     * @param {Object} node A node from an HTMLSimpleDOM structure.\n     * @param {number} id The ID of the tag to check for.\n     * @return {boolean} true if the node has an ancestor with that ID.\n     */\n    function _hasAncestorWithID(node, id) {\n        var ancestor = node.parent;\n        while (ancestor && ancestor.tagID !== id) {\n            ancestor = ancestor.parent;\n        }\n        return !!ancestor;\n    }\n\n    /**\n     * Overrides the `getID` method to return the tag ID from the document. If a viable tag\n     * ID cannot be found in the document marks, then a new ID is returned. This will also\n     * assign a new ID if the tag changed between the previous and current versions of this\n     * node.\n     *\n     * @param {Object} newTag tag object for the current element\n     * @return {int} best ID\n     */\n    DOMUpdater.prototype.getID = function (newTag, markCache) {\n        // Get the mark at the start of the tagname (not before the beginning of the tag, because that\'s\n        // actually inside the parent).\n        var currentTagID = _getTagIDAtDocumentPos(this.editor, HTMLSimpleDOM._offsetPos(newTag.startPos, 1), markCache);\n\n        // If the new tag is in an unmarked range, or the marked range actually corresponds to an\n        // ancestor tag, then this must be a newly inserted tag, so give it a new tag ID.\n        if (currentTagID === -1 || _hasAncestorWithID(newTag, currentTagID)) {\n            currentTagID = this.getNewID();\n        } else {\n            // If the tag has changed between the previous DOM and the new one, we assign a new ID\n            // so that the old tag will be deleted and the new one inserted.\n            var oldNode = this.previousDOM.nodeMap[currentTagID];\n            if (!oldNode || oldNode.tag !== newTag.tag) {\n                currentTagID = this.getNewID();\n            }\n        }\n        return currentTagID;\n    };\n\n    /**\n     * Updates the CodeMirror marks in the editor to reflect the new bounds of nodes in\n     * the given nodeMap.\n     * @param {Object} nodeMap The node map from the new DOM.\n     * @param {Object} markCache The cache of existing mark ranges built during the latest parse.\n     */\n    DOMUpdater.prototype._updateMarkedRanges = function (nodeMap, markCache) {\n        // FUTURE: this is somewhat inefficient (getting all the marks involves passing linearly through\n        // the document once), but it doesn\'t seem to be a hotspot right now.\n        var updateIDs = Object.keys(nodeMap),\n            cm = this.cm,\n            marks = cm.getAllMarks();\n\n        cm.operation(function () {\n            marks.forEach(function (mark) {\n                if (mark.hasOwnProperty("tagID") && nodeMap[mark.tagID]) {\n                    var node = nodeMap[mark.tagID],\n                        markInfo = markCache[mark.tagID];\n                    // If the mark\'s bounds already match, avoid destroying and recreating the mark,\n                    // since that incurs some overhead.\n                    if (!(markInfo && _posEq(markInfo.range.from, node.startPos) && _posEq(markInfo.range.to, node.endPos))) {\n                        mark.clear();\n                        mark = cm.markText(node.startPos, node.endPos);\n                        mark.tagID = node.tagID;\n                    }\n                    updateIDs.splice(updateIDs.indexOf(String(node.tagID)), 1);\n                }\n            });\n\n            // Any remaining updateIDs are new.\n            updateIDs.forEach(function (id) {\n                var node = nodeMap[id], mark;\n                if (node.isElement()) {\n                    mark = cm.markText(node.startPos, node.endPos);\n                    mark.tagID = Number(id);\n                }\n            });\n        });\n    };\n\n    /**\n     * @private\n     * Creates a map from tagIDs to nodes in the given HTMLSimpleDOM subtree and\n     * stores it on the root.\n     * @param {Object} root The root of an HTMLSimpleDOM tree.\n     */\n    DOMUpdater.prototype._buildNodeMap = function (root) {\n        var nodeMap = {};\n\n        function walk(node) {\n            if (node.tagID) {\n                nodeMap[node.tagID] = node;\n            }\n            if (node.isElement()) {\n                node.children.forEach(walk);\n            }\n        }\n\n        walk(root);\n        root.nodeMap = nodeMap;\n    };\n\n    /**\n     * @private\n     * Removes all nodes deleted between the oldSubtree and the newSubtree from the given nodeMap,\n     * and clears marks associated with those nodes.\n     * @param {Object} nodeMap The nodeMap to update to remove deleted items.\n     * @param {Object} oldSubtreeMap The nodeMap for the original subtree (which should be a subset of the\n     *     first nodeMap).\n     * @param {Object} newSubtreeMap The nodeMap for the new subtree.\n     */\n    DOMUpdater.prototype._handleDeletions = function (nodeMap, oldSubtreeMap, newSubtreeMap) {\n        var deletedIDs = [];\n        Object.keys(oldSubtreeMap).forEach(function (key) {\n            if (!newSubtreeMap.hasOwnProperty(key)) {\n                deletedIDs.push(key);\n                delete nodeMap[key];\n            }\n        });\n\n        if (deletedIDs.length) {\n            // FUTURE: would be better to cache the mark for each node. Also, could\n            // conceivably combine this with _updateMarkedRanges().\n            var marks = this.cm.getAllMarks();\n            marks.forEach(function (mark) {\n                if (mark.hasOwnProperty("tagID") && deletedIDs.indexOf(mark.tagID) !== -1) {\n                    mark.clear();\n                }\n            });\n        }\n    };\n\n    /**\n     * Reparses the document (or a portion of it if we can do it incrementally).\n     * Note that in an incremental update, the old DOM is actually mutated (the new\n     * subtree is swapped in for the old subtree).\n     * @return {?{newDOM: Object, oldSubtree: Object, newSubtree: Object}} newDOM is\n     *      the full new DOM. For a full update, oldSubtree is the full old DOM\n     *      and newSubtree is the same as newDOM; for an incremental update,\n     *      oldSubtree is the portion of the old tree that was reparsed,\n     *      newSubtree is the updated version, and newDOM is actually the same\n     *      as the original DOM (with newSubtree swapped in for oldSubtree).\n     *      If the document can\'t be parsed due to invalid HTML, returns null.\n     */\n    DOMUpdater.prototype.update = function () {\n        var markCache = {},\n            newSubtree = this.build(true, markCache),\n            result = {\n                // default result if we didn\'t identify a changed portion\n                newDOM: newSubtree,\n                oldSubtree: this.previousDOM,\n                newSubtree: newSubtree\n            };\n\n        if (!newSubtree) {\n            return null;\n        }\n\n        if (this.changedTagID) {\n            // Find the old subtree that\'s going to get swapped out.\n            var oldSubtree = this.previousDOM.nodeMap[this.changedTagID],\n                parent = oldSubtree.parent;\n\n            // If we didn\'t have a parent, then the whole tree changed anyway, so\n            // we\'ll just return the default result.\n            if (parent) {\n                var childIndex = parent.children.indexOf(oldSubtree);\n                if (childIndex === -1) {\n                    // This should never happen...\n                    console.error("DOMUpdater.update(): couldn\'t locate old subtree in tree");\n                } else {\n                    // Swap the new subtree in place of the old subtree.\n                    oldSubtree.parent = null;\n                    newSubtree.parent = parent;\n                    parent.children[childIndex] = newSubtree;\n\n                    // Overwrite any node mappings in the parent DOM with the\n                    // mappings for the new subtree. We keep the nodeMap around\n                    // on the new subtree so that the differ can use it later.\n                    $.extend(this.previousDOM.nodeMap, newSubtree.nodeMap);\n\n                    // Update marked ranges for all items in the new subtree.\n                    this._updateMarkedRanges(newSubtree.nodeMap, markCache);\n\n                    // Build a local nodeMap for the old subtree so the differ can\n                    // use it.\n                    this._buildNodeMap(oldSubtree);\n\n                    // Clean up the info for any deleted nodes that are no longer in\n                    // the new tree.\n                    this._handleDeletions(this.previousDOM.nodeMap, oldSubtree.nodeMap, newSubtree.nodeMap);\n\n                    // Update the signatures for all parents of the new subtree.\n                    var curParent = parent;\n                    while (curParent) {\n                        curParent.update();\n                        curParent = curParent.parent;\n                    }\n\n                    result.newDOM = this.previousDOM;\n                    result.oldSubtree = oldSubtree;\n                }\n            }\n        } else {\n            _markTextFromDOM(this.editor, result.newDOM);\n        }\n\n        return result;\n    };\n\n    /**\n     * @private\n     * Builds a new DOM for the current state of the editor, diffs it against the\n     * previous DOM, and generates a DOM edit list that can be used to replay the\n     * diffs in the browser.\n     * @param {Object} previousDOM The HTMLSimpleDOM corresponding to the previous state of the editor.\n     *     Note that in the case of an incremental edit, this will be mutated to create the new DOM\n     *     (by swapping out the subtree corresponding to the changed portion).\n     * @param {Editor} editor The editor containing the instrumented HTML.\n     * @param {Array=} changeList If specified, a CodeMirror changelist reflecting all the\n     *     text changes in the editor since previousDOM was built. If specified, we will\n     *     attempt to do an incremental update (although we might fall back to a full update\n     *     in various cases). If not specified, we will always do a full update.\n     * @return {{dom: Object, edits: Array}} The new DOM representing the current state of the\n     *     editor, and an array of edits that can be applied to update the browser (see\n     *     HTMLDOMDiff for more information on the edit format).\n     */\n    function _updateDOM(previousDOM, editor, changeList) {\n        if (!allowIncremental) {\n            changeList = undefined;\n        }\n        var updater = new DOMUpdater(previousDOM, editor, changeList);\n        var result = updater.update();\n        if (!result) {\n            return { errors: updater.errors };\n        }\n\n        var edits = HTMLDOMDiff.domdiff(result.oldSubtree, result.newSubtree);\n\n        // We\'re done with the nodeMap that was added to the subtree by the updater.\n        if (result.newSubtree !== result.newDOM) {\n            delete result.newSubtree.nodeMap;\n        }\n\n        return {\n            dom: result.newDOM,\n            edits: edits,\n            _wasIncremental: updater.isIncremental // for unit tests only\n        };\n    }\n\n    /**\n     * Calculates the DOM edits that are needed to update the browser from the state the\n     * editor was in the last time that scanDocument(), getInstrumentedHTML(), or\n     * getUnappliedEditList() was called (whichever is most recent). Caches this state so\n     * it can be used as the base state for the next getUnappliedEditList().\n     *\n     * For simple text edits, this update is done quickly and incrementally. For structural\n     * edits (edits that change the DOM structure or add/remove attributes), the update\n     * requires a full reparse.\n     *\n     * If the document currently contains invalid HTML, no edits will be generated until\n     * getUnappliedEditList() is called when the document is valid, at which point the edits\n     * will reflect all the changes needed to catch the browser up with all the edits\n     * made while the document was invalid.\n     *\n     * @param {Editor} editor The editor containing the instrumented HTML\n     * @param {Array} changeList A CodeMirror change list describing the text changes made\n     *     in the editor since the last update. If specified, we will attempt to do an\n     *     incremental update.\n     * @return {Array} edits A list of edits to apply in the browser. See HTMLDOMDiff for\n     *     more information on the format of these edits.\n     */\n    function getUnappliedEditList(editor, changeList) {\n        var cachedValue = _cachedValues[editor.document.file.fullPath];\n\n        // We might not have a previous DOM if the document was empty before this edit.\n        if (!cachedValue || !cachedValue.dom || _cachedValues[editor.document.file.fullPath].invalid) {\n            // We were in an invalid state, so do a full rebuild.\n            changeList = null;\n        }\n\n        var result = _updateDOM(cachedValue && cachedValue.dom, editor, changeList);\n\n        if (!result.errors) {\n            _cachedValues[editor.document.file.fullPath] = {\n                timestamp: editor.document.diskTimestamp,\n                dom: result.dom,\n                dirty: false\n            };\n            return { edits: result.edits };\n        } else {\n            if (cachedValue) {\n                cachedValue.invalid = true;\n            }\n            return { errors: result.errors };\n        }\n    }\n\n    /**\n     * @private\n     * Add SimpleDOMBuilder metadata to browser DOM tree JSON representation\n     * @param {Object} root\n     */\n    function _processBrowserSimpleDOM(browserRoot, editorRootTagID) {\n        var nodeMap         = {},\n            root;\n\n        function _processElement(elem) {\n            elem.tagID = elem.attributes["data-brackets-id"];\n\n            // remove data-brackets-id attribute for diff\n            delete elem.attributes["data-brackets-id"];\n\n            elem.children.forEach(function (child) {\n                // set parent\n                child.parent = elem;\n\n                if (child.isElement()) {\n                    _processElement(child);\n                } else if (child.isText()) {\n                    child.update();\n                    child.tagID = HTMLSimpleDOM.getTextNodeID(child);\n\n                    nodeMap[child.tagID] = child;\n                }\n            });\n\n            elem.update();\n\n            nodeMap[elem.tagID] = elem;\n\n            // Choose the root element based on the root tag in the editor.\n            // The browser may insert html, head and body elements if missing.\n            if (elem.tagID === editorRootTagID) {\n                root = elem;\n            }\n        }\n\n        _processElement(browserRoot);\n\n        root = root || browserRoot;\n        root.nodeMap = nodeMap;\n\n        return root;\n    }\n\n    /**\n     * @private\n     * Diff the browser DOM with the in-editor DOM\n     * @param {Editor} editor\n     * @param {Object} browserSimpleDOM\n     */\n    function _getBrowserDiff(editor, browserSimpleDOM) {\n        var cachedValue = _cachedValues[editor.document.file.fullPath],\n            editorRoot  = cachedValue.dom,\n            browserRoot;\n\n        browserRoot = _processBrowserSimpleDOM(browserSimpleDOM, editorRoot.tagID);\n\n        return {\n            diff    : HTMLDOMDiff.domdiff(editorRoot, browserRoot),\n            browser : browserRoot,\n            editor  : editorRoot\n        };\n    }\n\n    DocumentManager.on("beforeDocumentDelete", _removeDocFromCache);\n\n    /**\n     * Parses the document, returning an HTMLSimpleDOM structure and caching it as the\n     * initial state of the document. Will return a cached copy of the DOM if the\n     * document hasn\'t changed since the last time scanDocument was called.\n     *\n     * This is called by generateInstrumentedHTML(), but it can be useful to call it\n     * ahead of time so the DOM is cached and doesn\'t need to be rescanned when the\n     * instrumented HTML is requested by the browser.\n     *\n     * @param {Document} doc The doc to scan.\n     * @return {Object} Root DOM node of the document.\n     */\n    function scanDocument(doc) {\n        if (!_cachedValues.hasOwnProperty(doc.file.fullPath)) {\n            doc.on("change.htmlInstrumentation", function () {\n                if (_cachedValues[doc.file.fullPath]) {\n                    _cachedValues[doc.file.fullPath].dirty = true;\n                }\n            });\n\n            // Assign to cache, but don\'t set a value yet\n            _cachedValues[doc.file.fullPath] = null;\n        }\n\n        var cachedValue = _cachedValues[doc.file.fullPath];\n        if (!doc.isDirty && cachedValue && !cachedValue.dirty && cachedValue.timestamp === doc.diskTimestamp) {\n            return cachedValue.dom;\n        }\n\n        var text = doc.getText(),\n            dom = HTMLSimpleDOM.build(text);\n\n        if (dom) {\n            // Cache results\n            _cachedValues[doc.file.fullPath] = {\n                timestamp: doc.diskTimestamp,\n                dom: dom,\n                dirty: false\n            };\n        }\n\n        return dom;\n    }\n\n    /**\n     * Generate instrumented HTML for the specified editor\'s document, and mark the associated tag\n     * ranges in the editor. Each tag has a "data-brackets-id" attribute with a unique ID for its\n     * value. For example, "<div>" becomes something like "<div data-brackets-id=\'45\'>". The attribute\n     * value is just a number that is guaranteed to be unique.\n     *\n     * Also stores marks in the given editor that correspond to the tag ranges. These marks are used\n     * to track the DOM structure for in-browser highlighting and live HTML updating.\n     *\n     * This only needs to be done once on load of a document. As the document is edited in memory,\n     * the instrumentation is kept up to date via the diffs and edits that are generated on change\n     * events. Call this again only if you want to do a full re-sync of the editor\'s DOM state.\n     *\n     * @param {Editor} editor The editor whose document we\'re instrumenting, and which we should\n     *     mark ranges in.\n     * @return {string} instrumented html content\n     */\n    function generateInstrumentedHTML(editor) {\n        var doc = editor.document,\n            dom = scanDocument(doc),\n            orig = doc.getText(),\n            gen = "",\n            lastIndex = 0;\n\n        if (!dom) {\n            return null;\n        }\n\n        // Ensure that the marks in the editor are up to date with respect to the given DOM.\n        _markTextFromDOM(editor, dom);\n\n        // Walk through the dom nodes and insert the \'data-brackets-id\' attribute at the\n        // end of the open tag\n        function walk(node) {\n            if (node.tag) {\n                var attrText = " data-brackets-id=\'" + node.tagID + "\'";\n\n                // Insert the attribute as the first attribute in the tag.\n                var insertIndex = node.start + node.tag.length + 1;\n                gen += orig.substr(lastIndex, insertIndex - lastIndex) + attrText;\n                lastIndex = insertIndex;\n            }\n\n            if (node.isElement()) {\n                node.children.forEach(walk);\n            }\n        }\n\n        walk(dom);\n        gen += orig.substr(lastIndex);\n\n        return gen;\n    }\n\n    /**\n     * Mark the text for the specified editor. Either scanDocument() or\n     * generateInstrumentedHTML() must be called before this function\n     * is called.\n     *\n     * NOTE: This function is "private" for now (has a leading underscore), since\n     * the API is likely to change in the future.\n     *\n     * @param {Editor} editor The editor whose text should be marked.\n     * @return none\n     */\n    function _markText(editor) {\n        var cache = _cachedValues[editor.document.file.fullPath],\n            dom = cache && cache.dom;\n\n        if (!dom) {\n            console.error("Couldn\'t find the dom for " + editor.document.file.fullPath);\n            return;\n        }\n\n        _markTextFromDOM(editor, dom);\n    }\n\n    /**\n     * @private\n     * Clear the DOM cache. For unit testing only.\n     */\n    function _resetCache() {\n        _cachedValues = {};\n    }\n\n    // private methods\n    exports._markText                   = _markText;\n    exports._getMarkerAtDocumentPos     = _getMarkerAtDocumentPos;\n    exports._getTagIDAtDocumentPos      = _getTagIDAtDocumentPos;\n    exports.getPositionFromTagId        = getPositionFromTagId;\n    exports._markTextFromDOM            = _markTextFromDOM;\n    exports._updateDOM                  = _updateDOM;\n    exports._allowIncremental           = allowIncremental;\n    exports._getBrowserDiff             = _getBrowserDiff;\n    exports._resetCache                 = _resetCache;\n\n    // public API\n    exports.scanDocument                = scanDocument;\n    exports.generateInstrumentedHTML    = generateInstrumentedHTML;\n    exports.getUnappliedEditList        = getUnappliedEditList;\n});\n\n//# sourceURL=/language/HTMLInstrumentation.js'),
eval('/*\n * Copyright (c) 2017 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/** \n * This transport provides a WebSocket connection between Brackets and a live browser preview.\n * This is just a thin wrapper around the Node extension (WebSocketTransportDomain) that actually\n * provides the WebSocket server and handles the communication. We also rely on an injected script in\n * the browser for the other end of the transport.\n */\n\ndefine(\'LiveDevelopment/transports/WebSocketTransport\',[\'require\',\'exports\',\'module\',\'file/FileUtils\',\'utils/NodeDomain\',\'editor/EditorManager\',\'language/HTMLInstrumentation\'],function (require, exports, module) {\n    "use strict";\n\n    var FileUtils           = require("file/FileUtils"),\n        NodeDomain          = require("utils/NodeDomain"),\n        EditorManager       = require("editor/EditorManager"),\n        HTMLInstrumentation = require("language/HTMLInstrumentation");\n\n    // The node extension that actually provides the WebSocket server.\n\n    var domainPath = FileUtils.getNativeBracketsDirectoryPath() + "/" + FileUtils.getNativeModuleDirectoryPath(module) + "/node/WebSocketTransportDomain";\n\n    var WebSocketTransportDomain = new NodeDomain("webSocketTransport", domainPath);\n\n    // Events\n\n    WebSocketTransportDomain.on("message", function (obj, message) {\n        console.log("WebSocketTransport - event - message" + " - " + message);\n        var editor = EditorManager.getActiveEditor(),\n            position = HTMLInstrumentation.getPositionFromTagId(editor, parseInt(message, 10));\n        if (position) {\n            editor.setCursorPos(position.line, position.ch, true);\n        }\n    });\n    \n    function createWebSocketServer(port) {\n        WebSocketTransportDomain.exec("start", parseInt(port, 10));\n    }\n    \n    function closeWebSocketServer() {\n        WebSocketTransportDomain.exec("close");\n    }\n    \n    exports.createWebSocketServer = createWebSocketServer;\n    exports.closeWebSocketServer  = closeWebSocketServer;\n});\n\n//# sourceURL=/LiveDevelopment/transports/WebSocketTransport.js'),eval('define(\'text!LiveDevelopment/Inspector/Inspector.json\',[],function () { return \'{\\n    "version": { "major": "1", "minor": "1" },\\n    "domains": [{\\n        "domain": "Inspector",\\n        "hidden": true,\\n        "types": [],\\n        "commands": [\\n            {\\n                "name": "enable",\\n                "description": "Enables inspector domain notifications."\\n            },\\n            {\\n                "name": "disable",\\n                "description": "Disables inspector domain notifications."\\n            },\\n            {\\n                "name": "reset",\\n                "description": "Resets all domains."\\n            }\\n        ],\\n        "events": [\\n            {\\n                "name": "evaluateForTestInFrontend",\\n                "parameters": [\\n                    { "name": "testCallId", "type": "integer" },\\n                    { "name": "script", "type": "string" }\\n                ]\\n            },\\n            {\\n                "name": "inspect",\\n                "parameters": [\\n                    { "name": "object", "$ref": "Runtime.RemoteObject" },\\n                    { "name": "hints", "type": "object" }\\n                ]\\n            },\\n            {\\n                "name": "detached",\\n                "description": "Fired when remote debugging connection is about to be terminated. Contains detach reason.",\\n                "parameters": [\\n                    { "name": "reason", "type": "string", "description": "The reason why connection has been terminated." }\\n                ]\\n            },\\n            {\\n                "name": "targetCrashed",\\n                "description": "Fired when debugging target has crashed"\\n            }\\n        ]\\n    },\\n    {\\n        "domain": "Memory",\\n        "hidden": true,\\n        "types": [\\n            {\\n                "id": "MemoryBlock",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "size", "type": "number", "optional": true, "description": "Size of the block in bytes if available" },\\n                    { "name": "name", "type": "string", "description": "Unique name used to identify the component that allocated this block" },\\n                    { "name": "children", "type": "array", "optional": true, "items": { "$ref": "MemoryBlock" }}\\n                ]\\n            },\\n            {\\n                "id": "HeapSnapshotChunk",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "strings", "type": "array", "items": { "type": "string" }, "description": "An array of strings that were found since last update." },\\n                    { "name": "nodes", "type": "array", "items": { "type": "integer" }, "description": "An array of nodes that were found since last update." },\\n                    { "name": "edges", "type": "array", "items": { "type": "integer" }, "description": "An array of edges that were found since last update." },\\n                    { "name": "baseToRealNodeId", "type": "array", "items": { "type": "integer" }, "description": "An array of integers for nodeId remapping. Even nodeId has to be mapped to the following odd nodeId." }\\n                ]\\n            }\\n        ],\\n        "commands": [\\n            {\\n                "name": "getDOMCounters",\\n                "returns": [\\n                    { "name": "documents", "type": "integer" },\\n                    { "name": "nodes", "type": "integer" },\\n                    { "name": "jsEventListeners", "type": "integer" }\\n                ]\\n            }\\n        ],\\n        "events": [\\n            {\\n                "name": "addNativeSnapshotChunk",\\n                "parameters": [\\n                    { "name": "chunk", "$ref": "HeapSnapshotChunk", "description": "A chunk of the serialized the snapshot." }\\n                ]\\n            }\\n        ]\\n    },\\n    {\\n        "domain": "Page",\\n        "description": "Actions and events related to the inspected page belong to the page domain.",\\n        "types": [\\n            {\\n                "id": "ResourceType",\\n                "type": "string",\\n                "enum": ["Document", "Stylesheet", "Image", "Font", "Script", "XHR", "WebSocket", "Other"],\\n                "description": "Resource type as it was perceived by the rendering engine."\\n            },\\n            {\\n              "id": "FrameId",\\n              "type": "string",\\n              "description": "Unique frame identifier."\\n            },\\n            {\\n                "id": "Frame",\\n                "type": "object",\\n                "description": "Information about the Frame on the page.",\\n                "properties": [\\n                    { "name": "id", "type": "string", "description": "Frame unique identifier." },\\n                    { "name": "parentId", "type": "string", "optional": true, "description": "Parent frame identifier." },\\n                    { "name": "loaderId", "$ref": "Network.LoaderId", "description": "Identifier of the loader associated with this frame." },\\n                    { "name": "name", "type": "string", "optional": true, "description": "Frame\\\'s name as specified in the tag." },\\n                    { "name": "url", "type": "string", "description": "Frame document\\\'s URL." },\\n                    { "name": "securityOrigin", "type": "string", "description": "Frame document\\\'s security origin." },\\n                    { "name": "mimeType", "type": "string", "description": "Frame document\\\'s mimeType as determined by the browser." }\\n                ]\\n            },\\n            {\\n                "id": "FrameResourceTree",\\n                "type": "object",\\n                "description": "Information about the Frame hierarchy along with their cached resources.",\\n                "properties": [\\n                    { "name": "frame", "$ref": "Frame", "description": "Frame information for this tree item." },\\n                    { "name": "childFrames", "type": "array", "optional": true, "items": { "$ref": "FrameResourceTree" }, "description": "Child frames." },\\n                    { "name": "resources", "type": "array",\\n                        "items": {\\n                            "type": "object",\\n                            "properties": [\\n                                { "name": "url", "type": "string", "description": "Resource URL." },\\n                                { "name": "type", "$ref": "ResourceType", "description": "Type of this resource." },\\n                                { "name": "mimeType", "type": "string", "description": "Resource mimeType as determined by the browser." },\\n                                { "name": "failed", "type": "boolean", "optional": true, "description": "True if the resource failed to load." },\\n                                { "name": "canceled", "type": "boolean", "optional": true, "description": "True if the resource was canceled during loading." }\\n                            ]\\n                        },\\n                        "description": "Information about frame resources."\\n                    }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "id": "SearchMatch",\\n                "type": "object",\\n                "description": "Search match for resource.",\\n                "properties": [\\n                    { "name": "lineNumber", "type": "number", "description": "Line number in resource content." },\\n                    { "name": "lineContent", "type": "string", "description": "Line with match content." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "id": "SearchResult",\\n                "type": "object",\\n                "description": "Search result for resource.",\\n                "properties": [\\n                    { "name": "url", "type": "string", "description": "Resource URL." },\\n                    { "name": "frameId", "$ref": "FrameId", "description": "Resource frame id." },\\n                    { "name": "matchesCount", "type": "number", "description": "Number of matches in the resource content." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "id": "Cookie",\\n                "type": "object",\\n                "description": "Cookie object",\\n                "properties": [\\n                    { "name": "name", "type": "string", "description": "Cookie name." },\\n                    { "name": "value", "type": "string", "description": "Cookie value." },\\n                    { "name": "domain", "type": "string", "description": "Cookie domain." },\\n                    { "name": "path", "type": "string", "description": "Cookie path." },\\n                    { "name": "expires", "type": "number", "description": "Cookie expires." },\\n                    { "name": "size", "type": "integer", "description": "Cookie size." },\\n                    { "name": "httpOnly", "type": "boolean", "description": "True if cookie is http-only." },\\n                    { "name": "secure", "type": "boolean", "description": "True if cookie is secure." },\\n                    { "name": "session", "type": "boolean", "description": "True in case of session cookie." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "id": "ScriptIdentifier",\\n                "type": "string",\\n                "description": "Unique script identifier.",\\n                "hidden": true\\n            },\\n            {\\n                "id": "NavigationEntry",\\n                "type": "object",\\n                "description": "Navigation history entry.",\\n                "properties": [\\n                  { "name": "id", "type": "integer", "description": "Unique id of the navigation history entry." },\\n                  { "name": "url", "type": "string", "description": "URL of the navigation history entry." },\\n                  { "name": "title", "type": "string", "description": "Title of the navigation history entry." }\\n                ],\\n                "hidden": true\\n            }\\n        ],\\n        "commands": [\\n            {\\n                "name": "enable",\\n                "description": "Enables page domain notifications."\\n            },\\n            {\\n                "name": "disable",\\n                "description": "Disables page domain notifications."\\n            },\\n            {\\n                "name": "addScriptToEvaluateOnLoad",\\n                "parameters": [\\n                    { "name": "scriptSource", "type": "string" }\\n                ],\\n                "returns": [\\n                    { "name": "identifier", "$ref": "ScriptIdentifier", "description": "Identifier of the added script." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "removeScriptToEvaluateOnLoad",\\n                "parameters": [\\n                    { "name": "identifier", "$ref": "ScriptIdentifier" }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "reload",\\n                "parameters": [\\n                    { "name": "ignoreCache", "type": "boolean", "optional": true, "description": "If true, browser cache is ignored (as if the user pressed Shift+refresh)." },\\n                    { "name": "scriptToEvaluateOnLoad", "type": "string", "optional": true, "description": "If set, the script will be injected into all frames of the inspected page after reload." },\\n                    { "name": "scriptPreprocessor", "type": "string", "optional": true, "description": "Script body that should evaluate to function that will preprocess all the scripts before their compilation.", "hidden": true }\\n                ],\\n                "description": "Reloads given page optionally ignoring the cache."\\n            },\\n            {\\n                "name": "navigate",\\n                "parameters": [\\n                    { "name": "url", "type": "string", "description": "URL to navigate the page to." }\\n                ],\\n                "description": "Navigates current page to the given URL."\\n            },\\n            {\\n              "name": "getNavigationHistory",\\n              "parameters": [],\\n              "returns": [\\n                { "name": "currentIndex", "type": "integer", "description": "Index of the current navigation history entry." },\\n                { "name": "entries", "type": "array", "items": { "$ref": "NavigationEntry"}, "description": "Array of navigation history entries." }\\n              ],\\n              "description": "Returns navigation history for the current page.",\\n              "hidden": true\\n            },\\n            {\\n              "name": "navigateToHistoryEntry",\\n              "parameters": [\\n                  { "name": "entryId", "type": "integer", "description": "Unique id of the entry to navigate to." }\\n              ],\\n              "description": "Navigates current page to the given history entry.",\\n              "hidden": true\\n            },\\n            {\\n                "name": "getCookies",\\n                "returns": [\\n                    { "name": "cookies", "type": "array", "items": { "$ref": "Cookie"}, "description": "Array of cookie objects." },\\n                    { "name": "cookiesString", "type": "string", "description": "document.cookie string representation of the cookies." }\\n                ],\\n                "description": "Returns all browser cookies. Depending on the backend support, will either return detailed cookie information in the <code>cookie</code> field or string cookie representation using <code>cookieString</code>.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "deleteCookie",\\n                "parameters": [\\n                    { "name": "cookieName", "type": "string", "description": "Name of the cookie to remove." },\\n                    { "name": "url", "type": "string", "description": "URL to match cooke domain and path." }\\n                ],\\n                "description": "Deletes browser cookie with given name, domain and path.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "getResourceTree",\\n                "description": "Returns present frame / resource tree structure.",\\n                "returns": [\\n                    { "name": "frameTree", "$ref": "FrameResourceTree", "description": "Present frame / resource tree structure." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "getResourceContent",\\n                "description": "Returns content of the given resource.",\\n                "parameters": [\\n                    { "name": "frameId", "$ref": "FrameId", "description": "Frame id to get resource for." },\\n                    { "name": "url", "type": "string", "description": "URL of the resource to get content for." }\\n                ],\\n                "returns": [\\n                    { "name": "content", "type": "string", "description": "Resource content." },\\n                    { "name": "base64Encoded", "type": "boolean", "description": "True, if content was served as base64." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "searchInResource",\\n                "description": "Searches for given string in resource content.",\\n                "parameters": [\\n                    { "name": "frameId", "$ref": "FrameId", "description": "Frame id for resource to search in." },\\n                    { "name": "url", "type": "string", "description": "URL of the resource to search in." },\\n                    { "name": "query", "type": "string", "description": "String to search for."  },\\n                    { "name": "caseSensitive", "type": "boolean", "optional": true, "description": "If true, search is case sensitive." },\\n                    { "name": "isRegex", "type": "boolean", "optional": true, "description": "If true, treats string parameter as regex." }\\n                ],\\n                "returns": [\\n                    { "name": "result", "type": "array", "items": { "$ref": "SearchMatch" }, "description": "List of search matches." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "searchInResources",\\n                "description": "Searches for given string in frame / resource tree structure.",\\n                "parameters": [\\n                    { "name": "text", "type": "string", "description": "String to search for."  },\\n                    { "name": "caseSensitive", "type": "boolean", "optional": true, "description": "If true, search is case sensitive." },\\n                    { "name": "isRegex", "type": "boolean", "optional": true, "description": "If true, treats string parameter as regex." }\\n                ],\\n                "returns": [\\n                    { "name": "result", "type": "array", "items": { "$ref": "SearchResult" }, "description": "List of search results." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "setDocumentContent",\\n                "description": "Sets given markup as the document\\\'s HTML.",\\n                "parameters": [\\n                    { "name": "frameId", "$ref": "FrameId", "description": "Frame id to set HTML for." },\\n                    { "name": "html", "type": "string", "description": "HTML content to set."  }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "setDeviceMetricsOverride",\\n                "description": "Overrides the values of device screen dimensions (window.screen.width, window.screen.height, window.innerWidth, window.innerHeight, and \\\\"device-width\\\\"/\\\\"device-height\\\\"-related CSS media query results) and the font scale factor.",\\n                "parameters": [\\n                    { "name": "width", "type": "integer", "description": "Overriding width value in pixels (minimum 0, maximum 10000000). 0 disables the override." },\\n                    { "name": "height", "type": "integer", "description": "Overriding height value in pixels (minimum 0, maximum 10000000). 0 disables the override." },\\n                    { "name": "fontScaleFactor", "type": "number", "description": "Overriding font scale factor value (must be positive). 1 disables the override." },\\n                    { "name": "fitWindow", "type": "boolean", "description": "Whether a view that exceeds the available browser window area should be scaled down to fit." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "setShowPaintRects",\\n                "description": "Requests that backend shows paint rectangles",\\n                "parameters": [\\n                    { "name": "result", "type": "boolean", "description": "True for showing paint rectangles" }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "setShowDebugBorders",\\n                "description": "Requests that backend shows debug borders on layers",\\n                "parameters": [\\n                    { "name": "show", "type": "boolean", "description": "True for showing debug borders" }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "setShowFPSCounter",\\n                "description": "Requests that backend shows the FPS counter",\\n                "parameters": [\\n                    { "name": "show", "type": "boolean", "description": "True for showing the FPS counter" }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "setContinuousPaintingEnabled",\\n                "description": "Requests that backend enables continuous painting",\\n                "parameters": [\\n                    { "name": "enabled", "type": "boolean", "description": "True for enabling cointinuous painting" }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "setShowScrollBottleneckRects",\\n                "description": "Requests that backend shows scroll bottleneck rects",\\n                "parameters": [\\n                    { "name": "show", "type": "boolean", "description": "True for showing scroll bottleneck rects" }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "getScriptExecutionStatus",\\n                "description": "Determines if scripts can be executed in the page.",\\n                "returns": [\\n                    { "name": "result", "type": "string", "enum": ["allowed", "disabled", "forbidden"], "description": "Script execution status: \\\\"allowed\\\\" if scripts can be executed, \\\\"disabled\\\\" if script execution has been disabled through page settings, \\\\"forbidden\\\\" if script execution for the given page is not possible for other reasons." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "setScriptExecutionDisabled",\\n                "description": "Switches script execution in the page.",\\n                "parameters": [\\n                    { "name": "value", "type": "boolean", "description": "Whether script execution should be disabled in the page." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "setGeolocationOverride",\\n                "description": "Overrides the Geolocation Position or Error.",\\n                "parameters": [\\n                    { "name": "latitude", "type": "number", "optional": true, "description": "Mock longitude"},\\n                    { "name": "longitude", "type": "number", "optional": true, "description": "Mock latitude"},\\n                    { "name": "accuracy", "type": "number", "optional": true, "description": "Mock accuracy"}\\n                ]\\n            },\\n            {\\n                "name": "clearGeolocationOverride",\\n                "description": "Clears the overriden Geolocation Position and Error."\\n            },\\n            {\\n                "name": "setDeviceOrientationOverride",\\n                "description": "Overrides the Device Orientation.",\\n                "parameters": [\\n                    { "name": "alpha", "type": "number", "description": "Mock alpha"},\\n                    { "name": "beta", "type": "number", "description": "Mock beta"},\\n                    { "name": "gamma", "type": "number", "description": "Mock gamma"}\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "clearDeviceOrientationOverride",\\n                "description": "Clears the overridden Device Orientation.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "setTouchEmulationEnabled",\\n                "parameters": [\\n                    { "name": "enabled", "type": "boolean", "description": "Whether the touch event emulation should be enabled." }\\n                ],\\n                "description": "Toggles mouse event-based touch event emulation.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "setEmulatedMedia",\\n                "parameters": [\\n                    { "name": "media", "type": "string", "description": "Media type to emulate. Empty string disables the override." }\\n                ],\\n                "description": "Emulates the given media for CSS media queries.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "captureScreenshot",\\n                "description": "Capture page screenshot.",\\n                "parameters": [\\n                    { "name": "format", "type": "string", "optional": true, "enum": ["jpeg", "png"], "description": "Image compression format." },\\n                    { "name": "quality", "type": "integer", "optional": true, "description": "Compression quality from range [0..100]." },\\n                    { "name": "maxWidth", "type": "integer", "optional": true, "description": "Maximum screenshot width." },\\n                    { "name": "maxHeight", "type": "integer", "optional": true, "description": "Maximum screenshot height." }\\n                ],\\n                "returns": [\\n                    { "name": "data", "type": "string", "description": "Base64-encoded image data (PNG)." },\\n                    { "name": "deviceScaleFactor", "type": "number", "hidden": true, "description": "Device scale factor." },\\n                    { "name": "pageScaleFactor", "type": "number", "hidden": true, "description": "Page scale factor." },\\n                    { "name": "viewport", "$ref": "DOM.Rect", "hidden": true, "description": "Viewport in CSS pixels." }\\n                ]\\n            },\\n            {\\n                "name": "startScreencast",\\n                "description": "Starts sending each frame using the <code>screencastFrame</code> event.",\\n                "parameters": [\\n                    { "name": "format", "type": "string", "optional": true, "enum": ["jpeg", "png"], "description": "Image compression format." },\\n                    { "name": "quality", "type": "integer", "optional": true, "description": "Compression quality from range [0..100]." },\\n                    { "name": "maxWidth", "type": "integer", "optional": true, "description": "Maximum screenshot width." },\\n                    { "name": "maxHeight", "type": "integer", "optional": true, "description": "Maximum screenshot height." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "stopScreencast",\\n                "description": "Stops sending each frame in the <code>screencastFrame</code>.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "handleJavaScriptDialog",\\n                "description": "Accepts or dismisses a JavaScript initiated dialog (alert, confirm, prompt, or onbeforeunload).",\\n                "parameters": [\\n                    { "name": "accept", "type": "boolean", "description": "Whether to accept or dismiss the dialog." },\\n                    { "name": "promptText", "type": "string", "optional": true, "description": "The text to enter into the dialog prompt before accepting. Used only if this is a prompt dialog." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "setShowViewportSizeOnResize",\\n                "description": "Paints viewport size upon main frame resize.",\\n                "parameters": [\\n                    { "name": "show", "type": "boolean", "description": "Whether to paint size or not." },\\n                    { "name": "showGrid", "type": "boolean", "optional": true, "description": "Whether to paint grid as well." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "setForceCompositingMode",\\n                "description": "Force accelerated compositing mode for inspected page.",\\n                "parameters": [\\n                    { "name": "force", "type": "boolean", "description": "Whether to force accelerated compositing or not." }\\n                ],\\n                "hidden": true\\n            }\\n        ],\\n        "events": [\\n            {\\n                "name": "domContentEventFired",\\n                "parameters": [\\n                    { "name": "timestamp", "type": "number" }\\n                ]\\n            },\\n            {\\n                "name": "loadEventFired",\\n                "parameters": [\\n                    { "name": "timestamp", "type": "number" }\\n                ]\\n            },\\n            {\\n                "name": "frameAttached",\\n                "description": "Fired when frame has been attached to its parent.",\\n                "parameters": [\\n                    { "name": "frameId", "$ref": "FrameId", "description": "Id of the frame that has been attached." }\\n                ]\\n            },\\n            {\\n                "name": "frameNavigated",\\n                "description": "Fired once navigation of the frame has completed. Frame is now associated with the new loader.",\\n                "parameters": [\\n                    { "name": "frame", "$ref": "Frame", "description": "Frame object." }\\n                ]\\n            },\\n            {\\n                "name": "frameDetached",\\n                "description": "Fired when frame has been detached from its parent.",\\n                "parameters": [\\n                    { "name": "frameId", "$ref": "FrameId", "description": "Id of the frame that has been detached." }\\n                ]\\n            },\\n            {\\n                "name": "frameStartedLoading",\\n                "description": "Fired when frame has started loading.",\\n                "parameters": [\\n                    { "name": "frameId", "$ref": "FrameId", "description": "Id of the frame that has started loading." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "frameStoppedLoading",\\n                "description": "Fired when frame has stopped loading.",\\n                "parameters": [\\n                    { "name": "frameId", "$ref": "FrameId", "description": "Id of the frame that has stopped loading." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "frameScheduledNavigation",\\n                "description": "Fired when frame schedules a potential navigation.",\\n                "parameters": [\\n                    { "name": "frameId", "$ref": "FrameId", "description": "Id of the frame that has scheduled a navigation." },\\n                    { "name": "delay", "type": "number", "description": "Delay (in seconds) until the navigation is scheduled to begin. The navigation is not guaranteed to start." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "frameClearedScheduledNavigation",\\n                "description": "Fired when frame no longer has a scheduled navigation.",\\n                "parameters": [\\n                    { "name": "frameId", "$ref": "FrameId", "description": "Id of the frame that has cleared its scheduled navigation." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "javascriptDialogOpening",\\n                "description": "Fired when a JavaScript initiated dialog (alert, confirm, prompt, or onbeforeunload) is about to open.",\\n                "parameters": [\\n                    { "name": "message", "type": "string", "description": "Message that will be displayed by the dialog." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "javascriptDialogClosed",\\n                "description": "Fired when a JavaScript initiated dialog (alert, confirm, prompt, or onbeforeunload) has been closed.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "scriptsEnabled",\\n                "description": "Fired when the JavaScript is enabled/disabled on the page",\\n                "parameters": [\\n                    { "name": "isEnabled", "type": "boolean", "description": "Whether script execution is enabled or disabled on the page." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "screencastFrame",\\n                "description": "Compressed image data requested by the <code>startScreencast</code>.",\\n                "parameters": [\\n                    { "name": "data", "type": "string", "description": "Base64-encoded compressed image." },\\n                    { "name": "deviceScaleFactor", "type": "number", "hidden": true, "optional": true, "description": "Device scale factor." },\\n                    { "name": "pageScaleFactor", "type": "number", "hidden": true, "optional": true, "description": "Page scale factor." },\\n                    { "name": "viewport", "$ref": "DOM.Rect", "hidden": true, "optional": true, "description": "Viewport in CSS pixels." },\\n                    { "name": "offsetTop", "type": "number", "hidden": true, "optional": true, "description": "Top offset in DIP." },\\n                    { "name": "offsetBottom", "type": "number", "hidden": true, "optional": true, "description": "Bottom offset in DIP." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "screencastVisibilityChanged",\\n                "description": "Fired when the page with currently enabled screencast was shown or hidden </code>.",\\n                "parameters": [\\n                    { "name": "visible", "type": "boolean", "description": "True if the page is visible." }\\n                ],\\n                "hidden": true\\n            }\\n        ]\\n    },\\n    {\\n        "domain": "Runtime",\\n        "description": "Runtime domain exposes JavaScript runtime by means of remote evaluation and mirror objects. Evaluation results are returned as mirror object that expose object type, string representation and unique identifier that can be used for further object reference. Original objects are maintained in memory unless they are either explicitly released or are released along with the other objects in their object group.",\\n        "types": [\\n            {\\n                "id": "RemoteObjectId",\\n                "type": "string",\\n                "description": "Unique object identifier."\\n            },\\n            {\\n                "id": "RemoteObject",\\n                "type": "object",\\n                "description": "Mirror object referencing original JavaScript object.",\\n                "properties": [\\n                    { "name": "type", "type": "string", "enum": ["object", "function", "undefined", "string", "number", "boolean"], "description": "Object type." },\\n                    { "name": "subtype", "type": "string", "optional": true, "enum": ["array", "null", "node", "regexp", "date"], "description": "Object subtype hint. Specified for <code>object</code> type values only." },\\n                    { "name": "className", "type": "string", "optional": true, "description": "Object class (constructor) name. Specified for <code>object</code> type values only." },\\n                    { "name": "value", "type": "any", "optional": true, "description": "Remote object value (in case of primitive values or JSON values if it was requested)." },\\n                    { "name": "description", "type": "string", "optional": true, "description": "String representation of the object." },\\n                    { "name": "objectId", "$ref": "RemoteObjectId", "optional": true, "description": "Unique object identifier (for non-primitive values)." },\\n                    { "name": "preview", "$ref": "ObjectPreview", "optional": true, "description": "Preview containing abbreviated property values.", "hidden": true }\\n                ]\\n            },\\n            {\\n                "id": "ObjectPreview",\\n                "type": "object",\\n                "hidden": true,\\n                "description": "Object containing abbreviated remote object value.",\\n                "properties": [\\n                    { "name": "lossless", "type": "boolean", "description": "Determines whether preview is lossless (contains all information of the original object)." },\\n                    { "name": "overflow", "type": "boolean", "description": "True iff some of the properties of the original did not fit." },\\n                    { "name": "properties", "type": "array", "items": { "$ref": "PropertyPreview" }, "description": "List of the properties." }\\n                ]\\n            },\\n            {\\n                "id": "PropertyPreview",\\n                "type": "object",\\n                "hidden": true,\\n                "properties": [\\n                    { "name": "name", "type": "string", "description": "Property name." },\\n                    { "name": "type", "type": "string", "enum": ["object", "function", "undefined", "string", "number", "boolean"], "description": "Object type." },\\n                    { "name": "value", "type": "string", "optional": true, "description": "User-friendly property value string." },\\n                    { "name": "valuePreview", "$ref": "ObjectPreview", "optional": true, "description": "Nested value preview." },\\n                    { "name": "subtype", "type": "string", "optional": true, "enum": ["array", "null", "node", "regexp", "date"], "description": "Object subtype hint. Specified for <code>object</code> type values only." }\\n                ]\\n            },\\n            {\\n                "id": "PropertyDescriptor",\\n                "type": "object",\\n                "description": "Object property descriptor.",\\n                "properties": [\\n                    { "name": "name", "type": "string", "description": "Property name." },\\n                    { "name": "value", "$ref": "RemoteObject", "optional": true, "description": "The value associated with the property." },\\n                    { "name": "writable", "type": "boolean", "optional": true, "description": "True if the value associated with the property may be changed (data descriptors only)." },\\n                    { "name": "get", "$ref": "RemoteObject", "optional": true, "description": "A function which serves as a getter for the property, or <code>undefined</code> if there is no getter (accessor descriptors only)." },\\n                    { "name": "set", "$ref": "RemoteObject", "optional": true, "description": "A function which serves as a setter for the property, or <code>undefined</code> if there is no setter (accessor descriptors only)." },\\n                    { "name": "configurable", "type": "boolean", "description": "True if the type of this property descriptor may be changed and if the property may be deleted from the corresponding object." },\\n                    { "name": "enumerable", "type": "boolean", "description": "True if this property shows up during enumeration of the properties on the corresponding object." },\\n                    { "name": "wasThrown", "type": "boolean", "optional": true, "description": "True if the result was thrown during the evaluation." },\\n                    { "name": "isOwn", "optional": true, "type": "boolean", "description": "True if the property is owned for the object.", "hidden": true }\\n\\n                ]\\n            },\\n            {\\n                "id": "InternalPropertyDescriptor",\\n                "type": "object",\\n                "description": "Object internal property descriptor. This property isn\\\'t normally visible in JavaScript code.",\\n                "properties": [\\n                    { "name": "name", "type": "string", "description": "Conventional property name." },\\n                    { "name": "value", "$ref": "RemoteObject", "optional": true, "description": "The value associated with the property." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "id": "CallArgument",\\n                "type": "object",\\n                "description": "Represents function call argument. Either remote object id <code>objectId</code> or primitive <code>value</code> or neither of (for undefined) them should be specified.",\\n                "properties": [\\n                    { "name": "value", "type": "any", "optional": true, "description": "Primitive value." },\\n                    { "name": "objectId", "$ref": "RemoteObjectId", "optional": true, "description": "Remote object handle." }\\n                ]\\n            },\\n            {\\n                "id": "ExecutionContextId",\\n                "type": "integer",\\n                "description": "Id of an execution context."\\n            },\\n            {\\n                "id": "ExecutionContextDescription",\\n                "type": "object",\\n                "description": "Description of an isolated world.",\\n                "properties": [\\n                    { "name": "id", "$ref": "ExecutionContextId", "description": "Unique id of the execution context. It can be used to specify in which execution context script evaluation should be performed." },\\n                    { "name": "isPageContext", "type": "boolean", "description": "True if this is a context where inpspected web page scripts run. False if it is a content script isolated context.", "hidden": true },\\n                    { "name": "name", "type": "string", "description": "Human readable name describing given context.", "hidden": true},\\n                    { "name": "frameId", "$ref": "Page.FrameId", "description": "Id of the owning frame." }\\n                ]\\n            }\\n\\n        ],\\n        "commands": [\\n            {\\n                "name": "evaluate",\\n                "parameters": [\\n                    { "name": "expression", "type": "string", "description": "Expression to evaluate." },\\n                    { "name": "objectGroup", "type": "string", "optional": true, "description": "Symbolic group name that can be used to release multiple objects." },\\n                    { "name": "includeCommandLineAPI", "type": "boolean", "optional": true, "description": "Determines whether Command Line API should be available during the evaluation.", "hidden": true },\\n                    { "name": "doNotPauseOnExceptionsAndMuteConsole", "type": "boolean", "optional": true, "description": "Specifies whether evaluation should stop on exceptions and mute console. Overrides setPauseOnException state.", "hidden": true },\\n                    { "name": "contextId", "$ref": "Runtime.ExecutionContextId", "optional": true, "description": "Specifies in which isolated context to perform evaluation. Each content script lives in an isolated context and this parameter may be used to specify one of those contexts. If the parameter is omitted or 0 the evaluation will be performed in the context of the inspected page." },\\n                    { "name": "returnByValue", "type": "boolean", "optional": true, "description": "Whether the result is expected to be a JSON object that should be sent by value." },\\n                    { "name": "generatePreview", "type": "boolean", "optional": true, "hidden": true, "description": "Whether preview should be generated for the result." }\\n                ],\\n                "returns": [\\n                    { "name": "result", "$ref": "RemoteObject", "description": "Evaluation result." },\\n                    { "name": "wasThrown", "type": "boolean", "optional": true, "description": "True if the result was thrown during the evaluation." }\\n                ],\\n                "description": "Evaluates expression on global object."\\n            },\\n            {\\n                "name": "callFunctionOn",\\n                "parameters": [\\n                    { "name": "objectId", "$ref": "RemoteObjectId", "description": "Identifier of the object to call function on." },\\n                    { "name": "functionDeclaration", "type": "string", "description": "Declaration of the function to call." },\\n                    { "name": "arguments", "type": "array", "items": { "$ref": "CallArgument", "description": "Call argument." }, "optional": true, "description": "Call arguments. All call arguments must belong to the same JavaScript world as the target object." },\\n                    { "name": "doNotPauseOnExceptionsAndMuteConsole", "type": "boolean", "optional": true, "description": "Specifies whether function call should stop on exceptions and mute console. Overrides setPauseOnException state.", "hidden": true },\\n                    { "name": "returnByValue", "type": "boolean", "optional": true, "description": "Whether the result is expected to be a JSON object which should be sent by value." },\\n                    { "name": "generatePreview", "type": "boolean", "optional": true, "hidden": true, "description": "Whether preview should be generated for the result." }\\n                ],\\n                "returns": [\\n                    { "name": "result", "$ref": "RemoteObject", "description": "Call result." },\\n                    { "name": "wasThrown", "type": "boolean", "optional": true, "description": "True if the result was thrown during the evaluation." }\\n                ],\\n                "description": "Calls function with given declaration on the given object. Object group of the result is inherited from the target object."\\n            },\\n            {\\n                "name": "getProperties",\\n                "parameters": [\\n                    { "name": "objectId", "$ref": "RemoteObjectId", "description": "Identifier of the object to return properties for." },\\n                    { "name": "ownProperties", "optional": true, "type": "boolean", "description": "If true, returns properties belonging only to the element itself, not to its prototype chain." },\\n                    { "name": "accessorPropertiesOnly", "optional": true, "type": "boolean", "description": "If true, returns accessor properties (with getter/setter) only; internal properties are not returned either.", "hidden": true }\\n                ],\\n                "returns": [\\n                    { "name": "result", "type": "array", "items": { "$ref": "PropertyDescriptor"}, "description": "Object properties." },\\n                    { "name": "internalProperties", "optional": true, "type": "array", "items": { "$ref": "InternalPropertyDescriptor"}, "description": "Internal object properties (only of the element itself).", "hidden": true }\\n                ],\\n                "description": "Returns properties of a given object. Object group of the result is inherited from the target object."\\n            },\\n            {\\n                "name": "releaseObject",\\n                "parameters": [\\n                    { "name": "objectId", "$ref": "RemoteObjectId", "description": "Identifier of the object to release." }\\n                ],\\n                "description": "Releases remote object with given id."\\n            },\\n            {\\n                "name": "releaseObjectGroup",\\n                "parameters": [\\n                    { "name": "objectGroup", "type": "string", "description": "Symbolic object group name." }\\n                ],\\n                "description": "Releases all remote objects that belong to a given group."\\n            },\\n            {\\n                "name": "run",\\n                "hidden": true,\\n                "description": "Tells inspected instance(worker or page) that it can run in case it was started paused."\\n            },\\n            {\\n                "name": "enable",\\n                "description": "Enables reporting of execution contexts creation by means of <code>executionContextCreated</code> event. When the reporting gets enabled the event will be sent immediately for each existing execution context."\\n            },\\n            {\\n                "name": "disable",\\n                "hidden": true,\\n                "description": "Disables reporting of execution contexts creation."\\n            }\\n        ],\\n        "events": [\\n            {\\n                "name": "executionContextCreated",\\n                "parameters": [\\n                    { "name": "context", "$ref": "ExecutionContextDescription", "description": "A newly created execution contex." }\\n                ],\\n                "description": "Issued when new execution context is created."\\n            }\\n        ]\\n    },\\n    {\\n        "domain": "Console",\\n        "description": "Console domain defines methods and events for interaction with the JavaScript console. Console collects messages created by means of the <a href=\\\'http://getfirebug.com/wiki/index.php/Console_API\\\'>JavaScript Console API</a>. One needs to enable this domain using <code>enable</code> command in order to start receiving the console messages. Browser collects messages issued while console domain is not enabled as well and reports them using <code>messageAdded</code> notification upon enabling.",\\n        "types": [\\n            {\\n                "id": "Timestamp",\\n                "type": "number",\\n                "description": "Number of seconds since epoch.",\\n                "hidden": true\\n            },\\n            {\\n                "id": "ConsoleMessage",\\n                "type": "object",\\n                "description": "Console message.",\\n                "properties": [\\n                    { "name": "source", "type": "string", "enum": ["xml", "javascript", "network", "console-api", "storage", "appcache", "rendering", "css", "security", "other", "deprecation"], "description": "Message source." },\\n                    { "name": "level", "type": "string", "enum": ["log", "warning", "error", "debug"], "description": "Message severity." },\\n                    { "name": "text", "type": "string", "description": "Message text." },\\n                    { "name": "type", "type": "string", "optional": true, "enum": ["log", "dir", "dirxml", "table", "trace", "clear", "startGroup", "startGroupCollapsed", "endGroup", "assert", "profile", "profileEnd"], "description": "Console message type." },\\n                    { "name": "url", "type": "string", "optional": true, "description": "URL of the message origin." },\\n                    { "name": "line", "type": "integer", "optional": true, "description": "Line number in the resource that generated this message." },\\n                    { "name": "column", "type": "integer", "optional": true, "description": "Column number in the resource that generated this message." },\\n                    { "name": "repeatCount", "type": "integer", "optional": true, "description": "Repeat count for repeated messages." },\\n                    { "name": "parameters", "type": "array", "items": { "$ref": "Runtime.RemoteObject" }, "optional": true, "description": "Message parameters in case of the formatted message." },\\n                    { "name": "stackTrace", "$ref": "StackTrace", "optional": true, "description": "JavaScript stack trace for assertions and error messages." },\\n                    { "name": "networkRequestId", "$ref": "Network.RequestId", "optional": true, "description": "Identifier of the network request associated with this message." },\\n                    { "name": "timestamp", "$ref": "Timestamp", "description": "Timestamp, when this message was fired.", "hidden": true }\\n                ]\\n            },\\n            {\\n                "id": "CallFrame",\\n                "type": "object",\\n                "description": "Stack entry for console errors and assertions.",\\n                "properties": [\\n                    { "name": "functionName", "type": "string", "description": "JavaScript function name." },\\n                    { "name": "scriptId", "type": "string", "description": "JavaScript script id." },\\n                    { "name": "url", "type": "string", "description": "JavaScript script name or url." },\\n                    { "name": "lineNumber", "type": "integer", "description": "JavaScript script line number." },\\n                    { "name": "columnNumber", "type": "integer", "description": "JavaScript script column number." }\\n                ]\\n            },\\n            {\\n                "id": "StackTrace",\\n                "type": "array",\\n                "items": { "$ref": "CallFrame" },\\n                "description": "Call frames for assertions or error messages."\\n            }\\n        ],\\n        "commands": [\\n            {\\n                "name": "enable",\\n                "description": "Enables console domain, sends the messages collected so far to the client by means of the <code>messageAdded</code> notification."\\n            },\\n            {\\n                "name": "disable",\\n                "description": "Disables console domain, prevents further console messages from being reported to the client."\\n            },\\n            {\\n                "name": "clearMessages",\\n                "description": "Clears console messages collected in the browser."\\n            },\\n            {\\n                "name": "setMonitoringXHREnabled",\\n                "parameters": [\\n                    { "name": "enabled", "type": "boolean", "description": "Monitoring enabled state." }\\n                ],\\n                "description": "Toggles monitoring of XMLHttpRequest. If <code>true</code>, console will receive messages upon each XHR issued.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "addInspectedNode",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "DOM.NodeId", "description": "DOM node id to be accessible by means of $x command line API." }\\n                ],\\n                "description": "Enables console to refer to the node with given id via $x (see Command Line API for more details $x functions).",\\n                "hidden": true\\n            },\\n            {\\n                "name": "addInspectedHeapObject",\\n                "parameters": [\\n                    { "name": "heapObjectId", "type": "integer" }\\n                ],\\n                "hidden": true\\n            }\\n        ],\\n        "events": [\\n            {\\n                "name": "messageAdded",\\n                "parameters": [\\n                    { "name": "message", "$ref": "ConsoleMessage", "description": "Console message that has been added." }\\n                ],\\n                "description": "Issued when new console message is added."\\n            },\\n            {\\n                "name": "messageRepeatCountUpdated",\\n                "parameters": [\\n                    { "name": "count", "type": "integer", "description": "New repeat count value." },\\n                    { "name": "timestamp", "$ref": "Timestamp", "description": "Timestamp of most recent message in batch.", "hidden": true }\\n                ],\\n                "description": "Issued when subsequent message(s) are equal to the previous one(s)."\\n            },\\n            {\\n                "name": "messagesCleared",\\n                "description": "Issued when console is cleared. This happens either upon <code>clearMessages</code> command or after page navigation."\\n            }\\n        ]\\n    },\\n    {\\n        "domain": "Network",\\n        "description": "Network domain allows tracking network activities of the page. It exposes information about http, file, data and other requests and responses, their headers, bodies, timing, etc.",\\n        "types": [\\n            {\\n                "id": "LoaderId",\\n                "type": "string",\\n                "description": "Unique loader identifier."\\n            },\\n            {\\n                "id": "RequestId",\\n                "type": "string",\\n                "description": "Unique request identifier."\\n            },\\n            {\\n                "id": "Timestamp",\\n                "type": "number",\\n                "description": "Number of seconds since epoch."\\n            },\\n            {\\n                "id": "Headers",\\n                "type": "object",\\n                "description": "Request / response headers as keys / values of JSON object."\\n            },\\n            {\\n                "id": "ResourceTiming",\\n                "type": "object",\\n                "description": "Timing information for the request.",\\n                "properties": [\\n                    { "name": "requestTime", "type": "number", "description": "Timing\\\'s requestTime is a baseline in seconds, while the other numbers are ticks in milliseconds relatively to this requestTime." },\\n                    { "name": "proxyStart", "type": "number", "description": "Started resolving proxy." },\\n                    { "name": "proxyEnd", "type": "number", "description": "Finished resolving proxy." },\\n                    { "name": "dnsStart", "type": "number", "description": "Started DNS address resolve." },\\n                    { "name": "dnsEnd", "type": "number", "description": "Finished DNS address resolve." },\\n                    { "name": "connectStart", "type": "number", "description": "Started connecting to the remote host." },\\n                    { "name": "connectEnd", "type": "number", "description": "Connected to the remote host." },\\n                    { "name": "sslStart", "type": "number", "description": "Started SSL handshake." },\\n                    { "name": "sslEnd", "type": "number", "description": "Finished SSL handshake." },\\n                    { "name": "sendStart", "type": "number", "description": "Started sending request." },\\n                    { "name": "sendEnd", "type": "number", "description": "Finished sending request." },\\n                    { "name": "receiveHeadersEnd", "type": "number", "description": "Finished receiving response headers." }\\n                ]\\n            },\\n            {\\n                "id": "Request",\\n                "type": "object",\\n                "description": "HTTP request data.",\\n                "properties": [\\n                    { "name": "url", "type": "string", "description": "Request URL." },\\n                    { "name": "method", "type": "string", "description": "HTTP request method." },\\n                    { "name": "headers", "$ref": "Headers", "description": "HTTP request headers." },\\n                    { "name": "postData", "type": "string", "optional": true, "description": "HTTP POST request data." }\\n                ]\\n            },\\n            {\\n                "id": "Response",\\n                "type": "object",\\n                "description": "HTTP response data.",\\n                "properties": [\\n                    { "name": "url", "type": "string", "description": "Response URL. This URL can be different from CachedResource.url in case of redirect." },\\n                    { "name": "status", "type": "number", "description": "HTTP response status code." },\\n                    { "name": "statusText", "type": "string", "description": "HTTP response status text." },\\n                    { "name": "headers", "$ref": "Headers", "description": "HTTP response headers." },\\n                    { "name": "headersText", "type": "string", "optional": true, "description": "HTTP response headers text." },\\n                    { "name": "mimeType", "type": "string", "description": "Resource mimeType as determined by the browser." },\\n                    { "name": "requestHeaders", "$ref": "Headers", "optional": true, "description": "Refined HTTP request headers that were actually transmitted over the network." },\\n                    { "name": "requestHeadersText", "type": "string", "optional": true, "description": "HTTP request headers text." },\\n                    { "name": "connectionReused", "type": "boolean", "description": "Specifies whether physical connection was actually reused for this request." },\\n                    { "name": "connectionId", "type": "number", "description": "Physical connection id that was actually used for this request." },\\n                    { "name": "fromDiskCache", "type": "boolean", "optional": true, "description": "Specifies that the request was served from the disk cache." },\\n                    { "name": "timing", "$ref": "ResourceTiming", "optional": true, "description": "Timing information for the given request." }\\n                ]\\n            },\\n            {\\n                "id": "WebSocketRequest",\\n                "type": "object",\\n                "description": "WebSocket request data.",\\n                "hidden": true,\\n                "properties": [\\n                    { "name": "headers", "$ref": "Headers", "description": "HTTP response headers." }\\n                ]\\n            },\\n            {\\n                "id": "WebSocketResponse",\\n                "type": "object",\\n                "description": "WebSocket response data.",\\n                "hidden": true,\\n                "properties": [\\n                    { "name": "status", "type": "number", "description": "HTTP response status code." },\\n                    { "name": "statusText", "type": "string", "description": "HTTP response status text." },\\n                    { "name": "headers", "$ref": "Headers", "description": "HTTP response headers." }\\n                ]\\n            },\\n            {\\n                "id": "WebSocketFrame",\\n                "type": "object",\\n                "description": "WebSocket frame data.",\\n                "hidden": true,\\n                "properties": [\\n                    { "name": "opcode", "type": "number", "description": "WebSocket frame opcode." },\\n                    { "name": "mask", "type": "boolean", "description": "WebSocke frame mask." },\\n                    { "name": "payloadData", "type": "string", "description": "WebSocke frame payload data." }\\n                ]\\n            },\\n            {\\n                "id": "CachedResource",\\n                "type": "object",\\n                "description": "Information about the cached resource.",\\n                "properties": [\\n                    { "name": "url", "type": "string", "description": "Resource URL. This is the url of the original network request." },\\n                    { "name": "type", "$ref": "Page.ResourceType", "description": "Type of this resource." },\\n                    { "name": "response", "$ref": "Response", "optional": true, "description": "Cached response data." },\\n                    { "name": "bodySize", "type": "number", "description": "Cached response body size." }\\n                ]\\n            },\\n            {\\n                "id": "Initiator",\\n                "type": "object",\\n                "description": "Information about the request initiator.",\\n                "properties": [\\n                    { "name": "type", "type": "string", "enum": ["parser", "script", "other"], "description": "Type of this initiator." },\\n                    { "name": "stackTrace", "$ref": "Console.StackTrace", "optional": true, "description": "Initiator JavaScript stack trace, set for Script only." },\\n                    { "name": "url", "type": "string", "optional": true, "description": "Initiator URL, set for Parser type only." },\\n                    { "name": "lineNumber", "type": "number", "optional": true, "description": "Initiator line number, set for Parser type only." }\\n                ]\\n            }\\n        ],\\n        "commands": [\\n            {\\n                "name": "enable",\\n                "description": "Enables network tracking, network events will now be delivered to the client."\\n            },\\n            {\\n                "name": "disable",\\n                "description": "Disables network tracking, prevents network events from being sent to the client."\\n            },\\n            {\\n                "name": "setUserAgentOverride",\\n                "description": "Allows overriding user agent with the given string.",\\n                "parameters": [\\n                    { "name": "userAgent", "type": "string", "description": "User agent to use." }\\n                ]\\n            },\\n            {\\n                "name": "setExtraHTTPHeaders",\\n                "description": "Specifies whether to always send extra HTTP headers with the requests from this page.",\\n                "parameters": [\\n                    { "name": "headers", "$ref": "Headers", "description": "Map with extra HTTP headers." }\\n                ]\\n            },\\n            {\\n                "name": "getResponseBody",\\n                "description": "Returns content served for the given request.",\\n                "parameters": [\\n                    { "name": "requestId", "$ref": "RequestId", "description": "Identifier of the network request to get content for." }\\n                ],\\n                "returns": [\\n                    { "name": "body", "type": "string", "description": "Response body." },\\n                    { "name": "base64Encoded", "type": "boolean", "description": "True, if content was sent as base64." }\\n                ]\\n            },\\n            {\\n                "name": "replayXHR",\\n                "description": "This method sends a new XMLHttpRequest which is identical to the original one. The following parameters should be identical: method, url, async, request body, extra headers, withCredentials attribute, user, password.",\\n                "parameters": [\\n                    { "name": "requestId", "$ref": "RequestId", "description": "Identifier of XHR to replay." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "canClearBrowserCache",\\n                "description": "Tells whether clearing browser cache is supported.",\\n                "returns": [\\n                    { "name": "result", "type": "boolean", "description": "True if browser cache can be cleared." }\\n                ]\\n            },\\n            {\\n                "name": "clearBrowserCache",\\n                "description": "Clears browser cache."\\n            },\\n            {\\n                "name": "canClearBrowserCookies",\\n                "description": "Tells whether clearing browser cookies is supported.",\\n                "returns": [\\n                    { "name": "result", "type": "boolean", "description": "True if browser cookies can be cleared." }\\n                ]\\n            },\\n            {\\n                "name": "clearBrowserCookies",\\n                "description": "Clears browser cookies."\\n            },\\n            {\\n                "name": "setCacheDisabled",\\n                "parameters": [\\n                    { "name": "cacheDisabled", "type": "boolean", "description": "Cache disabled state." }\\n                ],\\n                "description": "Toggles ignoring cache for each request. If <code>true</code>, cache will not be used."\\n            },  \\n            {\\n                "name": "loadResourceForFrontend",\\n                "async": true,\\n                "parameters": [\\n                    { "name": "frameId", "$ref": "Page.FrameId", "description": "Frame to load the resource from." },\\n                    { "name": "url", "type": "string", "description": "URL of the resource to load." },\\n                    { "name": "requestHeaders", "$ref": "Network.Headers", "optional": true, "description": "Request headers." }\\n                ],\\n                "returns": [\\n                    { "name": "statusCode", "type": "number", "description": "HTTP status code." },\\n                    { "name": "responseHeaders", "$ref": "Network.Headers", "description": "Response headers." },\\n                    { "name": "content", "type": "string", "description": "Resource content." }\\n                ],\\n                "description": "Loads a resource in the context of a frame on the inspected page without cross origin checks.",\\n                "hidden": true\\n            }\\n        ],\\n        "events": [\\n            {\\n                "name": "requestWillBeSent",\\n                "description": "Fired when page is about to send HTTP request.",\\n                "parameters": [\\n                    { "name": "requestId", "$ref": "RequestId", "description": "Request identifier." },\\n                    { "name": "frameId", "$ref": "Page.FrameId", "description": "Frame identifier.", "hidden": true },\\n                    { "name": "loaderId", "$ref": "LoaderId", "description": "Loader identifier." },\\n                    { "name": "documentURL", "type": "string", "description": "URL of the document this request is loaded for." },\\n                    { "name": "request", "$ref": "Request", "description": "Request data." },\\n                    { "name": "timestamp", "$ref": "Timestamp", "description": "Timestamp." },\\n                    { "name": "initiator", "$ref": "Initiator", "description": "Request initiator." },\\n                    { "name": "redirectResponse", "optional": true, "$ref": "Response", "description": "Redirect response data." }\\n                ]\\n            },\\n            {\\n                "name": "requestServedFromCache",\\n                "description": "Fired if request ended up loading from cache.",\\n                "parameters": [\\n                    { "name": "requestId", "$ref": "RequestId", "description": "Request identifier." }\\n                ]\\n            },\\n            {\\n                "name": "responseReceived",\\n                "description": "Fired when HTTP response is available.",\\n                "parameters": [\\n                    { "name": "requestId", "$ref": "RequestId", "description": "Request identifier." },\\n                    { "name": "frameId", "$ref": "Page.FrameId", "description": "Frame identifier.", "hidden": true },\\n                    { "name": "loaderId", "$ref": "LoaderId", "description": "Loader identifier." },\\n                    { "name": "timestamp", "$ref": "Timestamp", "description": "Timestamp." },\\n                    { "name": "type", "$ref": "Page.ResourceType", "description": "Resource type." },\\n                    { "name": "response", "$ref": "Response", "description": "Response data." }\\n                ]\\n            },\\n            {\\n                "name": "dataReceived",\\n                "description": "Fired when data chunk was received over the network.",\\n                "parameters": [\\n                    { "name": "requestId", "$ref": "RequestId", "description": "Request identifier." },\\n                    { "name": "timestamp", "$ref": "Timestamp", "description": "Timestamp." },\\n                    { "name": "dataLength", "type": "integer", "description": "Data chunk length." },\\n                    { "name": "encodedDataLength", "type": "integer", "description": "Actual bytes received (might be less than dataLength for compressed encodings)." }\\n                ]\\n            },\\n            {\\n                "name": "loadingFinished",\\n                "description": "Fired when HTTP request has finished loading.",\\n                "parameters": [\\n                    { "name": "requestId", "$ref": "RequestId", "description": "Request identifier." },\\n                    { "name": "timestamp", "$ref": "Timestamp", "description": "Timestamp." }\\n                ]\\n            },\\n            {\\n                "name": "loadingFailed",\\n                "description": "Fired when HTTP request has failed to load.",\\n                "parameters": [\\n                    { "name": "requestId", "$ref": "RequestId", "description": "Request identifier." },\\n                    { "name": "timestamp", "$ref": "Timestamp", "description": "Timestamp." },\\n                    { "name": "errorText", "type": "string", "description": "User friendly error message." },\\n                    { "name": "canceled", "type": "boolean", "optional": true, "description": "True if loading was canceled." }\\n                ]\\n            },\\n            {\\n                "name": "webSocketWillSendHandshakeRequest",\\n                "description": "Fired when WebSocket is about to initiate handshake.",\\n                "parameters": [\\n                    { "name": "requestId", "$ref": "RequestId", "description": "Request identifier." },\\n                    { "name": "timestamp", "$ref": "Timestamp", "description": "Timestamp." },\\n                    { "name": "request", "$ref": "WebSocketRequest", "description": "WebSocket request data." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "webSocketHandshakeResponseReceived",\\n                "description": "Fired when WebSocket handshake response becomes available.",\\n                "parameters": [\\n                    { "name": "requestId", "$ref": "RequestId", "description": "Request identifier." },\\n                    { "name": "timestamp", "$ref": "Timestamp", "description": "Timestamp." },\\n                    { "name": "response", "$ref": "WebSocketResponse", "description": "WebSocket response data." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "webSocketCreated",\\n                "description": "Fired upon WebSocket creation.",\\n                "parameters": [\\n                    { "name": "requestId", "$ref": "RequestId", "description": "Request identifier." },\\n                    { "name": "url", "type": "string", "description": "WebSocket request URL." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "webSocketClosed",\\n                "description": "Fired when WebSocket is closed.",\\n                "parameters": [\\n                    { "name": "requestId", "$ref": "RequestId", "description": "Request identifier." },\\n                    { "name": "timestamp", "$ref": "Timestamp", "description": "Timestamp." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "webSocketFrameReceived",\\n                "description": "Fired when WebSocket frame is received.",\\n                "parameters": [\\n                    { "name": "requestId", "$ref": "RequestId", "description": "Request identifier." },\\n                    { "name": "timestamp", "$ref": "Timestamp", "description": "Timestamp." },\\n                    { "name": "response", "$ref": "WebSocketFrame", "description": "WebSocket response data." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "webSocketFrameError",\\n                "description": "Fired when WebSocket frame error occurs.",\\n                "parameters": [\\n                    { "name": "requestId", "$ref": "RequestId", "description": "Request identifier." },\\n                    { "name": "timestamp", "$ref": "Timestamp", "description": "Timestamp." },\\n                    { "name": "errorMessage", "type": "string", "description": "WebSocket frame error message." }\\n                ],\\n                "hidden": true\\n            },\\n            {\\n                "name": "webSocketFrameSent",\\n                "description": "Fired when WebSocket frame is sent.",\\n                "parameters": [\\n                    { "name": "requestId", "$ref": "RequestId", "description": "Request identifier." },\\n                    { "name": "timestamp", "$ref": "Timestamp", "description": "Timestamp." },\\n                    { "name": "response", "$ref": "WebSocketFrame", "description": "WebSocket response data." }\\n                ],\\n                "hidden": true\\n            }\\n        ]\\n    },\\n    {\\n        "domain": "Database",\\n        "hidden": true,\\n        "types": [\\n            {\\n                "id": "DatabaseId",\\n                "type": "string",\\n                "description": "Unique identifier of Database object.",\\n                "hidden": true\\n            },\\n            {\\n                "id": "Database",\\n                "type": "object",\\n                "description": "Database object.",\\n                "hidden": true,\\n                "properties": [\\n                    { "name": "id", "$ref": "DatabaseId", "description": "Database ID." },\\n                    { "name": "domain", "type": "string", "description": "Database domain." },\\n                    { "name": "name", "type": "string", "description": "Database name." },\\n                    { "name": "version", "type": "string", "description": "Database version." }\\n                ]\\n            },\\n            {\\n                "id": "Error",\\n                "type": "object",\\n                "description": "Database error.",\\n                "properties": [\\n                    { "name": "message", "type": "string", "description": "Error message." },\\n                    { "name": "code", "type": "integer", "description": "Error code." }\\n                ]\\n            }\\n        ],\\n        "commands": [\\n            {\\n                "name": "enable",\\n                "description": "Enables database tracking, database events will now be delivered to the client."\\n            },\\n            {\\n                "name": "disable",\\n                "description": "Disables database tracking, prevents database events from being sent to the client."\\n            },\\n            {\\n                "name": "getDatabaseTableNames",\\n                "parameters": [\\n                    { "name": "databaseId", "$ref": "DatabaseId" }\\n                ],\\n                "returns": [\\n                    { "name": "tableNames", "type": "array", "items": { "type": "string" } }\\n                ]\\n            },\\n            {\\n                "name": "executeSQL",\\n                "async": true,\\n                "parameters": [\\n                    { "name": "databaseId", "$ref": "DatabaseId" },\\n                    { "name": "query", "type": "string" }\\n                ],\\n                "returns": [\\n                    { "name": "columnNames", "type": "array", "optional": true, "items": { "type": "string" } },\\n                    { "name": "values", "type": "array", "optional": true, "items": { "type": "any" }},\\n                    { "name": "sqlError", "$ref": "Error", "optional": true }\\n                ]\\n            }\\n        ],\\n        "events": [\\n            {\\n                "name": "addDatabase",\\n                "parameters": [\\n                    { "name": "database", "$ref": "Database" }\\n                ]\\n            }\\n        ]\\n    },\\n    {\\n        "domain": "IndexedDB",\\n        "hidden": true,\\n        "types": [\\n            {\\n                "id": "DatabaseWithObjectStores",\\n                "type": "object",\\n                "description": "Database with an array of object stores.",\\n                "properties": [\\n                    { "name": "name", "type": "string", "description": "Database name." },\\n                    { "name": "version", "type": "string", "description": "Deprecated string database version." },\\n                    { "name": "intVersion", "type": "integer", "description": "Integer database version." },\\n                    { "name": "objectStores", "type": "array", "items": { "$ref": "ObjectStore" }, "description": "Object stores in this database." }\\n                ]\\n            },\\n            {\\n                "id": "ObjectStore",\\n                "type": "object",\\n                "description": "Object store.",\\n                "properties": [\\n                    { "name": "name", "type": "string", "description": "Object store name." },\\n                    { "name": "keyPath", "$ref": "KeyPath", "description": "Object store key path." },\\n                    { "name": "autoIncrement", "type": "boolean", "description": "If true, object store has auto increment flag set." },\\n                    { "name": "indexes", "type": "array", "items": { "$ref": "ObjectStoreIndex" }, "description": "Indexes in this object store." }\\n                ]\\n            },\\n            {\\n                "id": "ObjectStoreIndex",\\n                "type": "object",\\n                "description": "Object store index.",\\n                "properties": [\\n                    { "name": "name", "type": "string", "description": "Index name." },\\n                    { "name": "keyPath", "$ref": "KeyPath", "description": "Index key path." },\\n                    { "name": "unique", "type": "boolean", "description": "If true, index is unique." },\\n                    { "name": "multiEntry", "type": "boolean", "description": "If true, index allows multiple entries for a key." }\\n                ]\\n            },\\n            {\\n                "id": "Key",\\n                "type": "object",\\n                "description": "Key.",\\n                "properties": [\\n                    { "name": "type", "type": "string", "enum": ["number", "string", "date", "array"], "description": "Key type." },\\n                    { "name": "number", "type": "number", "optional": true, "description": "Number value." },\\n                    { "name": "string", "type": "string", "optional": true, "description": "String value." },\\n                    { "name": "date", "type": "number", "optional": true, "description": "Date value." },\\n                    { "name": "array", "type": "array", "optional": true, "items": { "$ref": "Key" }, "description": "Array value." }\\n                ]\\n            },\\n            {\\n                "id": "KeyRange",\\n                "type": "object",\\n                "description": "Key range.",\\n                "properties": [\\n                    { "name": "lower", "$ref": "Key", "optional": true, "description": "Lower bound." },\\n                    { "name": "upper", "$ref": "Key", "optional": true, "description": "Upper bound." },\\n                    { "name": "lowerOpen", "type": "boolean", "description": "If true lower bound is open." },\\n                    { "name": "upperOpen", "type": "boolean", "description": "If true upper bound is open." }\\n                ]\\n            },\\n            {\\n                "id": "DataEntry",\\n                "type": "object",\\n                "description": "Data entry.",\\n                "properties": [\\n                    { "name": "key", "$ref": "Runtime.RemoteObject", "description": "Key." },\\n                    { "name": "primaryKey", "$ref": "Runtime.RemoteObject", "description": "Primary key." },\\n                    { "name": "value", "$ref": "Runtime.RemoteObject", "description": "Value." }\\n                ]\\n            },\\n            {\\n                "id": "KeyPath",\\n                "type": "object",\\n                "description": "Key path.",\\n                "properties": [\\n                    { "name": "type", "type": "string", "enum": ["null", "string", "array"], "description": "Key path type." },\\n                    { "name": "string", "type": "string", "optional": true, "description": "String value." },\\n                    { "name": "array", "type": "array", "optional": true, "items": { "type": "string" }, "description": "Array value." }\\n                ]\\n            }\\n        ],\\n        "commands": [\\n            {\\n                "name": "enable",\\n                "description": "Enables events from backend."\\n            },\\n            {\\n                "name": "disable",\\n                "description": "Disables events from backend."\\n            },\\n            {\\n                "name": "requestDatabaseNames",\\n                "async": true,\\n                "parameters": [\\n                    { "name": "securityOrigin", "type": "string", "description": "Security origin." }\\n                ],\\n                "returns": [\\n                    { "name": "databaseNames", "type": "array", "items": { "type": "string" }, "description": "Database names for origin." }\\n                ],\\n                "description": "Requests database names for given security origin."\\n            },\\n            {\\n                "name": "requestDatabase",\\n                "async": true,\\n                "parameters": [\\n                    { "name": "securityOrigin", "type": "string", "description": "Security origin." },\\n                    { "name": "databaseName", "type": "string", "description": "Database name." }\\n                ],\\n                "returns": [\\n                    { "name": "databaseWithObjectStores", "$ref": "DatabaseWithObjectStores", "description": "Database with an array of object stores." }\\n                ],\\n                "description": "Requests database with given name in given frame."\\n            },\\n            {\\n                "name": "requestData",\\n                "async": true,\\n                "parameters": [\\n                    { "name": "securityOrigin", "type": "string", "description": "Security origin." },\\n                    { "name": "databaseName", "type": "string", "description": "Database name." },\\n                    { "name": "objectStoreName", "type": "string", "description": "Object store name." },\\n                    { "name": "indexName", "type": "string", "description": "Index name, empty string for object store data requests." },\\n                    { "name": "skipCount", "type": "integer", "description": "Number of records to skip." },\\n                    { "name": "pageSize", "type": "integer", "description": "Number of records to fetch." },\\n                    { "name": "keyRange", "$ref": "KeyRange", "optional": true, "description": "Key range." }\\n                ],\\n                "returns": [\\n                    { "name": "objectStoreDataEntries", "type": "array", "items": { "$ref": "DataEntry" }, "description": "Array of object store data entries." },\\n                    { "name": "hasMore", "type": "boolean", "description": "If true, there are more entries to fetch in the given range." }\\n                ],\\n                "description": "Requests data from object store or index."\\n            },\\n            {\\n                "name": "clearObjectStore",\\n                "async": true,\\n                "parameters": [\\n                    { "name": "securityOrigin", "type": "string", "description": "Security origin." },\\n                    { "name": "databaseName", "type": "string", "description": "Database name." },\\n                    { "name": "objectStoreName", "type": "string", "description": "Object store name." }\\n                ],\\n                "returns": [\\n                ],\\n                "description": "Clears all entries from an object store."\\n            }\\n        ]\\n    },\\n    {\\n        "domain": "DOMStorage",\\n        "hidden": true,\\n        "description": "Query and modify DOM storage.",\\n        "types": [\\n            {\\n                "id": "StorageId",\\n                "type": "object",\\n                "description": "DOM Storage identifier.",\\n                "hidden": true,\\n                "properties": [\\n                    { "name": "securityOrigin", "type": "string", "description": "Security origin for the storage." },\\n                    { "name": "isLocalStorage", "type": "boolean", "description": "Whether the storage is local storage (not session storage)." }\\n                ]\\n            },\\n            {\\n                "id": "Item",\\n                "type": "array",\\n                "description": "DOM Storage item.",\\n                "hidden": true,\\n                "items": { "type": "string" }\\n            }\\n        ],\\n        "commands": [\\n            {\\n                "name": "enable",\\n                "description": "Enables storage tracking, storage events will now be delivered to the client."\\n            },\\n            {\\n                "name": "disable",\\n                "description": "Disables storage tracking, prevents storage events from being sent to the client."\\n            },\\n            {\\n                "name": "getDOMStorageItems",\\n                "parameters": [\\n                    { "name": "storageId", "$ref": "StorageId" }\\n                ],\\n                "returns": [\\n                    { "name": "entries", "type": "array", "items": { "$ref": "Item" } }\\n                ]\\n            },\\n            {\\n                "name": "setDOMStorageItem",\\n                "parameters": [\\n                    { "name": "storageId", "$ref": "StorageId" },\\n                    { "name": "key", "type": "string" },\\n                    { "name": "value", "type": "string" }\\n                ]\\n            },\\n            {\\n                "name": "removeDOMStorageItem",\\n                "parameters": [\\n                    { "name": "storageId", "$ref": "StorageId" },\\n                    { "name": "key", "type": "string" }\\n                ]\\n            }\\n        ],\\n        "events": [\\n            {\\n                "name": "domStorageItemsCleared",\\n                "parameters": [\\n                    { "name": "storageId",  "$ref": "StorageId" }\\n                ]\\n            },\\n            {\\n                "name": "domStorageItemRemoved",\\n                "parameters": [\\n                    { "name": "storageId",  "$ref": "StorageId" },\\n                    { "name": "key", "type": "string" }\\n                ]\\n            },\\n            {\\n                "name": "domStorageItemAdded",\\n                "parameters": [\\n                    { "name": "storageId",  "$ref": "StorageId" },\\n                    { "name": "key", "type": "string" },\\n                    { "name": "newValue", "type": "string" }\\n                ]\\n            },\\n            {\\n                "name": "domStorageItemUpdated",\\n                "parameters": [\\n                    { "name": "storageId",  "$ref": "StorageId" },\\n                    { "name": "key", "type": "string" },\\n                    { "name": "oldValue", "type": "string" },\\n                    { "name": "newValue", "type": "string" }\\n                ]\\n            }\\n        ]\\n    },\\n    {\\n        "domain": "ApplicationCache",\\n        "hidden": true,\\n        "types": [\\n            {\\n                "id": "ApplicationCacheResource",\\n                "type": "object",\\n                "description": "Detailed application cache resource information.",\\n                "properties": [\\n                    { "name": "url", "type": "string", "description": "Resource url." },\\n                    { "name": "size", "type": "integer", "description": "Resource size." },\\n                    { "name": "type", "type": "string", "description": "Resource type." }\\n                ]\\n            },\\n            {\\n                "id": "ApplicationCache",\\n                "type": "object",\\n                "description": "Detailed application cache information.",\\n                "properties": [\\n                    { "name": "manifestURL", "type": "string", "description": "Manifest URL." },\\n                    { "name": "size", "type": "number", "description": "Application cache size." },\\n                    { "name": "creationTime", "type": "number", "description": "Application cache creation time." },\\n                    { "name": "updateTime", "type": "number", "description": "Application cache update time." },\\n                    { "name": "resources", "type": "array", "items": { "$ref": "ApplicationCacheResource" }, "description": "Application cache resources." }\\n                ]\\n            },\\n            {\\n                "id": "FrameWithManifest",\\n                "type": "object",\\n                "description": "Frame identifier - manifest URL pair.",\\n                "properties": [\\n                    { "name": "frameId", "$ref": "Page.FrameId", "description": "Frame identifier." },\\n                    { "name": "manifestURL", "type": "string", "description": "Manifest URL." },\\n                    { "name": "status", "type": "integer", "description": "Application cache status." }\\n                ]\\n            }\\n        ],\\n        "commands": [\\n            {\\n                "name": "getFramesWithManifests",\\n                "returns": [\\n                    { "name": "frameIds", "type": "array", "items": { "$ref": "FrameWithManifest" }, "description": "Array of frame identifiers with manifest urls for each frame containing a document associated with some application cache." }\\n                ],\\n                "description": "Returns array of frame identifiers with manifest urls for each frame containing a document associated with some application cache."\\n            },\\n            {\\n                "name": "enable",\\n                "description": "Enables application cache domain notifications."\\n            },\\n            {\\n                "name": "getManifestForFrame",\\n                "parameters": [\\n                    { "name": "frameId", "$ref": "Page.FrameId", "description": "Identifier of the frame containing document whose manifest is retrieved." }\\n                ],\\n                "returns": [\\n                    { "name": "manifestURL", "type": "string", "description": "Manifest URL for document in the given frame." }\\n                ],\\n                "description": "Returns manifest URL for document in the given frame."\\n            },\\n            {\\n                "name": "getApplicationCacheForFrame",\\n                "parameters": [\\n                    { "name": "frameId", "$ref": "Page.FrameId", "description": "Identifier of the frame containing document whose application cache is retrieved." }\\n                ],\\n                "returns": [\\n                    { "name": "applicationCache", "$ref": "ApplicationCache", "description": "Relevant application cache data for the document in given frame." }\\n                ],\\n                "description": "Returns relevant application cache data for the document in given frame."\\n            }\\n        ],\\n        "events": [\\n            {\\n                "name": "applicationCacheStatusUpdated",\\n                "parameters": [\\n                    { "name": "frameId", "$ref": "Page.FrameId", "description": "Identifier of the frame containing document whose application cache updated status." },\\n                    { "name": "manifestURL", "type": "string", "description": "Manifest URL." },\\n                    { "name": "status", "type": "integer", "description": "Updated application cache status." }\\n                ]\\n            },\\n            {\\n                "name": "networkStateUpdated",\\n                "parameters": [\\n                    { "name": "isNowOnline", "type": "boolean" }\\n                ]\\n            }\\n        ]\\n    },\\n    {\\n        "domain": "FileSystem",\\n        "hidden": true,\\n        "types": [\\n            {\\n                "id": "Entry",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "url", "type": "string", "description": "filesystem: URL for the entry." },\\n                    { "name": "name", "type": "string", "description": "The name of the file or directory." },\\n                    { "name": "isDirectory", "type": "boolean", "description": "True if the entry is a directory." },\\n                    { "name": "mimeType", "type": "string", "optional": true, "description": "MIME type of the entry, available for a file only." },\\n                    { "name": "resourceType", "$ref": "Page.ResourceType", "optional": true, "description": "ResourceType of the entry, available for a file only." },\\n                    { "name": "isTextFile", "type": "boolean", "optional": true, "description": "True if the entry is a text file." }\\n                ],\\n                "description": "Represents a browser side file or directory."\\n            },\\n            {\\n                "id": "Metadata",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "modificationTime", "type": "number", "description": "Modification time." },\\n                    { "name": "size", "type": "number", "description": "File size. This field is always zero for directories." }\\n                ],\\n                "description": "Represents metadata of a file or entry."\\n            }\\n        ],\\n        "commands": [\\n            {\\n                "name": "enable",\\n                "description": "Enables events from backend."\\n            },\\n            {\\n                "name": "disable",\\n                "description": "Disables events from backend."\\n            },\\n            {\\n                "name": "requestFileSystemRoot",\\n                "async": true,\\n                "parameters": [\\n                    { "name": "origin", "type": "string", "description": "Security origin of requesting FileSystem. One of frames in current page needs to have this security origin." },\\n                    { "name": "type", "type": "string", "enum": ["temporary", "persistent"], "description": "FileSystem type of requesting FileSystem." }\\n                ],\\n                "returns": [\\n                    { "name": "errorCode", "type": "integer", "description": "0, if no error. Otherwise, errorCode is set to FileError::ErrorCode value." },\\n                    { "name": "root", "$ref": "Entry", "optional": true, "description": "Contains root of the requested FileSystem if the command completed successfully." }\\n                ],\\n                "description": "Returns root directory of the FileSystem, if exists."\\n            },\\n            {\\n                "name": "requestDirectoryContent",\\n                "async": true,\\n                "parameters": [\\n                    { "name": "url", "type": "string", "description": "URL of the directory that the frontend is requesting to read from." }\\n                ],\\n                "returns": [\\n                    { "name": "errorCode", "type": "integer", "description": "0, if no error. Otherwise, errorCode is set to FileError::ErrorCode value." },\\n                    { "name": "entries", "type": "array", "items": { "$ref": "Entry" }, "optional": true, "description": "Contains all entries on directory if the command completed successfully." }\\n                ],\\n                "description": "Returns content of the directory."\\n            },\\n            {\\n                "name": "requestMetadata",\\n                "async": true,\\n                "parameters": [\\n                    { "name": "url", "type": "string", "description": "URL of the entry that the frontend is requesting to get metadata from." }\\n                ],\\n                "returns": [\\n                    { "name": "errorCode", "type": "integer", "description": "0, if no error. Otherwise, errorCode is set to FileError::ErrorCode value." },\\n                    { "name": "metadata", "$ref": "Metadata", "optional": true, "description": "Contains metadata of the entry if the command completed successfully." }\\n                ],\\n                "description": "Returns metadata of the entry."\\n            },\\n            {\\n                "name": "requestFileContent",\\n                "async": true,\\n                "parameters": [\\n                    { "name": "url", "type": "string", "description": "URL of the file that the frontend is requesting to read from." },\\n                    { "name": "readAsText", "type": "boolean", "description": "True if the content should be read as text, otherwise the result will be returned as base64 encoded text." },\\n                    { "name": "start", "type": "integer", "optional": true, "description": "Specifies the start of range to read." },\\n                    { "name": "end", "type": "integer", "optional": true, "description": "Specifies the end of range to read exclusively." },\\n                    { "name": "charset", "type": "string", "optional": true, "description": "Overrides charset of the content when content is served as text." }\\n                ],\\n                "returns": [\\n                    { "name": "errorCode", "type": "integer", "description": "0, if no error. Otherwise, errorCode is set to FileError::ErrorCode value." },\\n                    { "name": "content", "type": "string", "optional": true, "description": "Content of the file." },\\n                    { "name": "charset", "type": "string", "optional": true, "description": "Charset of the content if it is served as text." }\\n                ],\\n                "description": "Returns content of the file. Result should be sliced into [start, end)."\\n            },\\n            {\\n                "name": "deleteEntry",\\n                "async": true,\\n                "parameters": [\\n                    { "name": "url", "type": "string", "description": "URL of the entry to delete." }\\n                ],\\n                "returns": [\\n                    { "name": "errorCode", "type": "integer", "description": "0, if no error. Otherwise errorCode is set to FileError::ErrorCode value." }\\n                ],\\n                "description": "Deletes specified entry. If the entry is a directory, the agent deletes children recursively."\\n            }\\n        ]\\n    },\\n    {\\n        "domain": "DOM",\\n        "description": "This domain exposes DOM read/write operations. Each DOM Node is represented with its mirror object that has an <code>id</code>. This <code>id</code> can be used to get additional information on the Node, resolve it into the JavaScript object wrapper, etc. It is important that client receives DOM events only for the nodes that are known to the client. Backend keeps track of the nodes that were sent to the client and never sends the same node twice. It is client\\\'s responsibility to collect information about the nodes that were sent to the client.<p>Note that <code>iframe</code> owner elements will return corresponding document elements as their child nodes.</p>",\\n        "types": [\\n            {\\n                "id": "NodeId",\\n                "type": "integer",\\n                "description": "Unique DOM node identifier."\\n            },\\n            {\\n                "id": "BackendNodeId",\\n                "type": "integer",\\n                "description": "Unique DOM node identifier used to reference a node that may not have been pushed to the front-end.",\\n                "hidden": true\\n            },\\n            {\\n                "id": "PseudoType",\\n                "type": "string",\\n                "enum": ["before", "after"],\\n                "description": "Pseudo element type."\\n            },\\n            {\\n                "id": "Node",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Node identifier that is passed into the rest of the DOM messages as the <code>nodeId</code>. Backend will only push node with given <code>id</code> once. It is aware of all requested nodes and will only fire DOM events for nodes known to the client." },\\n                    { "name": "nodeType", "type": "integer", "description": "<code>Node</code>\\\'s nodeType." },\\n                    { "name": "nodeName", "type": "string", "description": "<code>Node</code>\\\'s nodeName." },\\n                    { "name": "localName", "type": "string", "description": "<code>Node</code>\\\'s localName." },\\n                    { "name": "nodeValue", "type": "string", "description": "<code>Node</code>\\\'s nodeValue." },\\n                    { "name": "childNodeCount", "type": "integer", "optional": true, "description": "Child count for <code>Container</code> nodes." },\\n                    { "name": "children", "type": "array", "optional": true, "items": { "$ref": "Node" }, "description": "Child nodes of this node when requested with children." },\\n                    { "name": "attributes", "type": "array", "optional": true, "items": { "type": "string" }, "description": "Attributes of the <code>Element</code> node in the form of flat array <code>[name1, value1, name2, value2]</code>." },\\n                    { "name": "documentURL", "type": "string", "optional": true, "description": "Document URL that <code>Document</code> or <code>FrameOwner</code> node points to." },\\n                    { "name": "baseURL", "type": "string", "optional": true, "description": "Base URL that <code>Document</code> or <code>FrameOwner</code> node uses for URL completion.", "hidden": true },\\n                    { "name": "publicId", "type": "string", "optional": true, "description": "<code>DocumentType</code>\\\'s publicId." },\\n                    { "name": "systemId", "type": "string", "optional": true, "description": "<code>DocumentType</code>\\\'s systemId." },\\n                    { "name": "internalSubset", "type": "string", "optional": true, "description": "<code>DocumentType</code>\\\'s internalSubset." },\\n                    { "name": "xmlVersion", "type": "string", "optional": true, "description": "<code>Document</code>\\\'s XML version in case of XML documents." },\\n                    { "name": "name", "type": "string", "optional": true, "description": "<code>Attr</code>\\\'s name." },\\n                    { "name": "value", "type": "string", "optional": true, "description": "<code>Attr</code>\\\'s value." },\\n                    { "name": "pseudoType", "$ref": "PseudoType", "optional": true, "description": "Pseudo element type for this node." },\\n                    { "name": "frameId", "$ref": "Page.FrameId", "optional": true, "description": "Frame ID for frame owner elements.", "hidden": true },\\n                    { "name": "contentDocument", "$ref": "Node", "optional": true, "description": "Content document for frame owner elements." },\\n                    { "name": "shadowRoots", "type": "array", "optional": true, "items": { "$ref": "Node" }, "description": "Shadow root list for given element host.", "hidden": true },\\n                    { "name": "templateContent", "$ref": "Node", "optional": true, "description": "Content document fragment for template elements.", "hidden": true },\\n                    { "name": "pseudoElements", "type": "array", "items": { "$ref": "Node" }, "optional": true, "description": "Pseudo elements associated with this node.", "hidden": true }\\n                ],\\n                "description": "DOM interaction is implemented in terms of mirror objects that represent the actual DOM nodes. DOMNode is a base node mirror type."\\n            },\\n            {\\n                "id": "EventListener",\\n                "type": "object",\\n                "hidden": true,\\n                "properties": [\\n                    { "name": "type", "type": "string", "description": "<code>EventListener</code>\\\'s type." },\\n                    { "name": "useCapture", "type": "boolean", "description": "<code>EventListener</code>\\\'s useCapture." },\\n                    { "name": "isAttribute", "type": "boolean", "description": "<code>EventListener</code>\\\'s isAttribute." },\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Target <code>DOMNode</code> id." },\\n                    { "name": "handlerBody", "type": "string", "description": "Event handler function body." },\\n                    { "name": "location", "$ref": "Debugger.Location", "optional": true, "description": "Handler code location." },\\n                    { "name": "sourceName", "type": "string", "optional": true, "description": "Source script URL." },\\n                    { "name": "handler", "$ref": "Runtime.RemoteObject", "optional": true, "description": "Event handler function value." }\\n                ],\\n                "description": "DOM interaction is implemented in terms of mirror objects that represent the actual DOM nodes. DOMNode is a base node mirror type."\\n            },\\n            {\\n                "id": "RGBA",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "r", "type": "integer", "description": "The red component, in the [0-255] range." },\\n                    { "name": "g", "type": "integer", "description": "The green component, in the [0-255] range." },\\n                    { "name": "b", "type": "integer", "description": "The blue component, in the [0-255] range." },\\n                    { "name": "a", "type": "number", "optional": true, "description": "The alpha component, in the [0-1] range (default: 1)." }\\n                ],\\n                "description": "A structure holding an RGBA color."\\n            },\\n            {\\n                "id": "Quad",\\n                "type": "array",\\n                "items": { "type": "number" },\\n                "minItems": 8,\\n                "maxItems": 8,\\n                "description": "An array of quad vertices, x immediately followed by y for each point, points clock-wise.",\\n                "hidden": true\\n            },\\n            {\\n                "id": "BoxModel",\\n                "type": "object",\\n                "hidden": true,\\n                "properties": [\\n                    { "name": "content", "$ref": "Quad", "description": "Content box" },\\n                    { "name": "padding", "$ref": "Quad", "description": "Padding box" },\\n                    { "name": "border", "$ref": "Quad", "description": "Border box" },\\n                    { "name": "margin", "$ref": "Quad", "description": "Margin box" },\\n                    { "name": "width", "type": "integer", "description": "Node width" },\\n                    { "name": "height", "type": "integer", "description": "Node height" }\\n                ],\\n                "description": "Box model."\\n            },\\n            {\\n                "id": "Rect",\\n                "type": "object",\\n                "hidden": true,\\n                "properties": [\\n                    { "name": "x", "type": "number", "description": "X coordinate" },\\n                    { "name": "y", "type": "number", "description": "Y coordinate" },\\n                    { "name": "width", "type": "number", "description": "Rectangle width" },\\n                    { "name": "height", "type": "number", "description": "Rectangle height" }\\n                ],\\n                "description": "Rectangle."\\n            },\\n            {\\n                "id": "HighlightConfig",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "showInfo", "type": "boolean", "optional": true, "description": "Whether the node info tooltip should be shown (default: false)." },\\n                    { "name": "contentColor", "$ref": "RGBA", "optional": true, "description": "The content box highlight fill color (default: transparent)." },\\n                    { "name": "paddingColor", "$ref": "RGBA", "optional": true, "description": "The padding highlight fill color (default: transparent)." },\\n                    { "name": "borderColor", "$ref": "RGBA", "optional": true, "description": "The border highlight fill color (default: transparent)." },\\n                    { "name": "marginColor", "$ref": "RGBA", "optional": true, "description": "The margin highlight fill color (default: transparent)." },\\n                    { "name": "eventTargetColor", "$ref": "RGBA", "optional": true, "hidden": true, "description": "The event target element highlight fill color (default: transparent)." }\\n                ],\\n                "description": "Configuration data for the highlighting of page elements."\\n            }\\n        ],\\n        "commands": [\\n            {\\n                "name": "enable",\\n                "description": "Enables DOM agent for the given page."\\n            },\\n            {\\n                "name": "disable",\\n                "description": "Disables DOM agent for the given page."\\n            },\\n            {\\n                "name": "getDocument",\\n                "returns": [\\n                    { "name": "root", "$ref": "Node", "description": "Resulting node." }\\n                ],\\n                "description": "Returns the root DOM node to the caller."\\n            },\\n            {\\n                "name": "requestChildNodes",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the node to get children for." },\\n                    { "name": "depth", "type": "integer", "optional": true, "description": "The maximum depth at which children should be retrieved, defaults to 1. Use -1 for the entire subtree or provide an integer larger than 0.", "hidden": true }\\n                ],\\n                "description": "Requests that children of the node with given id are returned to the caller in form of <code>setChildNodes</code> events where not only immediate children are retrieved, but all children down to the specified depth."\\n            },\\n            {\\n                "name": "querySelector",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the node to query upon." },\\n                    { "name": "selector", "type": "string", "description": "Selector string." }\\n                ],\\n                "returns": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Query selector result." }\\n                ],\\n                "description": "Executes <code>querySelector</code> on a given node."\\n            },\\n            {\\n                "name": "querySelectorAll",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the node to query upon." },\\n                    { "name": "selector", "type": "string", "description": "Selector string." }\\n                ],\\n                "returns": [\\n                    { "name": "nodeIds", "type": "array", "items": { "$ref": "NodeId" }, "description": "Query selector result." }\\n                ],\\n                "description": "Executes <code>querySelectorAll</code> on a given node."\\n            },\\n            {\\n                "name": "setNodeName",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the node to set name for." },\\n                    { "name": "name", "type": "string", "description": "New node\\\'s name." }\\n                ],\\n                "returns": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "New node\\\'s id." }\\n                ],\\n                "description": "Sets node name for a node with given id."\\n            },\\n            {\\n                "name": "setNodeValue",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the node to set value for." },\\n                    { "name": "value", "type": "string", "description": "New node\\\'s value." }\\n                ],\\n                "description": "Sets node value for a node with given id."\\n            },\\n            {\\n                "name": "removeNode",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the node to remove." }\\n                ],\\n                "description": "Removes node with given id."\\n            },\\n            {\\n                "name": "setAttributeValue",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the element to set attribute for." },\\n                    { "name": "name", "type": "string", "description": "Attribute name." },\\n                    { "name": "value", "type": "string", "description": "Attribute value." }\\n                ],\\n                "description": "Sets attribute for an element with given id."\\n            },\\n            {\\n                "name": "setAttributesAsText",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the element to set attributes for." },\\n                    { "name": "text", "type": "string", "description": "Text with a number of attributes. Will parse this text using HTML parser." },\\n                    { "name": "name", "type": "string", "optional": true, "description": "Attribute name to replace with new attributes derived from text in case text parsed successfully." }\\n                ],\\n                "description": "Sets attributes on element with given id. This method is useful when user edits some existing attribute value and types in several attribute name/value pairs."\\n            },\\n            {\\n                "name": "removeAttribute",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the element to remove attribute from." },\\n                    { "name": "name", "type": "string", "description": "Name of the attribute to remove." }\\n                ],\\n                "description": "Removes attribute with given name from an element with given id."\\n            },\\n            {\\n                "name": "getEventListenersForNode",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the node to get listeners for." },\\n                    { "name": "objectGroup", "type": "string", "optional": true, "description": "Symbolic group name for handler value. Handler value is not returned without this parameter specified." }\\n                ],\\n                "returns": [\\n                    { "name": "listeners", "type": "array", "items": { "$ref": "EventListener"}, "description": "Array of relevant listeners." }\\n                ],\\n                "description": "Returns event listeners relevant to the node.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "getOuterHTML",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the node to get markup for." }\\n                ],\\n                "returns": [\\n                    { "name": "outerHTML", "type": "string", "description": "Outer HTML markup." }\\n                ],\\n                "description": "Returns node\\\'s HTML markup."\\n            },\\n            {\\n                "name": "setOuterHTML",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the node to set markup for." },\\n                    { "name": "outerHTML", "type": "string", "description": "Outer HTML markup to set." }\\n                ],\\n                "description": "Sets node HTML markup, returns new node id."\\n            },\\n            {\\n                "name": "performSearch",\\n                "parameters": [\\n                    { "name": "query", "type": "string", "description": "Plain text or query selector or XPath search query." }\\n                ],\\n                "returns": [\\n                    { "name": "searchId", "type": "string", "description": "Unique search session identifier." },\\n                    { "name": "resultCount", "type": "integer", "description": "Number of search results." }\\n                ],\\n                "description": "Searches for a given string in the DOM tree. Use <code>getSearchResults</code> to access search results or <code>cancelSearch</code> to end this search session.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "getSearchResults",\\n                "parameters": [\\n                    { "name": "searchId", "type": "string", "description": "Unique search session identifier." },\\n                    { "name": "fromIndex", "type": "integer", "description": "Start index of the search result to be returned." },\\n                    { "name": "toIndex", "type": "integer", "description": "End index of the search result to be returned." }\\n                ],\\n                "returns": [\\n                    { "name": "nodeIds", "type": "array", "items": { "$ref": "NodeId" }, "description": "Ids of the search result nodes." }\\n                ],\\n                "description": "Returns search results from given <code>fromIndex</code> to given <code>toIndex</code> from the sarch with the given identifier.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "discardSearchResults",\\n                "parameters": [\\n                    { "name": "searchId", "type": "string", "description": "Unique search session identifier." }\\n                ],\\n                "description": "Discards search results from the session with the given id. <code>getSearchResults</code> should no longer be called for that search.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "requestNode",\\n                "parameters": [\\n                    { "name": "objectId", "$ref": "Runtime.RemoteObjectId", "description": "JavaScript object id to convert into node." }\\n                ],\\n                "returns": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Node id for given object." }\\n                ],\\n                "description": "Requests that the node is sent to the caller given the JavaScript node object reference. All nodes that form the path from the node to the root are also sent to the client as a series of <code>setChildNodes</code> notifications."\\n            },\\n            {\\n                "name": "setInspectModeEnabled",\\n                "hidden": true,\\n                "parameters": [\\n                    { "name": "enabled", "type": "boolean", "description": "True to enable inspection mode, false to disable it." },\\n                    { "name": "inspectShadowDOM", "type": "boolean", "optional": true, "description": "True to enable inspection mode for shadow DOM." },\\n                    { "name": "highlightConfig", "$ref": "HighlightConfig", "optional": true, "description": "A descriptor for the highlight appearance of hovered-over nodes. May be omitted if <code>enabled == false</code>." }\\n                ],\\n                "description": "Enters the \\\'inspect\\\' mode. In this mode, elements that user is hovering over are highlighted. Backend then generates \\\'inspectNodeRequested\\\' event upon element selection."\\n            },\\n            {\\n                "name": "highlightRect",\\n                "parameters": [\\n                    { "name": "x", "type": "integer", "description": "X coordinate" },\\n                    { "name": "y", "type": "integer", "description": "Y coordinate" },\\n                    { "name": "width", "type": "integer", "description": "Rectangle width" },\\n                    { "name": "height", "type": "integer", "description": "Rectangle height" },\\n                    { "name": "color", "$ref": "RGBA", "optional": true, "description": "The highlight fill color (default: transparent)." },\\n                    { "name": "outlineColor", "$ref": "RGBA", "optional": true, "description": "The highlight outline color (default: transparent)." }\\n                ],\\n                "description": "Highlights given rectangle. Coordinates are absolute with respect to the main frame viewport."\\n            },\\n            {\\n                "name": "highlightQuad",\\n                "parameters": [\\n                    { "name": "quad", "$ref": "Quad", "description": "Quad to highlight" },\\n                    { "name": "color", "$ref": "RGBA", "optional": true, "description": "The highlight fill color (default: transparent)." },\\n                    { "name": "outlineColor", "$ref": "RGBA", "optional": true, "description": "The highlight outline color (default: transparent)." }\\n                ],\\n                "description": "Highlights given quad. Coordinates are absolute with respect to the main frame viewport.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "highlightNode",\\n                "parameters": [\\n                    { "name": "highlightConfig", "$ref": "HighlightConfig",  "description": "A descriptor for the highlight appearance." },\\n                    { "name": "nodeId", "$ref": "NodeId", "optional": true, "description": "Identifier of the node to highlight." },\\n                    { "name": "objectId", "$ref": "Runtime.RemoteObjectId", "optional": true, "description": "JavaScript object id of the node to be highlighted.", "hidden": true }\\n                ],\\n                "description": "Highlights DOM node with given id or with the given JavaScript object wrapper. Either nodeId or objectId must be specified."\\n            },\\n            {\\n                "name": "hideHighlight",\\n                "description": "Hides DOM node highlight."\\n            },\\n            {\\n                "name": "highlightFrame",\\n                "parameters": [\\n                    { "name": "frameId", "$ref": "Page.FrameId", "description": "Identifier of the frame to highlight." },\\n                    { "name": "contentColor", "$ref": "RGBA", "optional": true, "description": "The content box highlight fill color (default: transparent)." },\\n                    { "name": "contentOutlineColor", "$ref": "RGBA", "optional": true, "description": "The content box highlight outline color (default: transparent)." }\\n                ],\\n                "description": "Highlights owner element of the frame with given id.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "pushNodeByPathToFrontend",\\n                "parameters": [\\n                    { "name": "path", "type": "string", "description": "Path to node in the proprietary format." }\\n                ],\\n                "returns": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the node for given path." }\\n                ],\\n                "description": "Requests that the node is sent to the caller given its path. // FIXME, use XPath",\\n                "hidden": true\\n            },\\n            {\\n                "name": "pushNodeByBackendIdToFrontend",\\n                "parameters": [\\n                    { "name": "backendNodeId", "$ref": "BackendNodeId", "description": "The backend node id of the node." }\\n                ],\\n                "returns": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "The pushed node\\\'s id." }\\n                ],\\n                "description": "Requests that the node is sent to the caller given its backend node id.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "releaseBackendNodeIds",\\n                "parameters": [\\n                    { "name": "nodeGroup", "type": "string", "description": "The backend node ids group name." }\\n                ],\\n                "description": "Requests that group of <code>BackendNodeIds</code> is released.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "resolveNode",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the node to resolve." },\\n                    { "name": "objectGroup", "type": "string", "optional": true, "description": "Symbolic group name that can be used to release multiple objects." }\\n                ],\\n                "returns": [\\n                    { "name": "object", "$ref": "Runtime.RemoteObject", "description": "JavaScript object wrapper for given node." }\\n                ],\\n                "description": "Resolves JavaScript node object for given node id."\\n            },\\n            {\\n                "name": "getAttributes",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the node to retrieve attibutes for." }\\n                ],\\n                "returns": [\\n                    { "name": "attributes", "type": "array", "items": { "type": "string" }, "description": "An interleaved array of node attribute names and values." }\\n                ],\\n                "description": "Returns attributes for the specified node."\\n            },\\n            {\\n                "name": "moveTo",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the node to drop." },\\n                    { "name": "targetNodeId", "$ref": "NodeId", "description": "Id of the element to drop into." },\\n                    { "name": "insertBeforeNodeId", "$ref": "NodeId", "optional": true, "description": "Drop node before given one." }\\n                ],\\n                "returns": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "New id of the moved node." }\\n                ],\\n                "description": "Moves node into the new container, places it before the given anchor."\\n            },\\n            {\\n                "name": "undo",\\n                "description": "Undoes the last performed action.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "redo",\\n                "description": "Re-does the last undone action.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "markUndoableState",\\n                "description": "Marks last undoable state.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "focus",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the node to focus." }\\n                ],\\n                "description": "Focuses the given element.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "setFileInputFiles",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the file input node to set files for." },\\n                    { "name": "files", "type": "array", "items": { "type": "string" }, "description": "Array of file paths to set." }\\n                ],\\n                "description": "Sets files for the given file input element.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "getBoxModel",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the node to get box model for." }\\n                ],\\n                "returns": [\\n                    { "name": "model", "$ref": "BoxModel", "description": "Box model for the node." }\\n                ],\\n                "description": "Returns boxes for the currently selected nodes.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "getNodeForLocation",\\n                "parameters": [\\n                    { "name": "x", "type": "integer", "description": "X coordinate." },\\n                    { "name": "y", "type": "integer", "description": "Y coordinate." }\\n                ],\\n                "returns": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the node at given coordinates." }\\n                ],\\n                "description": "Returns node id at given location.",\\n                "hidden": true\\n            }\\n        ],\\n        "events": [\\n            {\\n                "name": "documentUpdated",\\n                "description": "Fired when <code>Document</code> has been totally updated. Node ids are no longer valid."\\n            },\\n            {\\n                "name": "inspectNodeRequested",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the node to inspect." }\\n                ],\\n                "description": "Fired when the node should be inspected. This happens after call to <code>setInspectModeEnabled</code>.",\\n                "hidden" : true\\n            },\\n            {\\n                "name": "setChildNodes",\\n                "parameters": [\\n                    { "name": "parentId", "$ref": "NodeId", "description": "Parent node id to populate with children." },\\n                    { "name": "nodes", "type": "array", "items": { "$ref": "Node"}, "description": "Child nodes array." }\\n                ],\\n                "description": "Fired when backend wants to provide client with the missing DOM structure. This happens upon most of the calls requesting node ids."\\n            },\\n            {\\n                "name": "attributeModified",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the node that has changed." },\\n                    { "name": "name", "type": "string", "description": "Attribute name." },\\n                    { "name": "value", "type": "string", "description": "Attribute value." }\\n                ],\\n                "description": "Fired when <code>Element</code>\\\'s attribute is modified."\\n            },\\n            {\\n                "name": "attributeRemoved",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the node that has changed." },\\n                    { "name": "name", "type": "string", "description": "A ttribute name." }\\n                ],\\n                "description": "Fired when <code>Element</code>\\\'s attribute is removed."\\n            },\\n            {\\n                "name": "inlineStyleInvalidated",\\n                "parameters": [\\n                    { "name": "nodeIds", "type": "array", "items": { "$ref": "NodeId" }, "description": "Ids of the nodes for which the inline styles have been invalidated." }\\n                ],\\n                "description": "Fired when <code>Element</code>\\\'s inline style is modified via a CSS property modification.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "characterDataModified",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the node that has changed." },\\n                    { "name": "characterData", "type": "string", "description": "New text value." }\\n                ],\\n                "description": "Mirrors <code>DOMCharacterDataModified</code> event."\\n            },\\n            {\\n                "name": "childNodeCountUpdated",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the node that has changed." },\\n                    { "name": "childNodeCount", "type": "integer", "description": "New node count." }\\n                ],\\n                "description": "Fired when <code>Container</code>\\\'s child node count has changed."\\n            },\\n            {\\n                "name": "childNodeInserted",\\n                "parameters": [\\n                    { "name": "parentNodeId", "$ref": "NodeId", "description": "Id of the node that has changed." },\\n                    { "name": "previousNodeId", "$ref": "NodeId", "description": "If of the previous siblint." },\\n                    { "name": "node", "$ref": "Node", "description": "Inserted node data." }\\n                ],\\n                "description": "Mirrors <code>DOMNodeInserted</code> event."\\n            },\\n            {\\n                "name": "childNodeRemoved",\\n                "parameters": [\\n                    { "name": "parentNodeId", "$ref": "NodeId", "description": "Parent id." },\\n                    { "name": "nodeId", "$ref": "NodeId", "description": "Id of the node that has been removed." }\\n                ],\\n                "description": "Mirrors <code>DOMNodeRemoved</code> event."\\n            },\\n            {\\n                "name": "shadowRootPushed",\\n                "parameters": [\\n                    { "name": "hostId", "$ref": "NodeId", "description": "Host element id." },\\n                    { "name": "root", "$ref": "Node", "description": "Shadow root." }\\n                ],\\n                "description": "Called when shadow root is pushed into the element.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "shadowRootPopped",\\n                "parameters": [\\n                    { "name": "hostId", "$ref": "NodeId", "description": "Host element id." },\\n                    { "name": "rootId", "$ref": "NodeId", "description": "Shadow root id." }\\n                ],\\n                "description": "Called when shadow root is popped from the element.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "pseudoElementAdded",\\n                "parameters": [\\n                    { "name": "parentId", "$ref": "NodeId", "description": "Pseudo element\\\'s parent element id." },\\n                    { "name": "pseudoElement", "$ref": "Node", "description": "The added pseudo element." }\\n                ],\\n                "description": "Called when a pseudo element is added to an element.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "pseudoElementRemoved",\\n                "parameters": [\\n                    { "name": "parentId", "$ref": "NodeId", "description": "Pseudo element\\\'s parent element id." },\\n                    { "name": "pseudoElementId", "$ref": "NodeId", "description": "The removed pseudo element id." }\\n                ],\\n                "description": "Called when a pseudo element is removed from an element.",\\n                "hidden": true\\n            }\\n        ]\\n    },\\n    {\\n        "domain": "CSS",\\n        "hidden": true,\\n        "description": "This domain exposes CSS read/write operations. All CSS objects (stylesheets, rules, and styles) have an associated <code>id</code> used in subsequent operations on the related object. Each object type has a specific <code>id</code> structure, and those are not interchangeable between objects of different kinds. CSS objects can be loaded using the <code>get*ForNode()</code> calls (which accept a DOM node id). A client can also discover all the existing stylesheets with the <code>getAllStyleSheets()</code> method (or keeping track of the <code>styleSheetAdded</code>/<code>styleSheetRemoved</code> events) and subsequently load the required stylesheet contents using the <code>getStyleSheet[Text]()</code> methods.",\\n        "types": [\\n            {\\n                "id": "StyleSheetId",\\n                "type": "string"\\n            },\\n            {\\n                "id": "CSSStyleId",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "styleSheetId", "$ref": "StyleSheetId", "description": "Enclosing stylesheet identifier." },\\n                    { "name": "ordinal", "type": "integer", "description": "The style ordinal within the stylesheet." }\\n                ],\\n                "description": "This object identifies a CSS style in a unique way."\\n            },\\n            {\\n                "id": "StyleSheetOrigin",\\n                "type": "string",\\n                "enum": ["user", "user-agent", "inspector", "regular"],\\n                "description": "Stylesheet type: \\\\"user\\\\" for user stylesheets, \\\\"user-agent\\\\" for user-agent stylesheets, \\\\"inspector\\\\" for stylesheets created by the inspector (i.e. those holding the \\\\"via inspector\\\\" rules), \\\\"regular\\\\" for regular stylesheets."\\n            },\\n            {\\n                "id": "CSSRuleId",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "styleSheetId", "$ref": "StyleSheetId", "description": "Enclosing stylesheet identifier." },\\n                    { "name": "ordinal", "type": "integer", "description": "The rule ordinal within the stylesheet." }\\n                ],\\n                "description": "This object identifies a CSS rule in a unique way."\\n            },\\n            {\\n                "id": "PseudoIdMatches",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "pseudoId", "type": "integer", "description": "Pseudo style identifier (see <code>enum PseudoId</code> in <code>RenderStyleConstants.h</code>)."},\\n                    { "name": "matches", "type": "array", "items": { "$ref": "RuleMatch" }, "description": "Matches of CSS rules applicable to the pseudo style."}\\n                ],\\n                "description": "CSS rule collection for a single pseudo style."\\n            },\\n            {\\n                "id": "InheritedStyleEntry",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "inlineStyle", "$ref": "CSSStyle", "optional": true, "description": "The ancestor node\\\'s inline style, if any, in the style inheritance chain." },\\n                    { "name": "matchedCSSRules", "type": "array", "items": { "$ref": "RuleMatch" }, "description": "Matches of CSS rules matching the ancestor node in the style inheritance chain." }\\n                ],\\n                "description": "CSS rule collection for a single pseudo style."\\n            },\\n            {\\n                "id": "RuleMatch",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "rule", "$ref": "CSSRule", "description": "CSS rule in the match." },\\n                    { "name": "matchingSelectors", "type": "array", "items": { "type": "integer" }, "description": "Matching selector indices in the rule\\\'s selectorList selectors (0-based)." }\\n                ],\\n                "description": "Match data for a CSS rule."\\n            },\\n            {\\n                "id": "SelectorList",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "selectors", "type": "array", "items": { "type": "string" }, "description": "Selectors in the list." },\\n                    { "name": "text", "type": "string", "description": "Rule selector text." },\\n                    { "name": "range", "$ref": "SourceRange", "optional": true, "description": "Rule selector range in the underlying resource (if available)." }\\n                ],\\n                "description": "Selector list data."\\n            },\\n            {\\n                "id": "CSSStyleAttribute",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "name", "type": "string", "description": "DOM attribute name (e.g. \\\\"width\\\\")."},\\n                    { "name": "style", "$ref": "CSSStyle", "description": "CSS style generated by the respective DOM attribute."}\\n                ],\\n                "description": "CSS style information for a DOM style attribute."\\n            },\\n            {\\n                "id": "CSSStyleSheetHeader",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "styleSheetId", "$ref": "StyleSheetId", "description": "The stylesheet identifier."},\\n                    { "name": "frameId", "$ref": "Page.FrameId", "description": "Owner frame identifier."},\\n                    { "name": "sourceURL", "type": "string", "description": "Stylesheet resource URL."},\\n                    { "name": "sourceMapURL", "type": "string", "optional": true, "description": "URL of source map associated with the stylesheet (if any)." },\\n                    { "name": "origin", "$ref": "StyleSheetOrigin", "description": "Stylesheet origin."},\\n                    { "name": "title", "type": "string", "description": "Stylesheet title."},\\n                    { "name": "disabled", "type": "boolean", "description": "Denotes whether the stylesheet is disabled."},\\n                    { "name": "hasSourceURL", "type": "boolean", "optional": true, "description": "Whether the sourceURL field value comes from the sourceURL comment." },\\n                    { "name": "isInline", "type": "boolean", "description": "Whether this stylesheet is created for STYLE tag by parser. This flag is not set for document.written STYLE tags." },\\n                    { "name": "startLine", "type": "number", "description": "Line offset of the stylesheet within the resource (zero based)." },\\n                    { "name": "startColumn", "type": "number", "description": "Column offset of the stylesheet within the resource (zero based)." }\\n                ],\\n                "description": "CSS stylesheet metainformation."\\n            },\\n            {\\n                "id": "CSSStyleSheetBody",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "styleSheetId", "$ref": "StyleSheetId", "description": "The stylesheet identifier."},\\n                    { "name": "rules", "type": "array", "items": { "$ref": "CSSRule" }, "description": "Stylesheet resource URL."},\\n                    { "name": "text", "type": "string", "optional": true, "description": "Stylesheet resource contents (if available)."}\\n                ],\\n                "description": "CSS stylesheet contents."\\n            },\\n            {\\n                "id": "CSSRule",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "ruleId", "$ref": "CSSRuleId", "optional": true, "description": "The CSS rule identifier (absent for user agent stylesheet and user-specified stylesheet rules)."},\\n                    { "name": "selectorList", "$ref": "SelectorList", "description": "Rule selector data." },\\n                    { "name": "sourceURL", "type": "string", "optional": true, "description": "Parent stylesheet resource URL (for regular rules)."},\\n                    { "name": "origin", "$ref": "StyleSheetOrigin", "description": "Parent stylesheet\\\'s origin."},\\n                    { "name": "style", "$ref": "CSSStyle", "description": "Associated style declaration." },\\n                    { "name": "media", "type": "array", "items": { "$ref": "CSSMedia" }, "optional": true, "description": "Media list array (for rules involving media queries). The array enumerates media queries starting with the innermost one, going outwards." }\\n                ],\\n                "description": "CSS rule representation."\\n            },\\n            {\\n                "id": "SourceRange",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "startLine", "type": "integer", "description": "Start line of range." },\\n                    { "name": "startColumn", "type": "integer", "description": "Start column of range (inclusive)." },\\n                    { "name": "endLine", "type": "integer", "description": "End line of range" },\\n                    { "name": "endColumn", "type": "integer", "description": "End column of range (exclusive)." }\\n                ],\\n                "description": "Text range within a resource. All numbers are zero-based."\\n            },\\n            {\\n                "id": "ShorthandEntry",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "name", "type": "string", "description": "Shorthand name." },\\n                    { "name": "value", "type": "string", "description": "Shorthand value." }\\n                ]\\n            },\\n            {\\n                "id": "CSSPropertyInfo",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "name", "type": "string", "description": "Property name." },\\n                    { "name": "longhands", "type": "array", "optional": true, "items": { "type": "string" }, "description": "Longhand property names." }\\n                ]\\n            },\\n            {\\n                "id": "CSSComputedStyleProperty",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "name", "type": "string", "description": "Computed style property name." },\\n                    { "name": "value", "type": "string", "description": "Computed style property value." }\\n                ]\\n            },\\n            {\\n                "id": "CSSStyle",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "styleId", "$ref": "CSSStyleId", "optional": true, "description": "The CSS style identifier (absent for attribute styles)." },\\n                    { "name": "cssProperties", "type": "array", "items": { "$ref": "CSSProperty" }, "description": "CSS properties in the style." },\\n                    { "name": "shorthandEntries", "type": "array", "items": { "$ref": "ShorthandEntry" }, "description": "Computed values for all shorthands found in the style." },\\n                    { "name": "cssText", "type": "string", "optional": true, "description": "Style declaration text (if available)." },\\n                    { "name": "range", "$ref": "SourceRange", "optional": true, "description": "Style declaration range in the enclosing stylesheet (if available)." },\\n                    { "name": "width", "type": "string", "optional": true, "description": "The effective \\\\"width\\\\" property value from this style." },\\n                    { "name": "height", "type": "string", "optional": true, "description": "The effective \\\\"height\\\\" property value from this style." }\\n                ],\\n                "description": "CSS style representation."\\n            },\\n            {\\n                "id": "CSSProperty",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "name", "type": "string", "description": "The property name." },\\n                    { "name": "value", "type": "string", "description": "The property value." },\\n                    { "name": "priority", "type": "string", "optional": true, "description": "The property priority (implies \\\\"\\\\" if absent)." },\\n                    { "name": "implicit", "type": "boolean", "optional": true, "description": "Whether the property is implicit (implies <code>false</code> if absent)." },\\n                    { "name": "text", "type": "string", "optional": true, "description": "The full property text as specified in the style." },\\n                    { "name": "parsedOk", "type": "boolean", "optional": true, "description": "Whether the property is understood by the browser (implies <code>true</code> if absent)." },\\n                    { "name": "status", "type": "string", "enum": ["active", "inactive", "disabled", "style"], "optional": true, "description": "The property status: \\\\"active\\\\" if the property is effective in the style, \\\\"inactive\\\\" if the property is overridden by a same-named property in this style later on, \\\\"disabled\\\\" if the property is disabled by the user, \\\\"style\\\\" (implied if absent) if the property is reported by the browser rather than by the CSS source parser." },\\n                    { "name": "range", "$ref": "SourceRange", "optional": true, "description": "The entire property range in the enclosing style declaration (if available)." }\\n                ],\\n                "description": "CSS property declaration data."\\n            },\\n            {\\n                "id": "CSSMedia",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "text", "type": "string", "description": "Media query text." },\\n                    { "name": "source", "type": "string", "enum": ["mediaRule", "importRule", "linkedSheet", "inlineSheet"], "description": "Source of the media query: \\\\"mediaRule\\\\" if specified by a @media rule, \\\\"importRule\\\\" if specified by an @import rule, \\\\"linkedSheet\\\\" if specified by a \\\\"media\\\\" attribute in a linked stylesheet\\\'s LINK tag, \\\\"inlineSheet\\\\" if specified by a \\\\"media\\\\" attribute in an inline stylesheet\\\'s STYLE tag." },\\n                    { "name": "sourceURL", "type": "string", "optional": true, "description": "URL of the document containing the media query description." },\\n                    { "name": "range", "$ref": "SourceRange", "optional": true, "description": "The associated rule (@media or @import) header range in the enclosing stylesheet (if available)." },\\n                    { "name": "parentStyleSheetId", "$ref": "StyleSheetId", "optional": true, "description": "Identifier of the stylesheet containing this object (if exists)." }\\n                ],\\n                "description": "CSS media query descriptor."\\n            },\\n            {\\n                "id": "SelectorProfileEntry",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "selector", "type": "string", "description": "CSS selector of the corresponding rule." },\\n                    { "name": "url", "type": "string", "description": "URL of the resource containing the corresponding rule." },\\n                    { "name": "lineNumber", "type": "integer", "description": "Selector line number in the resource for the corresponding rule." },\\n                    { "name": "time", "type": "number", "description": "Total time this rule handling contributed to the browser running time during profiling (in milliseconds)." },\\n                    { "name": "hitCount", "type": "integer", "description": "Number of times this rule was considered a candidate for matching against DOM elements." },\\n                    { "name": "matchCount", "type": "integer", "description": "Number of times this rule actually matched a DOM element." }\\n                ],\\n                "description": "CSS selector profile entry."\\n            },\\n            {\\n                "id": "SelectorProfile",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "totalTime", "type": "number", "description": "Total processing time for all selectors in the profile (in milliseconds)." },\\n                    { "name": "data", "type": "array", "items": { "$ref": "SelectorProfileEntry" }, "description": "CSS selector profile entries." }\\n                ]\\n            },\\n            {\\n                "id": "Region",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "regionOverset", "type": "string", "enum": ["overset", "fit", "empty"], "description": "The \\\\"overset\\\\" attribute of a Named Flow." },\\n                    { "name": "nodeId", "$ref": "DOM.NodeId", "description": "The corresponding DOM node id." }\\n                ],\\n                "description": "This object represents a region that flows from a Named Flow.",\\n                "hidden": true\\n            },\\n            {\\n                "id": "NamedFlow",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "documentNodeId", "$ref": "DOM.NodeId", "description": "The document node id." },\\n                    { "name": "name", "type": "string", "description": "Named Flow identifier." },\\n                    { "name": "overset", "type": "boolean", "description": "The \\\\"overset\\\\" attribute of a Named Flow." },\\n                    { "name": "content", "type": "array", "items": { "$ref": "DOM.NodeId" }, "description": "An array of nodes that flow into the Named Flow." },\\n                    { "name": "regions", "type": "array", "items": { "$ref": "Region" }, "description": "An array of regions associated with the Named Flow." }\\n                ],\\n                "description": "This object represents a Named Flow.",\\n                "hidden": true\\n            },\\n            {\\n                "id": "PlatformFontUsage",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "familyName", "type": "string", "description": "Font\\\'s family name reported by platform."},\\n                    { "name": "glyphCount", "type": "number", "description": "Amount of glyphs that were rendered with this font."}\\n                ],\\n                "description": "Information about amount of glyphs that were rendered with given font."\\n            }\\n        ],\\n        "commands": [\\n            {\\n                "name": "enable",\\n                "async": true,\\n                "description": "Enables the CSS agent for the given page. Clients should not assume that the CSS agent has been enabled until the result of this command is received."\\n            },\\n            {\\n                "name": "disable",\\n                "description": "Disables the CSS agent for the given page."\\n            },\\n            {\\n                "name": "getMatchedStylesForNode",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "DOM.NodeId" },\\n                    { "name": "includePseudo", "type": "boolean", "optional": true, "description": "Whether to include pseudo styles (default: true)." },\\n                    { "name": "includeInherited", "type": "boolean", "optional": true, "description": "Whether to include inherited styles (default: true)." }\\n                ],\\n                "returns": [\\n                    { "name": "matchedCSSRules", "type": "array", "items": { "$ref": "RuleMatch" }, "optional": true, "description": "CSS rules matching this node, from all applicable stylesheets." },\\n                    { "name": "pseudoElements", "type": "array", "items": { "$ref": "PseudoIdMatches" }, "optional": true, "description": "Pseudo style matches for this node." },\\n                    { "name": "inherited", "type": "array", "items": { "$ref": "InheritedStyleEntry" }, "optional": true, "description": "A chain of inherited styles (from the immediate node parent up to the DOM tree root)." }\\n                ],\\n                "description": "Returns requested styles for a DOM node identified by <code>nodeId</code>."\\n            },\\n            {\\n                "name": "getInlineStylesForNode",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "DOM.NodeId" }\\n                ],\\n                "returns": [\\n                    { "name": "inlineStyle", "$ref": "CSSStyle", "optional": true, "description": "Inline style for the specified DOM node." },\\n                    { "name": "attributesStyle", "$ref": "CSSStyle", "optional": true, "description": "Attribute-defined element style (e.g. resulting from \\\\"width=20 height=100%\\\\")."}\\n                ],\\n                "description": "Returns the styles defined inline (explicitly in the \\\\"style\\\\" attribute and implicitly, using DOM attributes) for a DOM node identified by <code>nodeId</code>."\\n            },\\n            {\\n                "name": "getComputedStyleForNode",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "DOM.NodeId" }\\n                ],\\n                "returns": [\\n                    { "name": "computedStyle", "type": "array", "items": { "$ref": "CSSComputedStyleProperty" }, "description": "Computed style for the specified DOM node." }\\n                ],\\n                "description": "Returns the computed style for a DOM node identified by <code>nodeId</code>."\\n            },\\n            {\\n                "name": "getPlatformFontsForNode",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "DOM.NodeId" }\\n                ],\\n                "returns": [\\n                    { "name": "cssFamilyName", "type": "string", "description": "Font family name which is determined by computed style." },\\n                    { "name": "fonts", "type": "array", "items": { "$ref": "PlatformFontUsage"}, "description": "Usage statistics for every employed platform font." }\\n                ],\\n                "description": "Requests information about platform fonts which we used to render child TextNodes in the given node.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "getAllStyleSheets",\\n                "returns": [\\n                    { "name": "headers", "type": "array", "items": { "$ref": "CSSStyleSheetHeader" }, "description": "Descriptor entries for all available stylesheets." }\\n                ],\\n                "description": "Returns metainfo entries for all known stylesheets."\\n            },\\n            {\\n                "name": "getStyleSheet",\\n                "parameters": [\\n                    { "name": "styleSheetId", "$ref": "StyleSheetId" }\\n                ],\\n                "returns": [\\n                    { "name": "styleSheet", "$ref": "CSSStyleSheetBody", "description": "Stylesheet contents for the specified <code>styleSheetId</code>." }\\n                ],\\n                "description": "Returns stylesheet data for the specified <code>styleSheetId</code>."\\n            },\\n            {\\n                "name": "getStyleSheetText",\\n                "parameters": [\\n                    { "name": "styleSheetId", "$ref": "StyleSheetId" }\\n                ],\\n                "returns": [\\n                    { "name": "text", "type": "string", "description": "The stylesheet text." }\\n                ],\\n                "description": "Returns the current textual content and the URL for a stylesheet."\\n            },\\n            {\\n                "name": "setStyleSheetText",\\n                "parameters": [\\n                    { "name": "styleSheetId", "$ref": "StyleSheetId" },\\n                    { "name": "text", "type": "string" }\\n                ],\\n                "description": "Sets the new stylesheet text, thereby invalidating all existing <code>CSSStyleId</code>\\\'s and <code>CSSRuleId</code>\\\'s contained by this stylesheet."\\n            },\\n            {\\n                "name": "setStyleText",\\n                "parameters": [\\n                    { "name": "styleId", "$ref": "CSSStyleId" },\\n                    { "name": "text", "type": "string" }\\n                ],\\n                "returns": [\\n                    { "name": "style", "$ref": "CSSStyle", "description": "The resulting style after the text modification." }\\n                ],\\n                "description": "Updates the CSSStyleDeclaration text."\\n            },\\n            {\\n                "name": "setPropertyText",\\n                "parameters": [\\n                    { "name": "styleId", "$ref": "CSSStyleId" },\\n                    { "name": "propertyIndex", "type": "integer" },\\n                    { "name": "text", "type": "string" },\\n                    { "name": "overwrite", "type": "boolean" }\\n                ],\\n                "returns": [\\n                    { "name": "style", "$ref": "CSSStyle", "description": "The resulting style after the property text modification." }\\n                ],\\n                "description": "Sets the new <code>text</code> for a property in the respective style, at offset <code>propertyIndex</code>. If <code>overwrite</code> is <code>true</code>, a property at the given offset is overwritten, otherwise inserted. <code>text</code> entirely replaces the property <code>name: value</code>."\\n            },\\n            {\\n                "name": "toggleProperty",\\n                "parameters": [\\n                    { "name": "styleId", "$ref": "CSSStyleId" },\\n                    { "name": "propertyIndex", "type": "integer" },\\n                    { "name": "disable", "type": "boolean" }\\n                ],\\n                "returns": [\\n                    { "name": "style", "$ref": "CSSStyle", "description": "The resulting style after the property toggling." }\\n                ],\\n                "description": "Toggles the property in the respective style, at offset <code>propertyIndex</code>. The <code>disable</code> parameter denotes whether the property should be disabled (i.e. removed from the style declaration). If <code>disable == false</code>, the property gets put back into its original place in the style declaration."\\n            },\\n            {\\n                "name": "setRuleSelector",\\n                "parameters": [\\n                    { "name": "ruleId", "$ref": "CSSRuleId" },\\n                    { "name": "selector", "type": "string" }\\n                ],\\n                "returns": [\\n                    { "name": "rule", "$ref": "CSSRule", "description": "The resulting rule after the selector modification." }\\n                ],\\n                "description": "Modifies the rule selector."\\n            },\\n            {\\n                "name": "addRule",\\n                "parameters": [\\n                    { "name": "contextNodeId", "$ref": "DOM.NodeId" },\\n                    { "name": "selector", "type": "string" }\\n                ],\\n                "returns": [\\n                    { "name": "rule", "$ref": "CSSRule", "description": "The newly created rule." }\\n                ],\\n                "description": "Creates a new empty rule with the given <code>selector</code> in a special \\\\"inspector\\\\" stylesheet in the owner document of the context node."\\n            },\\n            {\\n                "name": "getSupportedCSSProperties",\\n                "returns": [\\n                    { "name": "cssProperties", "type": "array", "items": { "$ref": "CSSPropertyInfo" }, "description": "Supported property metainfo." }\\n                ],\\n                "description": "Returns all supported CSS property names."\\n            },\\n            {\\n                "name": "forcePseudoState",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "DOM.NodeId", "description": "The element id for which to force the pseudo state." },\\n                    { "name": "forcedPseudoClasses", "type": "array", "items": { "type": "string", "enum": ["active", "focus", "hover", "visited"] }, "description": "Element pseudo classes to force when computing the element\\\'s style." }\\n                ],\\n                "description": "Ensures that the given node will have specified pseudo-classes whenever its style is computed by the browser."\\n            },\\n            {\\n                "name": "getNamedFlowCollection",\\n                "parameters": [\\n                    { "name": "documentNodeId", "$ref": "DOM.NodeId", "description": "The document node id for which to get the Named Flow Collection." }\\n                ],\\n                "returns": [\\n                    { "name": "namedFlows", "type": "array", "items": { "$ref": "NamedFlow" }, "description": "An array containing the Named Flows in the document." }\\n                ],\\n                "description": "Returns the Named Flows from the document.",\\n                "hidden": true\\n            }\\n        ],\\n        "events": [\\n            {\\n                "name": "mediaQueryResultChanged",\\n                "description": "Fires whenever a MediaQuery result changes (for example, after a browser window has been resized.) The current implementation considers only viewport-dependent media features."\\n            },\\n            {\\n                "name": "styleSheetChanged",\\n                "parameters": [\\n                    { "name": "styleSheetId", "$ref": "StyleSheetId" }\\n                ],\\n                "description": "Fired whenever a stylesheet is changed as a result of the client operation."\\n            },\\n            {\\n                "name": "styleSheetAdded",\\n                "parameters": [\\n                    { "name": "header", "$ref": "CSSStyleSheetHeader", "description": "Added stylesheet metainfo." }\\n                ],\\n                "description": "Fired whenever an active document stylesheet is added."\\n            },\\n            {\\n                "name": "styleSheetRemoved",\\n                "parameters": [\\n                    { "name": "styleSheetId", "$ref": "StyleSheetId", "description": "Identifier of the removed stylesheet." }\\n                ],\\n                "description": "Fired whenever an active document stylesheet is removed."\\n            },\\n            {\\n                "name": "namedFlowCreated",\\n                "parameters": [\\n                    { "name": "namedFlow", "$ref": "NamedFlow", "description": "The new Named Flow." }\\n                ],\\n                "description": "Fires when a Named Flow is created.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "namedFlowRemoved",\\n                "parameters": [\\n                    { "name": "documentNodeId", "$ref": "DOM.NodeId", "description": "The document node id." },\\n                    { "name": "flowName", "type": "string", "description": "Identifier of the removed Named Flow." }\\n                ],\\n                "description": "Fires when a Named Flow is removed: has no associated content nodes and regions.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "regionLayoutUpdated",\\n                "parameters": [\\n                    { "name": "namedFlow", "$ref": "NamedFlow", "description": "The Named Flow whose layout may have changed." }\\n                ],\\n                "description": "Fires when a Named Flow\\\'s layout may have changed.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "regionOversetChanged",\\n                "parameters": [\\n                    { "name": "namedFlow", "$ref": "NamedFlow", "description": "The Named Flow containing the regions whose regionOverset values changed." }\\n                ],\\n                "description": "Fires if any of the regionOverset values changed in a Named Flow\\\'s region chain.",\\n                "hidden": true\\n            }\\n        ]\\n    },\\n    {\\n        "domain": "Timeline",\\n        "description": "Timeline provides its clients with instrumentation records that are generated during the page runtime. Timeline instrumentation can be started and stopped using corresponding commands. While timeline is started, it is generating timeline event records.",\\n        "types": [\\n            {\\n                "id": "DOMCounters",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "documents", "type": "integer" },\\n                    { "name": "nodes", "type": "integer" },\\n                    { "name": "jsEventListeners", "type": "integer" }\\n                ],\\n                "description": "Current values of DOM counters.",\\n                "hidden": true\\n            },\\n            {\\n                "id": "TimelineEvent",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "type", "type": "string", "description": "Event type." },\\n                    { "name": "thread", "type": "string", "optional": true, "description": "If present, identifies the thread that produced the event.", "hidden": true },\\n                    { "name": "data", "type": "object", "description": "Event data." },\\n                    { "name": "children", "type": "array", "optional": true, "items": { "$ref": "TimelineEvent" }, "description": "Nested records." },\\n                    { "name": "counters", "$ref": "DOMCounters", "optional": true, "hidden": true, "description": "Current values of DOM counters." },\\n                    { "name": "usedHeapSize", "type": "integer", "optional": true, "hidden": true, "description": "Current size of JS heap." },\\n                    { "name": "nativeHeapStatistics", "type": "object", "optional": true, "hidden": true, "description": "Native heap statistics." }\\n                ],\\n                "description": "Timeline record contains information about the recorded activity."\\n            }\\n        ],\\n        "commands": [\\n            {\\n                "name": "enable",\\n                "description": "Enables timeline. After this call, timeline can be started from within the page (for example upon console.timeline)."\\n            },\\n            {\\n                "name": "disable",\\n                "description": "Disables timeline."\\n            },\\n            {\\n                "name": "start",\\n                "parameters": [\\n                    { "name": "maxCallStackDepth", "optional": true, "type": "integer", "description": "Samples JavaScript stack traces up to <code>maxCallStackDepth</code>, defaults to 5." },\\n                    { "name": "bufferEvents", "optional": true, "type": "boolean", "hidden": true, "description": "Whether instrumentation events should be buffered and returned upon <code>stop</code> call." },\\n                    { "name": "includeDomCounters", "optional": true, "type": "boolean", "hidden": true, "description": "Whether DOM counters data should be included into timeline events." },\\n                    { "name": "includeNativeMemoryStatistics", "optional": true, "type": "boolean", "hidden": true, "description": "Whether native memory usage statistics should be reported as part of timeline events." }\\n                ],\\n                "description": "Starts capturing instrumentation events."\\n            },\\n            {\\n                "name": "stop",\\n                "description": "Stops capturing instrumentation events.",\\n                "returns": [\\n                    { "name": "events", "type": "array", "items": { "$ref": "TimelineEvent" }, "optional": true, "hidden": true, "description": "Timeline event record data." }\\n                ]\\n            }\\n        ],\\n        "events": [\\n            {\\n                "name": "eventRecorded",\\n                "parameters": [\\n                    { "name": "record", "$ref": "TimelineEvent", "description": "Timeline event record data." }\\n                ],\\n                "description": "Fired for every instrumentation event while timeline is started."\\n            },\\n            {\\n                "name": "started",\\n                "parameters": [\\n                    { "name": "consoleTimeline", "type": "boolean", "optional": true, "description": "If specified, identifies that timeline was started using console.timeline() call." }\\n                ],\\n                "description": "Fired when timeline is started.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "stopped",\\n                "parameters": [\\n                    { "name": "consoleTimeline", "type": "boolean", "optional": true, "description": "If specified, identifies that timeline was started using console.timeline() call." }\\n                ],\\n                "description": "Fired when timeline is stopped.",\\n                "hidden": true\\n            }\\n        ]\\n    },\\n    {\\n        "domain": "Debugger",\\n        "description": "Debugger domain exposes JavaScript debugging capabilities. It allows setting and removing breakpoints, stepping through execution, exploring stack traces, etc.",\\n        "types": [\\n            {\\n                "id": "BreakpointId",\\n                "type": "string",\\n                "description": "Breakpoint identifier."\\n            },\\n            {\\n                "id": "ScriptId",\\n                "type": "string",\\n                "description": "Unique script identifier."\\n            },\\n            {\\n                "id": "CallFrameId",\\n                "type": "string",\\n                "description": "Call frame identifier."\\n            },\\n            {\\n                "id": "Location",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "scriptId", "$ref": "ScriptId", "description": "Script identifier as reported in the <code>Debugger.scriptParsed</code>." },\\n                    { "name": "lineNumber", "type": "integer", "description": "Line number in the script (0-based)." },\\n                    { "name": "columnNumber", "type": "integer", "optional": true, "description": "Column number in the script (0-based)." }\\n                ],\\n                "description": "Location in the source code."\\n            },\\n            {\\n                "id": "FunctionDetails",\\n                "hidden": true,\\n                "type": "object",\\n                "properties": [\\n                    { "name": "location", "$ref": "Location", "description": "Location of the function." },\\n                    { "name": "name", "type": "string", "optional": true, "description": "Name of the function. Not present for anonymous functions." },\\n                    { "name": "displayName", "type": "string", "optional": true, "description": "Display name of the function(specified in \\\'displayName\\\' property on the function object)." },\\n                    { "name": "inferredName", "type": "string", "optional": true, "description": "Name of the function inferred from its initial assignment." },\\n                    { "name": "scopeChain", "type": "array", "optional": true, "items": { "$ref": "Scope" }, "description": "Scope chain for this closure." }\\n                ],\\n                "description": "Information about the function."\\n            },\\n            {\\n                "id": "CallFrame",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "callFrameId", "$ref": "CallFrameId", "description": "Call frame identifier. This identifier is only valid while the virtual machine is paused." },\\n                    { "name": "functionName", "type": "string", "description": "Name of the JavaScript function called on this call frame." },\\n                    { "name": "location", "$ref": "Location", "description": "Location in the source code." },\\n                    { "name": "scopeChain", "type": "array", "items": { "$ref": "Scope" }, "description": "Scope chain for this call frame." },\\n                    { "name": "this", "$ref": "Runtime.RemoteObject", "description": "<code>this</code> object for this call frame." }\\n                ],\\n                "description": "JavaScript call frame. Array of call frames form the call stack."\\n            },\\n            {\\n                "id": "Scope",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "type", "type": "string", "enum": ["global", "local", "with", "closure", "catch"], "description": "Scope type." },\\n                    { "name": "object", "$ref": "Runtime.RemoteObject", "description": "Object representing the scope. For <code>global</code> and <code>with</code> scopes it represents the actual object; for the rest of the scopes, it is artificial transient object enumerating scope variables as its properties." }\\n                ],\\n                "description": "Scope description."\\n            },\\n            {\\n                "id": "SetScriptSourceError",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "compileError", "optional": true, "type": "object", "properties":\\n                        [\\n                            { "name": "message", "type": "string", "description": "Compiler error message" },\\n                            { "name": "lineNumber", "type": "integer", "description": "Compile error line number (1-based)" },\\n                            { "name": "columnNumber", "type": "integer", "description": "Compile error column number (1-based)" }\\n                        ]\\n                    }\\n                ],\\n                "description": "Error data for setScriptSource command. compileError is a case type for uncompilable script source error.",\\n                "hidden": true\\n            }\\n        ],\\n        "commands": [\\n            {\\n                "name": "enable",\\n                "description": "Enables debugger for the given page. Clients should not assume that the debugging has been enabled until the result for this command is received."\\n            },\\n            {\\n                "name": "disable",\\n                "description": "Disables debugger for given page."\\n            },\\n            {\\n                "name": "setBreakpointsActive",\\n                "parameters": [\\n                    { "name": "active", "type": "boolean", "description": "New value for breakpoints active state." }\\n                ],\\n                "description": "Activates / deactivates all breakpoints on the page."\\n            },\\n            {\\n                "name": "setSkipAllPauses",\\n                "hidden": true,\\n                "parameters": [\\n                    { "name": "skipped", "type": "boolean", "description": "New value for skip pauses state." },\\n                    { "name": "untilReload", "type": "boolean", "optional": true, "description": "Whether page reload should set skipped to false." }\\n                ],\\n                "description": "Makes page not interrupt on any pauses (breakpoint, exception, dom exception etc)."\\n            },\\n            {\\n                "name": "setBreakpointByUrl",\\n                "parameters": [\\n                    { "name": "lineNumber", "type": "integer", "description": "Line number to set breakpoint at." },\\n                    { "name": "url", "type": "string", "optional": true, "description": "URL of the resources to set breakpoint on." },\\n                    { "name": "urlRegex", "type": "string", "optional": true, "description": "Regex pattern for the URLs of the resources to set breakpoints on. Either <code>url</code> or <code>urlRegex</code> must be specified." },\\n                    { "name": "columnNumber", "type": "integer", "optional": true, "description": "Offset in the line to set breakpoint at." },\\n                    { "name": "condition", "type": "string", "optional": true, "description": "Expression to use as a breakpoint condition. When specified, debugger will only stop on the breakpoint if this expression evaluates to true." },\\n                    { "name": "isAntibreakpoint", "type": "boolean", "optional": true, "hidden": true, "description": "Creates pseudo-breakpoint that prevents debugger from pausing on exception at this location." }\\n                ],\\n                "returns": [\\n                    { "name": "breakpointId", "$ref": "BreakpointId", "description": "Id of the created breakpoint for further reference." },\\n                    { "name": "locations", "type": "array", "items": { "$ref": "Location"}, "description": "List of the locations this breakpoint resolved into upon addition." }\\n                ],\\n                "description": "Sets JavaScript breakpoint at given location specified either by URL or URL regex. Once this command is issued, all existing parsed scripts will have breakpoints resolved and returned in <code>locations</code> property. Further matching script parsing will result in subsequent <code>breakpointResolved</code> events issued. This logical breakpoint will survive page reloads."\\n            },\\n            {\\n                "name": "setBreakpoint",\\n                "parameters": [\\n                    { "name": "location", "$ref": "Location", "description": "Location to set breakpoint in." },\\n                    { "name": "condition", "type": "string", "optional": true, "description": "Expression to use as a breakpoint condition. When specified, debugger will only stop on the breakpoint if this expression evaluates to true." }\\n                ],\\n                "returns": [\\n                    { "name": "breakpointId", "$ref": "BreakpointId", "description": "Id of the created breakpoint for further reference." },\\n                    { "name": "actualLocation", "$ref": "Location", "description": "Location this breakpoint resolved into." }\\n                ],\\n                "description": "Sets JavaScript breakpoint at a given location."\\n            },\\n            {\\n                "name": "removeBreakpoint",\\n                "parameters": [\\n                    { "name": "breakpointId", "$ref": "BreakpointId" }\\n                ],\\n                "description": "Removes JavaScript breakpoint."\\n            },\\n            {\\n                "name": "continueToLocation",\\n                "parameters": [\\n                    { "name": "location", "$ref": "Location", "description": "Location to continue to." },\\n                    { "name": "interstatementLocation", "type": "boolean", "optional": true, "hidden": true, "description": "Allows breakpoints at the intemediate positions inside statements." }\\n                ],\\n                "description": "Continues execution until specific location is reached."\\n            },\\n            {\\n                "name": "stepOver",\\n                "description": "Steps over the statement."\\n            },\\n            {\\n                "name": "stepInto",\\n                "description": "Steps into the function call."\\n            },\\n            {\\n                "name": "stepOut",\\n                "description": "Steps out of the function call."\\n            },\\n            {\\n                "name": "pause",\\n                "description": "Stops on the next JavaScript statement."\\n            },\\n            {\\n                "name": "resume",\\n                "description": "Resumes JavaScript execution."\\n            },\\n            {\\n                "name": "searchInContent",\\n                "parameters": [\\n                    { "name": "scriptId", "$ref": "ScriptId", "description": "Id of the script to search in." },\\n                    { "name": "query", "type": "string", "description": "String to search for."  },\\n                    { "name": "caseSensitive", "type": "boolean", "optional": true, "description": "If true, search is case sensitive." },\\n                    { "name": "isRegex", "type": "boolean", "optional": true, "description": "If true, treats string parameter as regex." }\\n                ],\\n                "returns": [\\n                    { "name": "result", "type": "array", "items": { "$ref": "Page.SearchMatch" }, "description": "List of search matches." }\\n                ],\\n                "description": "Searches for given string in script content."\\n            },\\n            {\\n                "name": "canSetScriptSource",\\n                "returns": [\\n                    { "name": "result", "type": "boolean", "description": "True if <code>setScriptSource</code> is supported." }\\n                ],\\n                "description": "Always returns true."\\n            },\\n            {\\n                "name": "setScriptSource",\\n                "parameters": [\\n                    { "name": "scriptId", "$ref": "ScriptId", "description": "Id of the script to edit." },\\n                    { "name": "scriptSource", "type": "string", "description": "New content of the script." },\\n                    { "name": "preview", "type": "boolean", "optional": true, "description": " If true the change will not actually be applied. Preview mode may be used to get result description without actually modifying the code.", "hidden": true }\\n                ],\\n                "returns": [\\n                    { "name": "callFrames", "type": "array", "optional": true, "items": { "$ref": "CallFrame"}, "description": "New stack trace in case editing has happened while VM was stopped." },\\n                    { "name": "result", "type": "object", "optional": true, "description": "VM-specific description of the changes applied.", "hidden": true }\\n                ],\\n                "error": {\\n                    "$ref": "SetScriptSourceError"\\n                },\\n                "description": "Edits JavaScript source live."\\n            },\\n            {\\n                "name": "restartFrame",\\n                "parameters": [\\n                    { "name": "callFrameId", "$ref": "CallFrameId", "description": "Call frame identifier to evaluate on." }\\n                ],\\n                "returns": [\\n                    { "name": "callFrames", "type": "array", "items": { "$ref": "CallFrame"}, "description": "New stack trace." },\\n                    { "name": "result", "type": "object", "description": "VM-specific description.", "hidden": true }\\n                ],\\n                "hidden": true,\\n                "description": "Restarts particular call frame from the beginning."\\n            },\\n            {\\n                "name": "getScriptSource",\\n                "parameters": [\\n                    { "name": "scriptId", "$ref": "ScriptId", "description": "Id of the script to get source for." }\\n                ],\\n                "returns": [\\n                    { "name": "scriptSource", "type": "string", "description": "Script source." }\\n                ],\\n                "description": "Returns source for the script with given id."\\n            },\\n            {\\n                "name": "getFunctionDetails",\\n                "hidden": true,\\n                "parameters": [\\n                    { "name": "functionId", "$ref": "Runtime.RemoteObjectId", "description": "Id of the function to get location for." }\\n                ],\\n                "returns": [\\n                    { "name": "details", "$ref": "FunctionDetails", "description": "Information about the function." }\\n                ],\\n                "description": "Returns detailed informtation on given function."\\n            },\\n            {\\n                "name": "setPauseOnExceptions",\\n                "parameters": [\\n                    { "name": "state", "type": "string", "enum": ["none", "uncaught", "all"], "description": "Pause on exceptions mode." }\\n                ],\\n                "description": "Defines pause on exceptions state. Can be set to stop on all exceptions, uncaught exceptions or no exceptions. Initial pause on exceptions state is <code>none</code>."\\n            },\\n            {\\n                "name": "evaluateOnCallFrame",\\n                "parameters": [\\n                    { "name": "callFrameId", "$ref": "CallFrameId", "description": "Call frame identifier to evaluate on." },\\n                    { "name": "expression", "type": "string", "description": "Expression to evaluate." },\\n                    { "name": "objectGroup", "type": "string", "optional": true, "description": "String object group name to put result into (allows rapid releasing resulting object handles using <code>releaseObjectGroup</code>)." },\\n                    { "name": "includeCommandLineAPI", "type": "boolean", "optional": true, "description": "Specifies whether command line API should be available to the evaluated expression, defaults to false.", "hidden": true },\\n                    { "name": "doNotPauseOnExceptionsAndMuteConsole", "type": "boolean", "optional": true, "description": "Specifies whether evaluation should stop on exceptions and mute console. Overrides setPauseOnException state.", "hidden": true },\\n                    { "name": "returnByValue", "type": "boolean", "optional": true, "description": "Whether the result is expected to be a JSON object that should be sent by value." },\\n                    { "name": "generatePreview", "type": "boolean", "optional": true, "hidden": true, "description": "Whether preview should be generated for the result." }\\n                ],\\n                "returns": [\\n                    { "name": "result", "$ref": "Runtime.RemoteObject", "description": "Object wrapper for the evaluation result." },\\n                    { "name": "wasThrown", "type": "boolean", "optional": true, "description": "True if the result was thrown during the evaluation." }\\n                ],\\n                "description": "Evaluates expression on a given call frame."\\n            },\\n            {\\n                "name": "compileScript",\\n                "hidden": true,\\n                "parameters": [\\n                    { "name": "expression", "type": "string", "description": "Expression to compile." },\\n                    { "name": "sourceURL", "type": "string", "description": "Source url to be set for the script." }\\n                ],\\n                "returns": [\\n                    { "name": "scriptId", "$ref": "ScriptId", "optional": true, "description": "Id of the script." },\\n                    { "name": "syntaxErrorMessage", "type": "string", "optional": true, "description": "Syntax error message if compilation failed." }\\n                ],\\n                "description": "Compiles expression."\\n            },\\n            {\\n                "name": "runScript",\\n                "hidden": true,\\n                "parameters": [\\n                    { "name": "scriptId", "$ref": "ScriptId", "description": "Id of the script to run." },\\n                    { "name": "contextId", "$ref": "Runtime.ExecutionContextId", "optional": true, "description": "Specifies in which isolated context to perform script run. Each content script lives in an isolated context and this parameter may be used to specify one of those contexts. If the parameter is omitted or 0 the evaluation will be performed in the context of the inspected page." },\\n                    { "name": "objectGroup", "type": "string", "optional": true, "description": "Symbolic group name that can be used to release multiple objects." },\\n                    { "name": "doNotPauseOnExceptionsAndMuteConsole", "type": "boolean", "optional": true, "description": "Specifies whether script run should stop on exceptions and mute console. Overrides setPauseOnException state." }\\n                ],\\n                "returns": [\\n                    { "name": "result", "$ref": "Runtime.RemoteObject", "description": "Run result." },\\n                    { "name": "wasThrown", "type": "boolean", "optional": true, "description": "True if the result was thrown during the script run." }\\n                ],\\n                "description": "Runs script with given id in a given context."\\n            },\\n            {\\n                "name": "setOverlayMessage",\\n                "parameters": [\\n                    { "name": "message", "type": "string", "optional": true, "description": "Overlay message to display when paused in debugger." }\\n                ],\\n                "hidden": true,\\n                "description": "Sets overlay message."\\n            },\\n            {\\n                "name": "setVariableValue",\\n                "parameters": [\\n                    { "name": "scopeNumber", "type": "integer", "description": "0-based number of scope as was listed in scope chain. Only \\\'local\\\', \\\'closure\\\' and \\\'catch\\\' scope types are allowed. Other scopes could be manipulated manually." },\\n                    { "name": "variableName", "type": "string", "description": "Variable name." },\\n                    { "name": "newValue", "$ref": "Runtime.CallArgument", "description": "New variable value." },\\n                    { "name": "callFrameId", "$ref": "CallFrameId", "optional": true, "description": "Id of callframe that holds variable." },\\n                    { "name": "functionObjectId", "$ref": "Runtime.RemoteObjectId", "optional": true, "description": "Object id of closure (function) that holds variable." }\\n                ],\\n                "hidden": true,\\n                "description": "Changes value of variable in a callframe or a closure. Either callframe or function must be specified. Object-based scopes are not supported and must be mutated manually."\\n            },\\n            {\\n                "name": "getStepInPositions",\\n                "parameters": [\\n                    { "name": "callFrameId", "$ref": "CallFrameId", "description": "Id of a call frame where the current statement should be analized" }\\n                ],\\n                "returns": [\\n                    { "name": "stepInPositions", "type": "array", "items": { "$ref": "Location" }, "optional": true, "description": "experimental" }\\n                ],\\n                "hidden": true,\\n                "description": "Lists all positions where step-in is possible for a current statement in a specified call frame"\\n            },\\n            {\\n                "name": "getBacktrace",\\n                "returns": [\\n                    { "name": "callFrames", "type": "array", "items": { "$ref": "CallFrame"}, "description": "Call stack the virtual machine stopped on." }\\n                ],\\n                "hidden": true,\\n                "description": "Returns call stack including variables changed since VM was paused. VM must be paused."\\n            },\\n            {\\n                "name": "skipStackFrames",\\n                "parameters": [\\n                    { "name": "script", "optional": true, "type": "string", "description": "Regular expression defining the scripts to ignore while stepping." }\\n                ],\\n                "hidden": true,\\n                "description": "Makes backend skip steps in the sources with names matching given pattern. VM will try leave blacklisted scripts by performing \\\'step in\\\' several times, finally resorting to \\\'step out\\\' if unsuccessful."\\n            }\\n        ],\\n        "events": [\\n            {\\n                "name": "globalObjectCleared",\\n                "description": "Called when global has been cleared and debugger client should reset its state. Happens upon navigation or reload."\\n            },\\n            {\\n                "name": "scriptParsed",\\n                "parameters": [\\n                    { "name": "scriptId", "$ref": "ScriptId", "description": "Identifier of the script parsed." },\\n                    { "name": "url", "type": "string", "description": "URL or name of the script parsed (if any)." },\\n                    { "name": "startLine", "type": "integer", "description": "Line offset of the script within the resource with given URL (for script tags)." },\\n                    { "name": "startColumn", "type": "integer", "description": "Column offset of the script within the resource with given URL." },\\n                    { "name": "endLine", "type": "integer", "description": "Last line of the script." },\\n                    { "name": "endColumn", "type": "integer", "description": "Length of the last line of the script." },\\n                    { "name": "isContentScript", "type": "boolean", "optional": true, "description": "Determines whether this script is a user extension script." },\\n                    { "name": "sourceMapURL", "type": "string", "optional": true, "description": "URL of source map associated with script (if any)." },\\n                    { "name": "hasSourceURL", "type": "boolean", "optional": true, "description": "True, if this script has sourceURL.", "hidden": true }\\n                ],\\n                "description": "Fired when virtual machine parses script. This event is also fired for all known and uncollected scripts upon enabling debugger."\\n            },\\n            {\\n                "name": "scriptFailedToParse",\\n                "parameters": [\\n                    { "name": "url", "type": "string", "description": "URL of the script that failed to parse." },\\n                    { "name": "scriptSource", "type": "string", "description": "Source text of the script that failed to parse." },\\n                    { "name": "startLine", "type": "integer", "description": "Line offset of the script within the resource." },\\n                    { "name": "errorLine", "type": "integer", "description": "Line with error." },\\n                    { "name": "errorMessage", "type": "string", "description": "Parse error message." }\\n                ],\\n                "description": "Fired when virtual machine fails to parse the script."\\n            },\\n            {\\n                "name": "breakpointResolved",\\n                "parameters": [\\n                    { "name": "breakpointId", "$ref": "BreakpointId", "description": "Breakpoint unique identifier." },\\n                    { "name": "location", "$ref": "Location", "description": "Actual breakpoint location." }\\n                ],\\n                "description": "Fired when breakpoint is resolved to an actual script and location."\\n            },\\n            {\\n                "name": "paused",\\n                "parameters": [\\n                    { "name": "callFrames", "type": "array", "items": { "$ref": "CallFrame" }, "description": "Call stack the virtual machine stopped on." },\\n                    { "name": "reason", "type": "string", "enum": [ "XHR", "DOM", "EventListener", "exception", "assert", "CSPViolation", "debugCommand", "other" ], "description": "Pause reason." },\\n                    { "name": "data", "type": "object", "optional": true, "description": "Object containing break-specific auxiliary properties." },\\n                    { "name": "hitBreakpoints", "type": "array", "optional": true, "items": { "type": "string" }, "description": "Hit breakpoints IDs", "hidden": true }\\n                ],\\n                "description": "Fired when the virtual machine stopped on breakpoint or exception or any other stop criteria."\\n            },\\n            {\\n                "name": "resumed",\\n                "description": "Fired when the virtual machine resumed execution."\\n            }\\n        ]\\n    },\\n    {\\n        "domain": "DOMDebugger",\\n        "description": "DOM debugging allows setting breakpoints on particular DOM operations and events. JavaScript execution will stop on these operations as if there was a regular breakpoint set.",\\n        "types": [\\n            {\\n                "id": "DOMBreakpointType",\\n                "type": "string",\\n                "enum": ["subtree-modified", "attribute-modified", "node-removed"],\\n                "description": "DOM breakpoint type."\\n            }\\n        ],\\n        "commands": [\\n            {\\n                "name": "setDOMBreakpoint",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "DOM.NodeId", "description": "Identifier of the node to set breakpoint on." },\\n                    { "name": "type", "$ref": "DOMBreakpointType", "description": "Type of the operation to stop upon." }\\n                ],\\n                "description": "Sets breakpoint on particular operation with DOM."\\n            },\\n            {\\n                "name": "removeDOMBreakpoint",\\n                "parameters": [\\n                    { "name": "nodeId", "$ref": "DOM.NodeId", "description": "Identifier of the node to remove breakpoint from." },\\n                    { "name": "type", "$ref": "DOMBreakpointType", "description": "Type of the breakpoint to remove." }\\n                ],\\n                "description": "Removes DOM breakpoint that was set using <code>setDOMBreakpoint</code>."\\n            },\\n            {\\n                "name": "setEventListenerBreakpoint",\\n                "parameters": [\\n                    { "name": "eventName", "type": "string", "description": "DOM Event name to stop on (any DOM event will do)." }\\n                ],\\n                "description": "Sets breakpoint on particular DOM event."\\n            },\\n            {\\n                "name": "removeEventListenerBreakpoint",\\n                "parameters": [\\n                    { "name": "eventName", "type": "string", "description": "Event name." }\\n                ],\\n                "description": "Removes breakpoint on particular DOM event."\\n            },\\n            {\\n                "name": "setInstrumentationBreakpoint",\\n                "parameters": [\\n                    { "name": "eventName", "type": "string", "description": "Instrumentation name to stop on." }\\n                ],\\n                "description": "Sets breakpoint on particular native event.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "removeInstrumentationBreakpoint",\\n                "parameters": [\\n                    { "name": "eventName", "type": "string", "description": "Instrumentation name to stop on." }\\n                ],\\n                "description": "Removes breakpoint on particular native event.",\\n                "hidden": true\\n            },\\n            {\\n                "name": "setXHRBreakpoint",\\n                "parameters": [\\n                    { "name": "url", "type": "string", "description": "Resource URL substring. All XHRs having this substring in the URL will get stopped upon." }\\n                ],\\n                "description": "Sets breakpoint on XMLHttpRequest."\\n            },\\n            {\\n                "name": "removeXHRBreakpoint",\\n                "parameters": [\\n                    { "name": "url", "type": "string", "description": "Resource URL substring." }\\n                ],\\n                "description": "Removes breakpoint from XMLHttpRequest."\\n            }\\n        ]\\n    },\\n    {\\n        "domain": "Profiler",\\n        "hidden": true,\\n        "types": [\\n            {\\n                "id": "ProfileHeader",\\n                "type": "object",\\n                "description": "Profile header.",\\n                "properties": [\\n                    { "name": "title", "type": "string", "description": "Profile title." },\\n                    { "name": "uid", "type": "integer", "description": "Unique identifier of the profile." }\\n                ]\\n            },\\n            {\\n                "id": "CPUProfileNode",\\n                "type": "object",\\n                "description": "CPU Profile node. Holds callsite information, execution statistics and child nodes.",\\n                "properties": [\\n                    { "name": "functionName", "type": "string", "description": "Function name." },\\n                    { "name": "scriptId", "$ref": "Debugger.ScriptId", "description": "Script identifier." },\\n                    { "name": "url", "type": "string", "description": "URL." },\\n                    { "name": "lineNumber", "type": "integer", "description": "Line number." },\\n                    { "name": "hitCount", "type": "integer", "description": "Number of samples where this node was on top of the call stack." },\\n                    { "name": "callUID", "type": "number", "description": "Call UID." },\\n                    { "name": "children", "type": "array", "items": { "$ref": "CPUProfileNode" }, "description": "Child nodes." },\\n                    { "name": "deoptReason", "type": "string", "description": "The reason of being not optimized. The function may be deoptimized or marked as don\\\'t optimize."},\\n                    { "name": "id", "optional": true, "type": "integer", "description": "Unique id of the node." }\\n                ]\\n            },\\n            {\\n                "id": "CPUProfile",\\n                "type": "object",\\n                "description": "Profile.",\\n                "properties": [\\n                    { "name": "head", "$ref": "CPUProfileNode" },\\n                    { "name": "startTime", "type": "number", "description": "Profiling start time in seconds." },\\n                    { "name": "endTime", "type": "number", "description": "Profiling end time in seconds." },\\n                    { "name": "samples", "optional": true, "type": "array", "items": { "type": "integer" }, "description": "Ids of samples top nodes." }\\n                ]\\n            },\\n            {\\n                "id": "HeapSnapshotObjectId",\\n                "type": "string",\\n                "description": "Heap snashot object id."\\n            }\\n        ],\\n        "commands": [\\n            {\\n                "name": "enable"\\n            },\\n            {\\n                "name": "disable"\\n            },\\n            {\\n                "name": "setSamplingInterval",\\n                "parameters": [\\n                    { "name": "interval", "type": "integer", "description": "New sampling interval in microseconds." }\\n                ],\\n                "description": "Changes CPU profiler sampling interval. Must be called before CPU profiles recording started."\\n            },\\n            {\\n                "name": "start"\\n            },\\n            {\\n                "name": "stop",\\n                "returns": [\\n                    { "name": "header", "$ref": "ProfileHeader", "description": "The header of the recorded profile."}\\n                ]\\n            },\\n            {\\n                "name": "getProfileHeaders",\\n                "returns": [\\n                    { "name": "headers", "type": "array", "items": { "$ref": "ProfileHeader"} }\\n                ]\\n            },\\n            {\\n                "name": "getCPUProfile",\\n                "parameters": [\\n                    { "name": "uid", "type": "integer" }\\n                ],\\n                "returns": [\\n                    { "name": "profile", "$ref": "CPUProfile" }\\n                ]\\n            },\\n            {\\n                "name": "removeProfile",\\n                "parameters": [\\n                    { "name": "type", "type": "string" },\\n                    { "name": "uid", "type": "integer" }\\n                ]\\n            },\\n            {\\n                "name": "clearProfiles"\\n            }\\n        ],\\n        "events": [\\n            {\\n                "name": "addProfileHeader",\\n                "parameters": [\\n                    { "name": "header", "$ref": "ProfileHeader" }\\n                ]\\n            },\\n            {\\n                "name": "setRecordingProfile",\\n                "parameters": [\\n                    { "name": "isProfiling", "type": "boolean" }\\n                ]\\n            },\\n            {\\n                "name": "resetProfiles"\\n            }\\n        ]\\n    },\\n    {\\n        "domain": "HeapProfiler",\\n        "hidden": true,\\n        "types": [\\n            {\\n                "id": "ProfileHeader",\\n                "type": "object",\\n                "description": "Profile header.",\\n                "properties": [\\n                    { "name": "title", "type": "string", "description": "Profile title." },\\n                    { "name": "uid", "type": "integer", "description": "Unique identifier of the profile." },\\n                    { "name": "maxJSObjectId", "type": "integer", "optional": true, "description": "Last seen JS object Id." }\\n                ]\\n            },\\n            {\\n                "id": "HeapSnapshotObjectId",\\n                "type": "string",\\n                "description": "Heap snashot object id."\\n            }\\n        ],\\n        "commands": [\\n            {\\n                "name": "getProfileHeaders",\\n                "returns": [\\n                    { "name": "headers", "type": "array", "items": { "$ref": "ProfileHeader"} }\\n                ]\\n            },\\n            {\\n                "name": "startTrackingHeapObjects"\\n            },\\n            {\\n                "name": "stopTrackingHeapObjects"\\n            },\\n            {\\n                "name": "getHeapSnapshot",\\n                "parameters": [\\n                    { "name": "uid", "type": "integer" }\\n                ]\\n            },\\n            {\\n                "name": "removeProfile",\\n                "parameters": [\\n                    { "name": "uid", "type": "integer" }\\n                ]\\n            },\\n            {\\n                "name": "clearProfiles"\\n            },\\n            {\\n                "name": "takeHeapSnapshot",\\n                "parameters": [\\n                    { "name": "reportProgress", "type": "boolean", "optional": true, "description": "If true \\\'reportHeapSnapshotProgress\\\' events will be generated while snapshot is being taken." }\\n                ]\\n            },\\n            {\\n                "name": "collectGarbage"\\n            },\\n            {\\n                "name": "getObjectByHeapObjectId",\\n                "parameters": [\\n                    { "name": "objectId", "$ref": "HeapSnapshotObjectId" },\\n                    { "name": "objectGroup", "type": "string", "optional": true, "description": "Symbolic group name that can be used to release multiple objects." }\\n                ],\\n                "returns": [\\n                    { "name": "result", "$ref": "Runtime.RemoteObject", "description": "Evaluation result." }\\n                ]\\n            },\\n            {\\n                "name": "getHeapObjectId",\\n                "parameters": [\\n                    { "name": "objectId", "$ref": "Runtime.RemoteObjectId", "description": "Identifier of the object to get heap object id for." }\\n                ],\\n                "returns": [\\n                    { "name": "heapSnapshotObjectId", "$ref": "HeapSnapshotObjectId", "description": "Id of the heap snapshot object corresponding to the passed remote object id." }\\n                ]\\n            }\\n        ],\\n        "events": [\\n            {\\n                "name": "addProfileHeader",\\n                "parameters": [\\n                    { "name": "header", "$ref": "ProfileHeader" }\\n                ]\\n            },\\n            {\\n                "name": "addHeapSnapshotChunk",\\n                "parameters": [\\n                    { "name": "uid", "type": "integer" },\\n                    { "name": "chunk", "type": "string" }\\n                ]\\n            },\\n            {\\n                "name": "finishHeapSnapshot",\\n                "parameters": [\\n                    { "name": "uid", "type": "integer" }\\n                ]\\n            },\\n            {\\n                "name": "resetProfiles"\\n            },\\n            {\\n                "name": "reportHeapSnapshotProgress",\\n                "parameters": [\\n                    { "name": "done", "type": "integer" },\\n                    { "name": "total", "type": "integer" }\\n                ]\\n            },\\n            {\\n                "name": "lastSeenObjectId",\\n                "description": "If heap objects tracking has been started then backend regulary sends a current value for last seen object id and corresponding timestamp. If the were changes in the heap since last event then one or more heapStatsUpdate events will be sent before a new lastSeenObjectId event.",\\n                "parameters": [\\n                    { "name": "lastSeenObjectId", "type": "integer" },\\n                    { "name": "timestamp", "type": "number" }\\n                ]\\n            },\\n            {\\n                "name": "heapStatsUpdate",\\n                "description": "If heap objects tracking has been started then backend may send update for one or more fragments",\\n                "parameters": [\\n                    { "name": "statsUpdate", "type": "array", "items": { "type": "integer" }, "description": "An array of triplets. Each triplet describes a fragment. The first integer is the fragment index, the second integer is a total count of objects for the fragment, the third integer is a total size of the objects for the fragment."}\\n                ]\\n            }\\n        ]\\n    },\\n    {\\n        "domain": "Worker",\\n        "hidden": true,\\n        "types": [],\\n        "commands": [\\n            {\\n                "name": "enable"\\n            },\\n            {\\n                "name": "disable"\\n            },\\n            {\\n                "name": "sendMessageToWorker",\\n                "parameters": [\\n                    { "name": "workerId", "type": "integer" },\\n                    { "name": "message", "type": "object" }\\n                ]\\n            },\\n            {\\n                "name": "canInspectWorkers",\\n                "description": "Tells whether browser supports workers inspection.",\\n                "returns": [\\n                    { "name": "result", "type": "boolean", "description": "True if browser has workers support." }\\n                ]\\n            },\\n            {\\n                "name": "connectToWorker",\\n                "parameters": [\\n                    { "name": "workerId", "type": "integer" }\\n                ]\\n            },\\n            {\\n                "name": "disconnectFromWorker",\\n                "parameters": [\\n                    { "name": "workerId", "type": "integer" }\\n                ]\\n            },\\n            {\\n                "name": "setAutoconnectToWorkers",\\n                "parameters": [\\n                    { "name": "value", "type": "boolean" }\\n                ]\\n            }\\n        ],\\n        "events": [\\n            {\\n                "name": "workerCreated",\\n                "parameters": [\\n                    { "name": "workerId", "type": "integer" },\\n                    { "name": "url", "type": "string" },\\n                    { "name": "inspectorConnected", "type": "boolean" }\\n                ]\\n            },\\n            {\\n                "name": "workerTerminated",\\n                "parameters": [\\n                    { "name": "workerId", "type": "integer" }\\n                ]\\n            },\\n            {\\n                "name": "dispatchMessageFromWorker",\\n                "parameters": [\\n                    { "name": "workerId", "type": "integer" },\\n                    { "name": "message", "type": "object" }\\n                ]\\n            },\\n            {\\n                "name": "disconnectedFromWorker"\\n            }\\n        ]\\n    },\\n    {\\n        "domain": "Canvas",\\n        "hidden": true,\\n        "types": [\\n            {\\n                "id": "ResourceId",\\n                "type": "string",\\n                "description": "Unique resource identifier."\\n            },\\n            {\\n                "id": "ResourceStateDescriptor",\\n                "type": "object",\\n                "description": "Resource state descriptor.",\\n                "properties": [\\n                    { "name": "name", "type": "string", "description": "State name." },\\n                    { "name": "enumValueForName", "type": "string", "optional": true, "description": "String representation of the enum value, if <code>name</code> stands for an enum." },\\n                    { "name": "value", "$ref": "CallArgument", "optional": true, "description": "The value associated with the particular state." },\\n                    { "name": "values", "type": "array", "items": { "$ref": "ResourceStateDescriptor" }, "optional": true, "description": "Array of values associated with the particular state. Either <code>value</code> or <code>values</code> will be specified." },\\n                    { "name": "isArray", "type": "boolean", "optional": true, "description": "True iff the given <code>values</code> items stand for an array rather than a list of grouped states." }\\n                ]\\n            },\\n            {\\n                "id": "ResourceState",\\n                "type": "object",\\n                "description": "Resource state.",\\n                "properties": [\\n                    { "name": "id", "$ref": "ResourceId" },\\n                    { "name": "traceLogId", "$ref": "TraceLogId" },\\n                    { "name": "descriptors", "type": "array", "items": { "$ref": "ResourceStateDescriptor" }, "optional": true, "description": "Describes current <code>Resource</code> state." },\\n                    { "name": "imageURL", "type": "string", "optional": true, "description": "Screenshot image data URL." }\\n                ]\\n            },\\n            {\\n                "id": "CallArgument",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "description", "type": "string", "description": "String representation of the object." },\\n                    { "name": "enumName", "type": "string", "optional": true, "description": "Enum name, if any, that stands for the value (for example, a WebGL enum name)." },\\n                    { "name": "resourceId", "$ref": "ResourceId", "optional": true, "description": "Resource identifier. Specified for <code>Resource</code> objects only." },\\n                    { "name": "type", "type": "string", "optional": true, "enum": ["object", "function", "undefined", "string", "number", "boolean"], "description": "Object type. Specified for non <code>Resource</code> objects only." },\\n                    { "name": "subtype", "type": "string", "optional": true, "enum": ["array", "null", "node", "regexp", "date"], "description": "Object subtype hint. Specified for <code>object</code> type values only." },\\n                    { "name": "remoteObject", "$ref": "Runtime.RemoteObject", "optional": true, "description": "The <code>RemoteObject</code>, if requested." }\\n                ]\\n            },\\n            {\\n                "id": "Call",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "contextId", "$ref": "ResourceId" },\\n                    { "name": "functionName", "type": "string", "optional": true },\\n                    { "name": "arguments", "type": "array", "items": { "$ref": "CallArgument" }, "optional": true },\\n                    { "name": "result", "$ref": "CallArgument", "optional": true },\\n                    { "name": "isDrawingCall", "type": "boolean", "optional": true },\\n                    { "name": "isFrameEndCall", "type": "boolean", "optional": true },\\n                    { "name": "property", "type": "string", "optional": true },\\n                    { "name": "value", "$ref": "CallArgument", "optional": true },\\n                    { "name": "sourceURL", "type": "string", "optional": true },\\n                    { "name": "lineNumber", "type": "integer", "optional": true },\\n                    { "name": "columnNumber", "type": "integer", "optional": true }\\n                ]\\n            },\\n            {\\n                "id": "TraceLogId",\\n                "type": "string",\\n                "description": "Unique trace log identifier."\\n            },\\n            {\\n                "id": "TraceLog",\\n                "type": "object",\\n                "properties": [\\n                    { "name": "id", "$ref": "TraceLogId" },\\n                    { "name": "calls", "type": "array", "items": { "$ref": "Call" } },\\n                    { "name": "contexts", "type": "array", "items": { "$ref": "CallArgument" } },\\n                    { "name": "startOffset", "type": "integer" },\\n                    { "name": "alive", "type": "boolean" },\\n                    { "name": "totalAvailableCalls", "type": "number" }\\n                ]\\n            }\\n        ],\\n        "commands": [\\n            {\\n                "name": "enable",\\n                "description": "Enables Canvas inspection."\\n            },\\n            {\\n                "name": "disable",\\n                "description": "Disables Canvas inspection."\\n            },\\n            {\\n                "name": "dropTraceLog",\\n                "parameters": [\\n                    { "name": "traceLogId", "$ref": "TraceLogId" }\\n                ]\\n            },\\n            {\\n                "name": "hasUninstrumentedCanvases",\\n                "returns": [\\n                    { "name": "result", "type": "boolean" }\\n                ],\\n                "description": "Checks if there is any uninstrumented canvas in the inspected page."\\n            },\\n            {\\n                "name": "captureFrame",\\n                "parameters": [\\n                    { "name": "frameId", "$ref": "Page.FrameId", "optional": true, "description": "Identifier of the frame containing document whose canvases are to be captured. If omitted, main frame is assumed." }\\n                ],\\n                "returns": [\\n                    { "name": "traceLogId", "$ref": "TraceLogId", "description": "Identifier of the trace log containing captured canvas calls." }\\n                ],\\n                "description": "Starts (or continues) a canvas frame capturing which will be stopped automatically after the next frame is prepared."\\n            },\\n            {\\n                "name": "startCapturing",\\n                "parameters": [\\n                    { "name": "frameId", "$ref": "Page.FrameId", "optional": true, "description": "Identifier of the frame containing document whose canvases are to be captured. If omitted, main frame is assumed." }\\n                ],\\n                "returns": [\\n                    { "name": "traceLogId", "$ref": "TraceLogId", "description": "Identifier of the trace log containing captured canvas calls." }\\n                ],\\n                "description": "Starts (or continues) consecutive canvas frames capturing. The capturing is stopped by the corresponding stopCapturing command."\\n            },\\n            {\\n                "name": "stopCapturing",\\n                "parameters": [\\n                    { "name": "traceLogId", "$ref": "TraceLogId" }\\n                ]\\n            },\\n            {\\n                "name": "getTraceLog",\\n                "parameters": [\\n                    { "name": "traceLogId", "$ref": "TraceLogId" },\\n                    { "name": "startOffset", "type": "integer", "optional": true },\\n                    { "name": "maxLength", "type": "integer", "optional": true }\\n                ],\\n                "returns": [\\n                    { "name": "traceLog", "$ref": "TraceLog" }\\n                ]\\n            },\\n            {\\n                "name": "replayTraceLog",\\n                "parameters": [\\n                    { "name": "traceLogId", "$ref": "TraceLogId" },\\n                    { "name": "stepNo", "type": "integer", "description": "Last call index in the trace log to replay (zero based)." }\\n                ],\\n                "returns": [\\n                    { "name": "resourceState", "$ref": "ResourceState" },\\n                    { "name": "replayTime", "type": "number", "description": "Replay time (in milliseconds)." }\\n                ]\\n            },\\n            {\\n                "name": "getResourceState",\\n                "parameters": [\\n                    { "name": "traceLogId", "$ref": "TraceLogId" },\\n                    { "name": "resourceId", "$ref": "ResourceId" }\\n                ],\\n                "returns": [\\n                    { "name": "resourceState", "$ref": "ResourceState" }\\n                ]\\n            },\\n            {\\n                "name": "evaluateTraceLogCallArgument",\\n                "parameters": [\\n                    { "name": "traceLogId", "$ref": "TraceLogId" },\\n                    { "name": "callIndex", "type": "integer", "description": "Index of the call to evaluate on (zero based)." },\\n                    { "name": "argumentIndex", "type": "integer", "description": "Index of the argument to evaluate (zero based). Provide <code>-1</code> to evaluate call result." },\\n                    { "name": "objectGroup", "type": "string", "optional": true, "description": "String object group name to put result into (allows rapid releasing resulting object handles using <code>Runtime.releaseObjectGroup</code>)." }\\n                ],\\n                "returns": [\\n                    { "name": "result", "$ref": "Runtime.RemoteObject", "optional": true, "description": "Object wrapper for the evaluation result." },\\n                    { "name": "resourceState", "$ref": "ResourceState", "optional": true, "description": "State of the <code>Resource</code> object." }\\n                ],\\n                "description": "Evaluates a given trace call argument or its result."\\n            }\\n        ],\\n        "events": [\\n            {\\n                "name": "contextCreated",\\n                "parameters": [\\n                    { "name": "frameId", "$ref": "Page.FrameId", "description": "Identifier of the frame containing a canvas with a context." }\\n                ],\\n                "description": "Fired when a canvas context has been created in the given frame. The context may not be instrumented (see hasUninstrumentedCanvases command)."\\n            },\\n            {\\n                "name": "traceLogsRemoved",\\n                "parameters": [\\n                    { "name": "frameId", "$ref": "Page.FrameId", "optional": true, "description": "If given, trace logs from the given frame were removed." },\\n                    { "name": "traceLogId", "$ref": "TraceLogId", "optional": true, "description": "If given, trace log with the given ID was removed." }\\n                ],\\n                "description": "Fired when a set of trace logs were removed from the backend. If no parameters are given, all trace logs were removed."\\n            }\\n        ]\\n    },\\n    {\\n        "domain": "Input",\\n        "types": [\\n            {\\n                "id": "TouchPoint",\\n                "type": "object",\\n                "hidden": true,\\n                "properties": [\\n                    { "name": "state", "type": "string", "enum": ["touchPressed", "touchReleased", "touchMoved", "touchStationary", "touchCancelled"], "description": "State of the touch point." },\\n                    { "name": "x", "type": "integer", "description": "X coordinate of the event relative to the main frame\\\'s viewport."},\\n                    { "name": "y", "type": "integer", "description": "Y coordinate of the event relative to the main frame\\\'s viewport. 0 refers to the top of the viewport and Y increases as it proceeds towards the bottom of the viewport."},\\n                    { "name": "radiusX", "type": "integer", "optional": true, "description": "X radius of the touch area (default: 1)."},\\n                    { "name": "radiusY", "type": "integer", "optional": true, "description": "Y radius of the touch area (default: 1)."},\\n                    { "name": "rotationAngle", "type": "number", "optional": true, "description": "Rotation angle (default: 0.0)."},\\n                    { "name": "force", "type": "number", "optional": true, "description": "Force (default: 1.0)."},\\n                    { "name": "id", "type": "number", "optional": true, "description": "Identifier used to track touch sources between events, must be unique within an event."}\\n                ]\\n            }\\n        ],\\n        "commands": [\\n            {\\n                "name": "dispatchKeyEvent",\\n                "parameters": [\\n                    { "name": "type", "type": "string", "enum": ["keyDown", "keyUp", "rawKeyDown", "char"], "description": "Type of the key event." },\\n                    { "name": "modifiers", "type": "integer", "optional": true, "description": "Bit field representing pressed modifier keys. Alt=1, Ctrl=2, Meta/Command=4, Shift=8 (default: 0)." },\\n                    { "name": "timestamp", "type": "number", "optional": true, "description": "Time at which the event occurred. Measured in UTC time in seconds since January 1, 1970 (default: current time)." },\\n                    { "name": "text", "type": "string", "optional": true, "description": "Text as generated by processing a virtual key code with a keyboard layout. Not needed for for <code>keyUp</code> and <code>rawKeyDown</code> events (default: \\\\"\\\\")" },\\n                    { "name": "unmodifiedText", "type": "string", "optional": true, "description": "Text that would have been generated by the keyboard if no modifiers were pressed (except for shift). Useful for shortcut (accelerator) key handling (default: \\\\"\\\\")." },\\n                    { "name": "keyIdentifier", "type": "string", "optional": true, "description": "Unique key identifier (e.g., \\\'U+0041\\\') (default: \\\\"\\\\")." },\\n                    { "name": "windowsVirtualKeyCode", "type": "integer", "optional": true, "description": "Windows virtual key code (default: 0)." },\\n                    { "name": "nativeVirtualKeyCode", "type": "integer", "optional": true, "description": "Native virtual key code (default: 0)." },\\n                    { "name": "macCharCode", "type": "integer", "optional": true, "description": "Mac character code (default: 0)." },\\n                    { "name": "autoRepeat", "type": "boolean", "optional": true, "description": "Whether the event was generated from auto repeat (default: false)." },\\n                    { "name": "isKeypad", "type": "boolean", "optional": true, "description": "Whether the event was generated from the keypad (default: false)." },\\n                    { "name": "isSystemKey", "type": "boolean", "optional": true, "description": "Whether the event was a system key event (default: false)." }\\n                ],\\n                "description": "Dispatches a key event to the page."\\n            },\\n            {\\n                "name": "dispatchMouseEvent",\\n                "parameters": [\\n                    { "name": "type", "type": "string", "enum": ["mousePressed", "mouseReleased", "mouseMoved"], "description": "Type of the mouse event." },\\n                    { "name": "x", "type": "integer", "description": "X coordinate of the event relative to the main frame\\\'s viewport."},\\n                    { "name": "y", "type": "integer", "description": "Y coordinate of the event relative to the main frame\\\'s viewport. 0 refers to the top of the viewport and Y increases as it proceeds towards the bottom of the viewport."},\\n                    { "name": "modifiers", "type": "integer", "optional": true, "description": "Bit field representing pressed modifier keys. Alt=1, Ctrl=2, Meta/Command=4, Shift=8 (default: 0)." },\\n                    { "name": "timestamp", "type": "number", "optional": true, "description": "Time at which the event occurred. Measured in UTC time in seconds since January 1, 1970 (default: current time)." },\\n                    { "name": "button", "type": "string", "enum": ["none", "left", "middle", "right"], "optional": true, "description": "Mouse button (default: \\\\"none\\\\")." },\\n                    { "name": "clickCount", "type": "integer", "optional": true, "description": "Number of times the mouse button was clicked (default: 0)." },\\n                    { "name": "deviceSpace", "type": "boolean", "optional": true, "hidden": true, "description": "If true, x and y are given in dip wrt current viewport." }\\n                ],\\n                "description": "Dispatches a mouse event to the page."\\n            },\\n            {\\n                "name": "dispatchTouchEvent",\\n                "hidden": true,\\n                "parameters": [\\n                    { "name": "type", "type": "string", "enum": ["touchStart", "touchEnd", "touchMove"], "description": "Type of the touch event." },\\n                    { "name": "touchPoints", "type": "array", "items": { "$ref": "TouchPoint" }, "description": "Touch points." },\\n                    { "name": "modifiers", "type": "integer", "optional": true, "description": "Bit field representing pressed modifier keys. Alt=1, Ctrl=2, Meta/Command=4, Shift=8 (default: 0)." },\\n                    { "name": "timestamp", "type": "number", "optional": true, "description": "Time at which the event occurred. Measured in UTC time in seconds since January 1, 1970 (default: current time)." }\\n                ],\\n                "description": "Dispatches a touch event to the page."\\n            },\\n            {\\n                "name": "dispatchGestureEvent",\\n                "hidden": true,\\n                "parameters": [\\n                    { "name": "type", "type": "string", "enum": ["scrollBegin", "scrollEnd", "scrollUpdate", "tapDown", "tap", "pinchBegin", "pinchEnd", "pinchUpdate"], "description": "Type of the gesture event." },\\n                    { "name": "x", "type": "integer", "description": "X coordinate relative to the screen\\\'s viewport."},\\n                    { "name": "y", "type": "integer", "description": "Y coordinate relative to the screen\\\'s viewport."},\\n                    { "name": "timestamp", "type": "number", "optional": true, "description": "Time at which the event occurred. Measured in UTC time in seconds since January 1, 1970 (default: current time)." },\\n                    { "name": "deltaX", "type": "integer", "optional": true, "description": "Delta X where apllies."},\\n                    { "name": "deltaY", "type": "integer", "optional": true, "description": "Delta Y where apllies."},\\n                    { "name": "pinchScale", "type": "number", "optional": true, "description": "Pinch scale." }\\n                ],\\n                "description": "Dispatches a gesture event to the page."\\n            }\\n        ],\\n        "events": []\\n    },\\n    {\\n        "domain": "LayerTree",\\n        "hidden": true,\\n        "types": [\\n            {\\n                "id": "LayerId",\\n                "type": "string",\\n                "description": "Unique RenderLayer identifier."\\n            },\\n            {\\n                "id": "Layer",\\n                "type": "object",\\n                "description": "Information about a compositing layer.",\\n                "properties": [\\n                    { "name": "layerId", "$ref": "LayerId", "description": "The unique id for this layer." },\\n                    { "name": "parentLayerId", "$ref": "LayerId", "optional": true, "description": "The id of parent (not present for root)." },\\n                    { "name": "nodeId", "$ref": "DOM.NodeId", "optional": true, "description": "The id for the node associated with this layer." },\\n                    { "name": "offsetX", "type": "number", "description": "Offset from parent layer, X coordinate." },\\n                    { "name": "offsetY", "type": "number", "description": "Offset from parent layer, X coordinate." },\\n                    { "name": "width", "type": "number", "description": "Layer width." },\\n                    { "name": "height", "type": "number", "description": "Layer height." },\\n                    { "name": "transform", "type": "array", "items": { "type": "number" }, "minItems": 16, "maxItems": 16, "optional": true, "description": "Transformation matrix for layer, default is identity matrix" },\\n                    { "name": "anchorX", "type": "number", "optional": true, "description": "Transform anchor point X, absent if no transform specified" },\\n                    { "name": "anchorY", "type": "number", "optional": true, "description": "Transform anchor point Y, absent if no transform specified" },\\n                    { "name": "anchorZ", "type": "number", "optional": true, "description": "Transform anchor point Z, absent if no transform specified" },\\n                    { "name": "paintCount", "type": "integer", "description": "Indicates how many time this layer has painted." },\\n                    { "name": "invisible", "type": "boolean", "optional": true, "description": "Set if layer is not visible." }\\n                ]\\n            }\\n        ],\\n        "commands": [\\n            {\\n                "name": "enable",\\n                "description": "Enables compositing tree inspection."\\n            },\\n            {\\n                "name": "disable",\\n                "description": "Disables compositing tree inspection."\\n            },\\n            {\\n                "name": "getLayers",\\n                "parameters": [\\n                    { "name": "nodeId", "optional": true, "$ref": "DOM.NodeId", "description": "Root of the subtree for which we want to gather layers (return entire tree if not specified)" }\\n                ],\\n                "description": "Returns the layer tree structure of the current page.",\\n                "returns": [\\n                    { "name": "layers", "type": "array", "items": { "$ref": "Layer" }, "description": "Child layers." }\\n                ]\\n            },\\n            {\\n                "name": "compositingReasons",\\n                "parameters": [\\n                    { "name": "layerId", "$ref": "LayerId", "description": "The id of the layer for which we want to get the reasons it was composited." }\\n                ],\\n                "description": "Provides the reasons why the given layer was composited.",\\n                "returns": [\\n                    { "name": "compositingReasons", "type": "array", "items": { "type": "string" }, "description": "A list of strings specifying reasons for the given layer to become composited." }\\n                ]\\n            }\\n        ],\\n        "events": [\\n            {\\n                "name": "layerTreeDidChange"\\n            }\\n        ]\\n    },\\n    {\\n        "domain": "Tracing",\\n        "hidden": true,\\n        "commands": [\\n            {\\n                "name": "start",\\n                "description": "Strart trace events collection.",\\n                "parameters": [\\n                    { "name": "categories", "type": "string", "description": "Category/tag filter" }\\n                ]\\n            },\\n            {\\n                "name": "end",\\n                "description": "Stop trace events collection."\\n            }\\n        ],\\n        "events": [\\n            {\\n                "name": "dataCollected",\\n                "parameters": [\\n                    { "name": "value", "type": "array", "items": { "type": "object" } }\\n                ]\\n            },\\n            {\\n                "name": "tracingComplete"\\n            }\\n        ]\\n    }]\\n}\';});\n\n//# sourceURL=/text!LiveDevelopment/Inspector/Inspector.json'),
eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*jslint forin: true */\n/*global FileError */\n\n /**\n * Inspector manages the connection to Chrome/Chromium\'s remote debugger.\n * See inspector.html for the documentation of the remote debugger.\n *\n * __SETUP__\n *\n * To enable remote debugging in Chrome or Chromium open either application\n * with the following parameters:\n *\n *     --enable-remote-debugger --remote-debugging-port=9222\n *\n * This will open an HTTP server on the specified port, which can be used to\n * browse the available remote debugger sessions. In general, every open\n * browser tab can host an individual remote debugger session. The\n * available interfaces can be exported by requesting:\n *\n *     http://127.0.0.1:9222/json\n *\n * The response is a JSON-formatted array that specifies all available remote\n * debugger sessions including the remote debugging web sockets.\n *\n * Inspector can connect directly to a web socket via `connect(socketURL)`, or\n * it can find the web socket that corresponds to the tab at the given URL and\n * connect to it via `connectToURL(url)`. The later returns a promise. To\n * disconnect use `disconnect()`.\n *\n * __EVENTS__\n *\n * Inspector dispatches several connectivity-related events + all remote debugger\n * events (see below). Event handlers are attached via `on(event, function)` and\n * detached via `off(event, function)`.\n *\n *   `connect`    Inspector did successfully connect to the remote debugger\n *   `disconnect` Inspector did disconnect from the remote debugger\n *   `error`      Inspector encountered an error\n *   `message`    Inspector received a message from the remote debugger - this\n *                provides a low-level entry point to remote debugger events\n *\n * __REMOTE DEBUGGER COMMANDS__\n *\n * Commands are executed by calling `{Domain}.{Command}()` with the parameters\n * specified in the order of the remote debugger documentation. These command\n * functions are generated automatically at runtime from Inspector.json. The\n * actual implementation of these functions is found in\n * `_send(method, signature, varargs)`, which verifies, serializes, and\n * transmits the command to the remote debugger. If the last parameter of any\n * command function call is a function, it will be used as the callback.\n *\n * __REMOTE DEBUGGER EVENTS__\n *\n * Debugger events are dispatched as regular events using {Domain}.{Event} as\n * the event name. The handler function will be called with a single parameter\n * that stores all returned values as an object.\n */\ndefine(\'LiveDevelopment/Inspector/Inspector\',[\'require\',\'exports\',\'module\',\'utils/Async\',\'utils/EventDispatcher\',\'text!LiveDevelopment/Inspector/Inspector.json\'],function Inspector(require, exports, module) {\n    "use strict";\n\n    var Async           = require("utils/Async"),\n        EventDispatcher = require("utils/EventDispatcher");\n\n    /**\n     * Map message IDs to the callback function and original JSON message\n     * @type {Object.<number, {callback: function, message: Object}}\n     */\n    var _messageCallbacks = {};\n\n    var _messageId = 1,     // id used for remote method calls, auto-incrementing\n        _socket,            // remote debugger WebSocket\n        _connectDeferred,   // The deferred connect\n        _userAgent = "";    // user agent string\n\n    /** Check a parameter value against the given signature\n     * This only checks for optional parameters, not types\n     * Type checking is complex because of $ref and done on the remote end anyways\n     * @param {signature}\n     * @param {value}\n     */\n    function _verifySignature(signature, value) {\n        if (value === undefined) {\n            console.assert(signature.optional === true, "Missing argument: " + signature.name);\n        }\n        return true;\n    }\n\n    /** Send a message to the remote debugger\n     * All passed arguments after the signature are passed on as parameters.\n     * If the last argument is a function, it is used as the callback function.\n     * @param {string} remote method\n     * @param {object} the method signature\n     */\n    function _send(method, signature, varargs) {\n        if (!_socket) {\n            console.log("You must connect to the WebSocket before sending messages.");\n\n            // FUTURE: Our current implementation closes and re-opens an inspector connection whenever\n            // a new HTML file is selected. If done quickly enough, pending requests from the previous\n            // connection could come in before the new socket connection is established. For now we\n            // simply ignore this condition.\n            // This race condition will go away once we support multiple inspector connections and turn\n            // off auto re-opening when a new HTML file is selected.\n            return (new $.Deferred()).reject().promise();\n        }\n\n        var id, callback, args, i, params = {}, promise, msg;\n\n        // extract the parameters, the callback function, and the message id\n        args = Array.prototype.slice.call(arguments, 2);\n        if (typeof args[args.length - 1] === "function") {\n            callback = args.pop();\n        } else {\n            var deferred = new $.Deferred();\n            promise = deferred.promise();\n            callback = function (result, error) {\n                if (error) {\n                    deferred.reject(error);\n                } else {\n                    deferred.resolve(result);\n                }\n            };\n        }\n\n        id = _messageId++;\n\n        // verify the parameters against the method signature\n        // this also constructs the params object of type {name -> value}\n        if (signature) {\n            for (i in signature) {\n                if (_verifySignature(args[i], signature[i])) {\n                    params[signature[i].name] = args[i];\n                }\n            }\n        }\n\n        // Store message callback and send message\n        msg = { method: method, id: id, params: params };\n        _messageCallbacks[id] = { callback: callback, message: msg };\n        _socket.send(JSON.stringify(msg));\n\n        return promise;\n    }\n\n    /**\n     * Manually send a message to the remote debugger\n     * All passed arguments after the command are passed on as parameters.\n     * If the last argument is a function, it is used as the callback function.\n     * @param {string} domain\n     * @param {string} command\n     */\n    function send(domain, command, varargs) {\n        return _send(domain + "." + command, null, varargs);\n    }\n\n    /** WebSocket did close */\n    function _onDisconnect() {\n        _socket = undefined;\n        exports.trigger("disconnect");\n    }\n\n    /** WebSocket reported an error */\n    function _onError(error) {\n        if (_connectDeferred) {\n            _connectDeferred.reject();\n            _connectDeferred = null;\n        }\n        exports.trigger("error", error);\n    }\n\n    /** WebSocket did open */\n    function _onConnect() {\n        if (_connectDeferred) {\n            _connectDeferred.resolve();\n            _connectDeferred = null;\n        }\n        exports.trigger("connect");\n    }\n\n    /** Received message from the WebSocket\n     * A message can be one of three things:\n     *   1. an error -> report it\n     *   2. the response to a previous command -> run the stored callback\n     *   3. an event -> trigger an event handler method\n     * @param {object} message\n     */\n    function _onMessage(message) {\n        var response    = JSON.parse(message.data),\n            msgRecord   = _messageCallbacks[response.id],\n            callback    = msgRecord && msgRecord.callback,\n            msgText     = (msgRecord && msgRecord.message) || "No message";\n\n        if (msgRecord) {\n            // Messages with an ID are a response to a command, fire callback\n            callback(response.result, response.error);\n            delete _messageCallbacks[response.id];\n        } else if (response.method) {\n            // Messages with a method are an event, trigger event handlers\n            var domainAndMethod = response.method.split("."),\n                domain = domainAndMethod[0],\n                method = domainAndMethod[1];\n\n            EventDispatcher.triggerWithArray(exports[domain], method, response.params);\n        }\n\n        // Always fire event handlers for all messages/errors\n        exports.trigger("message", response);\n\n        if (response.error) {\n            exports.trigger("error", response.error, msgText);\n        }\n    }\n\n\n    /** Public Functions *****************************************************/\n\n    /** Get a list of the available windows/tabs/extensions that are remote-debuggable\n     * @param {string} host IP or name\n     * @param {integer} debugger port\n     */\n    function getDebuggableWindows(host, port) {\n        if (!host) {\n            host = "127.0.0.1";\n        }\n        if (!port) {\n            port = 9222;\n        }\n        var def = new $.Deferred();\n        var request = new XMLHttpRequest();\n        request.open("GET", "http://" + host + ":" + port + "/json");\n        request.onload = function onLoad() {\n            var sockets = JSON.parse(request.response);\n            def.resolve(sockets);\n        };\n        request.onerror = function onError() {\n            def.reject(request.response);\n        };\n\n        request.send(null);\n\n        return def.promise();\n    }\n\n    /**\n     * Disconnect from the remote debugger WebSocket\n     * @return {jQuery.Promise} Promise that is resolved immediately if not\n     *     currently connected or asynchronously when the socket is closed.\n     */\n    function disconnect() {\n        var deferred = new $.Deferred(),\n            promise = deferred.promise();\n\n        if (_socket && (_socket.readyState === WebSocket.OPEN)) {\n            _socket.onclose = function () {\n                // trigger disconnect event\n                _onDisconnect();\n\n                deferred.resolve();\n            };\n\n            promise = Async.withTimeout(promise, 5000);\n\n            _socket.close();\n        } else {\n            if (_socket) {\n                delete _socket.onmessage;\n                delete _socket.onopen;\n                delete _socket.onclose;\n                delete _socket.onerror;\n\n                _socket = undefined;\n            }\n\n            deferred.resolve();\n        }\n\n        return promise;\n    }\n\n    /**\n     * Connect to the remote debugger WebSocket at the given URL.\n     * Clients must listen for the `connect` event.\n     * @param {string} WebSocket URL\n     */\n    function connect(socketURL) {\n        disconnect().done(function () {\n            _socket = new WebSocket(socketURL);\n            _socket.onmessage = _onMessage;\n            _socket.onopen = _onConnect;\n            _socket.onclose = _onDisconnect;\n            _socket.onerror = _onError;\n        });\n    }\n\n    /** Connect to the remote debugger of the page that is at the given URL\n     * @param {string} url\n     */\n    function connectToURL(url) {\n        if (_connectDeferred) {\n            // reject an existing connection attempt\n            _connectDeferred.reject("CANCEL");\n        }\n        var deferred = new $.Deferred();\n        _connectDeferred = deferred;\n        var promise = getDebuggableWindows();\n        promise.done(function onGetAvailableSockets(response) {\n            var i, page;\n            for (i in response) {\n                page = response[i];\n                if (page.webSocketDebuggerUrl && page.url.indexOf(url) === 0) {\n                    connect(page.webSocketDebuggerUrl);\n                    // _connectDeferred may be resolved by onConnect or rejected by onError\n                    return;\n                }\n            }\n            deferred.reject(FileError.ERR_NOT_FOUND); // Reject with a "not found" error\n        });\n        promise.fail(function onFail(err) {\n            deferred.reject(err);\n        });\n        return deferred.promise();\n    }\n\n    /** Check if the inspector is connected */\n    function connected() {\n        return _socket !== undefined && _socket.readyState === WebSocket.OPEN;\n    }\n\n    /**\n     * Get user agent string\n     * @return {string}\n     */\n    function getUserAgent() {\n        return _userAgent;\n    }\n\n    /**\n     * Set user agent string\n     * @param {string} userAgent User agent string returned from Chrome\n     */\n    function setUserAgent(userAgent) {\n        _userAgent = userAgent;\n    }\n\n    /** Initialize the Inspector\n     * Read the Inspector.json configuration and define the command objects\n     * -> Inspector.domain.command()\n     */\n    function init(theConfig) {\n        exports.config = theConfig;\n\n        var InspectorText = require("text!LiveDevelopment/Inspector/Inspector.json"),\n            InspectorJSON = JSON.parse(InspectorText);\n\n        var i, j, domain, command;\n        for (i in InspectorJSON.domains) {\n            domain = InspectorJSON.domains[i];\n            var exportedDomain = {};\n            exports[domain.domain] = exportedDomain;\n            EventDispatcher.makeEventDispatcher(exportedDomain);\n            for (j in domain.commands) {\n                command = domain.commands[j];\n                exportedDomain[command.name] = _send.bind(undefined, domain.domain + "." + command.name, command.parameters);\n            }\n        }\n    }\n\n\n    EventDispatcher.makeEventDispatcher(exports);\n\n    // Export public functions\n    exports.connect              = connect;\n    exports.connected            = connected;\n    exports.connectToURL         = connectToURL;\n    exports.disconnect           = disconnect;\n    exports.getDebuggableWindows = getDebuggableWindows;\n    exports.getUserAgent         = getUserAgent;\n    exports.init                 = init;\n    exports.send                 = send;\n    exports.setUserAgent         = setUserAgent;\n});\n\n//# sourceURL=/LiveDevelopment/Inspector/Inspector.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*jslint forin: true */\n\n/**\n * CSSAgent keeps track of loaded style sheets and allows reloading them\n * from a {Document}.\n *\n * CSSAgent dispatches styleSheetAdded and styleSheetRemoved events, passing\n * the URL for the added/removed style sheet.\n */\ndefine(\'LiveDevelopment/Agents/CSSAgent\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'LiveDevelopment/Inspector/Inspector\',\'utils/EventDispatcher\',\'thirdparty/path-utils/path-utils\'],function CSSAgent(require, exports, module) {\n    "use strict";\n\n    var _ = require("thirdparty/lodash");\n\n    var Inspector       = require("LiveDevelopment/Inspector/Inspector"),\n        EventDispatcher = require("utils/EventDispatcher"),\n        PathUtils       = require("thirdparty/path-utils/path-utils");\n\n    /**\n     * Stylesheet details\n     * @type {Object.<string, CSS.CSSStyleSheetHeader>}\n     */\n    var _styleSheetDetails = {};\n\n    /**\n     * Is getAllStyleSheets() API defined? - This is undefined until we test for API\n     * @type {boolean}\n     */\n    var _getAllStyleSheetsNotFound;\n\n    /**\n     * Create a canonicalized version of the given URL, stripping off query strings and hashes.\n     * @param {string} url the URL to canonicalize\n     * @return the canonicalized URL\n     */\n    function _canonicalize(url) {\n        return PathUtils.parseUrl(url).hrefNoSearch;\n    }\n\n    /**\n     * @private\n     * WebInspector Event: Page.frameNavigated\n     * @param {jQuery.Event} event\n     * @param {frame: Frame} res\n     */\n    function _onFrameNavigated(event, res) {\n        // Clear maps when navigating to a new page, but not if an iframe was loaded\n        if (!res.frame.parentId) {\n            _styleSheetDetails = {};\n        }\n    }\n\n    /**\n     * Get the style sheets for a url\n     * @param {string} url\n     * @return {Object.<string, CSSStyleSheetHeader>}\n     */\n    function styleForURL(url) {\n        var styleSheetId, styles = {};\n        url = _canonicalize(url);\n        for (styleSheetId in _styleSheetDetails) {\n            if (_styleSheetDetails[styleSheetId].canonicalizedURL === url) {\n                styles[styleSheetId] = _styleSheetDetails[styleSheetId];\n            }\n        }\n        return styles;\n    }\n\n    /**\n     * Reload a CSS style sheet from a document\n     * @param {Document} document\n     * @param {string=} newContent new content of every stylesheet. Defaults to doc.getText() if omitted\n     * @return {jQuery.Promise}\n     */\n    function reloadCSSForDocument(doc, newContent) {\n        var styles = styleForURL(doc.url),\n            styleSheetId,\n            deferreds = [];\n\n        if (newContent === undefined) {\n            newContent = doc.getText();\n        }\n        for (styleSheetId in styles) {\n            deferreds.push(Inspector.CSS.setStyleSheetText(styles[styleSheetId].styleSheetId, newContent));\n        }\n        if (!deferreds.length) {\n            console.error("Style Sheet for document not loaded: " + doc.url);\n            return new $.Deferred().reject().promise();\n        }\n        // return master deferred\n        return $.when.apply($, deferreds);\n    }\n\n    /**\n     * Empties a CSS style sheet given a document that has been deleted\n     * @param {Document} document\n     * @return {jQuery.Promise}\n     */\n    function clearCSSForDocument(doc) {\n        return reloadCSSForDocument(doc, "");\n    }\n\n    /**\n     * @private\n     * @param {jQuery.Event} event\n     * @param {header: CSSStyleSheetHeader}\n     */\n    function _styleSheetAdded(event, res) {\n        var url             = _canonicalize(res.header.sourceURL),\n            existing        = styleForURL(res.header.sourceURL),\n            styleSheetId    = res.header.styleSheetId,\n            duplicate;\n\n        // detect duplicates\n        duplicate = _.some(existing, function (styleSheet) {\n            return styleSheet && styleSheet.styleSheetId === styleSheetId;\n        });\n        if (duplicate) {\n            return;\n        }\n\n        _styleSheetDetails[styleSheetId] = res.header;\n        _styleSheetDetails[styleSheetId].canonicalizedURL = url; // canonicalized URL\n\n        exports.trigger("styleSheetAdded", url, res.header);\n    }\n\n    /**\n     * @private\n     * @param {jQuery.Event} event\n     * @param {styleSheetId: StyleSheetId}\n     */\n    function _styleSheetRemoved(event, res) {\n        var header = _styleSheetDetails[res.styleSheetId];\n\n        delete _styleSheetDetails[res.styleSheetId];\n\n        exports.trigger("styleSheetRemoved", header.canonicalizedURL, header);\n    }\n\n    /**\n     * @private\n     * Attempt to use deleted API CSS.getAllStyleSheets\n     * @param {jQuery.Event} event\n     * @param {frameId: Network.FrameId}\n     */\n    function _onFrameStoppedLoading(event, res) {\n        var regexChromeUA,\n            userAgent,\n            uaMatch;\n\n        // Check for undefined so user agent string is only parsed once\n        if (_getAllStyleSheetsNotFound === undefined) {\n            regexChromeUA = /Chrome\\/(\\d+)\\./;  // Example: "... Chrome/34.0.1847.131 ..."\n            userAgent     = Inspector.getUserAgent();\n            uaMatch       = userAgent.match(regexChromeUA);\n\n            // If we have user agent string, and Chrome is >= 34, then don\'t use getAllStyleSheets\n            if (uaMatch && parseInt(uaMatch[1], 10) >= 34) {\n                _getAllStyleSheetsNotFound = true;\n                Inspector.Page.off("frameStoppedLoading.CSSAgent", _onFrameStoppedLoading);\n                return;\n            }\n        }\n\n        // Manually fire getAllStyleSheets since it will be removed from\n        // Inspector.json in a future update\n        Inspector.send("CSS", "getAllStyleSheets").done(function (res) {\n            res.headers.forEach(function (header) {\n                // _styleSheetAdded will ignore duplicates\n                _getAllStyleSheetsNotFound = false;\n                _styleSheetAdded(null, { header: header });\n            });\n        }).fail(function (err) {\n            // Disable getAllStyleSheets if the first call fails\n            _getAllStyleSheetsNotFound = (err.code === -32601);\n            Inspector.Page.off("frameStoppedLoading.CSSAgent", _onFrameStoppedLoading);\n        });\n    }\n\n    /** Enable the domain */\n    function enable() {\n        return Inspector.CSS.enable();\n    }\n\n    /** Initialize the agent */\n    function load() {\n        Inspector.Page.on("frameNavigated.CSSAgent", _onFrameNavigated);\n        Inspector.CSS.on("styleSheetAdded.CSSAgent", _styleSheetAdded);\n        Inspector.CSS.on("styleSheetRemoved.CSSAgent", _styleSheetRemoved);\n\n        // getAllStyleSheets was deleted beginning with Chrome 34\n        if (!_getAllStyleSheetsNotFound) {\n            Inspector.Page.on("frameStoppedLoading.CSSAgent", _onFrameStoppedLoading);\n        }\n    }\n\n    /** Clean up */\n    function unload() {\n        Inspector.Page.off(".CSSAgent");\n        Inspector.CSS.off(".CSSAgent");\n    }\n\n\n    EventDispatcher.makeEventDispatcher(exports);\n\n    // Export public functions\n    exports.enable = enable;\n    exports.styleForURL = styleForURL;\n    exports.reloadCSSForDocument = reloadCSSForDocument;\n    exports.clearCSSForDocument = clearCSSForDocument;\n    exports.load = load;\n    exports.unload = unload;\n});\n\n//# sourceURL=/LiveDevelopment/Agents/CSSAgent.js'),eval('define(\'text!LiveDevelopment/Agents/RemoteFunctions.js\',[],function () { return \'/*\\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\\n *\\n * Permission is hereby granted, free of charge, to any person obtaining a\\n * copy of this software and associated documentation files (the "Software"),\\n * to deal in the Software without restriction, including without limitation\\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\\n * and/or sell copies of the Software, and to permit persons to whom the\\n * Software is furnished to do so, subject to the following conditions:\\n *\\n * The above copyright notice and this permission notice shall be included in\\n * all copies or substantial portions of the Software.\\n *\\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\\n * DEALINGS IN THE SOFTWARE.\\n *\\n */\\n\\n/*jslint forin: true */\\n/*global Node, MessageEvent */\\n/*theseus instrument: false */\\n\\n/**\\n * RemoteFunctions define the functions to be executed in the browser. This\\n * modules should define a single function that returns an object of all\\n * exported functions.\\n */\\nfunction RemoteFunctions(experimental, remoteWSPort) {\\n    "use strict";\\n\\n    var lastKeepAliveTime = Date.now();\\n\\n    /**\\n     * @type {DOMEditHandler}\\n     */\\n    var _editHandler;\\n\\n    var HIGHLIGHT_CLASSNAME = "__brackets-ld-highlight",\\n        KEEP_ALIVE_TIMEOUT  = 3000;   // Keep alive timeout value, in milliseconds\\n\\n    // determine whether an event should be processed for Live Development\\n    function _validEvent(event) {\\n        if (window.navigator.platform.substr(0, 3) === "Mac") {\\n            // Mac\\n            return event.metaKey;\\n        } else {\\n            // Windows\\n            return event.ctrlKey;\\n        }\\n    }\\n\\n    // determine the color for a type\\n    function _typeColor(type, highlight) {\\n        switch (type) {\\n        case "html":\\n            return highlight ? "#eec" : "#ffe";\\n        case "css":\\n            return highlight ? "#cee" : "#eff";\\n        case "js":\\n            return highlight ? "#ccf" : "#eef";\\n        default:\\n            return highlight ? "#ddd" : "#eee";\\n        }\\n    }\\n\\n    // compute the screen offset of an element\\n    function _screenOffset(element) {\\n        var elemBounds = element.getBoundingClientRect(),\\n            body = window.document.body,\\n            offsetTop,\\n            offsetLeft;\\n\\n        if (window.getComputedStyle(body).position === "static") {\\n            offsetLeft = elemBounds.left + window.pageXOffset;\\n            offsetTop = elemBounds.top + window.pageYOffset;\\n        } else {\\n            var bodyBounds = body.getBoundingClientRect();\\n            offsetLeft = elemBounds.left - bodyBounds.left;\\n            offsetTop = elemBounds.top - bodyBounds.top;\\n        }\\n        return { left: offsetLeft, top: offsetTop };\\n    }\\n\\n    // set an event on a element\\n    function _trigger(element, name, value, autoRemove) {\\n        var key = "data-ld-" + name;\\n        if (value !== undefined && value !== null) {\\n            element.setAttribute(key, value);\\n            if (autoRemove) {\\n                window.setTimeout(element.removeAttribute.bind(element, key));\\n            }\\n        } else {\\n            element.removeAttribute(key);\\n        }\\n    }\\n    \\n    // Checks if the element is in Viewport in the client browser\\n    function isInViewport(element) {\\n        var rect = element.getBoundingClientRect();\\n        var html = window.document.documentElement;\\n        return (\\n            rect.top >= 0 &&\\n            rect.left >= 0 &&\\n            rect.bottom <= (window.innerHeight || html.clientHeight) &&\\n            rect.right <= (window.innerWidth || html.clientWidth)\\n        );\\n    }\\n    \\n    // returns the distance from the top of the closest relatively positioned parent element\\n    function getDocumentOffsetTop(element) {\\n        return element.offsetTop + (element.offsetParent ? getDocumentOffsetTop(element.offsetParent) : 0);\\n    }\\n\\n    // construct the info menu\\n    function Menu(element) {\\n        this.element = element;\\n        _trigger(this.element, "showgoto", 1, true);\\n        window.setTimeout(window.remoteShowGoto);\\n        this.remove = this.remove.bind(this);\\n    }\\n\\n    Menu.prototype = {\\n        onClick: function (url, event) {\\n            event.preventDefault();\\n            _trigger(this.element, "goto", url, true);\\n            this.remove();\\n        },\\n\\n        createBody: function () {\\n            if (this.body) {\\n                return;\\n            }\\n\\n            // compute the position on screen\\n            var offset = _screenOffset(this.element),\\n                x = offset.left,\\n                y = offset.top + this.element.offsetHeight;\\n\\n            // create the container\\n            this.body = window.document.createElement("div");\\n            this.body.style.setProperty("z-index", 2147483647);\\n            this.body.style.setProperty("position", "absolute");\\n            this.body.style.setProperty("left", x + "px");\\n            this.body.style.setProperty("top", y + "px");\\n            this.body.style.setProperty("font-size", "11pt");\\n\\n            // draw the background\\n            this.body.style.setProperty("background", "#fff");\\n            this.body.style.setProperty("border", "1px solid #888");\\n            this.body.style.setProperty("-webkit-box-shadow", "2px 2px 6px 0px #ccc");\\n            this.body.style.setProperty("border-radius", "6px");\\n            this.body.style.setProperty("padding", "6px");\\n        },\\n\\n        addItem: function (target) {\\n            var item = window.document.createElement("div");\\n            item.style.setProperty("padding", "2px 6px");\\n            if (this.body.childNodes.length > 0) {\\n                item.style.setProperty("border-top", "1px solid #ccc");\\n            }\\n            item.style.setProperty("cursor", "pointer");\\n            item.style.setProperty("background", _typeColor(target.type));\\n            item.innerHTML = target.name;\\n            item.addEventListener("click", this.onClick.bind(this, target.url));\\n\\n            if (target.file) {\\n                var file = window.document.createElement("i");\\n                file.style.setProperty("float", "right");\\n                file.style.setProperty("margin-left", "12px");\\n                file.innerHTML = " " + target.file;\\n                item.appendChild(file);\\n            }\\n            this.body.appendChild(item);\\n        },\\n\\n        show: function () {\\n            if (!this.body) {\\n                this.body = this.createBody();\\n            }\\n            if (!this.body.parentNode) {\\n                window.document.body.appendChild(this.body);\\n            }\\n            window.document.addEventListener("click", this.remove);\\n        },\\n\\n        remove: function () {\\n            if (this.body && this.body.parentNode) {\\n                window.document.body.removeChild(this.body);\\n            }\\n            window.document.removeEventListener("click", this.remove);\\n        }\\n\\n    };\\n\\n    function Editor(element) {\\n        this.onBlur = this.onBlur.bind(this);\\n        this.onKeyPress = this.onKeyPress.bind(this);\\n\\n        this.element = element;\\n        this.element.setAttribute("contenteditable", "true");\\n        this.element.focus();\\n        this.element.addEventListener("blur", this.onBlur);\\n        this.element.addEventListener("keypress", this.onKeyPress);\\n\\n        this.revertText = this.element.innerHTML;\\n\\n        _trigger(this.element, "edit", 1);\\n    }\\n\\n    Editor.prototype = {\\n        onBlur: function (event) {\\n            this.element.removeAttribute("contenteditable");\\n            this.element.removeEventListener("blur", this.onBlur);\\n            this.element.removeEventListener("keypress", this.onKeyPress);\\n            _trigger(this.element, "edit", 0, true);\\n        },\\n\\n        onKeyPress: function (event) {\\n            switch (event.which) {\\n            case 13: // return\\n                this.element.blur();\\n                break;\\n            case 27: // esc\\n                this.element.innerHTML = this.revertText;\\n                this.element.blur();\\n                break;\\n            }\\n        }\\n    };\\n\\n    function Highlight(color, trigger) {\\n        this.color = color;\\n        this.trigger = !!trigger;\\n        this.elements = [];\\n        this.selector = "";\\n    }\\n\\n    Highlight.prototype = {\\n        _elementExists: function (element) {\\n            var i;\\n            for (i in this.elements) {\\n                if (this.elements[i] === element) {\\n                    return true;\\n                }\\n            }\\n            return false;\\n        },\\n\\n        _makeHighlightDiv: function (element, doAnimation) {\\n            var elementBounds = element.getBoundingClientRect(),\\n                highlight = window.document.createElement("div"),\\n                styles = window.getComputedStyle(element);\\n\\n            // Don\\\'t highlight elements with 0 width & height\\n            if (elementBounds.width === 0 && elementBounds.height === 0) {\\n                return;\\n            }\\n\\n            highlight.className = HIGHLIGHT_CLASSNAME;\\n\\n            var offset = _screenOffset(element);\\n\\n            var stylesToSet = {\\n                "left": offset.left + "px",\\n                "top": offset.top + "px",\\n                "width": elementBounds.width + "px",\\n                "height": elementBounds.height + "px",\\n                "z-index": 2000000,\\n                "margin": 0,\\n                "padding": 0,\\n                "position": "absolute",\\n                "pointer-events": "none",\\n                "border-top-left-radius": styles.borderTopLeftRadius,\\n                "border-top-right-radius": styles.borderTopRightRadius,\\n                "border-bottom-left-radius": styles.borderBottomLeftRadius,\\n                "border-bottom-right-radius": styles.borderBottomRightRadius,\\n                "border-style": "solid",\\n                "border-width": "1px",\\n                "border-color": "#00a2ff",\\n                "box-shadow": "0 0 1px #fff",\\n                "box-sizing": "border-box"\\n            };\\n\\n            var animateStartValues = {\\n                "background-color": "rgba(0, 162, 255, 0.5)",\\n                "opacity": 0\\n            };\\n\\n            var animateEndValues = {\\n                "background-color": "rgba(0, 162, 255, 0)",\\n                "opacity": 1\\n            };\\n\\n            var transitionValues = {\\n                "-webkit-transition-property": "opacity, background-color",\\n                "-webkit-transition-duration": "300ms, 2.3s",\\n                "transition-property": "opacity, background-color",\\n                "transition-duration": "300ms, 2.3s"\\n            };\\n\\n            function _setStyleValues(styleValues, obj) {\\n                var prop;\\n\\n                for (prop in styleValues) {\\n                    obj.setProperty(prop, styleValues[prop]);\\n                }\\n            }\\n\\n            _setStyleValues(stylesToSet, highlight.style);\\n            _setStyleValues(\\n                doAnimation ? animateStartValues : animateEndValues,\\n                highlight.style\\n            );\\n\\n\\n            if (doAnimation) {\\n                _setStyleValues(transitionValues, highlight.style);\\n\\n                window.setTimeout(function () {\\n                    _setStyleValues(animateEndValues, highlight.style);\\n                }, 20);\\n            }\\n\\n            window.document.body.appendChild(highlight);\\n        },\\n\\n        add: function (element, doAnimation) {\\n            if (this._elementExists(element) || element === window.document) {\\n                return;\\n            }\\n            if (this.trigger) {\\n                _trigger(element, "highlight", 1);\\n            }\\n            \\n            if ((!window.event || window.event instanceof MessageEvent) && !isInViewport(element)) {\\n                var top = getDocumentOffsetTop(element);\\n                if (top) {\\n                    top -= (window.innerHeight / 2);\\n                    window.scrollTo(0, top);\\n                }\\n            }\\n            this.elements.push(element);\\n\\n            this._makeHighlightDiv(element, doAnimation);\\n        },\\n\\n        clear: function () {\\n            var i, highlights = window.document.querySelectorAll("." + HIGHLIGHT_CLASSNAME),\\n                body = window.document.body;\\n\\n            for (i = 0; i < highlights.length; i++) {\\n                body.removeChild(highlights[i]);\\n            }\\n\\n            if (this.trigger) {\\n                for (i = 0; i < this.elements.length; i++) {\\n                    _trigger(this.elements[i], "highlight", 0);\\n                }\\n            }\\n\\n            this.elements = [];\\n        },\\n\\n        redraw: function () {\\n            var i, highlighted;\\n\\n            // When redrawing a selector-based highlight, run a new selector\\n            // query to ensure we have the latest set of elements to highlight.\\n            if (this.selector) {\\n                highlighted = window.document.querySelectorAll(this.selector);\\n            } else {\\n                highlighted = this.elements.slice(0);\\n            }\\n\\n            this.clear();\\n            for (i = 0; i < highlighted.length; i++) {\\n                this.add(highlighted[i], false);\\n            }\\n        }\\n    };\\n\\n    var _currentEditor;\\n    function _toggleEditor(element) {\\n        _currentEditor = new Editor(element);\\n    }\\n\\n    var _currentMenu;\\n    function _toggleMenu(element) {\\n        if (_currentMenu) {\\n            _currentMenu.remove();\\n        }\\n        _currentMenu = new Menu(element);\\n    }\\n\\n    var _localHighlight;\\n    var _remoteHighlight;\\n    var _setup = false;\\n\\n\\n    /** Event Handlers ***********************************************************/\\n\\n    function onMouseOver(event) {\\n        if (_validEvent(event)) {\\n            _localHighlight.add(event.target, true);\\n        }\\n    }\\n\\n    function onMouseOut(event) {\\n        if (_validEvent(event)) {\\n            _localHighlight.clear();\\n        }\\n    }\\n\\n    function onMouseMove(event) {\\n        onMouseOver(event);\\n        window.document.removeEventListener("mousemove", onMouseMove);\\n    }\\n\\n    function onClick(event) {\\n        if (_validEvent(event)) {\\n            event.preventDefault();\\n            event.stopPropagation();\\n            if (event.altKey) {\\n                _toggleEditor(event.target);\\n            } else {\\n                _toggleMenu(event.target);\\n            }\\n        }\\n    }\\n\\n    function onKeyUp(event) {\\n        if (_setup && !_validEvent(event)) {\\n            window.document.removeEventListener("keyup", onKeyUp);\\n            window.document.removeEventListener("mouseover", onMouseOver);\\n            window.document.removeEventListener("mouseout", onMouseOut);\\n            window.document.removeEventListener("mousemove", onMouseMove);\\n            window.document.removeEventListener("click", onClick);\\n            _localHighlight.clear();\\n            _localHighlight = undefined;\\n            _setup = false;\\n        }\\n    }\\n\\n    function onKeyDown(event) {\\n        if (!_setup && _validEvent(event)) {\\n            window.document.addEventListener("keyup", onKeyUp);\\n            window.document.addEventListener("mouseover", onMouseOver);\\n            window.document.addEventListener("mouseout", onMouseOut);\\n            window.document.addEventListener("mousemove", onMouseMove);\\n            window.document.addEventListener("click", onClick);\\n            _localHighlight = new Highlight("#ecc", true);\\n            _setup = true;\\n        }\\n    }\\n\\n    /** Public Commands **********************************************************/\\n\\n    // keep alive. Called once a second when a Live Development connection is active.\\n    // If several seconds have passed without this method being called, we can assume\\n    // that the connection has been severed and we should remove all our code/hooks.\\n    function keepAlive() {\\n        lastKeepAliveTime = Date.now();\\n    }\\n\\n    // show goto\\n    function showGoto(targets) {\\n        if (!_currentMenu) {\\n            return;\\n        }\\n        _currentMenu.createBody();\\n        var i;\\n        for (i in targets) {\\n            _currentMenu.addItem(targets[i]);\\n        }\\n        _currentMenu.show();\\n    }\\n\\n    // remove active highlights\\n    function hideHighlight() {\\n        if (_remoteHighlight) {\\n            _remoteHighlight.clear();\\n            _remoteHighlight = null;\\n        }\\n    }\\n\\n    // highlight a node\\n    function highlight(node, clear) {\\n        if (!_remoteHighlight) {\\n            _remoteHighlight = new Highlight("#cfc");\\n        }\\n        if (clear) {\\n            _remoteHighlight.clear();\\n        }\\n        _remoteHighlight.add(node, true);\\n    }\\n\\n    // highlight a rule\\n    function highlightRule(rule) {\\n        hideHighlight();\\n        var i, nodes = window.document.querySelectorAll(rule);\\n        for (i = 0; i < nodes.length; i++) {\\n            highlight(nodes[i]);\\n        }\\n        _remoteHighlight.selector = rule;\\n    }\\n\\n    // redraw active highlights\\n    function redrawHighlights() {\\n        if (_remoteHighlight) {\\n            _remoteHighlight.redraw();\\n        }\\n    }\\n\\n    window.addEventListener("resize", redrawHighlights);\\n    // Add a capture-phase scroll listener to update highlights when\\n    // any element scrolls.\\n\\n    function _scrollHandler(e) {\\n        // Document scrolls can be updated immediately. Any other scrolls\\n        // need to be updated on a timer to ensure the layout is correct.\\n        if (e.target === window.document) {\\n            redrawHighlights();\\n        } else {\\n            if (_remoteHighlight || _localHighlight) {\\n                window.setTimeout(redrawHighlights, 0);\\n            }\\n        }\\n    }\\n\\n    window.addEventListener("scroll", _scrollHandler, true);\\n\\n    var aliveTest = window.setInterval(function () {\\n        if (Date.now() > lastKeepAliveTime + KEEP_ALIVE_TIMEOUT) {\\n            // Remove highlights\\n            hideHighlight();\\n\\n            // Remove listeners\\n            window.removeEventListener("resize", redrawHighlights);\\n            window.removeEventListener("scroll", _scrollHandler, true);\\n\\n            // Clear this interval\\n            window.clearInterval(aliveTest);\\n        }\\n    }, 1000);\\n\\n    /**\\n     * Constructor\\n     * @param {Document} htmlDocument\\n     */\\n    function DOMEditHandler(htmlDocument) {\\n        this.htmlDocument = htmlDocument;\\n        this.rememberedNodes = null;\\n        this.entityParseParent = htmlDocument.createElement("div");\\n    }\\n\\n    /**\\n     * @private\\n     * Find the first matching element with the specified data-brackets-id\\n     * @param {string} id\\n     * @return {Element}\\n     */\\n    DOMEditHandler.prototype._queryBracketsID = function (id) {\\n        if (!id) {\\n            return null;\\n        }\\n\\n        if (this.rememberedNodes && this.rememberedNodes[id]) {\\n            return this.rememberedNodes[id];\\n        }\\n\\n        var results = this.htmlDocument.querySelectorAll("[data-brackets-id=\\\'" + id + "\\\']");\\n        return results && results[0];\\n    };\\n\\n    /**\\n     * @private\\n     * Insert a new child element\\n     * @param {Element} targetElement Parent element already in the document\\n     * @param {Element} childElement New child element\\n     * @param {Object} edit\\n     */\\n    DOMEditHandler.prototype._insertChildNode = function (targetElement, childElement, edit) {\\n        var before = this._queryBracketsID(edit.beforeID),\\n            after  = this._queryBracketsID(edit.afterID);\\n\\n        if (edit.firstChild) {\\n            before = targetElement.firstChild;\\n        } else if (edit.lastChild) {\\n            after = targetElement.lastChild;\\n        }\\n\\n        if (before) {\\n            targetElement.insertBefore(childElement, before);\\n        } else if (after && (after !== targetElement.lastChild)) {\\n            targetElement.insertBefore(childElement, after.nextSibling);\\n        } else {\\n            targetElement.appendChild(childElement);\\n        }\\n    };\\n\\n    /**\\n     * @private\\n     * Given a string containing encoded entity references, returns the string with the entities decoded.\\n     * @param {string} text The text to parse.\\n     * @return {string} The decoded text.\\n     */\\n    DOMEditHandler.prototype._parseEntities = function (text) {\\n        // Kind of a hack: just set the innerHTML of a div to the text, which will parse the entities, then\\n        // read the content out.\\n        var result;\\n        this.entityParseParent.innerHTML = text;\\n        result = this.entityParseParent.textContent;\\n        this.entityParseParent.textContent = "";\\n        return result;\\n    };\\n\\n    /**\\n     * @private\\n     * @param {Node} node\\n     * @return {boolean} true if node expects its content to be raw text (not parsed for entities) according to the HTML5 spec.\\n     */\\n    function _isRawTextNode(node) {\\n        return (node.nodeType === Node.ELEMENT_NODE && /script|style|noscript|noframes|noembed|iframe|xmp/i.test(node.tagName));\\n    }\\n\\n    /**\\n     * @private\\n     * Replace a range of text and comment nodes with an optional new text node\\n     * @param {Element} targetElement\\n     * @param {Object} edit\\n     */\\n    DOMEditHandler.prototype._textReplace = function (targetElement, edit) {\\n        function prevIgnoringHighlights(node) {\\n            do {\\n                node = node.previousSibling;\\n            } while (node && node.className === HIGHLIGHT_CLASSNAME);\\n            return node;\\n        }\\n        function nextIgnoringHighlights(node) {\\n            do {\\n                node = node.nextSibling;\\n            } while (node && node.className === HIGHLIGHT_CLASSNAME);\\n            return node;\\n        }\\n        function lastChildIgnoringHighlights(node) {\\n            node = (node.childNodes.length ? node.childNodes.item(node.childNodes.length - 1) : null);\\n            if (node && node.className === HIGHLIGHT_CLASSNAME) {\\n                node = prevIgnoringHighlights(node);\\n            }\\n            return node;\\n        }\\n\\n        var start           = (edit.afterID)  ? this._queryBracketsID(edit.afterID)  : null,\\n            startMissing    = edit.afterID && !start,\\n            end             = (edit.beforeID) ? this._queryBracketsID(edit.beforeID) : null,\\n            endMissing      = edit.beforeID && !end,\\n            moveNext        = start && nextIgnoringHighlights(start),\\n            current         = moveNext || (end && prevIgnoringHighlights(end)) || lastChildIgnoringHighlights(targetElement),\\n            next,\\n            textNode        = (edit.content !== undefined) ? this.htmlDocument.createTextNode(_isRawTextNode(targetElement) ? edit.content : this._parseEntities(edit.content)) : null,\\n            lastRemovedWasText,\\n            isText;\\n\\n        // remove all nodes inside the range\\n        while (current && (current !== end)) {\\n            isText = current.nodeType === Node.TEXT_NODE;\\n\\n            // if start is defined, delete following text nodes\\n            // if start is not defined, delete preceding text nodes\\n            next = (moveNext) ? nextIgnoringHighlights(current) : prevIgnoringHighlights(current);\\n\\n            // only delete up to the nearest element.\\n            // if the start/end tag was deleted in a prior edit, stop removing\\n            // nodes when we hit adjacent text nodes\\n            if ((current.nodeType === Node.ELEMENT_NODE) ||\\n                    ((startMissing || endMissing) && (isText && lastRemovedWasText))) {\\n                break;\\n            } else {\\n                lastRemovedWasText = isText;\\n\\n                if (current.remove) {\\n                    current.remove();\\n                } else if (current.parentNode && current.parentNode.removeChild) {\\n                    current.parentNode.removeChild(current);\\n                }\\n                current = next;\\n            }\\n        }\\n\\n        if (textNode) {\\n            // OK to use nextSibling here (not nextIgnoringHighlights) because we do literally\\n            // want to insert immediately after the start tag.\\n            if (start && start.nextSibling) {\\n                targetElement.insertBefore(textNode, start.nextSibling);\\n            } else if (end) {\\n                targetElement.insertBefore(textNode, end);\\n            } else {\\n                targetElement.appendChild(textNode);\\n            }\\n        }\\n    };\\n\\n    /**\\n     * @private\\n     * Apply an array of DOM edits to the document\\n     * @param {Array.<Object>} edits\\n     */\\n    DOMEditHandler.prototype.apply = function (edits) {\\n        var targetID,\\n            targetElement,\\n            childElement,\\n            self = this;\\n\\n        this.rememberedNodes = {};\\n\\n        edits.forEach(function (edit) {\\n            var editIsSpecialTag = edit.type === "elementInsert" && (edit.tag === "html" || edit.tag === "head" || edit.tag === "body");\\n\\n            if (edit.type === "rememberNodes") {\\n                edit.tagIDs.forEach(function (tagID) {\\n                    var node = self._queryBracketsID(tagID);\\n                    self.rememberedNodes[tagID] = node;\\n                    if (node.remove) {\\n                        node.remove();\\n                    } else if (node.parentNode && node.parentNode.removeChild) {\\n                        node.parentNode.removeChild(node);\\n                    }\\n                });\\n                return;\\n            }\\n\\n            targetID = edit.type.match(/textReplace|textDelete|textInsert|elementInsert|elementMove/) ? edit.parentID : edit.tagID;\\n            targetElement = self._queryBracketsID(targetID);\\n\\n            if (!targetElement && !editIsSpecialTag) {\\n                console.error("data-brackets-id=" + targetID + " not found");\\n                return;\\n            }\\n\\n            switch (edit.type) {\\n            case "attrChange":\\n            case "attrAdd":\\n                targetElement.setAttribute(edit.attribute, self._parseEntities(edit.value));\\n                break;\\n            case "attrDelete":\\n                targetElement.removeAttribute(edit.attribute);\\n                break;\\n            case "elementDelete":\\n                if (targetElement.remove) {\\n                    targetElement.remove();\\n                } else if (targetElement.parentNode && targetElement.parentNode.removeChild) {\\n                    targetElement.parentNode.removeChild(targetElement);\\n                }\\n                break;\\n            case "elementInsert":\\n                childElement = null;\\n                if (editIsSpecialTag) {\\n                    // If we already have one of these elements (which we should), then\\n                    // just copy the attributes and set the ID.\\n                    childElement = self.htmlDocument[edit.tag === "html" ? "documentElement" : edit.tag];\\n                    if (!childElement) {\\n                        // Treat this as a normal insertion.\\n                        editIsSpecialTag = false;\\n                    }\\n                }\\n                if (!editIsSpecialTag) {\\n                    childElement = self.htmlDocument.createElement(edit.tag);\\n                }\\n\\n                Object.keys(edit.attributes).forEach(function (attr) {\\n                    childElement.setAttribute(attr, self._parseEntities(edit.attributes[attr]));\\n                });\\n                childElement.setAttribute("data-brackets-id", edit.tagID);\\n\\n                if (!editIsSpecialTag) {\\n                    self._insertChildNode(targetElement, childElement, edit);\\n                }\\n                break;\\n            case "elementMove":\\n                childElement = self._queryBracketsID(edit.tagID);\\n                self._insertChildNode(targetElement, childElement, edit);\\n                break;\\n            case "textInsert":\\n                var textElement = self.htmlDocument.createTextNode(_isRawTextNode(targetElement) ? edit.content : self._parseEntities(edit.content));\\n                self._insertChildNode(targetElement, textElement, edit);\\n                break;\\n            case "textReplace":\\n            case "textDelete":\\n                self._textReplace(targetElement, edit);\\n                break;\\n            }\\n        });\\n\\n        this.rememberedNodes = {};\\n\\n        // update highlight after applying diffs\\n        redrawHighlights();\\n    };\\n\\n    function applyDOMEdits(edits) {\\n        _editHandler.apply(edits);\\n    }\\n\\n    /**\\n     *\\n     * @param {Element} elem\\n     */\\n    function _domElementToJSON(elem) {\\n        var json = { tag: elem.tagName.toLowerCase(), attributes: {}, children: [] },\\n            i,\\n            len,\\n            node,\\n            value;\\n\\n        len = elem.attributes.length;\\n        for (i = 0; i < len; i++) {\\n            node = elem.attributes.item(i);\\n            value = (node.name === "data-brackets-id") ? parseInt(node.value, 10) : node.value;\\n            json.attributes[node.name] = value;\\n        }\\n\\n        len = elem.childNodes.length;\\n        for (i = 0; i < len; i++) {\\n            node = elem.childNodes.item(i);\\n\\n            // ignores comment nodes and visuals generated by live preview\\n            if (node.nodeType === Node.ELEMENT_NODE && node.className !== HIGHLIGHT_CLASSNAME) {\\n                json.children.push(_domElementToJSON(node));\\n            } else if (node.nodeType === Node.TEXT_NODE) {\\n                json.children.push({ content: node.nodeValue });\\n            }\\n        }\\n\\n        return json;\\n    }\\n\\n    function getSimpleDOM() {\\n        return JSON.stringify(_domElementToJSON(window.document.documentElement));\\n    }\\n\\n    // init\\n    _editHandler = new DOMEditHandler(window.document);\\n\\n    if (experimental) {\\n        window.document.addEventListener("keydown", onKeyDown);\\n    }\\n    \\n    var _ws = null;\\n\\n    function onDocumentClick(event) {\\n        var element = event.target,\\n            currentDataId,\\n            newDataId;\\n        \\n        if (_ws && element && element.hasAttribute(\\\'data-brackets-id\\\')) {\\n            _ws.send(JSON.stringify({\\n                type: "message",\\n                message: element.getAttribute(\\\'data-brackets-id\\\')\\n            }));\\n        }\\n    }\\n    \\n    \\n    function createWebSocket() {\\n        _ws = new WebSocket("ws://localhost:" + remoteWSPort);\\n        _ws.onopen = function () {\\n            window.document.addEventListener("click", onDocumentClick);\\n        };\\n\\t\\t\\t\\t\\n        _ws.onmessage = function (evt) {\\n        };\\n\\t\\t\\t\\t\\n        _ws.onclose = function () {\\n            // websocket is closed\\n            window.document.removeEventListener("click", onDocumentClick);\\n        };\\n    }\\n    \\n    if (remoteWSPort) {\\n        createWebSocket();\\n    }\\n    \\n    return {\\n        "DOMEditHandler"        : DOMEditHandler,\\n        "keepAlive"             : keepAlive,\\n        "showGoto"              : showGoto,\\n        "hideHighlight"         : hideHighlight,\\n        "highlight"             : highlight,\\n        "highlightRule"         : highlightRule,\\n        "redrawHighlights"      : redrawHighlights,\\n        "applyDOMEdits"         : applyDOMEdits,\\n        "getSimpleDOM"          : getSimpleDOM\\n    };\\n}\\n\';});\n\n//# sourceURL=/text!LiveDevelopment/Agents/RemoteFunctions.js'),
eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*jslint regexp: true */\n\n/**\n * RemoteAgent defines and provides an interface for custom remote functions\n * loaded from RemoteFunctions. Remote commands are executed via\n * `call(name, varargs)`.\n *\n * Remote events are dispatched as events on this object.\n */\ndefine(\'LiveDevelopment/Agents/RemoteAgent\',[\'require\',\'exports\',\'module\',\'LiveDevelopment/LiveDevelopment\',\'utils/EventDispatcher\',\'LiveDevelopment/Inspector/Inspector\',\'text!LiveDevelopment/Agents/RemoteFunctions.js\',\'preferences/PreferencesManager\'],function RemoteAgent(require, exports, module) {\n    "use strict";\n\n    var LiveDevelopment     = require("LiveDevelopment/LiveDevelopment"),\n        EventDispatcher     = require("utils/EventDispatcher"),\n        Inspector           = require("LiveDevelopment/Inspector/Inspector"),\n        RemoteFunctions     = require("text!LiveDevelopment/Agents/RemoteFunctions.js"),\n        PreferencesManager  = require("preferences/PreferencesManager");\n\n    var _load; // deferred load\n    var _objectId; // the object id of the remote object\n    var _intervalId; // interval used to send keepAlive events\n\n    // WebInspector Event: DOM.attributeModified\n    function _onAttributeModified(event, res) {\n        // res = {nodeId, name, value}\n        var matches = /^data-ld-(.*)/.exec(res.name);\n        if (matches) {\n            exports.trigger(matches[1], res);\n        }\n    }\n\n    function _call(objectId, method, varargs) {\n        console.assert(objectId, "Attempted to call remote method without objectId set.");\n        var args = Array.prototype.slice.call(arguments, 2),\n            callback,\n            deferred = new $.Deferred();\n\n        // if the last argument is a function it is the callback function\n        if (typeof args[args.length - 1] === "function") {\n            callback = args.pop();\n        }\n\n        // Resolve node parameters\n        args = args.map(function (arg) {\n            if (arg && arg.nodeId) {\n                return arg.resolve();\n            }\n\n            return arg;\n        });\n\n        $.when.apply(undefined, args).done(function onResolvedAllNodes() {\n            var params = [];\n\n            args.forEach(function (arg) {\n                if (arg.objectId) {\n                    params.push({objectId: arg.objectId});\n                } else {\n                    params.push({value: arg});\n                }\n            });\n\n            Inspector.Runtime.callFunctionOn(objectId, method, params, undefined, callback)\n                .then(deferred.resolve, deferred.reject);\n        });\n\n        return deferred.promise();\n    }\n\n    /** Call a remote function\n     * The parameters are passed on to the remote functions. Nodes are resolved\n     * and sent as objectIds.\n     * @param {string} function name\n     */\n    function call(method, varargs) {\n        var argsArray = [_objectId, "_LD." + method];\n\n        if (arguments.length > 1) {\n            argsArray = argsArray.concat(Array.prototype.slice.call(arguments, 1));\n        }\n\n        return _call.apply(null, argsArray);\n    }\n\n    function _stopKeepAliveInterval() {\n        if (_intervalId) {\n            window.clearInterval(_intervalId);\n            _intervalId = null;\n        }\n    }\n\n    function _startKeepAliveInterval() {\n        _stopKeepAliveInterval();\n\n        _intervalId = window.setInterval(function () {\n            call("keepAlive");\n        }, 1000);\n    }\n\n    // WebInspector Event: Page.frameNavigated\n    function _onFrameNavigated(event, res) {\n        // res = {frame}\n        // Re-inject RemoteFunctions when navigating to a new page, but not if an iframe was loaded\n        if (res.frame.parentId) {\n            return;\n        }\n\n        _stopKeepAliveInterval();\n\n        // inject RemoteFunctions\n        var command = "window._LD=" + RemoteFunctions + "(" + LiveDevelopment.config.experimental + "," + PreferencesManager.get("livedev.wsPort") + ");";\n\n        Inspector.Runtime.evaluate(command, function onEvaluate(response) {\n            if (response.error || response.wasThrown) {\n                _load.reject(response.error);\n            } else {\n                _objectId = response.result.objectId;\n                _load.resolve();\n\n                _startKeepAliveInterval();\n            }\n        });\n    }\n\n    /** Initialize the agent */\n    function load() {\n        _load = new $.Deferred();\n        Inspector.Page.on("frameNavigated.RemoteAgent", _onFrameNavigated);\n        Inspector.Page.on("frameStartedLoading.RemoteAgent", _stopKeepAliveInterval);\n        Inspector.DOM.on("attributeModified.RemoteAgent", _onAttributeModified);\n\n        return _load.promise();\n    }\n\n    /** Clean up */\n    function unload() {\n        Inspector.Page.off(".RemoteAgent");\n        Inspector.DOM.off(".RemoteAgent");\n        _stopKeepAliveInterval();\n    }\n\n\n    EventDispatcher.makeEventDispatcher(exports);\n\n    // Export public functions\n    exports.call = call;\n    exports.load = load;\n    exports.unload = unload;\n});\n\n//# sourceURL=/LiveDevelopment/Agents/RemoteAgent.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * ScriptAgent tracks all executed scripts, defines internal breakpoints, and\n * interfaces with the remote debugger.\n */\ndefine(\'LiveDevelopment/Agents/ScriptAgent\',[\'require\',\'exports\',\'module\',\'LiveDevelopment/Inspector/Inspector\',\'LiveDevelopment/Agents/DOMAgent\'],function ScriptAgent(require, exports, module) {\n    "use strict";\n\n    var Inspector = require("LiveDevelopment/Inspector/Inspector");\n    var DOMAgent = require("LiveDevelopment/Agents/DOMAgent");\n\n    var _load; // the load promise\n    var _urlToScript; // url -> script info\n    var _idToScript; // id -> script info\n    var _insertTrace; // the last recorded trace of a DOM insertion\n\n    // TODO: should the parameter to this be an ID rather than a URL?\n    /** Get the script information for a given url\n     * @param {string} url\n     */\n    function scriptWithId(url) {\n        return _idToScript[url];\n    }\n\n    // TODO: Strip off query/hash strings from URL (see CSSAgent._canonicalize())\n    /** Get the script information for a given url\n     * @param {string} url\n     */\n    function scriptForURL(url) {\n        return _urlToScript[url];\n    }\n\n    // DOMAgent Event: Document root loaded\n    function _onGetDocument(event, res) {\n        Inspector.DOMDebugger.setDOMBreakpoint(res.root.nodeId, "subtree-modified");\n        _load.resolve();\n    }\n\n    // WebInspector Event: DOM.childNodeInserted\n    function _onChildNodeInserted(event, res) {\n        // res = {parentNodeId, previousNodeId, node}\n        if (_insertTrace) {\n            var node = DOMAgent.nodeWithId(res.node.nodeId);\n            node.trace = _insertTrace;\n            _insertTrace = undefined;\n        }\n    }\n\n    // TODO: Strip off query/hash strings from URL (see CSSAgent._canonicalize())\n    // WebInspector Event: Debugger.scriptParsed\n    function _onScriptParsed(event, res) {\n        // res = {scriptId, url, startLine, startColumn, endLine, endColumn, isContentScript, sourceMapURL}\n        _idToScript[res.scriptId] = res;\n        _urlToScript[res.url] = res;\n    }\n\n    // WebInspector Event: Debugger.scriptFailedToParse\n    function _onScriptFailedToParse(event, res) {\n        // res = {url, scriptSource, startLine, errorLine, errorMessage}\n    }\n\n    // WebInspector Event: Debugger.paused\n    function _onPaused(event, res) {\n        // res = {callFrames, reason, data}\n        switch (res.reason) {\n\n        // Exception\n        case "exception":\n            Inspector.Debugger.resume();\n            // var callFrame = res.callFrames[0];\n            // var script = scriptWithId(callFrame.location.scriptId);\n            break;\n\n        // DOMBreakpoint\n        case "DOM":\n            Inspector.Debugger.resume();\n            if (res.data.type === "subtree-modified" && res.data.insertion === true) {\n                _insertTrace = res.callFrames;\n            }\n            break;\n        }\n\n    }\n\n    function _reset() {\n        _urlToScript = {};\n        _idToScript = {};\n    }\n\n    /**\n     * @private\n     * WebInspector Event: Page.frameNavigated\n     * @param {jQuery.Event} event\n     * @param {frame: Frame} res\n     */\n    function _onFrameNavigated(event, res) {\n        // Clear maps when navigating to a new page, but not if an iframe was loaded\n        if (!res.frame.parentId) {\n            _reset();\n        }\n    }\n\n    /** Initialize the agent */\n    function load() {\n        _reset();\n        _load = new $.Deferred();\n\n        var enableResult = new $.Deferred();\n\n        Inspector.Debugger.enable().done(function () {\n            Inspector.Debugger.setPauseOnExceptions("uncaught").done(function () {\n                enableResult.resolve();\n            });\n        });\n\n        Inspector.Page.on("frameNavigated.ScriptAgent", _onFrameNavigated);\n        DOMAgent.on("getDocument.ScriptAgent", _onGetDocument);\n        Inspector.Debugger\n            .on("scriptParsed.ScriptAgent", _onScriptParsed)\n            .on("scriptFailedToParse.ScriptAgent", _onScriptFailedToParse)\n            .on("paused.ScriptAgent", _onPaused);\n        Inspector.DOM.on("childNodeInserted.ScriptAgent", _onChildNodeInserted);\n\n        return $.when(_load.promise(), enableResult.promise());\n    }\n\n    /** Clean up */\n    function unload() {\n        _reset();\n        Inspector.Page.off(".ScriptAgent");\n        DOMAgent.off(".ScriptAgent");\n        Inspector.Debugger.off(".ScriptAgent");\n        Inspector.DOM.off(".ScriptAgent");\n    }\n\n    // Export public functions\n    exports.scriptWithId = scriptWithId;\n    exports.scriptForURL = scriptForURL;\n    exports.load = load;\n    exports.unload = unload;\n});\n\n//# sourceURL=/LiveDevelopment/Agents/ScriptAgent.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n\n/*jslint forin: true, regexp: true */\n\n/**\n * GotoAgent constructs and responds to the in-browser goto dialog.\n */\ndefine(\'LiveDevelopment/Agents/GotoAgent\',[\'require\',\'exports\',\'module\',\'utils/Global\',\'LiveDevelopment/Inspector/Inspector\',\'LiveDevelopment/Agents/DOMAgent\',\'LiveDevelopment/Agents/ScriptAgent\',\'LiveDevelopment/Agents/RemoteAgent\',\'editor/EditorManager\',\'command/CommandManager\',\'command/Commands\'],function GotoAgent(require, exports, module) {\n    "use strict";\n\n    require("utils/Global");\n\n    var Inspector = require("LiveDevelopment/Inspector/Inspector"),\n        DOMAgent = require("LiveDevelopment/Agents/DOMAgent"),\n        ScriptAgent = require("LiveDevelopment/Agents/ScriptAgent"),\n        RemoteAgent = require("LiveDevelopment/Agents/RemoteAgent"),\n        EditorManager = require("editor/EditorManager"),\n        CommandManager = require("command/CommandManager"),\n        Commands = require("command/Commands");\n\n\n    /** Return the URL without the query string\n     * @param {string} URL\n     */\n    function _urlWithoutQueryString(url) {\n        var index = url.search(/[#\\?]/);\n        if (index >= 0) {\n            url = url.substr(0, index);\n        }\n        return url;\n    }\n\n    /** Get the file component of the given url\n     * @param {string} URL\n     */\n    function _fileFromURL(url) {\n        var comp = url.split("/");\n        return comp[comp.length - 1];\n    }\n\n    /** Make the given node a target for goto\n     * @param [] targets array\n     * @param {DOMNode} node\n     */\n    function _makeHTMLTarget(targets, node) {\n        if (node.location) {\n            var url = DOMAgent.url;\n            var location = node.location;\n            if (node.canHaveChildren()) {\n                location += node.length;\n            }\n            url += ":" + location;\n            var name = "&lt;" + node.name + "&gt;";\n            var file = _fileFromURL(url);\n            targets.push({"type": "html", "url": url, "name": name, "file": file});\n        }\n    }\n\n    /** Make the given css rule a target for goto\n     * @param [] targets array\n     * @param {CSS.Rule} node\n     */\n    function _makeCSSTarget(targets, rule) {\n        if (rule.sourceURL) {\n            var url = rule.sourceURL;\n            url += ":" + rule.style.range.start;\n            var name = rule.selectorList.text;\n            var file = _fileFromURL(url);\n            targets.push({"type": "css", "url": url, "name": name, "file": file});\n        }\n    }\n\n    /** Make the given javascript callFrame the target for goto\n     * @param [] targets array\n     * @param {Debugger.CallFrame} node\n     */\n    function _makeJSTarget(targets, callFrame) {\n        var script = ScriptAgent.scriptWithId(callFrame.location.scriptId);\n        if (script && script.url) {\n            var url = script.url;\n            url += ":" + callFrame.location.lineNumber + "," + callFrame.location.columnNumber;\n            var name = callFrame.functionName;\n            if (name === "") {\n                name = "anonymous function";\n            }\n            var file = _fileFromURL(url);\n            targets.push({"type": "js", "url": url, "name": name, "file": file});\n        }\n    }\n\n    /** Gather options where to go to from the given source node */\n    function _onRemoteShowGoto(event, res) {\n        // res = {nodeId, name, value}\n        var node = DOMAgent.nodeWithId(res.nodeId);\n\n        // get all css rules that apply to the given node\n        Inspector.CSS.getMatchedStylesForNode(node.nodeId, function onMatchedStyles(res) {\n            var i, targets = [];\n            _makeHTMLTarget(targets, node);\n            for (i in node.trace) {\n                _makeJSTarget(targets, node.trace[i]);\n            }\n            for (i in node.events) {\n                var trace = node.events[i];\n                _makeJSTarget(targets, trace.callFrames[0]);\n            }\n            for (i in res.matchedCSSRules.reverse()) {\n                _makeCSSTarget(targets, res.matchedCSSRules[i].rule);\n            }\n            RemoteAgent.call("showGoto", targets);\n        });\n    }\n\n    /** Point the master editor to the given location\n     * @param {integer} location in file\n     */\n    function openLocation(location, noFlash) {\n        var editor = EditorManager.getCurrentFullEditor();\n        var codeMirror = editor._codeMirror;\n        if (typeof location === "number") {\n            location = codeMirror.posFromIndex(location);\n        }\n        codeMirror.setCursor(location);\n        editor.focus();\n\n        if (!noFlash) {\n            codeMirror.addLineClass(location.line, "wrap", "flash");\n            window.setTimeout(function () {\n                codeMirror.removeLineClass(location.line, "wrap", "flash");\n            }, 1000);\n        }\n    }\n\n    /** Open the editor at the given url and editor location\n     * @param {string} url\n     * @param {integer} optional location in file\n     */\n    function open(url, location, noFlash) {\n        console.assert(url.substr(0, 7) === "file://", "Cannot open non-file URLs");\n\n        var result = new $.Deferred();\n\n        url = _urlWithoutQueryString(url);\n        // Extract the path, also strip the third slash when on Windows\n        var path = url.slice(brackets.platform === "win" ? 8 : 7);\n        // URL-decode the path (\'%20\' => \' \')\n        path = decodeURI(path);\n        var promise = CommandManager.execute(Commands.FILE_OPEN, {fullPath: path});\n        promise.done(function onDone(doc) {\n            if (location) {\n                openLocation(location, noFlash);\n            }\n            result.resolve();\n        });\n        promise.fail(function onErr(err) {\n            console.error(err);\n            result.reject(err);\n        });\n\n        return result.promise();\n    }\n\n    /** Go to the given source node */\n    function _onRemoteGoto(event, res) {\n        // res = {nodeId, name, value}\n        var location, url = res.value;\n        var matches = /^(.*):([^:]+)$/.exec(url);\n        if (matches) {\n            url = matches[1];\n            location = matches[2].split(",");\n            if (location.length === 1) {\n                location = parseInt(location[0], 10);\n            } else {\n                location = { line: parseInt(location[0], 10), ch: parseInt(location[1], 10) };\n            }\n        }\n        open(url, location);\n    }\n\n    /** Initialize the agent */\n    function load() {\n        RemoteAgent\n            .on("showgoto.GotoAgent", _onRemoteShowGoto)\n            .on("goto.GotoAgent", _onRemoteGoto);\n    }\n\n    /** Initialize the agent */\n    function unload() {\n        RemoteAgent.off(".GotoAgent");\n    }\n\n    // Export public functions\n    exports.openLocation = openLocation;\n    exports.open = open;\n    exports.load = load;\n    exports.unload = unload;\n});\n\n//# sourceURL=/LiveDevelopment/Agents/GotoAgent.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * EditAgent propagates changes from the in-document editor to the source\n * document.\n */\ndefine(\'LiveDevelopment/Agents/EditAgent\',[\'require\',\'exports\',\'module\',\'LiveDevelopment/Inspector/Inspector\',\'LiveDevelopment/Agents/DOMAgent\',\'LiveDevelopment/Agents/RemoteAgent\',\'LiveDevelopment/Agents/GotoAgent\',\'editor/EditorManager\'],function EditAgent(require, exports, module) {\n    "use strict";\n\n    var Inspector = require("LiveDevelopment/Inspector/Inspector");\n    var DOMAgent = require("LiveDevelopment/Agents/DOMAgent");\n    var RemoteAgent = require("LiveDevelopment/Agents/RemoteAgent");\n    var GotoAgent = require("LiveDevelopment/Agents/GotoAgent");\n\n    var EditorManager = require("editor/EditorManager");\n\n    var _editedNode;\n\n    /** Find changed characters\n     * @param {string} old value\n     * @param {string} changed value\n     * @return {from, to, text}\n     */\n    function _findChangedCharacters(oldValue, value) {\n        if (oldValue === value) {\n            return undefined;\n        }\n        var length = oldValue.length;\n        var index = 0;\n\n        // find the first character that changed\n        var i;\n        for (i = 0; i < length; i++) {\n            if (value[i] !== oldValue[i]) {\n                break;\n            }\n        }\n        index += i;\n        value = value.substr(i);\n        length -= i;\n\n        // find the last character that changed\n        for (i = 0; i < length; i++) {\n            if (value[value.length - 1 - i] !== oldValue[oldValue.length - 1 - i]) {\n                break;\n            }\n        }\n        length -= i;\n        value = value.substr(0, value.length - i);\n\n        return { from: index, to: index + length, text: value };\n    }\n\n    // WebInspector Event: DOM.characterDataModified\n    function _onCharacterDataModified(event, res) {\n        // res = {nodeId, characterData}\n        if (_editedNode.nodeId !== res.nodeId) {\n            return;\n        }\n\n        GotoAgent.open(DOMAgent.url);\n        var editor = EditorManager.getCurrentFullEditor();\n        var codeMirror = editor._codeMirror;\n        var change = _findChangedCharacters(_editedNode.value, res.characterData);\n        if (change) {\n            var from = codeMirror.posFromIndex(_editedNode.location + change.from);\n            var to = codeMirror.posFromIndex(_editedNode.location + change.to);\n            exports.isEditing = true;\n            editor.document.replaceRange(change.text, from, to);\n            exports.isEditing = false;\n\n            var newPos = codeMirror.posFromIndex(_editedNode.location + change.from + change.text.length);\n            editor.setCursorPos(newPos.line, newPos.ch);\n        }\n    }\n\n    // Remote Event: Go to the given source node\n    function _onRemoteEdit(event, res) {\n        // res = {nodeId, name, value}\n\n        // detach from DOM change events\n        if (res.value === "0") {\n            Inspector.DOM.off(".EditAgent");\n            return;\n        }\n\n        // find and store the edited node\n        var node = DOMAgent.nodeWithId(res.nodeId);\n        node = node.children[0];\n        if (!node.location) {\n            return;\n        }\n        _editedNode = node;\n\n        // attach to character data modified events\n        Inspector.DOM.on("characterDataModified.EditAgent", _onCharacterDataModified);\n    }\n\n    /** Initialize the agent */\n    function load() {\n        RemoteAgent.on("edit.EditAgent", _onRemoteEdit);\n    }\n\n    /** Initialize the agent */\n    function unload() {\n        RemoteAgent.off(".EditAgent");\n    }\n\n    // Export public functions\n    exports.load = load;\n    exports.unload = unload;\n});\n\n//# sourceURL=/LiveDevelopment/Agents/EditAgent.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*jslint regexp: true */\n\n/**\n * DOMHelpers is a collection of functions used by the DOMAgent exports `eachNode(src, callback)`\n */\ndefine(\'LiveDevelopment/Agents/DOMHelpers\',[\'require\',\'exports\',\'module\'],function DOMHelpersModule(require, exports, module) {\n    "use strict";\n\n    /** Test if the given character is a quote character\n     * {char} source character\n     * {char} escape (previous) character\n     * {char} quote character\n     */\n    function _isQuote(c, escape, quote) {\n        if (escape === "\\\\") {\n            return false;\n        }\n        if (quote !== undefined) {\n            return c === quote;\n        }\n        return c === "\\"" || c === "\'";\n    }\n\n    /** Remove quotes from the string and adjust escaped quotes\n     * @param {string} source string\n     */\n    function _removeQuotes(src) {\n        if (_isQuote(src[0]) && src[src.length - 1] === src[0]) {\n            var q = src[0];\n            src = src.substr(1, src.length - 2);\n            src = src.replace("\\\\" + q, q);\n        }\n        return src;\n    }\n\n    /** Find the next match using several constraints\n     * @param {string} source string\n     * @param {string} or [{regex}, {length}] the match definition\n     * @param {integer} ignore characters before this offset\n     * @param {boolean} watch for quotes\n     * @param [{string},{string}] watch for comments\n     */\n    function _find(src, match, skip, quotes, comments) {\n        if (typeof match === "string") {\n            match = [match, match.length];\n        }\n        if (skip === undefined) {\n            skip = 0;\n        }\n        var i, activeQuote, isComment = false;\n        for (i = skip; i < src.length; i++) {\n            if (quotes && _isQuote(src[i], src[i - 1], activeQuote)) {\n                // starting quote\n                activeQuote = activeQuote ? undefined : src[i];\n            } else if (!activeQuote) {\n                if (comments && !isComment && src.substr(i, comments[0].length) === comments[0]) {\n                    // opening comment\n                    isComment = true;\n                    i += comments[0].length - 1;\n                } else if (isComment) {\n                    // we are commented\n                    if (src.substr(i, comments[1].length) === comments[1]) {\n                        isComment = false;\n                        i += comments[1].length - 1;\n                    }\n                } else if (src.substr(i, match[1]).search(match[0]) === 0) {\n                    // match\n                    return i;\n                }\n            }\n        }\n        return -1;\n    }\n\n    /** Callback iterator using `_find` */\n    function _findEach(src, match, quotes, comments, callback) {\n        var from = 0;\n        var to;\n        while (from < src.length) {\n            to = _find(src, match, from, quotes, comments);\n            if (to < 0) {\n                to = src.length;\n            }\n            callback(src.substr(from, to - from));\n            from = to + 1;\n        }\n    }\n\n    /** Find the next tag\n     * @param {string} source string\n     * @param {integer} ignore characters before this offset\n     */\n    function _findTag(src, skip) {\n        var from, to, inc;\n        from = _find(src, [/<[a-z!\\/]/i, 2], skip);\n        if (from < 0) {\n            return null;\n        }\n        if (src.substr(from, 4) === "<!--") {\n            // html comments\n            to = _find(src, "-->", from + 4);\n            inc = 3;\n        } else if (src.substr(from, 7).toLowerCase() === "<script") {\n            // script tag\n            to = _find(src.toLowerCase(), "</script>", from + 7);\n            inc = 9;\n        } else if (src.substr(from, 6).toLowerCase() === "<style") {\n            // style tag\n            to = _find(src.toLowerCase(), "</style>", from + 6);\n            inc = 8;\n        } else {\n            to = _find(src, ">", from + 1, true);\n            inc = 1;\n        }\n        if (to < 0) {\n            return null;\n        }\n        return {from: from, length: to + inc - from};\n    }\n\n    /** Extract tag attributes from the given source of a single tag\n     * @param {string} source content\n     */\n    function _extractAttributes(content) {\n\n        // remove the node name and the closing bracket and optional slash\n        content = content.replace(/^<\\S+\\s*/, "");\n        content = content.replace(/\\s*\\/?>$/, "");\n        if (content.length === 0) {\n            return;\n        }\n\n        // go through the items and identify key value pairs split by =\n        var index, key, value;\n        var attributes = {};\n        _findEach(content, [/\\s/, 1], true, undefined, function each(item) {\n            index = item.search("=");\n            if (index < 0) {\n                return;\n            }\n\n            // get the key\n            key = item.substr(0, index).trim();\n            if (key.length === 0) {\n                return;\n            }\n\n            // get the value\n            value = item.substr(index + 1).trim();\n            value = _removeQuotes(value);\n            attributes[key] = value;\n        });\n\n        return attributes;\n    }\n\n    /** Extract the node payload\n     * @param {string} source content\n     */\n    function extractPayload(content) {\n        var payload = {};\n\n        if (content[0] !== "<") {\n            // text\n            payload.nodeType = 3;\n            payload.nodeValue = content;\n        } else if (content.substr(0, 4) === "<!--") {\n            // comment\n            payload.nodeType = 8;\n            payload.nodeValue = content.substr(4, content.length - 7);\n        } else if (content[1] === "!") {\n            // doctype\n            payload.nodeType = 10;\n        } else {\n            // regular element\n            payload.nodeType = 1;\n            payload.nodeName = /^<([^>\\s]+)/.exec(content)[1].toUpperCase();\n            payload.attributes = _extractAttributes(content);\n\n            // closing node (/ at the beginning)\n            if (payload.nodeName[0] === "/") {\n                payload.nodeName = payload.nodeName.substr(1);\n                payload.closing = true;\n            }\n\n            // closed node (/ at the end)\n            if (content[content.length - 2] === "/") {\n                payload.closed = true;\n            }\n\n            // Special handling for script/style tag since we\'ve already collected\n            // everything up to the end tag.\n            if (payload.nodeName === "SCRIPT" || payload.nodeName === "STYLE") {\n                payload.closed = true;\n            }\n        }\n        return payload;\n    }\n\n    /** Split the source string into payloads representing individual nodes\n     * @param {string} source\n     * @param {function(payload)} callback\n     */\n    // split a string into individual node contents\n    function eachNode(src, callback) {\n        var index = 0;\n        var text, range, length, payload;\n        while (index < src.length) {\n\n            // find the next tag\n            range = _findTag(src, index);\n            if (!range) {\n                range = { from: src.length, length: 0 };\n            }\n\n            // add the text before the tag\n            length = range.from - index;\n            if (length > 0) {\n                text = src.substr(index, length);\n                if (/\\S/.test(text)) {\n                    payload = extractPayload(text);\n                    payload.sourceOffset = index;\n                    payload.sourceLength = length;\n                    callback(payload);\n                }\n            }\n\n            // add the tag\n            if (range.length > 0) {\n                payload = extractPayload(src.substr(range.from, range.length));\n                payload.sourceOffset = range.from;\n                payload.sourceLength = range.length;\n                callback(payload);\n            }\n\n            // advance\n            index = range.from + range.length;\n        }\n    }\n\n    // Export public functions\n    exports.extractPayload = extractPayload;\n    exports.eachNode = eachNode;\n});\n\n//# sourceURL=/LiveDevelopment/Agents/DOMHelpers.js'),
eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*jslint forin: true */\n\n/**\n * DOMNode represents a node in the DOM tree. It is constructed from a payload\n * similar to {DOM.Node} and supports all basic tree operations. If a node has\n * a nodeId it is registered with the `DOMAgent` via `addNode()`. The node\'s\n * sourceOffset and sourceLength is stored as its location and length. Nodes can\n * iterated using `each()` or `find()`. `dump` shows the entire tree on the console.\n */\ndefine(\'LiveDevelopment/Agents/DOMNode\',[\'require\',\'exports\',\'module\',\'LiveDevelopment/Agents/DOMHelpers\'],function DOMNodeModule(require, exports, module) {\n    "use strict";\n\n    var DOMHelpers = require("LiveDevelopment/Agents/DOMHelpers");\n\n    /** Fill a string to the given length (used for debug output)\n     * @param {string} source string\n     * @param {integer} length\n     * @param {char} fill character\n     */\n    function _fill(string, length, c) {\n        if (c === undefined) {\n            c = " ";\n        }\n        while (string.length < length) {\n            string += c;\n        }\n        return string;\n    }\n\n    /** Construct a find condition (used in `find` and `findParent`)\n     * The match can be a callback returning true or false, the node\n     * name or the node type.\n     * @param {function} or {string} or {number} match criteria\n     */\n    function _makeFindCondition(match) {\n        switch (typeof match) {\n        case "function":\n            return match;\n        case "string":\n            return function findCondition(name, node) {\n                return node.name === name;\n            }.bind(undefined, match.toUpperCase());\n        case "number":\n            return function findCondition(type, node) {\n                return node.type === type;\n            }.bind(undefined, match);\n        default:\n            console.error("Invalid find condition: " + match);\n        }\n    }\n\n    /** Constructor\n     * @param {DOMAgent} the agent is passed to avoid circular relationships\n     * @param {DOM.Node} node payload\n     */\n    var DOMNode = function DOMNode(agent, payload) {\n        this.agent = agent;\n        this.children = [];\n        this.attributes = {};\n\n        // set the payload\n        if (typeof payload === "string") {\n            payload = DOMHelpers.extractPayload(payload);\n        }\n        if (payload) {\n            this.setPayload(payload);\n        }\n        this.agent.addNode(this);\n    };\n\n    var TYPE_ELEMENT = DOMNode.TYPE_ELEMENT = 1; // element node\n    var TYPE_ATTRIBUTE = DOMNode.TYPE_ATTRIBUTE = 2; // attribute node (unused)\n    var TYPE_TEXT = DOMNode.TYPE_TEXT = 3; // text node\n    var TYPE_COMMENT = DOMNode.TYPE_COMMENT = 8; // comment node <!-- -->\n    var TYPE_DOCUMENT = DOMNode.TYPE_DOCUMENT = 9; // document node <!DOCUMENT>\n\n    /** Remove a node */\n    DOMNode.prototype.remove = function remove() {\n        this.agent.removeNode(this);\n        if (this.parent) {\n            this.parent.removeChild(this);\n        }\n    };\n\n\n    /** Node Payload ***********************************************************/\n\n    /** Set the node payload\n     * @param {DOM.Node} payload\n     */\n    DOMNode.prototype.setPayload = function setPayload(payload) {\n        this.nodeId = payload.nodeId;\n        this.type = payload.nodeType;\n        if (payload.nodeName) {\n            this.name = payload.nodeName;\n        }\n        if (payload.nodeValue) {\n            this.value = payload.nodeValue;\n        }\n        this.attributes = {};\n        if (payload.attributes) {\n            var i, k, v;\n            for (i = 0; i < payload.attributes.length; i += 2) {\n                k = payload.attributes[i];\n                v = payload.attributes[i + 1];\n                this.attributes[k] = v;\n            }\n        }\n        if (payload.sourceOffset) {\n            this.location = payload.sourceOffset;\n        }\n        if (payload.sourceLength) {\n            this.length = payload.sourceLength;\n        } else {\n            if (this.value) {\n                this.length = this.value.length;\n            } else if (this.name) {\n                this.length = this.name.length + 2;\n            }\n        }\n        if (payload.children) {\n            this.setChildrenPayload(payload.children);\n        } else if (payload.childNodeCount) {\n            this.agent.requestChildNodes(this);\n        }\n    };\n\n    /** Create child nodes from the given payload\n     * @param [{DOM.Node}] payload of the children\n     */\n    DOMNode.prototype.setChildrenPayload = function setChildrenPayload(childrenPayload) {\n        var i, payload, node;\n        for (i in childrenPayload) {\n            payload = childrenPayload[i];\n            node = new DOMNode(this.agent, payload);\n            this.appendChild(node);\n        }\n    };\n\n    /** Construct the payload for this node */\n    DOMNode.prototype.payload = function payload() {\n        var res = { type: this.type };\n        if (this.nodeType === TYPE_ELEMENT) {\n            res.nodeName = this.name;\n        } else {\n            res.value = this.value;\n        }\n        return res;\n    };\n\n    /** Find the next node that matches the given payload\n     * @param {DOM.Node} payload\n     */\n    DOMNode.prototype.findParentForNextNodeMatchingPayload = function findParentForNextNodeMatchingPayload(payload) {\n        var parent = this.canHaveChildren() ? this : this.parent;\n        while (parent && !parent.matchesPayload(payload)) {\n            parent = parent.parent;\n        }\n        return parent;\n    };\n\n    /** Find the next node that matches the given payload\n     * @param {DOM.Node} payload\n     */\n    DOMNode.prototype.findNextNodeMatchingPayload = function findNextNodeMatchingPayload(payload) {\n        var next = this.nextNode();\n        while (next && !next.matchesPayload(payload)) {\n            next = next.nextNode();\n        }\n        return next;\n    };\n\n    /** Test if the node matches the given payload\n     * @param {DOM.Node} payload\n     */\n    DOMNode.prototype.matchesPayload = function matchesPayload(payload) {\n        var r = false;\n        if (this.type === payload.nodeType) {\n            switch (this.type) {\n            case 1:\n                r = this.name === payload.nodeName;\n                break;\n            case 3:\n                // TODO payload.nodeValue\'s HTML Entities must be decoded\n                // r = this.value === payload.nodeValue;\n                r = true;\n                break;\n            default:\n                r = true;\n            }\n        }\n        // Useful output for debugging this - do not remove\n        // console.debug(this.type + "," + this.name + "," + this.value + " = " + payload.nodeType + "," + payload.nodeName + "," + payload.value + " -> " + r);\n        return r;\n    };\n\n    /** Resolve the node and retrieve its objectId from the remote debugger */\n    DOMNode.prototype.resolve = function resolve() {\n        var def = new $.Deferred();\n        if (this.objectId) {\n            def.resolve(this);\n        } else if (!this.nodeId) {\n            def.reject();\n        } else {\n            this.agent.resolveNode(this, function onResolve(res) {\n                this.objectId = res.object.objectId;\n                def.resolve(this);\n            }.bind(this));\n        }\n        return def.promise();\n    };\n\n\n    /** Tree Operations ******************************************************/\n\n    /** Can the node have children? */\n    DOMNode.prototype.canHaveChildren = function canHaveChildren() {\n        return (this.type === 1 && !this.closed && !this.closing && this.nodeName !== "LINK");\n    };\n\n    /** Remove a child\n     * @param {DOMNode} child node to remove\n     */\n    DOMNode.prototype.removeChild = function removeChild(node) {\n        this.children.splice(this.indexOfChild(node), 1);\n        delete node.parent;\n    };\n\n    /** Insert a child node at the given index\n     * @param {DOMNode} node to insert\n     * @param {integer} optional index (node is appended if missing)\n     */\n    DOMNode.prototype.insertChildAt = function insertChildAt(node, index) {\n        if (node.parent) {\n            node.parent.removeChild(node);\n        }\n        if (!index || index < 0 || index > this.children.length) {\n            index = this.children.length;\n        }\n        this.children.splice(index, 0, node);\n        node.parent = this;\n        return node;\n    };\n\n    /** Append a child to this node\n     * @param {DOMNode} child node to append\n     */\n    DOMNode.prototype.appendChild = function appendChild(node) {\n        return this.insertChildAt(node);\n    };\n\n    /** Insert a child node after the given node\n     * @param {DOMNode} child node to insert\n     * @param {DOMNode} existing child node\n     */\n    DOMNode.prototype.insertChildAfter = function insertChildAfter(node, sibling) {\n        var index = this.indexOfChild(sibling);\n        if (index >= 0) {\n            index++;\n        }\n        return this.insertChildAt(node, index);\n    };\n\n    /** Insert a child node before the given node\n     * @param {DOMNode} child node to insert\n     * @param {DOMNode} existing child node\n     */\n    DOMNode.prototype.insertChildBefore = function insertChildBefore(node, sibling) {\n        var index = this.indexOfChild(sibling);\n        return this.insertChildAt(node, index);\n    };\n\n    /** Determine the index of a child node\n     * @param {DOMNode} child node\n     */\n    DOMNode.prototype.indexOfChild = function indexOfChild(node) {\n        if (!node) {\n            return -1;\n        }\n        var i;\n        for (i in this.children) {\n            if (this.children[i] === node) {\n                return parseInt(i, 0);\n            }\n        }\n        return -1;\n    };\n\n    /** Get the previous sibling */\n    DOMNode.prototype.previousSibling = function previousSibling() {\n        if (!this.parent) {\n            return null;\n        }\n        return this.parent.children[this.parent.indexOfChild(this) - 1];\n    };\n\n    /** Get the next sibling */\n    DOMNode.prototype.nextSibling = function nextSibling() {\n        if (!this.parent) {\n            return null;\n        }\n        return this.parent.children[this.parent.indexOfChild(this) + 1];\n    };\n\n    /** Get the previous node */\n    DOMNode.prototype.previousNode = function previousNode() {\n        var node = this.previousSibling();\n        if (node) {\n            if (node.children.length > 0) {\n                node = node.children[node.children.length - 1];\n            }\n        } else {\n            node = this.parent;\n        }\n        return node;\n    };\n\n    /** Get the next node */\n    DOMNode.prototype.nextNode = function nextNode() {\n        if (this.children.length > 0) {\n            // return the first child\n            return this.children[0];\n        }\n        // return this or any ancestor\'s next sibling\n        var node, parent = this;\n        while (parent) {\n            node = parent.nextSibling();\n            if (node) {\n                return node;\n            }\n            parent = parent.parent;\n        }\n        return null;\n    };\n\n    /** Traverse the tree\n     * @param {function({DOM.Node})} called for this node and all descendants\n     */\n    DOMNode.prototype.each = function each(callback) {\n        if (callback(this) === false) {\n            return false;\n        }\n        var i;\n        for (i in this.children) {\n            if (this.children[i].each(callback) === false) {\n                return false;\n            }\n        }\n        return true;\n    };\n\n    /** Find a node in the tree\n     * @param {function} or {string} or {integer} find condition\n     */\n    DOMNode.prototype.find = function find(match) {\n        var findCondition = _makeFindCondition(match);\n        var node = null;\n        this.each(function each(n) {\n            if (findCondition(n)) {\n                node = n;\n                return false;\n            }\n        });\n        return node;\n    };\n\n    /** Find all nodes with the given find condition\n     * @param {function} or {string} or {integer} find condition\n     */\n    DOMNode.prototype.findAll = function findAll(match) {\n        var nodes = [];\n        var findCondition = _makeFindCondition(match);\n        this.each(function each(node) {\n            if (findCondition(node)) {\n                nodes.push(node);\n            }\n        });\n        return nodes;\n    };\n\n    /** Iterate over all parent nodes\n     * @param {function({DOM.Node})} called for each ancestor\n     */\n    DOMNode.prototype.eachParent = function eachParent(callback) {\n        var node = this.parent;\n        while (node) {\n            if (callback(node) === false) {\n                return;\n            }\n            node = node.parent;\n        }\n        return null;\n    };\n\n    /** Find a parent node that matches the find condition\n     * @param {function} or {string} or {integer} find condition\n     */\n    DOMNode.prototype.findParent = function findParent(findCondition) {\n        var theParent = null;\n        this.eachParent(function each(parent) {\n            if (findCondition(parent)) {\n                theParent = parent;\n                return false;\n            }\n        });\n        return theParent;\n    };\n\n    /** Find the root of the tree */\n    DOMNode.prototype.root = function root() {\n        var node = this;\n        while (node.parent) {\n            node = node.parent;\n        }\n        return node;\n    };\n\n\n   /** Node Info ***********************************************************/\n\n   /** Test if the given location is inside this node\n    * @param {integer} location\n    * @param {boolean} also include children\n    */\n    DOMNode.prototype.isAtLocation = function isAtLocation(location, includeChildren) {\n        if (includeChildren === undefined) {\n            includeChildren = true;\n        }\n        if (!this.location || location < this.location) {\n            return false;\n        }\n        var to;\n        if (includeChildren && this.closeLocation) {\n            to = this.closeLocation + this.closeLength;\n        } else {\n            to = this.location + this.length;\n        }\n        if (this.type === TYPE_TEXT) {\n            to += 1;\n        }\n        return location < to;\n    };\n\n    /** Test if this node is empty */\n    DOMNode.prototype.isEmpty = function isEmpty() {\n        return this.type === TYPE_TEXT && /^\\s*$/.test(this.value);\n    };\n\n    /** Debug Output */\n    DOMNode.prototype.toString = function toString() {\n        var r;\n        switch (this.type) {\n        case TYPE_ELEMENT:\n            r = "<" + this.name + ">";\n            break;\n        case TYPE_ATTRIBUTE:\n            r = "[ATTRIBUTE]";\n            break;\n        case TYPE_TEXT:\n            r = this.value.replace(/\\s+/, " ").substr(0, 40);\n            break;\n        case TYPE_COMMENT:\n            r = "<!--" + this.value.replace(/\\s+/, " ").substr(0, 33) + "-->";\n            break;\n        case TYPE_DOCUMENT:\n            r = "<!DOCTYPE>";\n            break;\n        }\n        return r;\n    };\n\n    /** Detailed Debug Output */\n    DOMNode.prototype.dump = function dump(pre) {\n        if (pre === undefined) {\n            pre = "";\n        }\n        var r = pre + this.toString();\n        if (this.location) {\n            r = _fill(r, 60);\n            r += " (" + this.location + "," + (this.location + this.length) + ")";\n            if (this.closeLocation) {\n                r += " (" + this.closeLocation + "," + (this.closeLocation + this.closeLength) + ")";\n            }\n        }\n        if (this.nodeId) {\n            r = _fill(r, 80);\n            r += " {" + this.nodeId + "}";\n        }\n        console.info(r);\n        pre += ". ";\n        var i;\n        for (i in this.children) {\n            this.children[i].dump(pre);\n        }\n    };\n\n    return DOMNode;\n});\n\n//# sourceURL=/LiveDevelopment/Agents/DOMNode.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * DOMAgent constructs and maintains a tree of {DOMNode}s that represents the\n * rendered DOM tree in the remote browser. Nodes can be accessed by id or\n * location (source offset). To update the DOM tree in response to a change of\n * the source document (replace [from,to] with text) call\n * `applyChange(from, to, text)`.\n *\n * The DOMAgent triggers `getDocument` once it has loaded\n * the document.\n */\ndefine(\'LiveDevelopment/Agents/DOMAgent\',[\'require\',\'exports\',\'module\',\'LiveDevelopment/Inspector/Inspector\',\'utils/EventDispatcher\',\'LiveDevelopment/Agents/EditAgent\',\'LiveDevelopment/Agents/DOMNode\',\'LiveDevelopment/Agents/DOMHelpers\'],function DOMAgent(require, exports, module) {\n    "use strict";\n\n    var Inspector       = require("LiveDevelopment/Inspector/Inspector"),\n        EventDispatcher = require("utils/EventDispatcher"),\n        EditAgent       = require("LiveDevelopment/Agents/EditAgent"),\n        DOMNode         = require("LiveDevelopment/Agents/DOMNode"),\n        DOMHelpers      = require("LiveDevelopment/Agents/DOMHelpers");\n\n    var _load; // {$.Deferred} load promise\n    var _idToNode; // {nodeId -> node}\n    var _pendingRequests; // {integer} number of pending requests before initial loading is complete\n\n    /** Get the last node before the given location\n     * @param {integer} location\n     */\n    function nodeBeforeLocation(location) {\n        var node;\n        exports.root.each(function each(n) {\n            if (!n.location || location < n.location) {\n                return true;\n            }\n            if (!node || node.location < n.location) {\n                node = n;\n            }\n        });\n        return node;\n    }\n\n    /** Get the element node that encloses the given location\n     * @param {location}\n     */\n    function allNodesAtLocation(location) {\n        var nodes = [];\n        exports.root.each(function each(n) {\n            if (n.type === DOMNode.TYPE_ELEMENT && n.isAtLocation(location)) {\n                nodes.push(n);\n            }\n        });\n        return nodes;\n    }\n\n    /** Get the node at the given location\n     * @param {location}\n     */\n    function nodeAtLocation(location) {\n        return exports.root.find(function each(n) {\n            return n.isAtLocation(location, false);\n        });\n    }\n\n    /** Find the node for the given id\n     * @param {DOMNode} node\n     */\n    function nodeWithId(nodeId) {\n        return _idToNode[nodeId];\n    }\n\n    /** Update the node index\n     * @param {DOMNode} node\n     */\n    function removeNode(node) {\n        if (node.nodeId) {\n            delete _idToNode[node.nodeId];\n        }\n    }\n\n    /** Update the node index\n     * @param {DOMNode} node\n     */\n    function addNode(node) {\n        if (node.nodeId) {\n            _idToNode[node.nodeId] = node;\n        }\n    }\n\n    /** Request the child nodes for a node\n     * @param {DOMNode} node\n     */\n    function requestChildNodes(node) {\n        if (_pendingRequests >= 0) {\n            _pendingRequests++;\n        }\n        Inspector.DOM.requestChildNodes(node.nodeId);\n    }\n\n    /** Eliminate the query string from a URL\n     * @param {string} URL\n     */\n    function _cleanURL(url) {\n        var index = url.search(/[#\\?]/);\n        if (index >= 0) {\n            url = url.substr(0, index);\n        }\n        return url;\n    }\n\n    /** Map the DOM document to the source text\n     * @param {string} source\n     */\n    function _mapDocumentToSource(source) {\n        var node = exports.root;\n        DOMHelpers.eachNode(source, function each(payload) {\n            if (!node) {\n                return true;\n            }\n            if (payload.closing) {\n                var parent = node.findParentForNextNodeMatchingPayload(payload);\n                if (!parent) {\n                    return console.warn("Matching Parent not at " + payload.sourceOffset + " (" + payload.nodeName + ")");\n                }\n                parent.closeLocation = payload.sourceOffset;\n                parent.closeLength = payload.sourceLength;\n            } else {\n                var next = node.findNextNodeMatchingPayload(payload);\n                if (!next) {\n                    return console.warn("Skipping Source Node at " + payload.sourceOffset);\n                }\n                node = next;\n                node.location = payload.sourceOffset;\n                node.length = payload.sourceLength;\n                if (payload.closed) {\n                    node.closed = payload.closed;\n                }\n            }\n        });\n    }\n\n    /** Load the source document and match it with the DOM tree*/\n    function _onFinishedLoadingDOM() {\n        var request = new XMLHttpRequest();\n        request.open("GET", exports.url);\n        request.onload = function onLoad() {\n            if ((request.status >= 200 && request.status < 300) ||\n                    request.status === 304 || request.status === 0) {\n                _mapDocumentToSource(request.response);\n                _load.resolve();\n            } else {\n                var msg = "Received status " + request.status + " from XMLHttpRequest while attempting to load source file at " + exports.url;\n                _load.reject(msg, { message: msg });\n            }\n        };\n        request.onerror = function onError() {\n            var msg = "Could not load source file at " + exports.url;\n            _load.reject(msg, { message: msg });\n        };\n        request.send(null);\n    }\n\n    // WebInspector Event: Page.loadEventFired\n    function _onLoadEventFired(event, res) {\n        // res = {timestamp}\n        Inspector.DOM.getDocument(function onGetDocument(res) {\n            exports.trigger("getDocument", res);\n            // res = {root}\n            _idToNode = {};\n            _pendingRequests = 0;\n            exports.root = new DOMNode(exports, res.root);\n        });\n    }\n\n    // WebInspector Event: Page.frameNavigated\n    function _onFrameNavigated(event, res) {\n        // res = {frame}\n        if (!res.frame.parentId) {\n            exports.url = _cleanURL(res.frame.url);\n        }\n    }\n\n     // WebInspector Event: DOM.documentUpdated\n    function _onDocumentUpdated(event, res) {\n        // res = {}\n    }\n\n    // WebInspector Event: DOM.setChildNodes\n    function _onSetChildNodes(event, res) {\n        // res = {parentId, nodes}\n        var node = nodeWithId(res.parentId);\n        node.setChildrenPayload(res.nodes);\n        if (_pendingRequests > 0 && --_pendingRequests === 0) {\n            _onFinishedLoadingDOM();\n        }\n    }\n\n    // WebInspector Event: DOM.childNodeCountUpdated\n    function _onChildNodeCountUpdated(event, res) {\n        // res = {nodeId, childNodeCount}\n        if (res.nodeId > 0) {\n            Inspector.DOM.requestChildNodes(res.nodeId);\n        }\n    }\n\n    // WebInspector Event: DOM.childNodeInserted\n    function _onChildNodeInserted(event, res) {\n        // res = {parentNodeId, previousNodeId, node}\n        if (res.node.nodeId > 0) {\n            var parent = nodeWithId(res.parentNodeId);\n            var previousNode = nodeWithId(res.previousNodeId);\n            var node = new DOMNode(exports, res.node);\n            parent.insertChildAfter(node, previousNode);\n        }\n    }\n\n    // WebInspector Event: DOM.childNodeRemoved\n    function _onChildNodeRemoved(event, res) {\n        // res = {parentNodeId, nodeId}\n        if (res.nodeId > 0) {\n            var node = nodeWithId(res.nodeId);\n            node.remove();\n        }\n    }\n\n    /** Apply a change\n     * @param {integer} start offset of the change\n     * @param {integer} end offset of the change\n     * @param {string} change text\n     */\n    function applyChange(from, to, text) {\n        var delta = from - to + text.length;\n        var node = nodeAtLocation(from);\n\n        // insert a text node\n        if (!node) {\n            if (!(/^\\s*$/).test(text)) {\n                console.warn("Inserting nodes not supported.");\n                node = nodeBeforeLocation(from);\n            }\n        } else if (node.type === 3) {\n            // update a text node\n            var value = node.value.substr(0, from - node.location);\n            value += text;\n            value += node.value.substr(to - node.location);\n            node.value = value;\n            if (!EditAgent.isEditing) {\n                // only update the DOM if the change was not caused by the edit agent\n                Inspector.DOM.setNodeValue(node.nodeId, node.value);\n            }\n        } else {\n            console.warn("Changing non-text nodes not supported.");\n        }\n\n        // adjust the location of all nodes after the change\n        if (node) {\n            node.length += delta;\n            exports.root.each(function each(n) {\n                if (n.location > node.location) {\n                    n.location += delta;\n                }\n                if (n.closeLocation !== undefined && n.closeLocation > node.location) {\n                    n.closeLocation += delta;\n                }\n            });\n        }\n    }\n\n    /** Enable the domain */\n    function enable() {\n        return Inspector.DOM.enable();\n    }\n\n    /** Disable the domain */\n    function disable() {\n        return Inspector.DOM.disable();\n    }\n\n\n    /** Initialize the agent */\n    function load() {\n        _load = new $.Deferred();\n        Inspector.Page\n            .on("frameNavigated.DOMAgent", _onFrameNavigated)\n            .on("loadEventFired.DOMAgent", _onLoadEventFired);\n        Inspector.DOM\n            .on("documentUpdated.DOMAgent", _onDocumentUpdated)\n            .on("setChildNodes.DOMAgent", _onSetChildNodes)\n            .on("childNodeCountUpdated.DOMAgent", _onChildNodeCountUpdated)\n            .on("childNodeInserted.DOMAgent", _onChildNodeInserted)\n            .on("childNodeRemoved.DOMAgent", _onChildNodeRemoved);\n        return _load.promise();\n    }\n\n    /** Clean up */\n    function unload() {\n        Inspector.Page.off(".DOMAgent");\n        Inspector.DOM.off(".DOMAgent");\n    }\n\n\n    EventDispatcher.makeEventDispatcher(exports);\n\n    // Export private functions\n    exports.enable = enable;\n    exports.disable = disable;\n    exports.nodeBeforeLocation = nodeBeforeLocation;\n    exports.allNodesAtLocation = allNodesAtLocation;\n    exports.nodeAtLocation = nodeAtLocation;\n    exports.nodeWithId = nodeWithId;\n    exports.removeNode = removeNode;\n    exports.addNode = addNode;\n    exports.requestChildNodes = requestChildNodes;\n    exports.applyChange = applyChange;\n    exports.load = load;\n    exports.unload = unload;\n});\n\n//# sourceURL=/LiveDevelopment/Agents/DOMAgent.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * HighlightAgent dispatches events for highlight requests from in-browser\n * highlight requests, and allows highlighting nodes and rules in the browser.\n *\n * Trigger "highlight" when a node should be highlighted\n */\ndefine(\'LiveDevelopment/Agents/HighlightAgent\',[\'require\',\'exports\',\'module\',\'LiveDevelopment/Agents/DOMAgent\',\'utils/EventDispatcher\',\'LiveDevelopment/Inspector/Inspector\',\'LiveDevelopment/LiveDevelopment\',\'LiveDevelopment/Agents/RemoteAgent\',\'thirdparty/lodash\'],function HighlightAgent(require, exports, module) {\n    "use strict";\n\n    var DOMAgent        = require("LiveDevelopment/Agents/DOMAgent"),\n        EventDispatcher = require("utils/EventDispatcher"),\n        Inspector       = require("LiveDevelopment/Inspector/Inspector"),\n        LiveDevelopment = require("LiveDevelopment/LiveDevelopment"),\n        RemoteAgent     = require("LiveDevelopment/Agents/RemoteAgent"),\n        _               = require("thirdparty/lodash");\n\n    var _highlight = {}; // active highlight\n\n    // Remote Event: Highlight\n    function _onRemoteHighlight(event, res) {\n        var node;\n        if (res.value === "1") {\n            node = DOMAgent.nodeWithId(res.nodeId);\n        }\n        exports.trigger("highlight", node);\n    }\n\n    /** Hide in-browser highlighting */\n    function hide() {\n        switch (_highlight.type) {\n        case "node":\n            Inspector.DOM.hideHighlight();\n            break;\n        case "css":\n            RemoteAgent.call("hideHighlight");\n            break;\n        }\n        _highlight = {};\n    }\n\n    /** Highlight a single node using DOM.highlightNode\n     * @param {DOMNode} node\n     */\n    function node(n) {\n        if (!LiveDevelopment.config.experimental) {\n            return;\n        }\n\n        if (!Inspector.config.highlight) {\n            return;\n        }\n\n        // go to the parent of a text node\n        if (n && n.type === 3) {\n            n = n.parent;\n        }\n\n        // node cannot be highlighted\n        if (!n || !n.nodeId || n.type !== 1) {\n            return hide();\n        }\n\n        // node is already highlighted\n        if (_highlight.type === "node" && _highlight.ref === n.nodeId) {\n            return;\n        }\n\n        // highlight the node\n        _highlight = {type: "node", ref: n.nodeId};\n        Inspector.DOM.highlightNode(n.nodeId, Inspector.config.highlightConfig);\n    }\n\n    /** Highlight all nodes affected by a CSS rule\n     * @param {string} rule selector\n     */\n    function rule(name) {\n        if (_highlight.ref === name) {\n            return;\n        }\n        hide();\n        _highlight = {type: "css", ref: name};\n        RemoteAgent.call("highlightRule", name);\n    }\n\n    /** Highlight all nodes with \'data-brackets-id\' value\n     * that matches id, or if id is an array, matches any of the given ids.\n     * @param {string|Array<string>} value of the \'data-brackets-id\' to match,\n     * or an array of such.\n     */\n    function domElement(ids) {\n        var selector = "";\n        if (!Array.isArray(ids)) {\n            ids = [ids];\n        }\n        _.each(ids, function (id) {\n            if (selector !== "") {\n                selector += ",";\n            }\n            selector += "[data-brackets-id=\'" + id + "\']";\n        });\n        rule(selector);\n    }\n\n    /**\n     * Redraw active highlights\n     */\n    function redraw() {\n        RemoteAgent.call("redrawHighlights");\n    }\n\n    /** Initialize the agent */\n    function load() {\n        if (LiveDevelopment.config.experimental) {\n            RemoteAgent.on("highlight.HighlightAgent", _onRemoteHighlight);\n        }\n    }\n\n    /** Clean up */\n    function unload() {\n        if (LiveDevelopment.config.experimental) {\n            RemoteAgent.off(".HighlightAgent");\n        }\n    }\n\n\n    EventDispatcher.makeEventDispatcher(exports);\n\n    // Export public functions\n    exports.hide = hide;\n    exports.node = node;\n    exports.rule = rule;\n    exports.domElement = domElement;\n    exports.redraw = redraw;\n    exports.load = load;\n    exports.unload = unload;\n});\n\n//# sourceURL=/LiveDevelopment/Agents/HighlightAgent.js'),
eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*jslint forin: true */\n\n/**\n * CSSDocument manages a single CSS source document\n *\n * __EDITING__\n *\n * Editing the document will cause the style sheet to be reloaded via the\n * CSSAgent, which immediately updates the appearance of the rendered document.\n *\n * __HIGHLIGHTING__\n *\n * CSSDocument supports highlighting nodes from the HighlightAgent and\n * highlighting all DOMNode corresponding to the rule at the cursor position\n * in the editor.\n *\n * __EVENTS__\n *\n * CSSDocument dispatches these events:\n *\n * - deleted -- When the file for the underlying Document has been deleted.\n *   The 2nd argument to the listener will be this CSSDocument.\n */\ndefine(\'LiveDevelopment/Documents/CSSDocument\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'utils/EventDispatcher\',\'LiveDevelopment/Agents/CSSAgent\',\'language/CSSUtils\',\'editor/EditorManager\',\'LiveDevelopment/Agents/HighlightAgent\',\'LiveDevelopment/Inspector/Inspector\'],function CSSDocumentModule(require, exports, module) {\n    "use strict";\n\n    var _               = require("thirdparty/lodash"),\n        EventDispatcher = require("utils/EventDispatcher"),\n        CSSAgent        = require("LiveDevelopment/Agents/CSSAgent"),\n        CSSUtils        = require("language/CSSUtils"),\n        EditorManager   = require("editor/EditorManager"),\n        HighlightAgent  = require("LiveDevelopment/Agents/HighlightAgent"),\n        Inspector       = require("LiveDevelopment/Inspector/Inspector");\n\n    /**\n     * @constructor\n     * @param {!Document} doc The source document from Brackets\n     * @param {!Editor} editor The editor for this document\n     */\n    var CSSDocument = function CSSDocument(doc, editor) {\n        this.doc = doc;\n\n        this._highlight = [];\n        this.onHighlight = this.onHighlight.bind(this);\n        this.onCursorActivity = this.onCursorActivity.bind(this);\n\n        // Add a ref to the doc since we\'re listening for change events\n        this.doc.addRef();\n        this.onChange = this.onChange.bind(this);\n        this.onDeleted = this.onDeleted.bind(this);\n\n        this.doc.on("change.CSSDocument", this.onChange);\n        this.doc.on("deleted.CSSDocument", this.onDeleted);\n\n        this.onActiveEditorChange = this.onActiveEditorChange.bind(this);\n        EditorManager.on("activeEditorChange", this.onActiveEditorChange);\n\n        if (editor) {\n            // Attach now\n            this.attachToEditor(editor);\n        }\n    };\n    EventDispatcher.makeEventDispatcher(CSSDocument.prototype);\n\n    /**\n     * @private\n     * Get the CSSStyleSheetHeader for this document\n     */\n    CSSDocument.prototype._getStyleSheetHeader = function () {\n        return CSSAgent.styleForURL(this.doc.url);\n    };\n\n    /**\n     * Get the browser version of the source\n     * @return {jQuery.promise} Promise resolved with the text content of this CSS document\n     */\n    CSSDocument.prototype.getSourceFromBrowser = function getSourceFromBrowser() {\n        function getOnlyValue(obj) {\n            var key;\n            for (key in obj) {\n                if (_.has(obj, key)) {\n                    return obj[key];\n                }\n            }\n            return null;\n        }\n\n        var deferred = new $.Deferred(),\n            styleSheetHeader = this._getStyleSheetHeader(),\n            styleSheet = getOnlyValue(styleSheetHeader);\n\n        if (styleSheet) {\n            Inspector.CSS.getStyleSheetText(styleSheet.styleSheetId).then(function (res) {\n                deferred.resolve(res.text);\n            }, deferred.reject);\n        } else {\n            deferred.reject();\n        }\n\n        return deferred.promise();\n    };\n\n    /** Close the document */\n    CSSDocument.prototype.close = function close() {\n        this.doc.off(".CSSDocument");\n        EditorManager.off("activeEditorChange", this.onActiveEditorChange);\n        this.doc.releaseRef();\n        this.detachFromEditor();\n    };\n\n    /**\n     * @private\n     * Update the style sheet text content and redraw highlights\n     */\n    CSSDocument.prototype._updateBrowser = function () {\n        var reloadPromise = CSSAgent.reloadCSSForDocument(this.doc);\n\n        if (Inspector.config.highlight) {\n            reloadPromise.done(HighlightAgent.redraw);\n        }\n    };\n\n    CSSDocument.prototype.attachToEditor = function (editor) {\n        this.editor = editor;\n\n        if (this.editor) {\n            HighlightAgent.on("highlight", this.onHighlight);\n            this.editor.on("cursorActivity.CSSDocument", this.onCursorActivity);\n            this.updateHighlight();\n        }\n    };\n\n    CSSDocument.prototype.detachFromEditor = function () {\n        if (this.editor) {\n            HighlightAgent.hide();\n            HighlightAgent.off("highlight", this.onHighlight);\n            this.editor.off(".CSSDocument");\n            this.onHighlight();\n            this.editor = null;\n        }\n    };\n\n    CSSDocument.prototype.updateHighlight = function () {\n        if (Inspector.config.highlight && this.editor) {\n            var editor = this.editor,\n                selectors = [];\n            _.each(this.editor.getSelections(), function (sel) {\n                var selector = CSSUtils.findSelectorAtDocumentPos(editor, (sel.reversed ? sel.end : sel.start));\n                if (selector) {\n                    selectors.push(selector);\n                }\n            });\n            if (selectors.length) {\n                HighlightAgent.rule(selectors.join(","));\n            } else {\n                HighlightAgent.hide();\n            }\n        }\n    };\n\n    /**\n     * Enable instrumented CSS\n     * @param enabled {boolean}\n     */\n    CSSDocument.prototype.setInstrumentationEnabled = function setInstrumentationEnabled(enabled) {\n        // no-op\n        // "Instrumentation" is always enabled for CSS, we make no modifications\n    };\n\n    /**\n     * Returns true if document edits appear live in the connected browser\n     * @return {boolean}\n     */\n    CSSDocument.prototype.isLiveEditingEnabled = function () {\n        return true;\n    };\n\n    /**\n     * Returns a JSON object with HTTP response overrides\n     * @return {{body: string}}\n     */\n    CSSDocument.prototype.getResponseData = function getResponseData(enabled) {\n        // Serve up the in-memory text, including any unsaved changes\n        return {\n            body: this.doc.getText()\n        };\n    };\n\n    /** Event Handlers *******************************************************/\n\n    /** Triggered on cursor activity of the editor */\n    CSSDocument.prototype.onCursorActivity = function onCursorActivity(event, editor) {\n        this.updateHighlight();\n    };\n\n    /** Triggered whenever the Document is edited */\n    CSSDocument.prototype.onChange = function onChange(event, editor, change) {\n        this._updateBrowser();\n    };\n\n    /** Triggered if the Document\'s file is deleted */\n    CSSDocument.prototype.onDeleted = function onDeleted(event, editor, change) {\n        // clear the CSS\n        CSSAgent.clearCSSForDocument(this.doc);\n\n        // shut down, since our Document is now dead\n        this.close();\n        this.trigger("deleted", this);\n    };\n\n    /** Triggered when the active editor changes */\n    CSSDocument.prototype.onActiveEditorChange = function (event, newActive, oldActive) {\n        this.detachFromEditor();\n\n        if (newActive && newActive.document === this.doc) {\n            this.attachToEditor(newActive);\n        }\n    };\n\n    /** Triggered by the HighlightAgent to highlight a node in the editor */\n    CSSDocument.prototype.onHighlight = function onHighlight(event, node) {\n        // clear an existing highlight\n        var i;\n        for (i in this._highlight) {\n            this._highlight[i].clear();\n        }\n        this._highlight = [];\n        if (!node || !node.location) {\n            return;\n        }\n\n        // WebInspector Command: CSS.getMatchedStylesForNode\n        Inspector.CSS.getMatchedStylesForNode(node.nodeId, function onGetMatchesStyles(res) {\n            // res = {matchedCSSRules, pseudoElements, inherited}\n            var codeMirror = this.editor._codeMirror,\n                styleSheetIds = this._getStyleSheetHeader();\n\n            var i, rule, from, to;\n            for (i in res.matchedCSSRules) {\n                rule = res.matchedCSSRules[i];\n                if (rule.ruleId && styleSheetIds[rule.ruleId.styleSheetId]) {\n                    from = codeMirror.posFromIndex(rule.selectorRange.start);\n                    to = codeMirror.posFromIndex(rule.style.range.end);\n                    this._highlight.push(codeMirror.markText(from, to, { className: "highlight" }));\n                }\n            }\n        }.bind(this));\n    };\n\n    // Export the class\n    module.exports = CSSDocument;\n});\n\n//# sourceURL=/LiveDevelopment/Documents/CSSDocument.js'),eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * CSSPreprocessorDocument manages a single LESS or SASS source document\n *\n * __HIGHLIGHTING__\n *\n * CSSPreprocessorDocument supports highlighting all DOMNode corresponding to the rule at\n * the cursor position in the editor.\n *\n */\ndefine(\'LiveDevelopment/Documents/CSSPreprocessorDocument\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'utils/EventDispatcher\',\'language/CSSUtils\',\'editor/EditorManager\',\'LiveDevelopment/Agents/HighlightAgent\',\'LiveDevelopment/Inspector/Inspector\'],function CSSPreprocessorDocumentModule(require, exports, module) {\n    "use strict";\n\n    var _               = require("thirdparty/lodash"),\n        EventDispatcher = require("utils/EventDispatcher"),\n        CSSUtils        = require("language/CSSUtils"),\n        EditorManager   = require("editor/EditorManager"),\n        HighlightAgent  = require("LiveDevelopment/Agents/HighlightAgent"),\n        Inspector       = require("LiveDevelopment/Inspector/Inspector");\n\n    /**\n     * @constructor\n     * @param {!Document} doc The source document from Brackets\n     * @param {?Editor} editor The editor for this document. This is not used here since\n     *                  we always need to get the active editor for a preprocessor document\n     *                  and not the one passed in `editor`.\n     */\n    var CSSPreprocessorDocument = function CSSPreprocessorDocument(doc, editor) {\n        this.doc = doc;\n\n        this.onCursorActivity = this.onCursorActivity.bind(this);\n\n        // Add a ref to the doc since we\'re listening for change events\n        this.doc.addRef();\n        this.onActiveEditorChange = this.onActiveEditorChange.bind(this);\n        EditorManager.on("activeEditorChange", this.onActiveEditorChange);\n        this.onActiveEditorChange(null, EditorManager.getActiveEditor(), null);\n    };\n\n    // CSSPreprocessorDocument doesn\'t dispatch events, but the "live document" interface requires an on() API\n    EventDispatcher.makeEventDispatcher(CSSPreprocessorDocument.prototype);\n\n    /** Close the document */\n    CSSPreprocessorDocument.prototype.close = function close() {\n        this.doc.off(".CSSPreprocessorDocument");\n        EditorManager.off("activeEditorChange", this.onActiveEditorChange);\n        this.doc.releaseRef();\n        this.detachFromEditor();\n    };\n\n    /** Return false so edits cause "out of sync" icon to appear */\n    CSSPreprocessorDocument.prototype.isLiveEditingEnabled = function () {\n        // Normally this isn\'t called since wasURLRequested() returns false for us, but if user\'s\n        // page uses less.js to dynamically load LESS files, then it\'ll be true and we\'ll get called.\n        return false;\n    };\n\n    CSSPreprocessorDocument.prototype.attachToEditor = function (editor) {\n        this.editor = editor;\n\n        if (this.editor) {\n            this.editor.on("cursorActivity.CSSPreprocessorDocument", this.onCursorActivity);\n            this.updateHighlight();\n        }\n    };\n\n    CSSPreprocessorDocument.prototype.detachFromEditor = function () {\n        if (this.editor) {\n            HighlightAgent.hide();\n            this.editor.off(".CSSPreprocessorDocument");\n            this.editor = null;\n        }\n    };\n\n    CSSPreprocessorDocument.prototype.updateHighlight = function () {\n        if (Inspector.config.highlight && this.editor) {\n            var editor = this.editor,\n                selectors = [];\n            _.each(this.editor.getSelections(), function (sel) {\n                var selector = CSSUtils.findSelectorAtDocumentPos(editor, (sel.reversed ? sel.end : sel.start));\n                if (selector) {\n                    selectors.push(selector);\n                }\n            });\n            if (selectors.length) {\n                HighlightAgent.rule(selectors.join(","));\n            } else {\n                HighlightAgent.hide();\n            }\n        }\n    };\n\n    /** Event Handlers *******************************************************/\n\n    /** Triggered on cursor activity of the editor */\n    CSSPreprocessorDocument.prototype.onCursorActivity = function onCursorActivity(event, editor) {\n        this.updateHighlight();\n    };\n\n    /** Triggered when the active editor changes */\n    CSSPreprocessorDocument.prototype.onActiveEditorChange = function (event, newActive, oldActive) {\n        this.detachFromEditor();\n\n        if (newActive && newActive.document === this.doc) {\n            this.attachToEditor(newActive);\n        }\n    };\n\n    // Export the class\n    module.exports = CSSPreprocessorDocument;\n});\n\n//# sourceURL=/LiveDevelopment/Documents/CSSPreprocessorDocument.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * HTMLDocument manages a single HTML source document\n *\n * __EDITING__\n *\n * Editing the document will cause the corresponding node to be updated\n * by calling `applyChanges` on the DOMAgent. This will only work for\n * altering text nodes and will break when attempting to change DOM elements\n * or inserting or deleting nodes.\n *\n * __HIGHLIGHTING__\n *\n * HTMLDocument supports highlighting nodes from the HighlightAgent and\n * highlighting the DOMNode corresponding to the cursor position in the\n * editor.\n */\ndefine(\'LiveDevelopment/Documents/HTMLDocument\',[\'require\',\'exports\',\'module\',\'editor/EditorManager\',\'utils/EventDispatcher\',\'LiveDevelopment/Agents/HighlightAgent\',\'language/HTMLInstrumentation\',\'LiveDevelopment/Inspector/Inspector\',\'LiveDevelopment/LiveDevelopment\',\'utils/PerfUtils\',\'LiveDevelopment/Agents/RemoteAgent\',\'thirdparty/lodash\'],function HTMLDocumentModule(require, exports, module) {\n    "use strict";\n\n    var EditorManager       = require("editor/EditorManager"),\n        EventDispatcher     = require("utils/EventDispatcher"),\n        HighlightAgent      = require("LiveDevelopment/Agents/HighlightAgent"),\n        HTMLInstrumentation = require("language/HTMLInstrumentation"),\n        Inspector           = require("LiveDevelopment/Inspector/Inspector"),\n        LiveDevelopment     = require("LiveDevelopment/LiveDevelopment"),\n        PerfUtils           = require("utils/PerfUtils"),\n        RemoteAgent         = require("LiveDevelopment/Agents/RemoteAgent"),\n        _                   = require("thirdparty/lodash");\n\n    /**\n     * @constructor\n     * @param {!Document} doc The source document from Brackets\n     * @param {!Editor} editor The editor for this document\n     */\n    var HTMLDocument = function HTMLDocument(doc, editor) {\n        this.doc = doc;\n        if (this.doc) {\n            this.doc.addRef();\n        }\n\n        this.editor = editor;\n        this._instrumentationEnabled = false;\n\n        this._onActiveEditorChange = this._onActiveEditorChange.bind(this);\n        EditorManager.on("activeEditorChange", this._onActiveEditorChange);\n\n        // Attach now\n        this.attachToEditor(editor);\n    };\n    EventDispatcher.makeEventDispatcher(HTMLDocument.prototype);\n\n    /**\n     * Enable or disable instrumented HTML\n     * @param {boolean} enabled Whether to enable or disable\n     */\n    HTMLDocument.prototype.setInstrumentationEnabled = function setInstrumentationEnabled(enabled) {\n        if (enabled && !this._instrumentationEnabled && this.editor) {\n            HTMLInstrumentation.scanDocument(this.doc);\n            HTMLInstrumentation._markText(this.editor);\n        }\n\n        this._instrumentationEnabled = enabled;\n    };\n\n    /**\n     * Returns true if document edits appear live in the connected browser\n     * @return {boolean}\n     */\n    HTMLDocument.prototype.isLiveEditingEnabled = function () {\n        return this._instrumentationEnabled;\n    };\n\n    /**\n     * Returns a JSON object with HTTP response overrides\n     * @param {boolean} enabled (Unused)\n     * @return {{body: string}}\n     */\n    HTMLDocument.prototype.getResponseData = function getResponseData(enabled) {\n        var body;\n        if (this._instrumentationEnabled) {\n            if (this.editor) {\n                body = HTMLInstrumentation.generateInstrumentedHTML(this.editor);\n            } else {\n                this.doc._ensureMasterEditor();\n                body = HTMLInstrumentation.generateInstrumentedHTML(this.doc._masterEditor);\n            }\n        }\n\n        return {\n            body: body || this.doc.getText()\n        };\n    };\n\n    /**\n     * Close the document\n     */\n    HTMLDocument.prototype.close = function close() {\n        if (this.editor) {\n            this.editor.off(".HTMLDocument");\n        }\n\n        if (this.doc) {\n            this.doc.releaseRef();\n        }\n\n        EditorManager.off("activeEditorChange", this._onActiveEditorChange);\n\n        // Experimental code\n        if (LiveDevelopment.config.experimental) {\n            // Force highlight teardown\n            this._onHighlight();\n        }\n    };\n\n    /**\n     * Attach new editor\n     * @param {!Editor} editor The editor for this document\n     */\n    HTMLDocument.prototype.attachToEditor = function (editor) {\n        var self = this;\n        this.editor = editor;\n\n        // Performance optimization to use closures instead of Function.bind()\n        // to improve responsiveness during cursor movement and keyboard events\n        this.editor.on("cursorActivity.HTMLDocument", function (event, editor) {\n            self._onCursorActivity(event, editor);\n        });\n\n        this.editor.on("change.HTMLDocument", function (event, editor, change) {\n            self._onChange(event, editor, change);\n        });\n\n        this.editor.on("beforeDestroy.HTMLDocument", function (event, editor) {\n            self._onDestroy(event, editor);\n        });\n\n        // Experimental code\n        if (LiveDevelopment.config.experimental) {\n            HighlightAgent.on("highlight.HTMLDocument", function (event, node) {\n                self._onHighlight(event, node);\n            });\n        }\n\n        if (this._instrumentationEnabled) {\n            // Resync instrumentation with editor\n            HTMLInstrumentation._markText(this.editor);\n        }\n    };\n\n    /**\n     * Detach current editor\n     */\n    HTMLDocument.prototype.detachFromEditor = function () {\n        if (this.editor) {\n            HighlightAgent.hide();\n            this.editor.off(".HTMLDocument");\n            this._removeHighlight();\n            this.editor = null;\n        }\n    };\n\n    /**\n     * Update the highlight\n     */\n    HTMLDocument.prototype.updateHighlight = function () {\n        var editor = this.editor,\n            ids = [];\n\n        if (Inspector.config.highlight) {\n            if (editor) {\n                _.each(editor.getSelections(), function (sel) {\n                    var tagID = HTMLInstrumentation._getTagIDAtDocumentPos(\n                        editor,\n                        sel.reversed ? sel.end : sel.start\n                    );\n                    if (tagID !== -1) {\n                        ids.push(tagID);\n                    }\n                });\n            }\n\n            if (!ids.length) {\n                HighlightAgent.hide();\n            } else {\n                HighlightAgent.domElement(ids);\n            }\n        }\n    };\n\n    /** Event Handlers *******************************************************/\n\n    /**\n     * Triggered on cursor activity by the editor\n     * @param {$.Event} event Event\n     * @param {!Editor} editor The editor for this document\n     */\n    HTMLDocument.prototype._onCursorActivity = function (event, editor) {\n        if (this.editor !== editor) {\n            return;\n        }\n        this.updateHighlight();\n    };\n\n    /**\n     * @private\n     * For the given editor change, compare the resulting browser DOM with the\n     * in-editor DOM. If there are any diffs, a warning is logged to the\n     * console along with each diff.\n     * @param {Object} change CodeMirror editor change data\n     */\n    HTMLDocument.prototype._compareWithBrowser = function (change) {\n        var self = this;\n\n        RemoteAgent.call("getSimpleDOM").done(function (res) {\n            var browserSimpleDOM = JSON.parse(res.result.value),\n                edits,\n                node,\n                result;\n\n            try {\n                result = HTMLInstrumentation._getBrowserDiff(self.editor, browserSimpleDOM);\n            } catch (err) {\n                console.error("Error comparing in-browser DOM to in-editor DOM");\n                console.error(err.stack);\n                return;\n            }\n\n            edits = result.diff.filter(function (delta) {\n                // ignore textDelete in html root element\n                node = result.browser.nodeMap[delta.parentID];\n\n                if (node && node.tag === "html" && delta.type === "textDelete") {\n                    return false;\n                }\n\n                return true;\n            });\n\n            if (edits.length > 0) {\n                console.warn("Browser DOM does not match after change: " + JSON.stringify(change));\n\n                edits.forEach(function (delta) {\n                    console.log(delta);\n                });\n            }\n        });\n    };\n\n    /**\n     * Triggered when the editor is being destroyed\n     * @param {$.Event} event Event\n     * @param {!Editor} editor The editor being destroyed\n     */\n    HTMLDocument.prototype._onDestroy = function (event, editor) {\n        if (this.editor === editor) {\n            this.detachFromEditor();\n        }\n    };\n\n\n    /**\n     * Triggered on change by the editor\n     * @param {$.Event} event Event\n     * @param {!Editor} editor The editor for this document\n     * @param {Object} change CodeMirror editor change data\n     */\n    HTMLDocument.prototype._onChange = function (event, editor, change) {\n        // Make sure LiveHTML is turned on\n        if (!this._instrumentationEnabled) {\n            return;\n        }\n\n        // Apply DOM edits is async, so previous PerfUtils timer may still be\n        // running. PerfUtils does not support running multiple timers with same\n        // name, so do not start another timer in this case.\n        var perfTimerName   = "HTMLDocument applyDOMEdits",\n            isNestedTimer   = PerfUtils.isActive(perfTimerName);\n        if (!isNestedTimer) {\n            PerfUtils.markStart(perfTimerName);\n        }\n\n        // Only handles attribute changes currently.\n        // TODO: text changes should be easy to add\n        // TODO: if new tags are added, need to instrument them\n        var self                = this,\n            result              = HTMLInstrumentation.getUnappliedEditList(editor, change),\n            applyEditsPromise;\n\n        if (result.edits) {\n            applyEditsPromise = RemoteAgent.call("applyDOMEdits", result.edits);\n\n            applyEditsPromise.always(function () {\n                if (!isNestedTimer) {\n                    PerfUtils.addMeasurement(perfTimerName);\n                }\n            });\n        }\n\n        this.errors = result.errors || [];\n        this.trigger("statusChanged", this);\n\n        // Debug-only: compare in-memory vs. in-browser DOM\n        // edit this file or set a conditional breakpoint at the top of this function:\n        //     "this._debug = true, false"\n        if (this._debug) {\n            console.log("Edits applied to browser were:");\n            console.log(JSON.stringify(result.edits, null, 2));\n            applyEditsPromise.done(function () {\n                self._compareWithBrowser(change);\n            });\n        }\n\n//        var marker = HTMLInstrumentation._getMarkerAtDocumentPos(\n//            this.editor,\n//            editor.getCursorPos()\n//        );\n//\n//        if (marker && marker.tagID) {\n//            var range   = marker.find(),\n//                text    = marker.doc.getRange(range.from, range.to);\n//\n//            // HACK maintain ID\n//            text = text.replace(">", " data-brackets-id=\'" + marker.tagID + "\'>");\n//\n//            // FIXME incorrectly replaces body elements with content only, missing body element\n//            RemoteAgent.remoteElement(marker.tagID).replaceWith(text);\n//        }\n\n        // if (!this.editor) {\n        //     return;\n        // }\n        // var codeMirror = this.editor._codeMirror;\n        // while (change) {\n        //     var from = codeMirror.indexFromPos(change.from);\n        //     var to = codeMirror.indexFromPos(change.to);\n        //     var text = change.text.join("\\n");\n        //     DOMAgent.applyChange(from, to, text);\n        //     change = change.next;\n        // }\n    };\n\n    /**\n     * Triggered when the active editor changes\n     * @param {$.Event} event Event\n     * @param {!Editor} newActive The new active editor\n     * @param {!Editor} oldActive The old active editor\n     */\n    HTMLDocument.prototype._onActiveEditorChange = function (event, newActive, oldActive) {\n        this.detachFromEditor();\n\n        if (newActive && newActive.document === this.doc) {\n            this.attachToEditor(newActive);\n        }\n    };\n\n    /**\n     * Triggered by the HighlightAgent to highlight a node in the editor\n     * @param {$.Event} event Event\n     * @param {DOMElement} node Element to highlight\n     */\n    HTMLDocument.prototype._onHighlight = function (event, node) {\n        this._removeHighlight();\n        if (!node || !node.location || !this.editor) {\n            return;\n        }\n\n        var codeMirror = this.editor._codeMirror;\n        var to, from = codeMirror.posFromIndex(node.location);\n        if (node.closeLocation) {\n            to = node.closeLocation + node.closeLength;\n        } else {\n            to = node.location + node.length;\n        }\n\n        to = codeMirror.posFromIndex(to);\n        this._highlight = codeMirror.markText(from, to, { className: "highlight" });\n    };\n\n    /**\n     * Remove all highlighting\n     */\n    HTMLDocument.prototype._removeHighlight = function () {\n        if (this._highlight) {\n            this._highlight.clear();\n            this._highlight = null;\n        }\n    };\n\n    // Export the class\n    module.exports = HTMLDocument;\n});\n\n//# sourceURL=/LiveDevelopment/Documents/HTMLDocument.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*jslint forin: true */\n\n/**\n * JSDocument manages a single JavaScript source document\n *\n * __EDITING__\n *\n * Editing the document will cause the script to be reloaded via the\n * ScriptAgent, which updates the implementation of all functions without\n * loosing any state. To support redrawing canvases, jQuery must be loaded\n * and a rerender method must be attached to every canvas that clears and\n * renders the canvas.\n *\n * __HIGHLIGHTING__\n *\n * JSDocument supports highlighting nodes from the HighlightAgent. Support\n * for highlighting the nodes that were created / touched by the current\n * line is missing.\n */\ndefine(\'LiveDevelopment/Documents/JSDocument\',[\'require\',\'exports\',\'module\',\'utils/EventDispatcher\',\'LiveDevelopment/Inspector/Inspector\',\'LiveDevelopment/Agents/ScriptAgent\',\'LiveDevelopment/Agents/HighlightAgent\'],function JSDocumentModule(require, exports, module) {\n    "use strict";\n\n    var EventDispatcher = require("utils/EventDispatcher"),\n        Inspector       = require("LiveDevelopment/Inspector/Inspector"),\n        ScriptAgent     = require("LiveDevelopment/Agents/ScriptAgent"),\n        HighlightAgent  = require("LiveDevelopment/Agents/HighlightAgent");\n\n    /**\n     * @constructor\n     * @param {!Document} doc The source document from Brackets\n     * @param {!Editor} editor The editor for this document\n     */\n    var JSDocument = function JSDocument(doc, editor) {\n        if (!editor) {\n            return;\n        }\n        this.doc = doc;\n        this.editor = editor;\n        this.onHighlight = this.onHighlight.bind(this);\n        this.onChange = this.onChange.bind(this);\n        this.onCursorActivity = this.onCursorActivity.bind(this);\n        HighlightAgent.on("highlight", this.onHighlight);\n        this.editor.on("change", this.onChange);\n        this.editor.on("cursorActivity", this.onCursorActivity);\n        this.onCursorActivity();\n    };\n\n    // JSDocument doesn\'t dispatch events, but the "live document" interface requires having an on() API\n    EventDispatcher.makeEventDispatcher(JSDocument.prototype);\n\n    /** Close the document */\n    JSDocument.prototype.close = function close() {\n        if (!this.editor) {\n            return;\n        }\n        HighlightAgent.off("highlight", this.onHighlight);\n        this.editor.off("change", this.onChange);\n        this.editor.off("cursorActivity", this.onCursorActivity);\n        this.onHighlight();\n    };\n\n    JSDocument.prototype.script = function script() {\n        return ScriptAgent.scriptForURL(this.doc.url);\n    };\n\n\n    /** Event Handlers *******************************************************/\n\n    /** Triggered on cursor activity by the editor */\n    JSDocument.prototype.onCursorActivity = function onCursorActivity(event, editor) {\n    };\n\n    /** Triggered on change by the editor */\n    JSDocument.prototype.onChange = function onChange(event, editor, change) {\n        var src = this.doc.getText();\n        Inspector.Debugger.setScriptSource(this.script().scriptId, src, function onSetScriptSource(res) {\n            Inspector.Runtime.evaluate("if($)$(\\"canvas\\").each(function(i,e){if(e.rerender)e.rerender()})");\n        }.bind(this));\n    };\n\n    /** Triggered by the HighlightAgent to highlight a node in the editor */\n    JSDocument.prototype.onHighlight = function onHighlight(event, node) {\n        // clear an existing highlight\n        var codeMirror = this.editor._codeMirror;\n        var i;\n        for (i in this._highlight) {\n            codeMirror.removeLineClass(this._highlight[i], "wrap", "highlight");\n        }\n        this._highlight = [];\n        if (!node || !node.trace) {\n            return;\n        }\n\n        // go through the trace and find highlight the lines of this script\n        var scriptId = this.script().scriptId;\n        var callFrame, line;\n        for (i in node.trace) {\n            callFrame = node.trace[i];\n            if (callFrame.location && callFrame.location.scriptId === scriptId) {\n                line = callFrame.location.lineNumber;\n                codeMirror.addLineClass(line, "wrap", "highlight");\n                this._highlight.push(line);\n            }\n        }\n    };\n\n    // Export the class\n    module.exports = JSDocument;\n});\n\n//# sourceURL=/LiveDevelopment/Documents/JSDocument.js'),
eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * ConsoleAgent forwards all console message from the remote console to the\n * local console.\n */\ndefine(\'LiveDevelopment/Agents/ConsoleAgent\',[\'require\',\'exports\',\'module\',\'LiveDevelopment/Inspector/Inspector\'],function ConsoleAgent(require, exports, module) {\n    "use strict";\n\n    var Inspector = require("LiveDevelopment/Inspector/Inspector");\n\n    var _lastMessage; // {Console.ConsoleMessage} the last received message\n\n    /** Log a remote message to the local console\n     * @param {Console.ConsoleMessage} message\n     */\n    function _log(message) {\n        var level = message.level;\n        if (level === "warning") {\n            level = "warn";\n        }\n        var text = "ConsoleAgent: " + message.text;\n        if (message.url) {\n            text += " (url: " + message.url + ")";\n        }\n        if (message.stackTrace) {\n            var callFrame = message.stackTrace[0];\n            text += " in " + callFrame.functionName + ":" + callFrame.columnNumber;\n        }\n        console[level](text);\n    }\n\n    // WebInspector Event: Console.messageAdded\n    function _onMessageAdded(event, res) {\n        // res = {message}\n        _lastMessage = res.message;\n        _log(_lastMessage);\n    }\n\n    // WebInspector Event: Console.messageRepeatCountUpdated\n    function _onMessageRepeatCountUpdated(event, res) {\n        // res = {count}\n        if (_lastMessage) {\n            _log(_lastMessage);\n        }\n    }\n\n    // WebInspector Event: Console.messagesCleared\n    function _onMessagesCleared(event, res) {\n        // res = {}\n    }\n\n    /**\n     * Enable the inspector Console domain\n     * @return {jQuery.Promise} A promise resolved when the Console.enable() command is successful.\n     */\n    function enable() {\n        return Inspector.Console.enable();\n    }\n\n    /** Initialize the agent */\n    function load() {\n        Inspector.Console\n            .on("messageAdded.ConsoleAgent", _onMessageAdded)\n            .on("messageRepeatCountUpdated.ConsoleAgent", _onMessageRepeatCountUpdated)\n            .on("messagesCleared.ConsoleAgent", _onMessagesCleared);\n    }\n\n    /** Clean up */\n    function unload() {\n        Inspector.Console.off(".ConsoleAgent");\n    }\n\n    // Export public functions\n    exports.enable = enable;\n    exports.load = load;\n    exports.unload = unload;\n});\n\n//# sourceURL=/LiveDevelopment/Agents/ConsoleAgent.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * NetworkAgent tracks all resources loaded by the remote debugger. Use\n * `wasURLRequested(url)` to query whether a resource was loaded.\n */\ndefine(\'LiveDevelopment/Agents/NetworkAgent\',[\'require\',\'exports\',\'module\',\'LiveDevelopment/Inspector/Inspector\'],function NetworkAgent(require, exports, module) {\n    "use strict";\n\n    var Inspector = require("LiveDevelopment/Inspector/Inspector");\n\n    var _urlRequested = {}; // url -> request info\n\n    /** Return the URL without the query string\n     * @param {string} URL\n     */\n    function _urlWithoutQueryString(url) {\n        var index = url.search(/[#\\?]/);\n        if (index >= 0) {\n            url = url.substr(0, index);\n        }\n        return url;\n    }\n\n    /** Return the resource information for a given URL\n     * @param {string} url\n     */\n    function wasURLRequested(url) {\n        return _urlRequested && _urlRequested[url];\n    }\n\n    function _logURL(url) {\n        _urlRequested[_urlWithoutQueryString(url)] = true;\n    }\n\n    // WebInspector Event: Network.requestWillBeSent\n    function _onRequestWillBeSent(event, res) {\n        // res = {requestId, frameId, loaderId, documentURL, request, timestamp, initiator, stackTrace, redirectResponse}\n        _logURL(res.request.url);\n    }\n\n    function _reset() {\n        _urlRequested = {};\n    }\n\n    // WebInspector Event: Page.frameNavigated\n    function _onFrameNavigated(event, res) {\n        // res = {frame}\n        // Clear log when navigating to a new page, but not if an iframe was loaded\n        if (!res.frame.parentId) {\n            _reset();\n        }\n        _logURL(res.frame.url);\n    }\n\n    /**\n     * Enable the inspector Network domain\n     * @return {jQuery.Promise} A promise resolved when the Network.enable() command is successful.\n     */\n    function enable() {\n        return Inspector.Network.enable();\n    }\n\n    /** Initialize the agent */\n    function load() {\n        Inspector.Page.on("frameNavigated.NetworkAgent", _onFrameNavigated);\n        Inspector.Network.on("requestWillBeSent.NetworkAgent", _onRequestWillBeSent);\n    }\n\n    /** Unload the agent */\n    function unload() {\n        _reset();\n        Inspector.Page.off(".NetworkAgent");\n        Inspector.Network.off(".NetworkAgent");\n    }\n\n    // Export public functions\n    exports.wasURLRequested = wasURLRequested;\n    exports.enable = enable;\n    exports.load = load;\n    exports.unload = unload;\n});\n\n//# sourceURL=/LiveDevelopment/Agents/NetworkAgent.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*global open */\n\n/**\n * LiveDevelopment manages the Inspector, all Agents, and the active LiveDocument\n *\n * __STARTING__\n *\n * To start a session call `open`. This will read the currentDocument from brackets,\n * launch the LiveBrowser (currently Chrome) with the remote debugger port open,\n * establish the Inspector connection to the remote debugger, and finally load all\n * agents.\n *\n * __STOPPING__\n *\n * To stop a session call `close`. This will close the active browser window,\n * disconnect the Inspector, unload all agents, and clean up.\n *\n * __STATUS__\n *\n * Status updates are dispatched as `statusChange` jQuery events. The status\n * is passed as the first parameter and the reason for the change as the second\n * parameter. Currently only the "Inactive" status supports the reason parameter.\n * The status codes are:\n *\n *     -1: Error\n *      0: Inactive\n *      1: Connecting to the remote debugger\n *      2: Loading agents\n *      3: Active\n *      4: Out of sync\n *      5: Sync error\n *\n * The reason codes are:\n * - null (Unknown reason)\n * - "explicit_close" (LiveDevelopment.close() was called)\n * - "navigated_away" (The browser changed to a location outside of the project)\n * - "detached_target_closed" (The tab or window was closed)\n * - "detached_replaced_with_devtools" (The developer tools were opened in the browser)\n */\ndefine(\'LiveDevelopment/LiveDevelopment\',[\'require\',\'exports\',\'module\',\'utils/Global\',\'thirdparty/lodash\',\'utils/Async\',\'language/CSSUtils\',\'widgets/Dialogs\',\'widgets/DefaultDialogs\',\'document/DocumentManager\',\'editor/EditorManager\',\'utils/EventDispatcher\',\'LiveDevelopment/Servers/FileServer\',\'filesystem/FileSystemError\',\'file/FileUtils\',\'LiveDevelopment/LiveDevelopmentUtils\',\'LiveDevelopment/LiveDevServerManager\',\'view/MainViewManager\',\'utils/NativeApp\',\'preferences/PreferencesDialogs\',\'project/ProjectManager\',\'strings\',\'utils/StringUtils\',\'LiveDevelopment/Servers/UserServer\',\'LiveDevelopment/transports/WebSocketTransport\',\'preferences/PreferencesManager\',\'LiveDevelopment/Inspector/Inspector\',\'LiveDevelopment/Documents/CSSDocument\',\'LiveDevelopment/Documents/CSSPreprocessorDocument\',\'LiveDevelopment/Documents/HTMLDocument\',\'LiveDevelopment/Documents/JSDocument\',\'LiveDevelopment/Agents/CSSAgent\',\'LiveDevelopment/Agents/ConsoleAgent\',\'LiveDevelopment/Agents/RemoteAgent\',\'LiveDevelopment/Agents/NetworkAgent\',\'LiveDevelopment/Agents/DOMAgent\',\'LiveDevelopment/Agents/ScriptAgent\',\'LiveDevelopment/Agents/HighlightAgent\',\'LiveDevelopment/Agents/GotoAgent\',\'LiveDevelopment/Agents/EditAgent\'],function LiveDevelopment(require, exports, module) {\n    "use strict";\n\n    require("utils/Global");\n\n    var _ = require("thirdparty/lodash");\n\n    // Status Codes\n    var STATUS_ERROR          = exports.STATUS_ERROR          = -1;\n    var STATUS_INACTIVE       = exports.STATUS_INACTIVE       =  0;\n    var STATUS_CONNECTING     = exports.STATUS_CONNECTING     =  1;\n    var STATUS_LOADING_AGENTS = exports.STATUS_LOADING_AGENTS =  2;\n    var STATUS_ACTIVE         = exports.STATUS_ACTIVE         =  3;\n    var STATUS_OUT_OF_SYNC    = exports.STATUS_OUT_OF_SYNC    =  4;\n    var STATUS_SYNC_ERROR     = exports.STATUS_SYNC_ERROR     =  5;\n\n    var Async                = require("utils/Async"),\n        CSSUtils             = require("language/CSSUtils"),\n        Dialogs              = require("widgets/Dialogs"),\n        DefaultDialogs       = require("widgets/DefaultDialogs"),\n        DocumentManager      = require("document/DocumentManager"),\n        EditorManager        = require("editor/EditorManager"),\n        EventDispatcher      = require("utils/EventDispatcher"),\n        FileServer           = require("LiveDevelopment/Servers/FileServer").FileServer,\n        FileSystemError      = require("filesystem/FileSystemError"),\n        FileUtils            = require("file/FileUtils"),\n        LiveDevelopmentUtils = require("LiveDevelopment/LiveDevelopmentUtils"),\n        LiveDevServerManager = require("LiveDevelopment/LiveDevServerManager"),\n        MainViewManager      = require("view/MainViewManager"),\n        NativeApp            = require("utils/NativeApp"),\n        PreferencesDialogs   = require("preferences/PreferencesDialogs"),\n        ProjectManager       = require("project/ProjectManager"),\n        Strings              = require("strings"),\n        StringUtils          = require("utils/StringUtils"),\n        UserServer           = require("LiveDevelopment/Servers/UserServer").UserServer,\n        WebSocketTransport   = require("LiveDevelopment/transports/WebSocketTransport"),\n        PreferencesManager   = require("preferences/PreferencesManager");\n\n    // Inspector\n    var Inspector       = require("LiveDevelopment/Inspector/Inspector");\n\n    // Documents\n    var CSSDocument     = require("LiveDevelopment/Documents/CSSDocument"),\n        CSSPreprocessorDocument = require("LiveDevelopment/Documents/CSSPreprocessorDocument"),\n        HTMLDocument    = require("LiveDevelopment/Documents/HTMLDocument"),\n        JSDocument      = require("LiveDevelopment/Documents/JSDocument");\n\n    // Document errors\n    var SYNC_ERROR_CLASS = "live-preview-sync-error";\n\n    // Agents\n    var CSSAgent = require("LiveDevelopment/Agents/CSSAgent");\n\n    var agents = {\n        "console"   : require("LiveDevelopment/Agents/ConsoleAgent"),\n        "remote"    : require("LiveDevelopment/Agents/RemoteAgent"),\n        "network"   : require("LiveDevelopment/Agents/NetworkAgent"),\n        "dom"       : require("LiveDevelopment/Agents/DOMAgent"),\n        "css"       : CSSAgent,\n        "script"    : require("LiveDevelopment/Agents/ScriptAgent"),\n        "highlight" : require("LiveDevelopment/Agents/HighlightAgent"),\n        "goto"      : require("LiveDevelopment/Agents/GotoAgent"),\n        "edit"      : require("LiveDevelopment/Agents/EditAgent")\n    };\n\n    // construct path to launch.html\n    // window location is can be one of the following:\n    // Installed:                /path/to/Brackets.app/Contents/www/index.html\n    // Installed, dev:           /path/to/Brackets.app/Contents/dev/src/index.html\n    // Installed, dev, test:     /path/to/Brackets.app/Contents/dev/test/SpecRunner.html\n    // Arbitrary git repo:       /path/to/brackets/src/index.html\n    // Arbitrary git repo, test: /path/to/brackets/test/SpecRunner.html\n    var launcherUrl = window.location.pathname;\n\n    // special case for test/SpecRunner.html since we can\'t tell how requirejs\n    // baseUrl is configured dynamically\n    launcherUrl = launcherUrl.replace("/test/SpecRunner.html", "/src/index.html");\n\n    launcherUrl = launcherUrl.substr(0, launcherUrl.lastIndexOf("/")) + "/LiveDevelopment/launch.html";\n    launcherUrl = window.location.origin + launcherUrl;\n\n    // Some agents are still experimental, so we don\'t enable them all by default\n    // However, extensions can enable them by calling enableAgent().\n    // This object is used as a set (thus all properties have the value \'true\').\n    // Property names should match property names in the \'agents\' object.\n    var _enabledAgentNames = {\n        "console"   : true,\n        "remote"    : true,\n        "network"   : true,\n        "css"       : true,\n        "highlight" : true\n    };\n\n    /**\n     * Store the names (matching property names in the \'agent\' object) of agents that we\'ve loaded\n     * @type {string}\n     */\n    var _loadedAgentNames = [];\n\n    /**\n     * Live Preview current Document info\n     * @type {HTMLDocument}\n     */\n    var _liveDocument;\n\n    /**\n     * Related Live Documents\n     * @type {Object.<string: (HTMLDocument|CSSDocument)>}\n     */\n    var _relatedDocuments = {};\n\n    /**\n     * Promise returned for each call to open()\n     * @type {jQuery.Deferred}\n     */\n    var _openDeferred;\n\n    /**\n     * Promise returned for each call to close()\n     * @type {jQuery.Deferred}\n     */\n    var _closeDeferred;\n\n    // Disallow re-entrancy of loadAgents()\n    var _loadAgentsPromise;\n\n    /**\n     * Current live preview server\n     * @type {BaseServer}\n     */\n    var _server;\n\n    /**\n     * @private\n     * Handles of registered servers\n     */\n    var _regServers = [];\n    \n    PreferencesManager.definePreference("livedev.wsPort", "number", 8125, {\n        description: Strings.DESCRIPTION_LIVEDEV_WEBSOCKET_PORT\n    });\n\n    function _isPromisePending(promise) {\n        return promise && promise.state() === "pending";\n    }\n\n    /** Get the current document from the document manager\n     * _adds extension, url and root to the document\n     */\n    function _getCurrentDocument() {\n        return DocumentManager.getCurrentDocument();\n    }\n\n    /** Determine which document class should be used for a given document\n     * @param {Document} document\n     */\n    function _classForDocument(doc) {\n        switch (doc.getLanguage().getId()) {\n        case "less":\n        case "scss":\n            return CSSPreprocessorDocument;\n        case "css":\n            return CSSDocument;\n        case "javascript":\n            return exports.config.experimental ? JSDocument : null;\n        }\n\n        if (LiveDevelopmentUtils.isHtmlFileExt(doc.file.fullPath)) {\n            return HTMLDocument;\n        }\n\n        return null;\n    }\n\n    function getLiveDocForPath(path) {\n        if (!_server) {\n            return undefined;\n        }\n\n        return _server.get(path);\n    }\n\n    function getLiveDocForEditor(editor) {\n        if (!editor) {\n            return null;\n        }\n        return getLiveDocForPath(editor.document.file.fullPath);\n    }\n\n    /**\n     * @private\n     * Clears errors from line number gutter (line class)\n     * @param {HTMLDocument|CSSDocument} liveDocument\n     */\n    function _doClearErrors(liveDocument) {\n        var lineHandle;\n\n        if (!liveDocument.editor ||\n                !liveDocument._errorLineHandles ||\n                !liveDocument._errorLineHandles.length) {\n            return;\n        }\n\n        liveDocument.editor._codeMirror.operation(function () {\n            while (true) {\n                // Iterate over all lines that were previously marked with an error\n                lineHandle = liveDocument._errorLineHandles.pop();\n\n                if (!lineHandle) {\n                    break;\n                }\n\n                liveDocument.editor._codeMirror.removeLineClass(lineHandle, "wrap", SYNC_ERROR_CLASS);\n            }\n        });\n    }\n\n    /**\n     * @private\n     * Make a message to direct users to the troubleshooting page\n     * @param {string} msg Original message\n     * @return {string} Original message plus link to troubleshooting page.\n     */\n    function _makeTroubleshootingMessage(msg) {\n        return msg + " " + StringUtils.format(Strings.LIVE_DEVELOPMENT_TROUBLESHOOTING, brackets.config.troubleshoot_url);\n    }\n\n    /**\n     * @private\n     * Close a live document\n     */\n    function _closeDocument(liveDocument) {\n        _doClearErrors(liveDocument);\n        liveDocument.close();\n\n        if (liveDocument.editor) {\n            liveDocument.editor.off(".livedev");\n        }\n\n        liveDocument.off(".livedev");\n    }\n\n    /**\n     * Removes the given CSS/JSDocument from _relatedDocuments. Signals that the\n     * given file is no longer associated with the HTML document that is live (e.g.\n     * if the related file has been deleted on disk).\n     */\n    function _closeRelatedDocument(liveDoc) {\n        if (_relatedDocuments[liveDoc.doc.url]) {\n            delete _relatedDocuments[liveDoc.doc.url];\n        }\n\n        if (_server) {\n            _server.remove(liveDoc);\n        }\n\n        _closeDocument(liveDoc);\n    }\n\n    /**\n     * Update the status. Triggers a statusChange event.\n     * @param {number} status new status\n     * @param {?string} closeReason Optional string key suffix to display to\n     *     user when closing the live development connection (see LIVE_DEV_* keys)\n     */\n    function _setStatus(status, closeReason) {\n        // Don\'t send a notification when the status didn\'t actually change\n        if (status === exports.status) {\n            return;\n        }\n\n        exports.status = status;\n\n        var reason = status === STATUS_INACTIVE ? closeReason : null;\n        exports.trigger("statusChange", status, reason);\n    }\n\n    /**\n     * @private\n     * Event handler for live document errors. Displays error status in the editor gutter.\n     * @param {$.Event} event\n     * @param {HTMLDocument|CSSDocument} liveDocument\n     * @param {Array.<{token: SimpleNode, startPos: Pos, endPos: Pos}>} errors\n     */\n    function _handleLiveDocumentStatusChanged(liveDocument) {\n        var startLine,\n            endLine,\n            i,\n            lineHandle,\n            status = (liveDocument.errors.length) ? STATUS_SYNC_ERROR : STATUS_ACTIVE;\n\n        _setStatus(status);\n\n        if (!liveDocument.editor) {\n            return;\n        }\n\n        // Buffer addLineClass DOM changes in a CodeMirror operation\n        liveDocument.editor._codeMirror.operation(function () {\n            // Remove existing errors before marking new ones\n            _doClearErrors(liveDocument);\n\n            liveDocument._errorLineHandles = liveDocument._errorLineHandles || [];\n\n            liveDocument.errors.forEach(function (error) {\n                startLine = error.startPos.line;\n                endLine = error.endPos.line;\n\n                for (i = startLine; i < endLine + 1; i++) {\n                    lineHandle = liveDocument.editor._codeMirror.addLineClass(i, "wrap", SYNC_ERROR_CLASS);\n                    liveDocument._errorLineHandles.push(lineHandle);\n                }\n            });\n        });\n    }\n\n    /**\n     * @private\n     * Close all live documents\n     */\n    function _closeDocuments() {\n        if (_liveDocument) {\n            _closeDocument(_liveDocument);\n            _liveDocument = undefined;\n        }\n\n        Object.keys(_relatedDocuments).forEach(function (url) {\n            _closeDocument(_relatedDocuments[url]);\n            delete _relatedDocuments[url];\n        });\n\n        // Clear all documents from request filtering\n        if (_server) {\n            _server.clear();\n        }\n    }\n\n    /**\n     * @private\n     * Create a live version of a Brackets document\n     * @param {Document} doc Current document\n     * @param {Editor} editor Current editor\n     * @return {?(HTMLDocument|CSSDocument)}\n     */\n    function _createDocument(doc, editor) {\n        var DocClass        = _classForDocument(doc),\n            liveDocument    = new DocClass(doc, editor);\n\n        if (!DocClass) {\n            return null;\n        }\n\n        liveDocument.on("statusChanged.livedev", function () {\n            _handleLiveDocumentStatusChanged(liveDocument);\n        });\n\n        return liveDocument;\n    }\n\n    /**\n     * @private\n     * Initialize `_liveDocument`.\n     * @param {Document} doc Current document\n     */\n    function _createLiveDocumentForFrame(doc) {\n        // create live document\n        doc._ensureMasterEditor();\n        _liveDocument = _createDocument(doc, doc._masterEditor);\n        _server.add(_liveDocument);\n    }\n\n    /** Enable an agent. Takes effect next time a connection is made. Does not affect\n     *  current live development sessions.\n     *\n     *  @param {string} name of agent to enable\n     */\n    function enableAgent(name) {\n        if (agents.hasOwnProperty(name) && !_enabledAgentNames.hasOwnProperty(name)) {\n            _enabledAgentNames[name] = true;\n        }\n    }\n\n    /** Disable an agent. Takes effect next time a connection is made. Does not affect\n     *  current live development sessions.\n     *\n     *  @param {string} name of agent to disable\n     */\n    function disableAgent(name) {\n        if (_enabledAgentNames.hasOwnProperty(name)) {\n            delete _enabledAgentNames[name];\n        }\n    }\n\n    /** Documents are considered to be out-of-sync if they are dirty and\n     *  do not have "update while editing" support\n     * @param {Document} doc\n     */\n    function _docIsOutOfSync(doc) {\n        var liveDoc = _server && _server.get(doc.file.fullPath),\n            isLiveEditingEnabled = liveDoc && liveDoc.isLiveEditingEnabled();\n\n        return doc.isDirty && !isLiveEditingEnabled;\n    }\n\n    /** Triggered by Inspector.error */\n    function _onError(event, error, msgData) {\n        var message;\n\n        // Sometimes error.message is undefined\n        if (!error.message) {\n            console.warn("Expected a non-empty string in error.message, got this instead:", error.message);\n            message = JSON.stringify(error);\n        } else {\n            message = error.message;\n        }\n\n        // Remove "Uncaught" from the beginning to avoid the inspector popping up\n        if (message && message.substr(0, 8) === "Uncaught") {\n            message = message.substr(9);\n        }\n\n        // Additional information, like exactly which parameter could not be processed.\n        var data = error.data;\n        if (Array.isArray(data)) {\n            message += "\\n" + data.join("\\n");\n        }\n\n        // Show the message, but include the error object for further information (e.g. error code)\n        console.error(message, error, msgData);\n    }\n\n    function _styleSheetAdded(event, url) {\n        var path = _server && _server.urlToPath(url),\n            exists = !!_relatedDocuments[url];\n\n        // path may be null if loading an external stylesheet.\n        // Also, the stylesheet may already exist and be reported as added twice\n        // due to Chrome reporting added/removed events after incremental changes\n        // are pushed to the browser\n        if (!path || exists) {\n            return;\n        }\n\n        var docPromise = DocumentManager.getDocumentForPath(path);\n\n        docPromise.done(function (doc) {\n            if ((_classForDocument(doc) === CSSDocument ||\n                    _classForDocument(doc) === CSSPreprocessorDocument) &&\n                    (!_liveDocument || (doc !== _liveDocument.doc))) {\n                // The doc may already have an editor (e.g. starting live preview from an css file),\n                // so pass the editor if any\n                var liveDoc = _createDocument(doc, doc._masterEditor);\n                if (liveDoc) {\n                    _server.add(liveDoc);\n                    _relatedDocuments[doc.url] = liveDoc;\n\n                    liveDoc.on("deleted.livedev", function (event, liveDoc) {\n                        _closeRelatedDocument(liveDoc);\n                    });\n                }\n            }\n        });\n    }\n\n    /** Unload the agents */\n    function unloadAgents() {\n        _loadedAgentNames.forEach(function (name) {\n            agents[name].unload();\n        });\n        _loadedAgentNames = [];\n    }\n\n    /**\n     * @private\n     * Invoke a no-arg method on an inspector agent\n     * @param {string} name Agent name\n     * @param {stirng} methodName Method name to call on the agent\n     */\n    function _invokeAgentMethod(name, methodName) {\n        var oneAgentPromise;\n\n        if (agents[name] && agents[name][methodName]) {\n            oneAgentPromise = agents[name][methodName].call();\n        }\n\n        if (!oneAgentPromise) {\n            oneAgentPromise = new $.Deferred().resolve().promise();\n        } else {\n            oneAgentPromise.fail(function () {\n                console.error(methodName + " failed on agent", name);\n            });\n        }\n\n        return oneAgentPromise;\n    }\n\n    function getEnabledAgents() {\n        var enabledAgents;\n\n        // Select agents to use\n        if (exports.config.experimental) {\n            // load all agents\n            enabledAgents = agents;\n        } else {\n            // load only enabled agents\n            enabledAgents = _enabledAgentNames;\n        }\n\n        return Object.keys(enabledAgents);\n    }\n\n    /**\n     * @private\n     * Setup agents that need inspector domains enabled before loading\n     */\n    function _enableAgents() {\n        // enable agents in parallel\n        return Async.doInParallel(\n            getEnabledAgents(),\n            function (name) {\n                return _invokeAgentMethod(name, "enable");\n            },\n            true\n        );\n    }\n\n    /** Load the agents */\n    function loadAgents() {\n        // If we\'re already loading agents return same promise\n        if (_loadAgentsPromise) {\n            return _loadAgentsPromise;\n        }\n\n        var result = new $.Deferred(),\n            allAgentsPromise;\n\n        _loadAgentsPromise = result.promise();\n\n        _setStatus(STATUS_LOADING_AGENTS);\n\n        // load agents in parallel\n        allAgentsPromise = Async.doInParallel(\n            getEnabledAgents(),\n            function (name) {\n                return _invokeAgentMethod(name, "load").done(function () {\n                    _loadedAgentNames.push(name);\n                });\n            },\n            true\n        );\n\n        // wrap agent loading with a timeout\n        allAgentsPromise = Async.withTimeout(allAgentsPromise, 10000);\n\n        allAgentsPromise.done(function () {\n            var doc = (_liveDocument) ? _liveDocument.doc : null;\n\n            if (doc) {\n                var status = STATUS_ACTIVE;\n\n                if (_docIsOutOfSync(doc)) {\n                    status = STATUS_OUT_OF_SYNC;\n                }\n\n                _setStatus(status);\n                result.resolve();\n            } else {\n                result.reject();\n            }\n        });\n\n        allAgentsPromise.fail(result.reject);\n\n        _loadAgentsPromise\n            .fail(function () {\n                // show error loading live dev dialog\n                _setStatus(STATUS_ERROR);\n\n                Dialogs.showModalDialog(\n                    Dialogs.DIALOG_ID_ERROR,\n                    Strings.LIVE_DEVELOPMENT_ERROR_TITLE,\n                    _makeTroubleshootingMessage(Strings.LIVE_DEV_LOADING_ERROR_MESSAGE)\n                );\n            })\n            .always(function () {\n                _loadAgentsPromise = null;\n            });\n\n        return _loadAgentsPromise;\n    }\n\n    /**\n     * @private\n     * Determine an index file that can be used to start Live Development.\n     * This function will inspect all files in a project to find the closest index file\n     * available for currently opened document. We are searching for these files:\n     *  - index.html\n     *  - index.htm\n     *\n     * If the project is configured with a custom base url for live development, then\n     * the list of possible index files is extended to contain these index files too:\n     *  - index.php\n     *  - index.php3\n     *  - index.php4\n     *  - index.php5\n     *  - index.phtm\n     *  - index.phtml\n     *  - index.cfm\n     *  - index.cfml\n     *  - index.asp\n     *  - index.aspx\n     *  - index.jsp\n     *  - index.jspx\n     *  - index.shm\n     *  - index.shml\n     *\n     * If a file was found, the promise will be resolved with the full path to this file. If no file\n     * was found in the whole project tree, the promise will be resolved with null.\n     *\n     * @return {jQuery.Promise} A promise that is resolved with a full path\n     * to a file if one could been determined, or null if there was no suitable index\n     * file.\n     */\n    function _getInitialDocFromCurrent() {\n        var doc = _getCurrentDocument(),\n            refPath,\n            i;\n\n        // Is the currently opened document already a file we can use for Live Development?\n        if (doc) {\n            refPath = doc.file.fullPath;\n            if (LiveDevelopmentUtils.isStaticHtmlFileExt(refPath) || LiveDevelopmentUtils.isServerHtmlFileExt(refPath)) {\n                return new $.Deferred().resolve(doc);\n            }\n        }\n\n        var result = new $.Deferred();\n\n        var baseUrl = ProjectManager.getBaseUrl(),\n            hasOwnServerForLiveDevelopment = (baseUrl && baseUrl.length);\n\n        ProjectManager.getAllFiles().done(function (allFiles) {\n            var projectRoot = ProjectManager.getProjectRoot().fullPath,\n                containingFolder,\n                indexFileFound = false,\n                stillInProjectTree = true;\n\n            if (refPath) {\n                containingFolder = FileUtils.getDirectoryPath(refPath);\n            } else {\n                containingFolder = projectRoot;\n            }\n\n            var filteredFiltered = allFiles.filter(function (item) {\n                var parent = FileUtils.getParentPath(item.fullPath);\n\n                return (containingFolder.indexOf(parent) === 0);\n            });\n\n            var filterIndexFile = function (fileInfo) {\n                if (fileInfo.fullPath.indexOf(containingFolder) === 0) {\n                    if (FileUtils.getFilenameWithoutExtension(fileInfo.name) === "index") {\n                        if (hasOwnServerForLiveDevelopment) {\n                            if ((LiveDevelopmentUtils.isServerHtmlFileExt(fileInfo.name)) ||\n                                    (LiveDevelopmentUtils.isStaticHtmlFileExt(fileInfo.name))) {\n                                return true;\n                            }\n                        } else if (LiveDevelopmentUtils.isStaticHtmlFileExt(fileInfo.name)) {\n                            return true;\n                        }\n                    } else {\n                        return false;\n                    }\n                }\n            };\n\n            while (!indexFileFound && stillInProjectTree) {\n                i = _.findIndex(filteredFiltered, filterIndexFile);\n\n                // We found no good match\n                if (i === -1) {\n                    // traverse the directory tree up one level\n                    containingFolder = FileUtils.getParentPath(containingFolder);\n                    // Are we still inside the project?\n                    if (containingFolder.indexOf(projectRoot) === -1) {\n                        stillInProjectTree = false;\n                    }\n                } else {\n                    indexFileFound = true;\n                }\n            }\n\n            if (i !== -1) {\n                DocumentManager.getDocumentForPath(filteredFiltered[i].fullPath).then(result.resolve, result.resolve);\n                return;\n            }\n\n            result.resolve(null);\n        });\n\n        return result.promise();\n    }\n\n    /**\n     * If the current editor is for a CSS preprocessor file, then add it to the style sheet\n     * so that we can track cursor positions in the editor to show live preview highlighting.\n     * For normal CSS we only do highlighting from files we know for sure are referenced by the\n     * current live preview document, but for preprocessors we just assume that any preprocessor\n     * file you edit is probably related to the live preview.\n     *\n     * @param {Event} event (unused)\n     * @param {Editor} current Current editor\n     * @param {Editor} previous Previous editor\n     *\n     */\n    function onActiveEditorChange(event, current, previous) {\n        if (previous && previous.document &&\n                CSSUtils.isCSSPreprocessorFile(previous.document.file.fullPath)) {\n            var prevDocUrl = _server && _server.pathToUrl(previous.document.file.fullPath);\n\n            if (_relatedDocuments && _relatedDocuments[prevDocUrl]) {\n                _closeRelatedDocument(_relatedDocuments[prevDocUrl]);\n            }\n        }\n        if (current && current.document &&\n                CSSUtils.isCSSPreprocessorFile(current.document.file.fullPath)) {\n            var docUrl = _server && _server.pathToUrl(current.document.file.fullPath);\n            _styleSheetAdded(null, docUrl);\n        }\n    }\n\n    /**\n     * @private\n     * While still connected to the Inspector, do cleanup for agents,\n     * documents and server.\n     * @param {boolean} doCloseWindow Use true to close the window/tab in the browser\n     * @return {jQuery.Promise} A promise that is always resolved\n     */\n    function _doInspectorDisconnect(doCloseWindow) {\n        var closePromise,\n            deferred    = new $.Deferred(),\n            connected   = Inspector.connected();\n\n        EditorManager.off("activeEditorChange", onActiveEditorChange);\n\n        Inspector.Page.off(".livedev");\n        Inspector.off(".livedev");\n\n        // Wait if agents are loading\n        if (_loadAgentsPromise) {\n            _loadAgentsPromise.always(unloadAgents);\n        } else {\n            unloadAgents();\n        }\n\n        // Close live documents\n        _closeDocuments();\n\n        if (_server) {\n            // Stop listening for requests when disconnected\n            _server.stop();\n\n            // Dispose server\n            _server = null;\n        }\n\n        if (doCloseWindow && connected) {\n            closePromise = Inspector.Runtime.evaluate("window.open(\'\', \'_self\').close();");\n\n            // Add a timeout to continue cleanup if Inspector does not respond\n            closePromise = Async.withTimeout(closePromise, 5000);\n        } else {\n            closePromise = new $.Deferred().resolve();\n        }\n\n        // Disconnect WebSocket if connected\n        closePromise.always(function () {\n            if (Inspector.connected()) {\n                Inspector.disconnect().always(deferred.resolve);\n            } else {\n                deferred.resolve();\n            }\n        });\n\n        return deferred.promise();\n    }\n\n    /**\n     * @private\n     * Close the connection and the associated window asynchronously\n     * @param {boolean} doCloseWindow Use true to close the window/tab in the browser\n     * @param {?string} reason Optional string key suffix to display to user (see LIVE_DEV_* keys)\n     * @return {jQuery.Promise} Always return a resolved promise once the connection is closed\n     */\n    function _close(doCloseWindow, reason) {\n        WebSocketTransport.closeWebSocketServer();\n        if (_closeDeferred) {\n            return _closeDeferred;\n        } else {\n            _closeDeferred = new $.Deferred();\n            _closeDeferred.always(function () {\n                _closeDeferred = null;\n            });\n        }\n\n        var promise = _closeDeferred.promise();\n\n        /*\n         * Finish closing the live development connection, including setting\n         * the status accordingly.\n         */\n        function cleanup() {\n            // Need to do this in order to trigger the corresponding CloseLiveBrowser cleanups required on\n            // the native Mac side\n            var closeDeferred = (brackets.platform === "mac") ? NativeApp.closeLiveBrowser() : $.Deferred().resolve();\n            closeDeferred.done(function () {\n                _setStatus(STATUS_INACTIVE, reason || "explicit_close");\n                // clean-up registered servers\n                _regServers.forEach(function (server) {\n                    LiveDevServerManager.removeServer(server);\n                });\n                _regServers = [];\n                _closeDeferred.resolve();\n            }).fail(function (err) {\n                if (err) {\n                    reason +=  " (" + err + ")";\n                }\n                _setStatus(STATUS_INACTIVE, reason || "explicit_close");\n                _closeDeferred.resolve();\n            });\n        }\n\n        if (_isPromisePending(_openDeferred)) {\n            // Reject calls to open if requests are still pending\n            _openDeferred.reject();\n        }\n\n        if (exports.status === STATUS_INACTIVE) {\n            // Ignore close if status is inactive\n            _closeDeferred.resolve();\n        } else {\n            _doInspectorDisconnect(doCloseWindow).always(cleanup);\n        }\n\n        return promise;\n    }\n\n    // WebInspector Event: Page.frameNavigated\n    function _onFrameNavigated(event, res) {\n        // res = {frame}\n        var url = res.frame.url,\n            baseUrl,\n            baseUrlRegExp;\n\n        // Only check domain of root frame (with undefined parentId)\n        if (res.frame.parentId) {\n            return;\n        }\n\n        // Any local file is OK\n        if (url.match(/^file:\\/\\//i) || !_server) {\n            return;\n        }\n\n        // Need base url to build reg exp\n        baseUrl = _server.getBaseUrl();\n        if (!baseUrl) {\n            return;\n        }\n\n        // Test that url is within site\n        baseUrlRegExp = new RegExp("^" + StringUtils.regexEscape(baseUrl), "i");\n        if (!url.match(baseUrlRegExp)) {\n            // No longer in site, so terminate live dev, but don\'t close browser window\n            _close(false, "navigated_away");\n        }\n    }\n\n    /**\n     * @private\n     * Triggered by unexpected Inspector disconnect event\n     */\n    function _onDisconnect(event) {\n        _close(false, "closed_unknown_reason");\n    }\n\n    function _onDetached(event, res) {\n        var closeReason;\n\n        if (res && res.reason) {\n            // Get the explanation from res.reason, e.g. "replaced_with_devtools", "target_closed", "canceled_by_user"\n            // Examples taken from https://chromiumcodereview.appspot.com/10947037/patch/12001/13004\n            // However, the link refers to the Chrome Extension API, it may not apply 100% to the Inspector API\n            // Prefix with "detached_" to create a quasi-namespace for Chrome\'s reasons\n            closeReason = "detached_" + res.reason;\n        }\n\n        _close(false, closeReason);\n    }\n\n    /**\n     * Unload and reload agents\n     * @return {jQuery.Promise} Resolves once the agents are loaded\n     */\n    function reconnect() {\n        if (_loadAgentsPromise) {\n            // Agents are already loading, so don\'t unload\n            return _loadAgentsPromise;\n        }\n\n        unloadAgents();\n\n        // Clear any existing related documents before we reload the agents.\n        // We need to recreate them for the reloaded document due to some\n        // desirable side-effects (see #7606). Eventually, we should simplify\n        // the way we get that behavior.\n        _.forOwn(_relatedDocuments, function (relatedDoc) {\n            _closeRelatedDocument(relatedDoc);\n        });\n\n        return loadAgents();\n    }\n\n    /** reload the live preview */\n    function reload() {\n        // Unload and reload agents before reloading the page\n        // Some agents (e.g. DOMAgent and RemoteAgent) require us to\n        // navigate to the page first before loading can complete.\n        // To accomodate this, we load all agents (in reconnect())\n        // and navigate in parallel.\n        reconnect();\n\n        // Reload HTML page\n        Inspector.Page.reload();\n    }\n\n    /**\n     * Close the connection and the associated window asynchronously\n     * @return {jQuery.Promise} Resolves once the connection is closed\n     */\n    function close() {\n        return _close(true);\n    }\n\n    /**\n     * @private\n     * Create a promise that resolves when the interstitial page has\n     * finished loading.\n     *\n     * @return {jQuery.Promise} Resolves once page is loaded\n     */\n    function _waitForInterstitialPageLoad() {\n        var deferred    = $.Deferred(),\n            keepPolling = true,\n            timer       = window.setTimeout(function () {\n                keepPolling = false;\n                deferred.reject();\n            }, 10000); // 10 seconds\n\n        /*\n         * Asynchronously check to see if the interstitial page has\n         * finished loading; if not, check again until timing out.\n         */\n        function pollInterstitialPage() {\n            if (keepPolling && Inspector.connected()) {\n                Inspector.Runtime.evaluate("window.isBracketsLiveDevelopmentInterstitialPageLoaded", function (response) {\n                    var result = response.result;\n\n                    if (result.type === "boolean" && result.value) {\n                        window.clearTimeout(timer);\n                        deferred.resolve();\n                    } else {\n                        window.setTimeout(pollInterstitialPage, 100);\n                    }\n                });\n            } else {\n                deferred.reject();\n            }\n        }\n\n        pollInterstitialPage();\n        return deferred.promise();\n    }\n\n    /**\n     * @private\n     * Load agents and navigate to the target document once the\n     * interstitial page has finished loading.\n     */\n    function _onInterstitialPageLoad() {\n\n        Inspector.Runtime.evaluate("window.navigator.userAgent", function (uaResponse) {\n            Inspector.setUserAgent(uaResponse.result.value);\n        });\n\n        // Domains for some agents must be enabled first before loading\n        var enablePromise = Inspector.Page.enable().then(function () {\n            return Inspector.DOM.enable().then(_enableAgents, _enableAgents);\n        });\n\n        enablePromise.done(function () {\n            // Some agents (e.g. DOMAgent and RemoteAgent) require us to\n            // navigate to the page first before loading can complete.\n            // To accomodate this, we load all agents and navigate in\n            // parallel.\n\n            // resolve/reject the open() promise after agents complete\n            loadAgents().then(_openDeferred.resolve, _openDeferred.reject);\n\n            _getInitialDocFromCurrent().done(function (doc) {\n                if (doc && _liveDocument) {\n                    if (doc !== _liveDocument.doc) {\n                        _createLiveDocumentForFrame(doc);\n                    }\n\n                    // Navigate from interstitial to the document\n                    // Fires a frameNavigated event\n                    if (_server) {\n                        Inspector.Page.navigate(_server.pathToUrl(doc.file.fullPath));\n                    } else {\n                        console.error("LiveDevelopment._onInterstitialPageLoad(): No server active");\n                    }\n                } else {\n                    // Unlikely that we would get to this state where\n                    // a connection is in process but there is no current\n                    // document\n                    close();\n                }\n            });\n        });\n    }\n\n    /** Triggered by Inspector.connect */\n    function _onConnect(event) {\n        // When the browser navigates away from the primary live document\n        Inspector.Page.on("frameNavigated.livedev", _onFrameNavigated);\n\n        // When the Inspector WebSocket disconnects unexpectedely\n        Inspector.on("disconnect.livedev", _onDisconnect);\n\n        _waitForInterstitialPageLoad()\n            .fail(function () {\n                close();\n\n                Dialogs.showModalDialog(\n                    DefaultDialogs.DIALOG_ID_ERROR,\n                    Strings.LIVE_DEVELOPMENT_ERROR_TITLE,\n                    _makeTroubleshootingMessage(Strings.LIVE_DEV_LOADING_ERROR_MESSAGE)\n                );\n            })\n            .done(_onInterstitialPageLoad);\n    }\n\n    function _showWrongDocError() {\n        Dialogs.showModalDialog(\n            DefaultDialogs.DIALOG_ID_ERROR,\n            Strings.LIVE_DEVELOPMENT_ERROR_TITLE,\n            _makeTroubleshootingMessage(Strings.LIVE_DEV_NEED_HTML_MESSAGE)\n        );\n        _openDeferred.reject();\n    }\n\n    function _showLiveDevServerNotReadyError() {\n        Dialogs.showModalDialog(\n            DefaultDialogs.DIALOG_ID_ERROR,\n            Strings.LIVE_DEVELOPMENT_ERROR_TITLE,\n            _makeTroubleshootingMessage(Strings.LIVE_DEV_SERVER_NOT_READY_MESSAGE)\n        );\n        _openDeferred.reject();\n    }\n\n    function _openInterstitialPage() {\n        var browserStarted  = false,\n            retryCount      = 0;\n\n        // Open the live browser if the connection fails, retry 3 times\n        Inspector.connectToURL(launcherUrl).fail(function onConnectFail(err) {\n            if (err === "CANCEL") {\n                _openDeferred.reject(err);\n                return;\n            }\n\n            if (retryCount > 3) {\n                _setStatus(STATUS_ERROR);\n\n                var dialogPromise = Dialogs.showModalDialog(\n                    DefaultDialogs.DIALOG_ID_LIVE_DEVELOPMENT,\n                    Strings.LIVE_DEVELOPMENT_RELAUNCH_TITLE,\n                    _makeTroubleshootingMessage(Strings.LIVE_DEVELOPMENT_ERROR_MESSAGE),\n                    [\n                        {\n                            className: Dialogs.DIALOG_BTN_CLASS_LEFT,\n                            id:        Dialogs.DIALOG_BTN_CANCEL,\n                            text:      Strings.CANCEL\n                        },\n                        {\n                            className: Dialogs.DIALOG_BTN_CLASS_PRIMARY,\n                            id:        Dialogs.DIALOG_BTN_OK,\n                            text:      Strings.RELAUNCH_CHROME\n                        }\n                    ]\n                );\n\n                dialogPromise.done(function (id) {\n                    if (id === Dialogs.DIALOG_BTN_OK) {\n                        // User has chosen to reload Chrome, quit the running instance\n                        _setStatus(STATUS_INACTIVE);\n                        _close()\n                            .done(function () {\n                                browserStarted = false;\n                                // Continue to use _openDeferred\n                                open(true);\n                            })\n                            .fail(function (err) {\n                                // Report error?\n                                _setStatus(STATUS_ERROR);\n                                browserStarted = false;\n                                _openDeferred.reject("CLOSE_LIVE_BROWSER");\n                            });\n                    } else {\n                        _close()\n                            .done(function () {\n                                browserStarted = false;\n                                _openDeferred.reject("CANCEL");\n                            })\n                            .fail(function (err) {\n                                // Report error?\n                                _setStatus(STATUS_ERROR);\n                                browserStarted = false;\n                                _openDeferred.reject("CLOSE_LIVE_BROWSER");\n                            });\n                    }\n                });\n\n                return;\n            }\n            retryCount++;\n\n            if (!browserStarted && exports.status !== STATUS_ERROR) {\n                NativeApp.openLiveBrowser(\n                    launcherUrl,\n                    true        // enable remote debugging\n                )\n                    .done(function () {\n                        browserStarted = true;\n                    })\n                    .fail(function (err) {\n                        var message;\n\n                        _setStatus(STATUS_ERROR);\n                        if (err === FileSystemError.NOT_FOUND) {\n                            message = Strings.ERROR_CANT_FIND_CHROME;\n                        } else {\n                            message = StringUtils.format(Strings.ERROR_LAUNCHING_BROWSER, err);\n                        }\n\n                        Dialogs.showModalDialog(\n                            DefaultDialogs.DIALOG_ID_ERROR,\n                            Strings.ERROR_LAUNCHING_BROWSER_TITLE,\n                            _makeTroubleshootingMessage(message)\n                        );\n\n                        _openDeferred.reject("OPEN_LIVE_BROWSER");\n                    });\n            }\n\n            if (exports.status !== STATUS_ERROR) {\n                window.setTimeout(function retryConnect() {\n                    Inspector.connectToURL(launcherUrl).fail(onConnectFail);\n                }, 3000);\n            }\n        });\n    }\n\n    // helper function that actually does the launch once we are sure we have\n    // a doc and the server for that doc is up and running.\n    function _doLaunchAfterServerReady(initialDoc) {\n        // update status\n        _setStatus(STATUS_CONNECTING);\n        _createLiveDocumentForFrame(initialDoc);\n\n        // start listening for requests\n        _server.start();\n\n        // Install a one-time event handler when connected to the launcher page\n        Inspector.one("connect", _onConnect);\n\n        // open browser to the interstitial page to prepare for loading agents\n        _openInterstitialPage();\n\n        // Once all agents loaded (see _onInterstitialPageLoad()), begin Live Highlighting for preprocessor documents\n        _openDeferred.done(function () {\n            // Setup activeEditorChange event listener so that we can track cursor positions in\n            // CSS preprocessor files and perform live preview highlighting on all elements with\n            // the current selector in the preprocessor file.\n            EditorManager.on("activeEditorChange", onActiveEditorChange);\n\n            // Explicitly trigger onActiveEditorChange so that live preview highlighting\n            // can be set up for the preprocessor files.\n            onActiveEditorChange(null, EditorManager.getActiveEditor(), null);\n        });\n    }\n\n    function _prepareServer(doc) {\n        var deferred = new $.Deferred(),\n            showBaseUrlPrompt = false;\n\n        _server = LiveDevServerManager.getServer(doc.file.fullPath);\n\n        // Optionally prompt for a base URL if no server was found but the\n        // file is a known server file extension\n        showBaseUrlPrompt = !exports.config.experimental && !_server &&\n            LiveDevelopmentUtils.isServerHtmlFileExt(doc.file.fullPath);\n\n        if (showBaseUrlPrompt) {\n            // Prompt for a base URL\n            PreferencesDialogs.showProjectPreferencesDialog("", Strings.LIVE_DEV_NEED_BASEURL_MESSAGE)\n                .done(function (id) {\n                    if (id === Dialogs.DIALOG_BTN_OK && ProjectManager.getBaseUrl()) {\n                        // If base url is specifed, then re-invoke _prepareServer() to continue\n                        _prepareServer(doc).then(deferred.resolve, deferred.reject);\n                    } else {\n                        deferred.reject();\n                    }\n                });\n        } else if (_server) {\n            // Startup the server\n            var readyPromise = _server.readyToServe();\n            if (!readyPromise) {\n                _showLiveDevServerNotReadyError();\n                deferred.reject();\n            } else {\n                readyPromise.then(deferred.resolve, function () {\n                    _showLiveDevServerNotReadyError();\n                    deferred.reject();\n                });\n            }\n        } else {\n            // No server found\n            deferred.reject();\n        }\n\n        return deferred.promise();\n    }\n\n    function getCurrentProjectServerConfig() {\n        return {\n            baseUrl: ProjectManager.getBaseUrl(),\n            pathResolver: ProjectManager.makeProjectRelativeIfPossible,\n            root: ProjectManager.getProjectRoot().fullPath\n        };\n    }\n\n    function _createUserServer() {\n        return new UserServer(getCurrentProjectServerConfig());\n    }\n\n    function _createFileServer() {\n        return new FileServer(getCurrentProjectServerConfig());\n    }\n\n    /**\n     * Open the Connection and go live\n     *\n     * @param {!boolean} restart  true if relaunching and _openDeferred already exists\n     * @return {jQuery.Promise} Resolves once live preview is open\n     */\n    function open(restart) {\n        // If close() is still pending, wait for close to finish before opening\n        if (_isPromisePending(_closeDeferred)) {\n            return _closeDeferred.then(function () {\n                return open(restart);\n            });\n        }\n\n        if (!restart) {\n            // Return existing promise if it is still pending\n            if (_isPromisePending(_openDeferred)) {\n                return _openDeferred;\n            } else {\n                _openDeferred = new $.Deferred();\n                _openDeferred.always(function () {\n                    _openDeferred = null;\n                });\n            }\n        }\n\n        // Register user defined server provider and keep handlers for further clean-up\n        _regServers.push(LiveDevServerManager.registerServer({ create: _createUserServer }, 99));\n        _regServers.push(LiveDevServerManager.registerServer({ create: _createFileServer }, 0));\n\n        // TODO: need to run _onFileChanged() after load if doc != currentDocument here? Maybe not, since activeEditorChange\n        // doesn\'t trigger it, while inline editors can still cause edits in doc other than currentDoc...\n        _getInitialDocFromCurrent().done(function (doc) {\n            var prepareServerPromise = (doc && _prepareServer(doc)) || new $.Deferred().reject(),\n                otherDocumentsInWorkingFiles;\n\n            if (doc && !doc._masterEditor) {\n                otherDocumentsInWorkingFiles = MainViewManager.getWorkingSet(MainViewManager.ALL_PANES).length;\n                MainViewManager.addToWorkingSet(MainViewManager.ACTIVE_PANE, doc.file);\n\n                if (!otherDocumentsInWorkingFiles) {\n                    MainViewManager._edit(MainViewManager.ACTIVE_PANE, doc);\n                }\n            }\n\n            // wait for server (StaticServer, Base URL or file:)\n            prepareServerPromise\n                .done(function () {\n                    WebSocketTransport.createWebSocketServer(PreferencesManager.get("livedev.wsPort"));\n                    _doLaunchAfterServerReady(doc);\n                })\n                .fail(function () {\n                    _showWrongDocError();\n                });\n        });\n\n        return _openDeferred.promise();\n    }\n\n    /** Enable highlighting */\n    function showHighlight() {\n        var doc = getLiveDocForEditor(EditorManager.getActiveEditor());\n\n        if (doc && doc.updateHighlight) {\n            doc.updateHighlight();\n        }\n    }\n\n    /** Hide any active highlighting */\n    function hideHighlight() {\n        if (Inspector.connected() && agents.highlight) {\n            agents.highlight.hide();\n        }\n    }\n\n    /** Redraw highlights **/\n    function redrawHighlight() {\n        if (Inspector.connected() && agents.highlight) {\n            agents.highlight.redraw();\n        }\n    }\n\n    /**\n     * @private\n     * MainViewManager.currentFileChange event handler.\n     */\n    function _onFileChanged() {\n        var doc = _getCurrentDocument();\n\n        if (!doc || !Inspector.connected()) {\n            return;\n        }\n\n        // close the current session and begin a new session if the current\n        // document changes to an HTML document that was not loaded yet\n        var docUrl = _server && _server.pathToUrl(doc.file.fullPath),\n            wasRequested = agents.network && agents.network.wasURLRequested(docUrl),\n            isViewable = exports.config.experimental || (_server && _server.canServe(doc.file.fullPath));\n\n        if (!wasRequested && isViewable) {\n            // Update status\n            _setStatus(STATUS_CONNECTING);\n\n            // clear live doc and related docs\n            _closeDocuments();\n\n            // create new live doc\n            _createLiveDocumentForFrame(doc);\n\n            // Navigate to the new page within this site. Agents must handle\n            // frameNavigated event to clear any saved state.\n            Inspector.Page.navigate(docUrl).then(function () {\n                _setStatus(STATUS_ACTIVE);\n            }, function () {\n                _close(false, "closed_unknown_reason");\n            });\n        } else if (wasRequested) {\n            // Update highlight\n            showHighlight();\n        }\n    }\n\n    /**\n     * Triggered by a documentSaved event from DocumentManager.\n     * @param {$.Event} event\n     * @param {Document} doc\n     */\n    function _onDocumentSaved(event, doc) {\n        if (!Inspector.connected() || !_server) {\n            return;\n        }\n\n        var absolutePath            = doc.file.fullPath,\n            liveDocument            = absolutePath && _server.get(absolutePath),\n            liveEditingEnabled      = liveDocument && liveDocument.isLiveEditingEnabled  && liveDocument.isLiveEditingEnabled();\n\n        // Skip reload if the saved document has live editing enabled\n        if (liveEditingEnabled) {\n            return;\n        }\n\n        var documentUrl     = _server.pathToUrl(absolutePath),\n            wasRequested    = agents.network && agents.network.wasURLRequested(documentUrl);\n\n        if (wasRequested) {\n            reload();\n        }\n    }\n\n    /** Triggered by a change in dirty flag from the DocumentManager */\n    function _onDirtyFlagChange(event, doc) {\n        if (doc && Inspector.connected() &&\n                _server && agents.network && agents.network.wasURLRequested(_server.pathToUrl(doc.file.fullPath))) {\n            // Set status to out of sync if dirty. Otherwise, set it to active status.\n            _setStatus(_docIsOutOfSync(doc) ? STATUS_OUT_OF_SYNC : STATUS_ACTIVE);\n        }\n    }\n\n    /** Initialize the LiveDevelopment Session */\n    function init(theConfig) {\n        exports.config = theConfig;\n\n        Inspector.on("error", _onError);\n        Inspector.Inspector.on("detached", _onDetached);\n\n        // Only listen for styleSheetAdded\n        // We may get interim added/removed events when pushing incremental updates\n        CSSAgent.on("styleSheetAdded.livedev", _styleSheetAdded);\n\n        MainViewManager\n            .on("currentFileChange", _onFileChanged);\n        DocumentManager\n            .on("documentSaved", _onDocumentSaved)\n            .on("dirtyFlagChange", _onDirtyFlagChange);\n        ProjectManager\n            .on("beforeProjectClose beforeAppClose", close);\n\n        // Initialize exports.status\n        _setStatus(STATUS_INACTIVE);\n    }\n\n    function _getServer() {\n        return _server;\n    }\n\n    function getServerBaseUrl() {\n        return _server && _server.getBaseUrl();\n    }\n\n\n    EventDispatcher.makeEventDispatcher(exports);\n\n    // For unit testing\n    exports.launcherUrl               = launcherUrl;\n    exports._getServer                = _getServer;\n    exports._getInitialDocFromCurrent = _getInitialDocFromCurrent;\n\n    // Export public functions\n    exports.agents              = agents;\n    exports.open                = open;\n    exports.close               = close;\n    exports.reconnect           = reconnect;\n    exports.reload              = reload;\n    exports.enableAgent         = enableAgent;\n    exports.disableAgent        = disableAgent;\n    exports.getLiveDocForPath   = getLiveDocForPath;\n    exports.showHighlight       = showHighlight;\n    exports.hideHighlight       = hideHighlight;\n    exports.redrawHighlight     = redrawHighlight;\n    exports.init                = init;\n    exports.getCurrentProjectServerConfig = getCurrentProjectServerConfig;\n    exports.getServerBaseUrl    = getServerBaseUrl;\n});\n\n//# sourceURL=/LiveDevelopment/LiveDevelopment.js'),
eval('define(\'text!LiveDevelopment/MultiBrowserImpl/transports/remote/NodeSocketTransportRemote.js\',[],function () { return \'/*\\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\\n *\\n * Permission is hereby granted, free of charge, to any person obtaining a\\n * copy of this software and associated documentation files (the "Software"),\\n * to deal in the Software without restriction, including without limitation\\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\\n * and/or sell copies of the Software, and to permit persons to whom the\\n * Software is furnished to do so, subject to the following conditions:\\n *\\n * The above copyright notice and this permission notice shall be included in\\n * all copies or substantial portions of the Software.\\n *\\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\\n * DEALINGS IN THE SOFTWARE.\\n *\\n */\\n\\n// This is a transport injected into the browser via a script that handles the low\\n// level communication between the live development protocol handlers on both sides.\\n// This transport provides a web socket mechanism. It\\\'s injected separately from the\\n// protocol handler so that the transport can be changed separately.\\n\\n(function (global) {\\n    "use strict";\\n\\n    var WebSocketTransport = {\\n        /**\\n         * @private\\n         * The WebSocket that we communicate with Brackets over.\\n         * @type {?WebSocket}\\n         */\\n        _ws: null,\\n\\n        /**\\n         * @private\\n         * An object that contains callbacks to handle various transport events. See `setCallbacks()`.\\n         * @type {?{connect: ?function, message: ?function(string), close: ?function}}\\n         */\\n        _callbacks: null,\\n\\n        /**\\n         * Sets the callbacks that should be called when various transport events occur. All callbacks\\n         * are optional, but you should at least implement "message" or nothing interesting will happen :)\\n         * @param {?{connect: ?function, message: ?function(string), close: ?function}} callbacks\\n         *      The callbacks to set.\\n         *      connect - called when a connection is established to Brackets\\n         *      message(msgStr) - called with a string message sent from Brackets\\n         *      close - called when Brackets closes the connection\\n         */\\n        setCallbacks: function (callbacks) {\\n            if (!global._Brackets_LiveDev_Socket_Transport_URL) {\\n                console.error("[Brackets LiveDev] No socket transport URL injected");\\n            } else {\\n                this._callbacks = callbacks;\\n            }\\n        },\\n\\n        /**\\n         * Connects to the NodeSocketTransport in Brackets at the given WebSocket URL.\\n         * @param {string} url\\n         */\\n        connect: function (url) {\\n            var self = this;\\n            this._ws = new WebSocket(url);\\n\\n            // One potential source of confusion: the transport sends two "types" of messages -\\n            // these are distinct from the protocol\\\'s own messages. This is because this transport\\n            // needs to send an initial "connect" message telling the Brackets side of the transport\\n            // the URL of the page that it\\\'s connecting from, distinct from the actual protocol\\n            // message traffic. Actual protocol messages are sent as a JSON payload in a message of\\n            // type "message".\\n            //\\n            // Other transports might not need to do this - for example, a transport that simply\\n            // talks to an iframe within the same process already knows what URL that iframe is\\n            // pointing to, so the only comunication that needs to happen via postMessage() is the\\n            // actual protocol message strings, and no extra wrapping is necessary.\\n\\n            this._ws.onopen = function (event) {\\n                // Send the initial "connect" message to tell the other end what URL we\\\'re from.\\n                self._ws.send(JSON.stringify({\\n                    type: "connect",\\n                    url: global.location.href\\n                }));\\n                console.log("[Brackets LiveDev] Connected to Brackets at " + url);\\n                if (self._callbacks && self._callbacks.connect) {\\n                    self._callbacks.connect();\\n                }\\n            };\\n            this._ws.onmessage = function (event) {\\n                console.log("[Brackets LiveDev] Got message: " + event.data);\\n                if (self._callbacks && self._callbacks.message) {\\n                    self._callbacks.message(event.data);\\n                }\\n            };\\n            this._ws.onclose = function (event) {\\n                self._ws = null;\\n                if (self._callbacks && self._callbacks.close) {\\n                    self._callbacks.close();\\n                }\\n            };\\n            // TODO: onerror\\n        },\\n\\n        /**\\n         * Sends a message over the transport.\\n         * @param {string} msgStr The message to send.\\n         */\\n        send: function (msgStr) {\\n            if (this._ws) {\\n                // See comment in `connect()` above about why we wrap the message in a transport message\\n                // object.\\n                this._ws.send(JSON.stringify({\\n                    type: "message",\\n                    message: msgStr\\n                }));\\n            } else {\\n                console.log("[Brackets LiveDev] Tried to send message over closed connection: " + msgStr);\\n            }\\n        },\\n\\n        /**\\n         * Establish web socket connection.\\n         */\\n        enable: function () {\\n            this.connect(global._Brackets_LiveDev_Socket_Transport_URL);\\n        }\\n    };\\n    global._Brackets_LiveDev_Transport = WebSocketTransport;\\n}(this));\\n\';});\n\n//# sourceURL=/text!LiveDevelopment/MultiBrowserImpl/transports/remote/NodeSocketTransportRemote.js'),eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n// This transport provides a WebSocket connection between Brackets and a live browser preview.\n// This is just a thin wrapper around the Node extension (NodeSocketTransportDomain) that actually\n// provides the WebSocket server and handles the communication. We also rely on an injected script in\n// the browser for the other end of the transport.\n\ndefine(\'LiveDevelopment/MultiBrowserImpl/transports/NodeSocketTransport\',[\'require\',\'exports\',\'module\',\'file/FileUtils\',\'utils/EventDispatcher\',\'utils/NodeDomain\',\'text!LiveDevelopment/MultiBrowserImpl/transports/remote/NodeSocketTransportRemote.js\'],function (require, exports, module) {\n    "use strict";\n\n    var FileUtils       = require("file/FileUtils"),\n        EventDispatcher = require("utils/EventDispatcher"),\n        NodeDomain      = require("utils/NodeDomain");\n\n    // The script that will be injected into the previewed HTML to handle the other side of the socket connection.\n    var NodeSocketTransportRemote = require("text!LiveDevelopment/MultiBrowserImpl/transports/remote/NodeSocketTransportRemote.js");\n\n    // The node extension that actually provides the WebSocket server.\n\n    var domainPath = FileUtils.getNativeBracketsDirectoryPath() + "/" + FileUtils.getNativeModuleDirectoryPath(module) + "/node/NodeSocketTransportDomain";\n\n    var NodeSocketTransportDomain = new NodeDomain("nodeSocketTransport", domainPath);\n\n    // This must match the port declared in NodeSocketTransportDomain.js.\n    // TODO: randomize this?\n    var SOCKET_PORT = 8123;\n\n    /**\n     * Returns the script that should be injected into the browser to handle the other end of the transport.\n     * @return {string}\n     */\n    function getRemoteScript() {\n        return "<script>\\n" +\n            NodeSocketTransportRemote +\n            "this._Brackets_LiveDev_Socket_Transport_URL = \'ws://localhost:" + SOCKET_PORT + "\';\\n" +\n            "</script>\\n";\n    }\n\n    // Events\n\n    // We can simply retrigger the events we receive from the node domain directly, since they\'re in\n    // the same format expected by clients of the transport.\n\n    ["connect", "message", "close"].forEach(function (type) {\n        NodeSocketTransportDomain.on(type, function () {\n            console.log("NodeSocketTransport - event - " + type + " - " + JSON.stringify(Array.prototype.slice.call(arguments, 1)));\n            // Remove the event object from the argument list.\n            exports.trigger(type, Array.prototype.slice.call(arguments, 1));\n        });\n    });\n\n    EventDispatcher.makeEventDispatcher(exports);\n\n    // Exports\n    exports.getRemoteScript = getRemoteScript;\n\n    // Proxy the node domain methods directly through, since they have exactly the same\n    // signatures as the ones we\'re supposed to provide.\n    ["start", "send", "close"].forEach(function (method) {\n        exports[method] = function () {\n            var args = Array.prototype.slice.call(arguments);\n            args.unshift(method);\n            console.log("NodeSocketTransport - " + args);\n            NodeSocketTransportDomain.exec.apply(NodeSocketTransportDomain, args);\n        };\n    });\n\n});\n\n//# sourceURL=/LiveDevelopment/MultiBrowserImpl/transports/NodeSocketTransport.js'),eval('define(\'text!LiveDevelopment/MultiBrowserImpl/protocol/remote/LiveDevProtocolRemote.js\',[],function () { return \'/*\\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\\n *\\n * Permission is hereby granted, free of charge, to any person obtaining a\\n * copy of this software and associated documentation files (the "Software"),\\n * to deal in the Software without restriction, including without limitation\\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\\n * and/or sell copies of the Software, and to permit persons to whom the\\n * Software is furnished to do so, subject to the following conditions:\\n *\\n * The above copyright notice and this permission notice shall be included in\\n * all copies or substantial portions of the Software.\\n *\\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\\n * DEALINGS IN THE SOFTWARE.\\n *\\n */\\n\\n/*jslint evil: true */\\n\\n// This is the script that Brackets live development injects into HTML pages in order to\\n// establish and maintain the live development socket connection. Note that Brackets may\\n// also inject other scripts via "evaluate" once this has connected back to Brackets.\\n\\n(function (global) {\\n    "use strict";\\n\\n    // This protocol handler assumes that there is also an injected transport script that\\n    // has the following methods:\\n    //     setCallbacks(obj) - a method that takes an object with a "message" callback that\\n    //         will be called with the message string whenever a message is received by the transport.\\n    //     send(msgStr) - sends the given message string over the transport.\\n    var transport = global._Brackets_LiveDev_Transport;\\n\\n    /**\\n     * Manage messaging between Editor and Browser at the protocol layer.\\n     * Handle messages that arrives through the current transport and dispatch them\\n     * to subscribers. Subscribers are handlers that implements remote commands/functions.\\n     * Property \\\'method\\\' of messages body is used as the \\\'key\\\' to identify message types.\\n     * Provide a \\\'send\\\' operation that allows remote commands sending messages to the Editor.\\n     */\\n    var MessageBroker = {\\n\\n        /**\\n         * Collection of handlers (subscribers) per each method.\\n         * To be pushed by \\\'on\\\' and consumed by \\\'trigger\\\' stored this way:\\n         *      handlers[method] = [handler1, handler2, ...]\\n         */\\n        handlers: {},\\n\\n         /**\\n          * Dispatch messages to handlers according to msg.method value.\\n          * @param {Object} msg Message to be dispatched.\\n          */\\n        trigger: function (msg) {\\n            var msgHandlers;\\n            if (!msg.method) {\\n                // no message type, ignoring it\\n                // TODO: should we trigger a generic event?\\n                console.log("[Brackets LiveDev] Received message without method.");\\n                return;\\n            }\\n            // get handlers for msg.method\\n            msgHandlers = this.handlers[msg.method];\\n\\n            if (msgHandlers && msgHandlers.length > 0) {\\n                // invoke handlers with the received message\\n                msgHandlers.forEach(function (handler) {\\n                    try {\\n                        // TODO: check which context should be used to call handlers here.\\n                        handler(msg);\\n                        return;\\n                    } catch (e) {\\n                        console.log("[Brackets LiveDev] Error executing a handler for " + msg.method);\\n                        console.log(e.stack);\\n                        return;\\n                    }\\n                });\\n            } else {\\n                // no subscribers, ignore it.\\n                // TODO: any other default handling? (eg. specific respond, trigger as a generic event, etc.);\\n                console.log("[Brackets LiveDev] No subscribers for message " + msg.method);\\n                return;\\n            }\\n        },\\n\\n        /**\\n         * Send a response of a particular message to the Editor.\\n         * Original message must provide an \\\'id\\\' property\\n         * @param {Object} orig Original message.\\n         * @param {Object} response Message to be sent as the response.\\n         */\\n        respond: function (orig, response) {\\n            if (!orig.id) {\\n                console.log("[Brackets LiveDev] Trying to send a response for a message with no ID");\\n                return;\\n            }\\n            response.id = orig.id;\\n            this.send(response);\\n        },\\n\\n        /**\\n         * Subscribe handlers to specific messages.\\n         * @param {string} method Message type.\\n         * @param {function} handler.\\n         * TODO: add handler name or any identification mechanism to then implement \\\'off\\\'?\\n         */\\n        on: function (method, handler) {\\n            if (!method || !handler) {\\n                return;\\n            }\\n            if (!this.handlers[method]) {\\n                //initialize array\\n                this.handlers[method] = [];\\n            }\\n            // add handler to the stack\\n            this.handlers[method].push(handler);\\n        },\\n\\n        /**\\n         * Send a message to the Editor.\\n         * @param {string} msgStr Message to be sent.\\n         */\\n        send: function (msgStr) {\\n            transport.send(JSON.stringify(msgStr));\\n        }\\n    };\\n\\n    /**\\n     * Runtime Domain. Implements remote commands for "Runtime.*"\\n     */\\n    var Runtime = {\\n        /**\\n         * Evaluate an expresion and return its result.\\n         */\\n        evaluate: function (msg) {\\n            console.log("Runtime.evaluate");\\n            var result = eval(msg.params.expression);\\n            MessageBroker.respond(msg, {\\n                result: JSON.stringify(result) // TODO: in original protocol this is an object handle\\n            });\\n        }\\n    };\\n\\n    // subscribe handler to method Runtime.evaluate\\n    MessageBroker.on("Runtime.evaluate", Runtime.evaluate);\\n\\n    /**\\n     * CSS Domain.\\n     */\\n    var CSS = {\\n\\n        setStylesheetText : function (msg) {\\n\\n            if (!msg || !msg.params || !msg.params.text || !msg.params.url) {\\n                return;\\n            }\\n\\n            var i,\\n                node;\\n\\n            var head = window.document.getElementsByTagName(\\\'head\\\')[0];\\n            // create an style element to replace the one loaded with <link>\\n            var s = window.document.createElement(\\\'style\\\');\\n            s.type = \\\'text/css\\\';\\n            s.appendChild(window.document.createTextNode(msg.params.text));\\n\\n            for (i = 0; i < window.document.styleSheets.length; i++) {\\n                node = window.document.styleSheets[i];\\n                if (node.ownerNode.id === msg.params.url) {\\n                    head.insertBefore(s, node.ownerNode); // insert the style element here\\n                    // now can remove the style element previously created (if any)\\n                    node.ownerNode.parentNode.removeChild(node.ownerNode);\\n                } else if (node.href === msg.params.url  && !node.disabled) {\\n                    // if the link element to change\\n                    head.insertBefore(s, node.ownerNode); // insert the style element here\\n                    node.disabled = true;\\n                    i++; // since we have just inserted a stylesheet\\n                }\\n            }\\n            s.id = msg.params.url;\\n        },\\n\\n        /**\\n        * retrieves the content of the stylesheet\\n        * TODO: it now depends on reloadCSS implementation\\n        */\\n        getStylesheetText: function (msg) {\\n            var i,\\n                sheet,\\n                text = "";\\n            for (i = 0; i < window.document.styleSheets.length; i++) {\\n                sheet = window.document.styleSheets[i];\\n                // if it was already \\\'reloaded\\\'\\n                if (sheet.ownerNode.id ===  msg.params.url) {\\n                    text = sheet.ownerNode.textContent;\\n                } else if (sheet.href === msg.params.url && !sheet.disabled) {\\n                    var j,\\n                        rules;\\n\\n                    // Deal with Firefox\\\'s SecurityError when accessing sheets\\n                    // from other domains, and Chrome returning `undefined`.\\n                    try {\\n                        rules = window.document.styleSheets[i].cssRules;\\n                    } catch (e) {\\n                        if (e.name !== "SecurityError") {\\n                            throw e;\\n                        }\\n                    }\\n                    if (!rules) {\\n                        return;\\n                    }\\n\\n                    for (j = 0; j < rules.length; j++) {\\n                        text += rules[j].cssText + \\\'\\\\n\\\';\\n                    }\\n                }\\n            }\\n\\n            MessageBroker.respond(msg, {\\n                text: text\\n            });\\n        }\\n    };\\n\\n    MessageBroker.on("CSS.setStylesheetText", CSS.setStylesheetText);\\n    MessageBroker.on("CSS.getStylesheetText", CSS.getStylesheetText);\\n\\n    /**\\n     * Page Domain.\\n     */\\n    var Page = {\\n        /**\\n         * Reload the current page optionally ignoring cache.\\n         * @param {Object} msg\\n         */\\n        reload: function (msg) {\\n            // just reload the page\\n            window.location.reload(msg.params.ignoreCache);\\n        },\\n\\n        /**\\n         * Navigate to a different page.\\n         * @param {Object} msg\\n         */\\n        navigate: function (msg) {\\n            if (msg.params.url) {\\n                // navigate to a new page.\\n                window.location.replace(msg.params.url);\\n            }\\n        }\\n    };\\n\\n    // subscribe handler to method Page.reload\\n    MessageBroker.on("Page.reload", Page.reload);\\n    MessageBroker.on("Page.navigate", Page.navigate);\\n    MessageBroker.on("ConnectionClose", Page.close);\\n\\n\\n\\n    // By the time this executes, there must already be an active transport.\\n    if (!transport) {\\n        console.error("[Brackets LiveDev] No transport set");\\n        return;\\n    }\\n\\n    var ProtocolManager = {\\n\\n        _documentObserver: {},\\n\\n        _protocolHandler: {},\\n\\n        enable: function () {\\n            transport.setCallbacks(this._protocolHandler);\\n            transport.enable();\\n        },\\n\\n        onConnect: function () {\\n            this._documentObserver.start(window.document, transport);\\n        },\\n\\n        onClose: function () {\\n            var body = window.document.getElementsByTagName("body")[0],\\n                overlay = window.document.createElement("div"),\\n                background = window.document.createElement("div"),\\n                status = window.document.createElement("div");\\n\\n            overlay.style.width = "100%";\\n            overlay.style.height = "100%";\\n            overlay.style.zIndex = 2227;\\n            overlay.style.position = "absolute";\\n            overlay.style.top = 0;\\n            overlay.style.left = 0;\\n\\n            background.style.backgroundColor = "#fff";\\n            background.style.opacity = 0.5;\\n            background.style.width = "100%";\\n            background.style.height = "100%";\\n            background.style.position = "absolute";\\n            background.style.top = 0;\\n            background.style.left = 0;\\n\\n            status.textContent = "Live Development Session has Ended";\\n            status.style.width = "100%";\\n            status.style.color = "#fff";\\n            status.style.backgroundColor = "#666";\\n            status.style.position = "absolute";\\n            status.style.top = 0;\\n            status.style.left = 0;\\n            status.style.padding = "0.2em";\\n            status.style.verticalAlign = "top";\\n            status.style.textAlign = "center";\\n            overlay.appendChild(background);\\n            overlay.appendChild(status);\\n            body.appendChild(overlay);\\n\\n            // change the title as well\\n            window.document.title = "(Brackets Live Preview: closed) " + window.document.title;\\n        },\\n\\n        setDocumentObserver: function (documentOberver) {\\n            if (!documentOberver) {\\n                return;\\n            }\\n            this._documentObserver = documentOberver;\\n        },\\n\\n        setProtocolHandler: function (protocolHandler) {\\n            if (!protocolHandler) {\\n                return;\\n            }\\n            this._protocolHandler = protocolHandler;\\n        }\\n    };\\n\\n    // exposing ProtocolManager\\n    global._Brackets_LiveDev_ProtocolManager = ProtocolManager;\\n\\n    /**\\n     * The remote handler for the protocol.\\n     */\\n    var ProtocolHandler = {\\n        /**\\n         * Handles a message from the transport. Parses it as JSON and delegates\\n         * to MessageBroker who is in charge of routing them to handlers.\\n         * @param {string} msgStr The protocol message as stringified JSON.\\n         */\\n        message: function (msgStr) {\\n            var msg;\\n            try {\\n                msg = JSON.parse(msgStr);\\n            } catch (e) {\\n                console.log("[Brackets LiveDev] Malformed message received: ", msgStr);\\n                return;\\n            }\\n            // delegates handling/routing to MessageBroker.\\n            MessageBroker.trigger(msg);\\n        },\\n\\n        close: function (evt) {\\n            ProtocolManager.onClose();\\n        },\\n\\n        connect: function (evt) {\\n            ProtocolManager.onConnect();\\n        }\\n    };\\n\\n    ProtocolManager.setProtocolHandler(ProtocolHandler);\\n\\n    window.addEventListener(\\\'load\\\', function () {\\n        ProtocolManager.enable();\\n    });\\n    \\n    /**\\n    * Sends the message containing tagID which is being clicked\\n    * to the editor in order to change the cursor position to\\n    * the HTML tag corresponding to the clicked element.\\n    */\\n    function onDocumentClick(event) {\\n        var element = event.target;\\n        if (element && element.hasAttribute(\\\'data-brackets-id\\\')) {\\n            MessageBroker.send({"tagId": element.getAttribute(\\\'data-brackets-id\\\')});\\n        }\\n    }\\n    window.document.addEventListener("click", onDocumentClick);\\n\\n}(this));\\n\';});\n\n//# sourceURL=/text!LiveDevelopment/MultiBrowserImpl/protocol/remote/LiveDevProtocolRemote.js'),eval("define('text!LiveDevelopment/MultiBrowserImpl/protocol/remote/DocumentObserver.js',[],function () { return '/*\\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\\n *\\n * Permission is hereby granted, free of charge, to any person obtaining a\\n * copy of this software and associated documentation files (the \"Software\"),\\n * to deal in the Software without restriction, including without limitation\\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\\n * and/or sell copies of the Software, and to permit persons to whom the\\n * Software is furnished to do so, subject to the following conditions:\\n *\\n * The above copyright notice and this permission notice shall be included in\\n * all copies or substantial portions of the Software.\\n *\\n * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\\n * DEALINGS IN THE SOFTWARE.\\n *\\n */\\n\\n/*global setInterval, clearInterval */\\n\\n(function (global) {\\n    \"use strict\";\\n\\n    var ProtocolManager = global._Brackets_LiveDev_ProtocolManager;\\n\\n    var _document = null;\\n    var _transport;\\n\\n\\n    /**\\n     * Retrieves related documents (external CSS and JS files)\\n     *\\n     * @return {{scripts: object, stylesheets: object}} Related scripts and stylesheets\\n     */\\n    function related() {\\n\\n        var rel = {\\n            scripts: {},\\n            stylesheets: {}\\n        };\\n        var i;\\n        // iterate on document scripts (HTMLCollection doesn\\'t provide forEach iterator).\\n        for (i = 0; i < _document.scripts.length; i++) {\\n            // add only external scripts\\n            if (_document.scripts[i].src) {\\n                rel.scripts[_document.scripts[i].src] = true;\\n            }\\n        }\\n\\n        var s, j;\\n        //traverse @import rules\\n        var traverseRules = function _traverseRules(sheet, base) {\\n            var i,\\n                href = sheet.href,\\n                cssRules;\\n\\n            // Deal with Firefox\\'s SecurityError when accessing sheets\\n            // from other domains. Chrome will safely return `undefined`.\\n            try {\\n                cssRules = sheet.cssRules;\\n            } catch (e) {\\n                if (e.name !== \"SecurityError\") {\\n                    throw e;\\n                }\\n            }\\n\\n            if (href && cssRules) {\\n                if (rel.stylesheets[href] === undefined) {\\n                    rel.stylesheets[href] = [];\\n                }\\n                rel.stylesheets[href].push(base);\\n\\n                for (i = 0; i < cssRules.length; i++) {\\n                    if (cssRules[i].href) {\\n                        traverseRules(cssRules[i].styleSheet, base);\\n                    }\\n                }\\n            }\\n        };\\n        //iterate on document.stylesheets (StyleSheetList doesn\\'t provide forEach iterator).\\n        for (j = 0; j < window.document.styleSheets.length; j++) {\\n            s = window.document.styleSheets[j];\\n            traverseRules(s, s.href);\\n        }\\n        return rel;\\n    }\\n\\n    /**\\n     * Common functions.\\n     */\\n    var Utils = {\\n\\n        isExternalStylesheet: function (node) {\\n            return (node.nodeName.toUpperCase() === \"LINK\" && node.rel === \"stylesheet\" && node.href);\\n        },\\n        isExternalScript: function (node) {\\n            return (node.nodeName.toUpperCase() === \"SCRIPT\" && node.src);\\n        }\\n    };\\n\\n    /**\\n     * CSS related commands and notifications\\n     */\\n    var CSS = {\\n\\n            /**\\n            * Maintains a map of stylesheets loaded thorugh @import rules and their parents.\\n            * Populated by extractImports, consumed by notifyImportsAdded / notifyImportsRemoved.\\n            * @type {\\n            */\\n            stylesheets : {},\\n\\n            /**\\n             * Check the stylesheet that was just added be really loaded\\n             * to be able to extract potential import-ed stylesheets.\\n             * It invokes notifyStylesheetAdded once the sheet is loaded.\\n             * @param  {string} href Absolute URL of the stylesheet.\\n             */\\n            checkForStylesheetLoaded : function (href) {\\n                var self = this;\\n\\n\\n                // Inspect CSSRules for @imports:\\n                // styleSheet obejct is required to scan CSSImportRules but\\n                // browsers differ on the implementation of MutationObserver interface.\\n                // Webkit triggers notifications before stylesheets are loaded,\\n                // Firefox does it after loading.\\n                // There are also differences on when \\'load\\' event is triggered for\\n                // the \\'link\\' nodes. Webkit triggers it before stylesheet is loaded.\\n                // Some references to check:\\n                //      http://www.phpied.com/when-is-a-stylesheet-really-loaded/\\n                //      http://stackoverflow.com/questions/17747616/webkit-dynamically-created-stylesheet-when-does-it-really-load\\n                //        http://stackoverflow.com/questions/11425209/are-dom-mutation-observers-slower-than-dom-mutation-events\\n                //\\n                // TODO: This is just a temporary \\'cross-browser\\' solution, it needs optimization.\\n                var loadInterval = setInterval(function () {\\n                    var i;\\n                    for (i = 0; i < window.document.styleSheets.length; i++) {\\n                        if (window.document.styleSheets[i].href === href) {\\n                            //clear interval\\n                            clearInterval(loadInterval);\\n                            // notify stylesheets added\\n                            self.notifyStylesheetAdded(href);\\n                            break;\\n                        }\\n                    }\\n                }, 50);\\n            },\\n\\n            onStylesheetRemoved : function (url) {\\n                // get style node created when setting new text for stylesheet.\\n                var s = window.document.getElementById(url);\\n                // remove\\n                if (s && s.parentNode && s.parentNode.removeChild) {\\n                    s.parentNode.removeChild(s);\\n                }\\n            },\\n\\n            /**\\n             * Send a notification for the stylesheet added and\\n             * its import-ed styleshets based on document.stylesheets diff\\n             * from previous status. It also updates stylesheets status.\\n             */\\n            notifyStylesheetAdded : function () {\\n                var added = {},\\n                    current,\\n                    newStatus;\\n\\n                current = this.stylesheets;\\n                newStatus = related().stylesheets;\\n\\n                Object.keys(newStatus).forEach(function (v, i) {\\n                    if (!current[v]) {\\n                        added[v] = newStatus[v];\\n                    }\\n                });\\n\\n                Object.keys(added).forEach(function (v, i) {\\n                    _transport.send(JSON.stringify({\\n                        method: \"StylesheetAdded\",\\n                        href: v,\\n                        roots: [added[v]]\\n                    }));\\n                });\\n\\n                this.stylesheets = newStatus;\\n            },\\n\\n            /**\\n             * Send a notification for the removed stylesheet and\\n             * its import-ed styleshets based on document.stylesheets diff\\n             * from previous status. It also updates stylesheets status.\\n             */\\n            notifyStylesheetRemoved : function () {\\n\\n                var self = this;\\n                var removed = {},\\n                    newStatus,\\n                    current;\\n\\n                current = self.stylesheets;\\n                newStatus = related().stylesheets;\\n\\n                Object.keys(current).forEach(function (v, i) {\\n                    if (!newStatus[v]) {\\n                        removed[v] = current[v];\\n                        // remove node created by setStylesheetText if any\\n                        self.onStylesheetRemoved(current[v]);\\n                    }\\n                });\\n\\n                Object.keys(removed).forEach(function (v, i) {\\n                    _transport.send(JSON.stringify({\\n                        method: \"StylesheetRemoved\",\\n                        href: v,\\n                        roots: [removed[v]]\\n                    }));\\n                });\\n\\n                self.stylesheets = newStatus;\\n            }\\n        };\\n\\n\\n    /* process related docs added */\\n    function _onNodesAdded(nodes) {\\n        var i;\\n        for (i = 0; i < nodes.length; i++) {\\n            //check for Javascript files\\n            if (Utils.isExternalScript(nodes[i])) {\\n                _transport.send(JSON.stringify({\\n                    method: \\'ScriptAdded\\',\\n                    src: nodes[i].src\\n                }));\\n            }\\n            //check for stylesheets\\n            if (Utils.isExternalStylesheet(nodes[i])) {\\n                CSS.checkForStylesheetLoaded(nodes[i].href);\\n            }\\n        }\\n    }\\n    /* process related docs removed */\\n    function _onNodesRemoved(nodes) {\\n        var i;\\n        //iterate on removed nodes\\n        for (i = 0; i < nodes.length; i++) {\\n\\n            // check for external JS files\\n            if (Utils.isExternalScript(nodes[i])) {\\n                _transport.send(JSON.stringify({\\n                    method: \\'ScriptRemoved\\',\\n                    src: nodes[i].src\\n                }));\\n            }\\n            //check for external StyleSheets\\n            if (Utils.isExternalStylesheet(nodes[i])) {\\n                CSS.notifyStylesheetRemoved(nodes[i].href);\\n            }\\n        }\\n    }\\n\\n    function _enableListeners() {\\n        // enable MutationOberver if it\\'s supported\\n        var MutationObserver = window.MutationObserver || window.WebKitMutationObserver || window.MozMutationObserver;\\n        if (MutationObserver) {\\n            var observer = new MutationObserver(function (mutations) {\\n                mutations.forEach(function (mutation) {\\n                    if (mutation.addedNodes.length > 0) {\\n                        _onNodesAdded(mutation.addedNodes);\\n                    }\\n                    if (mutation.removedNodes.length > 0) {\\n                        _onNodesRemoved(mutation.removedNodes);\\n                    }\\n                });\\n            });\\n            observer.observe(_document, {\\n                childList: true,\\n                subtree: true\\n            });\\n        } else {\\n            // use MutationEvents as fallback\\n            window.document.addEventListener(\\'DOMNodeInserted\\', function niLstnr(e) {\\n                _onNodesAdded([e.target]);\\n            });\\n            window.document.addEventListener(\\'DOMNodeRemoved\\', function nrLstnr(e) {\\n                _onNodesRemoved([e.target]);\\n            });\\n        }\\n    }\\n\\n\\n    /**\\n     * Start listening for events and send initial related documents message.\\n     *\\n     * @param {HTMLDocument} document\\n     * @param {object} transport Live development transport connection\\n     */\\n    function start(document, transport) {\\n        _transport = transport;\\n        _document = document;\\n        // start listening to node changes\\n        _enableListeners();\\n\\n        var rel = related();\\n\\n        // send the current status of related docs.\\n        _transport.send(JSON.stringify({\\n            method: \"DocumentRelated\",\\n            related: rel\\n        }));\\n        // initialize stylesheets with current status for further notifications.\\n        CSS.stylesheets = rel.stylesheets;\\n    }\\n\\n    /**\\n     * Stop listening.\\n     * TODO currently a no-op.\\n     */\\n    function stop() {\\n\\n    }\\n\\n    var DocumentObserver = {\\n        start: start,\\n        stop: stop,\\n        related: related\\n    };\\n\\n    ProtocolManager.setDocumentObserver(DocumentObserver);\\n\\n}(this));\\n';});\n\n//# sourceURL=/text!LiveDevelopment/MultiBrowserImpl/protocol/remote/DocumentObserver.js"),
eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Provides the protocol that Brackets uses to talk to a browser instance for live development.\n * Protocol methods are converted to a JSON message format, which is then sent over a provided\n * low-level transport and interpreted in the browser. For messages that expect a response, the\n * response is returned through a promise as an object. Scripts that implement remote logic are\n * provided during the instrumentation stage by "getRemoteFunctions()".\n *\n * Events raised by the remote browser are dispatched as jQuery events which type is equal to the \'method\'\n * property. The received message object is dispatched as the first parameter and enriched with a\n * \'clientId\' property being the client ID of the remote browser.\n *\n * It keeps active connections which are  updated when receiving "connect" and "close" from the\n * underlying transport. Events "Connection.connect"/"Connection.close" are triggered as\n * propagation of transport\'s "connect"/"close".\n *\n */\n\ndefine(\'LiveDevelopment/MultiBrowserImpl/protocol/LiveDevProtocol\',[\'require\',\'exports\',\'module\',\'utils/EventDispatcher\',\'text!LiveDevelopment/MultiBrowserImpl/protocol/remote/LiveDevProtocolRemote.js\',\'text!LiveDevelopment/MultiBrowserImpl/protocol/remote/DocumentObserver.js\',\'text!LiveDevelopment/Agents/RemoteFunctions.js\',\'editor/EditorManager\',\'language/HTMLInstrumentation\'],function (require, exports, module) {\n    "use strict";\n\n    var EventDispatcher = require("utils/EventDispatcher");\n\n    // Text of the script we\'ll inject into the browser that handles protocol requests.\n    var LiveDevProtocolRemote = require("text!LiveDevelopment/MultiBrowserImpl/protocol/remote/LiveDevProtocolRemote.js"),\n        DocumentObserver      = require("text!LiveDevelopment/MultiBrowserImpl/protocol/remote/DocumentObserver.js"),\n        RemoteFunctions       = require("text!LiveDevelopment/Agents/RemoteFunctions.js"),\n        EditorManager         = require("editor/EditorManager"),\n        HTMLInstrumentation   = require("language/HTMLInstrumentation");\n\n    /**\n     * @private\n     * Active connections.\n     * @type {Object}\n     */\n    var _connections = {};\n\n    /**\n     * @private\n     * The low-level transport we\'re communicating over, set by `setTransport()`.\n     * @type {{start: function(), send: function(number|Array.<number>, string), close: function(number), getRemoteScript: function(): ?string}}\n     */\n    var _transport = null;\n\n    /**\n     * @private\n     * A unique message serial number, used to match up responses with request messages.\n     * @type {number}\n     */\n    var _nextMsgId = 1;\n\n    /**\n     * @private\n     * A map of response IDs to deferreds, for messages that are awaiting responses.\n     * @type {Object}\n     */\n    var _responseDeferreds = {};\n\n    /**\n     * Returns an array of the client IDs that are being managed by this live document.\n     * @return {Array.<number>}\n     */\n    function getConnectionIds() {\n        return Object.keys(_connections);\n    }\n\n    /**\n     * @private\n     * Handles a message received from the remote protocol handler via the transport.\n     * If the message has an `id` field, it\'s assumed to be a response to a previous\n     * request, and will be passed along to the original promise returned by `_send()`.\n     * Otherwise, it\'s treated as an event and dispatched.\n     * TODO: we should probably have a way of returning the results from all clients, not just the first?\n     *\n     * @param {number} clientId ID of the client that sent the message\n     * @param {string} msg The message that was sent, in JSON string format\n     */\n    function _receive(clientId, msgStr) {\n        var msg = JSON.parse(msgStr),\n            event = msg.method || "event",\n            deferred;\n        if (msg.id) {\n            deferred = _responseDeferreds[msg.id];\n            if (deferred) {\n                delete _responseDeferreds[msg.id];\n                if (msg.error) {\n                    deferred.reject(msg);\n                } else {\n                    deferred.resolve(msg);\n                }\n            }\n        } else if (msg.tagId) {\n            var editor = EditorManager.getActiveEditor(),\n                position = HTMLInstrumentation.getPositionFromTagId(editor, parseInt(msg.tagId, 10));\n            if (position) {\n                editor.setCursorPos(position.line, position.ch, true);\n            }\n        } else {\n            // enrich received message with clientId\n            msg.clientId = clientId;\n            exports.trigger(event, msg);\n        }\n    }\n\n    /**\n     * @private\n     * Dispatches a message to the remote protocol handler via the transport.\n     *\n     * @param {Object} msg The message to send.\n     * @param {number|Array.<number>} idOrArray ID or IDs of the client(s) that should\n     *     receive the message.\n     * @return {$.Promise} A promise that\'s fulfilled when the response to the message is received.\n     */\n    function _send(msg, clients) {\n        var id = _nextMsgId++,\n            result = new $.Deferred();\n\n        // broadcast if there are no specific clients\n        clients = clients || getConnectionIds();\n        msg.id = id;\n        _responseDeferreds[id] = result;\n        _transport.send(clients, JSON.stringify(msg));\n        return result.promise();\n    }\n\n     /**\n     * @private\n     * Handles when a connection is made to the live development protocol handler.\n     * Injects the RemoteFunctions script in order to provide highlighting and live DOM editing functionality.\n     * Records the connection\'s client ID and triggers the "Coonnection.connect" event.\n     * @param {number} clientId\n     * @param {string} url\n     */\n    function _connect(clientId, url) {\n        // add new connections\n        // TODO: check URL\n        _connections[clientId] = true;\n\n        exports.trigger("ConnectionConnect", {\n            clientId: clientId,\n            url: url\n        });\n    }\n\n    /**\n     * @private\n     * Handles when a connection is closed.\n     * @param {number} clientId\n     */\n    function _close(clientId) {\n        delete _connections[clientId];\n        exports.trigger("ConnectionClose", {\n            clientId: clientId\n        });\n    }\n\n\n    /**\n     * Sets the transport that should be used by the protocol. See `LiveDevelopment.setTransport()`\n     * for more detail on the transport.\n     * @param {{start: function(string), send: function(number|Array.<number>, string), close: function(number), getRemoteScript: function(): ?string}} transport\n     */\n    function setTransport(transport) {\n        if (_transport) {\n            _transport.off(".livedev");\n        }\n        _transport = transport;\n\n        _transport\n            .on("connect.livedev", function (event, msg) {\n                _connect(msg[0], msg[1]);\n            })\n            .on("message.livedev", function (event, msg) {\n                _receive(msg[0], msg[1]);\n            })\n            .on("close.livedev", function (event, msg) {\n                _close(msg[0]);\n            });\n        _transport.start();\n    }\n\n\n    /**\n     * Returns a script that should be injected into the HTML that\'s launched in the\n     * browser in order to implement remote commands that handle protocol requests.\n     * Includes the <script> tags.\n     * @return {string}\n     */\n    function getRemoteFunctionsScript() {\n        var script = "";\n        // Inject DocumentObserver into the browser (tracks related documents)\n        script += DocumentObserver;\n        // Inject remote functions into the browser.\n        script += "window._LD=(" + RemoteFunctions + "())";\n        return "<script>\\n" + script + "</script>\\n";\n    }\n\n    /**\n     * Returns a script that should be injected into the HTML that\'s launched in the\n     * browser in order to handle protocol requests. Includes the <script> tags.\n     * This script will also include the script required by the transport, if any.\n     * @return {string}\n     */\n    function getRemoteScript() {\n        var transportScript = _transport.getRemoteScript() || "";\n        var remoteFunctionsScript = getRemoteFunctionsScript() || "";\n        return transportScript +\n            "<script>\\n" + LiveDevProtocolRemote + "</script>\\n" +\n            remoteFunctionsScript;\n    }\n\n    /**\n     * Protocol method. Evaluates the given script in the browser (in global context), and returns a promise\n     * that will be fulfilled with the result of the script, if any.\n     * @param {number|Array.<number>} clients A client ID or array of client IDs that should evaluate\n     *      the script.\n     * @param {string} script The script to evalute.\n     * @return {$.Promise} A promise that\'s resolved with the return value from the first client that responds\n     *      to the evaluation.\n     */\n    function evaluate(script, clients) {\n        return _send(\n            {\n                method: "Runtime.evaluate",\n                params: {\n                    expression: script\n                }\n            },\n            clients\n        );\n    }\n\n    /**\n     * Protocol method. Reloads a CSS styleseet in the browser (by replacing its text) given its url.\n     * @param {string} url Absolute URL of the stylesheet\n     * @param {string} text The new text of the stylesheet\n     * @param {number|Array.<number>} clients A client ID or array of client IDs that should evaluate\n     *      the script.\n     * @return {$.Promise} A promise that\'s resolved with the return value from the first client that responds\n     *      to the evaluation.\n     */\n    function setStylesheetText(url, text, clients) {\n        return _send(\n            {\n                method: "CSS.setStylesheetText",\n                params: {\n                    url: url,\n                    text: text\n                }\n            }\n        );\n    }\n\n     /**\n     * Protocol method. Rretrieves the content of a given stylesheet (for unit testing)\n     * @param {number|Array.<number>} clients A client ID or array of client IDs that should navigate to the given URL.\n     * @param {string} url Absolute URL that identifies the stylesheet.\n     * @return {$.Promise} A promise that\'s resolved with the return value from the first client that responds\n     *      to the method.\n     */\n    function getStylesheetText(url, clients) {\n        return _send(\n            {\n                method: "CSS.getStylesheetText",\n                params: {\n                    url: url\n                }\n            },\n            clients\n        );\n    }\n\n    /**\n     * Protocol method. Reloads the page that is currently loaded into the browser, optionally ignoring cache.\n     * @param {number|Array.<number>} clients A client ID or array of client IDs that should reload the page.\n     * @param {boolean} ignoreCache If true, browser cache is ignored.\n     * @return {$.Promise} A promise that\'s resolved with the return value from the first client that responds\n     *      to the method.\n     */\n    function reload(ignoreCache, clients) {\n        return _send(\n            {\n                method: "Page.reload",\n                params: {\n                    ignoreCache: true\n                }\n            },\n            clients\n        );\n    }\n\n    /**\n     * Protocol method. Navigates current page to the given URL.\n     * @param {number|Array.<number>} clients A client ID or array of client IDs that should navigate to the given URL.\n     * @param {string} url URL to navigate the page to.\n     * @return {$.Promise} A promise that\'s resolved with the return value from the first client that responds\n     *      to the method.\n     */\n    function navigate(url, clients) {\n        return _send(\n            {\n                method: "Page.navigate",\n                params: {\n                    url: url\n                }\n            },\n            clients\n        );\n    }\n\n    /**\n     * Closes the connection to the given client. Proxies to the transport.\n     * @param {number} clientId\n     */\n    function close(clientId) {\n        _transport.close(clientId);\n    }\n\n    function closeAllConnections() {\n        getConnectionIds().forEach(function (clientId) {\n            close(clientId);\n        });\n        _connections = {};\n    }\n\n    EventDispatcher.makeEventDispatcher(exports);\n\n    // public API\n    exports.setTransport = setTransport;\n    exports.getRemoteScript = getRemoteScript;\n    exports.evaluate = evaluate;\n    exports.setStylesheetText = setStylesheetText;\n    exports.getStylesheetText = getStylesheetText;\n    exports.reload = reload;\n    exports.navigate = navigate;\n    exports.close = close;\n    exports.getConnectionIds = getConnectionIds;\n    exports.closeAllConnections = closeAllConnections;\n});\n\n//# sourceURL=/LiveDevelopment/MultiBrowserImpl/protocol/LiveDevProtocol.js'),eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'LiveDevelopment/MultiBrowserImpl/launchers/Launcher\',[\'require\',\'exports\',\'module\',\'file/FileUtils\',\'utils/NodeDomain\'],function (require, exports, module) {\n    "use strict";\n\n    var FileUtils  = require("file/FileUtils"),\n        NodeDomain = require("utils/NodeDomain");\n\n    var _bracketsPath   = FileUtils.getNativeBracketsDirectoryPath(),\n        _modulePath     = FileUtils.getNativeModuleDirectoryPath(module),\n        _nodePath       = "node/LauncherDomain",\n        _domainPath     = [_bracketsPath, _modulePath, _nodePath].join("/"),\n        _nodeDomain     = new NodeDomain("launcher", _domainPath);\n\n\n    /**\n     * Launch the given URL in the system default browser.\n     * @param {string} url\n     */\n    function launch(url) {\n        // launch from node domain\n        _nodeDomain.exec("launch", url);\n    }\n\n    // Exports\n    exports.launch = launch;\n\n});\n\n//# sourceURL=/LiveDevelopment/MultiBrowserImpl/launchers/Launcher.js'),eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'LiveDevelopment/MultiBrowserImpl/documents/LiveDocument\',[\'require\',\'exports\',\'module\',\'editor/EditorManager\',\'utils/EventDispatcher\',\'preferences/PreferencesManager\',\'thirdparty/lodash\'],function (require, exports, module) {\n    "use strict";\n\n    var EditorManager       = require("editor/EditorManager"),\n        EventDispatcher     = require("utils/EventDispatcher"),\n        PreferencesManager  = require("preferences/PreferencesManager"),\n        _                   = require("thirdparty/lodash");\n\n    /**\n     * @const\n     * CSS class to use for live preview errors.\n     * @type {string}\n     */\n    var SYNC_ERROR_CLASS = "live-preview-sync-error";\n\n    /**\n     * @constructor\n     * Base class for managing the connection between a live editor and the browser. Provides functions\n     * for subclasses to highlight relevant nodes in the browser, and to mark errors in the editor.\n     *\n     * Raises these events:\n     *     "connect" - when a browser connects from the URL that maps to this live document. Passes the\n     *          URL as a parameter.\n     *     "errorStatusChanged" - when the status of errors that might prevent live edits from\n     *          working (e.g. HTML syntax errors) has changed. Passes a boolean that\'s true if there\n     *          are errors, false otherwise.\n     *\n     * @param {LiveDevProtocol} protocol The protocol to use for communicating with the browser.\n     * @param {function(string): string} urlResolver A function that, given a path on disk, should return\n     *     the URL that Live Development serves that path at.\n     * @param {Document} doc The Brackets document that this live document is connected to.\n     * @param {?Editor} editor If specified, a particular editor that this live document is managing.\n     *     If not specified initially, the LiveDocument will connect to the editor for the given document\n     *     when it next becomes the active editor.\n     */\n    function LiveDocument(protocol, urlResolver, doc, editor, roots) {\n        this.protocol = protocol;\n        this.urlResolver = urlResolver;\n        this.doc = doc;\n        this.roots = roots || [];\n\n        this._onActiveEditorChange = this._onActiveEditorChange.bind(this);\n        this._onCursorActivity = this._onCursorActivity.bind(this);\n        this._onHighlightPrefChange = this._onHighlightPrefChange.bind(this);\n\n        EditorManager.on("activeEditorChange", this._onActiveEditorChange);\n\n        PreferencesManager.stateManager.getPreference("livedev.highlight")\n            .on("change", this._onHighlightPrefChange);\n\n        // Redraw highlights when window gets focus. This ensures that the highlights\n        // will be in sync with any DOM changes that may have occurred.\n        $(window).focus(this._onHighlightPrefChange);\n\n        if (editor) {\n            // Attach now\n            this._attachToEditor(editor);\n        }\n    }\n\n    EventDispatcher.makeEventDispatcher(LiveDocument.prototype);\n\n    /**\n     * Closes the live document, terminating its connection to the browser.\n     */\n    LiveDocument.prototype.close = function () {\n\n        this._clearErrorDisplay();\n        this._detachFromEditor();\n        EditorManager.off("activeEditorChange", this._onActiveEditorChange);\n        PreferencesManager.stateManager.getPreference("livedev.highlight")\n            .off("change", this._onHighlightPrefChange);\n    };\n\n    /**\n     * Returns true if document edits appear live in the connected browser.\n     * Should be overridden by subclasses.\n     * @return {boolean}\n     */\n    LiveDocument.prototype.isLiveEditingEnabled = function () {\n        return false;\n    };\n\n    /**\n     * Called to turn instrumentation on or off for this file. Triggered by being\n     * requested from the browser. Should be implemented by subclasses if instrumentation\n     * is necessary for the subclass\'s document type.\n     * TODO: this doesn\'t seem necessary...if we\'re a live document, we should\n     * always have instrumentation on anyway.\n     * @param {boolean} enabled\n     */\n    LiveDocument.prototype.setInstrumentationEnabled = function (enabled) {\n        // Does nothing in base class.\n    };\n\n    /**\n     * Returns the instrumented version of the file. By default, just returns\n     * the document text. Should be overridden by subclasses for cases if instrumentation\n     * is necessary for the subclass\'s document type.\n     * @return {{body: string}} document body\n     */\n    LiveDocument.prototype.getResponseData = function (enabled) {\n        return {\n            body: this.doc.getText()\n        };\n    };\n\n    /**\n     * @private\n     * Handles changes to the "Live Highlight" preference, switching it on/off in the browser as appropriate.\n     */\n    LiveDocument.prototype._onHighlightPrefChange = function () {\n        if (this.isHighlightEnabled()) {\n            this.updateHighlight();\n        } else {\n            this.hideHighlight();\n        }\n    };\n\n    /**\n     * @private\n     * Handles when the active editor changes, attaching to the new editor if it\'s for the current document.\n     * @param {$.Event} event\n     * @param {?Editor} newActive\n     * @param {?Editor} oldActive\n     */\n    LiveDocument.prototype._onActiveEditorChange = function (event, newActive, oldActive) {\n\n        //FIXME: #7 prevents the page to be reloaded when editing JS files.\n        //       Temporarily disabling this code to make JS editing work.\n//      this._detachFromEditor();\n\n        if (newActive && newActive.document === this.doc) {\n            this._attachToEditor(newActive);\n        }\n    };\n\n    /**\n     * @private\n     * Attaches to an editor for our associated document when it becomes active.\n     * @param {Editor} editor\n     */\n    LiveDocument.prototype._attachToEditor = function (editor) {\n        this.editor = editor;\n\n        if (this.editor) {\n            this.editor.on("cursorActivity", this._onCursorActivity);\n            this.updateHighlight();\n        }\n    };\n\n    /**\n     * @private\n     * Detaches from the current editor.\n     */\n    LiveDocument.prototype._detachFromEditor = function () {\n        if (this.editor) {\n            this.hideHighlight();\n            this.editor.off("cursorActivity", this._onCursorActivity);\n            this.editor = null;\n        }\n    };\n\n    /**\n     * @private\n     * Handles a cursor change in our attached editor. Updates the highlight in the browser.\n     * @param {$.Event} event\n     * @param {Editor} editor\n     */\n    LiveDocument.prototype._onCursorActivity = function (event, editor) {\n        if (!this.editor) {\n            return;\n        }\n        this.updateHighlight();\n    };\n\n    /**\n     * @private\n     * Update errors shown by the live document in the editor. Should be called by subclasses\n     * when the list of errors changes.\n     */\n    LiveDocument.prototype._updateErrorDisplay = function () {\n        var self = this,\n            startLine,\n            endLine,\n            i,\n            lineHandle;\n\n        if (!this.editor) {\n            return;\n        }\n\n        // Buffer addLineClass DOM changes in a CodeMirror operation\n        this.editor._codeMirror.operation(function () {\n            // Remove existing errors before marking new ones\n            self._clearErrorDisplay();\n\n            self._errorLineHandles = self._errorLineHandles || [];\n\n            self.errors.forEach(function (error) {\n                startLine = error.startPos.line;\n                endLine = error.endPos.line;\n\n                for (i = startLine; i < endLine + 1; i++) {\n                    lineHandle = self.editor._codeMirror.addLineClass(i, "wrap", SYNC_ERROR_CLASS);\n                    self._errorLineHandles.push(lineHandle);\n                }\n            });\n        });\n\n        this.trigger("errorStatusChanged", !!this.errors.length);\n    };\n\n    /**\n     * @private\n     * Clears the errors shown in the attached editor.\n     */\n    LiveDocument.prototype._clearErrorDisplay = function () {\n        var self = this,\n            lineHandle;\n\n        if (!this.editor ||\n                !this._errorLineHandles ||\n                !this._errorLineHandles.length) {\n            return;\n        }\n\n        this.editor._codeMirror.operation(function () {\n            while (true) {\n                // Iterate over all lines that were previously marked with an error\n                lineHandle = self._errorLineHandles.pop();\n\n                if (!lineHandle) {\n                    break;\n                }\n\n                self.editor._codeMirror.removeLineClass(lineHandle, "wrap", SYNC_ERROR_CLASS);\n            }\n        });\n    };\n\n    /**\n     * Returns true if we should be highlighting.\n     * @return {boolean}\n     */\n    LiveDocument.prototype.isHighlightEnabled = function () {\n        return PreferencesManager.getViewState("livedev.highlight");\n    };\n\n    /**\n     * Called when the highlight in the browser should be updated because the user has\n     * changed the selection. Does nothing in base class, should be implemented by subclasses\n     * that implement highlighting functionality.\n     */\n    LiveDocument.prototype.updateHighlight = function () {\n        // Does nothing in base class\n    };\n\n    /**\n     * Hides the current highlight in the browser.\n     * @param {boolean=} temporary If true, this isn\'t a change of state - we\'re just about\n     *     to re-highlight.\n     */\n    LiveDocument.prototype.hideHighlight = function (temporary) {\n        if (!temporary) {\n            this._lastHighlight = null;\n        }\n        this.protocol.evaluate("_LD.hideHighlight()");\n    };\n\n    /**\n     * Highlight all nodes affected by a CSS rule. Should be called by subclass implementations of\n     * `updateHighlight()`.\n     * @param {string} name The selector whose matched nodes should be highlighted.\n     */\n    LiveDocument.prototype.highlightRule = function (name) {\n        if (this._lastHighlight === name) {\n            return;\n        }\n        this._lastHighlight = name;\n        this.protocol.evaluate("_LD.highlightRule(" + JSON.stringify(name) + ")");\n    };\n\n    /**\n     * Highlight all nodes with \'data-brackets-id\' value\n     * that matches id, or if id is an array, matches any of the given ids.\n     * Should be called by subclass implementations of\n     * `updateHighlight()`.\n     * @param {string|Array.<string>} value of the \'data-brackets-id\' to match,\n     * or an array of such.\n     */\n    LiveDocument.prototype.highlightDomElement = function (ids) {\n        var selector = "";\n        if (!Array.isArray(ids)) {\n            ids = [ids];\n        }\n        _.each(ids, function (id) {\n            if (selector !== "") {\n                selector += ",";\n            }\n            selector += "[data-brackets-id=\'" + id + "\']";\n        });\n        this.highlightRule(selector);\n    };\n\n    /**\n     * Redraw active highlights.\n     */\n    LiveDocument.prototype.redrawHighlights = function () {\n        if (this.isHighlightEnabled()) {\n            this.protocol.evaluate("_LD.redrawHighlights()");\n        }\n    };\n\n    module.exports = LiveDocument;\n});\n\n//# sourceURL=/LiveDevelopment/MultiBrowserImpl/documents/LiveDocument.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*jslint regexp: true */\n\n/**\n * LiveCSSDocument manages a single CSS source document\n *\n * # EDITING\n *\n * Editing the document will cause the style sheet to be reloaded in the browser,\n * which immediately updates the appearance of the rendered document.\n *\n * # HIGHLIGHTING\n *\n * DOM nodes corresponding to the rule at the current cursor position are highlighted.\n *\n * # EVENTS\n *\n * LiveCSSDocument dispatches these events:\n *  deleted - When the file for the underlying Document has been deleted. The\n *      2nd argument to the listener will be this LiveCSSDocument.\n */\ndefine(\'LiveDevelopment/MultiBrowserImpl/documents/LiveCSSDocument\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'language/CSSUtils\',\'utils/EventDispatcher\',\'LiveDevelopment/MultiBrowserImpl/documents/LiveDocument\',\'thirdparty/path-utils/path-utils\'],function LiveCSSDocumentModule(require, exports, module) {\n    "use strict";\n\n    var _               = require("thirdparty/lodash"),\n        CSSUtils        = require("language/CSSUtils"),\n        EventDispatcher = require("utils/EventDispatcher"),\n        LiveDocument    = require("LiveDevelopment/MultiBrowserImpl/documents/LiveDocument"),\n        PathUtils       = require("thirdparty/path-utils/path-utils");\n\n    /**\n     * @constructor\n     * @see LiveDocument\n     * @param {LiveDevProtocol} protocol The protocol to use for communicating with the browser.\n     * @param {function(string): string} urlResolver A function that, given a path on disk, should return\n     *     the URL that Live Development serves that path at.\n     * @param {Document} doc The Brackets document that this live document is connected to.\n     * @param {?Editor} editor If specified, a particular editor that this live document is managing.\n     *     If not specified initially, the LiveDocument will connect to the editor for the given document\n     *     when it next becomes the active editor.\n     */\n    var LiveCSSDocument = function LiveCSSDocument(protocol, urlResolver, doc, editor, roots) {\n        LiveDocument.apply(this, arguments);\n\n        // Add a ref to the doc since we\'re listening for change events\n        this.doc.addRef();\n        this.onChange = this.onChange.bind(this);\n        this.onDeleted = this.onDeleted.bind(this);\n\n        this.doc.on("change.LiveCSSDocument", this.onChange);\n        this.doc.on("deleted.LiveCSSDocument", this.onDeleted);\n        if (editor) {\n            this._attachToEditor(editor);\n        }\n    };\n\n    LiveCSSDocument.prototype = Object.create(LiveDocument.prototype);\n    LiveCSSDocument.prototype.constructor = LiveCSSDocument;\n    LiveCSSDocument.prototype.parentClass = LiveDocument.prototype;\n\n    EventDispatcher.makeEventDispatcher(LiveCSSDocument.prototype);\n\n    /**\n     * @override\n     * Closes the live document, terminating its connection to the browser.\n     */\n    LiveCSSDocument.prototype.close = function () {\n        this.doc.off(".LiveCSSDocument");\n        this.doc.releaseRef();\n        this.parentClass.close.call(this);\n    };\n\n    /**\n     * When the user edits the file, update the stylesheet in the browser and redraw highlights.\n     */\n    LiveCSSDocument.prototype._updateBrowser = function () {\n        var i,\n            docUrl = this.doc.url;\n\n        // Determines whether an url() line contains a relative or absolute URL, and makes\n        // the URL absolute to the CSS file if it is relative\n        function makeUrlsRelativeToCss(match, quotationMark, url) {\n            if (PathUtils.isRelativeUrl(url)) {\n                var absUrl = PathUtils.makeUrlAbsolute(url, docUrl);\n                return "url(" + quotationMark + absUrl + quotationMark + ")";\n            }\n            return match;\n        }\n\n        for (i = 0; i < this.roots.length; i++) {\n            if (docUrl !== this.roots[i].toString()) {\n                // if it\'s not directly included through <link>,\n                // reload the original doc\n                this.trigger("updateDoc", this.roots[i]);\n            } else {\n                var docText = this.doc.getText();\n\n                // Replace all occurrences of url() where the URL is relative to the CSS file with\n                // an absolute URL so it is relative to the CSS file, not the HTML file (see #11936)\n                docText = docText.replace(/\\burl\\(\\s*(["\']?)([^)\\n]+)\\1\\s*\\)/ig, makeUrlsRelativeToCss);\n                this.protocol.setStylesheetText(docUrl, docText);\n            }\n        }\n        this.redrawHighlights();\n    };\n\n    /**\n     * @override\n     * Update the highlights in the browser based on the cursor position.\n     */\n    LiveCSSDocument.prototype.updateHighlight = function () {\n        if (this.isHighlightEnabled() && this.editor) {\n            var editor = this.editor,\n                selectors = [];\n            _.each(this.editor.getSelections(), function (sel) {\n                var selector = CSSUtils.findSelectorAtDocumentPos(editor, (sel.reversed ? sel.end : sel.start));\n                if (selector) {\n                    selectors.push(selector);\n                }\n            });\n            if (selectors.length) {\n                this.highlightRule(selectors.join(","));\n            } else {\n                this.hideHighlight();\n            }\n        }\n    };\n\n    /**\n     * @override\n     * Returns true if document edits appear live in the connected browser.\n     * @return {boolean}\n     */\n    LiveCSSDocument.prototype.isLiveEditingEnabled = function () {\n        return true;\n    };\n\n    /** Event Handlers *******************************************************/\n\n    /**\n     * @private\n     * Handles edits to the document. Updates the stylesheet in the browser.\n     * @param {$.Event} event\n     * @param {Editor} editor\n     * @param {Object} change\n     */\n    LiveCSSDocument.prototype.onChange = function (event, editor, change) {\n        this._updateBrowser();\n    };\n\n    /**\n     * @private\n     * Handles when the associated CSS document is deleted on disk. Removes the\n     * stylesheet from the browser and shuts down the live document.\n     * @param {$.Event} event\n     */\n    LiveCSSDocument.prototype.onDeleted = function (event) {\n        // TODO Need to add protocol API to remove the stylesheet from the document.\n        //CSSAgent.clearCSSForDocument(this.doc);\n\n        // shut down, since our Document is now dead\n        this.close();\n        this.trigger("deleted", [this]);\n    };\n\n    // Only used for unit testing.\n    LiveCSSDocument.prototype.getSourceFromBrowser = function () {\n        var deferred = new $.Deferred();\n\n        this.protocol.getStylesheetText(this.doc.url)\n            .then(function (res) {\n                deferred.resolve(res.text);\n            }, deferred.reject);\n\n        return deferred.promise();\n    };\n\n    // Export the class\n    module.exports = LiveCSSDocument;\n});\n\n//# sourceURL=/LiveDevelopment/MultiBrowserImpl/documents/LiveCSSDocument.js'),
eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*unittests: HTML Instrumentation*/\n\ndefine(\'LiveDevelopment/MultiBrowserImpl/language/HTMLSimpleDOM\',[\'require\',\'exports\',\'module\',\'language/HTMLTokenizer\',\'thirdparty/murmurhash3_gc\',\'utils/PerfUtils\'],function (require, exports, module) {\n    "use strict";\n\n    var Tokenizer       = require("language/HTMLTokenizer").Tokenizer,\n        MurmurHash3     = require("thirdparty/murmurhash3_gc"),\n        PerfUtils       = require("utils/PerfUtils");\n\n    var seed = Math.floor(Math.random() * 65535);\n\n    var tagID = 1;\n\n    /**\n     * A list of tags whose start causes any of a given set of immediate parent\n     * tags to close. This mostly comes from the HTML5 spec section on omitted close tags:\n     * http://www.w3.org/html/wg/drafts/html/master/syntax.html#optional-tags\n     * This doesn\'t handle general content model violations.\n     */\n    var openImpliesClose = {\n        li      : { li: true },\n        dt      : { dd: true, dt: true },\n        dd      : { dd: true, dt: true },\n        address : { p: true },\n        article : { p: true },\n        aside   : { p: true },\n        blockquote : { p: true },\n        dir     : { p: true },\n        div     : { p: true },\n        dl      : { p: true },\n        fieldset: { p: true },\n        footer  : { p: true },\n        form    : { p: true },\n        h1      : { p: true },\n        h2      : { p: true },\n        h3      : { p: true },\n        h4      : { p: true },\n        h5      : { p: true },\n        h6      : { p: true },\n        header  : { p: true },\n        hgroup  : { p: true },\n        hr      : { p: true },\n        main    : { p: true },\n        menu    : { p: true },\n        nav     : { p: true },\n        ol      : { p: true },\n        p       : { p: true },\n        pre     : { p: true },\n        section : { p: true },\n        table   : { p: true },\n        ul      : { p: true },\n        rt      : { rp: true, rt: true },\n        rp      : { rp: true, rt: true },\n        optgroup: { optgroup: true, option: true },\n        option  : { option: true },\n        tbody   : { thead: true, tbody: true, tfoot: true },\n        tfoot   : { tbody: true },\n        tr      : { tr: true, th: true, td: true },\n        th      : { th: true, td: true },\n        td      : { thead: true, th: true, td: true },\n        body    : { head: true, link: true, script: true }\n    };\n\n    /**\n     * A list of tags that are self-closing (do not contain other elements).\n     * Mostly taken from http://www.w3.org/html/wg/drafts/html/master/syntax.html#void-elements\n     */\n    var voidElements = {\n        area: true,\n        base: true,\n        basefont: true,\n        br: true,\n        col: true,\n        command: true,\n        embed: true,\n        frame: true,\n        hr: true,\n        img: true,\n        input: true,\n        isindex: true,\n        keygen: true,\n        link: true,\n        menuitem: true,\n        meta: true,\n        param: true,\n        source: true,\n        track: true,\n        wbr: true\n    };\n\n    /**\n     * @constructor\n     *\n     * A SimpleNode represents one node in a SimpleDOM tree. Each node can have\n     * any set of properties on it, though there are a couple of assumptions made.\n     * Elements will have `children` and `attributes` properties. Text nodes will have a `content`\n     * property. All Elements will have a `tagID` and text nodes *can* have one.\n     *\n     * @param {Object} properties the properties provided will be set on the new object.\n     */\n    function SimpleNode(properties) {\n        $.extend(this, properties);\n    }\n\n    SimpleNode.prototype = {\n\n        /**\n         * Updates signatures used to optimize the number of comparisons done during\n         * diffing. This is important to call if you change:\n         *\n         * * children\n         * * child node attributes\n         * * text content of a text node\n         * * child node text\n         */\n        update: function () {\n            if (this.isElement()) {\n                var i,\n                    subtreeHashes = "",\n                    childHashes = "",\n                    child;\n                for (i = 0; i < this.children.length; i++) {\n                    child = this.children[i];\n                    if (child.isElement()) {\n                        childHashes += String(child.tagID);\n                        subtreeHashes += String(child.tagID) + child.attributeSignature + child.subtreeSignature;\n                    } else {\n                        childHashes += child.textSignature;\n                        subtreeHashes += child.textSignature;\n                    }\n                }\n                this.childSignature = MurmurHash3.hashString(childHashes, childHashes.length, seed);\n                this.subtreeSignature = MurmurHash3.hashString(subtreeHashes, subtreeHashes.length, seed);\n            } else {\n                this.textSignature = MurmurHash3.hashString(this.content, this.content.length, seed);\n            }\n        },\n\n        /**\n         * Updates the signature of this node\'s attributes. Call this after making attribute changes.\n         */\n        updateAttributeSignature: function () {\n            var attributeString = JSON.stringify(this.attributes);\n            this.attributeSignature = MurmurHash3.hashString(attributeString, attributeString.length, seed);\n        },\n\n        /**\n         * Is this node an element node?\n         *\n         * @return {bool} true if it is an element\n         */\n        isElement: function () {\n            return !!this.children;\n        },\n\n        /**\n         * Is this node a text node?\n         *\n         * @return {bool} true if it is text\n         */\n        isText: function () {\n            return !this.children;\n        }\n    };\n\n    /**\n     * @private\n     *\n     * Generates a synthetic ID for text nodes. These IDs are only used\n     * for convenience when reading a SimpleDOM that is dumped to the console.\n     *\n     * @param {Object} textNode new node for which we are generating an ID\n     * @return {string} ID for the node\n     */\n    function getTextNodeID(textNode) {\n        var childIndex = textNode.parent.children.indexOf(textNode);\n        if (childIndex === 0) {\n            return textNode.parent.tagID + ".0";\n        }\n        return textNode.parent.children[childIndex - 1].tagID + "t";\n    }\n\n    /**\n     * @private\n     *\n     * Adds two {line, ch}-style positions, returning a new pos.\n     */\n    function _addPos(pos1, pos2) {\n        return {line: pos1.line + pos2.line, ch: (pos2.line === 0 ? pos1.ch + pos2.ch : pos2.ch)};\n    }\n\n    /**\n     * @private\n     *\n     * Offsets the character offset of the given {line, ch} pos by the given amount and returns a new\n     * pos. Not for general purpose use as it does not account for line boundaries.\n     */\n    function _offsetPos(pos, offset) {\n        return {line: pos.line, ch: pos.ch + offset};\n    }\n\n    /**\n     * @constructor\n     *\n     * A Builder creates a SimpleDOM tree of SimpleNode objects representing the\n     * "important" contents of an HTML document. It does not include things like comments.\n     * The nodes include information about their position in the text provided.\n     *\n     * @param {string} text The text to parse\n     * @param {?int} startOffset starting offset in the text\n     * @param {?{line: int, ch: int}} startOffsetPos line/ch position in the text\n     */\n    function Builder(text, startOffset, startOffsetPos) {\n        this.stack = [];\n        this.text = text;\n        this.t = new Tokenizer(text);\n        this.currentTag = null;\n        this.startOffset = startOffset || 0;\n        this.startOffsetPos = startOffsetPos || {line: 0, ch: 0};\n    }\n\n    Builder.prototype._logError = function (token) {\n        var error       = { token: token },\n            startPos    = token ? (token.startPos || token.endPos) : this.startOffsetPos,\n            endPos      = token ? token.endPos : this.startOffsetPos;\n\n        error.startPos = _addPos(this.startOffsetPos, startPos);\n        error.endPos = _addPos(this.startOffsetPos, endPos);\n\n        if (!this.errors) {\n            this.errors = [];\n        }\n\n        this.errors.push(error);\n    };\n\n    /**\n     * Builds the SimpleDOM.\n     *\n     * @param {?bool} strict if errors are detected, halt and return null\n     * @param {?Object} markCache a cache that can be used in ID generation (is passed to `getID`)\n     * @return {SimpleNode} root of tree or null if parsing failed\n     */\n    Builder.prototype.build = function (strict, markCache) {\n        var self = this;\n        var token, lastClosedTag, lastTextNode, lastIndex = 0;\n        var stack = this.stack;\n        var attributeName = null;\n        var nodeMap = {};\n\n        markCache = markCache || {};\n\n        // Start timers for building full and partial DOMs.\n        // Appropriate timer is used, and the other is discarded.\n        var timerBuildFull = "HTMLInstr. Build DOM Full";\n        var timerBuildPart = "HTMLInstr. Build DOM Partial";\n        PerfUtils.markStart([timerBuildFull, timerBuildPart]);\n\n        function closeTag(endIndex, endPos) {\n            lastClosedTag = stack[stack.length - 1];\n            stack.pop();\n            lastClosedTag.update();\n\n            lastClosedTag.end = self.startOffset + endIndex;\n            lastClosedTag.endPos = _addPos(self.startOffsetPos, endPos);\n        }\n\n        while ((token = this.t.nextToken()) !== null) {\n            // lastTextNode is used to glue text nodes together\n            // If the last node we saw was text but this one is not, then we\'re done gluing.\n            // If this node is a comment, we might still encounter more text.\n            if (token.type !== "text" && token.type !== "comment" && lastTextNode) {\n                lastTextNode = null;\n            }\n\n            if (token.type === "error") {\n                PerfUtils.finalizeMeasurement(timerBuildFull);  // discard\n                PerfUtils.addMeasurement(timerBuildPart);       // use\n                this._logError(token);\n                return null;\n            } else if (token.type === "opentagname") {\n                var newTagName = token.contents.toLowerCase(),\n                    newTag;\n\n                if (openImpliesClose.hasOwnProperty(newTagName)) {\n                    var closable = openImpliesClose[newTagName];\n                    while (stack.length > 0 && closable.hasOwnProperty(stack[stack.length - 1].tag)) {\n                        // Close the previous tag at the start of this tag.\n                        // Adjust backwards for the < before the tag name.\n                        closeTag(token.start - 1, _offsetPos(token.startPos, -1));\n                    }\n                }\n\n                newTag = new SimpleNode({\n                    tag: token.contents.toLowerCase(),\n                    children: [],\n                    attributes: {},\n                    parent: (stack.length ? stack[stack.length - 1] : null),\n                    start: this.startOffset + token.start - 1,\n                    startPos: _addPos(this.startOffsetPos, _offsetPos(token.startPos, -1)) // ok because we know the previous char was a "<"\n                });\n                newTag.tagID = this.getID(newTag, markCache);\n\n                // During undo in particular, it\'s possible that tag IDs may be reused and\n                // the marks in the document may be misleading. If a tag ID has been reused,\n                // we apply a new tag ID to ensure that our edits come out correctly.\n                if (nodeMap[newTag.tagID]) {\n                    newTag.tagID = this.getNewID();\n                }\n\n                nodeMap[newTag.tagID] = newTag;\n                if (newTag.parent) {\n                    newTag.parent.children.push(newTag);\n                }\n                this.currentTag = newTag;\n\n                if (voidElements.hasOwnProperty(newTag.tag)) {\n                    // This is a self-closing element.\n                    newTag.update();\n                } else {\n                    stack.push(newTag);\n                }\n            } else if (token.type === "opentagend" || token.type === "selfclosingtag") {\n                // TODO: disallow <p/>?\n                if (this.currentTag) {\n                    if (token.type === "selfclosingtag" && stack.length && stack[stack.length - 1] === this.currentTag) {\n                        // This must have been a self-closing tag that we didn\'t identify as a void element\n                        // (e.g. an SVG tag). Pop it off the stack as if we had encountered its close tag.\n                        closeTag(token.end, token.endPos);\n                    } else {\n                        // We\'re ending an open tag. Record the end of the open tag as the end of the\n                        // range. (If we later find a close tag for this tag, the end will get overwritten\n                        // with the end of the close tag. In the case of a self-closing tag, we should never\n                        // encounter that.)\n                        // Note that we don\'t need to update the signature here because the signature only\n                        // relies on the tag name and ID, and isn\'t affected by the tag\'s attributes, so\n                        // the signature we calculated when creating the tag is still the same. If we later\n                        // find a close tag for this tag, we\'ll update the signature to account for its\n                        // children at that point (in the next "else" case).\n                        this.currentTag.openEnd = this.currentTag.end = this.startOffset + token.end;\n                        this.currentTag.endPos = _addPos(this.startOffsetPos, token.endPos);\n                        lastClosedTag = this.currentTag;\n                        this.currentTag.updateAttributeSignature();\n                        this.currentTag = null;\n                    }\n                }\n            } else if (token.type === "closetag") {\n                // If this is a self-closing element, ignore the close tag.\n                var closeTagName = token.contents.toLowerCase();\n                if (!voidElements.hasOwnProperty(closeTagName)) {\n                    // Find the topmost item on the stack that matches. If we can\'t find one, assume\n                    // this is just a dangling closing tag and ignore it.\n                    var i;\n                    for (i = stack.length - 1; i >= 0; i--) {\n                        if (stack[i].tag === closeTagName) {\n                            break;\n                        }\n                    }\n                    if (strict && i !== stack.length - 1) {\n                        // If we\'re in strict mode, treat unbalanced tags as invalid.\n                        PerfUtils.finalizeMeasurement(timerBuildFull);\n                        PerfUtils.addMeasurement(timerBuildPart);\n                        this._logError(token);\n                        return null;\n                    }\n                    if (i >= 0) {\n                        do {\n                            // For all tags we\'re implicitly closing (before we hit the matching tag), we want the\n                            // implied end to be the beginning of the close tag (which is two characters, "</", before\n                            // the start of the tagname). For the actual tag we\'re explicitly closing, we want the\n                            // implied end to be the end of the close tag (which is one character, ">", after the end of\n                            // the tagname).\n                            if (stack.length === i + 1) {\n                                closeTag(token.end + 1, _offsetPos(token.endPos, 1));\n                            } else {\n                                closeTag(token.start - 2, _offsetPos(token.startPos, -2));\n                            }\n                        } while (stack.length > i);\n                    } else {\n                        // If we\'re in strict mode, treat unmatched close tags as invalid. Otherwise\n                        // we just silently ignore them.\n                        if (strict) {\n                            PerfUtils.finalizeMeasurement(timerBuildFull);\n                            PerfUtils.addMeasurement(timerBuildPart);\n                            this._logError(token);\n                            return null;\n                        }\n                    }\n                }\n            } else if (token.type === "attribname") {\n                attributeName = token.contents.toLowerCase();\n                // Set the value to the empty string in case this is an empty attribute. If it\'s not,\n                // it will get overwritten by the attribvalue later.\n                this.currentTag.attributes[attributeName] = "";\n            } else if (token.type === "attribvalue" && attributeName !== null) {\n                this.currentTag.attributes[attributeName] = token.contents;\n                attributeName = null;\n            } else if (token.type === "text") {\n                if (stack.length) {\n                    var parent = stack[stack.length - 1];\n                    var newNode;\n\n                    // Check to see if we\'re continuing a previous text.\n                    if (lastTextNode) {\n                        newNode = lastTextNode;\n                        newNode.content += token.contents;\n                    } else {\n                        newNode = new SimpleNode({\n                            parent: stack[stack.length - 1],\n                            content: token.contents\n                        });\n                        parent.children.push(newNode);\n                        newNode.tagID = getTextNodeID(newNode);\n                        nodeMap[newNode.tagID] = newNode;\n                        lastTextNode = newNode;\n                    }\n\n                    newNode.update();\n                }\n            }\n            lastIndex = token.end;\n        }\n\n        // If we have any tags hanging open (e.g. html or body), fail the parse if we\'re in strict mode,\n        // otherwise close them at the end of the document.\n        if (stack.length) {\n            if (strict) {\n                PerfUtils.finalizeMeasurement(timerBuildFull);\n                PerfUtils.addMeasurement(timerBuildPart);\n                this._logError(token);\n                return null;\n            } else {\n                // Manually compute the position of the end of the text (we can\'t rely on the\n                // tokenizer for this since it may not get to the very end)\n                // TODO: should probably make the tokenizer get to the end...\n                var lines = this.text.split("\\n"),\n                    lastPos = {line: lines.length - 1, ch: lines[lines.length - 1].length};\n                while (stack.length) {\n                    closeTag(this.text.length, lastPos);\n                }\n            }\n        }\n\n        var dom = lastClosedTag;\n        if (!dom) {\n            // This can happen if the document has no nontrivial content, or if the user tries to\n            // have something at the root other than the HTML tag. In all such cases, we treat the\n            // document as invalid.\n            this._logError(token);\n            return null;\n        }\n\n        dom.nodeMap = nodeMap;\n        PerfUtils.addMeasurement(timerBuildFull);       // use\n        PerfUtils.finalizeMeasurement(timerBuildPart);  // discard\n\n        return dom;\n    };\n\n    /**\n     * Returns a new tag ID.\n     *\n     * @return {int} unique tag ID\n     */\n    Builder.prototype.getNewID = function () {\n        return tagID++;\n    };\n\n    /**\n     * Returns the best tag ID for the new tag object given.\n     * The default implementation just calls `getNewID`\n     * and returns a unique ID.\n     *\n     * @param {Object} newTag tag object to potentially inspect to choose an ID\n     * @return {int} unique tag ID\n     */\n    Builder.prototype.getID = Builder.prototype.getNewID;\n\n    /**\n     * Builds a SimpleDOM from the text provided. If `strict` mode is true, parsing\n     * will halt as soon as any error is seen and null will be returned.\n     *\n     * @param {string} text Text of document to parse\n     * @param {bool} strict True for strict parsing\n     * @return {SimpleNode} root of tree or null if strict failed\n     */\n    function build(text, strict) {\n        var builder = new Builder(text);\n        return builder.build(strict);\n    }\n\n    /**\n     * @private\n     *\n     * Generates a string version of a SimpleDOM for debugging purposes.\n     *\n     * @param {SimpleNode} root root of the tree\n     * @return {string} Text version of the tree.\n     */\n    function _dumpDOM(root) {\n        var result = "",\n            indent = "";\n\n        function walk(node) {\n            if (node.tag) {\n                result += indent + "TAG " + node.tagID + " " + node.tag + " " + JSON.stringify(node.attributes) + "\\n";\n            } else {\n                result += indent + "TEXT " + (node.tagID || "- ") + node.content + "\\n";\n            }\n            if (node.isElement()) {\n                indent += "  ";\n                node.children.forEach(walk);\n                indent = indent.slice(2);\n            }\n        }\n        walk(root);\n\n        return result;\n    }\n\n    // Public API\n    exports.build                       = build;\n    exports.Builder                     = Builder;\n    exports.SimpleNode                  = SimpleNode;\n\n    // Private API\n    exports._dumpDOM                    = _dumpDOM;\n    exports._offsetPos                  = _offsetPos;\n    exports._getTextNodeID              = getTextNodeID;\n    exports._seed                       = seed;\n});\n\n//# sourceURL=/LiveDevelopment/MultiBrowserImpl/language/HTMLSimpleDOM.js'),eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*unittests: HTML Instrumentation*/\n\n/**\n * HTMLInstrumentation\n *\n * This module contains functions for "instrumenting" html code so that we can track\n * the relationship of source code to DOM nodes in the browser. This functionality is\n * used by both live highlighting and live HTML editing.\n *\n * During live HTML development, the HTML source code is parsed to identify tag boundaries.\n * Each tag is assigned an ID which is stored in markers that are inserted into the editor.\n * These IDs are also included in "data-brackets-id" attributes that are inserted in the\n * HTML code that\'s served to the browser via the Live Development server.\n *\n * The primary function for that functionality is generateInstrumentedHTML(). This does just\n * what it says - it will read the HTML content in the doc and generate instrumented code by\n * injecting "data-brackets-id" attributes. Additionally, it caches the parsed DOM for use\n * by future updates.\n *\n * As the user makes edits in the editor, we determine how the DOM structure should change\n * based on the edits to the source code; those edits are generated by getUnappliedEditList().\n * HTMLDocument (in LiveDevelopment) takes those edits and sends them to the browser (via\n * RemoteFunctions) so that the DOM structure in the live preview can be updated accordingly.\n *\n * There are also helper functions for returning the tagID associated with a specified\n * position in the document--this is used in live highlighting.\n */\ndefine(\'LiveDevelopment/MultiBrowserImpl/language/HTMLInstrumentation\',[\'require\',\'exports\',\'module\',\'document/DocumentManager\',\'language/HTMLDOMDiff\',\'LiveDevelopment/MultiBrowserImpl/language/HTMLSimpleDOM\'],function (require, exports, module) {\n    "use strict";\n\n    var DocumentManager = require("document/DocumentManager"),\n        HTMLDOMDiff     = require("language/HTMLDOMDiff"),\n        HTMLSimpleDOM   = require("LiveDevelopment/MultiBrowserImpl/language/HTMLSimpleDOM");\n\n    var allowIncremental = true;\n\n    // Hash of scanned documents. Key is the full path of the doc. Value is an object\n    // with two properties: timestamp and dom. Timestamp is the document timestamp,\n    // dom is the root node of a simple DOM tree.\n    var _cachedValues = {};\n\n    /**\n     * @private\n     * Removes the cached information (DOM, timestamp, etc.) used by HTMLInstrumentation\n     * for the given document.\n     * @param {$.Event} event (unused)\n     * @param {Document} document The document to clear from the cache.\n     */\n    function _removeDocFromCache(evt, document) {\n        if (_cachedValues.hasOwnProperty(document.file.fullPath)) {\n            delete _cachedValues[document.file.fullPath];\n            document.off(".htmlInstrumentation");\n        }\n    }\n\n    /**\n     * @private\n     * Checks if two CodeMirror-style {line, ch} positions are equal.\n     * @param {{line: number, ch: number}} pos1\n     * @param {{line: number, ch: number}} pos2\n     * @return {boolean} true if pos1 and pos2 are equal. Fails if either of them is falsy.\n     */\n    function _posEq(pos1, pos2) {\n        return pos1 && pos2 && pos1.line === pos2.line && pos1.ch === pos2.ch;\n    }\n\n    /**\n     * @private\n     * Filters the given marks to find the ones that correspond to instrumented tags,\n     * sorts them by their starting position, and looks up and/or stores their ranges\n     * in the given markCache.\n     * @param {Array} marks An array of mark objects returned by CodeMirror.\n     * @param {Object} markCache An object that maps tag IDs to {mark, range} objects.\n     *     If a mark in the marks array is already in the cache, we use the cached range info,\n     *     otherwise we look up its range in CodeMirror and store it in the cache.\n     * @return {Array.<{mark: Object, range: {line: number, ch: number}}>} The filtered and\n     *     sorted array of mark info objects (each of which contains the mark and its range,\n     *     so the range doesn\'t need to be looked up again).\n     */\n    function _getSortedTagMarks(marks, markCache) {\n        marks = marks.filter(function (mark) {\n            return !!mark.tagID;\n        }).map(function (mark) {\n            // All marks should exist since we just got them from CodeMirror.\n            if (!markCache[mark.tagID]) {\n                markCache[mark.tagID] = {mark: mark, range: mark.find()};\n            }\n            return markCache[mark.tagID];\n        });\n        marks.sort(function (mark1, mark2) {\n            return (mark1.range.from.line === mark2.range.from.line ?\n                    mark1.range.from.ch - mark2.range.from.ch :\n                    mark1.range.from.line - mark2.range.from.line);\n        });\n\n        return marks;\n    }\n\n    /**\n     * @private\n     * Finds the mark for the DOM node at the given position in the editor.\n     * @param {Editor} editor The editor containing the instrumented document.\n     * @param {{line: number, ch: number}} pos The position to find the DOM marker for.\n     * @param {boolean} preferParent If true, and the pos is at one or the other edge of the\n     *     innermost marked range, return the immediately enclosing mark instead.\n     * @param {Object=} markCache An optional cache to look up positions of existing\n     *     markers. (This avoids calling the find() operation on marks multiple times,\n     *     which is expensive.)\n     * @return {Object} The CodeMirror mark object that represents the DOM node at the\n     *     given position.\n     */\n    function _getMarkerAtDocumentPos(editor, pos, preferParent, markCache) {\n        var marks, match;\n\n        markCache = markCache || {};\n        marks = _getSortedTagMarks(editor._codeMirror.findMarksAt(pos), markCache);\n        if (!marks.length) {\n            return null;\n        }\n\n        // The mark with the latest start is the innermost one.\n        match = marks[marks.length - 1];\n        if (preferParent) {\n            // If the match is exactly at the edge of the range and preferParent is set,\n            // we want to pop upwards.\n            if (_posEq(match.range.from, pos) || _posEq(match.range.to, pos)) {\n                if (marks.length > 1) {\n                    match = marks[marks.length - 2];\n                } else {\n                    // We must be outside the root, so there\'s no containing tag.\n                    match = null;\n                }\n            }\n        }\n\n        return match.mark;\n    }\n\n    /**\n     * Get the instrumented tagID at the specified position. Returns -1 if\n     * there are no instrumented tags at the location.\n     * The _markText() function must be called before calling this function.\n     *\n     * NOTE: This function is "private" for now (has a leading underscore), since\n     * the API is likely to change in the future.\n     *\n     * @param {Editor} editor The editor to scan.\n     * @param {{line: number, ch: number}} pos The position to find the DOM marker for.\n     * @param {Object=} markCache An optional cache to look up positions of existing\n     *     markers. (This avoids calling the find() operation on marks multiple times,\n     *     which is expensive.)\n     * @return {number} tagID at the specified position, or -1 if there is no tag\n     */\n    function _getTagIDAtDocumentPos(editor, pos, markCache) {\n        var match = _getMarkerAtDocumentPos(editor, pos, false, markCache);\n\n        return (match) ? match.tagID : -1;\n    }\n\n    /**\n     * Recursively walks the SimpleDOM starting at node and marking\n     * all tags in the CodeMirror instance. The more useful interface\n     * is the _markTextFromDOM function which clears existing marks\n     * before calling this function to create new ones.\n     *\n     * @param {CodeMirror} cm CodeMirror instance in which to mark tags\n     * @param {Object} node SimpleDOM node to use as the root for marking\n     */\n    function _markTags(cm, node) {\n        node.children.forEach(function (childNode) {\n            if (childNode.isElement()) {\n                _markTags(cm, childNode);\n            }\n        });\n        var mark = cm.markText(node.startPos, node.endPos);\n        mark.tagID = node.tagID;\n    }\n\n    /**\n     * Clears the marks from the document and creates new ones.\n     *\n     * @param {Editor} editor Editor object holding this document\n     * @param {Object} dom SimpleDOM root object that contains the parsed structure\n     */\n    function _markTextFromDOM(editor, dom) {\n        var cm = editor._codeMirror;\n\n        // Remove existing marks\n        var marks = cm.getAllMarks();\n        cm.operation(function () {\n            marks.forEach(function (mark) {\n                if (mark.hasOwnProperty("tagID")) {\n                    mark.clear();\n                }\n            });\n        });\n\n        // Mark\n        _markTags(cm, dom);\n    }\n\n    /**\n     * @constructor\n     * Subclass of HTMLSimpleDOM.Builder that builds an updated DOM after changes have been made,\n     * and maps nodes from the new DOM to the old DOM by tag ID. For non-structural edits, avoids reparsing\n     * the whole editor. Also updates marks in the editor based on the new DOM state.\n     *\n     * @param {Object} previousDOM The root of the HTMLSimpleDOM tree representing a previous state of the DOM.\n     * @param {Editor} editor The editor containing the instrumented HTML.\n     * @param {Array=} changeList An optional array of CodeMirror change records representing the\n     *     edits the user made in the editor since previousDOM was built. If provided, and the\n     *     edits are not structural, DOMUpdater will do a fast incremental reparse. If not provided,\n     *     or if one of the edits changes the DOM structure, DOMUpdater will reparse the whole DOM.\n     */\n    function DOMUpdater(previousDOM, editor, changeList) {\n        var text, startOffset = 0, startOffsetPos;\n\n        this.isIncremental = false;\n\n        function isDangerousEdit(text) {\n            // We don\'t consider & dangerous since entities only affect text content, not\n            // overall DOM structure.\n            return (/[<>\\/=\\"\\\']/).test(text);\n        }\n\n        // If there\'s more than one change, be conservative and assume we have to do a full reparse.\n        if (changeList && changeList.length === 1) {\n            // If the inserted or removed text doesn\'t have any characters that could change the\n            // structure of the DOM (e.g. by adding or removing a tag boundary), then we can do\n            // an incremental reparse of just the parent tag containing the edit. This should just\n            // be the marked range that contains the beginning of the edit range, since that position\n            // isn\'t changed by the edit.\n            var change = changeList[0];\n            if (!isDangerousEdit(change.text) && !isDangerousEdit(change.removed)) {\n                // If the edit is right at the beginning or end of a tag, we want to be conservative\n                // and use the parent as the edit range.\n                var startMark = _getMarkerAtDocumentPos(editor, change.from, true);\n                if (startMark) {\n                    var range = startMark.find();\n                    if (range) {\n                        text = editor._codeMirror.getRange(range.from, range.to);\n                        this.changedTagID = startMark.tagID;\n                        startOffsetPos = range.from;\n                        startOffset = editor._codeMirror.indexFromPos(startOffsetPos);\n                        this.isIncremental = true;\n                    }\n                }\n            }\n        }\n\n        if (!this.changedTagID) {\n            // We weren\'t able to incrementally update, so just rebuild and diff everything.\n            text = editor.document.getText();\n        }\n\n        HTMLSimpleDOM.Builder.call(this, text, startOffset, startOffsetPos);\n        this.editor = editor;\n        this.cm = editor._codeMirror;\n        this.previousDOM = previousDOM;\n    }\n\n    DOMUpdater.prototype = Object.create(HTMLSimpleDOM.Builder.prototype);\n\n    /**\n     * @private\n     * Returns true if the given node has an ancestor whose tagID is the given ID.\n     * @param {Object} node A node from an HTMLSimpleDOM structure.\n     * @param {number} id The ID of the tag to check for.\n     * @return {boolean} true if the node has an ancestor with that ID.\n     */\n    function _hasAncestorWithID(node, id) {\n        var ancestor = node.parent;\n        while (ancestor && ancestor.tagID !== id) {\n            ancestor = ancestor.parent;\n        }\n        return !!ancestor;\n    }\n\n    /**\n     * Overrides the `getID` method to return the tag ID from the document. If a viable tag\n     * ID cannot be found in the document marks, then a new ID is returned. This will also\n     * assign a new ID if the tag changed between the previous and current versions of this\n     * node.\n     *\n     * @param {Object} newTag tag object for the current element\n     * @return {int} best ID\n     */\n    DOMUpdater.prototype.getID = function (newTag, markCache) {\n        // Get the mark at the start of the tagname (not before the beginning of the tag, because that\'s\n        // actually inside the parent).\n        var currentTagID = _getTagIDAtDocumentPos(this.editor, HTMLSimpleDOM._offsetPos(newTag.startPos, 1), markCache);\n\n        // If the new tag is in an unmarked range, or the marked range actually corresponds to an\n        // ancestor tag, then this must be a newly inserted tag, so give it a new tag ID.\n        if (currentTagID === -1 || _hasAncestorWithID(newTag, currentTagID)) {\n            currentTagID = this.getNewID();\n        } else {\n            // If the tag has changed between the previous DOM and the new one, we assign a new ID\n            // so that the old tag will be deleted and the new one inserted.\n            var oldNode = this.previousDOM.nodeMap[currentTagID];\n            if (!oldNode || oldNode.tag !== newTag.tag) {\n                currentTagID = this.getNewID();\n            }\n        }\n        return currentTagID;\n    };\n\n    /**\n     * Updates the CodeMirror marks in the editor to reflect the new bounds of nodes in\n     * the given nodeMap.\n     * @param {Object} nodeMap The node map from the new DOM.\n     * @param {Object} markCache The cache of existing mark ranges built during the latest parse.\n     */\n    DOMUpdater.prototype._updateMarkedRanges = function (nodeMap, markCache) {\n        // FUTURE: this is somewhat inefficient (getting all the marks involves passing linearly through\n        // the document once), but it doesn\'t seem to be a hotspot right now.\n        var updateIDs = Object.keys(nodeMap),\n            cm = this.cm,\n            marks = cm.getAllMarks();\n\n        cm.operation(function () {\n            marks.forEach(function (mark) {\n                if (mark.hasOwnProperty("tagID") && nodeMap[mark.tagID]) {\n                    var node = nodeMap[mark.tagID],\n                        markInfo = markCache[mark.tagID];\n                    // If the mark\'s bounds already match, avoid destroying and recreating the mark,\n                    // since that incurs some overhead.\n                    if (!(markInfo && _posEq(markInfo.range.from, node.startPos) && _posEq(markInfo.range.to, node.endPos))) {\n                        mark.clear();\n                        mark = cm.markText(node.startPos, node.endPos);\n                        mark.tagID = node.tagID;\n                    }\n                    updateIDs.splice(updateIDs.indexOf(String(node.tagID)), 1);\n                }\n            });\n\n            // Any remaining updateIDs are new.\n            updateIDs.forEach(function (id) {\n                var node = nodeMap[id], mark;\n                if (node.isElement()) {\n                    mark = cm.markText(node.startPos, node.endPos);\n                    mark.tagID = Number(id);\n                }\n            });\n        });\n    };\n\n    /**\n     * @private\n     * Creates a map from tagIDs to nodes in the given HTMLSimpleDOM subtree and\n     * stores it on the root.\n     * @param {Object} root The root of an HTMLSimpleDOM tree.\n     */\n    DOMUpdater.prototype._buildNodeMap = function (root) {\n        var nodeMap = {};\n\n        function walk(node) {\n            if (node.tagID) {\n                nodeMap[node.tagID] = node;\n            }\n            if (node.isElement()) {\n                node.children.forEach(walk);\n            }\n        }\n\n        walk(root);\n        root.nodeMap = nodeMap;\n    };\n\n    /**\n     * @private\n     * Removes all nodes deleted between the oldSubtree and the newSubtree from the given nodeMap,\n     * and clears marks associated with those nodes.\n     * @param {Object} nodeMap The nodeMap to update to remove deleted items.\n     * @param {Object} oldSubtreeMap The nodeMap for the original subtree (which should be a subset of the\n     *     first nodeMap).\n     * @param {Object} newSubtreeMap The nodeMap for the new subtree.\n     */\n    DOMUpdater.prototype._handleDeletions = function (nodeMap, oldSubtreeMap, newSubtreeMap) {\n        var deletedIDs = [];\n        Object.keys(oldSubtreeMap).forEach(function (key) {\n            if (!newSubtreeMap.hasOwnProperty(key)) {\n                deletedIDs.push(key);\n                delete nodeMap[key];\n            }\n        });\n\n        if (deletedIDs.length) {\n            // FUTURE: would be better to cache the mark for each node. Also, could\n            // conceivably combine this with _updateMarkedRanges().\n            var marks = this.cm.getAllMarks();\n            marks.forEach(function (mark) {\n                if (mark.hasOwnProperty("tagID") && deletedIDs.indexOf(mark.tagID) !== -1) {\n                    mark.clear();\n                }\n            });\n        }\n    };\n\n    /**\n     * Reparses the document (or a portion of it if we can do it incrementally).\n     * Note that in an incremental update, the old DOM is actually mutated (the new\n     * subtree is swapped in for the old subtree).\n     * @return {?{newDOM: Object, oldSubtree: Object, newSubtree: Object}} newDOM is\n     *      the full new DOM. For a full update, oldSubtree is the full old DOM\n     *      and newSubtree is the same as newDOM; for an incremental update,\n     *      oldSubtree is the portion of the old tree that was reparsed,\n     *      newSubtree is the updated version, and newDOM is actually the same\n     *      as the original DOM (with newSubtree swapped in for oldSubtree).\n     *      If the document can\'t be parsed due to invalid HTML, returns null.\n     */\n    DOMUpdater.prototype.update = function () {\n        var markCache = {},\n            newSubtree = this.build(true, markCache),\n            result = {\n                // default result if we didn\'t identify a changed portion\n                newDOM: newSubtree,\n                oldSubtree: this.previousDOM,\n                newSubtree: newSubtree\n            };\n\n        if (!newSubtree) {\n            return null;\n        }\n\n        if (this.changedTagID) {\n            // Find the old subtree that\'s going to get swapped out.\n            var oldSubtree = this.previousDOM.nodeMap[this.changedTagID],\n                parent = oldSubtree.parent;\n\n            // If we didn\'t have a parent, then the whole tree changed anyway, so\n            // we\'ll just return the default result.\n            if (parent) {\n                var childIndex = parent.children.indexOf(oldSubtree);\n                if (childIndex === -1) {\n                    // This should never happen...\n                    console.error("DOMUpdater.update(): couldn\'t locate old subtree in tree");\n                } else {\n                    // Swap the new subtree in place of the old subtree.\n                    oldSubtree.parent = null;\n                    newSubtree.parent = parent;\n                    parent.children[childIndex] = newSubtree;\n\n                    // Overwrite any node mappings in the parent DOM with the\n                    // mappings for the new subtree. We keep the nodeMap around\n                    // on the new subtree so that the differ can use it later.\n                    $.extend(this.previousDOM.nodeMap, newSubtree.nodeMap);\n\n                    // Update marked ranges for all items in the new subtree.\n                    this._updateMarkedRanges(newSubtree.nodeMap, markCache);\n\n                    // Build a local nodeMap for the old subtree so the differ can\n                    // use it.\n                    this._buildNodeMap(oldSubtree);\n\n                    // Clean up the info for any deleted nodes that are no longer in\n                    // the new tree.\n                    this._handleDeletions(this.previousDOM.nodeMap, oldSubtree.nodeMap, newSubtree.nodeMap);\n\n                    // Update the signatures for all parents of the new subtree.\n                    var curParent = parent;\n                    while (curParent) {\n                        curParent.update();\n                        curParent = curParent.parent;\n                    }\n\n                    result.newDOM = this.previousDOM;\n                    result.oldSubtree = oldSubtree;\n                }\n            }\n        } else {\n            _markTextFromDOM(this.editor, result.newDOM);\n        }\n\n        return result;\n    };\n\n    /**\n     * @private\n     * Builds a new DOM for the current state of the editor, diffs it against the\n     * previous DOM, and generates a DOM edit list that can be used to replay the\n     * diffs in the browser.\n     * @param {Object} previousDOM The HTMLSimpleDOM corresponding to the previous state of the editor.\n     *     Note that in the case of an incremental edit, this will be mutated to create the new DOM\n     *     (by swapping out the subtree corresponding to the changed portion).\n     * @param {Editor} editor The editor containing the instrumented HTML.\n     * @param {Array=} changeList If specified, a CodeMirror changelist reflecting all the\n     *     text changes in the editor since previousDOM was built. If specified, we will\n     *     attempt to do an incremental update (although we might fall back to a full update\n     *     in various cases). If not specified, we will always do a full update.\n     * @return {{dom: Object, edits: Array}} The new DOM representing the current state of the\n     *     editor, and an array of edits that can be applied to update the browser (see\n     *     HTMLDOMDiff for more information on the edit format).\n     */\n    function _updateDOM(previousDOM, editor, changeList) {\n        if (!allowIncremental) {\n            changeList = undefined;\n        }\n        var updater = new DOMUpdater(previousDOM, editor, changeList);\n        var result = updater.update();\n        if (!result) {\n            return { errors: updater.errors };\n        }\n\n        var edits = HTMLDOMDiff.domdiff(result.oldSubtree, result.newSubtree);\n\n        // We\'re done with the nodeMap that was added to the subtree by the updater.\n        if (result.newSubtree !== result.newDOM) {\n            delete result.newSubtree.nodeMap;\n        }\n\n        return {\n            dom: result.newDOM,\n            edits: edits,\n            _wasIncremental: updater.isIncremental // for unit tests only\n        };\n    }\n\n    /**\n     * Calculates the DOM edits that are needed to update the browser from the state the\n     * editor was in the last time that scanDocument(), getInstrumentedHTML(), or\n     * getUnappliedEditList() was called (whichever is most recent). Caches this state so\n     * it can be used as the base state for the next getUnappliedEditList().\n     *\n     * For simple text edits, this update is done quickly and incrementally. For structural\n     * edits (edits that change the DOM structure or add/remove attributes), the update\n     * requires a full reparse.\n     *\n     * If the document currently contains invalid HTML, no edits will be generated until\n     * getUnappliedEditList() is called when the document is valid, at which point the edits\n     * will reflect all the changes needed to catch the browser up with all the edits\n     * made while the document was invalid.\n     *\n     * @param {Editor} editor The editor containing the instrumented HTML\n     * @param {Array} changeList A CodeMirror change list describing the text changes made\n     *     in the editor since the last update. If specified, we will attempt to do an\n     *     incremental update.\n     * @return {Array} edits A list of edits to apply in the browser. See HTMLDOMDiff for\n     *     more information on the format of these edits.\n     */\n    function getUnappliedEditList(editor, changeList) {\n        var cachedValue = _cachedValues[editor.document.file.fullPath];\n\n        // We might not have a previous DOM if the document was empty before this edit.\n        if (!cachedValue || !cachedValue.dom || _cachedValues[editor.document.file.fullPath].invalid) {\n            // We were in an invalid state, so do a full rebuild.\n            changeList = null;\n        }\n\n        var result = _updateDOM(cachedValue && cachedValue.dom, editor, changeList);\n\n        if (!result.errors) {\n            _cachedValues[editor.document.file.fullPath] = {\n                timestamp: editor.document.diskTimestamp,\n                dom: result.dom,\n                dirty: false\n            };\n            // Since this was an incremental update, we can\'t rely on the node start/end offsets\n            // in the dom (because nodes after the updated portion didn\'t have their offsets\n            // updated); the marks in the editor are more accurate.\n            // TODO: should we consider ripping through the dom and fixing up other offsets?\n            result.dom.fullBuild = false;\n            return { edits: result.edits };\n        } else {\n            if (cachedValue) {\n                cachedValue.invalid = true;\n            }\n            return { errors: result.errors };\n        }\n    }\n\n    /**\n     * @private\n     * Add SimpleDOMBuilder metadata to browser DOM tree JSON representation\n     * @param {Object} root\n     */\n    function _processBrowserSimpleDOM(browserRoot, editorRootTagID) {\n        var nodeMap         = {},\n            root;\n\n        function _processElement(elem) {\n            elem.tagID = elem.attributes["data-brackets-id"];\n\n            // remove data-brackets-id attribute for diff\n            delete elem.attributes["data-brackets-id"];\n\n            elem.children.forEach(function (child) {\n                // set parent\n                child.parent = elem;\n\n                if (child.isElement()) {\n                    _processElement(child);\n                } else if (child.isText()) {\n                    child.update();\n                    child.tagID = HTMLSimpleDOM.getTextNodeID(child);\n\n                    nodeMap[child.tagID] = child;\n                }\n            });\n\n            elem.update();\n\n            nodeMap[elem.tagID] = elem;\n\n            // Choose the root element based on the root tag in the editor.\n            // The browser may insert html, head and body elements if missing.\n            if (elem.tagID === editorRootTagID) {\n                root = elem;\n            }\n        }\n\n        _processElement(browserRoot);\n\n        root = root || browserRoot;\n        root.nodeMap = nodeMap;\n\n        return root;\n    }\n\n    /**\n     * @private\n     * Diff the browser DOM with the in-editor DOM\n     * @param {Editor} editor\n     * @param {Object} browserSimpleDOM\n     */\n    function _getBrowserDiff(editor, browserSimpleDOM) {\n        var cachedValue = _cachedValues[editor.document.file.fullPath],\n            editorRoot  = cachedValue.dom,\n            browserRoot;\n\n        browserRoot = _processBrowserSimpleDOM(browserSimpleDOM, editorRoot.tagID);\n\n        return {\n            diff    : HTMLDOMDiff.domdiff(editorRoot, browserRoot),\n            browser : browserRoot,\n            editor  : editorRoot\n        };\n    }\n\n    DocumentManager.on("beforeDocumentDelete", _removeDocFromCache);\n\n    /**\n     * Parses the document, returning an HTMLSimpleDOM structure and caching it as the\n     * initial state of the document. Will return a cached copy of the DOM if the\n     * document hasn\'t changed since the last time scanDocument was called.\n     *\n     * This is called by generateInstrumentedHTML(), but it can be useful to call it\n     * ahead of time so the DOM is cached and doesn\'t need to be rescanned when the\n     * instrumented HTML is requested by the browser.\n     *\n     * @param {Document} doc The doc to scan.\n     * @return {Object} Root DOM node of the document.\n     */\n    function scanDocument(doc) {\n        if (!_cachedValues.hasOwnProperty(doc.file.fullPath)) {\n            // TODO: this doesn\'t seem to be correct any more. The DOM should never be "dirty" (i.e., out of sync\n            // with the editor) unless the doc is invalid.\n//            $(doc).on("change.htmlInstrumentation", function () {\n//                if (_cachedValues[doc.file.fullPath]) {\n//                    _cachedValues[doc.file.fullPath].dirty = true;\n//                }\n//            });\n\n            // Assign to cache, but don\'t set a value yet\n            _cachedValues[doc.file.fullPath] = null;\n        }\n\n        var cachedValue = _cachedValues[doc.file.fullPath];\n        // TODO: No longer look at doc or cached value "dirty" settings, because even if the doc is dirty, the dom\n        // should generally be up to date unless the HTML is invalid. (However, the node offsets will be dirty of\n        // the dom was incrementally updated - we should note that somewhere.)\n        if (cachedValue && !cachedValue.invalid && cachedValue.timestamp === doc.diskTimestamp) {\n            return cachedValue.dom;\n        }\n\n        var text = doc.getText(),\n            dom = HTMLSimpleDOM.build(text);\n\n        if (dom) {\n            // Cache results\n            _cachedValues[doc.file.fullPath] = {\n                timestamp: doc.diskTimestamp,\n                dom: dom,\n                dirty: false\n            };\n            // Note that this was a full build, so we know that we can trust the node start/end offsets.\n            dom.fullBuild = true;\n        }\n\n        return dom;\n    }\n\n    /**\n     * Generate instrumented HTML for the specified editor\'s document, and mark the associated tag\n     * ranges in the editor. Each tag has a "data-brackets-id" attribute with a unique ID for its\n     * value. For example, "<div>" becomes something like "<div data-brackets-id=\'45\'>". The attribute\n     * value is just a number that is guaranteed to be unique.\n     *\n     * Also stores marks in the given editor that correspond to the tag ranges. These marks are used\n     * to track the DOM structure for in-browser highlighting and live HTML updating.\n     *\n     * This only needs to be done once on load of a document. As the document is edited in memory,\n     * the instrumentation is kept up to date via the diffs and edits that are generated on change\n     * events. Call this again only if you want to do a full re-sync of the editor\'s DOM state.\n     *\n     * @param {Editor} editor The editor whose document we\'re instrumenting, and which we should\n     *     mark ranges in.\n     * @return {string} instrumented html content\n     */\n    function generateInstrumentedHTML(editor, remoteScript) {\n        var doc = editor.document,\n            dom = scanDocument(doc),\n            orig = doc.getText(),\n            gen = "",\n            lastIndex = 0,\n            remoteScriptInserted = false,\n            markCache;\n\n        if (!dom) {\n            return null;\n        }\n\n        // Ensure that the marks in the editor are up to date with respect to the given DOM.\n        // (But only do this if the dom we got back from scanDocument() was a full rebuild. Otherwise,\n        // rely on the marks in the editor.)\n        if (dom.fullBuild) {\n            _markTextFromDOM(editor, dom);\n        } else {\n            markCache = {};\n            editor._codeMirror.getAllMarks().forEach(function (mark) {\n                if (mark.tagID) {\n                    markCache[mark.tagID] = { mark: mark, range: mark.find() };\n                }\n            });\n        }\n\n        // Walk through the dom nodes and insert the \'data-brackets-id\' attribute at the\n        // end of the open tag\n        function walk(node) {\n            if (node.tag) {\n                var attrText = " data-brackets-id=\'" + node.tagID + "\'";\n\n                // If the dom was fully rebuilt, use its offsets. Otherwise, use the marks in the\n                // associated editor, since they\'ll be more up to date.\n                var startOffset;\n                if (dom.fullBuild) {\n                    startOffset = node.start;\n                } else {\n                    var mark = markCache[node.tagID];\n                    if (mark) {\n                        startOffset = editor._codeMirror.indexFromPos(mark.range.from);\n                    } else {\n                        console.warn("generateInstrumentedHTML(): couldn\'t find existing mark for tagID " + node.tagID);\n                        startOffset = node.start;\n                    }\n                }\n\n                // Insert the attribute as the first attribute in the tag.\n                var insertIndex = startOffset + node.tag.length + 1;\n                gen += orig.substr(lastIndex, insertIndex - lastIndex) + attrText;\n                lastIndex = insertIndex;\n\n                // If we have a script to inject and this is the head tag, inject it immediately\n                // after the open tag.\n                if (remoteScript && !remoteScriptInserted && node.tag === "head") {\n                    insertIndex = node.openEnd;\n                    gen += orig.substr(lastIndex, insertIndex - lastIndex) + remoteScript;\n                    lastIndex = insertIndex;\n                    remoteScriptInserted = true;\n                }\n            }\n\n            if (node.isElement()) {\n                node.children.forEach(walk);\n            }\n        }\n\n        walk(dom);\n        gen += orig.substr(lastIndex);\n\n        if (remoteScript && !remoteScriptInserted) {\n            // if the remote script couldn\'t be injected before (e.g. due to missing "head" tag),\n            // append it at the end\n            gen += remoteScript;\n        }\n\n        return gen;\n    }\n\n    /**\n     * Mark the text for the specified editor. Either scanDocument() or\n     * generateInstrumentedHTML() must be called before this function\n     * is called.\n     *\n     * NOTE: This function is "private" for now (has a leading underscore), since\n     * the API is likely to change in the future.\n     *\n     * @param {Editor} editor The editor whose text should be marked.\n     * @return none\n     */\n    function _markText(editor) {\n        var cache = _cachedValues[editor.document.file.fullPath],\n            dom = cache && cache.dom;\n\n        if (!dom) {\n            console.error("Couldn\'t find the dom for " + editor.document.file.fullPath);\n            return;\n        } else if (!dom.fullBuild) {\n            console.error("Tried to mark text from a stale DOM for " + editor.document.file.fullPath);\n            return;\n        }\n\n        _markTextFromDOM(editor, dom);\n    }\n\n    /**\n     * @private\n     * Clear the DOM cache. For unit testing only.\n     */\n    function _resetCache() {\n        _cachedValues = {};\n    }\n\n    // private methods\n    exports._markText                   = _markText;\n    exports._getMarkerAtDocumentPos     = _getMarkerAtDocumentPos;\n    exports._getTagIDAtDocumentPos      = _getTagIDAtDocumentPos;\n    exports._markTextFromDOM            = _markTextFromDOM;\n    exports._updateDOM                  = _updateDOM;\n    exports._allowIncremental           = allowIncremental;\n    exports._getBrowserDiff             = _getBrowserDiff;\n    exports._resetCache                 = _resetCache;\n\n    // public API\n    exports.scanDocument                = scanDocument;\n    exports.generateInstrumentedHTML    = generateInstrumentedHTML;\n    exports.getUnappliedEditList        = getUnappliedEditList;\n});\n\n//# sourceURL=/LiveDevelopment/MultiBrowserImpl/language/HTMLInstrumentation.js'),
eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * LiveHTMLDocument manages a single HTML source document. Edits to the HTML are applied live in\n * the browser, and the DOM node corresponding to the selection is highlighted.\n *\n * LiveHTMLDocument relies on HTMLInstrumentation in order to map tags in the HTML source text\n * to DOM nodes in the browser, so edits can be incrementally applied.\n */\ndefine(\'LiveDevelopment/MultiBrowserImpl/documents/LiveHTMLDocument\',[\'require\',\'exports\',\'module\',\'utils/EventDispatcher\',\'utils/PerfUtils\',\'thirdparty/lodash\',\'LiveDevelopment/MultiBrowserImpl/documents/LiveDocument\',\'LiveDevelopment/MultiBrowserImpl/language/HTMLInstrumentation\'],function (require, exports, module) {\n    "use strict";\n\n    var EventDispatcher     = require("utils/EventDispatcher"),\n        PerfUtils           = require("utils/PerfUtils"),\n        _                   = require("thirdparty/lodash"),\n        LiveDocument        = require("LiveDevelopment/MultiBrowserImpl/documents/LiveDocument"),\n        HTMLInstrumentation = require("LiveDevelopment/MultiBrowserImpl/language/HTMLInstrumentation");\n\n\n    /**\n     * @constructor\n     * @see LiveDocument\n     * @param {LiveDevProtocol} protocol The protocol to use for communicating with the browser.\n     * @param {function(string): string} urlResolver A function that, given a path on disk, should return\n     *     the URL that Live Development serves that path at.\n     * @param {Document} doc The Brackets document that this live document is connected to.\n     * @param {?Editor} editor If specified, a particular editor that this live document is managing.\n     *     If not specified initially, the LiveDocument will connect to the editor for the given document\n     *     when it next becomes the active editor.\n     */\n    function LiveHTMLDocument(protocol, urlResolver, doc, editor) {\n        LiveDocument.apply(this, arguments);\n\n        this._instrumentationEnabled = false;\n        this._relatedDocuments = {\n            stylesheets: {},\n            scripts: {}\n        };\n\n        this._onChange = this._onChange.bind(this);\n        this.doc.on("change", this._onChange);\n\n        this._onRelated = this._onRelated.bind(this);\n        this.protocol.on("DocumentRelated", this._onRelated);\n\n        this._onStylesheetAdded = this._onStylesheetAdded.bind(this);\n        this.protocol.on("StylesheetAdded", this._onStylesheetAdded);\n\n        this._onStylesheetRemoved = this._onStylesheetRemoved.bind(this);\n        this.protocol.on("StylesheetRemoved", this._onStylesheetRemoved);\n\n        this._onScriptAdded = this._onScriptAdded.bind(this);\n        this.protocol.on("ScriptAdded", this._onScriptAdded);\n\n        this._onScriptRemoved = this._onScriptRemoved.bind(this);\n        this.protocol.on("ScriptRemoved", this._onScriptRemoved);\n\n    }\n\n    LiveHTMLDocument.prototype = Object.create(LiveDocument.prototype);\n    LiveHTMLDocument.prototype.constructor = LiveHTMLDocument;\n    LiveHTMLDocument.prototype.parentClass = LiveDocument.prototype;\n\n    EventDispatcher.makeEventDispatcher(LiveHTMLDocument.prototype);\n\n    /**\n     * @override\n     * Returns true if document edits appear live in the connected browser.\n     * @return {boolean}\n     */\n    LiveHTMLDocument.prototype.isLiveEditingEnabled = function () {\n        return this._instrumentationEnabled;\n    };\n\n    /**\n     * @override\n     * Called to turn instrumentation on or off for this file. Triggered by being\n     * requested from the browser.\n     * TODO: this doesn\'t seem necessary...if we\'re a live document, we should\n     * always have instrumentation on anyway.\n     * @param {boolean} enabled\n     */\n    LiveHTMLDocument.prototype.setInstrumentationEnabled = function (enabled) {\n        if (!this.editor) {\n            // TODO: error\n            return;\n        }\n        if (enabled && !this._instrumentationEnabled) {\n            // TODO: not clear why we do this here instead of waiting for the next time we want to\n            // generate the instrumented HTML. This won\'t work if the dom offsets are out of date.\n            HTMLInstrumentation.scanDocument(this.doc);\n            HTMLInstrumentation._markText(this.editor);\n        }\n\n        this._instrumentationEnabled = enabled;\n    };\n\n    /**\n     * Returns the instrumented version of the file.\n     * @return {{body: string}} instrumented doc\n     */\n    LiveHTMLDocument.prototype.getResponseData = function (enabled) {\n        var body;\n        if (this._instrumentationEnabled) {\n            body = HTMLInstrumentation.generateInstrumentedHTML(this.editor, this.protocol.getRemoteScript());\n        }\n\n        return {\n            body: body || this.doc.getText()\n        };\n    };\n\n    /**\n     * @override\n     * Closes the live document, terminating its connection to the browser.\n     */\n    LiveHTMLDocument.prototype.close = function () {\n        this.doc.off("change", this._onChange);\n        this.parentClass.close.call(this);\n    };\n\n    /**\n     * @override\n     * Update the highlights in the browser based on the cursor position.\n     */\n    LiveHTMLDocument.prototype.updateHighlight = function () {\n        if (!this.editor || !this.isHighlightEnabled()) {\n            return;\n        }\n        var editor = this.editor,\n            ids = [];\n        _.each(this.editor.getSelections(), function (sel) {\n            var tagID = HTMLInstrumentation._getTagIDAtDocumentPos(\n                editor,\n                sel.reversed ? sel.end : sel.start\n            );\n            if (tagID !== -1) {\n                ids.push(tagID);\n            }\n        });\n\n        if (!ids.length) {\n            this.hideHighlight();\n        } else {\n            this.highlightDomElement(ids);\n        }\n    };\n\n    /**\n     * @private\n     * For the given editor change, compare the resulting browser DOM with the\n     * in-editor DOM. If there are any diffs, a warning is logged to the\n     * console along with each diff.\n     * @param {Object} change CodeMirror editor change data\n     */\n    LiveHTMLDocument.prototype._compareWithBrowser = function (change) {\n        // TODO: Not implemented.\n    };\n\n    /**\n     * @private\n     * Handles edits to the document. Determines what\'s changed in the source and sends DOM diffs to the browser.\n     * @param {$.Event} event\n     * @param {Document} doc\n     * @param {Object} change\n     */\n    LiveHTMLDocument.prototype._onChange = function (event, doc, change) {\n        // Make sure LiveHTML is turned on\n        if (!this._instrumentationEnabled) {\n            return;\n        }\n\n        // Apply DOM edits is async, so previous PerfUtils timer may still be\n        // running. PerfUtils does not support running multiple timers with same\n        // name, so do not start another timer in this case.\n        var perfTimerName   = "LiveHTMLDocument applyDOMEdits",\n            isNestedTimer   = PerfUtils.isActive(perfTimerName);\n        if (!isNestedTimer) {\n            PerfUtils.markStart(perfTimerName);\n        }\n\n        var self                = this,\n            result              = HTMLInstrumentation.getUnappliedEditList(this.editor, change),\n            applyEditsPromise;\n\n        if (result.edits) {\n            applyEditsPromise = this.protocol.evaluate("_LD.applyDOMEdits(" + JSON.stringify(result.edits) + ")");\n\n            applyEditsPromise.always(function () {\n                if (!isNestedTimer) {\n                    PerfUtils.addMeasurement(perfTimerName);\n                }\n            });\n        }\n\n        this.errors = result.errors || [];\n        this._updateErrorDisplay();\n\n        // Debug-only: compare in-memory vs. in-browser DOM\n        // edit this file or set a conditional breakpoint at the top of this function:\n        //     "this._debug = true, false"\n        if (this._debug) {\n            console.log("Edits applied to browser were:");\n            console.log(JSON.stringify(result.edits, null, 2));\n            applyEditsPromise.done(function () {\n                self._compareWithBrowser(change);\n            });\n        }\n    };\n\n\n    /**\n     * @private\n     * Handles message DocumentRelated from the browser.\n     * @param {$.Event} event\n     * @param {Object} msg\n     */\n    LiveHTMLDocument.prototype._onRelated = function (event, msg) {\n        this._relatedDocuments = msg.related;\n        return;\n    };\n\n    /**\n     * @private\n     * Handles message Stylesheet.Added from the browser.\n     * @param {$.Event} event\n     * @param {Object} msg\n     */\n    LiveHTMLDocument.prototype._onStylesheetAdded = function (event, msg) {\n        this._relatedDocuments.stylesheets[msg.href] = true;\n        return;\n    };\n\n    /**\n     * @private\n     * Handles message Stylesheet.Removed from the browser.\n     * @param {$.Event} event\n     * @param {Object} msg\n     */\n    LiveHTMLDocument.prototype._onStylesheetRemoved = function (event, msg) {\n        delete (this._relatedDocuments.stylesheets[msg.href]);\n        return;\n    };\n\n    /**\n     * @private\n     * Handles message Script.Added from the browser.\n     * @param {$.Event} event\n     * @param {Object} msg\n     */\n    LiveHTMLDocument.prototype._onScriptAdded = function (event, msg) {\n        this._relatedDocuments.scripts[msg.src] = true;\n        return;\n    };\n\n     /**\n     * @private\n     * Handles message Script.Removed from the browser.\n     * @param {$.Event} event\n     * @param {Object} msg\n     */\n    LiveHTMLDocument.prototype._onScriptRemoved = function (event, msg) {\n        delete (this._relatedDocuments.scripts[msg.src]);\n        return;\n    };\n\n     /**\n     * For the given path, check if the document is related to the live HTML document.\n     * Related means that is an external Javascript or CSS file that is included as part of the DOM.\n     * @param {String} fullPath.\n     * @return {boolean} - is related or not.\n     */\n    LiveHTMLDocument.prototype.isRelated = function (fullPath) {\n        return (this._relatedDocuments.scripts[this.urlResolver(fullPath)] || this._relatedDocuments.stylesheets[this.urlResolver(fullPath)]);\n    };\n\n    LiveHTMLDocument.prototype.getRelated = function () {\n        return this._relatedDocuments;\n    };\n    // Export the class\n    module.exports = LiveHTMLDocument;\n});\n\n//# sourceURL=/LiveDevelopment/MultiBrowserImpl/documents/LiveHTMLDocument.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * LiveDevelopment allows Brackets to launch a browser with a "live preview" that\'s\n * connected to the current editor.\n *\n * # STARTING\n *\n * To start a session call `open`. This will read the currentDocument from brackets,\n * launch it in the default browser, and connect to it for live editing.\n *\n * # STOPPING\n *\n * To stop a session call `close`. This will close the connection to the browser\n * (but will not close the browser tab).\n *\n * # STATUS\n *\n * Status updates are dispatched as `statusChange` jQuery events. The status\n * is passed as the first parameter and the reason for the change as the second\n * parameter. Currently only the "Inactive" status supports the reason parameter.\n * The status codes are:\n *\n *  0: Inactive\n *  1: Connecting (waiting for a browser connection)\n *  2: Active\n *  3: Out of sync\n *  4: Sync error\n *  5: Reloading (after saving JS changes)\n *  6: Restarting (switching context to a new HTML live doc)\n *\n * The reason codes are:\n * - null (Unknown reason)\n * - "explicit_close" (LiveDevelopment.close() was called)\n * - "navigated_away" (The browser changed to a location outside of the project)\n * - "detached_target_closed" (The tab or window was closed)\n */\ndefine(\'LiveDevelopment/LiveDevMultiBrowser\',[\'require\',\'exports\',\'module\',\'command/CommandManager\',\'command/Commands\',\'widgets/Dialogs\',\'widgets/DefaultDialogs\',\'document/DocumentManager\',\'editor/EditorManager\',\'utils/EventDispatcher\',\'file/FileUtils\',\'view/MainViewManager\',\'preferences/PreferencesDialogs\',\'project/ProjectManager\',\'strings\',\'thirdparty/lodash\',\'LiveDevelopment/LiveDevelopmentUtils\',\'LiveDevelopment/LiveDevServerManager\',\'LiveDevelopment/MultiBrowserImpl/transports/NodeSocketTransport\',\'LiveDevelopment/MultiBrowserImpl/protocol/LiveDevProtocol\',\'LiveDevelopment/MultiBrowserImpl/launchers/Launcher\',\'LiveDevelopment/MultiBrowserImpl/documents/LiveCSSDocument\',\'LiveDevelopment/MultiBrowserImpl/documents/LiveHTMLDocument\'],function (require, exports, module) {\n    "use strict";\n\n    // Status Codes\n    var STATUS_INACTIVE      = exports.STATUS_INACTIVE       =  0;\n    var STATUS_CONNECTING    = exports.STATUS_CONNECTING     =  1;\n    var STATUS_ACTIVE        = exports.STATUS_ACTIVE         =  2;\n    var STATUS_OUT_OF_SYNC   = exports.STATUS_OUT_OF_SYNC    =  3;\n    var STATUS_SYNC_ERROR    = exports.STATUS_SYNC_ERROR     =  4;\n    var STATUS_RELOADING     = exports.STATUS_RELOADING      =  5;\n    var STATUS_RESTARTING    = exports.STATUS_RESTARTING     =  6;\n\n    var CommandManager       = require("command/CommandManager"),\n        Commands             = require("command/Commands"),\n        Dialogs              = require("widgets/Dialogs"),\n        DefaultDialogs       = require("widgets/DefaultDialogs"),\n        DocumentManager      = require("document/DocumentManager"),\n        EditorManager        = require("editor/EditorManager"),\n        EventDispatcher      = require("utils/EventDispatcher"),\n        FileUtils            = require("file/FileUtils"),\n        MainViewManager      = require("view/MainViewManager"),\n        PreferencesDialogs   = require("preferences/PreferencesDialogs"),\n        ProjectManager       = require("project/ProjectManager"),\n        Strings              = require("strings"),\n        _                    = require("thirdparty/lodash"),\n        LiveDevelopmentUtils = require("LiveDevelopment/LiveDevelopmentUtils"),\n        LiveDevServerManager = require("LiveDevelopment/LiveDevServerManager"),\n        NodeSocketTransport  = require("LiveDevelopment/MultiBrowserImpl/transports/NodeSocketTransport"),\n        LiveDevProtocol      = require("LiveDevelopment/MultiBrowserImpl/protocol/LiveDevProtocol"),\n        DefaultLauncher      = require("LiveDevelopment/MultiBrowserImpl/launchers/Launcher");\n\n    // Documents\n    var LiveCSSDocument      = require("LiveDevelopment/MultiBrowserImpl/documents/LiveCSSDocument"),\n        LiveHTMLDocument     = require("LiveDevelopment/MultiBrowserImpl/documents/LiveHTMLDocument");\n\n    /**\n     * @private\n     * The live HTML document for the currently active preview.\n     * @type {LiveHTMLDocument}\n     */\n    var _liveDocument;\n\n    /**\n     * @private\n     * Live documents related to the active HTML document - for example, CSS files\n     * that are used by the document.\n     * @type {Object.<string: {LiveHTMLDocument|LiveCSSDocument}>}\n     */\n    var _relatedDocuments = {};\n\n    /**\n     * @private\n     * Protocol handler that provides the actual live development API on top of the current transport.\n     */\n    var _protocol = LiveDevProtocol;\n\n    /**\n     * @private\n     * Current browser launcher for preview.\n     */\n    var _launcher;\n\n    /**\n     * @private\n     * Current live preview server\n     * @type {BaseServer}\n     */\n    var _server;\n\n    /**\n     * @private\n     * Determine which live document class should be used for a given document\n     * @param {Document} document The document we want to create a live document for.\n     * @return {function} The constructor for the live document class; will be a subclass of LiveDocument.\n     */\n    function _classForDocument(doc) {\n        if (doc.getLanguage().getId() === "css") {\n            return LiveCSSDocument;\n        }\n\n        if (LiveDevelopmentUtils.isHtmlFileExt(doc.file.fullPath)) {\n            return LiveHTMLDocument;\n        }\n\n        return null;\n    }\n\n    /**\n     * Returns true if the global Live Development mode is on (might be in the middle of connecting).\n     * @return {boolean}\n     */\n    function isActive() {\n        return exports.status > STATUS_INACTIVE;\n    }\n\n    /**\n     * Returns the live document for a given path, or null if there is no live document for it.\n     * @param {string} path\n     * @return {?LiveDocument}\n     */\n    function getLiveDocForPath(path) {\n        if (!_server) {\n            return null;\n        }\n\n        return _server.get(path);\n    }\n\n    /**\n     * @private\n     * Close a live document.\n     * @param {LiveDocument}\n     */\n    function _closeDocument(liveDocument) {\n        liveDocument.off(".livedev");\n        liveDocument.close();\n    }\n\n    /**\n     * Removes the given CSS/JSDocument from _relatedDocuments. Signals that the\n     * given file is no longer associated with the HTML document that is live (e.g.\n     * if the related file has been deleted on disk).\n     * @param {string} url Absolute URL of the related document\n     */\n    function _handleRelatedDocumentDeleted(url) {\n        var liveDoc = _relatedDocuments[url];\n        if (liveDoc) {\n            delete _relatedDocuments[url];\n        }\n\n        if (_server) {\n            _server.remove(liveDoc);\n        }\n        _closeDocument(liveDoc);\n    }\n\n    /**\n     * Update the status. Triggers a statusChange event.\n     * @param {number} status new status\n     * @param {?string} closeReason Optional string key suffix to display to\n     *     user when closing the live development connection (see LIVE_DEV_* keys)\n     */\n    function _setStatus(status, closeReason) {\n        // Don\'t send a notification when the status didn\'t actually change\n        if (status === exports.status) {\n            return;\n        }\n\n        exports.status = status;\n\n        var reason = status === STATUS_INACTIVE ? closeReason : null;\n        exports.trigger("statusChange", status, reason);\n    }\n\n    /**\n     * @private\n     * Close all live documents.\n     */\n    function _closeDocuments() {\n        if (_liveDocument) {\n            _closeDocument(_liveDocument);\n            _liveDocument = undefined;\n        }\n\n        Object.keys(_relatedDocuments).forEach(function (url) {\n            _closeDocument(_relatedDocuments[url]);\n            delete _relatedDocuments[url];\n        });\n\n        // Clear all documents from request filtering\n        if (_server) {\n            _server.clear();\n        }\n    }\n\n    /**\n     * @private\n     * Returns the URL that we would serve the given path at.\n     * @param {string} path\n     * @return {string}\n     */\n    function _resolveUrl(path) {\n        return _server && _server.pathToUrl(path);\n    }\n\n    /**\n     * @private\n     * Create a LiveDocument for a Brackets editor/document to manage communication between the\n     * editor and the browser.\n     * @param {Document} doc\n     * @param {Editor} editor\n     * @param {roots} roots\n     * @return {?LiveDocument} The live document, or null if this type of file doesn\'t support live editing.\n     */\n    function _createLiveDocument(doc, editor, roots) {\n        var DocClass = _classForDocument(doc),\n            liveDocument;\n\n        if (!DocClass) {\n            return null;\n        }\n\n        liveDocument = new DocClass(_protocol, _resolveUrl, doc, editor, roots);\n\n        liveDocument.on("errorStatusChanged.livedev", function (event, hasErrors) {\n            if (isActive()) {\n                _setStatus(hasErrors ? STATUS_SYNC_ERROR : STATUS_ACTIVE);\n            }\n        });\n\n        return liveDocument;\n    }\n\n    /**\n     * Documents are considered to be out-of-sync if they are dirty and\n     * do not have "update while editing" support\n     * @param {Document} doc\n     * @return {boolean}\n     */\n    function _docIsOutOfSync(doc) {\n        var liveDoc = _server && _server.get(doc.file.fullPath),\n            isLiveEditingEnabled = liveDoc && liveDoc.isLiveEditingEnabled();\n\n        return doc.isDirty && !isLiveEditingEnabled;\n    }\n\n    /**\n     * Handles a notification from the browser that a stylesheet was loaded into\n     * the live HTML document. If the stylesheet maps to a file in the project, then\n     * creates a live document for the stylesheet and adds it to _relatedDocuments.\n     * @param {$.Event} event\n     * @param {string} url The URL of the stylesheet that was added.\n     * @param {array} roots The URLs of the roots of the stylesheet (the css files loaded through <link>)\n     */\n    function _styleSheetAdded(event, url, roots) {\n        var path = _server && _server.urlToPath(url),\n            alreadyAdded = !!_relatedDocuments[url];\n\n        // path may be null if loading an external stylesheet.\n        // Also, the stylesheet may already exist and be reported as added twice\n        // due to Chrome reporting added/removed events after incremental changes\n        // are pushed to the browser\n        if (!path || alreadyAdded) {\n            return;\n        }\n\n        var docPromise = DocumentManager.getDocumentForPath(path);\n\n        docPromise.done(function (doc) {\n            if ((_classForDocument(doc) === LiveCSSDocument) &&\n                    (!_liveDocument || (doc !== _liveDocument.doc))) {\n                var liveDoc = _createLiveDocument(doc, doc._masterEditor, roots);\n                if (liveDoc) {\n                    _server.add(liveDoc);\n                    _relatedDocuments[doc.url] = liveDoc;\n                    liveDoc.on("updateDoc", function (event, url) {\n                        var path = _server.urlToPath(url),\n                            doc = getLiveDocForPath(path);\n                        doc._updateBrowser();\n                    });\n                }\n            }\n        });\n    }\n\n    /**\n     * @private\n     * Determine an index file that can be used to start Live Development.\n     * This function will inspect all files in a project to find the closest index file\n     * available for currently opened document. We are searching for these files:\n     *  - index.html\n     *  - index.htm\n     *\n     * If the project is configured with a custom base url for live development, then\n     * the list of possible index files is extended to contain these index files too:\n     *  - index.php\n     *  - index.php3\n     *  - index.php4\n     *  - index.php5\n     *  - index.phtm\n     *  - index.phtml\n     *  - index.cfm\n     *  - index.cfml\n     *  - index.asp\n     *  - index.aspx\n     *  - index.jsp\n     *  - index.jspx\n     *  - index.shm\n     *  - index.shml\n     *\n     * If a file was found, the promise will be resolved with the full path to this file. If no file\n     * was found in the whole project tree, the promise will be resolved with null.\n     *\n     * @return {jQuery.Promise} A promise that is resolved with a full path\n     * to a file if one could been determined, or null if there was no suitable index\n     * file.\n     */\n    function _getInitialDocFromCurrent() {\n        var doc = DocumentManager.getCurrentDocument(),\n            refPath,\n            i;\n\n        // Is the currently opened document already a file we can use for Live Development?\n        if (doc) {\n            refPath = doc.file.fullPath;\n            if (LiveDevelopmentUtils.isStaticHtmlFileExt(refPath) || LiveDevelopmentUtils.isServerHtmlFileExt(refPath)) {\n                return new $.Deferred().resolve(doc);\n            }\n        }\n\n        var result = new $.Deferred();\n\n        var baseUrl = ProjectManager.getBaseUrl(),\n            hasOwnServerForLiveDevelopment = (baseUrl && baseUrl.length);\n\n        ProjectManager.getAllFiles().done(function (allFiles) {\n            var projectRoot = ProjectManager.getProjectRoot().fullPath,\n                containingFolder,\n                indexFileFound = false,\n                stillInProjectTree = true;\n\n            if (refPath) {\n                containingFolder = FileUtils.getDirectoryPath(refPath);\n            } else {\n                containingFolder = projectRoot;\n            }\n\n            var filteredFiltered = allFiles.filter(function (item) {\n                var parent = FileUtils.getParentPath(item.fullPath);\n\n                return (containingFolder.indexOf(parent) === 0);\n            });\n\n            var filterIndexFile = function (fileInfo) {\n                if (fileInfo.fullPath.indexOf(containingFolder) === 0) {\n                    if (FileUtils.getFilenameWithoutExtension(fileInfo.name) === "index") {\n                        if (hasOwnServerForLiveDevelopment) {\n                            if ((LiveDevelopmentUtils.isServerHtmlFileExt(fileInfo.name)) ||\n                                    (LiveDevelopmentUtils.isStaticHtmlFileExt(fileInfo.name))) {\n                                return true;\n                            }\n                        } else if (LiveDevelopmentUtils.isStaticHtmlFileExt(fileInfo.name)) {\n                            return true;\n                        }\n                    } else {\n                        return false;\n                    }\n                }\n            };\n\n            while (!indexFileFound && stillInProjectTree) {\n                i = _.findIndex(filteredFiltered, filterIndexFile);\n\n                // We found no good match\n                if (i === -1) {\n                    // traverse the directory tree up one level\n                    containingFolder = FileUtils.getParentPath(containingFolder);\n                    // Are we still inside the project?\n                    if (containingFolder.indexOf(projectRoot) === -1) {\n                        stillInProjectTree = false;\n                    }\n                } else {\n                    indexFileFound = true;\n                }\n            }\n\n            if (i !== -1) {\n                DocumentManager.getDocumentForPath(filteredFiltered[i].fullPath).then(result.resolve, result.resolve);\n                return;\n            }\n\n            result.resolve(null);\n        });\n\n        return result.promise();\n    }\n\n    /**\n     * @private\n     * Close the connection and the associated window\n     * @param {boolean} doCloseWindow Use true to close the window/tab in the browser\n     * @param {?string} reason Optional string key suffix to display to user (see LIVE_DEV_* keys)\n     */\n    function _close(doCloseWindow, reason) {\n        if (exports.status !== STATUS_INACTIVE) {\n            // Close live documents\n            _closeDocuments();\n            // Close all active connections\n            _protocol.closeAllConnections();\n\n            if (_server) {\n                // Stop listening for requests when disconnected\n                _server.stop();\n\n                // Dispose server\n                _server = null;\n            }\n        }\n    //TODO: implement closeWindow together with launchers.\n//        if (doCloseWindow) {\n//\n//        }\n        _setStatus(STATUS_INACTIVE, reason || "explicit_close");\n    }\n\n    /**\n     * Closes all active connections.\n     * Returns a resolved promise for API compatibility.\n     * @return {$.Promise} A resolved promise\n     */\n    function close() {\n        _close(true);\n        return new $.Deferred().resolve().promise();\n    }\n\n    /**\n     * @private\n     * Displays an error when no HTML file can be found to preview.\n     */\n    function _showWrongDocError() {\n        Dialogs.showModalDialog(\n            DefaultDialogs.DIALOG_ID_ERROR,\n            Strings.LIVE_DEVELOPMENT_ERROR_TITLE,\n            Strings.LIVE_DEV_NEED_HTML_MESSAGE\n        );\n    }\n\n    /**\n     * @private\n     * Displays an error when the server for live development files can\'t be started.\n     */\n    function _showLiveDevServerNotReadyError() {\n        Dialogs.showModalDialog(\n            DefaultDialogs.DIALOG_ID_ERROR,\n            Strings.LIVE_DEVELOPMENT_ERROR_TITLE,\n            Strings.LIVE_DEV_SERVER_NOT_READY_MESSAGE\n        );\n    }\n\n    /**\n     * @private\n     * Creates the main live document for a given HTML document and notifies the server it exists.\n     * TODO: we should really maintain the list of live documents, not the server.\n     * @param {Document} doc\n     */\n    function _createLiveDocumentForFrame(doc) {\n        // create live document\n        doc._ensureMasterEditor();\n        _liveDocument = _createLiveDocument(doc, doc._masterEditor);\n        _server.add(_liveDocument);\n    }\n\n\n     /**\n     * Launches the given URL in the default browser.\n     * @param {string} url\n     * TODO: launchers for multiple browsers\n     */\n    function _launch(url) {\n        // open default browser\n        // TODO: fail?\n        //\n        _launcher.launch(url);\n    }\n\n    /**\n     * @private\n     * Launches the given document in the browser, given that a live document has already\n     * been created for it.\n     * @param {Document} doc\n     */\n    function _open(doc) {\n        if (doc && _liveDocument && doc === _liveDocument.doc) {\n            if (_server) {\n                // Launch the URL in the browser. If it\'s the first one to connect back to us,\n                // our status will transition to ACTIVE once it does so.\n                if (exports.status < STATUS_ACTIVE) {\n                    _launch(_server.pathToUrl(doc.file.fullPath));\n                }\n                if (exports.status === STATUS_RESTARTING) {\n                    // change page in browser\n                    _protocol.navigate(_server.pathToUrl(doc.file.fullPath));\n                }\n\n                _protocol\n                    // TODO: timeout if we don\'t get a connection within a certain time\n                    .on("ConnectionConnect.livedev", function (event, msg) {\n                        // check for the first connection\n                        if (_protocol.getConnectionIds().length === 1) {\n                            // check the page that connection comes from matches the current live document session\n                            if (_liveDocument && (msg.url === _resolveUrl(_liveDocument.doc.file.fullPath))) {\n                                _setStatus(STATUS_ACTIVE);\n                            }\n                        }\n                    })\n                    .on("ConnectionClose.livedev", function (event, msg) {\n                        // close session when the last connection was closed\n                        if (_protocol.getConnectionIds().length === 0) {\n                            setTimeout(function () {\n                                if (_protocol.getConnectionIds().length === 0 &&\n                                        exports.status <= STATUS_ACTIVE) {\n                                    _close(false, "detached_target_closed");\n                                }\n                            }, 5000);\n                        }\n                    })\n                    // extract stylesheets and create related LiveCSSDocument instances\n                    .on("DocumentRelated.livedev", function (event, msg) {\n                        var relatedDocs = msg.related;\n                        var docs = Object.keys(relatedDocs.stylesheets);\n                        docs.forEach(function (url) {\n                            _styleSheetAdded(null, url, relatedDocs.stylesheets[url]);\n                        });\n                    })\n                    // create new LiveCSSDocument if a new stylesheet is added\n                    .on("StylesheetAdded.livedev", function (event, msg) {\n                        _styleSheetAdded(null, msg.href, msg.roots);\n                    })\n                    // remove LiveCSSDocument instance when stylesheet is removed\n                    .on("StylesheetRemoved.livedev", function (event, msg) {\n                        _handleRelatedDocumentDeleted(msg.href);\n                    });\n            } else {\n                console.error("LiveDevelopment._open(): No server active");\n            }\n        } else {\n            // Unlikely that we would get to this state where\n            // a connection is in process but there is no current\n            // document\n            close();\n        }\n    }\n\n    /**\n     * @private\n     * Creates the live document in preparation for launching the\n     * preview of the given document, then launches it. (The live document\n     * must already exist before we launch it so that the server can\n     * ask it for the instrumented version of the document when the browser\n     * requests it.)\n     * TODO: could probably just consolidate this with _open()\n     * @param {Document} doc\n     */\n    function _doLaunchAfterServerReady(initialDoc) {\n\n        _createLiveDocumentForFrame(initialDoc);\n\n        // start listening for requests\n        _server.start();\n\n        // open browser to the url\n        _open(initialDoc);\n    }\n\n    /**\n     * @private\n     * Create the server in preparation for opening a live preview.\n     * @param {Document} doc The document we want the server for. Different servers handle\n     * different types of project (a static server for when no app server is configured,\n     * vs. a user server when there is an app server set in File > Project Settings).\n     */\n    function _prepareServer(doc) {\n        var deferred = new $.Deferred(),\n            showBaseUrlPrompt = false;\n\n        _server = LiveDevServerManager.getServer(doc.file.fullPath);\n\n        // Optionally prompt for a base URL if no server was found but the\n        // file is a known server file extension\n        showBaseUrlPrompt = !_server && LiveDevelopmentUtils.isServerHtmlFileExt(doc.file.fullPath);\n\n        if (showBaseUrlPrompt) {\n            // Prompt for a base URL\n            PreferencesDialogs.showProjectPreferencesDialog("", Strings.LIVE_DEV_NEED_BASEURL_MESSAGE)\n                .done(function (id) {\n                    if (id === Dialogs.DIALOG_BTN_OK && ProjectManager.getBaseUrl()) {\n                        // If base url is specifed, then re-invoke _prepareServer() to continue\n                        _prepareServer(doc).then(deferred.resolve, deferred.reject);\n                    } else {\n                        deferred.reject();\n                    }\n                });\n        } else if (_server) {\n            // Startup the server\n            var readyPromise = _server.readyToServe();\n            if (!readyPromise) {\n                _showLiveDevServerNotReadyError();\n                deferred.reject();\n            } else {\n                readyPromise.then(deferred.resolve, function () {\n                    _showLiveDevServerNotReadyError();\n                    deferred.reject();\n                });\n            }\n        } else {\n            // No server found\n            deferred.reject();\n        }\n\n        return deferred.promise();\n    }\n\n    /**\n     * @private\n     * MainViewManager.currentFileChange event handler.\n     * When switching documents, close the current preview and open a new one.\n     */\n    function _onFileChange() {\n        var doc = DocumentManager.getCurrentDocument();\n        if (!isActive() || !doc) {\n            return;\n        }\n\n        // close the current session and begin a new session\n        var docUrl = _server && _server.pathToUrl(doc.file.fullPath),\n            isViewable = _server && _server.canServe(doc.file.fullPath);\n\n        if (_liveDocument.doc.url !== docUrl && isViewable) {\n            // clear live doc and related docs\n            _closeDocuments();\n            // create new live doc\n            _createLiveDocumentForFrame(doc);\n            _setStatus(STATUS_RESTARTING);\n            _open(doc);\n\n        }\n    }\n\n\n    /**\n     * Open a live preview on the current docuemnt.\n     */\n    function open() {\n        // TODO: need to run _onDocumentChange() after load if doc != currentDocument here? Maybe not, since activeEditorChange\n        // doesn\'t trigger it, while inline editors can still cause edits in doc other than currentDoc...\n        _getInitialDocFromCurrent().done(function (doc) {\n            var prepareServerPromise = (doc && _prepareServer(doc)) || new $.Deferred().reject(),\n                otherDocumentsInWorkingFiles;\n\n            if (doc && !doc._masterEditor) {\n                otherDocumentsInWorkingFiles = MainViewManager.getWorkingSetSize(MainViewManager.ALL_PANES);\n                MainViewManager.addToWorkingSet(MainViewManager.ACTIVE_PANE, doc.file);\n\n                if (!otherDocumentsInWorkingFiles) {\n                    CommandManager.execute(Commands.CMD_OPEN, { fullPath: doc.file.fullPath });\n                }\n            }\n\n            // wait for server (StaticServer, Base URL or file:)\n            prepareServerPromise\n                .done(function () {\n                    _setStatus(STATUS_CONNECTING);\n                    _doLaunchAfterServerReady(doc);\n                })\n                .fail(function () {\n                    _showWrongDocError();\n                });\n        });\n    }\n\n    /**\n     * For files that don\'t support as-you-type live editing, but are loaded by live HTML documents\n     * (e.g. JS files), we want to reload the full document when they\'re saved.\n     * @param {$.Event} event\n     * @param {Document} doc\n     */\n    function _onDocumentSaved(event, doc) {\n        if (!isActive() || !_server) {\n            return;\n        }\n\n        var absolutePath            = doc.file.fullPath,\n            liveDocument            = absolutePath && _server.get(absolutePath),\n            liveEditingEnabled      = liveDocument && liveDocument.isLiveEditingEnabled  && liveDocument.isLiveEditingEnabled();\n\n        // Skip reload if the saved document has live editing enabled\n        if (liveEditingEnabled) {\n            return;\n        }\n\n        // reload the page if the given document is a JS file related\n        // to the current live document.\n        if (_liveDocument.isRelated(absolutePath)) {\n            if (doc.getLanguage().getId() === "javascript") {\n                _setStatus(STATUS_RELOADING);\n                _protocol.reload();\n            }\n        }\n    }\n\n    /**\n     * For files that don\'t support as-you-type live editing, but are loaded by live HTML documents\n     * (e.g. JS files), we want to show a dirty indicator on the live development icon when they\n     * have unsaved changes, so the user knows s/he needs to save in order to have the page reload.\n     * @param {$.Event} event\n     * @param {Document} doc\n     */\n    function _onDirtyFlagChange(event, doc) {\n        if (!isActive() || !_server) {\n            return;\n        }\n\n        var absolutePath = doc.file.fullPath;\n\n        if (_liveDocument.isRelated(absolutePath)) {\n            // Set status to out of sync if dirty. Otherwise, set it to active status.\n            _setStatus(_docIsOutOfSync(doc) ? STATUS_OUT_OF_SYNC : STATUS_ACTIVE);\n        }\n    }\n\n    /**\n     * Sets the current transport mechanism to be used by the live development protocol\n     * (e.g. socket server, iframe postMessage, etc.)\n     * The low-level transport. Must provide the following methods:\n     *\n     * - start(): Initiates transport (eg. creates Web Socket server).\n     * - send(idOrArray, string): Dispatches the given protocol message (provided as a JSON string) to the given client ID\n     *   or array of client IDs. (See the "connect" message for an explanation of client IDs.)\n     * - close(id): Closes the connection to the given client ID.\n     * - getRemoteScript(): Returns a script that should be injected into the page\'s HTML in order to handle the remote side\n     *   of the transport. Should include the "<script>" tags. Should return null if no injection is necessary.\n     *\n     * It must also dispatch the following jQuery events:\n     *\n     * - "connect": When a target browser connects back to the transport. Must provide two parameters:\n     *   - clientID - a unique number representing this connection\n     *   - url - the URL of the page in the target browser that\'s connecting to us\n     * - "message": When a message is received by the transport. Must provide two parameters:\n     *   - clientID - the ID of the client sending the message\n     *   - message - the text of the message as a JSON string\n     * - "close": When the remote browser closes the connection. Must provide one parameter:\n     *   - clientID - the ID of the client closing the connection\n     *\n     * @param {{launch: function(string), send: function(number|Array.<number>, string), close: function(number), getRemoteScript: function(): ?string}} transport\n     */\n    function setTransport(transport) {\n        _protocol.setTransport(transport);\n    }\n\n    /**\n     * Sets the current browser launcher mechanism to be used by live development\n     * (e.g., default browser, iframe-based browser, etc.)\n     * The launcher must provide the following method:\n     *\n     * - launch(url): Launch the given URL in the appropriate browser.\n     *\n     * @param {{launch: function(string)}} launcher\n     */\n    function setLauncher(launcher) {\n        if (!(launcher && launcher.launch)) {\n            console.log("Invalid launcher object: ", launcher, new Error("LiveDevMultiBrowser.setLauncher()"));\n            return;\n        }\n        _launcher = launcher;\n    }\n\n    /**\n     * Initialize the LiveDevelopment module.\n     */\n    function init() {\n        MainViewManager\n            .on("currentFileChange", _onFileChange);\n        DocumentManager\n            .on("documentSaved", _onDocumentSaved)\n            .on("dirtyFlagChange", _onDirtyFlagChange);\n        ProjectManager\n            .on("beforeProjectClose beforeAppClose", close);\n\n        // Default transport for live connection messages - can be changed\n        setTransport(NodeSocketTransport);\n\n        // Default launcher for preview browser - can be changed\n        setLauncher(DefaultLauncher);\n\n        // Initialize exports.status\n        _setStatus(STATUS_INACTIVE);\n    }\n\n    function getLiveDocForEditor(editor) {\n        if (!editor) {\n            return null;\n        }\n        return getLiveDocForPath(editor.document.file.fullPath);\n    }\n\n    /**\n     *  Enable highlighting\n     */\n    function showHighlight() {\n        var doc = getLiveDocForEditor(EditorManager.getActiveEditor());\n\n        if (doc && doc.updateHighlight) {\n            doc.updateHighlight();\n        }\n    }\n\n    /**\n     * Hide any active highlighting\n     */\n    function hideHighlight() {\n        if (_protocol) {\n            _protocol.evaluate("_LD.hideHighlight()");\n        }\n    }\n\n    /**\n     * Redraw highlights\n     */\n    function redrawHighlight() {\n        if (_protocol) {\n            _protocol.evaluate("_LD.redrawHighlights()");\n        }\n    }\n\n    /**\n     * Originally unload and reload agents. It doesn\'t apply for this new implementation.\n     * @return {jQuery.Promise} Already resolved promise.\n     */\n    function reconnect() {\n        return $.Deferred().resolve();\n    }\n\n    /**\n     * Reload current page in all connected browsers.\n     */\n    function reload() {\n        if (_protocol) {\n            _protocol.reload();\n        }\n    }\n\n    /**\n     * Returns current project server config. Copied from original LiveDevelopment.\n     */\n    function getCurrentProjectServerConfig() {\n        return {\n            baseUrl: ProjectManager.getBaseUrl(),\n            pathResolver: ProjectManager.makeProjectRelativeIfPossible,\n            root: ProjectManager.getProjectRoot().fullPath\n        };\n    }\n\n    /**\n     * @private\n     * Returns the base URL of the current server serving the active live document, or null if\n     * there is no active live document.\n     * @return {?string}\n     */\n    function getServerBaseUrl() {\n        return _server && _server.getBaseUrl();\n    }\n\n    // for unit testing only\n    function _getCurrentLiveDoc() {\n        return _liveDocument;\n    }\n\n    EventDispatcher.makeEventDispatcher(exports);\n\n    // For unit testing\n    exports._server                   = _server;\n    exports._getCurrentLiveDoc        = _getCurrentLiveDoc;\n    exports._getInitialDocFromCurrent = _getInitialDocFromCurrent;\n\n    // Export public functions\n    exports.open                = open;\n    exports.close               = close;\n    exports.reconnect           = reconnect;\n    exports.reload              = reload;\n    exports.getLiveDocForPath   = getLiveDocForPath;\n    exports.showHighlight       = showHighlight;\n    exports.hideHighlight       = hideHighlight;\n    exports.redrawHighlight     = redrawHighlight;\n    exports.init                = init;\n    exports.isActive            = isActive;\n    exports.getServerBaseUrl    = getServerBaseUrl;\n    exports.getCurrentProjectServerConfig = getCurrentProjectServerConfig;\n    exports.setTransport        = setTransport;\n    exports.setLauncher         = setLauncher;\n});\n\n//# sourceURL=/LiveDevelopment/LiveDevMultiBrowser.js'),
eval("define('text!LiveDevelopment/main.less',[],function () { return '/*\\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\\n *  \\n * Permission is hereby granted, free of charge, to any person obtaining a\\n * copy of this software and associated documentation files (the \"Software\"), \\n * to deal in the Software without restriction, including without limitation \\n * the rights to use, copy, modify, merge, publish, distribute, sublicense, \\n * and/or sell copies of the Software, and to permit persons to whom the \\n * Software is furnished to do so, subject to the following conditions:\\n *  \\n * The above copyright notice and this permission notice shall be included in\\n * all copies or substantial portions of the Software.\\n *  \\n * THE SOFTWARE IS PROVIDED \"AS IS\", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY, \\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER \\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING \\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER \\n * DEALINGS IN THE SOFTWARE.\\n * \\n */\\n\\n\\n.CodeMirror {\\n    .highlight {\\n        background: #ecc;\\n    }\\n    .flash {\\n       -webkit-animation: flash 1s;\\n    }\\n}\\n  \\n@-webkit-keyframes flash {\\n    from {\\n        background: #ecc;\\n    }\\n    to {\\n        background: inherit;\\n    }\\n}';});\n\n//# sourceURL=/text!LiveDevelopment/main.less"),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*global less */\n\n/**\n * main integrates LiveDevelopment into Brackets\n *\n * This module creates two menu items:\n *\n *  "Go Live": open or close a Live Development session and visualize the status\n *  "Highlight": toggle source highlighting\n */\ndefine(\'LiveDevelopment/main\',[\'require\',\'exports\',\'module\',\'document/DocumentManager\',\'command/Commands\',\'utils/AppInit\',\'LiveDevelopment/LiveDevelopment\',\'LiveDevelopment/LiveDevMultiBrowser\',\'LiveDevelopment/Inspector/Inspector\',\'command/CommandManager\',\'preferences/PreferencesManager\',\'widgets/Dialogs\',\'widgets/DefaultDialogs\',\'utils/UrlParams\',\'strings\',\'utils/ExtensionUtils\',\'utils/StringUtils\',\'text!LiveDevelopment/main.less\'],function main(require, exports, module) {\n    "use strict";\n\n    var DocumentManager     = require("document/DocumentManager"),\n        Commands            = require("command/Commands"),\n        AppInit             = require("utils/AppInit"),\n        LiveDevelopment     = require("LiveDevelopment/LiveDevelopment"),\n        MultiBrowserLiveDev = require("LiveDevelopment/LiveDevMultiBrowser"),\n        Inspector           = require("LiveDevelopment/Inspector/Inspector"),\n        CommandManager      = require("command/CommandManager"),\n        PreferencesManager  = require("preferences/PreferencesManager"),\n        Dialogs             = require("widgets/Dialogs"),\n        DefaultDialogs      = require("widgets/DefaultDialogs"),\n        UrlParams           = require("utils/UrlParams").UrlParams,\n        Strings             = require("strings"),\n        ExtensionUtils      = require("utils/ExtensionUtils"),\n        StringUtils         = require("utils/StringUtils");\n\n    var params = new UrlParams();\n    var config = {\n        experimental: false, // enable experimental features\n        debug: true, // enable debug output and helpers\n        autoconnect: false, // go live automatically after startup?\n        highlight: true, // enable highlighting?\n        highlightConfig: { // the highlight configuration for the Inspector\n            borderColor:  {r: 255, g: 229, b: 153, a: 0.66},\n            contentColor: {r: 111, g: 168, b: 220, a: 0.55},\n            marginColor:  {r: 246, g: 178, b: 107, a: 0.66},\n            paddingColor: {r: 147, g: 196, b: 125, a: 0.66},\n            showInfo: true\n        }\n    };\n    // Status labels/styles are ordered: error, not connected, progress1, progress2, connected.\n    var _status,\n        _allStatusStyles = ["warning", "info", "success", "out-of-sync", "sync-error"].join(" ");\n\n    var _$btnGoLive; // reference to the GoLive button\n\n    // current selected implementation (LiveDevelopment | LiveDevMultiBrowser)\n    var LiveDevImpl;\n\n    // "livedev.multibrowser" preference\n    var PREF_MULTIBROWSER = "multibrowser";\n    var prefs = PreferencesManager.getExtensionPrefs("livedev");\n    var multiBrowserPref = prefs.definePreference(PREF_MULTIBROWSER, "boolean", false, {\n        description: Strings.DESCRIPTION_LIVE_DEV_MULTIBROWSER\n    });\n\n    /** Toggles or sets the preference **/\n    function _togglePref(key, value) {\n        var val,\n            oldPref = !!prefs.get(key);\n\n        if (value === undefined) {\n            val = !oldPref;\n        } else {\n            val = !!value;\n        }\n\n        // update menu\n        if (val !== oldPref) {\n            prefs.set(key, val);\n        }\n\n        return val;\n    }\n\n    /* Toggles or sets the "livedev.multibrowser" preference */\n    function _toggleLivePreviewMultiBrowser(value) {\n        var val = _togglePref(PREF_MULTIBROWSER, value);\n\n        CommandManager.get(Commands.TOGGLE_LIVE_PREVIEW_MB_MODE).setChecked(val);\n        // Issue #10217: multi-browser does not support user server, so disable\n        // the setting if it is enabled.\n        CommandManager.get(Commands.FILE_PROJECT_SETTINGS).setEnabled(!val);\n    }\n\n    /** Load Live Development LESS Style */\n    function _loadStyles() {\n        var lessText = require("text!LiveDevelopment/main.less");\n\n        less.render(lessText, function onParse(err, tree) {\n            console.assert(!err, err);\n            ExtensionUtils.addEmbeddedStyleSheet(tree.css);\n        });\n    }\n\n    /**\n     * Change the appearance of a button. Omit text to remove any extra text; omit style to return to default styling;\n     * omit tooltip to leave tooltip unchanged.\n     */\n    function _setLabel($btn, text, style, tooltip) {\n        // Clear text/styles from previous status\n        $("span", $btn).remove();\n        $btn.removeClass(_allStatusStyles);\n\n        // Set text/styles for new status\n        if (text && text.length > 0) {\n            $("<span class=\\"label\\">")\n                .addClass(style)\n                .text(text)\n                .appendTo($btn);\n        } else {\n            $btn.addClass(style);\n        }\n\n        if (tooltip) {\n            $btn.attr("title", tooltip);\n        }\n    }\n\n    /**\n     * Toggles LiveDevelopment and synchronizes the state of UI elements that reports LiveDevelopment status\n     *\n     * Stop Live Dev when in an active state (ACTIVE, OUT_OF_SYNC, SYNC_ERROR).\n     * Start Live Dev when in an inactive state (ERROR, INACTIVE).\n     * Do nothing when in a connecting state (CONNECTING, LOADING_AGENTS).\n     */\n    function _handleGoLiveCommand() {\n        if (LiveDevImpl.status >= LiveDevImpl.STATUS_ACTIVE) {\n            LiveDevImpl.close();\n        } else if (LiveDevImpl.status <= LiveDevImpl.STATUS_INACTIVE) {\n            if (!params.get("skipLiveDevelopmentInfo") && !PreferencesManager.getViewState("livedev.afterFirstLaunch")) {\n                PreferencesManager.setViewState("livedev.afterFirstLaunch", "true");\n                Dialogs.showModalDialog(\n                    DefaultDialogs.DIALOG_ID_INFO,\n                    Strings.LIVE_DEVELOPMENT_INFO_TITLE,\n                    Strings.LIVE_DEVELOPMENT_INFO_MESSAGE\n                ).done(function (id) {\n                    LiveDevImpl.open();\n                });\n            } else {\n                LiveDevImpl.open();\n            }\n        }\n    }\n\n    /** Called on status change */\n    function _showStatusChangeReason(reason) {\n        // Destroy the previous twipsy (options are not updated otherwise)\n        _$btnGoLive.twipsy("hide").removeData("twipsy");\n\n        // If there was no reason or the action was an explicit request by the user, don\'t show a twipsy\n        if (!reason || reason === "explicit_close") {\n            return;\n        }\n\n        // Translate the reason\n        var translatedReason = Strings["LIVE_DEV_" + reason.toUpperCase()];\n        if (!translatedReason) {\n            translatedReason = StringUtils.format(Strings.LIVE_DEV_CLOSED_UNKNOWN_REASON, reason);\n        }\n\n        // Configure the twipsy\n        var options = {\n            placement: "left",\n            trigger: "manual",\n            autoHideDelay: 5000,\n            title: function () {\n                return translatedReason;\n            }\n        };\n\n        // Show the twipsy with the explanation\n        _$btnGoLive.twipsy(options).twipsy("show");\n    }\n\n    /** Create the menu item "Go Live" */\n    function _setupGoLiveButton() {\n        if (!_$btnGoLive) {\n            _$btnGoLive = $("#toolbar-go-live");\n            _$btnGoLive.click(function onGoLive() {\n                _handleGoLiveCommand();\n            });\n        }\n        LiveDevImpl.on("statusChange", function statusChange(event, status, reason) {\n            // status starts at -1 (error), so add one when looking up name and style\n            // See the comments at the top of LiveDevelopment.js for details on the\n            // various status codes.\n            _setLabel(_$btnGoLive, null, _status[status + 1].style, _status[status + 1].tooltip);\n            _showStatusChangeReason(reason);\n            if (config.autoconnect) {\n                window.sessionStorage.setItem("live.enabled", status === 3);\n            }\n        });\n\n        // Initialize tooltip for \'not connected\' state\n        _setLabel(_$btnGoLive, null, _status[1].style, _status[1].tooltip);\n    }\n\n    /** Maintains state of the Live Preview menu item */\n    function _setupGoLiveMenu() {\n        LiveDevImpl.on("statusChange", function statusChange(event, status) {\n            // Update the checkmark next to \'Live Preview\' menu item\n            // Add checkmark when status is STATUS_ACTIVE; otherwise remove it\n            CommandManager.get(Commands.FILE_LIVE_FILE_PREVIEW).setChecked(status === LiveDevImpl.STATUS_ACTIVE);\n            CommandManager.get(Commands.FILE_LIVE_HIGHLIGHT).setEnabled(status === LiveDevImpl.STATUS_ACTIVE);\n        });\n    }\n\n    function _updateHighlightCheckmark() {\n        CommandManager.get(Commands.FILE_LIVE_HIGHLIGHT).setChecked(config.highlight);\n    }\n\n    function _handlePreviewHighlightCommand() {\n        config.highlight = !config.highlight;\n        _updateHighlightCheckmark();\n        if (config.highlight) {\n            LiveDevImpl.showHighlight();\n        } else {\n            LiveDevImpl.hideHighlight();\n        }\n        PreferencesManager.setViewState("livedev.highlight", config.highlight);\n    }\n\n    /**\n     * Sets the MultiBrowserLiveDev implementation if multibrowser is truthy,\n     * keeps default LiveDevelopment implementation based on CDT otherwise.\n     * It also resets the listeners and UI elements.\n     */\n    function _setImplementation(multibrowser) {\n        if (multibrowser) {\n            // set implemenation\n            LiveDevImpl = MultiBrowserLiveDev;\n            // update styles for UI status\n            _status = [\n                { tooltip: Strings.LIVE_DEV_STATUS_TIP_NOT_CONNECTED, style: "warning" },\n                { tooltip: Strings.LIVE_DEV_STATUS_TIP_NOT_CONNECTED, style: "" },\n                { tooltip: Strings.LIVE_DEV_STATUS_TIP_PROGRESS1, style: "info" },\n                { tooltip: Strings.LIVE_DEV_STATUS_TIP_CONNECTED, style: "success" },\n                { tooltip: Strings.LIVE_DEV_STATUS_TIP_OUT_OF_SYNC, style: "out-of-sync" },\n                { tooltip: Strings.LIVE_DEV_STATUS_TIP_SYNC_ERROR, style: "sync-error" },\n                { tooltip: Strings.LIVE_DEV_STATUS_TIP_PROGRESS1, style: "info" },\n                { tooltip: Strings.LIVE_DEV_STATUS_TIP_PROGRESS1, style: "info" }\n            ];\n        } else {\n            LiveDevImpl = LiveDevelopment;\n            _status = [\n                { tooltip: Strings.LIVE_DEV_STATUS_TIP_NOT_CONNECTED, style: "warning" },\n                { tooltip: Strings.LIVE_DEV_STATUS_TIP_NOT_CONNECTED, style: "" },\n                { tooltip: Strings.LIVE_DEV_STATUS_TIP_PROGRESS1, style: "info" },\n                { tooltip: Strings.LIVE_DEV_STATUS_TIP_PROGRESS2, style: "info" },\n                { tooltip: Strings.LIVE_DEV_STATUS_TIP_CONNECTED, style: "success" },\n                { tooltip: Strings.LIVE_DEV_STATUS_TIP_OUT_OF_SYNC, style: "out-of-sync" },\n                { tooltip: Strings.LIVE_DEV_STATUS_TIP_SYNC_ERROR, style: "sync-error" }\n            ];\n        }\n        // setup status changes listeners for new implementation\n        _setupGoLiveButton();\n        _setupGoLiveMenu();\n        // toggle the menu\n        _toggleLivePreviewMultiBrowser(multibrowser);\n    }\n\n    /** Setup window references to useful LiveDevelopment modules */\n    function _setupDebugHelpers() {\n        window.ld = LiveDevelopment;\n        window.i = Inspector;\n        window.report = function report(params) { window.params = params; console.info(params); };\n    }\n\n    /** force reload the live preview */\n    function _handleReloadLivePreviewCommand() {\n        if (LiveDevelopment.status >= LiveDevelopment.STATUS_ACTIVE) {\n            LiveDevelopment.reload();\n        }\n    }\n\n    /** Initialize LiveDevelopment */\n    AppInit.appReady(function () {\n        params.parse();\n\n        Inspector.init(config);\n        LiveDevelopment.init(config);\n\n        // init experimental multi-browser implementation\n        // it can be enable by setting \'livedev.multibrowser\' preference to true.\n        // It has to be initiated at this point in case of dynamically switching\n        // by changing the preference value.\n        MultiBrowserLiveDev.init(config);\n\n        _loadStyles();\n        _updateHighlightCheckmark();\n\n        _setImplementation(prefs.get(PREF_MULTIBROWSER));\n\n        if (config.debug) {\n            _setupDebugHelpers();\n        }\n\n        // trigger autoconnect\n        if (config.autoconnect &&\n                window.sessionStorage.getItem("live.enabled") === "true" &&\n                DocumentManager.getCurrentDocument()) {\n            _handleGoLiveCommand();\n        }\n\n        // Redraw highlights when window gets focus. This ensures that the highlights\n        // will be in sync with any DOM changes that may have occurred.\n        $(window).focus(function () {\n            if (Inspector.connected() && config.highlight) {\n                LiveDevelopment.redrawHighlight();\n            }\n        });\n\n        multiBrowserPref\n            .on("change", function () {\n                // Stop the current session if it is open and set implementation based on\n                // the pref value. We could start the new implementation immediately, but\n                // since the current document is potentially a user preferences file, Live\n                // Preview will not locate the html file to serve.\n                if (LiveDevImpl && LiveDevImpl.status >= LiveDevImpl.STATUS_ACTIVE) {\n                    LiveDevImpl.close()\n                        .done(function () {\n                            // status changes will now be listened by the new implementation\n                            LiveDevImpl.off("statusChange");\n                            _setImplementation(prefs.get(PREF_MULTIBROWSER));\n                        });\n                } else {\n                    _setImplementation(prefs.get(PREF_MULTIBROWSER));\n                }\n            });\n\n    });\n\n    // init prefs\n    PreferencesManager.stateManager.definePreference("livedev.highlight", "boolean", true)\n        .on("change", function () {\n            config.highlight = PreferencesManager.getViewState("livedev.highlight");\n            _updateHighlightCheckmark();\n        });\n\n    config.highlight = PreferencesManager.getViewState("livedev.highlight");\n\n    // init commands\n    CommandManager.register(Strings.CMD_LIVE_FILE_PREVIEW,  Commands.FILE_LIVE_FILE_PREVIEW, _handleGoLiveCommand);\n    CommandManager.register(Strings.CMD_LIVE_HIGHLIGHT, Commands.FILE_LIVE_HIGHLIGHT, _handlePreviewHighlightCommand);\n    CommandManager.register(Strings.CMD_RELOAD_LIVE_PREVIEW, Commands.CMD_RELOAD_LIVE_PREVIEW, _handleReloadLivePreviewCommand);\n    CommandManager.register(Strings.CMD_TOGGLE_LIVE_PREVIEW_MB_MODE, Commands.TOGGLE_LIVE_PREVIEW_MB_MODE, _toggleLivePreviewMultiBrowser);\n\n    CommandManager.get(Commands.FILE_LIVE_HIGHLIGHT).setEnabled(false);\n\n    // Export public functions\n});\n\n//# sourceURL=/LiveDevelopment/main.js'),eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n *  Utilities functions related to color matching\n *\n */\ndefine(\'utils/ColorUtils\',[\'require\',\'exports\',\'module\'],function (require, exports, module) {\n    "use strict";\n\n    /**\n     * Sorted array of all the color names in the CSS Color Module Level 3 (http://www.w3.org/TR/css3-color/)\n     * and "rebeccapurple" from CSS Color Module Level 4\n     * @const @type {Array}\n     */\n    var COLOR_NAMES = ["aliceblue", "antiquewhite", "aqua", "aquamarine", "azure", "beige", "bisque", "black", "blanchedalmond", "blue", "blueviolet", "brown", "burlywood", "cadetblue", "chartreuse", "chocolate", "coral", "cornflowerblue", "cornsilk", "crimson", "cyan", "darkblue", "darkcyan", "darkgoldenrod", "darkgray", "darkgreen", "darkgrey", "darkkhaki", "darkmagenta", "darkolivegreen", "darkorange", "darkorchid", "darkred", "darksalmon", "darkseagreen", "darkslateblue", "darkslategray", "darkslategrey", "darkturquoise", "darkviolet", "deeppink", "deepskyblue", "dimgray", "dimgrey", "dodgerblue", "firebrick", "floralwhite", "forestgreen", "fuchsia", "gainsboro", "ghostwhite", "gold", "goldenrod", "gray", "green", "greenyellow", "grey", "honeydew", "hotpink", "indianred", "indigo", "ivory", "khaki", "lavender", "lavenderblush", "lawngreen", "lemonchiffon", "lightblue", "lightcoral", "lightcyan", "lightgoldenrodyellow", "lightgray", "lightgreen", "lightgrey", "lightpink", "lightsalmon", "lightseagreen", "lightskyblue", "lightslategray", "lightslategrey", "lightsteelblue", "lightyellow", "lime", "limegreen", "linen", "magenta", "maroon", "mediumaquamarine", "mediumblue", "mediumorchid", "mediumpurple", "mediumseagreen", "mediumslateblue", "mediumspringgreen", "mediumturquoise", "mediumvioletred", "midnightblue", "mintcream", "mistyrose", "moccasin", "navajowhite", "navy", "oldlace", "olive", "olivedrab", "orange", "orangered", "orchid", "palegoldenrod", "palegreen", "paleturquoise", "palevioletred", "papayawhip", "peachpuff", "peru", "pink", "plum", "powderblue", "purple", "rebeccapurple", "red", "rosybrown", "royalblue", "saddlebrown", "salmon", "sandybrown", "seagreen", "seashell", "sienna", "silver", "skyblue", "slateblue", "slategray", "slategrey", "snow", "springgreen", "steelblue", "tan", "teal", "thistle", "tomato", "turquoise", "violet", "wheat", "white", "whitesmoke", "yellow", "yellowgreen"];\n\n    /**\n     * Regular expression that matches reasonably well-formed colors in hex format (3 or 6 digits),\n     * rgb()/rgba() function format, hsl()/hsla() function format, 0x notation format\n     * or color name format according to CSS Color Module Level 3 (http://www.w3.org/TR/css3-color/)\n     * or "rebeccapurple" from CSS Color Module Level 4.\n     * @const @type {RegExp}\n     */\n    // use RegExp.source of the RegExp literal to avoid doubled backslashes\n    var COLOR_REGEX = new RegExp(/0x([a-f0-9]{6})\\b|#[a-f0-9]{6}\\b|#[a-f0-9]{3}\\b|\\brgb\\(\\s*(?:[0-9]{1,2}|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\b\\s*,\\s*(?:[0-9]{1,2}|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\b\\s*,\\s*(?:[0-9]{1,2}|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\b\\s*\\)|\\brgb\\(\\s*(?:[0-9]{1,2}%|100%)\\s*,\\s*(?:[0-9]{1,2}%|100%)\\s*,\\s*(?:[0-9]{1,2}%|100%)\\s*\\)|\\brgba\\(\\s*(?:[0-9]{1,2}|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\b\\s*,\\s*(?:[0-9]{1,2}|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\b\\s*,\\s*(?:[0-9]{1,2}|1[0-9]{2}|2[0-4][0-9]|25[0-5])\\b\\s*,\\s*(?:1|1\\.0|0|0?\\.[0-9]{1,3})\\s*\\)|\\brgba\\(\\s*(?:[0-9]{1,2}%|100%)\\s*,\\s*(?:[0-9]{1,2}%|100%)\\s*,\\s*(?:[0-9]{1,2}%|100%)\\s*,\\s*(?:1|1\\.0|0|0?\\.[0-9]{1,3})\\s*\\)|\\bhsl\\(\\s*(?:[0-9]{1,3})\\b\\s*,\\s*(?:[0-9]{1,2}|100)\\b%\\s*,\\s*(?:[0-9]{1,2}|100)\\b%\\s*\\)|\\bhsla\\(\\s*(?:[0-9]{1,3})\\b\\s*,\\s*(?:[0-9]{1,2}|100)\\b%\\s*,\\s*(?:[0-9]{1,2}|100)\\b%\\s*,\\s*(?:1|1\\.0|0|0?\\.[0-9]{1,3})\\s*\\)|\\b/.source + COLOR_NAMES.join("\\\\b|\\\\b") + "\\\\b", "gi");\n\n    /*\n     * Adds a color swatch to code hints where this is supported.\n     * @param {!jQuery} $hintObj - list item where the swatch will be in\n     * @param {?string} color - color the swatch should have, or null to add extra left margin to\n     *      align with the other hints\n     * @return {jQuery} jQuery object with the correct class and/or style applied\n     */\n    function formatColorHint($hintObj, color) {\n        if (color) {\n            $hintObj.prepend($("<span>")\n                .addClass("color-swatch")\n                .css("backgroundColor", color));\n        } else {\n            $hintObj.addClass("no-swatch-margin");\n        }\n        return $hintObj;\n    }\n\n\n    // Define public API\n    exports.COLOR_NAMES     = COLOR_NAMES;\n    exports.COLOR_REGEX     = COLOR_REGEX;\n    exports.formatColorHint = formatColorHint;\n});\n\n//# sourceURL=/utils/ColorUtils.js'),eval('/*\n * Copyright (c) 2015 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'language/XMLUtils\',[\'require\',\'exports\',\'module\',\'utils/TokenUtils\'],function (require, exports, module) {\n    "use strict";\n\n    // Load dependencies.\n    var TokenUtils  = require("utils/TokenUtils");\n\n    // Enums of token types.\n    var TOKEN_TAG    = 1,\n        TOKEN_ATTR   = 2,\n        TOKEN_VALUE  = 3;\n\n    // Regex to find whitespace.\n    var regexWhitespace = /^\\s+$/;\n\n    /**\n     * Returns an object that represents all its params.\n     *\n     * @param {!Token} token CodeMirror token at the current pos\n     * @param {number} tokenType Type of current token\n     * @param {number} offset Offset in current token\n     * @param {Array.<string>} exclusionList List of attributes of a tag or attribute options used by an attribute\n     * @param {string} tagName Name of the current tag\n     * @param {string} attrName Name of the curent attribute\n     * @param {boolean} shouldReplace true if we don\'t want to append ="" to an attribute\n     * @return {!{token: Token, tokenType: int, offset: int, exclusionList: Array.<string>, tagName: string, attrName: string, shouldReplace: boolean}}\n     */\n    function _createTagInfo(token, tokenType, offset, exclusionList, tagName, attrName, shouldReplace) {\n        return {\n            token: token || null,\n            tokenType: tokenType || null,\n            offset: offset || 0,\n            exclusionList: exclusionList || [],\n            tagName: tagName || "",\n            attrName: attrName || "",\n            shouldReplace: shouldReplace || false\n        };\n    }\n\n    /**\n     * Return the tagName and a list of attributes used by the tag.\n     *\n     * @param {!Editor} editor An instance of active editor\n     * @param {!{line: number, ch: number}} constPos The position of cursor in the active editor\n     * @return {!{tagName: string, exclusionList: Array.<string>, shouldReplace: boolean}}\n     */\n    function _getTagAttributes(editor, constPos) {\n        var pos, ctx, ctxPrev, ctxNext, ctxTemp, tagName, exclusionList = [], shouldReplace;\n\n        pos = $.extend({}, constPos);\n        ctx = TokenUtils.getInitialContext(editor._codeMirror, pos);\n\n        // Stop if the cursor is before = or an attribute value.\n        ctxTemp = $.extend(true, {}, ctx);\n        if (ctxTemp.token.type === null && regexWhitespace.test(ctxTemp.token.string)) {\n            if (TokenUtils.moveSkippingWhitespace(TokenUtils.moveNextToken, ctxTemp)) {\n                if ((ctxTemp.token.type === null && ctxTemp.token.string === "=") ||\n                        ctxTemp.token.type === "string") {\n                    return null;\n                }\n                TokenUtils.moveSkippingWhitespace(TokenUtils.movePrevToken, ctxTemp);\n            }\n        }\n\n        // Incase an attribute is followed by an equal sign, shouldReplace will be used\n        // to prevent from appending ="" again.\n        if (ctxTemp.token.type === "attribute") {\n            if (TokenUtils.moveSkippingWhitespace(TokenUtils.moveNextToken, ctxTemp)) {\n                if (ctxTemp.token.type === null && ctxTemp.token.string === "=") {\n                    shouldReplace = true;\n                }\n            }\n        }\n\n        // Look-Back and get the attributes and tag name.\n        pos = $.extend({}, constPos);\n        ctxPrev = TokenUtils.getInitialContext(editor._codeMirror, pos);\n        while (TokenUtils.movePrevToken(ctxPrev)) {\n            if (ctxPrev.token.type && ctxPrev.token.type.indexOf("tag bracket") >= 0) {\n                // Disallow hints in closed tag and inside tag content\n                if (ctxPrev.token.string === "</" || ctxPrev.token.string.indexOf(">") !== -1) {\n                    return null;\n                }\n            }\n\n            // Get attributes.\n            if (ctxPrev.token.type === "attribute") {\n                exclusionList.push(ctxPrev.token.string);\n            }\n\n            // Get tag.\n            if (ctxPrev.token.type === "tag") {\n                tagName = ctxPrev.token.string;\n                if (TokenUtils.movePrevToken(ctxPrev)) {\n                    if (ctxPrev.token.type === "tag bracket" && ctxPrev.token.string === "<") {\n                        break;\n                    }\n                    return null;\n                }\n            }\n        }\n\n        // Look-Ahead and find rest of the attributes.\n        pos = $.extend({}, constPos);\n        ctxNext = TokenUtils.getInitialContext(editor._codeMirror, pos);\n        while (TokenUtils.moveNextToken(ctxNext)) {\n            if (ctxNext.token.type === "string" && ctxNext.token.string === "\\"") {\n                return null;\n            }\n\n            // Stop on closing bracket of its own tag or opening bracket of next tag.\n            if (ctxNext.token.type === "tag bracket" &&\n                    (ctxNext.token.string.indexOf(">") >= 0 || ctxNext.token.string === "<")) {\n                break;\n            }\n            if (ctxNext.token.type === "attribute" && exclusionList.indexOf(ctxNext.token.string) === -1) {\n                exclusionList.push(ctxNext.token.string);\n            }\n        }\n        return {\n            tagName: tagName,\n            exclusionList: exclusionList,\n            shouldReplace: shouldReplace\n        };\n    }\n\n    /**\n     * Return the tag name, attribute name and a list of options used by the attribute\n     *\n     * @param {!Editor} editor An instance of active editor\n     * @param {!{line: number, ch: number}} pos Position of cursor in the editor\n     * @return {!{tagName: string, attrName: string, exclusionList: Array.<string>}}\n     */\n    function _getTagAttributeValue(editor, pos) {\n        var ctx, tagName, attrName, exclusionList = [], offset, textBefore, textAfter;\n\n        ctx = TokenUtils.getInitialContext(editor._codeMirror, pos);\n        offset = TokenUtils.offsetInToken(ctx);\n\n        // To support multiple options on the same attribute, we have\n        // to break the value, these values will not be available then.\n        if (ctx.token.type === "string" && /\\s+/.test(ctx.token.string)) {\n            textBefore = ctx.token.string.substr(1, offset);\n            textAfter = ctx.token.string.substr(offset);\n\n            // Remove quote from end of the string.\n            if (/^[\'"]$/.test(ctx.token.string.substr(-1, 1))) {\n                textAfter = textAfter.substr(0, textAfter.length - 1);\n            }\n\n            // Split the text before and after the offset, skipping the current query.\n            exclusionList = exclusionList.concat(textBefore.split(/\\s+/).slice(0, -1));\n            exclusionList = exclusionList.concat(textAfter.split(/\\s+/));\n\n            // Filter through the list removing empty strings.\n            exclusionList = exclusionList.filter(function (value) {\n                if (value.length > 0) {\n                    return true;\n                }\n            });\n        }\n\n        // Look-back and find tag and attributes.\n        while (TokenUtils.movePrevToken(ctx)) {\n            if (ctx.token.type === "tag bracket") {\n                // Disallow hints in closing tags.\n                if (ctx.token.string === "</") {\n                    return null;\n                }\n                // Stop when closing bracket of another tag or opening bracket of its own in encountered.\n                if (ctx.token.string.indexOf(">") >= 0 || ctx.token.string === "<") {\n                    break;\n                }\n            }\n\n            // Get the first previous attribute.\n            if (ctx.token.type === "attribute" && !attrName) {\n                attrName = ctx.token.string;\n            }\n\n            // Stop if we get a bracket after tag.\n            if (ctx.token.type === "tag") {\n                tagName = ctx.token.string;\n                if (TokenUtils.movePrevToken(ctx)) {\n                    if (ctx.token.type === "tag bracket" && ctx.token.string === "<") {\n                        break;\n                    }\n                    return null;\n                }\n            }\n        }\n\n        return {\n            tagName: tagName,\n            attrName: attrName,\n            exclusionList: exclusionList\n        };\n    }\n\n    /**\n     * Return the tag info at a given position in the active editor\n     *\n     * @param {!Editor} editor Instance of active editor\n     * @param {!{line: number, ch: number}} pos Position of cursor in the editor\n     * @return {!{token: Object, tokenType: number, offset: number, exclusionList: Array.<string>, tagName: string, attrName: string, shouldReplace: boolean}}\n     */\n    function getTagInfo(editor, pos) {\n        var ctx, offset, tagAttrs, tagAttrValue;\n\n        ctx = TokenUtils.getInitialContext(editor._codeMirror, pos);\n        offset = TokenUtils.offsetInToken(ctx);\n\n        if (ctx.token && ctx.token.type === "tag bracket" && ctx.token.string === "<") {\n            // Returns tagInfo when an angle bracket is created.\n            return _createTagInfo(ctx.token, TOKEN_TAG);\n        } else if (ctx.token && ctx.token.type === "tag") {\n            // Return tagInfo when a tag is created.\n            if (TokenUtils.movePrevToken(ctx)) {\n                if (ctx.token.type === "tag bracket" && ctx.token.string === "<") {\n                    TokenUtils.moveNextToken(ctx);\n                    return _createTagInfo(ctx.token, TOKEN_TAG, offset);\n                }\n            }\n        } else if (ctx.token && (ctx.token.type === "attribute" ||\n                                 (ctx.token.type === null && regexWhitespace.test(ctx.token.string)))) {\n            // Return tagInfo when an attribute is created.\n            tagAttrs = _getTagAttributes(editor, pos);\n            if (tagAttrs && tagAttrs.tagName) {\n                return _createTagInfo(ctx.token, TOKEN_ATTR, offset, tagAttrs.exclusionList, tagAttrs.tagName, null, tagAttrs.shouldReplace);\n            }\n        } else if (ctx.token && ((ctx.token.type === null && ctx.token.string === "=") ||\n                                 (ctx.token.type === "string" && /^[\'"]$/.test(ctx.token.string.charAt(0))))) {\n            // Return tag info when an attribute value is created.\n            // Allow no hints if the cursor is outside the value.\n            if (ctx.token.type === "string" &&\n                    /^[\'"]$/.test(ctx.token.string.substr(-1, 1)) &&\n                    ctx.token.string.length !== 1 &&\n                    ctx.token.end === pos.ch) {\n                return _createTagInfo();\n            }\n\n            tagAttrValue = _getTagAttributeValue(editor, pos);\n            if (tagAttrValue && tagAttrValue.tagName && tagAttrValue.attrName) {\n                return _createTagInfo(ctx.token, TOKEN_VALUE, offset, tagAttrValue.exclusionList, tagAttrValue.tagName, tagAttrValue.attrName);\n            }\n        }\n        return _createTagInfo();\n    }\n\n    /**\n     * Return the query text of a value.\n     *\n     * @param {!{token: Object, tokenType: number, offset: number, exclusionList: Array.<string>, tagName: string, attrName: string, shouldReplace: boolean}}\n     * @return {string}  The query to use to matching hints.\n     */\n    function getValueQuery(tagInfo) {\n        var query;\n        if (tagInfo.token.string === "=") {\n            return "";\n        }\n        // Remove quotation marks in query.\n        query = tagInfo.token.string.substr(1, tagInfo.offset - 1);\n\n        // Get the last option to use as a query to support multiple options.\n        return query.split(/\\s+/).slice(-1)[0];\n    }\n\n    // Expose public API.\n    exports.getTagInfo      = getTagInfo;\n    exports.getValueQuery   = getValueQuery;\n    exports.regexWhitespace = regexWhitespace;\n    exports.TOKEN_TAG       = TOKEN_TAG;\n    exports.TOKEN_ATTR      = TOKEN_ATTR;\n    exports.TOKEN_VALUE     = TOKEN_VALUE;\n});\n\n//# sourceURL=/language/XMLUtils.js'),
eval('/*\n * Copyright (c) 2015 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'language/JSONUtils\',[\'require\',\'exports\',\'module\',\'utils/TokenUtils\'],function (require, exports, module) {\n    "use strict";\n\n    var TokenUtils      = require("utils/TokenUtils");\n\n    // Enumerations for token types.\n    var TOKEN_KEY   = 1,\n        TOKEN_VALUE = 2;\n\n    // Whitelist for allowed value types.\n    var valueTokenTypes = ["atom", "string", "number", "variable"];\n\n    // Reg-ex to match colon, comma, opening bracket of an array and white-space.\n    var regexAllowedChars = /(?:^[:,\\[]$)|(?:^\\s+$)/;\n\n    /**\n     * @private\n     *\n     * Returns an object that represents all its parameters\n     *\n     * @param {!Object} token CodeMirror token\n     * @param {!number} tokenType Type of current token\n     * @param {!number} offset Offset in current token\n     * @param {!String} keyName Name of corresponding key\n     * @param {String} valueName Name of current value\n     * @param {String} parentKeyName Name of parent key name\n     * @param {Boolean} isArray Whether or not we are inside an array\n     * @param {Array.<String>} exclusionList An array of keys that have already been used in the context of an object\n     * @param {Boolean} shouldReplace Should we just replace the current token or also add colons/braces/brackets to it\n     * @return {!{token: Object, tokenType: number, offset: number, keyName: String, valueName: String, parentKeyName: String, isArray: Boolean, exclusionList: Array.<String>, shouldReplace: Boolean}}\n     */\n    function _createContextInfo(token, tokenType, offset, keyName, valueName, parentKeyName, isArray, exclusionList, shouldReplace) {\n        return {\n            token: token || null,\n            tokenType: tokenType || null,\n            offset: offset || 0,\n            keyName: keyName || null,\n            valueName: valueName || null,\n            parentKeyName: parentKeyName || null,\n            isArray: isArray || false,\n            exclusionList: exclusionList || [],\n            shouldReplace: shouldReplace || false\n        };\n    }\n\n    /**\n     * Removes the quotes around a string\n     *\n     * @param {!String} string\n     * @return {String}\n     */\n    function stripQuotes(string) {\n        if (string) {\n            if (/^[\'"]$/.test(string.charAt(0))) {\n                string = string.substr(1);\n            }\n            if (/^[\'"]$/.test(string.substr(-1, 1))) {\n                string = string.substr(0, string.length - 1);\n            }\n        }\n        return string;\n    }\n\n    /**\n     * @private\n     *\n     * Returns the name of parent object\n     *\n     * @param {!{editor:!CodeMirror, pos:!{ch:number, line:number}, token:Object}} ctx\n     * @return {String}\n     */\n    function _getParentKeyName(ctx) {\n        var parentKeyName, braceParity = 1, hasColon;\n\n        // Move the context back to find the parent key.\n        while (TokenUtils.moveSkippingWhitespace(TokenUtils.movePrevToken, ctx)) {\n            if (ctx.token.type === null) {\n                if (ctx.token.string === "}") {\n                    braceParity++;\n                } else if (ctx.token.string === "{") {\n                    braceParity--;\n                }\n            }\n\n            if (braceParity === 0) {\n                while (TokenUtils.moveSkippingWhitespace(TokenUtils.movePrevToken, ctx)) {\n                    if (ctx.token.type === null && ctx.token.string === ":") {\n                        hasColon = true;\n                    } else if (ctx.token.type === "string property") {\n                        parentKeyName = stripQuotes(ctx.token.string);\n                        break;\n                    }\n                }\n                break;\n            }\n        }\n\n        if (parentKeyName && hasColon) {\n            return parentKeyName;\n        }\n        return null;\n    }\n\n    /**\n     * @private\n     *\n     * Returns a list of properties that are already used by an object\n     *\n     * @param {!Editor} editor\n     * @param {!{line: number, ch: number}} constPos\n     * @return {Array.<String>}\n     */\n    function _getExclusionList(editor, constPos) {\n        var ctxPrev, ctxNext, exclusionList = [], pos, braceParity;\n\n        // Move back to find exclusions.\n        pos = $.extend({}, constPos);\n        braceParity = 1;\n        ctxPrev = TokenUtils.getInitialContext(editor._codeMirror, pos);\n        while (TokenUtils.moveSkippingWhitespace(TokenUtils.movePrevToken, ctxPrev)) {\n            if (ctxPrev.token.type === null) {\n                if (ctxPrev.token.string === "}") {\n                    braceParity++;\n                } else if (ctxPrev.token.string === "{") {\n                    braceParity--;\n                }\n            }\n\n            if (braceParity === 1 && ctxPrev.token.type === "string property") {\n                exclusionList.push(stripQuotes(ctxPrev.token.string));\n            } else if (braceParity === 0) {\n                break;\n            }\n        }\n\n        // Move forward and find exclusions.\n        pos = $.extend({}, constPos);\n        braceParity = 1;\n        ctxNext = TokenUtils.getInitialContext(editor._codeMirror, pos);\n        while (TokenUtils.moveSkippingWhitespace(TokenUtils.moveNextToken, ctxNext)) {\n            if (ctxNext.token.type === null) {\n                if (ctxNext.token.string === "{") {\n                    braceParity++;\n                } else if (ctxNext.token.string === "}") {\n                    braceParity--;\n                }\n            }\n\n            if (braceParity === 1 && ctxNext.token.type === "string property") {\n                exclusionList.push(stripQuotes(ctxNext.token.string));\n            } else if (braceParity === 0) {\n                break;\n            }\n        }\n\n        return exclusionList;\n    }\n\n    /**\n     * Returns context info at a given position in editor\n     *\n     * @param {!Editor} editor\n     * @param {!{line: number, ch: number}} constPos Position of cursor in the editor\n     * @param {Boolean} requireParent If true will look for parent key name\n     * @param {Boolean} requireNextToken if true we can replace the next token of a value.\n     * @return {!{token: Object, tokenType: number, offset: number, keyName: String, valueName: String, parentKeyName: String, isArray: Boolean, exclusionList: Array.<String>, shouldReplace: Boolean}}\n     */\n    function getContextInfo(editor, constPos, requireParent, requireNextToken) {\n        var pos, ctx, ctxPrev, ctxNext, offset, keyName, valueName, parentKeyName,\n            isArray, exclusionList, hasColon, hasComma, hasBracket, shouldReplace;\n\n        pos = $.extend({}, constPos);\n        ctx = TokenUtils.getInitialContext(editor._codeMirror, pos);\n        offset = TokenUtils.offsetInToken(ctx);\n\n        if (ctx.token && ctx.token.type === "string property") {\n            // String literals used as keys.\n\n            // Disallow hints if cursor is out of the string.\n            if (/^[\'"]$/.test(ctx.token.string.substr(-1, 1)) &&\n                    ctx.token.string.length !== 1 && ctx.token.end === pos.ch) {\n                return null;\n            }\n            keyName = stripQuotes(ctx.token.string);\n\n            // Get parent key name.\n            if (requireParent) {\n                ctxPrev = $.extend(true, {}, ctx);\n                parentKeyName = stripQuotes(_getParentKeyName(ctxPrev));\n            }\n\n            // Check if the key is followed by a colon, so we should not append colon again.\n            ctxNext = $.extend(true, {}, ctx);\n            TokenUtils.moveSkippingWhitespace(TokenUtils.moveNextToken, ctxNext);\n            if (ctxNext.token.type === null && ctxNext.token.string === ":") {\n                shouldReplace = true;\n            }\n\n            // Get an exclusion list of properties.\n            pos = $.extend({}, constPos);\n            exclusionList = _getExclusionList(editor, pos);\n\n            return _createContextInfo(ctx.token, TOKEN_KEY, offset, keyName, valueName, parentKeyName, null, exclusionList, shouldReplace);\n        } else if (ctx.token && (valueTokenTypes.indexOf(ctx.token.type) !== -1 ||\n                                (ctx.token.type === null && regexAllowedChars.test(ctx.token.string)))) {\n            // Boolean, String, Number and variable literal values.\n\n            // Disallow hints if cursor is out of the string.\n            if (ctx.token.type === "string" && /^[\'"]$/.test(ctx.token.string.substr(-1, 1)) &&\n                    ctx.token.string.length !== 1 && ctx.token.end === pos.ch) {\n                return null;\n            }\n            valueName = ctx.token.string;\n\n            // Check the current token\n            if (ctx.token.type === null) {\n                if (ctx.token.string === ":") {\n                    hasColon = true;\n                } else if (ctx.token.string === ",") {\n                    hasComma = true;\n                } else if (ctx.token.string === "[") {\n                    hasBracket = true;\n                }\n            }\n\n            // move context back and find corresponding key name.\n            ctxPrev = $.extend(true, {}, ctx);\n            while (TokenUtils.moveSkippingWhitespace(TokenUtils.movePrevToken, ctxPrev)) {\n                if (ctxPrev.token.type === "string property") {\n                    keyName = stripQuotes(ctxPrev.token.string);\n                    break;\n                } else if (ctxPrev.token.type === null) {\n                    if (ctxPrev.token.string === ":") {\n                        hasColon = true;\n                    } else if (ctxPrev.token.string === ",") {\n                        hasComma = true;\n                    } else if (ctxPrev.token.string === "[") {\n                        hasBracket = true;\n                    } else {\n                        return null;\n                    }\n                } else if (!hasComma) {\n                    return null;\n                }\n            }\n\n            // If no key name or colon found OR\n            // If we have a comma but no opening bracket, return null.\n            if ((!keyName || !hasColon) || (hasComma && !hasBracket)) {\n                return null;\n            } else {\n                isArray = hasBracket;\n            }\n\n            // Get parent key name.\n            if (requireParent) {\n                ctxPrev = $.extend(true, {}, ctx);\n                parentKeyName = stripQuotes(_getParentKeyName(ctxPrev));\n            }\n\n            // Check if we can replace the next token of a value.\n            ctxNext = $.extend(true, {}, ctx);\n            TokenUtils.moveNextToken(ctxNext);\n            if (requireNextToken && valueTokenTypes.indexOf(ctxNext.token.type) !== -1) {\n                shouldReplace = true;\n            }\n\n            return _createContextInfo((shouldReplace) ? ctxNext.token : ctx.token, TOKEN_VALUE, offset, keyName, valueName, parentKeyName, isArray, null, shouldReplace);\n        }\n\n        return null;\n    }\n\n    // Expose public API.\n    exports.TOKEN_KEY           = TOKEN_KEY;\n    exports.TOKEN_VALUE         = TOKEN_VALUE;\n    exports.regexAllowedChars   = regexAllowedChars;\n    exports.getContextInfo      = getContextInfo;\n    exports.stripQuotes         = stripQuotes;\n});\n\n//# sourceURL=/language/JSONUtils.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Defines a ChangedDocumentTracker class to monitor changes to files in the current project.\n */\ndefine(\'document/ChangedDocumentTracker\',[\'require\',\'exports\',\'module\',\'document/DocumentManager\',\'project/ProjectManager\'],function (require, exports, module) {\n    "use strict";\n\n    var DocumentManager = require("document/DocumentManager"),\n        ProjectManager  = require("project/ProjectManager");\n\n    /**\n     * Tracks "change" events on opened Documents. Used to monitor changes\n     * to documents in-memory and update caches. Assumes all documents have\n     * changed when the Brackets window loses and regains focus. Does not\n     * read timestamps of files on disk. Clients may optionally track file\n     * timestamps on disk independently.\n     * @constructor\n     */\n    function ChangedDocumentTracker() {\n        var self = this;\n\n        this._changedPaths = {};\n        this._windowFocus = true;\n        this._addListener = this._addListener.bind(this);\n        this._removeListener = this._removeListener.bind(this);\n        this._onChange = this._onChange.bind(this);\n        this._onWindowFocus = this._onWindowFocus.bind(this);\n\n        DocumentManager.on("afterDocumentCreate", function (event, doc) {\n            // Only track documents in the current project\n            if (ProjectManager.isWithinProject(doc.file.fullPath)) {\n                self._addListener(doc);\n            }\n        });\n\n        DocumentManager.on("beforeDocumentDelete", function (event, doc) {\n            // In case a document somehow remains loaded after its project\n            // has been closed, unconditionally attempt to remove the listener.\n            self._removeListener(doc);\n        });\n\n        $(window).focus(this._onWindowFocus);\n    }\n\n    /**\n     * @private\n     * Assumes all files are changed when the window loses and regains focus.\n     */\n    ChangedDocumentTracker.prototype._addListener = function (doc) {\n        doc.on("change", this._onChange);\n    };\n\n    /**\n     * @private\n     */\n    ChangedDocumentTracker.prototype._removeListener = function (doc) {\n        doc.off("change", this._onChange);\n    };\n\n    /**\n     * @private\n     * Assumes all files are changed when the window loses and regains focus.\n     */\n    ChangedDocumentTracker.prototype._onWindowFocus = function (event, doc) {\n        this._windowFocus = true;\n    };\n\n    /**\n     * @private\n     * Tracks changed documents.\n     */\n    ChangedDocumentTracker.prototype._onChange = function (event, doc) {\n        // if it was already changed, and the client hasn\'t reset the tracker,\n        // then leave it changed.\n        this._changedPaths[doc.file.fullPath] = true;\n    };\n\n    /**\n     * Empty the set of dirty paths. Begin tracking new dirty documents.\n     */\n    ChangedDocumentTracker.prototype.reset = function () {\n        this._changedPaths = {};\n        this._windowFocus = false;\n    };\n\n    /**\n     * Check if a file path is dirty.\n     * @param {!string} file path\n     * @return {!boolean} Returns true if the file was dirtied since the last reset.\n     */\n    ChangedDocumentTracker.prototype.isPathChanged = function (path) {\n        return this._windowFocus || this._changedPaths[path];\n    };\n\n    /**\n     * Get the set of changed paths since the last reset.\n     * @return {Array.<string>} Changed file paths\n     */\n    ChangedDocumentTracker.prototype.getChangedPaths = function () {\n        return $.makeArray(this._changedPaths);\n    };\n\n    module.exports = ChangedDocumentTracker;\n});\n\n//# sourceURL=/document/ChangedDocumentTracker.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Text-editing commands that apply to whichever Editor is currently focused\n */\ndefine(\'editor/EditorCommandHandlers\',[\'require\',\'exports\',\'module\',\'command/Commands\',\'strings\',\'editor/Editor\',\'command/CommandManager\',\'editor/EditorManager\',\'utils/StringUtils\',\'utils/TokenUtils\',\'thirdparty/CodeMirror/lib/codemirror\',\'thirdparty/lodash\'],function (require, exports, module) {\n    "use strict";\n\n    // Load dependent modules\n    var Commands           = require("command/Commands"),\n        Strings            = require("strings"),\n        Editor              = require("editor/Editor").Editor,\n        CommandManager     = require("command/CommandManager"),\n        EditorManager      = require("editor/EditorManager"),\n        StringUtils        = require("utils/StringUtils"),\n        TokenUtils         = require("utils/TokenUtils"),\n        CodeMirror         = require("thirdparty/CodeMirror/lib/codemirror"),\n        _                  = require("thirdparty/lodash");\n\n    /**\n     * List of constants\n     */\n    var DIRECTION_UP    = -1;\n    var DIRECTION_DOWN  = +1;\n\n    /**\n     * @private\n     * Creates special regular expressions that matches the line prefix but not the block prefix or suffix\n     * @param {!string} lineSyntax  a line comment prefix\n     * @param {!string} blockSyntax  a block comment prefix or suffix\n     * @return {RegExp}\n     */\n    function _createSpecialLineExp(lineSyntax, blockSyntax) {\n        var i, character, escapedCharacter,\n            subExps   = [],\n            prevChars = "";\n\n        for (i = lineSyntax.length; i < blockSyntax.length; i++) {\n            character = blockSyntax.charAt(i);\n            escapedCharacter = StringUtils.regexEscape(character);\n            subExps.push(prevChars + "[^" + escapedCharacter + "]");\n            if (prevChars) {\n                subExps.push(prevChars + "$");\n            }\n            prevChars += escapedCharacter;\n        }\n        return new RegExp("^\\\\s*" + StringUtils.regexEscape(lineSyntax) + "($|" + subExps.join("|") + ")");\n    }\n\n    /**\n     * @private\n     * Creates regular expressions for multiple line comment prefixes\n     * @param {!Array.<string>} prefixes  the line comment prefixes\n     * @param {string=} blockPrefix  the block comment prefix\n     * @param {string=} blockSuffix  the block comment suffix\n     * @return {Array.<RegExp>}\n     */\n    function _createLineExpressions(prefixes, blockPrefix, blockSuffix) {\n        var lineExp = [], escapedPrefix, nothingPushed;\n\n        prefixes.forEach(function (prefix) {\n            escapedPrefix = StringUtils.regexEscape(prefix);\n            nothingPushed = true;\n\n            if (blockPrefix && blockPrefix.indexOf(prefix) === 0) {\n                lineExp.push(_createSpecialLineExp(prefix, blockPrefix));\n                nothingPushed = false;\n            }\n            if (blockSuffix && blockPrefix !== blockSuffix && blockSuffix.indexOf(prefix) === 0) {\n                lineExp.push(_createSpecialLineExp(prefix, blockSuffix));\n                nothingPushed = false;\n            }\n            if (nothingPushed) {\n                lineExp.push(new RegExp("^\\\\s*" + escapedPrefix));\n            }\n        });\n        return lineExp;\n    }\n\n    /**\n     * @private\n     * Returns true if any regular expression matches the given string\n     * @param {!string} string  where to look\n     * @param {!Array.<RegExp>} expressions  what to look\n     * @return {boolean}\n     */\n    function _matchExpressions(string, expressions) {\n        return expressions.some(function (exp) {\n            return string.match(exp);\n        });\n    }\n\n    /**\n     * @private\n     * Returns the line comment prefix that best matches the string. Since there might be line comment prefixes\n     * that are prefixes of other line comment prefixes, it searches through all and returns the longest line\n     * comment prefix that matches the string.\n     * @param {!string} string  where to look\n     * @param {!Array.<RegExp>} expressions  the line comment regular expressions\n     * @param {!Array.<string>} prefixes  the line comment prefixes\n     * @return {string}\n     */\n    function _getLinePrefix(string, expressions, prefixes) {\n        var result = null;\n        expressions.forEach(function (exp, index) {\n            if (string.match(exp) && ((result && result.length < prefixes[index].length) || !result)) {\n                result = prefixes[index];\n            }\n        });\n        return result;\n    }\n\n    /**\n     * @private\n     * Searches between startLine and endLine to check if there is at least one line commented with a line comment, and\n     * skips all the block comments.\n     * @param {!Editor} editor\n     * @param {!number} startLine  valid line inside the document\n     * @param {!number} endLine  valid line inside the document\n     * @param {!Array.<RegExp>} lineExp  an array of line comment prefixes regular expressions\n     * @return {boolean} true if there is at least one uncommented line\n     */\n    function _containsNotLineComment(editor, startLine, endLine, lineExp) {\n        var i, line,\n            containsNotLineComment = false;\n\n        for (i = startLine; i <= endLine; i++) {\n            line = editor.document.getLine(i);\n            // A line is commented out if it starts with 0-N whitespace chars, then a line comment prefix\n            if (line.match(/\\S/) && !_matchExpressions(line, lineExp)) {\n                containsNotLineComment = true;\n                break;\n            }\n        }\n        return containsNotLineComment;\n    }\n\n    /**\n     * @private\n     * Generates an edit that adds or removes line-comment tokens to all the lines in the selected range,\n     * preserving selection and cursor position. Applies to currently focused Editor. The given selection\n     * must already be a line selection in the form returned by `Editor.convertToLineSelections()`.\n     *\n     * If all non-whitespace lines are already commented out, then we uncomment; otherwise we comment\n     * out. Commenting out adds the prefix at column 0 of every line. Uncommenting removes the first prefix\n     * on each line (if any - empty lines might not have one).\n     *\n     * @param {!Editor} editor\n     * @param {!Array.<string>} prefixes, e.g. ["//"]\n     * @param {string=} blockPrefix, e.g. "<!--"\n     * @param {string=} blockSuffix, e.g. "-->"\n     * @param {!Editor} editor The editor to edit within.\n     * @param {!{selectionForEdit: {start:{line:number, ch:number}, end:{line:number, ch:number}, reversed:boolean, primary:boolean},\n     *           selectionsToTrack: Array.<{start:{line:number, ch:number}, end:{line:number, ch:number}, reversed:boolean, primary:boolean}>}}\n     *      lineSel A line selection as returned from `Editor.convertToLineSelections()`. `selectionForEdit` is the selection to perform\n     *      the line comment operation on, and `selectionsToTrack` are a set of selections associated with this line that need to be\n     *      tracked through the edit.\n     * @return {{edit: {text: string, start:{line: number, ch: number}, end:?{line: number, ch: number}}|Array.<{text: string, start:{line: number, ch: number}, end:?{line: number, ch: number}}>,\n     *                  selection: {start:{line:number, ch:number}, end:{line:number, ch:number}, primary:boolean, reversed: boolean, isBeforeEdit: boolean}>}|\n     *                  Array.<{start:{line:number, ch:number}, end:{line:number, ch:number}, primary:boolean, reversed: boolean, isBeforeEdit: boolean}>}}\n     *      An edit description suitable for including in the edits array passed to `Document.doMultipleEdits()`.\n     */\n    function _getLineCommentPrefixEdit(editor, prefixes, blockPrefix, blockSuffix, lineSel) {\n        var doc         = editor.document,\n            sel         = lineSel.selectionForEdit,\n            trackedSels = lineSel.selectionsToTrack,\n            lineExp     = _createLineExpressions(prefixes, blockPrefix, blockSuffix),\n            startLine   = sel.start.line,\n            endLine     = sel.end.line,\n            editGroup   = [];\n\n        // In full-line selection, cursor pos is start of next line - but don\'t want to modify that line\n        if (sel.end.ch === 0) {\n            endLine--;\n        }\n\n        // Decide if we\'re commenting vs. un-commenting\n        // Are there any non-blank lines that aren\'t commented out? (We ignore blank lines because\n        // some editors like Sublime don\'t comment them out)\n        var i, line, prefix, commentI,\n            containsNotLineComment = _containsNotLineComment(editor, startLine, endLine, lineExp);\n\n        if (containsNotLineComment) {\n            // Comment out - prepend the first prefix to each line\n            line = doc.getLine(startLine);\n            var originalCursorPosition = line.search(/\\S|$/);\n            \n            var firstCharPosition, cursorPosition = originalCursorPosition;\n            \n            for (i = startLine; i <= endLine; i++) {\n                //check if preference for indent line comment is available otherwise go back to default indentation\n                if (Editor.getIndentLineComment()) {\n                    //ignore the first line and recalculate cursor position for first non white space char of every line\n                    if (i !== startLine) {\n                        line = doc.getLine(i);\n                        firstCharPosition = line.search(/\\S|$/);\n                    }\n                    //if the non space first character position is before original start position , put comment at the new position otherwise older pos\n                    if (firstCharPosition < originalCursorPosition) {\n                        cursorPosition = firstCharPosition;\n                    } else {\n                        cursorPosition = originalCursorPosition;\n                    }\n                    \n                    editGroup.push({text: prefixes[0], start: {line: i, ch: cursorPosition}});\n                } else {\n                    editGroup.push({text: prefixes[0], start: {line: i, ch: 0}});\n                }\n            }\n\n            // Make sure tracked selections include the prefix that was added at start of range\n            _.each(trackedSels, function (trackedSel) {\n                if (trackedSel.start.ch === 0 && CodeMirror.cmpPos(trackedSel.start, trackedSel.end) !== 0) {\n                    trackedSel.start = {line: trackedSel.start.line, ch: 0};\n                    trackedSel.end = {line: trackedSel.end.line, ch: (trackedSel.end.line === endLine ? trackedSel.end.ch + prefixes[0].length : 0)};\n                } else {\n                    trackedSel.isBeforeEdit = true;\n                }\n            });\n        } else {\n            // Uncomment - remove the prefix on each line (if any)\n            for (i = startLine; i <= endLine; i++) {\n                line   = doc.getLine(i);\n                prefix = _getLinePrefix(line, lineExp, prefixes);\n\n                if (prefix) {\n                    commentI = line.indexOf(prefix);\n                    editGroup.push({text: "", start: {line: i, ch: commentI}, end: {line: i, ch: commentI + prefix.length}});\n                }\n            }\n            _.each(trackedSels, function (trackedSel) {\n                trackedSel.isBeforeEdit = true;\n            });\n        }\n        return {edit: editGroup, selection: trackedSels};\n    }\n\n    /**\n     * @private\n     * Given a token context it will search backwards to determine if the given token is part of a block comment\n     * that doesn\'t start at the initial token. This is used to know if a line comment is part of a block comment\n     * or if a block delimiter is the prefix or suffix, by passing a token context at that position. Since the\n     * token context will be moved backwards a lot, it is better to pass a new context.\n     *\n     * @param {!{editor:{CodeMirror}, pos:{ch:{number}, line:{number}}, token:{object}}} ctx  token context\n     * @param {!string} prefix  the block comment prefix\n     * @param {!string} suffix  the block comment suffix\n     * @param {!RegExp} prefixExp  a block comment prefix regular expression\n     * @param {!RegExp} suffixExp  a block comment suffix regular expression\n     * @param {!Array.<RegExp>} lineExp  an array of line comment prefixes regular expressions\n     * @return {boolean}\n     */\n    function _isPrevTokenABlockComment(ctx, prefix, suffix, prefixExp, suffixExp, lineExp) {\n        // Start searching from the previous token\n        var result = TokenUtils.moveSkippingWhitespace(TokenUtils.movePrevToken, ctx);\n\n        // Look backwards until we find a none line comment token\n        while (result && _matchExpressions(ctx.token.string, lineExp)) {\n            result = TokenUtils.moveSkippingWhitespace(TokenUtils.movePrevToken, ctx);\n        }\n\n        // If we are now in a block comment token\n        if (result && ctx.token.type === "comment") {\n            // If it doesnt matches either prefix or suffix, we know is a block comment\n            if (!ctx.token.string.match(prefixExp) && !ctx.token.string.match(suffixExp)) {\n                return true;\n            // We found a line with just a block comment delimiter, but we can\'t tell which one it is, so we will\n            // keep searching recursively and return the opposite value\n            } else if (prefix === suffix && ctx.token.string.length === prefix.length) {\n                return !_isPrevTokenABlockComment(ctx, prefix, suffix, prefixExp, suffixExp, lineExp);\n            // We can just now the result by checking if the string matches the prefix\n            } else {\n                return ctx.token.string.match(prefixExp);\n            }\n        }\n        return false;\n    }\n\n\n    /**\n     * Generates an edit that adds or removes block-comment tokens to the selection, preserving selection\n     * and cursor position. Applies to the currently focused Editor.\n     *\n     * If the selection is inside a block-comment or one block-comment is inside or partially inside the selection\n     * it will uncomment, otherwise it will comment out, unless if there are multiple block comments inside the selection,\n     * where it does nothing.\n     * Commenting out adds the prefix before the selection and the suffix after.\n     * Uncommenting removes them.\n     *\n     * If all the lines inside the selection are line-comment and if the selection is not inside a block-comment, it will\n     * line uncomment all the lines, otherwise it will block comment/uncomment. In the first case, we return null to\n     * indicate to the caller that it needs to handle this selection as a line comment.\n     *\n     * @param {!Editor} editor\n     * @param {!string} prefix, e.g. "<!--"\n     * @param {!string} suffix, e.g. "-->"\n     * @param {!Array.<string>} linePrefixes, e.g. ["//"]\n     * @param {!{start:{line:number, ch:number}, end:{line:number, ch:number}, reversed:boolean, primary:boolean}} sel\n     *      The selection to block comment/uncomment.\n     * @param {?Array.<{!{start:{line:number, ch:number}, end:{line:number, ch:number}, reversed:boolean, primary:boolean}}>} selectionsToTrack\n     *      An array of selections that should be tracked through this edit.\n     * @return {{edit: {text: string, start:{line: number, ch: number}, end:?{line: number, ch: number}}|Array.<{text: string, start:{line: number, ch: number}, end:?{line: number, ch: number}}>,\n     *                  selection: {start:{line:number, ch:number}, end:{line:number, ch:number}, primary:boolean, reversed: boolean, isBeforeEdit: boolean}>}|\n     *                  Array.<{start:{line:number, ch:number}, end:{line:number, ch:number}, primary:boolean, reversed: boolean, isBeforeEdit: boolean}>}}\n     *      An edit description suitable for including in the edits array passed to `Document.doMultipleEdits()`.\n     */\n    function _getBlockCommentPrefixSuffixEdit(editor, prefix, suffix, linePrefixes, sel, selectionsToTrack) {\n        var doc            = editor.document,\n            ctx            = TokenUtils.getInitialContext(editor._codeMirror, {line: sel.start.line, ch: sel.start.ch}),\n            selEndIndex    = editor.indexFromPos(sel.end),\n            lineExp        = _createLineExpressions(linePrefixes, prefix, suffix),\n            prefixExp      = new RegExp("^" + StringUtils.regexEscape(prefix), "g"),\n            suffixExp      = new RegExp(StringUtils.regexEscape(suffix) + "$", "g"),\n            prefixPos      = null,\n            suffixPos      = null,\n            commentAtStart = true,\n            isBlockComment = false,\n            canComment     = false,\n            invalidComment = false,\n            lineUncomment  = false,\n            result         = true,\n            editGroup      = [],\n            edit;\n\n        var searchCtx, atSuffix, suffixEnd, initialPos, endLine;\n\n        if (!selectionsToTrack) {\n            // Track the original selection.\n            selectionsToTrack = [_.cloneDeep(sel)];\n        }\n\n        // First move the context to the first none white-space token\n        if (!ctx.token.type && !/\\S/.test(ctx.token.string)) {\n            result = TokenUtils.moveSkippingWhitespace(TokenUtils.moveNextToken, ctx);\n        }\n\n        // Next, move forwards until we find a comment inside the selection\n        while (result && ctx.token.type !== "comment") {\n            result = TokenUtils.moveSkippingWhitespace(TokenUtils.moveNextToken, ctx) && editor.indexFromPos(ctx.pos) <= selEndIndex;\n            commentAtStart = false;\n        }\n\n        // We are now in a comment, lets check if it is a block or a line comment\n        if (result && ctx.token.type === "comment") {\n            // This token might be at a line comment, but we can\'t be sure yet\n            if (_matchExpressions(ctx.token.string, lineExp)) {\n                // If the token starts at ch 0 with no starting white spaces, then this might be a block comment or a line\n                // comment over the whole line, and if we found this comment at the start of the selection, we need to search\n                // backwards until we get can tell if we are in a block or a line comment\n                if (ctx.token.start === 0 && !ctx.token.string.match(/^\\\\s*/) && commentAtStart) {\n                    searchCtx      = TokenUtils.getInitialContext(editor._codeMirror, {line: ctx.pos.line, ch: ctx.token.start});\n                    isBlockComment = _isPrevTokenABlockComment(searchCtx, prefix, suffix, prefixExp, suffixExp, lineExp);\n\n                // If not, we already know that is a line comment\n                } else {\n                    isBlockComment = false;\n                }\n\n            // If it was not a line comment, it has to be a block comment\n            } else {\n                isBlockComment = true;\n\n                // If we are in a line that only has a prefix or a suffix and the prefix and suffix are the same string,\n                // lets find first if this is a prefix or suffix and move the context position to the inside of the block comment.\n                // This means that the token will be anywere inside the block comment, including the lines with the delimiters.\n                // This is required so that later we can find the prefix by moving backwards and the suffix by moving forwards.\n                if (ctx.token.string === prefix && prefix === suffix) {\n                    searchCtx = TokenUtils.getInitialContext(editor._codeMirror, {line: ctx.pos.line, ch: ctx.token.start});\n                    atSuffix  = _isPrevTokenABlockComment(searchCtx, prefix, suffix, prefixExp, suffixExp, lineExp);\n                    if (atSuffix) {\n                        TokenUtils.moveSkippingWhitespace(TokenUtils.movePrevToken, ctx);\n                    } else {\n                        TokenUtils.moveSkippingWhitespace(TokenUtils.moveNextToken, ctx);\n                    }\n                }\n            }\n\n            if (isBlockComment) {\n                // Save the initial position to start searching for the suffix from here\n                initialPos = _.cloneDeep(ctx.pos);\n\n                // Find the position of the start of the prefix\n                result = true;\n                while (result && !ctx.token.string.match(prefixExp)) {\n                    result = TokenUtils.moveSkippingWhitespace(TokenUtils.movePrevToken, ctx);\n                }\n                prefixPos = result && {line: ctx.pos.line, ch: ctx.token.start};\n\n                // Restore the context at the initial position to find the position of the start of the suffix,\n                // but only when we found the prefix alone in one line\n                if (ctx.token.string === prefix && prefix === suffix) {\n                    ctx = TokenUtils.getInitialContext(editor._codeMirror, _.cloneDeep(initialPos));\n                }\n\n                while (result && !ctx.token.string.match(suffixExp)) {\n                    result = TokenUtils.moveSkippingWhitespace(TokenUtils.moveNextToken, ctx);\n                }\n                suffixPos = result && {line: ctx.pos.line, ch: ctx.token.end - suffix.length};\n\n                // Lets check if there are more comments in the selection. We do nothing if there is one\n                do {\n                    result = TokenUtils.moveSkippingWhitespace(TokenUtils.moveNextToken, ctx) &&\n                        editor.indexFromPos(ctx.pos) <= selEndIndex;\n                } while (result && !ctx.token.string.match(prefixExp));\n                invalidComment = result && !!ctx.token.string.match(prefixExp);\n\n                // Make sure we didn\'t search so far backward or forward that we actually found a block comment\n                // that\'s entirely before or after the selection.\n                suffixEnd = suffixPos && { line: suffixPos.line, ch: suffixPos.ch + suffix.length };\n                if ((suffixEnd && CodeMirror.cmpPos(sel.start, suffixEnd) > 0) || (prefixPos && CodeMirror.cmpPos(sel.end, prefixPos) < 0)) {\n                    canComment = true;\n                }\n\n            } else {\n                // In full-line selection, cursor pos is at the start of next line - but don\'t want to modify that line\n                endLine = sel.end.line;\n                if (sel.end.ch === 0 && editor.hasSelection()) {\n                    endLine--;\n                }\n                // Find if all the lines are line-commented.\n                if (!_containsNotLineComment(editor, sel.start.line, endLine, lineExp)) {\n                    lineUncomment = true;\n                } else {\n                    canComment = true;\n                }\n            }\n        // If not, we can comment\n        } else {\n            canComment = true;\n        }\n\n\n        // Make the edit\n        if (invalidComment) {\n            // We don\'t want to do an edit, but we still want to track selections associated with it.\n            edit = {edit: [], selection: selectionsToTrack};\n\n        } else if (lineUncomment) {\n            // Return a null edit. This is a signal to the caller that we should delegate to the\n            // line commenting code. We don\'t want to just generate the edit here, because the edit\n            // might need to be coalesced with other line-uncomment edits generated by cursors on the\n            // same line.\n            edit = null;\n\n        } else {\n            // Comment out - add the suffix to the start and the prefix to the end.\n            if (canComment) {\n                var completeLineSel = sel.start.ch === 0 && sel.end.ch === 0 && sel.start.line < sel.end.line;\n                if (completeLineSel) {\n                    editGroup.push({text: suffix + "\\n", start: sel.end});\n                    editGroup.push({text: prefix + "\\n", start: sel.start});\n                } else {\n                    editGroup.push({text: suffix, start: sel.end});\n                    editGroup.push({text: prefix, start: sel.start});\n                }\n\n                // Correct the tracked selections. We can\'t just use the default selection fixup,\n                // because it will push the end of the selection past the inserted content. Also,\n                // it\'s possible that we have to deal with tracked selections that might be outside\n                // the bounds of the edit.\n                _.each(selectionsToTrack, function (trackedSel) {\n                    function updatePosForEdit(pos) {\n                        // First adjust for the suffix insertion. Don\'t adjust\n                        // positions that are exactly at the suffix insertion point.\n                        if (CodeMirror.cmpPos(pos, sel.end) > 0) {\n                            if (completeLineSel) {\n                                pos.line++;\n                            } else if (pos.line === sel.end.line) {\n                                pos.ch += suffix.length;\n                            }\n                        }\n                        // Now adjust for the prefix insertion. In this case, we do\n                        // want to adjust positions that are exactly at the insertion\n                        // point.\n                        if (CodeMirror.cmpPos(pos, sel.start) >= 0) {\n                            if (completeLineSel) {\n                                // Just move the line down.\n                                pos.line++;\n                            } else if (pos.line === sel.start.line) {\n                                pos.ch += prefix.length;\n                            }\n                        }\n                    }\n\n                    updatePosForEdit(trackedSel.start);\n                    updatePosForEdit(trackedSel.end);\n                });\n\n            // Uncomment - remove prefix and suffix.\n            } else {\n                // Find if the prefix and suffix are at the ch 0 and if they are the only thing in the line.\n                // If both are found we assume that a complete line selection comment added new lines, so we remove them.\n                var line          = doc.getLine(prefixPos.line).trim(),\n                    prefixAtStart = prefixPos.ch === 0 && prefix.length === line.length,\n                    suffixAtStart = false;\n\n                if (suffixPos) {\n                    line = doc.getLine(suffixPos.line).trim();\n                    suffixAtStart = suffixPos.ch === 0 && suffix.length === line.length;\n                }\n\n                // Remove the suffix if there is one\n                if (suffixPos) {\n                    if (prefixAtStart && suffixAtStart) {\n                        editGroup.push({text: "", start: suffixPos, end: {line: suffixPos.line + 1, ch: 0}});\n                    } else {\n                        editGroup.push({text: "", start: suffixPos, end: {line: suffixPos.line, ch: suffixPos.ch + suffix.length}});\n                    }\n                }\n\n                // Remove the prefix\n                if (prefixAtStart && suffixAtStart) {\n                    editGroup.push({text: "", start: prefixPos, end: {line: prefixPos.line + 1, ch: 0}});\n                } else {\n                    editGroup.push({text: "", start: prefixPos, end: {line: prefixPos.line, ch: prefixPos.ch + prefix.length}});\n                }\n\n                // Don\'t fix up the tracked selections here - let the edit fix them up.\n                _.each(selectionsToTrack, function (trackedSel) {\n                    trackedSel.isBeforeEdit = true;\n                });\n            }\n\n            edit = {edit: editGroup, selection: selectionsToTrack};\n        }\n\n        return edit;\n    }\n\n\n    /**\n     * Generates an edit that adds or removes block-comment tokens to the selection, preserving selection\n     * and cursor position. Applies to the currently focused Editor. The selection must already be a\n     * line selection in the form returned by `Editor.convertToLineSelections()`.\n     *\n     * The implementation uses blockCommentPrefixSuffix, with the exception of the case where\n     * there is no selection on a uncommented and not empty line. In this case the whole lines gets\n     * commented in a block-comment.\n     *\n     * @param {!Editor} editor\n     * @param {!String} prefix\n     * @param {!String} suffix\n     * @param {!{selectionForEdit: {start:{line:number, ch:number}, end:{line:number, ch:number}, reversed:boolean, primary:boolean},\n     *           selectionsToTrack: Array.<{start:{line:number, ch:number}, end:{line:number, ch:number}, reversed:boolean, primary:boolean}>}}\n     *      lineSel A line selection as returned from `Editor.convertToLineSelections()`. `selectionForEdit` is the selection to perform\n     *      the line comment operation on, and `selectionsToTrack` are a set of selections associated with this line that need to be\n     *      tracked through the edit.\n     * @return {{edit: {text: string, start:{line: number, ch: number}, end:?{line: number, ch: number}}|Array.<{text: string, start:{line: number, ch: number}, end:?{line: number, ch: number}}>,\n     *                  selection: {start:{line:number, ch:number}, end:{line:number, ch:number}, primary:boolean, reversed: boolean, isBeforeEdit: boolean}>}|\n     *                  Array.<{start:{line:number, ch:number}, end:{line:number, ch:number}, primary:boolean, reversed: boolean, isBeforeEdit: boolean}>}}\n     *      An edit description suitable for including in the edits array passed to `Document.doMultipleEdits()`.\n     */\n    function _getLineCommentPrefixSuffixEdit(editor, prefix, suffix, lineSel) {\n        var sel = lineSel.selectionForEdit;\n\n        // For one-line selections, we shrink the selection to exclude the trailing newline.\n        if (sel.end.line === sel.start.line + 1 && sel.end.ch === 0) {\n            sel.end = {line: sel.start.line, ch: editor.document.getLine(sel.start.line).length};\n        }\n\n        // Now just run the standard block comment code, but make sure to track any associated selections\n        // that were subsumed into this line selection.\n        return _getBlockCommentPrefixSuffixEdit(editor, prefix, suffix, [], sel, lineSel.selectionsToTrack);\n    }\n\n    /**\n     * @private\n     * Generates an array of edits for toggling line comments on the given selections.\n     *\n     * @param {!Editor} editor The editor to edit within.\n     * @param {Array.<{start:{line:number, ch:number}, end:{line:number, ch:number}, primary:boolean, reversed: boolean, isBeforeEdit: boolean}>}\n     *      selections The selections we want to line-comment.\n     * @return {Array.<{edit: {text: string, start:{line: number, ch: number}, end:?{line: number, ch: number}}|Array.<{text: string, start:{line: number, ch: number}, end:?{line: number, ch: number}}>,\n     *                  selection: {start:{line:number, ch:number}, end:{line:number, ch:number}, primary:boolean, reversed: boolean, isBeforeEdit: boolean}>}|\n     *                  Array.<{start:{line:number, ch:number}, end:{line:number, ch:number}, primary:boolean, reversed: boolean, isBeforeEdit: boolean}>}>}\n     *      An array of edit descriptions suitable for including in the edits array passed to `Document.doMultipleEdits()`.\n     */\n    function _getLineCommentEdits(editor, selections) {\n        // We need to expand line selections in order to coalesce cursors on the same line, but we\n        // don\'t want to merge adjacent line selections.\n        var lineSelections = editor.convertToLineSelections(selections, { mergeAdjacent: false }),\n            edits = [];\n        _.each(lineSelections, function (lineSel) {\n            var sel = lineSel.selectionForEdit,\n                mode = editor.getModeForRange(sel.start, sel.end),\n                edit;\n            if (mode) {\n                var language = editor.document.getLanguage().getLanguageForMode(mode.name || mode);\n\n                if (language.hasLineCommentSyntax()) {\n                    edit = _getLineCommentPrefixEdit(editor, language.getLineCommentPrefixes(), language.getBlockCommentPrefix(), language.getBlockCommentSuffix(), lineSel);\n                } else if (language.hasBlockCommentSyntax()) {\n                    edit = _getLineCommentPrefixSuffixEdit(editor, language.getBlockCommentPrefix(), language.getBlockCommentSuffix(), lineSel);\n                }\n            }\n            if (!edit) {\n                // Even if we didn\'t want to do an edit, we still need to track the selection.\n                edit = {selection: lineSel.selectionsToTrack};\n            }\n            edits.push(edit);\n        });\n        return edits;\n    }\n\n    /**\n     * Invokes a language-specific line-comment/uncomment handler\n     * @param {?Editor} editor If unspecified, applies to the currently focused editor\n     */\n    function lineComment(editor) {\n        editor = editor || EditorManager.getFocusedEditor();\n        if (!editor) {\n            return;\n        }\n\n        editor.setSelections(editor.document.doMultipleEdits(_getLineCommentEdits(editor, editor.getSelections())));\n    }\n\n    /**\n     * Invokes a language-specific block-comment/uncomment handler\n     * @param {?Editor} editor If unspecified, applies to the currently focused editor\n     */\n    function blockComment(editor) {\n        editor = editor || EditorManager.getFocusedEditor();\n        if (!editor) {\n            return;\n        }\n\n        var edits = [],\n            lineCommentSels = [];\n        _.each(editor.getSelections(), function (sel) {\n            var mode = editor.getModeForRange(sel.start, sel.end),\n                edit = {edit: [], selection: [sel]}; // default edit in case we don\'t have a mode for this selection\n            if (mode) {\n                var language = editor.document.getLanguage().getLanguageForMode(mode.name || mode);\n\n                if (language.hasBlockCommentSyntax()) {\n                    // getLineCommentPrefixes always return an array, and will be empty if no line comment syntax is defined\n                    edit = _getBlockCommentPrefixSuffixEdit(editor, language.getBlockCommentPrefix(), language.getBlockCommentSuffix(),\n                                                            language.getLineCommentPrefixes(), sel);\n                    if (!edit) {\n                        // This is only null if the block comment code found that the selection is within a line-commented line.\n                        // Add this to the list of line-comment selections we need to handle. Since edit is null, we\'ll skip\n                        // pushing anything onto the edit list for this selection.\n                        lineCommentSels.push(sel);\n                    }\n                }\n            }\n            if (edit) {\n                edits.push(edit);\n            }\n        });\n\n        // Handle any line-comment edits. It\'s okay if these are out-of-order with the other edits, since\n        // they shouldn\'t overlap, and `doMultipleEdits()` will take care of sorting the edits so the\n        // selections can be tracked appropriately.\n        edits.push.apply(edits, _getLineCommentEdits(editor, lineCommentSels));\n\n        editor.setSelections(editor.document.doMultipleEdits(edits));\n    }\n\n    /**\n     * Duplicates the selected text, or current line if no selection. The cursor/selection is left\n     * on the second copy.\n     */\n    function duplicateText(editor) {\n        editor = editor || EditorManager.getFocusedEditor();\n        if (!editor) {\n            return;\n        }\n\n        var selections = editor.getSelections(),\n            delimiter = "",\n            edits = [],\n            rangeSels = [],\n            cursorSels = [],\n            doc = editor.document;\n\n        // When there are multiple selections, we want to handle all the cursors first (duplicating\n        // their lines), then all the ranges (duplicating the ranges).\n        _.each(selections, function (sel) {\n            if (CodeMirror.cmpPos(sel.start, sel.end) === 0) {\n                cursorSels.push(sel);\n            } else {\n                rangeSels.push(sel);\n            }\n        });\n\n        var cursorLineSels = editor.convertToLineSelections(cursorSels);\n        _.each(cursorLineSels, function (lineSel, index) {\n            var sel = lineSel.selectionForEdit;\n            if (sel.end.line === editor.lineCount()) {\n                delimiter = "\\n";\n            }\n            // Don\'t need to explicitly track selections since we are doing the edits in such a way that\n            // the existing selections will get appropriately updated.\n            edits.push({edit: {text: doc.getRange(sel.start, sel.end) + delimiter, start: sel.start }});\n        });\n        _.each(rangeSels, function (sel) {\n            edits.push({edit: {text: doc.getRange(sel.start, sel.end), start: sel.start }});\n        });\n\n        doc.doMultipleEdits(edits);\n    }\n\n    /**\n     * Deletes the current line if there is no selection or the lines for the selection\n     * (removing the end of line too)\n     */\n    function deleteCurrentLines(editor) {\n        editor = editor || EditorManager.getFocusedEditor();\n        if (!editor) {\n            return;\n        }\n\n        // Walk the selections, calculating the deletion edits we need to do as we go;\n        // document.doMultipleEdits() will take care of adjusting the edit locations when\n        // it actually performs the edits.\n        var doc = editor.document,\n            from,\n            to,\n            lineSelections = editor.convertToLineSelections(editor.getSelections()),\n            edits = [];\n\n        _.each(lineSelections, function (lineSel, index) {\n            var sel = lineSel.selectionForEdit;\n\n            from = sel.start;\n            to = sel.end; // this is already at the beginning of the line after the last selected line\n            if (to.line === editor.getLastVisibleLine() + 1) {\n                // Instead of deleting the newline after the last line, delete the newline\n                // before the beginning of the line--unless this is the entire visible content\n                // of the editor, in which case just delete the line content.\n                if (from.line > editor.getFirstVisibleLine()) {\n                    from.line -= 1;\n                    from.ch = doc.getLine(from.line).length;\n                }\n                to.line -= 1;\n                to.ch = doc.getLine(to.line).length;\n            }\n\n            // We don\'t need to track the original selections, since they\'ll get collapsed as\n            // part of the various deletions that occur.\n            edits.push({edit: {text: "", start: from, end: to}});\n        });\n        doc.doMultipleEdits(edits);\n    }\n\n    /**\n     * Moves the selected text, or current line if no selection. The cursor/selection\n     * moves with the line/lines.\n     * @param {Editor} editor - target editor\n     * @param {Number} direction - direction of the move (-1,+1) => (Up,Down)\n     */\n    function moveLine(editor, direction) {\n        editor = editor || EditorManager.getFocusedEditor();\n        if (!editor) {\n            return;\n        }\n\n        var doc             = editor.document,\n            lineSelections  = editor.convertToLineSelections(editor.getSelections()),\n            isInlineWidget  = !!EditorManager.getFocusedInlineWidget(),\n            firstLine       = editor.getFirstVisibleLine(),\n            lastLine        = editor.getLastVisibleLine(),\n            totalLines      = editor.lineCount(),\n            lineLength      = 0,\n            edits           = [],\n            newSels         = [],\n            pos             = {};\n\n        _.each(lineSelections, function (lineSel) {\n            var sel = lineSel.selectionForEdit,\n                editGroup = [];\n\n            // Make the move\n            switch (direction) {\n            case DIRECTION_UP:\n                if (sel.start.line !== firstLine) {\n                    var prevText = doc.getRange({ line: sel.start.line - 1, ch: 0 }, sel.start);\n\n                    if (sel.end.line === lastLine + 1) {\n                        if (isInlineWidget) {\n                            prevText   = prevText.substring(0, prevText.length - 1);\n                            lineLength = doc.getLine(sel.end.line - 1).length;\n                            editGroup.push({text: "\\n", start: { line: sel.end.line - 1, ch: lineLength }});\n                        } else {\n                            prevText = "\\n" + prevText.substring(0, prevText.length - 1);\n                        }\n                    }\n\n                    editGroup.push({text: "", start: { line: sel.start.line - 1, ch: 0 }, end: sel.start});\n                    editGroup.push({text: prevText, start: { line: sel.end.line - 1, ch: 0 }});\n\n                    // Make sure CodeMirror hasn\'t expanded the selection to include\n                    // the line we inserted below.\n                    _.each(lineSel.selectionsToTrack, function (originalSel) {\n                        originalSel.start.line--;\n                        originalSel.end.line--;\n                    });\n\n                    edits.push({edit: editGroup, selection: lineSel.selectionsToTrack});\n                }\n                break;\n            case DIRECTION_DOWN:\n                if (sel.end.line <= lastLine) {\n                    var nextText      = doc.getRange(sel.end, { line: sel.end.line + 1, ch: 0 }),\n                        deletionStart = sel.end;\n\n                    if (sel.end.line === lastLine) {\n                        if (isInlineWidget) {\n                            if (sel.end.line === totalLines - 1) {\n                                nextText += "\\n";\n                            }\n                            lineLength = doc.getLine(sel.end.line - 1).length;\n                            editGroup.push({text: "\\n", start: { line: sel.end.line, ch: doc.getLine(sel.end.line).length }});\n                        } else {\n                            nextText     += "\\n";\n                            deletionStart = { line: sel.end.line - 1, ch: doc.getLine(sel.end.line - 1).length };\n                        }\n                    }\n\n                    editGroup.push({text: "", start: deletionStart, end: { line: sel.end.line + 1, ch: 0 }});\n                    if (lineLength) {\n                        editGroup.push({text: "", start: { line: sel.end.line - 1, ch: lineLength }, end: { line: sel.end.line, ch: 0 }});\n                    }\n                    editGroup.push({text: nextText, start: { line: sel.start.line, ch: 0 }});\n\n                    // In this case, we don\'t need to track selections, because the edits are done in such a way that\n                    // the existing selections will automatically be updated properly by CodeMirror as it does the edits.\n                    edits.push({edit: editGroup});\n                }\n                break;\n            }\n        });\n\n        // Make sure selections are correct and primary selection is scrolled into view\n        if (edits.length) {\n            newSels = doc.doMultipleEdits(edits);\n\n            pos.ch = 0;\n\n            if (direction === DIRECTION_UP) {\n                editor.setSelections(newSels);\n                pos.line = editor.getSelection().start.line;\n            } else if (direction === DIRECTION_DOWN) {\n                pos.line = editor.getSelection().end.line;\n            } else {\n                console.error("EditorCommandHandler.moveLine() called with invalid argument \'direction\' = %d", direction);\n                pos = null;\n            }\n\n            editor._codeMirror.scrollIntoView(pos);\n        }\n    }\n\n    /**\n     * Moves the selected text, or current line if no selection, one line up. The cursor/selection\n     * moves with the line/lines.\n     */\n    function moveLineUp(editor) {\n        moveLine(editor, DIRECTION_UP);\n    }\n\n    /**\n     * Moves the selected text, or current line if no selection, one line down. The cursor/selection\n     * moves with the line/lines.\n     */\n    function moveLineDown(editor) {\n        moveLine(editor, DIRECTION_DOWN);\n    }\n\n    /**\n     * Inserts a new and smart indented line above/below the selected text, or current line if no selection.\n     * The cursor is moved in the new line.\n     * @param {Editor} editor - target editor\n     * @param {Number} direction - direction where to place the new line (-1,+1) => (Up,Down)\n     */\n    function openLine(editor, direction) {\n        editor = editor || EditorManager.getFocusedEditor();\n        if (!editor) {\n            return;\n        }\n\n        var selections     = editor.getSelections(),\n            isInlineWidget = !!EditorManager.getFocusedInlineWidget(),\n            lastLine       = editor.getLastVisibleLine(),\n            doc            = editor.document,\n            edits          = [],\n            newSelections,\n            line;\n\n        // First, insert all the newlines (skipping multiple selections on the same line),\n        // then indent them all. (We can\'t easily do them all at once, because doMultipleEdits()\n        // won\'t do the indentation for us, but we want its help tracking any selection changes\n        // as the result of the edits.)\n\n        // Note that we don\'t just use `editor.getLineSelections()` here because we don\'t actually want\n        // to coalesce adjacent selections - we just want to ignore dupes.\n\n        doc.batchOperation(function () {\n            _.each(selections, function (sel, index) {\n                if (index === 0 ||\n                        (direction === DIRECTION_UP && sel.start.line > selections[index - 1].start.line) ||\n                        (direction === DIRECTION_DOWN && sel.end.line > selections[index - 1].end.line)) {\n                    // Insert the new line\n                    switch (direction) {\n                    case DIRECTION_UP:\n                        line = sel.start.line;\n                        break;\n                    case DIRECTION_DOWN:\n                        line = sel.end.line;\n                        if (!(CodeMirror.cmpPos(sel.start, sel.end) !== 0 && sel.end.ch === 0)) {\n                            // If not linewise selection\n                            line++;\n                        }\n                        break;\n                    }\n\n                    var insertPos;\n                    if (line > lastLine && isInlineWidget) {\n                        insertPos = {line: line - 1, ch: doc.getLine(line - 1).length};\n                    } else {\n                        insertPos = {line: line, ch: 0};\n                    }\n                    // We want the selection after this edit to be right before the \\n we just inserted.\n                    edits.push({edit: {text: "\\n", start: insertPos}, selection: {start: insertPos, end: insertPos, primary: sel.primary}});\n                } else {\n                    // We just want to discard this selection, since we\'ve already operated on the\n                    // same line and it would just collapse to the same location. But if this was\n                    // primary, make sure the last selection we did operate on ends up as primary.\n                    if (sel.primary) {\n                        edits[edits.length - 1].selections[0].primary = true;\n                    }\n                }\n            });\n            newSelections = doc.doMultipleEdits(edits, "+input");\n\n            // Now indent each added line (which doesn\'t mess up any line numbers, and\n            // we\'re going to set the character offset to the last position on each line anyway).\n            _.each(newSelections, function (sel) {\n                // This is a bit of a hack. The document is the one that batches operations, but we want\n                // to use CodeMirror\'s "smart indent" operation. So we need to use the document\'s own backing editor\'s\n                // CodeMirror to do the indentation. A better way to fix this would be to expose this\n                // operation on Document, but I\'m not sure we want to sign up for that as a public API.\n                doc._masterEditor._codeMirror.indentLine(sel.start.line, "smart", true);\n                sel.start.ch = null; // last character on line\n                sel.end = sel.start;\n            });\n        });\n        editor.setSelections(newSelections);\n    }\n\n    /**\n     * Inserts a new and smart indented line above the selected text, or current line if no selection.\n     * The cursor is moved in the new line.\n     * @param {Editor} editor - target editor\n     */\n    function openLineAbove(editor) {\n        openLine(editor, DIRECTION_UP);\n    }\n\n    /**\n     * Inserts a new and smart indented line below the selected text, or current line if no selection.\n     * The cursor is moved in the new line.\n     * @param {Editor} editor - target editor\n     */\n    function openLineBelow(editor) {\n        openLine(editor, DIRECTION_DOWN);\n    }\n\n    /**\n     * Indent a line of text if no selection. Otherwise, indent all lines in selection.\n     */\n    function indentText() {\n        var editor = EditorManager.getFocusedEditor();\n        if (!editor) {\n            return;\n        }\n\n        editor._codeMirror.execCommand("indentMore");\n    }\n\n    /**\n     * Unindent a line of text if no selection. Otherwise, unindent all lines in selection.\n     */\n    function unindentText() {\n        var editor = EditorManager.getFocusedEditor();\n        if (!editor) {\n            return;\n        }\n\n        editor._codeMirror.execCommand("indentLess");\n    }\n\n    function selectLine(editor) {\n        editor = editor || EditorManager.getFocusedEditor();\n        if (editor) {\n            // We can just use `convertToLineSelections`, but throw away the original tracked selections and just use the\n            // coalesced selections.\n            editor.setSelections(_.pluck(editor.convertToLineSelections(editor.getSelections(), { expandEndAtStartOfLine: true }), "selectionForEdit"));\n        }\n    }\n\n    /**\n     * @private\n     * Takes the current selection and splits each range into separate selections, one per line.\n     * @param {!Editor} editor The editor to operate on.\n     */\n    function splitSelIntoLines(editor) {\n        editor = editor || EditorManager.getFocusedEditor();\n        if (editor) {\n            editor._codeMirror.execCommand("splitSelectionByLine");\n        }\n    }\n\n    /**\n     * @private\n     * Adds a cursor on the next/previous line after/before each selected range to the selection.\n     * @param {!Editor} editor The editor to operate on.\n     * @param {number} dir The direction to add - 1 is down, -1 is up.\n     */\n    function addCursorToSelection(editor, dir) {\n        editor = editor || EditorManager.getFocusedEditor();\n        if (editor) {\n            var origSels = editor.getSelections(),\n                newSels = [];\n            _.each(origSels, function (sel) {\n                var pos, colOffset;\n                if ((dir === -1 && sel.start.line > editor.getFirstVisibleLine()) || (dir === 1 && sel.end.line < editor.getLastVisibleLine())) {\n                    // Add a new cursor on the next line up/down. It\'s okay if it overlaps another selection, because CM\n                    // will take care of throwing it away in that case. It will also take care of clipping the char position\n                    // to the end of the new line if the line is shorter.\n                    pos = _.clone(dir === -1 ? sel.start : sel.end);\n\n                    // get sel column of current selection\n                    colOffset = editor.getColOffset(pos);\n\n                    pos.line += dir;\n\n                    // translate column to ch in line of new selection\n                    pos.ch = editor.getCharIndexForColumn(pos.line, colOffset);\n\n\n                    // If this is the primary selection, we want the new cursor we\'re adding to become the\n                    // primary selection.\n                    newSels.push({start: pos, end: pos, primary: sel.primary});\n                    sel.primary = false;\n                }\n            });\n            // CM will take care of sorting the selections.\n            editor.setSelections(origSels.concat(newSels));\n        }\n    }\n\n    /**\n     * @private\n     * Adds a cursor on the previous line before each selected range to the selection.\n     * @param {!Editor} editor The editor to operate on.\n     */\n    function addCursorToPrevLine(editor) {\n        addCursorToSelection(editor, -1);\n    }\n\n    /**\n     * @private\n     * Adds a cursor on the next line after each selected range to the selection.\n     * @param {!Editor} editor The editor to operate on.\n     */\n    function addCursorToNextLine(editor) {\n        addCursorToSelection(editor, 1);\n    }\n\n    function handleUndoRedo(operation) {\n        var editor = EditorManager.getFocusedEditor();\n        var result = new $.Deferred();\n\n        if (editor) {\n            editor[operation]();\n            result.resolve();\n        } else {\n            result.reject();\n        }\n\n        return result.promise();\n    }\n\n    function handleUndo() {\n        return handleUndoRedo("undo");\n    }\n\n    function handleRedo() {\n        return handleUndoRedo("redo");\n    }\n\n    function _handleSelectAll() {\n        var result = new $.Deferred(),\n            editor = EditorManager.getFocusedEditor();\n\n        if (editor) {\n            editor.selectAllNoScroll();\n            result.resolve();\n        } else {\n            result.reject();    // command not handled\n        }\n\n        return result.promise();\n    }\n\n    function _execCommand(cmd) {\n        window.document.execCommand(cmd);\n    }\n    function _execCommandCut() {\n        _execCommand("cut");\n    }\n    function _execCommandCopy() {\n        _execCommand("copy");\n    }\n    function _execCommandPaste() {\n        _execCommand("paste");\n    }\n\n    // Register commands\n    CommandManager.register(Strings.CMD_INDENT,                 Commands.EDIT_INDENT,                 indentText);\n    CommandManager.register(Strings.CMD_UNINDENT,               Commands.EDIT_UNINDENT,               unindentText);\n    CommandManager.register(Strings.CMD_COMMENT,                Commands.EDIT_LINE_COMMENT,           lineComment);\n    CommandManager.register(Strings.CMD_BLOCK_COMMENT,          Commands.EDIT_BLOCK_COMMENT,          blockComment);\n    CommandManager.register(Strings.CMD_DUPLICATE,              Commands.EDIT_DUPLICATE,              duplicateText);\n    CommandManager.register(Strings.CMD_DELETE_LINES,           Commands.EDIT_DELETE_LINES,           deleteCurrentLines);\n    CommandManager.register(Strings.CMD_LINE_UP,                Commands.EDIT_LINE_UP,                moveLineUp);\n    CommandManager.register(Strings.CMD_LINE_DOWN,              Commands.EDIT_LINE_DOWN,              moveLineDown);\n    CommandManager.register(Strings.CMD_OPEN_LINE_ABOVE,        Commands.EDIT_OPEN_LINE_ABOVE,        openLineAbove);\n    CommandManager.register(Strings.CMD_OPEN_LINE_BELOW,        Commands.EDIT_OPEN_LINE_BELOW,        openLineBelow);\n    CommandManager.register(Strings.CMD_SELECT_LINE,            Commands.EDIT_SELECT_LINE,            selectLine);\n    CommandManager.register(Strings.CMD_SPLIT_SEL_INTO_LINES,   Commands.EDIT_SPLIT_SEL_INTO_LINES,   splitSelIntoLines);\n    CommandManager.register(Strings.CMD_ADD_CUR_TO_NEXT_LINE,   Commands.EDIT_ADD_CUR_TO_NEXT_LINE,   addCursorToNextLine);\n    CommandManager.register(Strings.CMD_ADD_CUR_TO_PREV_LINE,   Commands.EDIT_ADD_CUR_TO_PREV_LINE,   addCursorToPrevLine);\n\n    CommandManager.register(Strings.CMD_UNDO,                   Commands.EDIT_UNDO,                   handleUndo);\n    CommandManager.register(Strings.CMD_REDO,                   Commands.EDIT_REDO,                   handleRedo);\n    CommandManager.register(Strings.CMD_CUT,                    Commands.EDIT_CUT,                    _execCommandCut);\n    CommandManager.register(Strings.CMD_COPY,                   Commands.EDIT_COPY,                   _execCommandCopy);\n    CommandManager.register(Strings.CMD_PASTE,                  Commands.EDIT_PASTE,                  _execCommandPaste);\n    CommandManager.register(Strings.CMD_SELECT_ALL,             Commands.EDIT_SELECT_ALL,             _handleSelectAll);\n});\n\n//# sourceURL=/editor/EditorCommandHandlers.js'),
eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'editor/EditorOptionHandlers\',[\'require\',\'exports\',\'module\',\'utils/AppInit\',\'editor/Editor\',\'command/Commands\',\'command/CommandManager\',\'preferences/PreferencesManager\',\'strings\',\'thirdparty/lodash\'],function (require, exports, module) {\n    "use strict";\n\n    var AppInit             = require("utils/AppInit"),\n        Editor              = require("editor/Editor").Editor,\n        Commands            = require("command/Commands"),\n        CommandManager      = require("command/CommandManager"),\n        PreferencesManager  = require("preferences/PreferencesManager"),\n        Strings             = require("strings"),\n        _                   = require("thirdparty/lodash");\n\n    // Constants for the preferences referred to in this file\n    var SHOW_LINE_NUMBERS = "showLineNumbers",\n        STYLE_ACTIVE_LINE = "styleActiveLine",\n        WORD_WRAP         = "wordWrap",\n        CLOSE_BRACKETS    = "closeBrackets";\n\n    /**\n     * @private\n     *\n     * Maps from preference names to the command names needed to update the checked status.\n     */\n    var _optionMapping = {};\n    _optionMapping[SHOW_LINE_NUMBERS] = Commands.TOGGLE_LINE_NUMBERS;\n    _optionMapping[STYLE_ACTIVE_LINE] = Commands.TOGGLE_ACTIVE_LINE;\n    _optionMapping[WORD_WRAP] = Commands.TOGGLE_WORD_WRAP;\n    _optionMapping[CLOSE_BRACKETS] = Commands.TOGGLE_CLOSE_BRACKETS;\n\n    /**\n     * @private\n     *\n     * Updates the command checked status based on the preference name given.\n     *\n     * @param {string} name Name of preference that has changed\n     */\n    function _updateCheckedState(name) {\n        var mapping = _optionMapping[name];\n        if (!mapping) {\n            return;\n        }\n        CommandManager.get(mapping).setChecked(PreferencesManager.get(name));\n    }\n\n    // Listen to preference changes for the preferences we care about\n    Object.keys(_optionMapping).forEach(function (preference) {\n        PreferencesManager.on("change", preference, function () {\n            _updateCheckedState(preference);\n        });\n    });\n\n    /**\n     * @private\n     * Creates a function that will toggle the named preference.\n     *\n     * @param {string} prefName Name of preference that should be toggled by the function\n     */\n    function _getToggler(prefName) {\n        return function () {\n            PreferencesManager.set(prefName, !PreferencesManager.get(prefName));\n        };\n    }\n\n    function _init() {\n        _.each(_optionMapping, function (commandName, prefName) {\n            CommandManager.get(commandName).setChecked(PreferencesManager.get(prefName));\n        });\n\n        if (!Editor.getShowLineNumbers()) {\n            Editor._toggleLinePadding(true);\n        }\n    }\n\n    CommandManager.register(Strings.CMD_TOGGLE_LINE_NUMBERS, Commands.TOGGLE_LINE_NUMBERS, _getToggler(SHOW_LINE_NUMBERS));\n    CommandManager.register(Strings.CMD_TOGGLE_ACTIVE_LINE, Commands.TOGGLE_ACTIVE_LINE, _getToggler(STYLE_ACTIVE_LINE));\n    CommandManager.register(Strings.CMD_TOGGLE_WORD_WRAP, Commands.TOGGLE_WORD_WRAP, _getToggler(WORD_WRAP));\n    CommandManager.register(Strings.CMD_TOGGLE_CLOSE_BRACKETS, Commands.TOGGLE_CLOSE_BRACKETS, _getToggler(CLOSE_BRACKETS));\n\n    AppInit.htmlReady(_init);\n});\n\n//# sourceURL=/editor/EditorOptionHandlers.js'),eval('define(\'text!widgets/StatusBar.html\',[],function () { return \'<div id="status-bar" class="statusbar no-focus">\\n    <div id="status-info" class="info" >\\n        <div id="status-cursor"></div>\\n        <div id="status-file"></div>\\n    </div>\\n    <div id="status-indicators" class="indicators">\\n        <div id="status-indent">\\n            <div id="indent-type"></div>\\n            <div id="indent-width-label"></div>\\n            <input id="indent-width-input" type="number" min="1" max="10" maxlength="2" size="2" class="hidden">\\n        </div>\\n        <div id="status-language"></div>\\n        <div id="status-overwrite">{{STATUSBAR_INSERT}}</div>\\n        <div class="spinner"></div>\\n    </div>\\n</div>\\n\';});\n\n//# sourceURL=/text!widgets/StatusBar.html'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * A status bar with support for file information and busy and status indicators. This is a semi-generic\n * container; for the code that decides what content appears in the status bar, see client modules like\n * EditorStatusBar. (Although in practice StatusBar\'s HTML structure and initialization\n * assume it\'s only used for this one purpose, and all the APIs are on a singleton).\n */\ndefine(\'widgets/StatusBar\',[\'require\',\'exports\',\'module\',\'utils/AppInit\',\'text!widgets/StatusBar.html\',\'strings\',\'view/WorkspaceManager\',\'thirdparty/mustache/mustache\'],function (require, exports, module) {\n    \'use strict\';\n\n    var AppInit          = require("utils/AppInit"),\n        StatusBarHTML    = require("text!widgets/StatusBar.html"),\n        Strings          = require("strings"),\n        WorkspaceManager = require("view/WorkspaceManager"),\n        Mustache         = require("thirdparty/mustache/mustache");\n\n    var _init = false;\n\n    // Indicates if the busy cursor is active to avoid unnecesary operations\n    var _busyCursor = false;\n\n    // A simple regexp to sanitize indicator ids\n    var _indicatorIDRegexp = new RegExp("[^a-zA-Z 0-9]+", "g");\n\n    // These vars are initialized by the AppInit.htmlReady handler\n    // below since they refer to DOM elements\n    var $statusInfo,\n        $statusBar,\n        $indicators,\n        $busyIndicator;\n\n    /**\n     * Shows the \'busy\' indicator\n     * @param {boolean} updateCursor Sets the cursor to "wait"\n     */\n    function showBusyIndicator(updateCursor) {\n        if (!_init) {\n            console.error("StatusBar API invoked before status bar created");\n            return;\n        }\n\n        if (updateCursor) {\n            _busyCursor = true;\n            $("*").addClass("busyCursor");\n        }\n\n        $busyIndicator.addClass("spin");\n    }\n\n    /**\n     * Hides the \'busy\' indicator\n     */\n    function hideBusyIndicator() {\n        if (!_init) {\n            console.error("StatusBar API invoked before status bar created");\n            return;\n        }\n\n        // Check if we are using the busyCursor class to avoid\n        // unnecesary calls to $(\'*\').removeClass()\n        if (_busyCursor) {\n            _busyCursor = false;\n            $("*").removeClass("busyCursor");\n        }\n\n        $busyIndicator.removeClass("spin");\n    }\n\n    /**\n     * Registers a new status indicator\n     * @param {string} id Registration id of the indicator to be updated.\n     * @param {(DOMNode|jQueryObject)=} indicator Optional DOMNode for the indicator\n     * @param {boolean=} visible Shows or hides the indicator over the statusbar.\n     * @param {string=} style Sets the attribute "class" of the indicator.\n     * @param {string=} tooltip Sets the attribute "title" of the indicator.\n     * @param {string=} insertBefore An id of an existing status bar indicator.\n     *          The new indicator will be inserted before (i.e. to the left of)\n     *          the indicator specified by this parameter.\n     */\n    function addIndicator(id, indicator, visible, style, tooltip, insertBefore) {\n        if (!_init) {\n            console.error("StatusBar API invoked before status bar created");\n            return;\n        }\n\n        indicator = indicator || window.document.createElement("div");\n        tooltip = tooltip || "";\n        style = style || "";\n        id = id.replace(_indicatorIDRegexp, "-") || "";\n\n        var $indicator = $(indicator);\n\n        $indicator.attr("id", id);\n        $indicator.attr("title", tooltip);\n        $indicator.addClass("indicator");\n        $indicator.addClass(style);\n\n        if (!visible) {\n            $indicator.hide();\n        }\n\n        // This code looks backwards because the DOM model is ordered\n        // top-to-bottom but the UI view is ordered right-to-left. The concept\n        // of "before" in the model is "after" in the view, and vice versa.\n        if (insertBefore && $("#" + insertBefore).length > 0) {\n            $indicator.insertAfter("#" + insertBefore);\n        } else {\n            // No positioning is provided, put on left end of indicators, but\n            // to right of "busy" indicator (which is usually hidden).\n            var $busyIndicator = $("#status-bar .spinner");\n            $indicator.insertBefore($busyIndicator);\n        }\n    }\n\n    /**\n     * Updates a status indicator\n     * @param {string} id Registration id of the indicator to be updated.\n     * @param {boolean} visible Shows or hides the indicator over the statusbar.\n     * @param {string=} style Sets the attribute "class" of the indicator.\n     * @param {string=} tooltip Sets the attribute "title" of the indicator.\n     */\n    function updateIndicator(id, visible, style, tooltip) {\n        if (!_init && !!brackets.test) {\n            console.error("StatusBar API invoked before status bar created");\n            return;\n        }\n\n        var $indicator = $("#" + id.replace(_indicatorIDRegexp, "-"));\n\n        if ($indicator) {\n\n            if (visible) {\n                $indicator.show();\n            } else {\n                $indicator.hide();\n            }\n\n            if (style) {\n                $indicator.removeClass();\n                $indicator.addClass(style);\n            } else {\n                $indicator.removeClass();\n                $indicator.addClass("indicator");\n            }\n\n            if (tooltip) {\n                $indicator.attr("title", tooltip);\n            }\n        }\n    }\n\n    /**\n     * Hide the statusbar Information Panel\n     */\n    function hideInformation() {\n        $statusInfo.css("display", "none");\n    }\n\n    /**\n     * Show the statusbar Information Panel\n     */\n    function showInformation() {\n        $statusInfo.css("display", "");\n    }\n\n    /**\n     * Hide the statusbar Indicators\n     */\n    function hideIndicators() {\n        $indicators.css("display", "none");\n    }\n\n    /**\n     * Show the statusbar Indicators\n     */\n    function showIndicators() {\n        $indicators.css("display", "");\n    }\n\n\n    /**\n     * Hides all panels but not the status bar\n     */\n    function hideAllPanes() {\n        hideInformation();\n        hideIndicators();\n    }\n\n    /**\n     * Shows all panels (will not show a hidden statusbar)\n     */\n    function showAllPanes() {\n        showInformation();\n        showIndicators();\n    }\n\n\n    /**\n     * Hide the statusbar\n     */\n    function hide() {\n        if (!_init) {\n            console.error("StatusBar API invoked before status bar created");\n            return;\n        }\n\n        if ($statusBar.is(":visible")) {\n            $statusBar.hide();\n            WorkspaceManager.recomputeLayout();\n        }\n    }\n\n    /**\n     * Show the statusbar\n     */\n    function show() {\n        if (!_init) {\n            console.error("StatusBar API invoked before status bar created");\n            return;\n        }\n\n        if (!$statusBar.is(":visible")) {\n            $statusBar.show();\n            WorkspaceManager.recomputeLayout();\n        }\n    }\n\n    AppInit.htmlReady(function () {\n        var $parent = $(".main-view .content");\n        $parent.append(Mustache.render(StatusBarHTML, Strings));\n\n        // Initialize items dependent on HTML DOM\n        $statusBar          = $("#status-bar");\n        $indicators         = $("#status-indicators");\n        $busyIndicator      = $("#status-bar .spinner");\n        $statusInfo         = $("#status-info");\n\n        _init = true;\n\n        // hide on init\n        hide();\n    });\n\n    exports.hideInformation   = hideInformation;\n    exports.showInformation   = showInformation;\n    exports.showBusyIndicator = showBusyIndicator;\n    exports.hideBusyIndicator = hideBusyIndicator;\n    exports.hideIndicators    = hideIndicators;\n    exports.showIndicators    = showIndicators;\n    exports.hideAllPanes      = hideAllPanes;\n    exports.showAllPanes      = showAllPanes;\n    exports.addIndicator      = addIndicator;\n    exports.updateIndicator   = updateIndicator;\n    exports.hide              = hide;\n    exports.show              = show;\n});\n\n//# sourceURL=/widgets/StatusBar.js'),eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Manages parts of the status bar related to the current editor\'s state.\n */\ndefine(\'editor/EditorStatusBar\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'utils/AnimationUtils\',\'utils/AppInit\',\'widgets/DropdownButton\',\'editor/EditorManager\',\'view/MainViewManager\',\'editor/Editor\',\'utils/KeyEvent\',\'language/LanguageManager\',\'preferences/PreferencesManager\',\'widgets/StatusBar\',\'strings\',\'utils/StringUtils\'],function (require, exports, module) {\n    "use strict";\n\n    // Load dependent modules\n    var _                    = require("thirdparty/lodash"),\n        AnimationUtils       = require("utils/AnimationUtils"),\n        AppInit              = require("utils/AppInit"),\n        DropdownButton       = require("widgets/DropdownButton").DropdownButton,\n        EditorManager        = require("editor/EditorManager"),\n        MainViewManager      = require("view/MainViewManager"),\n        Editor               = require("editor/Editor").Editor,\n        KeyEvent             = require("utils/KeyEvent"),\n        LanguageManager      = require("language/LanguageManager"),\n        PreferencesManager   = require("preferences/PreferencesManager"),\n        StatusBar            = require("widgets/StatusBar"),\n        Strings              = require("strings"),\n        StringUtils          = require("utils/StringUtils");\n\n    /* StatusBar indicators */\n    var languageSelect, // this is a DropdownButton instance\n        $cursorInfo,\n        $fileInfo,\n        $indentType,\n        $indentWidthLabel,\n        $indentWidthInput,\n        $statusOverwrite;\n\n    /** Special list item for the \'set as default\' gesture in language switcher dropdown */\n    var LANGUAGE_SET_AS_DEFAULT = {};\n\n\n    /**\n     * Determine string based on count\n     * @param {number} number Count\n     * @param {string} singularStr Singular string\n     * @param {string} pluralStr Plural string\n     * @return {string} Proper string to use for count\n     */\n    function _formatCountable(number, singularStr, pluralStr) {\n        return StringUtils.format(number > 1 ? pluralStr : singularStr, number);\n    }\n\n    /**\n     * Update file mode\n     * @param {Editor} editor Current editor\n     */\n    function _updateLanguageInfo(editor) {\n        var doc = editor.document,\n            lang = doc.getLanguage();\n\n        // Ensure width isn\'t left locked by a previous click of the dropdown (which may not have resulted in a "change" event at the time)\n        languageSelect.$button.css("width", "auto");\n        // Show the current language as button title\n        languageSelect.$button.text(lang.getName());\n    }\n\n    /**\n     * Update file information\n     * @param {Editor} editor Current editor\n     */\n    function _updateFileInfo(editor) {\n        var lines = editor.lineCount();\n        $fileInfo.text(_formatCountable(lines, Strings.STATUSBAR_LINE_COUNT_SINGULAR, Strings.STATUSBAR_LINE_COUNT_PLURAL));\n    }\n\n    /**\n     * Update indent type and size\n     * @param {string} fullPath Path to file in current editor\n     */\n    function _updateIndentType(fullPath) {\n        var indentWithTabs = Editor.getUseTabChar(fullPath);\n        $indentType.text(indentWithTabs ? Strings.STATUSBAR_TAB_SIZE : Strings.STATUSBAR_SPACES);\n        $indentType.attr("title", indentWithTabs ? Strings.STATUSBAR_INDENT_TOOLTIP_SPACES : Strings.STATUSBAR_INDENT_TOOLTIP_TABS);\n        $indentWidthLabel.attr("title", indentWithTabs ? Strings.STATUSBAR_INDENT_SIZE_TOOLTIP_TABS : Strings.STATUSBAR_INDENT_SIZE_TOOLTIP_SPACES);\n    }\n\n    /**\n     * Get indent size based on type\n     * @param {string} fullPath Path to file in current editor\n     * @return {number} Indent size\n     */\n    function _getIndentSize(fullPath) {\n        return Editor.getUseTabChar(fullPath) ? Editor.getTabSize(fullPath) : Editor.getSpaceUnits(fullPath);\n    }\n\n    /**\n     * Update indent size\n     * @param {string} fullPath Path to file in current editor\n     */\n    function _updateIndentSize(fullPath) {\n        var size = _getIndentSize(fullPath);\n        $indentWidthLabel.text(size);\n        $indentWidthInput.val(size);\n    }\n\n    /**\n     * Toggle indent type\n     */\n    function _toggleIndentType() {\n        var current = EditorManager.getActiveEditor(),\n            fullPath = current && current.document.file.fullPath;\n\n        Editor.setUseTabChar(!Editor.getUseTabChar(fullPath), fullPath);\n        _updateIndentType(fullPath);\n        _updateIndentSize(fullPath);\n    }\n\n    /**\n     * Update cursor(s)/selection(s) information\n     * @param {Event} event (unused)\n     * @param {Editor} editor Current editor\n     */\n    function _updateCursorInfo(event, editor) {\n        editor = editor || EditorManager.getActiveEditor();\n\n        // compute columns, account for tab size\n        var cursor = editor.getCursorPos(true);\n\n        var cursorStr = StringUtils.format(Strings.STATUSBAR_CURSOR_POSITION, cursor.line + 1, cursor.ch + 1);\n\n        var sels = editor.getSelections(),\n            selStr = "";\n\n        if (sels.length > 1) {\n            selStr = StringUtils.format(Strings.STATUSBAR_SELECTION_MULTIPLE, sels.length);\n        } else if (editor.hasSelection()) {\n            var sel = sels[0];\n            if (sel.start.line !== sel.end.line) {\n                var lines = sel.end.line - sel.start.line + 1;\n                if (sel.end.ch === 0) {\n                    lines--;  // end line is exclusive if ch is 0, inclusive otherwise\n                }\n                selStr = _formatCountable(lines, Strings.STATUSBAR_SELECTION_LINE_SINGULAR, Strings.STATUSBAR_SELECTION_LINE_PLURAL);\n            } else {\n                var cols = editor.getColOffset(sel.end) - editor.getColOffset(sel.start);  // end ch is exclusive always\n                selStr = _formatCountable(cols, Strings.STATUSBAR_SELECTION_CH_SINGULAR, Strings.STATUSBAR_SELECTION_CH_PLURAL);\n            }\n        }\n        $cursorInfo.text(cursorStr + selStr);\n    }\n\n    /**\n     * Change indent size\n     * @param {string} fullPath Path to file in current editor\n     * @param {string} value Size entered into status bar\n     */\n    function _changeIndentWidth(fullPath, value) {\n        $indentWidthLabel.removeClass("hidden");\n        $indentWidthInput.addClass("hidden");\n\n        // remove all event handlers from the input field\n        $indentWidthInput.off("blur keyup");\n\n        // restore focus to the editor\n        MainViewManager.focusActivePane();\n\n        var valInt = parseInt(value, 10);\n        if (Editor.getUseTabChar(fullPath)) {\n            if (!Editor.setTabSize(valInt, fullPath)) {\n                return;     // validation failed\n            }\n        } else {\n            if (!Editor.setSpaceUnits(valInt, fullPath)) {\n                return;     // validation failed\n            }\n        }\n\n        // update indicator\n        _updateIndentSize(fullPath);\n\n        // column position may change when tab size changes\n        _updateCursorInfo();\n    }\n\n    /**\n     * Update insert/overwrite label\n     * @param {Event} event (unused)\n     * @param {Editor} editor Current editor\n     * @param {string} newstate New overwrite state\n     * @param {boolean=} doNotAnimate True if state should not be animated\n     */\n    function _updateOverwriteLabel(event, editor, newstate, doNotAnimate) {\n        if ($statusOverwrite.text() === (newstate ? Strings.STATUSBAR_OVERWRITE : Strings.STATUSBAR_INSERT)) {\n            // label already up-to-date\n            return;\n        }\n\n        $statusOverwrite.text(newstate ? Strings.STATUSBAR_OVERWRITE : Strings.STATUSBAR_INSERT);\n\n        if (!doNotAnimate) {\n            AnimationUtils.animateUsingClass($statusOverwrite[0], "flash", 1500);\n        }\n    }\n\n    /**\n     * Update insert/overwrite indicator\n     * @param {Event} event (unused)\n     */\n    function _updateEditorOverwriteMode(event) {\n        var editor = EditorManager.getActiveEditor(),\n            newstate = !editor._codeMirror.state.overwrite;\n\n        // update label with no transition\n        _updateOverwriteLabel(event, editor, newstate, true);\n        editor.toggleOverwrite(newstate);\n    }\n\n    /**\n     * Initialize insert/overwrite indicator\n     * @param {Editor} currentEditor Current editor\n     */\n    function _initOverwriteMode(currentEditor) {\n        currentEditor.toggleOverwrite($statusOverwrite.text() === Strings.STATUSBAR_OVERWRITE);\n        $statusOverwrite.attr("title", Strings.STATUSBAR_INSOVR_TOOLTIP);\n    }\n\n    /**\n     * Handle active editor change event\n     * @param {Event} event (unused)\n     * @param {Editor} current Current editor\n     * @param {Editor} previous Previous editor\n     */\n    function _onActiveEditorChange(event, current, previous) {\n        if (previous) {\n            previous.off(".statusbar");\n            previous.document.off(".statusbar");\n            previous.document.releaseRef();\n        }\n\n        if (!current) {\n            StatusBar.hideAllPanes();\n        } else {\n            var fullPath = current.document.file.fullPath;\n            StatusBar.showAllPanes();\n\n            current.on("cursorActivity.statusbar", _updateCursorInfo);\n            current.on("optionChange.statusbar", function () {\n                _updateIndentType(fullPath);\n                _updateIndentSize(fullPath);\n            });\n            current.on("change.statusbar", function () {\n                // async update to keep typing speed smooth\n                window.setTimeout(function () { _updateFileInfo(current); }, 0);\n            });\n            current.on("overwriteToggle.statusbar", _updateOverwriteLabel);\n\n            current.document.addRef();\n            current.document.on("languageChanged.statusbar", function () {\n                _updateLanguageInfo(current);\n            });\n\n            _updateCursorInfo(null, current);\n            _updateLanguageInfo(current);\n            _updateFileInfo(current);\n            _initOverwriteMode(current);\n            _updateIndentType(fullPath);\n            _updateIndentSize(fullPath);\n        }\n    }\n\n    /**\n     * Populate the languageSelect DropdownButton\'s menu with all registered Languages\n     */\n    function _populateLanguageDropdown() {\n        // Get all non-binary languages\n        var languages = _.values(LanguageManager.getLanguages()).filter(function (language) {\n            return !language.isBinary();\n        });\n\n        // sort dropdown alphabetically\n        languages.sort(function (a, b) {\n            return a.getName().toLowerCase().localeCompare(b.getName().toLowerCase());\n        });\n\n        languageSelect.items = languages;\n\n        // Add option to top of menu for persisting the override\n        languageSelect.items.unshift("---");\n        languageSelect.items.unshift(LANGUAGE_SET_AS_DEFAULT);\n    }\n\n    /**\n     * Initialize\n     */\n    function _init() {\n\n        $cursorInfo         = $("#status-cursor");\n        $fileInfo           = $("#status-file");\n        $indentType         = $("#indent-type");\n        $indentWidthLabel   = $("#indent-width-label");\n        $indentWidthInput   = $("#indent-width-input");\n        $statusOverwrite    = $("#status-overwrite");\n\n        languageSelect      = new DropdownButton("", [], function (item, index) {\n            var document = EditorManager.getActiveEditor().document,\n                defaultLang = LanguageManager.getLanguageForPath(document.file.fullPath, true);\n\n            if (item === LANGUAGE_SET_AS_DEFAULT) {\n                var label = _.escape(StringUtils.format(Strings.STATUSBAR_SET_DEFAULT_LANG, LanguageManager.getCompoundFileExtension(document.file.fullPath)));\n                return { html: label, enabled: document.getLanguage() !== defaultLang };\n            }\n\n            var html = _.escape(item.getName());\n\n            // Show indicators for currently selected & default languages for the current file\n            if (item === defaultLang) {\n                html += " <span class=\'default-language\'>" + Strings.STATUSBAR_DEFAULT_LANG + "</span>";\n            }\n            if (item === document.getLanguage()) {\n                html = "<span class=\'checked-language\'></span>" + html;\n            }\n            return html;\n        });\n\n        languageSelect.dropdownExtraClasses = "dropdown-status-bar";\n        languageSelect.$button.addClass("btn-status-bar");\n        $("#status-language").append(languageSelect.$button);\n        languageSelect.$button.attr("title", Strings.STATUSBAR_LANG_TOOLTIP);\n\n        // indentation event handlers\n        $indentType.on("click", _toggleIndentType);\n        $indentWidthLabel\n            .on("click", function () {\n                // update the input value before displaying\n                var fullPath = EditorManager.getActiveEditor().document.file.fullPath;\n                $indentWidthInput.val(_getIndentSize(fullPath));\n\n                $indentWidthLabel.addClass("hidden");\n                $indentWidthInput.removeClass("hidden");\n                $indentWidthInput.focus();\n\n                $indentWidthInput\n                    .on("blur", function () {\n                        _changeIndentWidth(fullPath, $indentWidthInput.val());\n                    })\n                    .on("keyup", function (event) {\n                        if (event.keyCode === KeyEvent.DOM_VK_RETURN) {\n                            $indentWidthInput.blur();\n                        } else if (event.keyCode === KeyEvent.DOM_VK_ESCAPE) {\n                            _changeIndentWidth(fullPath, false);\n                        }\n                    });\n            });\n\n        $indentWidthInput.focus(function () { $indentWidthInput.select(); });\n\n        // Language select change handler\n        languageSelect.on("select", function (e, lang) {\n            var document = EditorManager.getActiveEditor().document,\n                fullPath = document.file.fullPath;\n\n            if (lang === LANGUAGE_SET_AS_DEFAULT) {\n                // Set file\'s current language in preferences as a file extension override (only enabled if not default already)\n                var fileExtensionMap = PreferencesManager.get("language.fileExtensions");\n                fileExtensionMap[LanguageManager.getCompoundFileExtension(fullPath)] = document.getLanguage().getId();\n                PreferencesManager.set("language.fileExtensions", fileExtensionMap);\n\n            } else {\n                // Set selected language as a path override for just this one file (not persisted)\n                var defaultLang = LanguageManager.getLanguageForPath(fullPath, true);\n                // if default language selected, pass null to clear the override\n                LanguageManager.setLanguageOverrideForPath(fullPath, lang === defaultLang ? null : lang);\n            }\n        });\n\n        $statusOverwrite.on("click", _updateEditorOverwriteMode);\n    }\n\n    // Initialize: status bar focused listener\n    EditorManager.on("activeEditorChange", _onActiveEditorChange);\n\n    AppInit.htmlReady(_init);\n    AppInit.appReady(function () {\n        // Populate language switcher with all languages after startup; update it later if this set changes\n        _populateLanguageDropdown();\n        LanguageManager.on("languageAdded languageModified", _populateLanguageDropdown);\n        _onActiveEditorChange(null, EditorManager.getActiveEditor(), null);\n        StatusBar.show();\n    });\n});\n\n//# sourceURL=/editor/EditorStatusBar.js'),eval('define(\'text!htmlContent/image-view.html\',[],function () { return \'<div class="image-view">\\n    <div class="image-centering">\\n        <div class="image-header">\\n            <div class="image-data"></div>\\n            <div class="image-path"></div>\\t\\n        </div>\\n        <div class="image">\\n            <div class="image-scale"></div>\\n            <img class="image-preview" src="file:///{{fullPath}}?ver={{now}}">\\n            <div class="image-tip">\\n                <table class="tip-container">\\n                    <tr>\\n                        <td class="variable">x: </td>\\n                        <td class="x-value"></td>\\n                    </tr>\\n                    <tr>\\n                        <td class="variable">y: </td>\\n                        <td class="y-value"></td>\\n                    </tr>\\n                </table>\\n            </div>\\n            <div class="horz-guide image-guide"></div>\\n            <div class="vert-guide image-guide"></div>\\n        </div>\\n    </div>\\n</div>\';});\n\n//# sourceURL=/text!htmlContent/image-view.html'),
eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'editor/ImageViewer\',[\'require\',\'exports\',\'module\',\'document/DocumentManager\',\'text!htmlContent/image-view.html\',\'project/ProjectManager\',\'language/LanguageManager\',\'view/MainViewFactory\',\'strings\',\'utils/StringUtils\',\'filesystem/FileSystem\',\'file/FileUtils\',\'thirdparty/lodash\',\'thirdparty/mustache/mustache\'],function (require, exports, module) {\n    "use strict";\n\n    var DocumentManager     = require("document/DocumentManager"),\n        ImageViewTemplate   = require("text!htmlContent/image-view.html"),\n        ProjectManager      = require("project/ProjectManager"),\n        LanguageManager     = require("language/LanguageManager"),\n        MainViewFactory     = require("view/MainViewFactory"),\n        Strings             = require("strings"),\n        StringUtils         = require("utils/StringUtils"),\n        FileSystem          = require("filesystem/FileSystem"),\n        FileUtils           = require("file/FileUtils"),\n        _                   = require("thirdparty/lodash"),\n        Mustache            = require("thirdparty/mustache/mustache");\n\n    var _viewers = {};\n\n    /**\n     * ImageView objects are constructed when an image is opened\n     * @see {@link Pane} for more information about where ImageViews are rendered\n     *\n     * @constructor\n     * @param {!File} file - The image file object to render\n     * @param {!jQuery} container - The container to render the image view in\n     */\n    function ImageView(file, $container) {\n        this.file = file;\n        this.$el = $(Mustache.render(ImageViewTemplate, {fullPath: FileUtils.encodeFilePath(file.fullPath),\n                                                         now: new Date().valueOf()}));\n\n        $container.append(this.$el);\n\n        this._naturalWidth = 0;\n        this._naturalHeight = 0;\n        this._scale = 100;           // 100%\n        this._scaleDivInfo = null;   // coordinates of hidden scale sticker\n\n        this.relPath = ProjectManager.makeProjectRelativeIfPossible(this.file.fullPath);\n\n        this.$imagePath = this.$el.find(".image-path");\n        this.$imagePreview = this.$el.find(".image-preview");\n        this.$imageData = this.$el.find(".image-data");\n\n        this.$image = this.$el.find(".image");\n        this.$imageTip = this.$el.find(".image-tip");\n        this.$imageGuides = this.$el.find(".image-guide");\n        this.$imageScale = this.$el.find(".image-scale");\n        this.$x_value = this.$el.find(".x-value");\n        this.$y_value = this.$el.find(".y-value");\n        this.$horzGuide = this.$el.find(".horz-guide");\n        this.$vertGuide = this.$el.find(".vert-guide");\n\n        this.$imagePath.text(this.relPath).attr("title", this.relPath);\n        this.$imagePreview.on("load", _.bind(this._onImageLoaded, this));\n\n        _viewers[file.fullPath] = this;\n    }\n\n    /**\n     * DocumentManger.fileNameChange handler - when an image is renamed, we must\n     * update the view\n     *\n     * @param {jQuery.Event} e - event\n     * @param {!string} oldPath - the name of the file that\'s changing changing\n     * @param {!string} newPath - the name of the file that\'s changing changing\n     * @private\n     */\n    ImageView.prototype._onFilenameChange = function (e, oldPath, newPath) {\n        /*\n         * File objects are already updated when the event is triggered\n         * so we just need to see if the file has the same path as our image\n         */\n        if (this.file.fullPath === newPath) {\n            this.relPath = ProjectManager.makeProjectRelativeIfPossible(newPath);\n            this.$imagePath.text(this.relPath).attr("title", this.relPath);\n        }\n    };\n\n    /**\n     * <img>.on("load") handler - updates content of the image view\n     *                            initializes computed values\n     *                            installs event handlers\n     * @param {Event} e - event\n     * @private\n     */\n    ImageView.prototype._onImageLoaded = function (e) {\n        // add dimensions and size\n        this._naturalWidth = e.currentTarget.naturalWidth;\n        this._naturalHeight = e.currentTarget.naturalHeight;\n\n        var extension = FileUtils.getFileExtension(this.file.fullPath);\n        var dimensionString = this._naturalWidth + " &times; " + this._naturalHeight + " " + Strings.UNIT_PIXELS;\n\n        if (extension === "ico") {\n            dimensionString += " (" + Strings.IMAGE_VIEWER_LARGEST_ICON + ")";\n        }\n\n        // get image size\n        var self = this;\n\n        this.file.stat(function (err, stat) {\n            if (err) {\n                self.$imageData.html(dimensionString);\n            } else {\n                var sizeString = "";\n                if (stat.size) {\n                    sizeString = " &mdash; " + StringUtils.prettyPrintBytes(stat.size, 2);\n                }\n                var dimensionAndSize = dimensionString + sizeString;\n                self.$imageData.html(dimensionAndSize)\n                        .attr("title", dimensionAndSize\n                                    .replace("&times;", "x")\n                                    .replace("&mdash;", "-"));\n            }\n        });\n\n        // make sure we always show the right file name\n        DocumentManager.on("fileNameChange.ImageView", _.bind(this._onFilenameChange, this));\n\n        this.$imageTip.hide();\n        this.$imageGuides.hide();\n\n        this.$image.on("mousemove.ImageView", ".image-preview", _.bind(this._showImageTip, this))\n                   .on("mouseleave.ImageView", ".image-preview", _.bind(this._hideImageTip, this));\n\n        this._updateScale();\n    };\n\n    /**\n     * Update the scale element\n     * @private\n     */\n    ImageView.prototype._updateScale = function () {\n        var currentWidth = this.$imagePreview.width();\n\n        if (currentWidth && currentWidth < this._naturalWidth) {\n            this._scale = currentWidth / this._naturalWidth * 100;\n            this.$imageScale.text(Math.floor(this._scale) + "%")\n                // Keep the position of the image scale div relative to the image.\n                .css("left", this.$imagePreview.position().left + 5)\n                .show();\n        } else {\n            // Reset everything related to the image scale sticker before hiding it.\n            this._scale = 100;\n            this._scaleDivInfo = null;\n            this.$imageScale.text("").hide();\n        }\n    };\n\n\n    /**\n     * Show image coordinates under the mouse cursor\n     * @param {Event} e - event\n     * @private\n     */\n    ImageView.prototype._showImageTip = function (e) {\n        // Don\'t show image tip if this._scale is close to zero.\n        // since we won\'t have enough room to show tip anyway.\n        if (Math.floor(this._scale) === 0) {\n            return;\n        }\n\n        var x                   = Math.round(e.offsetX * 100 / this._scale),\n            y                   = Math.round(e.offsetY * 100 / this._scale),\n            imagePos            = this.$imagePreview.position(),\n            left                = e.offsetX + imagePos.left,\n            top                 = e.offsetY + imagePos.top,\n            width               = this.$imagePreview.width(),\n            height              = this.$imagePreview.height(),\n            windowWidth         = $(window).width(),\n            fourDigitImageWidth = this._naturalWidth.toString().length === 4,\n\n            // @todo -- seems a bit strange that we\'re computing sizes\n            //          using magic numbers\n\n            infoWidth1          = 112,    // info div width 96px + vertical toolbar width 16px\n            infoWidth2          = 120,    // info div width 104px (for 4-digit image width) + vertical toolbar width 16px\n            tipOffsetX          = 10,     // adjustment for info div left from x coordinate of cursor\n            tipOffsetY          = -54,    // adjustment for info div top from y coordinate of cursor\n            tipMinusOffsetX1    = -82,    // for less than 4-digit image width\n            tipMinusOffsetX2    = -90;    // for 4-digit image width\n\n        // Check whether we\'re getting mousemove events beyond the image boundaries due to a browser bug\n        // or the rounding calculation above for a scaled image. For example, if an image is 120 px wide,\n        // we should get mousemove events in the range of 0 <= x < 120, but not 120 or more. If we get\n        // a value beyond the range, then simply handle the event as if it were a mouseleave.\n        if (x < 0 || x >= this._naturalWidth || y < 0 || y >= this._naturalHeight) {\n            this._hideImageTip(e);\n            this.$imagePreview.css("cursor", "auto");\n            return;\n        }\n\n        this.$imagePreview.css("cursor", "none");\n\n        this._handleMouseEnterOrExitScaleSticker(left, top);\n\n        // Check whether to show the image tip on the left.\n        if ((e.pageX + infoWidth1) > windowWidth ||\n                (fourDigitImageWidth && (e.pageX + infoWidth2) > windowWidth)) {\n            tipOffsetX = fourDigitImageWidth ? tipMinusOffsetX2 : tipMinusOffsetX1;\n        }\n\n        this.$x_value.text(x + "px");\n        this.$y_value.text(y + "px");\n\n        this.$imageTip.css({\n            left: left + tipOffsetX,\n            top: top + tipOffsetY\n        }).show();\n\n        this.$horzGuide.css({\n            left: imagePos.left,\n            top: top,\n            width: width - 1\n        }).show();\n\n        this.$vertGuide.css({\n            left: left,\n            top: imagePos.top,\n            height: height - 1\n        }).show();\n    };\n\n    /**\n     * Hide image coordinates info tip\n     * @param {Event} e - event\n     * @private\n     */\n    ImageView.prototype._hideImageTip = function (e) {\n        var $target   = $(e.target),\n            targetPos = $target.position(),\n            imagePos  = this.$imagePreview.position(),\n            right     = imagePos.left + this.$imagePreview.width(),\n            bottom    = imagePos.top + this.$imagePreview.height(),\n            x         = targetPos.left + e.offsetX,\n            y         = targetPos.top + e.offsetY;\n\n        // Hide image tip and guides only if the cursor is outside of the image.\n        if (x < imagePos.left || x >= right ||\n                y < imagePos.top || y >= bottom) {\n            this._hideGuidesAndTip();\n            if (this._scaleDivInfo) {\n                this._scaleDivInfo = null;\n                this.$imageScale.show();\n            }\n        }\n    };\n\n    /**\n     * Hides both guides and the tip\n     * @private\n     */\n    ImageView.prototype._hideGuidesAndTip = function () {\n        this.$imageTip.hide();\n        this.$imageGuides.hide();\n    };\n\n    /**\n     * Check mouse entering/exiting the scale sticker.\n     * Hide it when entering and show it again when exiting.\n     *\n     * @param {number} offsetX mouse offset from the left of the previewing image\n     * @param {number} offsetY mouseoffset from the top of the previewing image\n     * @private\n     */\n    ImageView.prototype._handleMouseEnterOrExitScaleSticker = function (offsetX, offsetY) {\n        var imagePos       = this.$imagePreview.position(),\n            scaleDivPos    = this.$imageScale.position(),\n            imgWidth       = this.$imagePreview.width(),\n            imgHeight      = this.$imagePreview.height(),\n            scaleDivLeft,\n            scaleDivTop,\n            scaleDivRight,\n            scaleDivBottom;\n\n        if (this._scaleDivInfo) {\n            scaleDivLeft   = this._scaleDivInfo.left;\n            scaleDivTop    = this._scaleDivInfo.top;\n            scaleDivRight  = this._scaleDivInfo.right;\n            scaleDivBottom = this._scaleDivInfo.bottom;\n\n            if ((imgWidth + imagePos.left) < scaleDivRight) {\n                scaleDivRight = imgWidth + imagePos.left;\n            }\n\n            if ((imgHeight + imagePos.top) < scaleDivBottom) {\n                scaleDivBottom = imgHeight + imagePos.top;\n            }\n\n        } else {\n            scaleDivLeft   = scaleDivPos.left;\n            scaleDivTop    = scaleDivPos.top;\n            scaleDivRight  = this.$imageScale.width() + scaleDivLeft;\n            scaleDivBottom = this.$imageScale.height() + scaleDivTop;\n        }\n\n        if (this._scaleDivInfo) {\n            // See whether the cursor is no longer inside the hidden scale div.\n            // If so, show it again.\n            if ((offsetX < scaleDivLeft || offsetX > scaleDivRight) ||\n                    (offsetY < scaleDivTop || offsetY > scaleDivBottom)) {\n                this._scaleDivInfo = null;\n                this.$imageScale.show();\n            }\n        } else if ((offsetX >= scaleDivLeft && offsetX <= scaleDivRight) &&\n                (offsetY >= scaleDivTop && offsetY <= scaleDivBottom)) {\n            // Handle mouse inside image scale div.\n            // But hide it only if the pixel under mouse is also in the image.\n            if (offsetX < (imagePos.left + imgWidth) &&\n                    offsetY < (imagePos.top + imgHeight)) {\n                // Remember image scale div coordinates before hiding it.\n                this._scaleDivInfo = {left: scaleDivPos.left,\n                                 top: scaleDivPos.top,\n                                 right: scaleDivRight,\n                                 bottom: scaleDivBottom};\n                this.$imageScale.hide();\n            }\n        }\n    };\n\n    /**\n     * View Interface functions\n     */\n\n    /*\n     * Retrieves the file object for this view\n     * return {!File} the file object for this view\n     */\n    ImageView.prototype.getFile = function () {\n        return this.file;\n    };\n\n    /*\n     * Updates the layout of the view\n     */\n    ImageView.prototype.updateLayout = function () {\n        this._hideGuidesAndTip();\n\n        var $container = this.$el.parent();\n\n        var pos = $container.position(),\n            iWidth = $container.innerWidth(),\n            iHeight = $container.innerHeight(),\n            oWidth = $container.outerWidth(),\n            oHeight = $container.outerHeight();\n\n        // $view is "position:absolute" so\n        //  we have to update the height, width and position\n        this.$el.css({top: pos.top + ((oHeight - iHeight) / 2),\n                        left: pos.left + ((oWidth - iWidth) / 2),\n                        width: iWidth,\n                        height: iHeight});\n        this._updateScale();\n    };\n\n    /*\n     * Destroys the view\n     */\n    ImageView.prototype.destroy = function () {\n        delete _viewers[this.file.fullPath];\n        DocumentManager.off(".ImageView");\n        this.$image.off(".ImageView");\n        this.$el.remove();\n    };\n\n    /*\n     * Refreshes the image preview with what\'s on disk\n     */\n    ImageView.prototype.refresh = function () {\n        var noCacheUrl = this.$imagePreview.attr("src"),\n            now = new Date().valueOf(),\n            index = noCacheUrl.indexOf("?");\n\n        // strip the old param off\n        if (index > 0) {\n            noCacheUrl = noCacheUrl.slice(0, index);\n        }\n\n        // add a new param which will force chrome to\n        //  re-read the image from disk\n        noCacheUrl = noCacheUrl + "?ver=" + now;\n\n\n        // Update the DOM node with the src URL\n        this.$imagePreview.attr("src", noCacheUrl);\n    };\n\n    /*\n     * Creates an image view object and adds it to the specified pane\n     * @param {!File} file - the file to create an image of\n     * @param {!Pane} pane - the pane in which to host the view\n     * @return {jQuery.Promise}\n     */\n    function _createImageView(file, pane) {\n        var view = pane.getViewForPath(file.fullPath);\n\n        if (view) {\n            pane.showView(view);\n        } else {\n            view = new ImageView(file, pane.$content);\n            pane.addView(view, true);\n        }\n        return new $.Deferred().resolve().promise();\n    }\n\n    /**\n     * Handles file system change events so we can refresh\n     *  image viewers for the files that changed on disk due to external editors\n     * @param {jQuery.event} event - event object\n     * @param {?File} file - file object that changed\n     * @param {Array.<FileSystemEntry>=} added If entry is a Directory, contains zero or more added children\n     * @param {Array.<FileSystemEntry>=} removed If entry is a Directory, contains zero or more removed children\n     */\n    function _handleFileSystemChange(event, entry, added, removed) {\n        // this may have been called because files were added\n        //  or removed to the file system.  We don\'t care about those\n        if (!entry || entry.isDirectory) {\n            return;\n        }\n\n        // Look for a viewer for the changed file\n        var viewer = _viewers[entry.fullPath];\n\n        // viewer found, call its refresh method\n        if (viewer) {\n            viewer.refresh();\n        }\n    }\n\n    /*\n     * Install an event listener to receive all file system change events\n     * so we can refresh the view when changes are made to the image in an external editor\n     */\n    FileSystem.on("change", _handleFileSystemChange);\n\n    /*\n     * Initialization, register our view factory\n     */\n    MainViewFactory.registerViewFactory({\n        canOpenFile: function (fullPath) {\n            var lang = LanguageManager.getLanguageForPath(fullPath);\n            return (lang.getId() === "image");\n        },\n        openFile: function (file, pane) {\n            return _createImageView(file, pane);\n        }\n    });\n\n    /*\n     * This is for extensions that want to create a\n     * view factory based on ImageViewer\n     */\n    exports.ImageView = ImageView;\n});\n\n//# sourceURL=/editor/ImageViewer.js'),eval('define(\'text!htmlContent/install-extension-dialog.html\',[],function () { return \'<div class="install-extension-dialog modal">\\n    <div class="modal-header">\\n        <h1 class="dialog-title">\\n            {{#isUpdate}}{{Strings.UPDATE_EXTENSION_TITLE}}{{/isUpdate}}\\n            {{^isUpdate}}{{Strings.INSTALL_EXTENSION_TITLE}}{{/isUpdate}}\\n        </h1>\\n    </div>\\n    <div class="modal-body">\\n        <div class="field-container input-field">\\n            <input type="text" placeholder="{{INSTALL_EXTENSION_HINT}}" class="url" />\\n        </div>\\n        <div class="field-container message-field">\\n            <div class="message"></div>\\n        </div>\\n    </div>\\n    <div class="modal-footer">\\n        {{#includeBrowseExtensions}}<button class="btn left browse-extensions">{{Strings.BROWSE_EXTENSIONS}}</button>{{/includeBrowseExtensions}}\\n        <button class="dialog-button btn" data-button-id="cancel">{{Strings.CANCEL}}</button>\\n        <button class="dialog-button btn primary" data-button-id="ok" disabled>{{Strings.INSTALL}}</button>\\n    </div>\\n</div>\\n\';});\n\n//# sourceURL=/text!htmlContent/install-extension-dialog.html'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*unittests: Install Extension Dialog*/\n\ndefine(\'extensibility/InstallExtensionDialog\',[\'require\',\'exports\',\'module\',\'widgets/Dialogs\',\'filesystem/File\',\'utils/StringUtils\',\'strings\',\'filesystem/FileSystem\',\'utils/KeyEvent\',\'extensibility/Package\',\'utils/NativeApp\',\'text!htmlContent/install-extension-dialog.html\',\'thirdparty/mustache/mustache\'],function (require, exports, module) {\n    "use strict";\n\n    var Dialogs                = require("widgets/Dialogs"),\n        File                   = require("filesystem/File"),\n        StringUtils            = require("utils/StringUtils"),\n        Strings                = require("strings"),\n        FileSystem             = require("filesystem/FileSystem"),\n        KeyEvent               = require("utils/KeyEvent"),\n        Package                = require("extensibility/Package"),\n        NativeApp              = require("utils/NativeApp"),\n        InstallDialogTemplate  = require("text!htmlContent/install-extension-dialog.html"),\n        Mustache               = require("thirdparty/mustache/mustache");\n\n    var STATE_CLOSED              = 0,\n        STATE_START               = 1,\n        STATE_VALID_URL           = 2,\n        STATE_INSTALLING          = 3,\n        STATE_INSTALLED           = 4,\n        STATE_INSTALL_FAILED      = 5,\n        STATE_CANCELING_INSTALL   = 6,\n        STATE_CANCELING_HUNG      = 7,\n        STATE_INSTALL_CANCELED    = 8,\n        STATE_ALREADY_INSTALLED   = 9,\n        STATE_OVERWRITE_CONFIRMED = 10,\n        STATE_NEEDS_UPDATE        = 11;\n\n    /**\n     * Creates a new extension installer dialog.\n     * @constructor\n     * @param {{install: function(url), cancel: function()}} installer The installer backend to use.\n     */\n    function InstallExtensionDialog(installer, _isUpdate) {\n        this._installer = installer;\n        this._state = STATE_CLOSED;\n        this._installResult = null;\n        this._isUpdate = _isUpdate;\n\n        // Timeout before we allow user to leave STATE_INSTALL_CANCELING without waiting for a resolution\n        // (per-instance so we can poke it for unit testing)\n        this._cancelTimeout = 10 * 1000;\n    }\n\n    /**\n     * The dialog root.\n     * @type {jQuery}\n     */\n    InstallExtensionDialog.prototype.$dlg = null;\n\n    /**\n     * The url input field.\n     * @type {jQuery}\n     */\n    InstallExtensionDialog.prototype.$url = null;\n\n    /**\n     * The ok button.\n     * @type {jQuery}\n     */\n    InstallExtensionDialog.prototype.$okButton = null;\n\n    /**\n     * The cancel button.\n     * @type {jQuery}\n     */\n    InstallExtensionDialog.prototype.$cancelButton = null;\n\n    /**\n     * The area containing the url input label and field.\n     * @type {jQuery}\n     */\n    InstallExtensionDialog.prototype.$inputArea = null;\n\n    /**\n     * The area containing the installation message and spinner.\n     * @type {jQuery}\n     */\n    InstallExtensionDialog.prototype.$msgArea = null;\n\n    /**\n     * The span containing the installation message.\n     * @type {jQuery}\n     */\n    InstallExtensionDialog.prototype.$msg = null;\n\n    /**\n     * The "Browse Extensions" button.\n     * @type {jQuery}\n     */\n    InstallExtensionDialog.prototype.$browseExtensionsButton = null;\n\n    /**\n     * A deferred that\'s resolved/rejected when the dialog is closed and\n     * something has/hasn\'t been installed successfully.\n     * @type {$.Deferred}\n     */\n    InstallExtensionDialog.prototype._dialogDeferred = null;\n\n\n    /**\n     * installer The installer backend for this dialog.\n     * @type {{install: function(url), cancel: function()}}\n     */\n    InstallExtensionDialog.prototype._installer = null;\n\n    /**\n     * The current state of the dialog; one of the STATE_* constants above.\n     * @type {number}\n     */\n    InstallExtensionDialog.prototype._state = null;\n\n    /**\n     * @private\n     * Transitions the dialog into a new state as the installation proceeds.\n     * @param {number} newState The state to transition into; one of the STATE_* variables.\n     */\n    InstallExtensionDialog.prototype._enterState = function (newState) {\n        var url,\n            msg,\n            self = this,\n            prevState = this._state;\n\n        // Store the new state up front in case some of the processing below ends up changing\n        // the state again immediately.\n        this._state = newState;\n\n        switch (newState) {\n        case STATE_START:\n            // This should match the default appearance of the dialog when it first opens.\n            this.$msg.find(".spinner").remove();\n            this.$msgArea.hide();\n            this.$inputArea.show();\n            this.$okButton\n                .prop("disabled", true)\n                .text(Strings.INSTALL);\n            break;\n\n        case STATE_VALID_URL:\n            this.$okButton.prop("disabled", false);\n            break;\n\n        case STATE_INSTALLING:\n            url = this.$url.val().trim();\n            this.$inputArea.hide();\n            this.$browseExtensionsButton.hide();\n            this.$msg.text(StringUtils.format(Strings.INSTALLING_FROM, url))\n                .append("<span class=\'spinner inline spin\'/>");\n            this.$msgArea.show();\n            this.$okButton.prop("disabled", true);\n            this._installer.install(url)\n                .done(function (result) {\n                    self._installResult = result;\n                    if (result.installationStatus === Package.InstallationStatuses.ALREADY_INSTALLED ||\n                            result.installationStatus === Package.InstallationStatuses.OLDER_VERSION ||\n                            result.installationStatus === Package.InstallationStatuses.SAME_VERSION) {\n                        self._enterState(STATE_ALREADY_INSTALLED);\n                    } else if (result.installationStatus === Package.InstallationStatuses.NEEDS_UPDATE) {\n                        self._enterState(STATE_NEEDS_UPDATE);\n                    } else {\n                        self._enterState(STATE_INSTALLED);\n                    }\n                })\n                .fail(function (err) {\n                    // If the "failure" is actually a user-requested cancel, don\'t show an error UI\n                    if (err === "CANCELED") {\n                        console.assert(self._state === STATE_CANCELING_INSTALL || self._state === STATE_CANCELING_HUNG);\n                        self._enterState(STATE_INSTALL_CANCELED);\n                    } else {\n                        self._errorMessage = Package.formatError(err);\n                        self._enterState(STATE_INSTALL_FAILED);\n                    }\n                });\n            break;\n\n        case STATE_CANCELING_INSTALL:\n            // This should call back the STATE_INSTALLING fail() handler above, unless it\'s too late to cancel\n            // in which case we\'ll still jump to STATE_INSTALLED after this\n            this.$cancelButton.prop("disabled", true);\n            this.$msg.text(Strings.CANCELING_INSTALL);\n            this._installer.cancel();\n            window.setTimeout(function () {\n                if (self._state === STATE_CANCELING_INSTALL) {\n                    self._enterState(STATE_CANCELING_HUNG);\n                }\n            }, this._cancelTimeout);\n            break;\n\n        case STATE_CANCELING_HUNG:\n            this.$msg.text(Strings.CANCELING_HUNG);\n            this.$okButton\n                .removeAttr("disabled")\n                .text(Strings.CLOSE);\n            break;\n\n        case STATE_INSTALLED:\n        case STATE_INSTALL_FAILED:\n        case STATE_INSTALL_CANCELED:\n        case STATE_NEEDS_UPDATE:\n            if (newState === STATE_INSTALLED) {\n                msg = Strings.INSTALL_SUCCEEDED;\n            } else if (newState === STATE_INSTALL_FAILED) {\n                msg = Strings.INSTALL_FAILED;\n            } else if (newState === STATE_NEEDS_UPDATE) {\n                msg = Strings.EXTENSION_UPDATE_INSTALLED;\n            } else {\n                msg = Strings.INSTALL_CANCELED;\n            }\n            this.$msg.html($("<strong/>").text(msg));\n            if (this._errorMessage) {\n                this.$msg.append($("<p/>").text(this._errorMessage));\n            }\n            this.$okButton\n                .removeAttr("disabled")\n                .text(Strings.CLOSE);\n            this.$cancelButton.hide();\n            break;\n\n        case STATE_ALREADY_INSTALLED:\n            var installResult = this._installResult;\n            var status = installResult.installationStatus;\n            var msgText = Strings["EXTENSION_" + status];\n            if (status === Package.InstallationStatuses.OLDER_VERSION) {\n                msgText = StringUtils.format(msgText, installResult.metadata.version, installResult.installedVersion);\n            }\n            this.$msg.text(msgText);\n            this.$okButton\n                .prop("disabled", false)\n                .text(Strings.OVERWRITE);\n            break;\n\n        case STATE_OVERWRITE_CONFIRMED:\n            this._enterState(STATE_CLOSED);\n            break;\n\n        case STATE_CLOSED:\n            $(window.document.body).off(".installDialog");\n\n           // Only resolve as successful if we actually installed something.\n            Dialogs.cancelModalDialogIfOpen("install-extension-dialog");\n            if (prevState === STATE_INSTALLED || prevState === STATE_NEEDS_UPDATE ||\n                    prevState === STATE_OVERWRITE_CONFIRMED) {\n                this._dialogDeferred.resolve(this._installResult);\n            } else {\n                this._dialogDeferred.reject();\n            }\n            break;\n        }\n    };\n\n    /**\n     * @private\n     * Handle a click on the Cancel button, which either cancels an ongoing installation (leaving\n     * the dialog open), or closes the dialog if no installation is in progress.\n     */\n    InstallExtensionDialog.prototype._handleCancel = function () {\n        if (this._state === STATE_INSTALLING) {\n            this._enterState(STATE_CANCELING_INSTALL);\n        } else if (this._state === STATE_ALREADY_INSTALLED) {\n            // If we were prompting the user about overwriting a previous installation,\n            // and the user cancels, we can delete the downloaded file.\n            if (this._installResult && this._installResult.localPath && !this._installResult.keepFile) {\n                var filename = this._installResult.localPath;\n                FileSystem.getFileForPath(filename).unlink();\n            }\n            this._enterState(STATE_CLOSED);\n        } else if (this._state !== STATE_CANCELING_INSTALL) {\n            this._enterState(STATE_CLOSED);\n        }\n    };\n\n    /**\n     * @private\n     * Handle a click on the default button, which is "Install" while we\'re waiting for the\n     * user to enter a URL, and "Close" once we\'ve successfully finished installation.\n     */\n    InstallExtensionDialog.prototype._handleOk = function () {\n        if (this._state === STATE_INSTALLED ||\n                this._state === STATE_INSTALL_FAILED ||\n                this._state === STATE_INSTALL_CANCELED ||\n                this._state === STATE_CANCELING_HUNG ||\n                this._state === STATE_NEEDS_UPDATE) {\n            // In these end states, this is a "Close" button: just close the dialog and indicate\n            // success.\n            this._enterState(STATE_CLOSED);\n        } else if (this._state === STATE_VALID_URL) {\n            this._enterState(STATE_INSTALLING);\n        } else if (this._state === STATE_ALREADY_INSTALLED) {\n            this._enterState(STATE_OVERWRITE_CONFIRMED);\n        }\n    };\n\n    /**\n     * @private\n     * Handle key up events on the document. We use this to detect the Esc key.\n     */\n    InstallExtensionDialog.prototype._handleKeyUp = function (e) {\n        if (e.keyCode === KeyEvent.DOM_VK_ESCAPE) {\n            this._handleCancel();\n        }\n    };\n\n    /**\n     * @private\n     * Handle typing in the URL field.\n     */\n    InstallExtensionDialog.prototype._handleUrlInput = function (e) {\n        var url     = this.$url.val().trim(),\n            valid   = (url !== "");\n        if (!valid && this._state === STATE_VALID_URL) {\n            this._enterState(STATE_START);\n        } else if (valid && this._state === STATE_START) {\n            this._enterState(STATE_VALID_URL);\n        }\n    };\n\n    /**\n     * @private\n     * Closes the dialog if it\'s not already closed. For unit testing only.\n     */\n    InstallExtensionDialog.prototype._close = function () {\n        if (this._state !== STATE_CLOSED) {\n            this._enterState(STATE_CLOSED);\n        }\n    };\n\n    /**\n     * Initialize and show the dialog.\n     * @param {string=} urlToInstall If specified, immediately starts installing the given file as if the user had\n     *     specified it.\n     * @return {$.Promise} A promise object that will be resolved when the selected extension\n     *     has finished installing, or rejected if the dialog is cancelled.\n     */\n    InstallExtensionDialog.prototype.show = function (urlToInstall) {\n        if (this._state !== STATE_CLOSED) {\n            // Somehow the dialog got invoked twice. Just ignore this.\n            return this._dialogDeferred.promise();\n        }\n\n        var context = {\n            Strings: Strings,\n            isUpdate: this._isUpdate,\n            includeBrowseExtensions: !!brackets.config.extension_listing_url\n        };\n\n        // We ignore the promise returned by showModalDialogUsingTemplate, since we\'re managing the\n        // lifecycle of the dialog ourselves.\n        Dialogs.showModalDialogUsingTemplate(Mustache.render(InstallDialogTemplate, context), false);\n\n        this.$dlg          = $(".install-extension-dialog.instance");\n        this.$url          = this.$dlg.find(".url").focus();\n        this.$okButton     = this.$dlg.find(".dialog-button[data-button-id=\'ok\']");\n        this.$cancelButton = this.$dlg.find(".dialog-button[data-button-id=\'cancel\']");\n        this.$inputArea    = this.$dlg.find(".input-field");\n        this.$msgArea      = this.$dlg.find(".message-field");\n        this.$msg          = this.$msgArea.find(".message");\n        this.$browseExtensionsButton = this.$dlg.find(".browse-extensions");\n\n        this.$okButton.on("click", this._handleOk.bind(this));\n        this.$cancelButton.on("click", this._handleCancel.bind(this));\n        this.$url.on("input", this._handleUrlInput.bind(this));\n        this.$browseExtensionsButton.on("click", function () {\n            NativeApp.openURLInDefaultBrowser(brackets.config.extension_listing_url);\n        });\n        $(window.document.body).on("keyup.installDialog", this._handleKeyUp.bind(this));\n\n        this._enterState(STATE_START);\n        if (urlToInstall) {\n            // Act as if the user had manually entered the URL.\n            this.$url.val(urlToInstall);\n            this._enterState(STATE_VALID_URL);\n            this._enterState(STATE_INSTALLING);\n        }\n\n        this._dialogDeferred = new $.Deferred();\n        return this._dialogDeferred.promise();\n    };\n\n\n    /** Mediates between this module and the Package extension-installation utils. Mockable for unit-testing. */\n    function InstallerFacade(isLocalFile) {\n        this._isLocalFile = isLocalFile;\n    }\n\n    InstallerFacade.prototype.install = function (url) {\n        if (this.pendingInstall) {\n            console.error("Extension installation already pending");\n            return new $.Deferred().reject("DOWNLOAD_ID_IN_USE").promise();\n        }\n\n        if (this._isLocalFile) {\n            var deferred = new $.Deferred();\n\n            this.pendingInstall = {\n                promise: deferred.promise(),\n                cancel: function () {\n                    // Can\'t cancel local zip installs\n                }\n            };\n\n            Package.installFromPath(url).then(function (installationResult) {\n                // Flag to keep zip files for local file installation\n                installationResult.keepFile = true;\n                deferred.resolve(installationResult);\n            }, deferred.reject);\n        } else {\n            this.pendingInstall = Package.installFromURL(url);\n        }\n\n        // Store now since we\'ll null pendingInstall immediately if the promise was resolved synchronously\n        var promise = this.pendingInstall.promise;\n\n        var self = this;\n        this.pendingInstall.promise.always(function () {\n            self.pendingInstall = null;\n        });\n\n        return promise;\n    };\n    InstallerFacade.prototype.cancel = function () {\n        this.pendingInstall.cancel();\n    };\n\n    /**\n     * @private\n     * Show a dialog that allows the user to enter the URL of an extension ZIP file to install.\n     * @return {$.Promise} A promise object that will be resolved when the selected extension\n     *     has finished installing, or rejected if the dialog is cancelled.\n     */\n    function showDialog() {\n        var dlg = new InstallExtensionDialog(new InstallerFacade());\n        return dlg.show();\n    }\n\n    /**\n     * @private\n     * Show the installation dialog and automatically begin installing the given URL.\n     * @param {(string|File)=} urlOrFileToInstall If specified, immediately starts installing the given file as if the user had\n     *     specified it.\n     * @return {$.Promise} A promise object that will be resolved when the selected extension\n     *     has finished installing, or rejected if the dialog is cancelled.\n     */\n    function installUsingDialog(urlOrFileToInstall, _isUpdate) {\n        var isLocalFile = (urlOrFileToInstall instanceof File),\n            dlg = new InstallExtensionDialog(new InstallerFacade(isLocalFile), _isUpdate);\n\n        return dlg.show(urlOrFileToInstall.fullPath || urlOrFileToInstall);\n    }\n\n    /**\n     * @private\n     * Show the update dialog and automatically begin downloading the update from the given URL.\n     * @param {string} urlToUpdate URL to download\n     * @return {$.Promise} A promise object that will be resolved when the selected extension\n     *     has finished downloading, or rejected if the dialog is cancelled.\n     */\n    function updateUsingDialog(urlToUpdate) {\n        return installUsingDialog(urlToUpdate, true);\n    }\n\n    exports.showDialog          = showDialog;\n    exports.installUsingDialog  = installUsingDialog;\n    exports.updateUsingDialog   = updateUsingDialog;\n\n    // Exposed for unit testing only\n    exports._Dialog = InstallExtensionDialog;\n});\n\n//# sourceURL=/extensibility/InstallExtensionDialog.js'),
eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*\n * N.B.: This file was copied from `lib/registry_utils.js` in `https://github.com/adobe/brackets-registry`.\n * We can\'t use the exact same file currently because Brackets uses AMD-style modules, so this version has\n * the AMD wrapper added (and is reindented to avoid JSLint complaints).. If changes are made here, the\n * version in the registry app should be kept in sync.\n * In the future, we should have a better mechanism for sharing code between the two.\n */\n\ndefine(\'extensibility/registry_utils\',[\'require\',\'exports\',\'module\'],function (require, exports, module) {\n    "use strict";\n\n    // From Brackets StringUtils\n    function htmlEscape(str) {\n        return String(str)\n            .replace(/&/g, "&amp;")\n            .replace(/"/g, "&quot;")\n            .replace(/\'/g, "&#39;")\n            .replace(/</g, "&lt;")\n            .replace(/>/g, "&gt;");\n    }\n\n    /**\n     * Gets the last version from the given object and returns the short form of its date.\n     * Assumes "this" is the current template context.\n     * @return {string} The formatted date.\n     */\n    exports.lastVersionDate = function () {\n        var result;\n        if (this.versions && this.versions.length) {\n            result = this.versions[this.versions.length - 1].published;\n            if (result) {\n                result = new Date(result);\n                result = result.toLocaleDateString(brackets.getLocale(), {\n                    "year": "numeric",\n                    "month": "2-digit",\n                    "day": "2-digit"\n                });\n            }\n        }\n        return result || "";\n    };\n\n    /**\n     * Returns a more friendly display form of the owner\'s internal user id.\n     * Assumes "this" is the current template context.\n     * @return {string} A display version in the form "id (service)".\n     */\n    exports.formatUserId = function () {\n        var friendlyName;\n        if (this.owner) {\n            var nameComponents = this.owner.split(":");\n            friendlyName = nameComponents[1];\n        }\n        return friendlyName;\n    };\n\n    /**\n     * Given a registry item, returns a URL that represents its owner\'s page on the auth service.\n     * Currently only handles GitHub.\n     * Assumes "this" is the current template context.\n     * @return {string} A link to that user\'s page on the service.\n     */\n    exports.ownerLink = function () {\n        var url;\n        if (this.owner) {\n            var nameComponents = this.owner.split(":");\n            if (nameComponents[0] === "github") {\n                url = "https://github.com/" + nameComponents[1];\n            }\n        }\n        return url;\n    };\n\n    /**\n     * Given a registry item, formats the author information, including a link to the owner\'s\n     * github page (if available) and the author\'s name from the metadata.\n     */\n    exports.authorInfo = function () {\n        var result = "",\n            ownerLink = exports.ownerLink.call(this),\n            userId = exports.formatUserId.call(this);\n        if (this.metadata && this.metadata.author) {\n            result = htmlEscape(this.metadata.author.name || this.metadata.author);\n        } else if (userId) {\n            result = htmlEscape(userId);\n        }\n        if (ownerLink) {\n            result = "<a href=\'" + htmlEscape(ownerLink) + "\' title=\'" + htmlEscape(ownerLink) + "\'>" + result + "</a>";\n        }\n        return result;\n    };\n\n    /**\n     * Returns an array of current registry entries, sorted by the publish date of the latest version of each entry.\n     * @param {object} registry The unsorted registry.\n     * @param {string} subkey The subkey to look for the registry metadata in. If unspecified, assumes\n     *     we should look at the top level of the object.\n     * @return {Array} Sorted array of registry entries.\n     */\n    exports.sortRegistry = function (registry, subkey, sortBy) {\n        function getPublishTime(entry) {\n            if (entry.versions) {\n                return new Date(entry.versions[entry.versions.length - 1].published).getTime();\n            }\n\n            return Number.NEGATIVE_INFINITY;\n        }\n\n        var sortedEntries = [];\n\n        // Sort the registry by last published date (newest first).\n        Object.keys(registry).forEach(function (key) {\n            sortedEntries.push(registry[key]);\n        });\n        sortedEntries.sort(function (entry1, entry2) {\n            if (sortBy !== "publishedDate") {\n                if (entry1.registryInfo && entry2.registryInfo) {\n                    return entry2.registryInfo.totalDownloads - entry1.registryInfo.totalDownloads;\n                } else {\n                    return Number.NEGATIVE_INFINITY;\n                }\n            } else {\n                return getPublishTime((subkey && entry2[subkey]) || entry2) -\n                    getPublishTime((subkey && entry1[subkey]) || entry1);\n            }\n        });\n\n        return sortedEntries;\n    };\n});\n\n//# sourceURL=/extensibility/registry_utils.js'),eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n *  Utilities functions related to localization/i18n\n */\ndefine(\'utils/LocalizationUtils\',[\'require\',\'exports\',\'module\',\'strings\'],function (require, exports, module) {\n    "use strict";\n\n    var Strings = require("strings");\n\n    /*\n     * Converts a language code to its written name, if possible.\n     * If not possible, the language code is simply returned.\n     *\n     * @param {string} locale The two-char language code\n     * @return {string} The language\'s name or the given language code\n     */\n    function getLocalizedLabel(locale) {\n        var key  = "LOCALE_" + locale.toUpperCase().replace("-", "_"),\n            i18n = Strings[key];\n\n        return i18n === undefined ? locale : i18n;\n    }\n\n\n    // Define public API\n    exports.getLocalizedLabel = getLocalizedLabel;\n});\n\n//# sourceURL=/utils/LocalizationUtils.js'),eval('define(\'text!htmlContent/extension-manager-view-item.html\',[],function () { return \'<tr>\\n    <td class="ext-info">\\n        <span class="ext-name">{{#metadata.title}}{{metadata.title}}{{/metadata.title}}{{^metadata.title}}{{metadata.name}}{{/metadata.title}}</span>\\n        {{#authorInfo}}\\n            <span class="muted ext-author">{{{authorInfo}}}</span>\\n        {{/authorInfo}}\\n        <span class="muted ext-version">{{metadata.version}}</span>\\n        {{#hasVersionInfo}}\\n            <span class="muted ext-date"> &mdash; {{lastVersionDate}}</span>\\n        {{/hasVersionInfo}}\\n        {{#downloadCount}}\\n            <p title="{{downloadCount}} {{Strings.EXTENSIONS_DOWNLOADS}}"><img src="styles/images/download-icon.svg"/> {{downloadCount}}</p>\\n        {{/downloadCount}}\\n    </td>\\n    <td class="ext-desc">\\n        {{#showInstallButton}}\\n            <!-- Warnings when trying to install extension where latest/all versions not compatible -->\\n            {{^isCompatible}}\\n                <div class="alert warning">\\n                    {{#requiresNewer}}{{Strings.EXTENSION_INCOMPATIBLE_NEWER}}{{/requiresNewer}}\\n                    {{^requiresNewer}}{{Strings.EXTENSION_INCOMPATIBLE_OLDER}}{{/requiresNewer}}\\n                </div>\\n            {{/isCompatible}}\\n            {{#isCompatible}}\\n                {{^isCompatibleLatest}}\\n                    <div class="alert warning">\\n                        {{installWarning}}\\n                    </div>\\n                {{/isCompatibleLatest}}\\n            {{/isCompatible}}\\n        {{/showInstallButton}}\\n        <span class="ext-full-description">\\n            {{#metadata.shortdescription}}\\n                {{metadata.shortdescription}}\\n            {{/metadata.shortdescription}}\\n            {{^metadata.shortdescription}}\\n                {{#metadata.description}}\\n                    {{metadata.description}}\\n                {{/metadata.description}}\\n                {{^metadata.description}}\\n                    <p class="muted"><em>{{Strings.EXTENSION_NO_DESCRIPTION}}</em></p>\\n                {{/metadata.description}}\\n            {{/metadata.shortdescription}}\\n        </span>\\n        {{#metadata.shortdescription}}\\n        <a data-extension-id="{{metadata.name}}" data-toggle-desc="expand-desc" title="{{Strings.VIEW_COMPLETE_DESCRIPTION}}" href="#">...</a>\\n        {{/metadata.shortdescription}}\\n        {{#metadata.homepage}}\\n            <p><a title="{{metadata.homepage}}" href="{{metadata.homepage}}">{{Strings.EXTENSION_MORE_INFO}}</a></p>\\n        {{/metadata.homepage}}\\n        {{#translated}}\\n            <br/>\\n            <span class="ext-translated" title="{{translatedLangs}}">{{extensionTranslated}}</span>\\n        {{/translated}}\\n    </td>\\n    <td class="ext-action">\\n        <div>\\n        {{#showInstallButton}}\\n            <button class="btn btn-mini install" data-extension-id="{{metadata.name}}" {{^allowInstall}}disabled{{/allowInstall}}>\\n                {{^isInstalled}}{{Strings.INSTALL}}{{/isInstalled}}\\n                {{#isInstalled}}{{Strings.EXTENSION_INSTALLED}}{{/isInstalled}}\\n            </button>\\n        {{/showInstallButton}}\\n        {{#isInstalled}}\\n            {{#showUpdateButton}}\\n                <button class="btn btn-mini update" data-extension-id="{{metadata.name}}" {{^allowUpdate}}disabled title="{{updateNotAllowedReason}}"{{/allowUpdate}}>\\n                    {{Strings.UPDATE}}\\n                </button>\\n            {{/showUpdateButton}}\\n            {{#disablingAllowed}}\\n                {{#showUpdateButton}}\\n                </div><div>\\n                {{/showUpdateButton}}\\n                <button class="btn btn-mini disable" data-extension-id="{{metadata.name}}">\\n                    {{Strings.DISABLE}}\\n                </button>\\n            {{/disablingAllowed}}\\n            {{#enablingAllowed}}\\n                <button class="btn btn-mini enable" data-extension-id="{{metadata.name}}">\\n                    {{Strings.ENABLE}}\\n                </button>\\n            {{/enablingAllowed}}\\n            {{#removalAllowed}}\\n                <button class="btn btn-mini remove" data-extension-id="{{metadata.name}}" {{^allowRemove}}disabled title="{{Strings.CANT_REMOVE_DEV}}"{{/allowRemove}}>\\n                    {{Strings.REMOVE}}\\n                </button>\\n            {{/removalAllowed}}\\n            {{#failedToStart}}\\n                {{^isMarkedForRemoval}}\\n                    {{Strings.EXTENSION_ERROR}} {{#allowRemove}}(<a class="remove" data-extension-id="{{metadata.name}}">{{Strings.REMOVE}}</a>){{/allowRemove}}\\n                {{/isMarkedForRemoval}}\\n            {{/failedToStart}}\\n            {{#isMarkedForRemoval}}\\n                {{Strings.MARKED_FOR_REMOVAL}} (<a class="undo-remove" data-extension-id="{{metadata.name}}" href="#">{{Strings.UNDO_REMOVE}}</a>)\\n            {{/isMarkedForRemoval}}\\n            {{#isMarkedForDisabling}}\\n                {{Strings.MARKED_FOR_DISABLING}} (<a class="undo-disable" data-extension-id="{{metadata.name}}" href="#">{{Strings.UNDO_DISABLE}}</a>)\\n            {{/isMarkedForDisabling}}\\n            {{#isMarkedForUpdate}}\\n                {{Strings.MARKED_FOR_UPDATE}} (<a class="undo-update" data-extension-id="{{metadata.name}}" href="#">{{Strings.UNDO_UPDATE}}</a>)\\n            {{/isMarkedForUpdate}}\\n        {{/isInstalled}}\\n        </div>\\n    </td>\\n</tr>\';});\n\n//# sourceURL=/text!htmlContent/extension-manager-view-item.html'),eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*unittests: ExtensionManager*/\n\ndefine(\'extensibility/ExtensionManagerView\',[\'require\',\'exports\',\'module\',\'strings\',\'utils/EventDispatcher\',\'utils/StringUtils\',\'extensibility/ExtensionManager\',\'extensibility/registry_utils\',\'extensibility/InstallExtensionDialog\',\'utils/LocalizationUtils\',\'language/LanguageManager\',\'thirdparty/mustache/mustache\',\'thirdparty/path-utils/path-utils\',\'text!htmlContent/extension-manager-view-item.html\',\'preferences/PreferencesManager\'],function (require, exports, module) {\n    "use strict";\n\n    var Strings                   = require("strings"),\n        EventDispatcher           = require("utils/EventDispatcher"),\n        StringUtils               = require("utils/StringUtils"),\n        ExtensionManager          = require("extensibility/ExtensionManager"),\n        registry_utils            = require("extensibility/registry_utils"),\n        InstallExtensionDialog    = require("extensibility/InstallExtensionDialog"),\n        LocalizationUtils         = require("utils/LocalizationUtils"),\n        LanguageManager           = require("language/LanguageManager"),\n        Mustache                  = require("thirdparty/mustache/mustache"),\n        PathUtils                 = require("thirdparty/path-utils/path-utils"),\n        itemTemplate              = require("text!htmlContent/extension-manager-view-item.html"),\n        PreferencesManager        = require("preferences/PreferencesManager");\n        \n\n    /**\n     * Create a detached link element, so that we can use it later to extract url details like \'protocol\'\n     */\n    var _tmpLink = window.document.createElement(\'a\');\n\n    /**\n     * Creates a view enabling the user to install and manage extensions. Must be initialized\n     * with initialize(). When the view is closed, dispose() must be called.\n     * @constructor\n     */\n    function ExtensionManagerView() {\n    }\n    EventDispatcher.makeEventDispatcher(ExtensionManagerView.prototype);\n\n    /**\n     * Initializes the view to show a set of extensions.\n     * @param {ExtensionManagerViewModel} model Model object containing extension data to view\n     * @return {$.Promise} a promise that\'s resolved once the view has been initialized. Never\n     *     rejected.\n     */\n    ExtensionManagerView.prototype.initialize = function (model) {\n        var self = this,\n            result = new $.Deferred();\n        this.model = model;\n        this._itemTemplate = Mustache.compile(itemTemplate);\n        this._itemViews = {};\n        this.$el = $("<div class=\'extension-list tab-pane\' id=\'" + this.model.source + "\'/>");\n        this._$emptyMessage = $("<div class=\'empty-message\'/>")\n            .appendTo(this.$el);\n        this._$infoMessage = $("<div class=\'info-message\'/>")\n            .appendTo(this.$el).html(this.model.infoMessage);\n        this._$table = $("<table class=\'table\'/>").appendTo(this.$el);\n        $(".sort-extensions").val(PreferencesManager.get("extensions.sort"));\n\n        this.model.initialize().done(function () {\n            self._setupEventHandlers();\n        }).always(function () {\n            self._render();\n            result.resolve();\n        });\n\n        return result.promise();\n    };\n\n    /**\n     * @type {jQueryObject}\n     * The root of the view\'s DOM tree.\n     */\n    ExtensionManagerView.prototype.$el = null;\n\n    /**\n     * @type {Model}\n     * The view\'s model. Handles sorting and filtering of items in the view.\n     */\n    ExtensionManagerView.prototype.model = null;\n\n    /**\n     * @type {jQueryObject}\n     * Element showing a message when there are no extensions.\n     */\n    ExtensionManagerView.prototype._$emptyMessage = null;\n\n    /**\n     * @private\n     * @type {jQueryObject}\n     * The root of the table inside the view.\n     */\n    ExtensionManagerView.prototype._$table = null;\n\n    /**\n     * @private\n     * @type {function} The compiled template we use for rendering items in the extension list.\n     */\n    ExtensionManagerView.prototype._itemTemplate = null;\n\n    /**\n     * @private\n     * @type {Object.<string, jQueryObject>}\n     * The individual views for each item, keyed by the extension ID.\n     */\n    ExtensionManagerView.prototype._itemViews = null;\n\n    /**\n     * Toggles between truncated and full length extension descriptions\n     * @param {string} id The id of the extension clicked\n     * @param {JQueryElement} $element The DOM element of the extension clicked\n     * @param {boolean} showFull true if full length description should be shown, false for shortened version.\n     */\n    ExtensionManagerView.prototype._toggleDescription = function (id, $element, showFull) {\n        var description, linkTitle,\n            info = this.model._getEntry(id);\n\n        // Toggle between appropriate descriptions and link title,\n        // depending on if extension is installed or not\n        if (showFull) {\n            description = info.metadata.description;\n            linkTitle = Strings.VIEW_TRUNCATED_DESCRIPTION;\n        } else {\n            description = info.metadata.shortdescription;\n            linkTitle = Strings.VIEW_COMPLETE_DESCRIPTION;\n        }\n\n        $element.data("toggle-desc", showFull ? "trunc-desc" : "expand-desc")\n                .attr("title", linkTitle)\n                .prev(".ext-full-description").text(description);\n    };\n\n    /**\n     * @private\n     * Attaches our event handlers. We wait to do this until we\'ve fully fetched the extension list.\n     */\n    ExtensionManagerView.prototype._setupEventHandlers = function () {\n        var self = this;\n\n        // Listen for model data and filter changes.\n        this.model\n            .on("filter", function () {\n                self._render();\n            })\n            .on("change", function (e, id) {\n                var extensions = self.model.extensions,\n                    $oldItem = self._itemViews[id];\n                self._updateMessage();\n                if (self.model.filterSet.indexOf(id) === -1) {\n                    // This extension is not in the filter set. Remove it from the view if we\n                    // were rendering it previously.\n                    if ($oldItem) {\n                        $oldItem.remove();\n                        delete self._itemViews[id];\n                    }\n                } else {\n                    // Render the item, replacing the old item if we had previously rendered it.\n                    var $newItem = self._renderItem(extensions[id], self.model._getEntry(id));\n                    if ($oldItem) {\n                        $oldItem.replaceWith($newItem);\n                        self._itemViews[id] = $newItem;\n                    }\n                }\n            });\n\n        // UI event handlers\n        this.$el\n            .on("click", "a", function (e) {\n                var $target = $(e.target);\n                if ($target.hasClass("undo-remove")) {\n                    ExtensionManager.markForRemoval($target.attr("data-extension-id"), false);\n                } else if ($target.hasClass("remove")) {\n                    ExtensionManager.markForRemoval($target.attr("data-extension-id"), true);\n                } else if ($target.hasClass("undo-update")) {\n                    ExtensionManager.removeUpdate($target.attr("data-extension-id"));\n                } else if ($target.hasClass("undo-disable")) {\n                    ExtensionManager.markForDisabling($target.attr("data-extension-id"), false);\n                } else if ($target.data("toggle-desc") === "expand-desc") {\n                    this._toggleDescription($target.attr("data-extension-id"), $target, true);\n                } else if ($target.data("toggle-desc") === "trunc-desc") {\n                    this._toggleDescription($target.attr("data-extension-id"), $target, false);\n                }\n            }.bind(this))\n            .on("click", "button.install", function (e) {\n                self._installUsingDialog($(e.target).attr("data-extension-id"));\n            })\n            .on("click", "button.update", function (e) {\n                self._installUsingDialog($(e.target).attr("data-extension-id"), true);\n            })\n            .on("click", "button.remove", function (e) {\n                ExtensionManager.markForRemoval($(e.target).attr("data-extension-id"), true);\n            })\n            .on("click", "button.disable", function (e) {\n                ExtensionManager.markForDisabling($(e.target).attr("data-extension-id"), true);\n            })\n            .on("click", "button.enable", function (e) {\n                ExtensionManager.enable($(e.target).attr("data-extension-id"));\n            });\n    };\n\n    /**\n     * @private\n     * Renders the view for a single extension entry.\n     * @param {Object} entry The extension entry to render.\n     * @param {Object} info The extension\'s metadata.\n     * @return {jQueryObject} The rendered node as a jQuery object.\n     */\n    ExtensionManagerView.prototype._renderItem = function (entry, info) {\n        // Create a Mustache context object containing the entry data and our helper functions.\n\n        // Start with the basic info from the given entry, either the installation info or the\n        // registry info depending on what we\'re listing.\n        var context = $.extend({}, info);\n\n        // Normally we would merge the strings into the context we\'re passing into the template,\n        // but since we\'re instantiating the template for every item, it seems wrong to take the hit\n        // of copying all the strings into the context, so we just make it a subfield.\n        context.Strings = Strings;\n\n        // Calculate various bools, since Mustache doesn\'t let you use expressions and interprets\n        // arrays as iteration contexts.\n        context.isInstalled = !!entry.installInfo;\n        context.failedToStart = (entry.installInfo && entry.installInfo.status === ExtensionManager.START_FAILED);\n        context.disabled = (entry.installInfo && entry.installInfo.status === ExtensionManager.DISABLED);\n        context.hasVersionInfo = !!info.versions;\n\n        if (entry.registryInfo) {\n            var latestVerCompatInfo = ExtensionManager.getCompatibilityInfo(entry.registryInfo, brackets.metadata.apiVersion);\n            context.isCompatible = latestVerCompatInfo.isCompatible;\n            context.requiresNewer = latestVerCompatInfo.requiresNewer;\n            context.isCompatibleLatest = latestVerCompatInfo.isLatestVersion;\n            if (!context.isCompatibleLatest) {\n                var installWarningBase = context.requiresNewer ? Strings.EXTENSION_LATEST_INCOMPATIBLE_NEWER : Strings.EXTENSION_LATEST_INCOMPATIBLE_OLDER;\n                context.installWarning = StringUtils.format(installWarningBase, entry.registryInfo.versions[entry.registryInfo.versions.length - 1].version, latestVerCompatInfo.compatibleVersion);\n            }\n            context.downloadCount = entry.registryInfo.totalDownloads;\n        } else {\n            // We should only get here when viewing the Installed tab and some extensions don\'t exist in the registry\n            // (or registry is offline). These flags *should* always be ignored in that scenario, but just in case...\n            context.isCompatible = context.isCompatibleLatest = true;\n        }\n\n        // Check if extension metadata contains localized content.\n        var lang            = brackets.getLocale(),\n            shortLang       = lang.split("-")[0];\n        if (info.metadata["package-i18n"]) {\n            [shortLang, lang].forEach(function (locale) {\n                if (info.metadata["package-i18n"].hasOwnProperty(locale)) {\n                    // only overlay specific properties with the localized values\n                    ["title", "description", "homepage", "keywords"].forEach(function (prop) {\n                        if (info.metadata["package-i18n"][locale].hasOwnProperty(prop)) {\n                            info.metadata[prop] = info.metadata["package-i18n"][locale][prop];\n                        }\n                    });\n                }\n            });\n        }\n\n        if (info.metadata.description !== undefined) {\n            info.metadata.shortdescription = StringUtils.truncate(info.metadata.description, 200);\n        }\n\n        context.isMarkedForRemoval = ExtensionManager.isMarkedForRemoval(info.metadata.name);\n        context.isMarkedForDisabling = ExtensionManager.isMarkedForDisabling(info.metadata.name);\n        context.isMarkedForUpdate = ExtensionManager.isMarkedForUpdate(info.metadata.name);\n        var hasPendingAction = context.isMarkedForDisabling || context.isMarkedForRemoval || context.isMarkedForUpdate;\n\n        context.showInstallButton = (this.model.source === this.model.SOURCE_REGISTRY || this.model.source === this.model.SOURCE_THEMES) && !context.updateAvailable;\n        context.showUpdateButton = context.updateAvailable && !context.isMarkedForUpdate && !context.isMarkedForRemoval;\n\n        context.allowInstall = context.isCompatible && !context.isInstalled;\n\n        if (Array.isArray(info.metadata.i18n) && info.metadata.i18n.length > 0) {\n            context.translated = true;\n            context.translatedLangs =\n                info.metadata.i18n.map(function (value) {\n                    if (value === "root") {\n                        value = "en";\n                    }\n                    return { name: LocalizationUtils.getLocalizedLabel(value), locale: value };\n                })\n                .sort(function (lang1, lang2) {\n                    // List users language first\n                    var locales         = [lang1.locale, lang2.locale],\n                        userLangIndex   = locales.indexOf(lang);\n                    if (userLangIndex > -1) {\n                        return userLangIndex;\n                    }\n                    userLangIndex = locales.indexOf(shortLang);\n                    if (userLangIndex > -1) {\n                        return userLangIndex;\n                    }\n\n                    return lang1.name.localeCompare(lang2.name);\n                })\n                .map(function (value) {\n                    return value.name;\n                })\n                .join(", ");\n            context.translatedLangs = StringUtils.format(Strings.EXTENSION_TRANSLATED_LANGS, context.translatedLangs);\n\n            // If the selected language is System Default, match both the short (2-char) language code\n            // and the long one\n            var translatedIntoUserLang =\n                (brackets.isLocaleDefault() && info.metadata.i18n.indexOf(shortLang) > -1) ||\n                info.metadata.i18n.indexOf(lang) > -1;\n            context.extensionTranslated = StringUtils.format(\n                translatedIntoUserLang ? Strings.EXTENSION_TRANSLATED_USER_LANG : Strings.EXTENSION_TRANSLATED_GENERAL,\n                info.metadata.i18n.length\n            );\n        }\n\n        var isInstalledInUserFolder = (entry.installInfo && entry.installInfo.locationType === ExtensionManager.LOCATION_USER);\n        context.allowRemove = isInstalledInUserFolder;\n        context.allowUpdate = context.showUpdateButton && context.isCompatible && context.updateCompatible && isInstalledInUserFolder;\n        if (!context.allowUpdate) {\n            context.updateNotAllowedReason = isInstalledInUserFolder ? Strings.CANT_UPDATE : Strings.CANT_UPDATE_DEV;\n        }\n\n        context.removalAllowed = this.model.source === "installed" &&\n            !context.failedToStart && !hasPendingAction;\n        context.disablingAllowed = this.model.source === "installed" &&\n            !context.disabled && !hasPendingAction;\n        context.enablingAllowed = this.model.source === "installed" &&\n            context.disabled && !hasPendingAction;\n\n        // Copy over helper functions that we share with the registry app.\n        ["lastVersionDate", "authorInfo"].forEach(function (helper) {\n            context[helper] = registry_utils[helper];\n        });\n\n        // Do some extra validation on homepage url to make sure we don\'t end up executing local binary\n        if (context.metadata.homepage) {\n            var parsed = PathUtils.parseUrl(context.metadata.homepage);\n\n            // We can\'t rely on path-utils because of known problems with protocol identification\n            // Falling back to Browsers protocol identification mechanism\n            _tmpLink.href = context.metadata.homepage;\n\n            // Check if the homepage refers to a local resource\n            if (_tmpLink.protocol === "file:") {\n                var language = LanguageManager.getLanguageForExtension(parsed.filenameExtension.replace(/^\\./, \'\'));\n                // If identified language for the local resource is binary, don\'t list it\n                if (language && language.isBinary()) {\n                    delete context.metadata.homepage;\n                }\n            }\n        }\n\n        return $(this._itemTemplate(context));\n    };\n\n    /**\n     * @private\n     * Display an optional message (hiding the extension list if displayed)\n     * @return {boolean} Returns true if a message is displayed\n     */\n    ExtensionManagerView.prototype._updateMessage = function () {\n        if (this.model.message) {\n            this._$emptyMessage.css("display", "block");\n            this._$emptyMessage.html(this.model.message);\n            this._$infoMessage.css("display", "none");\n            this._$table.css("display", "none");\n\n            return true;\n        } else {\n            this._$emptyMessage.css("display", "none");\n            this._$infoMessage.css("display", this.model.infoMessage ? "block" : "none");\n            this._$table.css("display", "");\n\n            return false;\n        }\n    };\n\n    /**\n     * @private\n     * Renders the extension entry table based on the model\'s current filter set. Will create\n     * new items for entries that haven\'t yet been rendered, but will not re-render existing items.\n     */\n    ExtensionManagerView.prototype._render = function () {\n        var self = this;\n\n        this._$table.empty();\n        this._updateMessage();\n\n        this.model.filterSet.forEach(function (id) {\n            var $item = self._itemViews[id];\n            if (!$item) {\n                $item = self._renderItem(self.model.extensions[id], self.model._getEntry(id));\n                self._itemViews[id] = $item;\n            }\n            $item.appendTo(self._$table);\n        });\n\n        this.trigger("render");\n    };\n\n    /**\n     * @private\n     * Install the extension with the given ID using the install dialog.\n     * @param {string} id ID of the extension to install.\n     */\n    ExtensionManagerView.prototype._installUsingDialog = function (id, _isUpdate) {\n        var entry = this.model.extensions[id];\n        if (entry && entry.registryInfo) {\n            var compatInfo = ExtensionManager.getCompatibilityInfo(entry.registryInfo, brackets.metadata.apiVersion),\n                url = ExtensionManager.getExtensionURL(id, compatInfo.compatibleVersion);\n\n            // TODO: this should set .done on the returned promise\n            if (_isUpdate) {\n                InstallExtensionDialog.updateUsingDialog(url).done(ExtensionManager.updateFromDownload);\n            } else {\n                InstallExtensionDialog.installUsingDialog(url);\n            }\n        }\n    };\n\n    /**\n     * Filters the contents of the view.\n     * @param {string} query The query to filter by.\n     */\n    ExtensionManagerView.prototype.filter = function (query) {\n        this.model.filter(query);\n    };\n\n    exports.ExtensionManagerView = ExtensionManagerView;\n});\n\n//# sourceURL=/extensibility/ExtensionManagerView.js'),
eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*unittests: ExtensionManager*/\n\ndefine(\'extensibility/ExtensionManagerViewModel\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'extensibility/ExtensionManager\',\'extensibility/registry_utils\',\'utils/EventDispatcher\',\'strings\',\'preferences/PreferencesManager\'],function (require, exports, module) {\n    "use strict";\n\n    var _ = require("thirdparty/lodash");\n\n    var ExtensionManager    = require("extensibility/ExtensionManager"),\n        registry_utils      = require("extensibility/registry_utils"),\n        EventDispatcher     = require("utils/EventDispatcher"),\n        Strings             = require("strings"),\n        PreferencesManager  = require("preferences/PreferencesManager");\n\n    /**\n     * @private\n     * @type {Array}\n     * A list of fields to search when trying to search for a query string in an object. Each field is\n     * represented as an array of keys to recurse downward through the object. We store this here to avoid\n     * doing it for each search call.\n     */\n    var _searchFields = [["metadata", "name"], ["metadata", "title"], ["metadata", "description"],\n                         ["metadata", "author", "name"], ["metadata", "keywords"], ["owner"]];\n    /**\n     * The base model for the ExtensionManagerView. Keeps track of the extensions that are currently visible\n     * and manages sorting/filtering them. Must be disposed with dispose() when done.\n     * Events:\n     * - change - triggered when the data for a given extension changes. Second parameter is the extension id.\n     * - filter - triggered whenever the filtered set changes (including on initialize).\n     *\n     * @constructor\n     */\n    function ExtensionManagerViewModel() {\n        this._handleStatusChange = this._handleStatusChange.bind(this);\n\n        // Listen for extension status changes.\n        ExtensionManager\n            .on("statusChange." + this.source, this._handleStatusChange)\n            .on("registryUpdate." + this.source, this._handleStatusChange);\n    }\n    EventDispatcher.makeEventDispatcher(ExtensionManagerViewModel.prototype);\n\n    /**\n     * @type {string}\n     * Constant indicating that this model/view should initialize from the main extension registry.\n     */\n    ExtensionManagerViewModel.prototype.SOURCE_REGISTRY = "registry";\n\n    /**\n     * @type {string}\n     * Constant indicating that this model/view should initialize from the main extension registry with only themes.\n     */\n    ExtensionManagerViewModel.prototype.SOURCE_THEMES = "themes";\n\n    /**\n     * @type {string}\n     * Constant indicating that this model/view should initialize from the list of locally installed extensions.\n     */\n    ExtensionManagerViewModel.prototype.SOURCE_INSTALLED = "installed";\n\n    /**\n     * @type {Object}\n     * The current set of extensions managed by this model. Same as ExtensionManager.extensions.\n     */\n    ExtensionManagerViewModel.prototype.extensions = null;\n\n    /**\n     * @type {string}\n     * The current source for the model; one of the SOURCE_* keys above.\n     */\n    ExtensionManagerViewModel.prototype.source = null;\n\n    /**\n     * @type {Array.<Object>}\n     * The list of IDs of items matching the current query and sorted with the current sort.\n     */\n    ExtensionManagerViewModel.prototype.filterSet = null;\n\n    /**\n     * @type {Object}\n     * The list of all ids from the extension list, sorted with the current sort.\n     */\n    ExtensionManagerViewModel.prototype.sortedFullSet = null;\n\n    /**\n     * @private\n     * @type {string}\n     * The last query we filtered by. Used to optimize future searches.\n     */\n    ExtensionManagerViewModel.prototype._lastQuery = null;\n\n    /**\n     * @type {string}\n     * Info message to display to the user when listing extensions\n     */\n    ExtensionManagerViewModel.prototype.infoMessage = null;\n\n    /**\n     * @type {string}\n     * An optional message to display to the user\n     */\n    ExtensionManagerViewModel.prototype.message = null;\n\n    /**\n     * @type {number}\n     * Number to show in tab\'s notification icon. No icon shown if 0.\n     */\n    ExtensionManagerViewModel.prototype.notifyCount = 0;\n\n    /**\n     * @private {$.Promise}\n     * Internal use only to track when initialization fails, see usage in _updateMessage.\n     */\n    ExtensionManagerViewModel.prototype._initializeFromSourcePromise = null;\n\n    /**\n     * Unregisters listeners when we\'re done.\n     */\n    ExtensionManagerViewModel.prototype.dispose = function () {\n        ExtensionManager.off("." + this.source);\n    };\n\n    /**\n     * @private\n     * Sets up the initial filtered set based on the sorted full set.\n     */\n    ExtensionManagerViewModel.prototype._setInitialFilter = function () {\n        // Initial filtered list is the same as the sorted list.\n        this.filterSet = _.clone(this.sortedFullSet);\n        this.trigger("filter");\n    };\n\n    /**\n     * @private\n     * Re-sorts the current full set based on the source we\'re viewing.\n     * The base implementation does nothing.\n     */\n    ExtensionManagerViewModel.prototype._sortFullSet = function () { };\n\n    /**\n     * Initializes the model from the source.\n     */\n    ExtensionManagerViewModel.prototype.initialize = function () {\n        var self = this;\n\n        this._initializeFromSourcePromise = this._initializeFromSource().always(function () {\n            self._updateMessage();\n        });\n\n        return this._initializeFromSourcePromise;\n    };\n\n    /**\n     * @private\n     * Updates the initial set and filter as necessary when the status of an extension changes,\n     * and notifies listeners of the change.\n     * @param {$.Event} e The jQuery event object.\n     * @param {string} id The id of the extension whose status changed.\n     */\n    ExtensionManagerViewModel.prototype._handleStatusChange = function (e, id) {\n        this.trigger("change", id);\n    };\n\n    /**\n     * @private\n     * Searches for the given query in the current extension list and updates the filter set,\n     * dispatching a filter event.\n     * @param {string} query The string to search for.\n     * @param {boolean} force If true, always filter starting with the full set, not the last\n     *     query\'s filter.\n     */\n    ExtensionManagerViewModel.prototype.filter = function (query, force) {\n        var self = this, initialList;\n        if (!force && this._lastQuery && query.indexOf(this._lastQuery) === 0) {\n            // This is the old query with some new letters added, so we know we can just\n            // search in the current filter set. (This is true even if query has spaces).\n            initialList = this.filterSet;\n        } else {\n            // This is a new query, so start with the full list.\n            initialList = this.sortedFullSet;\n        }\n\n        var keywords = query.toLowerCase().split(/\\s+/);\n\n        // Takes \'extensionList\' and returns a version filtered to only those that match \'keyword\'\n        function filterForKeyword(extensionList, word) {\n            var filteredList = [];\n            extensionList.forEach(function (id) {\n                var entry = self._getEntry(id);\n                if (entry && self._entryMatchesQuery(entry, word)) {\n                    filteredList.push(id);\n                }\n            });\n            return filteredList;\n        }\n\n        // "AND" the keywords together: successively filter down the result set by each keyword in turn\n        var i, currentList = initialList;\n        for (i = 0; i < keywords.length; i++) {\n            currentList = filterForKeyword(currentList, keywords[i]);\n        }\n\n        this._lastQuery = query;\n        this.filterSet = currentList;\n\n        this._updateMessage();\n\n        this.trigger("filter");\n    };\n\n    /**\n     * @private\n     * Updates an optional message displayed to the user along with the extension list.\n     */\n    ExtensionManagerViewModel.prototype._updateMessage = function () {\n        if (this._initializeFromSourcePromise && this._initializeFromSourcePromise.state() === "rejected") {\n            this.message = Strings.EXTENSION_MANAGER_ERROR_LOAD;\n        } else if (this.filterSet && this.filterSet.length === 0) {\n            this.message = this.sortedFullSet && this.sortedFullSet.length ? Strings.NO_EXTENSION_MATCHES : Strings.NO_EXTENSIONS;\n        } else {\n            this.message = null;\n        }\n    };\n\n    /**\n     * @private\n     * This is to be overridden by subclasses to provide the metadata for the extension\n     * with the provided `id`.\n     *\n     * @param {string} id of the extension\n     * @return {Object?} extension metadata or null if there\'s no matching extension\n     */\n    ExtensionManagerViewModel.prototype._getEntry = function (id) {\n        return null;\n    };\n\n    /**\n     * @private\n     * Tests if the given entry matches the query.\n     * @param {Object} entry The extension entry to test.\n     * @param {string} query The query to match against.\n     * @return {boolean} Whether the query matches.\n     */\n    ExtensionManagerViewModel.prototype._entryMatchesQuery = function (entry, query) {\n        return query === "" ||\n            _searchFields.some(function (fieldSpec) {\n                var i, cur = entry;\n                for (i = 0; i < fieldSpec.length; i++) {\n                    // Recurse downward through the specified fields to the leaf value.\n                    cur = cur[fieldSpec[i]];\n                    if (!cur) {\n                        return false;\n                    }\n                }\n                // If the leaf value is an array (like keywords), search each item, otherwise\n                // just search in the string.\n                if (Array.isArray(cur)) {\n                    return cur.some(function (keyword) {\n                        return keyword.toLowerCase().indexOf(query) !== -1;\n                    });\n                } else if (fieldSpec[fieldSpec.length - 1] === "owner") {\n                    // Special handling: ignore the authentication source when querying,\n                    // since it\'s not useful to search on\n                    var components = cur.split(":");\n                    if (components[1].toLowerCase().indexOf(query) !== -1) {\n                        return true;\n                    }\n                } else if (cur.toLowerCase().indexOf(query) !== -1) {\n                    return true;\n                }\n            });\n    };\n\n    ExtensionManagerViewModel.prototype._setSortedExtensionList = function (extensions, isTheme) {\n        this.filterSet = this.sortedFullSet = registry_utils.sortRegistry(extensions, "registryInfo", PreferencesManager.get("extensions.sort"))\n            .filter(function (entry) {\n                if (!isTheme) {\n                    return entry.registryInfo && !entry.registryInfo.metadata.theme;\n                } else {\n                    return entry.registryInfo && entry.registryInfo.metadata.theme;\n                }\n            })\n            .map(function (entry) {\n                return entry.registryInfo.metadata.name;\n            });\n    };\n\n    /**\n     * The model for the ExtensionManagerView that is responsible for handling registry-based extensions.\n     * This extends ExtensionManagerViewModel.\n     * Must be disposed with dispose() when done.\n     *\n     * Events:\n     * - change - triggered when the data for a given extension changes. Second parameter is the extension id.\n     * - filter - triggered whenever the filtered set changes (including on initialize).\n     *\n     * @constructor\n     */\n    function RegistryViewModel() {\n        ExtensionManagerViewModel.call(this);\n        this.infoMessage = Strings.REGISTRY_SANITY_CHECK_WARNING;\n    }\n\n    RegistryViewModel.prototype = Object.create(ExtensionManagerViewModel.prototype);\n    RegistryViewModel.prototype.constructor = RegistryViewModel;\n\n    /**\n     * @type {string}\n     * RegistryViewModels always have a source of SOURCE_REGISTRY.\n     */\n    RegistryViewModel.prototype.source = ExtensionManagerViewModel.prototype.SOURCE_REGISTRY;\n\n    /**\n     * Initializes the model from the remote extension registry.\n     * @return {$.Promise} a promise that\'s resolved with the registry JSON data\n     * or rejected if the server can\'t be reached.\n     */\n    RegistryViewModel.prototype._initializeFromSource = function () {\n        var self = this;\n        return ExtensionManager.downloadRegistry()\n            .done(function () {\n                self.extensions = ExtensionManager.extensions;\n\n                // Sort the registry by last published date and store the sorted list of IDs.\n                self._setSortedExtensionList(ExtensionManager.extensions, false);\n                self._setInitialFilter();\n            })\n            .fail(function () {\n                self.extensions = [];\n                self.sortedFullSet = [];\n                self.filterSet = [];\n            });\n    };\n\n    /**\n     * @private\n     * Finds the extension metadata by id. If there is no extension matching the given id,\n     * this returns `null`.\n     * @param {string} id of the extension\n     * @return {Object?} extension metadata or null if there\'s no matching extension\n     */\n    RegistryViewModel.prototype._getEntry = function (id) {\n        var entry = this.extensions[id];\n        if (entry) {\n            return entry.registryInfo;\n        }\n        return entry;\n    };\n\n    /**\n     * The model for the ExtensionManagerView that is responsible for handling previously-installed extensions.\n     * This extends ExtensionManagerViewModel.\n     * Must be disposed with dispose() when done.\n     *\n     * Events:\n     * - change - triggered when the data for a given extension changes. Second parameter is the extension id.\n     * - filter - triggered whenever the filtered set changes (including on initialize).\n     *\n     * @constructor\n     */\n    function InstalledViewModel() {\n        ExtensionManagerViewModel.call(this);\n\n        // when registry is downloaded, sort extensions again - those with updates will be before others\n        var self = this;\n        ExtensionManager.on("registryDownload." + this.source, function () {\n            self._sortFullSet();\n            self._setInitialFilter();\n        });\n    }\n\n    InstalledViewModel.prototype = Object.create(ExtensionManagerViewModel.prototype);\n    InstalledViewModel.prototype.constructor = InstalledViewModel;\n\n    /**\n     * @type {string}\n     * InstalledViewModels always have a source of SOURCE_INSTALLED.\n     */\n    InstalledViewModel.prototype.source = ExtensionManagerViewModel.prototype.SOURCE_INSTALLED;\n\n    /**\n     * Initializes the model from the set of locally installed extensions, sorted\n     * alphabetically by id (or name of the extension folder for legacy extensions).\n     * @return {$.Promise} a promise that\'s resolved when we\'re done initializing.\n     */\n    InstalledViewModel.prototype._initializeFromSource = function () {\n        var self = this;\n        this.extensions = ExtensionManager.extensions;\n        this.sortedFullSet = Object.keys(this.extensions)\n            .filter(function (key) {\n                return self.extensions[key].installInfo &&\n                    self.extensions[key].installInfo.locationType !== ExtensionManager.LOCATION_DEFAULT;\n            });\n        this._sortFullSet();\n        this._setInitialFilter();\n        this._countUpdates();\n\n        return new $.Deferred().resolve().promise();\n    };\n\n    /**\n     * @private\n     * Re-sorts the current full set\n     */\n    InstalledViewModel.prototype._sortFullSet = function () {\n        var self = this;\n\n        this.sortedFullSet = this.sortedFullSet.sort(function (key1, key2) {\n            // before sorting by name, put first extensions that have updates\n            var ua1 = self.extensions[key1].installInfo.updateAvailable,\n                ua2 = self.extensions[key2].installInfo.updateAvailable;\n\n            if (ua1 && !ua2) {\n                return -1;\n            } else if (!ua1 && ua2) {\n                return 1;\n            }\n\n            var metadata1 = self.extensions[key1].installInfo.metadata,\n                metadata2 = self.extensions[key2].installInfo.metadata,\n                id1 = (metadata1.title || metadata1.name).toLocaleLowerCase(),\n                id2 = (metadata2.title || metadata2.name).toLocaleLowerCase();\n\n            return id1.localeCompare(id2);\n        });\n    };\n\n    /**\n     * @private\n     * Updates notifyCount based on number of extensions with an update available\n     */\n    InstalledViewModel.prototype._countUpdates = function () {\n        var self = this;\n        this.notifyCount = 0;\n        this.sortedFullSet.forEach(function (key) {\n            if (self.extensions[key].installInfo.updateCompatible && !ExtensionManager.isMarkedForUpdate(key)) {\n                self.notifyCount++;\n            }\n        });\n    };\n\n    /**\n     * @private\n     * Updates the initial set and filter as necessary when the status of an extension changes,\n     * and notifies listeners of the change.\n     * @param {$.Event} e The jQuery event object.\n     * @param {string} id The id of the extension whose status changed.\n     */\n    InstalledViewModel.prototype._handleStatusChange = function (e, id) {\n        var index = this.sortedFullSet.indexOf(id),\n            refilter = false;\n        if (index !== -1 && !this.extensions[id].installInfo) {\n            // This was in our set, but was uninstalled. Remove it.\n            this.sortedFullSet.splice(index, 1);\n            this._countUpdates();  // may also affect update count\n            refilter = true;\n        } else if (index === -1 && this.extensions[id].installInfo) {\n            // This was not in our set, but is now installed. Add it and resort.\n            this.sortedFullSet.push(id);\n            this._sortFullSet();\n            refilter = true;\n        }\n        if (refilter) {\n            this.filter(this._lastQuery || "", true);\n        }\n\n        if (this.extensions[id].installInfo) {\n            // If our count of available updates may have been affected, re-count\n            this._countUpdates();\n        }\n\n        ExtensionManagerViewModel.prototype._handleStatusChange.call(this, e, id);\n    };\n\n    /**\n     * @private\n     * Finds the extension metadata by id. If there is no extension matching the given id,\n     * this returns `null`.\n     * @param {string} id of the extension\n     * @return {Object?} extension metadata or null if there\'s no matching extension\n     */\n    InstalledViewModel.prototype._getEntry = function (id) {\n        var entry = this.extensions[id];\n        if (entry) {\n            return entry.installInfo;\n        }\n        return entry;\n    };\n\n    /**\n     * The model for the ExtensionManagerView that is responsible for handling registry-based theme extensions.\n     * This extends ExtensionManagerViewModel.\n     * Must be disposed with dispose() when done.\n     *\n     * Events:\n     * - change - triggered when the data for a given extension changes. Second parameter is the extension id.\n     * - filter - triggered whenever the filtered set changes (including on initialize).\n     *\n     * @constructor\n     */\n    function ThemesViewModel() {\n        ExtensionManagerViewModel.call(this);\n    }\n\n    // Inheritance setup\n    ThemesViewModel.prototype = Object.create(ExtensionManagerViewModel.prototype);\n    ThemesViewModel.prototype.constructor = ThemesViewModel;\n\n    /**\n     * @type {string}\n     * ThemeViewModels always have a source of SOURCE_THEMES.\n     */\n    ThemesViewModel.prototype.source = ExtensionManagerViewModel.prototype.SOURCE_THEMES;\n\n    /**\n     * Initializes the model from the remote extension registry.\n     * @return {$.Promise} a promise that\'s resolved with the registry JSON data.\n     */\n    ThemesViewModel.prototype._initializeFromSource = function () {\n        var self = this;\n        return ExtensionManager.downloadRegistry()\n            .done(function () {\n                self.extensions = ExtensionManager.extensions;\n\n                // Sort the registry by last published date and store the sorted list of IDs.\n                self._setSortedExtensionList(ExtensionManager.extensions, true);\n                self._setInitialFilter();\n            })\n            .fail(function () {\n                self.extensions = [];\n                self.sortedFullSet = [];\n                self.filterSet = [];\n            });\n    };\n\n    /**\n     * @private\n     * Finds the theme extension metadata by id. If there is no theme extension matching the given id,\n     * this returns `null`.\n     * @param {string} id of the theme extension\n     * @return {Object?} extension metadata or null if there\'s no matching extension\n     */\n    ThemesViewModel.prototype._getEntry = function (id) {\n        var entry = this.extensions[id];\n        if (entry) {\n            return entry.registryInfo;\n        }\n        return entry;\n    };\n\n    exports.RegistryViewModel = RegistryViewModel;\n    exports.ThemesViewModel = ThemesViewModel;\n    exports.InstalledViewModel = InstalledViewModel;\n});\n//# sourceURL=/extensibility/ExtensionManagerViewModel.js'),eval('define(\'text!htmlContent/extension-manager-dialog.html\',[],function () { return \'<div class="extension-manager-dialog modal">\\n    <div class="modal-header">\\n        <ul class="nav nav-tabs no-focus">\\n            {{#showRegistry}}\\n                <li><a href="#registry" class="registry" data-toggle="tab"><img src="styles/images/extension-manager-registry.svg"/><br/>{{Strings.EXTENSIONS_AVAILABLE_TITLE}}</a></li>\\n                <li><a href="#themes" class="themes" data-toggle="tab"><img src="styles/images/themes-icon.svg"/><br/>{{Strings.EXTENSIONS_THEMES_TITLE}}</a></li>\\n                <!--<li><a href="#updates" class="updates" data-toggle="tab"><img src="styles/images/extension-manager-updates.svg"/><br/>{{Strings.EXTENSIONS_UPDATES_TITLE}}</a></li>-->\\n            {{/showRegistry}}\\n            <li><a href="#installed" class="installed" data-toggle="tab"><span class="notification"></span><img src="styles/images/extension-manager-installed.svg"/><br/>{{Strings.EXTENSIONS_INSTALLED_TITLE}}</a></li>\\n        </ul>\\n        <div>\\n            <div class="ext-sort-group">\\n               <div id="sort-attributes-icon"></div>\\n               <select class="sort-extensions">\\n                   <option value="publishedDate">{{Strings.EXTENSIONS_LAST_UPDATED}}</option>\\n                   <option value="downloadCount">{{Strings.EXTENSIONS_DOWNLOADS}}</option>\\n               </select>\\n            </div>\\n            <button class="search-clear">&times;</button>\\n            <input class="search" type="text" placeholder="{{Strings.EXTENSION_SEARCH_PLACEHOLDER}}">\\n        </div>\\n    </div>\\n    <div class="modal-body no-padding table-striped tab-content">\\n        <div class=\\\'spinner large spin\\\'/>\\n    </div>\\n    <div class="modal-footer">\\n        <span id="install-drop-zone" class="btn left drag">\\n            <span class="install-drag-message">{{Strings.INSTALL_EXTENSION_DRAG}} <a class="install-from-url">{{Strings.INSTALL_FROM_URL}}</a></span>\\n            <span class="install-drop-message">{{Strings.INSTALL_EXTENSION_DROP}}</span>\\n            <span class="install-validating-message">{{Strings.INSTALL_EXTENSION_VALIDATING}}</span>\\n            <div id="install-drop-zone-mask"></div>\\n        </span>\\n        <button class="dialog-button btn primary" data-button-id="close">{{Strings.CLOSE}}</button>\\n    </div>\\n</div>\\n\';});\n\n//# sourceURL=/text!htmlContent/extension-manager-dialog.html'),eval("/* ========================================================\n * bootstrap-tab.js v2.3.1\n * http://twitter.github.com/bootstrap/javascript.html#tabs\n * ========================================================\n * Copyright 2012 Twitter, Inc.\n *\n * Licensed under the Apache License, Version 2.0 (the \"License\");\n * you may not use this file except in compliance with the License.\n * You may obtain a copy of the License at\n *\n * http://www.apache.org/licenses/LICENSE-2.0\n *\n * Unless required by applicable law or agreed to in writing, software\n * distributed under the License is distributed on an \"AS IS\" BASIS,\n * WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.\n * See the License for the specific language governing permissions and\n * limitations under the License.\n * ======================================================== */\n\n\n!function ($) {\n\n  \"use strict\"; // jshint ;_;\n\n\n /* TAB CLASS DEFINITION\n  * ==================== */\n\n  var Tab = function (element) {\n    this.element = $(element)\n  }\n\n  Tab.prototype = {\n\n    constructor: Tab\n\n  , show: function () {\n      var $this = this.element\n        , $ul = $this.closest('ul:not(.dropdown-menu)')\n        , selector = $this.attr('data-target')\n        , previous\n        , $target\n        , e\n\n      if (!selector) {\n        selector = $this.attr('href')\n        selector = selector && selector.replace(/.*(?=#[^\\s]*$)/, '') //strip for ie7\n      }\n\n      if ( $this.parent('li').hasClass('active') ) return\n\n      previous = $ul.find('.active:last a')[0]\n\n      e = $.Event('show', {\n        relatedTarget: previous\n      })\n\n      $this.trigger(e)\n\n      if (e.isDefaultPrevented()) return\n\n      $target = $(selector)\n\n      this.activate($this.parent('li'), $ul)\n      this.activate($target, $target.parent(), function () {\n        $this.trigger({\n          type: 'shown'\n        , relatedTarget: previous\n        })\n      })\n    }\n\n  , activate: function ( element, container, callback) {\n      var $active = container.find('> .active')\n        , transition = callback\n            && $.support.transition\n            && $active.hasClass('fade')\n\n      function next() {\n        $active\n          .removeClass('active')\n          .find('> .dropdown-menu > .active')\n          .removeClass('active')\n\n        element.addClass('active')\n\n        if (transition) {\n          element[0].offsetWidth // reflow for transition\n          element.addClass('in')\n        } else {\n          element.removeClass('fade')\n        }\n\n        if ( element.parent('.dropdown-menu') ) {\n          element.closest('li.dropdown').addClass('active')\n        }\n\n        callback && callback()\n      }\n\n      transition ?\n        $active.one($.support.transition.end, next) :\n        next()\n\n      $active.removeClass('in')\n    }\n  }\n\n\n /* TAB PLUGIN DEFINITION\n  * ===================== */\n\n  var old = $.fn.tab\n\n  $.fn.tab = function ( option ) {\n    return this.each(function () {\n      var $this = $(this)\n        , data = $this.data('tab')\n      if (!data) $this.data('tab', (data = new Tab(this)))\n      if (typeof option == 'string') data[option]()\n    })\n  }\n\n  $.fn.tab.Constructor = Tab\n\n\n /* TAB NO CONFLICT\n  * =============== */\n\n  $.fn.tab.noConflict = function () {\n    $.fn.tab = old\n    return this\n  }\n\n\n /* TAB DATA-API\n  * ============ */\n\n  $(document).on('click.tab.data-api', '[data-toggle=\"tab\"], [data-toggle=\"pill\"]', function (e) {\n    e.preventDefault()\n    $(this).tab('show')\n  })\n\n}(window.jQuery);\n//# sourceURL=/widgets/bootstrap-tab.js"),define("widgets/bootstrap-tab",function(){}),eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'extensibility/ExtensionManagerDialog\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'thirdparty/mustache/mustache\',\'widgets/Dialogs\',\'widgets/DefaultDialogs\',\'filesystem/FileSystem\',\'file/FileUtils\',\'extensibility/Package\',\'strings\',\'utils/StringUtils\',\'command/Commands\',\'command/CommandManager\',\'extensibility/InstallExtensionDialog\',\'utils/AppInit\',\'utils/Async\',\'utils/KeyEvent\',\'extensibility/ExtensionManager\',\'extensibility/ExtensionManagerView\',\'extensibility/ExtensionManagerViewModel\',\'preferences/PreferencesManager\',\'text!htmlContent/extension-manager-dialog.html\',\'widgets/bootstrap-tab\'],function (require, exports, module) {\n    "use strict";\n\n    var _                           = require("thirdparty/lodash"),\n        Mustache                    = require("thirdparty/mustache/mustache"),\n        Dialogs                     = require("widgets/Dialogs"),\n        DefaultDialogs              = require("widgets/DefaultDialogs"),\n        FileSystem                  = require("filesystem/FileSystem"),\n        FileUtils                   = require("file/FileUtils"),\n        Package                     = require("extensibility/Package"),\n        Strings                     = require("strings"),\n        StringUtils                 = require("utils/StringUtils"),\n        Commands                    = require("command/Commands"),\n        CommandManager              = require("command/CommandManager"),\n        InstallExtensionDialog      = require("extensibility/InstallExtensionDialog"),\n        AppInit                     = require("utils/AppInit"),\n        Async                       = require("utils/Async"),\n        KeyEvent                    = require("utils/KeyEvent"),\n        ExtensionManager            = require("extensibility/ExtensionManager"),\n        ExtensionManagerView        = require("extensibility/ExtensionManagerView").ExtensionManagerView,\n        ExtensionManagerViewModel   = require("extensibility/ExtensionManagerViewModel"),\n        PreferencesManager          = require("preferences/PreferencesManager");\n\n    var dialogTemplate    = require("text!htmlContent/extension-manager-dialog.html");\n\n    // bootstrap tabs component\n    require("widgets/bootstrap-tab");\n\n    var _activeTabIndex;\n\n    function _stopEvent(event) {\n        event.stopPropagation();\n        event.preventDefault();\n    }\n\n    /**\n     * @private\n     * Triggers changes requested by the dialog UI.\n     */\n    function _performChanges() {\n        // If an extension was removed or updated, prompt the user to quit Brackets.\n        var hasRemovedExtensions    = ExtensionManager.hasExtensionsToRemove(),\n            hasUpdatedExtensions    = ExtensionManager.hasExtensionsToUpdate(),\n            hasDisabledExtensions   = ExtensionManager.hasExtensionsToDisable();\n        if (!hasRemovedExtensions && !hasUpdatedExtensions && !hasDisabledExtensions) {\n            return;\n        }\n\n        var buttonLabel = Strings.CHANGE_AND_RELOAD;\n        if (hasRemovedExtensions && !hasUpdatedExtensions && !hasDisabledExtensions) {\n            buttonLabel = Strings.REMOVE_AND_RELOAD;\n        } else if (hasUpdatedExtensions && !hasRemovedExtensions && !hasDisabledExtensions) {\n            buttonLabel = Strings.UPDATE_AND_RELOAD;\n        } else if (hasDisabledExtensions && !hasRemovedExtensions && !hasUpdatedExtensions) {\n            buttonLabel = Strings.DISABLE_AND_RELOAD;\n        }\n\n        var dlg = Dialogs.showModalDialog(\n            DefaultDialogs.DIALOG_ID_CHANGE_EXTENSIONS,\n            Strings.CHANGE_AND_RELOAD_TITLE,\n            Strings.CHANGE_AND_RELOAD_MESSAGE,\n            [\n                {\n                    className : Dialogs.DIALOG_BTN_CLASS_NORMAL,\n                    id        : Dialogs.DIALOG_BTN_CANCEL,\n                    text      : Strings.CANCEL\n                },\n                {\n                    className : Dialogs.DIALOG_BTN_CLASS_PRIMARY,\n                    id        : Dialogs.DIALOG_BTN_OK,\n                    text      : buttonLabel\n                }\n            ],\n            false\n        ),\n            $dlg = dlg.getElement();\n\n        $dlg.one("buttonClick", function (e, buttonId) {\n            if (buttonId === Dialogs.DIALOG_BTN_OK) {\n                // Disable the dialog buttons so the user can\'t dismiss it,\n                // and show a message indicating that we\'re doing the updates,\n                // in case it takes a long time.\n                $dlg.find(".dialog-button").prop("disabled", true);\n                $dlg.find(".close").hide();\n                $dlg.find(".dialog-message")\n                    .text(Strings.PROCESSING_EXTENSIONS)\n                    .append("<span class=\'spinner inline spin\'/>");\n\n                var removeExtensionsPromise,\n                    updateExtensionsPromise,\n                    disableExtensionsPromise,\n                    removeErrors,\n                    updateErrors,\n                    disableErrors;\n\n                removeExtensionsPromise = ExtensionManager.removeMarkedExtensions()\n                    .fail(function (errorArray) {\n                        removeErrors = errorArray;\n                    });\n                updateExtensionsPromise = ExtensionManager.updateExtensions()\n                    .fail(function (errorArray) {\n                        updateErrors = errorArray;\n                    });\n                disableExtensionsPromise = ExtensionManager.disableMarkedExtensions()\n                    .fail(function (errorArray) {\n                        disableErrors = errorArray;\n                    });\n\n                Async.waitForAll([removeExtensionsPromise, updateExtensionsPromise, disableExtensionsPromise], true)\n                    .always(function () {\n                        dlg.close();\n                    })\n                    .done(function () {\n                        CommandManager.execute(Commands.APP_RELOAD);\n                    })\n                    .fail(function () {\n                        var ids = [],\n                            dialogs = [];\n\n                        function nextDialog() {\n                            var dialog = dialogs.shift();\n                            if (dialog) {\n                                Dialogs.showModalDialog(dialog.dialog, dialog.title, dialog.message)\n                                    .done(nextDialog);\n                            } else {\n                                // Even in case of error condition, we still have to reload\n                                CommandManager.execute(Commands.APP_RELOAD);\n                            }\n                        }\n\n                        if (removeErrors) {\n                            removeErrors.forEach(function (errorObj) {\n                                ids.push(errorObj.item);\n                            });\n                            dialogs.push({\n                                dialog: DefaultDialogs.DIALOG_ID_ERROR,\n                                title: Strings.EXTENSION_MANAGER_REMOVE,\n                                message: StringUtils.format(Strings.EXTENSION_MANAGER_REMOVE_ERROR, ids.join(", "))\n                            });\n                        }\n\n                        if (updateErrors) {\n                            // This error case should be very uncommon.\n                            // Just let the user know that we couldn\'t update\n                            // this extension and log the errors to the console.\n                            ids.length = 0;\n                            updateErrors.forEach(function (errorObj) {\n                                ids.push(errorObj.item);\n                                if (errorObj.error && errorObj.error.forEach) {\n                                    console.error("Errors for", errorObj.item);\n                                    errorObj.error.forEach(function (error) {\n                                        console.error(Package.formatError(error));\n                                    });\n                                } else {\n                                    console.error("Error for", errorObj.item, errorObj);\n                                }\n                            });\n                            dialogs.push({\n                                dialog: DefaultDialogs.DIALOG_ID_ERROR,\n                                title: Strings.EXTENSION_MANAGER_UPDATE,\n                                message: StringUtils.format(Strings.EXTENSION_MANAGER_UPDATE_ERROR, ids.join(", "))\n                            });\n                        }\n\n                        if (disableErrors) {\n                            ids.length = 0;\n                            disableErrors.forEach(function (errorObj) {\n                                ids.push(errorObj.item);\n                            });\n                            dialogs.push({\n                                dialog: DefaultDialogs.DIALOG_ID_ERROR,\n                                title: Strings.EXTENSION_MANAGER_DISABLE,\n                                message: StringUtils.format(Strings.EXTENSION_MANAGER_DISABLE_ERROR, ids.join(", "))\n                            });\n                        }\n\n                        nextDialog();\n                    });\n            } else {\n                dlg.close();\n                ExtensionManager.cleanupUpdates();\n                ExtensionManager.unmarkAllForRemoval();\n                ExtensionManager.unmarkAllForDisabling();\n            }\n        });\n    }\n\n\n    /**\n     * @private\n     * Install extensions from the local file system using the install dialog.\n     * @return {$.Promise}\n     */\n    function _installUsingDragAndDrop() {\n        var installZips = [],\n            updateZips = [],\n            deferred = new $.Deferred(),\n            validatePromise;\n\n        brackets.app.getDroppedFiles(function (err, paths) {\n            if (err) {\n                // Only possible error is invalid params, silently ignore\n                console.error(err);\n                deferred.resolve();\n                return;\n            }\n\n            // Parse zip files and separate new installs vs. updates\n            validatePromise = Async.doInParallel_aggregateErrors(paths, function (path) {\n                var result = new $.Deferred();\n\n                FileSystem.resolve(path, function (err, file) {\n                    var extension = FileUtils.getFileExtension(path),\n                        isZip = file.isFile && (extension === "zip"),\n                        errStr;\n\n                    if (err) {\n                        errStr = FileUtils.getFileErrorString(err);\n                    } else if (!isZip) {\n                        errStr = Strings.INVALID_ZIP_FILE;\n                    }\n\n                    if (errStr) {\n                        result.reject(errStr);\n                        return;\n                    }\n\n                    // Call validate() so that we open the local zip file and parse the\n                    // package.json. We need the name to detect if this zip will be a\n                    // new install or an update.\n                    Package.validate(path, { requirePackageJSON: true }).done(function (info) {\n                        if (info.errors.length) {\n                            result.reject(info.errors.map(Package.formatError).join(" "));\n                            return;\n                        }\n\n                        var extensionName = info.metadata.name,\n                            extensionInfo = ExtensionManager.extensions[extensionName],\n                            isUpdate = extensionInfo && !!extensionInfo.installInfo;\n\n                        if (isUpdate) {\n                            updateZips.push(file);\n                        } else {\n                            installZips.push(file);\n                        }\n\n                        result.resolve();\n                    }).fail(function (err) {\n                        result.reject(Package.formatError(err));\n                    });\n                });\n\n                return result.promise();\n            });\n\n            validatePromise.done(function () {\n                var installPromise = Async.doSequentially(installZips, function (file) {\n                    return InstallExtensionDialog.installUsingDialog(file);\n                });\n\n                var updatePromise = installPromise.then(function () {\n                    return Async.doSequentially(updateZips, function (file) {\n                        return InstallExtensionDialog.updateUsingDialog(file).done(function (result) {\n                            ExtensionManager.updateFromDownload(result);\n                        });\n                    });\n                });\n\n                // InstallExtensionDialog displays it\'s own errors, always\n                // resolve the outer promise\n                updatePromise.always(deferred.resolve);\n            }).fail(function (errorArray) {\n                deferred.reject(errorArray);\n            });\n        });\n\n        return deferred.promise();\n    }\n\n    /**\n     * @private\n     * Show a dialog that allows the user to browse and manage extensions.\n     */\n    function _showDialog() {\n        var dialog,\n            $dlg,\n            views   = [],\n            $search,\n            $searchClear,\n            $modalDlg,\n            context = { Strings: Strings, showRegistry: !!brackets.config.extension_registry },\n            models  = [];\n\n        // Load registry only if the registry URL exists\n        if (context.showRegistry) {\n            models.push(new ExtensionManagerViewModel.RegistryViewModel());\n            models.push(new ExtensionManagerViewModel.ThemesViewModel());\n        }\n\n        models.push(new ExtensionManagerViewModel.InstalledViewModel());\n\n        function updateSearchDisabled() {\n            var model           = models[_activeTabIndex],\n                searchDisabled  = ($search.val() === "") &&\n                                  (!model.filterSet || model.filterSet.length === 0);\n\n            $search.prop("disabled", searchDisabled);\n            $searchClear.prop("disabled", searchDisabled);\n\n            return searchDisabled;\n        }\n\n        function clearSearch() {\n            $search.val("");\n            views.forEach(function (view, index) {\n                view.filter("");\n                $modalDlg.scrollTop(0);\n            });\n\n            if (!updateSearchDisabled()) {\n                $search.focus();\n            }\n        }\n\n        // Open the dialog\n        dialog = Dialogs.showModalDialogUsingTemplate(Mustache.render(dialogTemplate, context));\n\n        // On dialog close: clean up listeners & models, and commit changes\n        dialog.done(function () {\n            $(window.document).off(".extensionManager");\n\n            models.forEach(function (model) {\n                model.dispose();\n            });\n\n            _performChanges();\n        });\n\n        // Create the view.\n        $dlg = dialog.getElement();\n        $search = $(".search", $dlg);\n        $searchClear = $(".search-clear", $dlg);\n        $modalDlg = $(".modal-body", $dlg);\n\n        function setActiveTab($tab) {\n            if (models[_activeTabIndex]) {\n                models[_activeTabIndex].scrollPos = $modalDlg.scrollTop();\n            }\n            $tab.tab("show");\n            if (models[_activeTabIndex]) {\n                $modalDlg.scrollTop(models[_activeTabIndex].scrollPos || 0);\n                clearSearch();\n                if (_activeTabIndex === 2) {\n                    $(".ext-sort-group").hide();\n                } else {\n                    $(".ext-sort-group").show();\n                }\n            }\n        }\n\n        // Dialog tabs\n        $dlg.find(".nav-tabs a")\n            .on("click", function (event) {\n                setActiveTab($(this));\n            });\n\n        // Navigate through tabs via Ctrl-(Shift)-Tab\n        // (focus may be on document.body if text in extension listing clicked - see #9511)\n        $(window.document).on("keyup.extensionManager", function (event) {\n            if (event.keyCode === KeyEvent.DOM_VK_TAB && event.ctrlKey) {\n                var $tabs = $(".nav-tabs a", $dlg),\n                    tabIndex = _activeTabIndex;\n\n                if (event.shiftKey) {\n                    tabIndex--;\n                } else {\n                    tabIndex++;\n                }\n                tabIndex %= $tabs.length;\n                setActiveTab($tabs.eq(tabIndex));\n            }\n        });\n\n        // Update & hide/show the notification overlay on a tab\'s icon, based on its model\'s notifyCount\n        function updateNotificationIcon(index) {\n            var model = models[index],\n                $notificationIcon = $dlg.find(".nav-tabs li").eq(index).find(".notification");\n            if (model.notifyCount) {\n                $notificationIcon.text(model.notifyCount);\n                $notificationIcon.show();\n            } else {\n                $notificationIcon.hide();\n            }\n        }\n\n        // Initialize models and create a view for each model\n        var modelInitPromise = Async.doInParallel(models, function (model, index) {\n            var view    = new ExtensionManagerView(),\n                promise = view.initialize(model),\n                lastNotifyCount;\n\n            promise.always(function () {\n                views[index] = view;\n\n                lastNotifyCount = model.notifyCount;\n                updateNotificationIcon(index);\n            });\n\n            model.on("change", function () {\n                if (lastNotifyCount !== model.notifyCount) {\n                    lastNotifyCount = model.notifyCount;\n                    updateNotificationIcon(index);\n                }\n            });\n\n            return promise;\n        }, true);\n\n        modelInitPromise.always(function () {\n            $(".spinner", $dlg).remove();\n\n            views.forEach(function (view) {\n                view.$el.appendTo($modalDlg);\n            });\n\n            // Update search UI before new tab is shown\n            $("a[data-toggle=\'tab\']", $dlg).each(function (index, tabElement) {\n                $(tabElement).on("show", function (event) {\n                    _activeTabIndex = index;\n\n                    // Focus the search input\n                    if (!updateSearchDisabled()) {\n                        $dlg.find(".search").focus();\n                    }\n                });\n            });\n\n            // Filter the views when the user types in the search field.\n            var searchTimeoutID;\n            $dlg.on("input", ".search", function (e) {\n                clearTimeout(searchTimeoutID);\n                var query = $(this).val();\n                searchTimeoutID = setTimeout(function () {\n                    views[_activeTabIndex].filter(query);\n                    $modalDlg.scrollTop(0);\n                }, 200);\n            }).on("click", ".search-clear", clearSearch);\n            \n            // Sort the extension list based on the current selected sorting criteria\n            $dlg.on("change", ".sort-extensions", function (e) {\n                var sortBy = $(this).val();\n                PreferencesManager.set("extensions.sort", sortBy);\n                models.forEach(function (model, index) {\n                    if (index <= 1) {\n                        model._setSortedExtensionList(ExtensionManager.extensions, index === 1);\n                        views[index].filter($(".search").val());\n                    }\n                });\n            });\n\n            // Disable the search field when there are no items in the model\n            models.forEach(function (model, index) {\n                model.on("change", function () {\n                    if (_activeTabIndex === index) {\n                        updateSearchDisabled();\n                    }\n                });\n            });\n\n            var $activeTab = $dlg.find(".nav-tabs li.active a");\n            if ($activeTab.length) { // If there\'s already a tab selected, show it\n                $activeTab.parent().removeClass("active"); // workaround for bootstrap-tab\n                $activeTab.tab("show");\n            } else if ($("#toolbar-extension-manager").hasClass(\'updatesAvailable\')) {\n                // Open dialog to Installed tab if extension updates are available\n                $dlg.find(".nav-tabs a.installed").tab("show");\n            } else { // Otherwise show the first tab\n                $dlg.find(".nav-tabs a:first").tab("show");\n            }\n            // If activeTab was explicitly selected by user,\n            // then check for the selection\n            // Or if there was an update available since activeTab.length would be 0,\n            // then check for updatesAvailable class in toolbar-extension-manager\n            if (($activeTab.length && $activeTab.hasClass("installed")) || (!$activeTab.length && $("#toolbar-extension-manager").hasClass(\'updatesAvailable\'))) {\n                $(".ext-sort-group").hide();\n            } else {\n                $(".ext-sort-group").show();\n            }\n        });\n\n        // Handle the \'Install from URL\' button.\n        $(".extension-manager-dialog .install-from-url")\n            .click(function () {\n                InstallExtensionDialog.showDialog().done(ExtensionManager.updateFromDownload);\n            });\n\n        // Handle the drag/drop zone\n        var $dropzone = $("#install-drop-zone"),\n            $dropmask = $("#install-drop-zone-mask");\n\n        $dropzone\n            .on("dragover", function (event) {\n                _stopEvent(event);\n\n                if (!event.originalEvent.dataTransfer.files) {\n                    return;\n                }\n\n                var items = event.originalEvent.dataTransfer.items,\n                    isValidDrop = false;\n\n                isValidDrop = _.every(items, function (item) {\n                    if (item.kind === "file") {\n                        var entry = item.webkitGetAsEntry(),\n                            extension = FileUtils.getFileExtension(entry.fullPath);\n\n                        return entry.isFile && extension === "zip";\n                    }\n\n                    return false;\n                });\n\n                if (isValidDrop) {\n                    // Set an absolute width to stabilize the button size\n                    $dropzone.width($dropzone.width());\n\n                    // Show drop styling and message\n                    $dropzone.removeClass("drag");\n                    $dropzone.addClass("drop");\n                } else {\n                    event.originalEvent.dataTransfer.dropEffect = "none";\n                }\n            })\n            .on("drop", _stopEvent);\n\n        $dropmask\n            .on("dragover", function (event) {\n                _stopEvent(event);\n                event.originalEvent.dataTransfer.dropEffect = "copy";\n            })\n            .on("dragleave", function () {\n                $dropzone.removeClass("drop");\n                $dropzone.addClass("drag");\n            })\n            .on("drop", function (event) {\n                _stopEvent(event);\n\n                if (event.originalEvent.dataTransfer.files) {\n                    // Attempt install\n                    _installUsingDragAndDrop().fail(function (errorArray) {\n                        var message = Strings.INSTALL_EXTENSION_DROP_ERROR;\n\n                        message += "<ul class=\'dialog-list\'>";\n                        errorArray.forEach(function (info) {\n                            message += "<li><span class=\'dialog-filename\'>";\n                            message += StringUtils.breakableUrl(info.item);\n                            message += "</span>: " + info.error + "</li>";\n                        });\n                        message += "</ul>";\n\n                        Dialogs.showModalDialog(\n                            DefaultDialogs.DIALOG_ID_ERROR,\n                            Strings.EXTENSION_MANAGER_TITLE,\n                            message\n                        );\n                    }).always(function () {\n                        $dropzone.removeClass("validating");\n                        $dropzone.addClass("drag");\n                    });\n\n                    // While installing, show validating message\n                    $dropzone.removeClass("drop");\n                    $dropzone.addClass("validating");\n                }\n            });\n\n        return new $.Deferred().resolve(dialog).promise();\n    }\n\n    CommandManager.register(Strings.CMD_EXTENSION_MANAGER, Commands.FILE_EXTENSION_MANAGER, _showDialog);\n\n    AppInit.appReady(function () {\n        $("#toolbar-extension-manager").click(_showDialog);\n    });\n\n    // Unit tests\n    exports._performChanges = _performChanges;\n});\n\n//# sourceURL=/extensibility/ExtensionManagerDialog.js'),
eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Utilities for determining the git SHA from an optional repository or from the\n * installed copy of Brackets.\n */\ndefine(\'utils/BuildInfoUtils\',[\'require\',\'exports\',\'module\',\'filesystem/FileSystem\',\'file/FileUtils\',\'utils/Global\'],function (require, exports, module) {\n    "use strict";\n\n    var FileSystem  = require("filesystem/FileSystem"),\n        FileUtils   = require("file/FileUtils");\n\n    // make sure the global brackets variable is loaded\n    require("utils/Global");\n\n    /**\n     * Loads a SHA from Git metadata file. If the file contains a symbolic ref name, follows the ref\n     * and loads the SHA from that file in turn.\n     */\n    function _loadSHA(path, callback) {\n        var result = new $.Deferred();\n\n        if (brackets.inBrowser) {\n            result.reject();\n        } else {\n            // HEAD contains a SHA in detached-head mode; otherwise it contains a relative path\n            // to a file in /refs which in turn contains the SHA\n            var file = FileSystem.getFileForPath(path);\n            FileUtils.readAsText(file).done(function (text) {\n                if (text.indexOf("ref: ") === 0) {\n                    // e.g. "ref: refs/heads/branchname"\n                    var basePath    = path.substr(0, path.lastIndexOf("/")),\n                        refRelPath  = text.substr(5).trim(),\n                        branch      = text.substr(16).trim();\n\n                    _loadSHA(basePath + "/" + refRelPath, callback).done(function (data) {\n                        result.resolve({ branch: branch, sha: data.sha.trim() });\n                    }).fail(function () {\n                        result.resolve({ branch: branch });\n                    });\n                } else {\n                    result.resolve({ sha: text });\n                }\n            }).fail(function () {\n                result.reject();\n            });\n        }\n\n        return result.promise();\n    }\n\n    /**\n     * @return {$.Promise} A promise resolved with the git branch and SHA\n     *     of a local copy of a repository or the branch and SHA\n     *     embedded at build-time in the package.json repository metadata.\n     */\n    function getBracketsSHA() {\n        var result = new $.Deferred();\n\n        // Look for Git metadata on disk to load the SHAs for \'brackets\'. Done on\n        // startup instead of on demand because the version that\'s currently running is what was\n        // loaded at startup (the src on disk may be updated to a different version later).\n        // Git metadata may be missing (e.g. in the release builds) - silently ignore if so.\n        var bracketsSrc = FileUtils.getNativeBracketsDirectoryPath();\n\n        // Assumes Brackets is a standalone repo and not a submodule (prior to brackets-shell,\n        // brackets-app was setup this way)\n        var bracketsGitRoot = bracketsSrc.substr(0, bracketsSrc.lastIndexOf("/")) + "/.git/HEAD";\n\n        _loadSHA(bracketsGitRoot).done(function (data) {\n            // Found a repository\n            result.resolve(data.branch || "HEAD", data.sha || "unknown", true);\n        }).fail(function () {\n            // If package.json has repository data, Brackets is running from the installed /www folder\n            result.resolve(brackets.metadata.repository.branch, brackets.metadata.repository.SHA, false);\n        });\n\n        return result.promise();\n    }\n\n    exports.getBracketsSHA      = getBracketsSHA;\n\n    // FIXME (jasonsanjose): Since the move to brackets-shell, can\'t reliably get SHA for shell.\n    // exports._getBracketsShellSHA = getBracketsShellSHA;\n});\n\n//# sourceURL=/utils/BuildInfoUtils.js'),eval('define(\'text!htmlContent/about-dialog.html\',[],function () { return \'<div class="about-dialog modal">\\n    <div class="modal-header">\\n        <h1 class="dialog-title">{{Strings.ABOUT}}</h1>\\n    </div>\\n    <div class="modal-body no-padding">\\n        <img class="about-icon" src="{{ABOUT_ICON}}">\\n        <div class="about-text">\\n            <h2>{{APP_NAME_ABOUT_BOX}}</h2>\\n            <div class="about-info">\\n                <p class="dialog-message">{{Strings.ABOUT_TEXT_LINE1}} <span id="about-build-number">{{BUILD_INFO}}</span>\\n                  {{#BUILD_TIMESTAMP}}\\n                  <br><span class="dialog-message">{{Strings.ABOUT_TEXT_BUILD_TIMESTAMP}}{{BUILD_TIMESTAMP}}</span>\\n                  {{/BUILD_TIMESTAMP}}\\n                </p>\\n\\n                <p class="dialog-message"><!-- $NON-NLS$ -->Copyright 2012 - present Adobe Systems Incorporated and its licensors. All rights reserved.</p>\\n                <p class="dialog-message">{{{Strings.ABOUT_TEXT_WEB_PLATFORM_DOCS}}}</p>\\n                <p class="dialog-message">{{{Strings.ABOUT_TEXT_LINE3}}}</p>\\n                <p class="dialog-message">{{{Strings.ABOUT_TEXT_LINE4}}}</p>\\n                <p class="dialog-message">\\n                    {{Strings.ABOUT_TEXT_LINE5}}\\n                    <span class="spinner inline"></span>\\n                </p>\\n                <div class="about-contributors">\\n                </div>\\n            </div>\\n        </div>\\n    </div>\\n    <div class="modal-footer">\\n        <button class="dialog-button btn primary" data-button-id="ok">{{Strings.CLOSE}}</button>\\n    </div>\\n</div>\\n\';});\n\n//# sourceURL=/text!htmlContent/about-dialog.html'),eval('define(\'text!htmlContent/contributors-list.html\',[],function () { return \'{{#.}}<a href="{{html_url}}" title="{{login}} - {{html_url}}"><img src="{{avatar_url}}?size=30" alt="{{login}}" width="30" height="30" /></a>{{/.}}\\n\';});\n\n//# sourceURL=/text!htmlContent/contributors-list.html'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'help/HelpCommandHandlers\',[\'require\',\'exports\',\'module\',\'utils/AppInit\',\'utils/BuildInfoUtils\',\'command/CommandManager\',\'command/Commands\',\'widgets/Dialogs\',\'file/FileUtils\',\'utils/NativeApp\',\'strings\',\'utils/StringUtils\',\'utils/UpdateNotification\',\'text!htmlContent/about-dialog.html\',\'text!htmlContent/contributors-list.html\',\'thirdparty/mustache/mustache\',\'utils/Global\'],function (require, exports, module) {\n    "use strict";\n\n    var AppInit                 = require("utils/AppInit"),\n        BuildInfoUtils          = require("utils/BuildInfoUtils"),\n        CommandManager          = require("command/CommandManager"),\n        Commands                = require("command/Commands"),\n        Dialogs                 = require("widgets/Dialogs"),\n        FileUtils               = require("file/FileUtils"),\n        NativeApp               = require("utils/NativeApp"),\n        Strings                 = require("strings"),\n        StringUtils             = require("utils/StringUtils"),\n        UpdateNotification      = require("utils/UpdateNotification"),\n        AboutDialogTemplate     = require("text!htmlContent/about-dialog.html"),\n        ContributorsTemplate    = require("text!htmlContent/contributors-list.html"),\n        Mustache                = require("thirdparty/mustache/mustache");\n    // make sure the global brackets variable is loaded\n    require("utils/Global");\n\n    /**\n     * This is the thirdparty API\'s (GitHub) maximum contributors per page limit\n     * @const {number}\n     */\n    var CONTRIBUTORS_PER_PAGE   = 100;\n\n    var buildInfo;\n\n\n    function _handleCheckForUpdates() {\n        UpdateNotification.checkForUpdate(true);\n    }\n\n    function _handleLinkMenuItem(url) {\n        return function () {\n            if (!url) {\n                return;\n            }\n            NativeApp.openURLInDefaultBrowser(url);\n        };\n    }\n\n    function _handleShowExtensionsFolder() {\n        brackets.app.showExtensionsFolder(\n            FileUtils.convertToNativePath(decodeURI(window.location.href)),\n            function (err) {} /* Ignore errors */\n        );\n    }\n\n    function _handleAboutDialog() {\n        var templateVars = {\n            ABOUT_ICON          : brackets.config.about_icon,\n            APP_NAME_ABOUT_BOX  : brackets.config.app_name_about,\n            BUILD_TIMESTAMP     : brackets.config.build_timestamp,\n            BUILD_INFO          : buildInfo || "",\n            Strings             : Strings\n        };\n\n        Dialogs.showModalDialogUsingTemplate(Mustache.render(AboutDialogTemplate, templateVars));\n\n        // Get containers\n        var $dlg            = $(".about-dialog.instance"),\n            $contributors   = $dlg.find(".about-contributors"),\n            $spinner        = $dlg.find(".spinner"),\n            contributorsUrl = brackets.config.contributors_url,\n            page;\n\n        if (contributorsUrl.indexOf("{1}") !== -1) { // pagination enabled\n            page = 1;\n        }\n\n        $spinner.addClass("spin");\n\n        function loadContributors(rawUrl, page, contributors, deferred) {\n            deferred = deferred || new $.Deferred();\n            contributors = contributors || [];\n            var url = StringUtils.format(rawUrl, CONTRIBUTORS_PER_PAGE, page);\n\n            $.ajax({\n                url: url,\n                dataType: "json",\n                cache: false\n            })\n                .done(function (response) {\n                    contributors = contributors.concat(response || []);\n                    if (page && response.length === CONTRIBUTORS_PER_PAGE) {\n                        loadContributors(rawUrl, page + 1, contributors, deferred);\n                    } else {\n                        deferred.resolve(contributors);\n                    }\n                })\n                .fail(function () {\n                    if (contributors.length) { // we weren\'t able to fetch this page, but previous fetches were successful\n                        deferred.resolve(contributors);\n                    } else {\n                        deferred.reject();\n                    }\n                });\n            return deferred.promise();\n        }\n\n        loadContributors(contributorsUrl, page) // Load the contributors\n            .done(function (allContributors) {\n                // Populate the contributors data\n                var totalContributors = allContributors.length,\n                    contributorsCount = 0;\n\n                allContributors.forEach(function (contributor) {\n                    // remove any UrlParams delivered via the GitHub API\n                    contributor.avatar_url = contributor.avatar_url.split("?")[0];\n                });\n\n                $contributors.html(Mustache.render(ContributorsTemplate, allContributors));\n\n                // This is used to create an opacity transition when each image is loaded\n                $contributors.find("img").one("load", function () {\n                    $(this).css("opacity", 1);\n\n                    // Count the contributors loaded and hide the spinner once all are loaded\n                    contributorsCount++;\n                    if (contributorsCount >= totalContributors) {\n                        $spinner.removeClass("spin");\n                    }\n                }).each(function () {\n                    if (this.complete) {\n                        $(this).trigger("load");\n                    }\n                });\n            })\n            .fail(function () {\n                $spinner.removeClass("spin");\n                $contributors.html(Mustache.render("<p class=\'dialog-message\'>{{ABOUT_TEXT_LINE6}}</p>", Strings));\n            });\n    }\n\n    // Read "build number" SHAs off disk immediately at APP_READY, instead\n    // of later, when they may have been updated to a different version\n    AppInit.appReady(function () {\n        BuildInfoUtils.getBracketsSHA().done(function (branch, sha, isRepo) {\n            // If we\'ve successfully determined a "build number" via .git metadata, add it to dialog\n            sha = sha ? sha.substr(0, 9) : "";\n            if (branch || sha) {\n                buildInfo = StringUtils.format("({0} {1})", branch, sha).trim();\n            }\n        });\n    });\n\n    CommandManager.register(Strings.CMD_CHECK_FOR_UPDATE,       Commands.HELP_CHECK_FOR_UPDATE,     _handleCheckForUpdates);\n    CommandManager.register(Strings.CMD_HOW_TO_USE_BRACKETS,    Commands.HELP_HOW_TO_USE_BRACKETS,  _handleLinkMenuItem(brackets.config.how_to_use_url));\n    CommandManager.register(Strings.CMD_SUPPORT,                Commands.HELP_SUPPORT,              _handleLinkMenuItem(brackets.config.support_url));\n    CommandManager.register(Strings.CMD_SUGGEST,                Commands.HELP_SUGGEST,              _handleLinkMenuItem(brackets.config.suggest_feature_url));\n    CommandManager.register(Strings.CMD_RELEASE_NOTES,          Commands.HELP_RELEASE_NOTES,        _handleLinkMenuItem(brackets.config.release_notes_url));\n    CommandManager.register(Strings.CMD_GET_INVOLVED,           Commands.HELP_GET_INVOLVED,         _handleLinkMenuItem(brackets.config.get_involved_url));\n    CommandManager.register(Strings.CMD_SHOW_EXTENSIONS_FOLDER, Commands.HELP_SHOW_EXT_FOLDER,      _handleShowExtensionsFolder);\n    CommandManager.register(Strings.CMD_HOMEPAGE,               Commands.HELP_HOMEPAGE,             _handleLinkMenuItem(brackets.config.homepage_url));\n    CommandManager.register(Strings.CMD_TWITTER,                Commands.HELP_TWITTER,              _handleLinkMenuItem(brackets.config.twitter_url));\n    CommandManager.register(Strings.CMD_ABOUT,                  Commands.HELP_ABOUT,                _handleAboutDialog);\n});\n\n//# sourceURL=/help/HelpCommandHandlers.js'),eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'search/FindUtils\',[\'require\',\'exports\',\'module\',\'utils/Async\',\'document/DocumentManager\',\'view/MainViewManager\',\'filesystem/FileSystem\',\'file/FileUtils\',\'project/ProjectManager\',\'preferences/PreferencesManager\',\'utils/EventDispatcher\',\'strings\',\'utils/StringUtils\',\'thirdparty/lodash\'],function (require, exports, module) {\n    "use strict";\n\n    var Async               = require("utils/Async"),\n        DocumentManager     = require("document/DocumentManager"),\n        MainViewManager     = require("view/MainViewManager"),\n        FileSystem          = require("filesystem/FileSystem"),\n        FileUtils           = require("file/FileUtils"),\n        ProjectManager      = require("project/ProjectManager"),\n        PreferencesManager  = require("preferences/PreferencesManager"),\n        EventDispatcher     = require("utils/EventDispatcher"),\n        Strings             = require("strings"),\n        StringUtils         = require("utils/StringUtils"),\n        _                   = require("thirdparty/lodash");\n\n    var nodeSearchDisabled = false,\n        instantSearchDisabled = false,\n        indexingInProgress = false,\n        nodeSearchCount = 0,\n        collapseResults = false;\n\n    EventDispatcher.makeEventDispatcher(exports);\n\n    // define preferences for find in files\n    PreferencesManager.definePreference("findInFiles.nodeSearch", "boolean", true, {\n        description: Strings.DESCRIPTION_FIND_IN_FILES_NODE\n    });\n    PreferencesManager.definePreference("findInFiles.instantSearch", "boolean", true, {\n        description: Strings.DESCRIPTION_FIND_IN_FILES_INSTANT\n    });\n\n    /**\n     * returns true if the used disabled node based search in his preferences\n     * @return {boolean}\n     */\n    function _prefNodeSearchDisabled() {\n        return !PreferencesManager.get("findInFiles.nodeSearch");\n    }\n\n    /**\n     * returns true if the used instant search in his preferences\n     * @return {boolean}\n     */\n    function _prefInstantSearchDisabled() {\n        return !PreferencesManager.get("findInFiles.instantSearch");\n    }\n\n    /**\n     * Given a replace string that contains $-expressions, replace them with data from the given\n     * regexp match info.\n     * NOTE: we can\'t just use the ordinary replace() function here because the string has been\n     * extracted from the original text and so might be missing some context that the regexp matched.\n     * @param {string} replaceWith The string containing the $-expressions.\n     * @param {Object} match The match data from the regexp.\n     * @return {string} The replace text with the $-expressions substituted.\n     */\n    function parseDollars(replaceWith, match) {\n        replaceWith = replaceWith.replace(/(\\$+)(\\d{1,2}|&)/g, function (whole, dollars, index) {\n            if (dollars.length % 2 === 1) { // make sure dollar signs don\'t escape themselves (like $$1, $$$$&)\n                if (index === "&") { // handle $&\n                    // slice the first dollar (but leave any others to get unescaped below) and return the\n                    // whole match\n                    return dollars.substr(1) + (match[0] || "");\n                } else {\n                    // now we\'re sure index is an integer, so we can parse it\n                    var parsedIndex = parseInt(index, 10);\n                    if (parsedIndex !== 0) { // handle $n or $nn, but don\'t handle $0 or $00\n                        // slice the first dollar (but leave any others to get unescaped below) and return the\n                        // the corresponding match\n                        return dollars.substr(1) + (match[parsedIndex] || "");\n                    }\n                }\n            }\n            // this code gets called if the dollar signs escape themselves or if $0/$00 (not handled) was present\n            return whole; // return everything to get handled below\n        });\n        // replace escaped dollar signs (i.e. $$, $$$$, ...) with single ones (unescaping)\n        replaceWith = replaceWith.replace(/\\$\\$/g, "$");\n        return replaceWith;\n    }\n\n    /**\n     * Does a set of replacements in a single document in memory.\n     * @param {!Document} doc The document to do the replacements in.\n     * @param {Object} matchInfo The match info for this file, as returned by `_addSearchMatches()`. Might be mutated.\n     * @param {string} replaceText The text to replace each result with.\n     * @param {boolean=} isRegexp Whether the original query was a regexp.\n     * @return {$.Promise} A promise that\'s resolved when the replacement is finished or rejected with an error if there were one or more errors.\n     */\n    function _doReplaceInDocument(doc, matchInfo, replaceText, isRegexp) {\n        // Double-check that the open document\'s timestamp matches the one we recorded. This\n        // should normally never go out of sync, because if it did we wouldn\'t start the\n        // replace in the first place (due to the fact that we immediately close the search\n        // results panel whenever we detect a filesystem change that affects the results),\n        // but we want to double-check in case we don\'t happen to get the change in time.\n        // This will *not* handle cases where the document has been edited in memory since\n        // the matchInfo was generated.\n        if (doc.diskTimestamp.getTime() !== matchInfo.timestamp.getTime()) {\n            return new $.Deferred().reject(exports.ERROR_FILE_CHANGED).promise();\n        }\n\n        // Do the replacements in reverse document order so the offsets continue to be correct.\n        doc.batchOperation(function () {\n            matchInfo.matches.reverse().forEach(function (match) {\n                if (match.isChecked) {\n                    doc.replaceRange(isRegexp ? parseDollars(replaceText, match.result) : replaceText, match.start, match.end);\n                }\n            });\n        });\n\n        return new $.Deferred().resolve().promise();\n    }\n\n    /**\n     * Does a set of replacements in a single file on disk.\n     * @param {string} fullPath The full path to the file.\n     * @param {Object} matchInfo The match info for this file, as returned by `_addSearchMatches()`.\n     * @param {string} replaceText The text to replace each result with.\n     * @param {boolean=} isRegexp Whether the original query was a regexp.\n     * @return {$.Promise} A promise that\'s resolved when the replacement is finished or rejected with an error if there were one or more errors.\n     */\n    function _doReplaceOnDisk(fullPath, matchInfo, replaceText, isRegexp) {\n        var file = FileSystem.getFileForPath(fullPath);\n        return DocumentManager.getDocumentText(file, true).then(function (contents, timestamp, lineEndings) {\n            if (timestamp.getTime() !== matchInfo.timestamp.getTime()) {\n                // Return a promise that we\'ll reject immediately. (We can\'t just return the\n                // error since this is the success handler.)\n                return new $.Deferred().reject(exports.ERROR_FILE_CHANGED).promise();\n            }\n\n            // Note that this assumes that the matches are sorted.\n            // TODO: is there a more efficient way to do this in a large string?\n            var result = [],\n                lastIndex = 0;\n            matchInfo.matches.forEach(function (match) {\n                if (match.isChecked) {\n                    result.push(contents.slice(lastIndex, match.startOffset));\n                    result.push(isRegexp ? parseDollars(replaceText, match.result) : replaceText);\n                    lastIndex = match.endOffset;\n                }\n            });\n            result.push(contents.slice(lastIndex));\n\n            var newContents = result.join("");\n            // TODO: duplicated logic from Document - should refactor this?\n            if (lineEndings === FileUtils.LINE_ENDINGS_CRLF) {\n                newContents = newContents.replace(/\\n/g, "\\r\\n");\n            }\n\n            return Async.promisify(file, "write", newContents);\n        });\n    }\n\n    /**\n     * Does a set of replacements in a single file. If the file is already open in a Document in memory,\n     * will do the replacement there, otherwise does it directly on disk.\n     * @param {string} fullPath The full path to the file.\n     * @param {Object} matchInfo The match info for this file, as returned by `_addSearchMatches()`.\n     * @param {string} replaceText The text to replace each result with.\n     * @param {Object=} options An options object:\n     *      forceFilesOpen: boolean - Whether to open the file in an editor and do replacements there rather than doing the\n     *          replacements on disk. Note that even if this is false, files that are already open in editors will have replacements\n     *          done in memory.\n     *      isRegexp: boolean - Whether the original query was a regexp. If true, $-substitution is performed on the replaceText.\n     * @return {$.Promise} A promise that\'s resolved when the replacement is finished or rejected with an error if there were one or more errors.\n     */\n    function _doReplaceInOneFile(fullPath, matchInfo, replaceText, options) {\n        var doc = DocumentManager.getOpenDocumentForPath(fullPath);\n        options = options || {};\n        // If we\'re forcing files open, or if the document is in the working set but not actually open\n        // yet, we want to open the file and do the replacement in memory.\n        if (!doc && (options.forceFilesOpen || MainViewManager.findInWorkingSet(MainViewManager.ALL_PANES, fullPath) !== -1)) {\n            return DocumentManager.getDocumentForPath(fullPath).then(function (newDoc) {\n                return _doReplaceInDocument(newDoc, matchInfo, replaceText, options.isRegexp);\n            });\n        } else if (doc) {\n            return _doReplaceInDocument(doc, matchInfo, replaceText, options.isRegexp);\n        } else {\n            return _doReplaceOnDisk(fullPath, matchInfo, replaceText, options.isRegexp);\n        }\n    }\n\n    /**\n     * @private\n     * Returns true if a search result has any checked matches.\n     */\n    function hasCheckedMatches(result) {\n        return result.matches.some(function (match) { return match.isChecked; });\n    }\n\n    /**\n     * Given a set of search results, replaces them with the given replaceText, either on disk or in memory.\n     * Checks timestamps to ensure replacements are not performed in files that have changed on disk since\n     * the original search results were generated. However, does *not* check whether edits have been performed\n     * in in-memory documents since the search; it\'s up to the caller to guarantee this hasn\'t happened.\n     * (When called from the standard Find in Files UI, SearchResultsView guarantees this. If called headlessly,\n     * the caller needs to track changes.)\n     *\n     * Replacements in documents that are already open in memory at the start of the replacement are guaranteed to\n     * happen synchronously; replacements in files on disk will return an error if the on-disk file changes between\n     * the time performReplacements() is called and the time the replacement actually happens.\n     *\n     * @param {Object.<fullPath: string, {matches: Array.<{start: {line:number,ch:number}, end: {line:number,ch:number}, startOffset: number, endOffset: number, line: string}>, collapsed: boolean}>} results\n     *      The list of results to replace, as returned from _doSearch..\n     * @param {string} replaceText The text to replace each result with.\n     * @param {?Object} options An options object:\n     *      forceFilesOpen: boolean - Whether to open all files in editors and do replacements there rather than doing the\n     *          replacements on disk. Note that even if this is false, files that are already open in editors will have replacements\n     *          done in memory.\n     *      isRegexp: boolean - Whether the original query was a regexp. If true, $-substitution is performed on the replaceText.\n     * @return {$.Promise} A promise that\'s resolved when the replacement is finished or rejected with an array of errors\n     *      if there were one or more errors. Each individual item in the array will be a {item: string, error: string} object,\n     *      where item is the full path to the file that could not be updated, and error is either a FileSystem error or one\n     *      of the `FindUtils.ERROR_*` constants.\n     */\n    function performReplacements(results, replaceText, options) {\n        return Async.doInParallel_aggregateErrors(Object.keys(results), function (fullPath) {\n            return _doReplaceInOneFile(fullPath, results[fullPath], replaceText, options);\n        }).done(function () {\n            if (options && options.forceFilesOpen) {\n                // If the currently selected document wasn\'t modified by the search, or there is no open document,\n                // then open the first modified document.\n                var doc = DocumentManager.getCurrentDocument();\n                if (!doc ||\n                        !results[doc.file.fullPath] ||\n                        !hasCheckedMatches(results[doc.file.fullPath])) {\n                    // Figure out the first modified document. This logic is slightly different from\n                    // SearchResultsView._getSortedFiles() because it doesn\'t sort the currently open file to\n                    // the top. But if the currently open file were in the search results, we wouldn\'t be\n                    // doing this anyway.\n                    var sortedPaths = Object.keys(results).sort(FileUtils.comparePaths),\n                        firstPath = _.find(sortedPaths, function (path) {\n                            return hasCheckedMatches(results[path]);\n                        });\n\n                    if (firstPath) {\n                        var newDoc = DocumentManager.getOpenDocumentForPath(firstPath);\n                        // newDoc might be null if the replacement failed.\n                        if (newDoc) {\n                            // @todo change the `_edit` call to this:\n                            //\n                            ///    CommandManager.execute(Commands.FILE_OPEN, {fullPath: firstPath});\n                            //\n                            // The problem with doing that is that the promise returned by this\n                            // function has already been resolved by `Async.doInParallel()` and\n                            // `CommandManager.execute` is an asynchronous operation.\n                            // An asynchronous open can\'t be waited on (since the promise has been\n                            //  resolved already) so use the synchronous version so that the next `done`\n                            //  handler is blocked until the open completes\n                            MainViewManager._edit(MainViewManager.ACTIVE_PANE, newDoc);\n                        }\n                    }\n                }\n            }\n        });\n    }\n\n    /**\n     * Returns label text to indicate the search scope. Already HTML-escaped.\n     * @param {?Entry} scope\n     * @return {string}\n     */\n    function labelForScope(scope) {\n        if (scope) {\n            return StringUtils.format(\n                Strings.FIND_IN_FILES_SCOPED,\n                StringUtils.breakableUrl(\n                    ProjectManager.makeProjectRelativeIfPossible(scope.fullPath)\n                )\n            );\n        } else {\n            return Strings.FIND_IN_FILES_NO_SCOPE;\n        }\n    }\n\n    /**\n     * Parses the given query into a regexp, and returns whether it was valid or not.\n     * @param {{query: string, caseSensitive: boolean, isRegexp: boolean}} queryInfo\n     * @return {{queryExpr: RegExp, valid: boolean, empty: boolean, error: string}}\n     *      queryExpr - the regexp representing the query\n     *      valid - set to true if query is a nonempty string or a valid regexp.\n     *      empty - set to true if query was empty.\n     *      error - set to an error string if valid is false and query is nonempty.\n     */\n    function parseQueryInfo(queryInfo) {\n        var queryExpr;\n\n        if (!queryInfo || !queryInfo.query) {\n            return {empty: true};\n        }\n\n        // For now, treat all matches as multiline (i.e. ^/$ match on every line, not the whole\n        // document). This is consistent with how single-file find works. Eventually we should add\n        // an option for this.\n        var flags = "gm";\n        if (!queryInfo.isCaseSensitive) {\n            flags += "i";\n        }\n\n        // Is it a (non-blank) regex?\n        if (queryInfo.isRegexp) {\n            try {\n                queryExpr = new RegExp(queryInfo.query, flags);\n            } catch (e) {\n                return {valid: false, error: e.message};\n            }\n        } else {\n            // Query is a plain string. Turn it into a regexp\n            queryExpr = new RegExp(StringUtils.regexEscape(queryInfo.query), flags);\n        }\n        return {valid: true, queryExpr: queryExpr};\n    }\n\n     /**\n     * Prioritizes the open file and then the working set files to the starting of the list of files\n     * @param {Array.<*>} files An array of file paths or file objects to sort\n     * @param {?string} firstFile If specified, the path to the file that should be sorted to the top.\n     * @return {Array.<*>}\n     */\n    function prioritizeOpenFile(files, firstFile) {\n        var workingSetFiles = MainViewManager.getWorkingSet(MainViewManager.ALL_PANES),\n            workingSetFileFound = {},\n            fileSetWithoutWorkingSet = [],\n            startingWorkingFileSet = [],\n            propertyName = "",\n            i = 0;\n        firstFile = firstFile || "";\n\n        // Create a working set path map which indicates if a file in working set is found in file list\n        for (i = 0; i < workingSetFiles.length; i++) {\n            workingSetFileFound[workingSetFiles[i].fullPath] = false;\n        }\n\n        // Remove all the working set files from the filtration list\n        fileSetWithoutWorkingSet = files.filter(function (key) {\n            if (workingSetFileFound[key] !== undefined) {\n                workingSetFileFound[key] = true;\n                return false;\n            }\n            return true;\n        });\n\n        //push in the first file\n        if (workingSetFileFound[firstFile] === true) {\n            startingWorkingFileSet.push(firstFile);\n            workingSetFileFound[firstFile] = false;\n        }\n        //push in the rest of working set files already present in file list\n        for (propertyName in workingSetFileFound) {\n            if (workingSetFileFound.hasOwnProperty(propertyName) && workingSetFileFound[propertyName]) {\n                startingWorkingFileSet.push(propertyName);\n            }\n        }\n        return startingWorkingFileSet.concat(fileSetWithoutWorkingSet);\n    }\n\n\n    /**\n     * Returns the path of the currently open file or null if there isn\'t one open\n     * @return {?string}\n     */\n    function getOpenFilePath() {\n        var currentDoc = DocumentManager.getCurrentDocument();\n        return currentDoc ? currentDoc.file.fullPath : null;\n    }\n\n    /**\n     * enable/disable instant search\n     * @param {boolean} disable true to disable node based search\n     */\n    function setInstantSearchDisabled(disable) {\n        instantSearchDisabled = disable;\n    }\n\n    /**\n     * if instant search is disabled, this will return true we can only do instant search through node\n     * @return {boolean}\n     */\n    function isInstantSearchDisabled() {\n        return _prefNodeSearchDisabled() || _prefInstantSearchDisabled() || nodeSearchDisabled || instantSearchDisabled;\n    }\n\n    /**\n     * enable/disable node based search\n     * @param {boolean} disable true to disable node based search\n     */\n    function setNodeSearchDisabled(disable) {\n        if (disable) {\n            // only set disable. Enabling node earch doesnt mean we have to enable instant search.\n            setInstantSearchDisabled(disable);\n        }\n        nodeSearchDisabled = disable;\n    }\n\n    /**\n     * if node search is disabled, this will return true\n     * @return {boolean}\n     */\n    function isNodeSearchDisabled() {\n        return _prefNodeSearchDisabled() || nodeSearchDisabled;\n    }\n\n    /**\n     * check if a search is progressing in node\n     * @return {Boolean} true if search is processing in node\n     */\n    function isNodeSearchInProgress() {\n        if (nodeSearchCount === 0) {\n            return false;\n        } else {\n            return true;\n        }\n    }\n\n\n    /**\n     * Raises an event when the file filters applied to a search changes\n     */\n    function notifyFileFiltersChanged() {\n        exports.trigger(exports.SEARCH_FILE_FILTERS_CHANGED);\n    }\n\n    /**\n     * Raises an event when the search scope changes[say search in a sub drictory in the project]\n     */\n    function notifySearchScopeChanged() {\n        exports.trigger(exports.SEARCH_SCOPE_CHANGED);\n    }\n\n    /**\n     * Notifies that a node search has started so that we FindUtils can figure out\n     * if any outstanding node search requests are pendind\n     */\n    function notifyNodeSearchStarted() {\n        nodeSearchCount++;\n    }\n\n    /**\n     * Notifies that a node search has finished so that we FindUtils can figure out\n     * if any outstanding node search requests are pendind\n     */\n    function notifyNodeSearchFinished() {\n        nodeSearchCount--;\n    }\n\n    /**\n     * Notifies that a node has started indexing the files\n     */\n    function notifyIndexingStarted() {\n        indexingInProgress = true;\n        exports.trigger(exports.SEARCH_INDEXING_STARTED);\n    }\n\n    /**\n     * Notifies that a node has finished indexing the files\n     */\n    function notifyIndexingFinished() {\n        indexingInProgress = false;\n        exports.trigger(exports.SEARCH_INDEXING_FINISHED);\n    }\n\n    /**\n     * Return true if indexing is in pregress in node\n     * @return {boolean} true if files are being indexed in node\n     */\n    function isIndexingInProgress() {\n        return indexingInProgress;\n    }\n\n    /**\n     * Set if we need to collapse all results in the results pane\n     * @param {boolean} collapse true to collapse\n     */\n    function setCollapseResults(collapse) {\n        collapseResults = collapse;\n        exports.trigger(exports.SEARCH_COLLAPSE_RESULTS);\n    }\n\n    /**\n     * check if results should be collapsed\n     * @return {boolean} true if results should be collapsed\n     */\n    function isCollapsedResults() {\n        return collapseResults;\n    }\n\n    /**\n     * Returns the health data pertaining to Find in files\n     */\n    function getHealthReport() {\n        return {\n            prefNodeSearchDisabled : _prefNodeSearchDisabled(),\n            prefInstantSearchDisabled : _prefInstantSearchDisabled()\n        };\n    }\n\n    exports.parseDollars                    = parseDollars;\n    exports.hasCheckedMatches               = hasCheckedMatches;\n    exports.performReplacements             = performReplacements;\n    exports.labelForScope                   = labelForScope;\n    exports.parseQueryInfo                  = parseQueryInfo;\n    exports.prioritizeOpenFile              = prioritizeOpenFile;\n    exports.getOpenFilePath                 = getOpenFilePath;\n    exports.setNodeSearchDisabled           = setNodeSearchDisabled;\n    exports.isNodeSearchDisabled            = isNodeSearchDisabled;\n    exports.setInstantSearchDisabled        = setInstantSearchDisabled;\n    exports.isInstantSearchDisabled         = isInstantSearchDisabled;\n    exports.isNodeSearchInProgress          = isNodeSearchInProgress;\n    exports.isIndexingInProgress            = isIndexingInProgress;\n    exports.setCollapseResults              = setCollapseResults;\n    exports.isCollapsedResults              = isCollapsedResults;\n    exports.getHealthReport                 = getHealthReport;\n    exports.ERROR_FILE_CHANGED              = "fileChanged";\n\n    // event notification functions\n    exports.notifyFileFiltersChanged        = notifyFileFiltersChanged;\n    exports.notifySearchScopeChanged        = notifySearchScopeChanged;\n    exports.notifyNodeSearchStarted         = notifyNodeSearchStarted;\n    exports.notifyNodeSearchFinished        = notifyNodeSearchFinished;\n    exports.notifyIndexingStarted           = notifyIndexingStarted;\n    exports.notifyIndexingFinished          = notifyIndexingFinished;\n\n    // events raised by FindUtils\n    exports.SEARCH_FILE_FILTERS_CHANGED              = "fileFiltersChanged";\n    exports.SEARCH_SCOPE_CHANGED                     = "searchScopeChanged";\n    exports.SEARCH_INDEXING_STARTED                  = "searchIndexingStarted";\n    exports.SEARCH_INDEXING_FINISHED                 = "searchIndexingFinished";\n    exports.SEARCH_COLLAPSE_RESULTS                  = "searchCollapseResults";\n});\n\n//# sourceURL=/search/FindUtils.js'),
eval('define(\'text!htmlContent/edit-filter-dialog.html\',[],function () { return \'<div class="file-filter-dialog modal">\\n    <div class="modal-header">\\n        <h1 class="dialog-title">{{Strings.FILE_FILTER_DIALOG}}</h1>\\n    </div>\\n    <div class="modal-body">\\n        <div class="dialog-message">\\n            {{{instruction}}}\\n            <textarea class="exclusions-editor"></textarea>\\n            <input type="text" class="exclusions-name" placeholder="{{Strings.FILTER_NAME_PLACEHOLDER}}">\\n            <div class="exclusions-name-characters-remaining"></div>\\n            <div class="exclusions-filecount">{{Strings.FILTER_COUNTING_FILES}}</div>\\n        </div>\\n    </div>\\n    <div class="modal-footer">\\n        <button class="dialog-button btn" data-button-id="cancel">{{Strings.CANCEL}}</button>\\n        <button class="dialog-button btn primary" data-button-id="ok">{{Strings.OK}}</button>\\n    </div>\\n</div>\\n\';});\n\n//# sourceURL=/text!htmlContent/edit-filter-dialog.html'),eval("define('text!htmlContent/filter-name.html',[],function () { return '<div class=\\'filter-trash-icon\\'>&times;</div><!-- \\n--><span class=\\'recent-filter-name\\'>{{{filter-name}}}</span><!-- \\n--><span class=\\'recent-filter-patterns\\'>{{{filter-patterns}}}</span><!-- \\n--><span class=\\'filter-edit-icon\\'></span>';});\n\n//# sourceURL=/text!htmlContent/filter-name.html"),eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Utilities for managing file-set filters, as used in Find in Files.\n * Includes both UI for selecting/editing filters, as well as the actual file-filtering implementation.\n */\ndefine(\'search/FileFilters\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'thirdparty/mustache/mustache\',\'widgets/Dialogs\',\'widgets/DropdownButton\',\'utils/StringUtils\',\'strings\',\'preferences/PreferencesManager\',\'search/FindUtils\',\'text!htmlContent/edit-filter-dialog.html\',\'text!htmlContent/filter-name.html\'],function (require, exports, module) {\n    "use strict";\n\n    var _                  = require("thirdparty/lodash"),\n        Mustache           = require("thirdparty/mustache/mustache"),\n        Dialogs            = require("widgets/Dialogs"),\n        DropdownButton     = require("widgets/DropdownButton").DropdownButton,\n        StringUtils        = require("utils/StringUtils"),\n        Strings            = require("strings"),\n        PreferencesManager = require("preferences/PreferencesManager"),\n        FindUtils          = require("search/FindUtils"),\n        EditFilterTemplate = require("text!htmlContent/edit-filter-dialog.html"),\n        FilterNameTemplate = require("text!htmlContent/filter-name.html");\n\n    /**\n     * Constant: first filter index in the filter dropdown list\n     * @type {number}\n     */\n    var FIRST_FILTER_INDEX = 3;\n\n    /**\n     * Constant: max number of characters for the filter name\n     * @type {number}\n     */\n    var FILTER_NAME_CHARACTER_MAX = 20;\n\n    /**\n     * Context Info on which files the filter will be applied to.\n     * It will be initialized when createFilterPicker is called and if specified, editing UI will\n     * indicate how many files are excluded by the filter. Label should be of the form "in ..."\n     * @type {?{label:string, promise:$.Promise}}\n     */\n    var _context = null;\n\n    /**\n     * @type {DropdownButton}\n     */\n    var _picker  = null;\n\n    /**\n     * Get the condensed form of the filter set by joining the first two in the set with\n     * a comma separator and appending a short message with the number of filters being clipped.\n     * @param {Array.<string>} filter\n     * @return {string} Condensed form of filter set if `filter` is a valid array.\n     *                  Otherwise, return an empty string.\n     */\n    function _getCondensedForm(filter) {\n        if (!_.isArray(filter)) {\n            return "";\n        }\n\n        // Format filter in condensed form\n        if (filter.length > 2) {\n            return filter.slice(0, 2).join(", ") + " " +\n                   StringUtils.format(Strings.FILE_FILTER_CLIPPED_SUFFIX, filter.length - 2);\n        }\n        return filter.join(", ");\n    }\n\n    /**\n     * Populate the list of dropdown menu with two filter commands and\n     * the list of saved filter sets.\n     */\n    function _doPopulate() {\n        var dropdownItems = [Strings.NEW_FILE_FILTER, Strings.CLEAR_FILE_FILTER],\n            filterSets = PreferencesManager.get("fileFilters") || [];\n\n        if (filterSets.length) {\n            dropdownItems.push("---");\n\n            // Remove all the empty exclusion sets before concatenating to the dropdownItems.\n            filterSets = filterSets.filter(function (filter) {\n                return (_getCondensedForm(filter.patterns) !== "");\n            });\n\n            // FIRST_FILTER_INDEX needs to stay in sync with the number of static items (plus separator)\n            // ie. the number of items populated so far before we concatenate with the actual filter sets.\n            dropdownItems = dropdownItems.concat(filterSets);\n        }\n        _picker.items = dropdownItems;\n    }\n\n    /**\n     * Find the index of a filter set in the list of saved filter sets.\n     * @param {Array.<{name: string, patterns: Array.<string>}>} filterSets\n     * @return {{name: string, patterns: Array.<string>}} filter\n     */\n    function _getFilterIndex(filterSets, filter) {\n        var index = -1;\n\n        if (!filter || !filterSets.length) {\n            return index;\n        }\n\n        return _.findIndex(filterSets, _.partial(_.isEqual, filter));\n    }\n\n    /**\n     * A search filter is an array of one or more glob strings. The filter must be \'compiled\' via compile()\n     * before passing to filterPath()/filterFileList().\n     * @return {?{name: string, patterns: Array.<string>}}\n     */\n    function getActiveFilter() {\n        var filterSets        = PreferencesManager.get("fileFilters") || [],\n            activeFilterIndex = PreferencesManager.getViewState("activeFileFilter"),\n            oldFilter         = PreferencesManager.getViewState("search.exclusions") || [],\n            activeFilter      = null;\n\n        if (activeFilterIndex === undefined && oldFilter.length) {\n            activeFilter = { name: "", patterns: oldFilter };\n            activeFilterIndex = _getFilterIndex(filterSets, activeFilter);\n\n            // Migrate the old filter into the new filter storage\n            if (activeFilterIndex === -1) {\n                activeFilterIndex = filterSets.length;\n                filterSets.push(activeFilter);\n                PreferencesManager.set("fileFilters", filterSets);\n            }\n            PreferencesManager.setViewState("activeFileFilter", activeFilterIndex);\n        } else if (activeFilterIndex > -1 && activeFilterIndex < filterSets.length) {\n            activeFilter = filterSets[activeFilterIndex];\n        }\n\n        return activeFilter;\n    }\n\n    /**\n     * Update the picker button label with the name/patterns of the selected filter or\n     * No Files Excluded if no filter is selected.\n     */\n    function _updatePicker() {\n        var filter = getActiveFilter();\n        if (filter && filter.patterns.length) {\n            var label = filter.name || _getCondensedForm(filter.patterns);\n            _picker.setButtonLabel(StringUtils.format(Strings.EXCLUDE_FILE_FILTER, label));\n        } else {\n            _picker.setButtonLabel(Strings.NO_FILE_FILTER);\n        }\n    }\n\n    /**\n     * Sets and save the index of the active filter. Automatically set when editFilter() is completed.\n     * If no filter is passed in, then clear the last active filter index by setting it to -1.\n     *\n     * @param {{name: string, patterns: Array.<string>}=} filter\n     * @param {number=} index The index of the filter set in the list of saved filter sets or -1 if it is a new one\n     */\n    function setActiveFilter(filter, index) {\n        var filterSets = PreferencesManager.get("fileFilters") || [];\n\n        if (filter) {\n            if (index === -1) {\n                // Add a new filter set\n                index = filterSets.length;\n                filterSets.push(filter);\n            } else if (index > -1 && index < filterSets.length) {\n                // Update an existing filter set only if the filter set has some changes\n                if (!_.isEqual(filterSets[index], filter)) {\n                    filterSets[index] = filter;\n                }\n            } else {\n                // Should not have been called with an invalid index to the available filter sets.\n                console.log("setActiveFilter is called with an invalid index: " + index);\n                return;\n            }\n\n            PreferencesManager.set("fileFilters", filterSets);\n            PreferencesManager.setViewState("activeFileFilter", index);\n        } else {\n            // Explicitly set to -1 to remove the active file filter\n            PreferencesManager.setViewState("activeFileFilter", -1);\n        }\n        FindUtils.notifyFileFiltersChanged();\n    }\n\n\n    /**\n     * Converts a user-specified filter object (as chosen in picker or retrieved from getFilters()) to a \'compiled\' form\n     * that can be used with filterPath()/filterFileList().\n     * @param {!Array.<string>} userFilter\n     * @return {!string} \'compiled\' filter that can be passed to filterPath()/filterFileList().\n     */\n    function compile(userFilter) {\n        // Automatically apply ** prefix/suffix to make writing simple substring-match filters more intuitive\n        var wrappedGlobs = userFilter.map(function (glob) {\n            // Automatic "**" prefix if not explicitly present\n            if (glob.substr(0, 2) !== "**") {\n                glob = "**" + glob;\n            }\n            // Automatic "**" suffix if not explicitly present and no "." in last path segment of filter string\n            if (glob.substr(-2, 2) !== "**") {\n                var lastSeg = glob.lastIndexOf("/");\n                if (glob.indexOf(".", lastSeg + 1) === -1) {  // if no "/" present, this treats whole string as \'last segment\'\n                    glob += "**";\n                }\n            }\n            return glob;\n        });\n\n        // Convert to regular expression for fast matching\n        var regexStrings = wrappedGlobs.map(function (glob) {\n            var reStr = "", i;\n            for (i = 0; i < glob.length; i++) {\n                var ch = glob[i];\n                if (ch === "*") {\n                    // Check for `**`\n                    if (glob[i + 1] === "*") {\n                        // Special case: `/**/` can collapse - that is, it shouldn\'t require matching both slashes\n                        if (glob[i + 2] === "/" && glob[i - 1] === "/") {\n                            reStr += "(.*/)?";\n                            i += 2; // skip 2nd * and / after it\n                        } else {\n                            reStr += ".*";\n                            i++;    // skip 2nd *\n                        }\n                    } else {\n                        // Single `*`\n                        reStr += "[^/]*";\n                    }\n                } else if (ch === "?") {\n                    reStr += "[^/]";  // unlike \'?\' in regexp, in globs this requires exactly 1 char\n                } else {\n                    // Regular char with no special meaning\n                    reStr += StringUtils.regexEscape(ch);\n                }\n            }\n            return "^" + reStr + "$";\n        });\n        return regexStrings.join("|");\n    }\n\n\n    /**\n     * Returns false if the given path matches any of the exclusion globs in the given filter. Returns true\n     * if the path does not match any of the globs. If filtering many paths at once, use filterFileList()\n     * for much better performance.\n     *\n     * @param {?string} compiledFilter  \'Compiled\' filter object as returned by compile(), or null to no-op\n     * @param {!string} fullPath\n     * @return {boolean}\n     */\n    function filterPath(compiledFilter, fullPath) {\n        if (!compiledFilter) {\n            return true;\n        }\n\n        var re = new RegExp(compiledFilter);\n        return !fullPath.match(re);\n    }\n\n    /**\n     * Returns a copy of \'files\' filtered to just those that don\'t match any of the exclusion globs in the filter.\n     *\n     * @param {?string} compiledFilter  \'Compiled\' filter object as returned by compile(), or null to no-op\n     * @param {!Array.<File>} files\n     * @return {!Array.<File>}\n     */\n    function filterFileList(compiledFilter, files) {\n        if (!compiledFilter) {\n            return files;\n        }\n\n        var re = new RegExp(compiledFilter);\n        return files.filter(function (f) {\n            return !re.test(f.fullPath);\n        });\n    }\n\n    /**\n     * Returns a copy of \'file path\' strings that match any of the exclusion globs in the filter.\n     *\n     * @param {?string} compiledFilter  \'Compiled\' filter object as returned by compile(), or null to no-op\n     * @param {!Array.<string>} An array with a list of full file paths that matches atleast one of the filter.\n     * @return {!Array.<string>}\n     */\n    function getPathsMatchingFilter(compiledFilter, filePaths) {\n        if (!compiledFilter) {\n            return filePaths;\n        }\n\n        var re = new RegExp(compiledFilter);\n        return filePaths.filter(function (f) {\n            return f.match(re);\n        });\n    }\n\n\n    /**\n     * Opens a dialog box to edit the given filter. When editing is finished, the value of getActiveFilter() changes to\n     * reflect the edits. If the dialog was canceled, the preference is left unchanged.\n     * @param {!{name: string, patterns: Array.<string>}} filter\n     * @param {number} index The index of the filter set to be edited or created. The value is -1 if it is for a new one\n     *          to be created.\n     * @return {!$.Promise} Dialog box promise\n     */\n    function editFilter(filter, index) {\n        var lastFocus = window.document.activeElement;\n\n        var templateVars = {\n                instruction: StringUtils.format(Strings.FILE_FILTER_INSTRUCTIONS, brackets.config.glob_help_url),\n                Strings: Strings\n            };\n        var dialog = Dialogs.showModalDialogUsingTemplate(Mustache.render(EditFilterTemplate, templateVars)),\n            $nameField = dialog.getElement().find(".exclusions-name"),\n            $editField = dialog.getElement().find(".exclusions-editor"),\n            $remainingField = dialog.getElement().find(".exclusions-name-characters-remaining");\n\n        $nameField.val(filter.name);\n        $editField.val(filter.patterns.join("\\n")).focus();\n\n        function getValue() {\n            var newFilter = $editField.val().split("\\n");\n\n            // Remove blank lines\n            return newFilter.filter(function (glob) {\n                return glob.trim().length;\n            });\n        }\n\n        $nameField.bind(\'input\', function () {\n            var remainingCharacters = FILTER_NAME_CHARACTER_MAX - $(this).val().length;\n            if (remainingCharacters < 0.25*FILTER_NAME_CHARACTER_MAX) {\n                $remainingField.show();\n\n                $remainingField.text(StringUtils.format(\n                    Strings.FILTER_NAME_REMAINING,\n                    remainingCharacters\n                ));\n\n                if (remainingCharacters < 0) {\n                    $remainingField.addClass("exclusions-name-characters-limit-reached");\n                } else {\n                    $remainingField.removeClass("exclusions-name-characters-limit-reached");\n                }\n            }\n            else {\n                $remainingField.hide();\n            }\n            updatePrimaryButton();\n        });\n\n        dialog.done(function (buttonId) {\n            if (buttonId === Dialogs.DIALOG_BTN_OK) {\n                // Update saved filter preference\n                setActiveFilter({ name: $nameField.val(), patterns: getValue() }, index);\n                _updatePicker();\n                _doPopulate();\n            }\n            lastFocus.focus();  // restore focus to old pos\n        });\n\n        // Code to update the file count readout at bottom of dialog (if context provided)\n        var $fileCount = dialog.getElement().find(".exclusions-filecount");\n\n        function updateFileCount() {\n            _context.promise.done(function (files) {\n                var filter = getValue();\n                if (filter.length) {\n                    var filtered = filterFileList(compile(filter), files);\n                    $fileCount.html(StringUtils.format(Strings.FILTER_FILE_COUNT, filtered.length, files.length, _context.label));\n                } else {\n                    $fileCount.html(StringUtils.format(Strings.FILTER_FILE_COUNT_ALL, files.length, _context.label));\n                }\n            });\n        }\n\n        // Code to enable/disable the OK button at the bottom of dialog (whether filter is empty or not)\n        var $primaryBtn = dialog.getElement().find(".primary");\n\n        function updatePrimaryButton() {\n            var trimmedValue = $editField.val().trim();\n            var exclusionNameLength = $nameField.val().length;\n\n            $primaryBtn.prop("disabled", !trimmedValue.length || (exclusionNameLength > FILTER_NAME_CHARACTER_MAX));\n        }\n\n        $editField.on("input", updatePrimaryButton);\n        updatePrimaryButton();\n\n        if (_context) {\n            $editField.on("input", _.debounce(updateFileCount, 400));\n            updateFileCount();\n        } else {\n            $fileCount.hide();\n        }\n\n        return dialog.getPromise();\n    }\n\n\n    /**\n     * Marks the filter picker\'s currently selected item as most-recently used, and returns the corresponding\n     * \'compiled\' filter object ready for use with filterPath().\n     * @param {!jQueryObject} picker UI returned from createFilterPicker()\n     * @return {!string} \'compiled\' filter that can be passed to filterPath()/filterFileList().\n     */\n    function commitPicker(picker) {\n        var filter = getActiveFilter();\n        return (filter && filter.patterns.length) ? compile(filter.patterns) : "";\n    }\n\n    /**\n     * Remove the target item from the filter dropdown list and update dropdown button\n     * and dropdown list UI.\n     * @param {!Event} e Mouse events\n     */\n    function _handleDeleteFilter(e) {\n        // Remove the filter set from the preferences and\n        // clear the active filter set index from view state.\n        var filterSets        = PreferencesManager.get("fileFilters") || [],\n            activeFilterIndex = PreferencesManager.getViewState("activeFileFilter"),\n            filterIndex       = $(e.target).parent().data("index") - FIRST_FILTER_INDEX;\n\n        // Don\'t let the click bubble upward.\n        e.stopPropagation();\n\n        filterSets.splice(filterIndex, 1);\n        PreferencesManager.set("fileFilters", filterSets);\n\n        if (activeFilterIndex === filterIndex) {\n            // Removing the active filter, so clear the active filter\n            // both in the view state.\n            setActiveFilter(null);\n        } else if (activeFilterIndex > filterIndex) {\n            // Adjust the active filter index after the removal of a filter set before it.\n            --activeFilterIndex;\n            setActiveFilter(filterSets[activeFilterIndex], activeFilterIndex);\n        }\n\n        _updatePicker();\n        _doPopulate();\n        _picker.refresh();\n    }\n\n    /**\n     * Close filter dropdwon list and launch edit filter dialog.\n     * @param {!Event} e Mouse events\n     */\n    function _handleEditFilter(e) {\n        var filterSets  = PreferencesManager.get("fileFilters") || [],\n            filterIndex = $(e.target).parent().data("index") - FIRST_FILTER_INDEX;\n\n        // Don\'t let the click bubble upward.\n        e.stopPropagation();\n\n        // Close the dropdown first before opening the edit filter dialog\n        // so that it will restore focus to the DOM element that has focus\n        // prior to opening it.\n        _picker.closeDropdown();\n\n        editFilter(filterSets[filterIndex], filterIndex);\n    }\n\n    /**\n     * Set up mouse click event listeners for \'Delete\' and \'Edit\' buttons\n     * when the dropdown is open. Also set check mark on the active filter.\n     * @param {!Event>} event listRendered event triggered when the dropdown is open\n     * @param {!jQueryObject} $dropdown the jQuery DOM node of the dropdown list\n     */\n    function _handleListRendered(event, $dropdown) {\n        var activeFilterIndex = PreferencesManager.getViewState("activeFileFilter"),\n            checkedItemIndex = (activeFilterIndex > -1) ? (activeFilterIndex + FIRST_FILTER_INDEX) : -1;\n        _picker.setChecked(checkedItemIndex, true);\n\n        $dropdown.find(".filter-trash-icon")\n            .on("click", _handleDeleteFilter);\n\n        $dropdown.find(".filter-edit-icon")\n            .on("click", _handleEditFilter);\n    }\n\n    /**\n     * Creates a UI element for selecting a filter, populated with a list of recently used filters, an option to\n     * edit the selected filter and another option to create a new filter. The client should call commitDropdown()\n     * when the UI containing the filter picker is confirmed (which updates the MRU order) and then use the\n     * returned filter object as needed.\n     *\n     * @param {?{label:string, promise:$.Promise}} context Info on files that filter will apply to.\n     *      This will be saved as _context for later use in creating a new filter or editing an\n     *      existing filter in Edit Filter dialog.\n     * @return {!jQueryObject} Picker UI. To retrieve the selected value, use commitPicker().\n     */\n    function createFilterPicker(context) {\n\n        function itemRenderer(item, index) {\n            if (index < FIRST_FILTER_INDEX) {\n                // Prefix the two filter commands with \'recent-filter-name\' so that\n                // they also get the same margin-left as the actual filters.\n                return "<span class=\'recent-filter-name\'></span>" + _.escape(item);\n            }\n\n            var condensedPatterns = _getCondensedForm(item.patterns),\n                templateVars = {\n                    "filter-name"    : _.escape(item.name || condensedPatterns),\n                    "filter-patterns": item.name ? " - " + _.escape(condensedPatterns) : ""\n                };\n\n            return Mustache.render(FilterNameTemplate, templateVars);\n        }\n\n        _context = context;\n        _picker = new DropdownButton("", [], itemRenderer);\n\n        _updatePicker();\n        _doPopulate();\n\n        // Add \'file-filter-picker\' to keep some margin space on the left of the button\n        _picker.$button.addClass("file-filter-picker no-focus");\n\n        // Set up mouse click event listeners for \'Delete\' and \'Edit\' buttons\n        _picker.on("listRendered", _handleListRendered);\n\n        _picker.on("select", function (event, item, itemIndex) {\n            if (itemIndex === 0) {\n                // Close the dropdown first before opening the edit filter dialog\n                // so that it will restore focus to the DOM element that has focus\n                // prior to opening it.\n                _picker.closeDropdown();\n\n                // Create a new filter set\n                editFilter({ name: "", patterns: [] }, -1);\n            } else if (itemIndex === 1) {\n                // Uncheck the prior active filter in the dropdown list.\n                _picker.setChecked(itemIndex, false);\n\n                // Clear the active filter\n                setActiveFilter(null);\n                _updatePicker();\n            } else if (itemIndex >= FIRST_FILTER_INDEX && item) {\n                setActiveFilter(item, itemIndex - FIRST_FILTER_INDEX);\n                _picker.setChecked(itemIndex, true);\n                _updatePicker();\n            }\n        });\n\n        return _picker.$button;\n    }\n\n    /**\n     * Allows unit tests to open the file filter dropdown list.\n     */\n    function showDropdown() {\n        if (_picker) {\n            _picker.showDropdown();\n        }\n    }\n\n    /**\n     * Allows unit tests to close the file filter dropdown list.\n     */\n    function closeDropdown() {\n        if (_picker) {\n            _picker.closeDropdown();\n        }\n    }\n\n    // For unit tests only\n    exports.showDropdown       = showDropdown;\n    exports.closeDropdown      = closeDropdown;\n\n    exports.createFilterPicker     = createFilterPicker;\n    exports.commitPicker           = commitPicker;\n    exports.getActiveFilter        = getActiveFilter;\n    exports.setActiveFilter        = setActiveFilter;\n    exports.editFilter             = editFilter;\n    exports.compile                = compile;\n    exports.filterPath             = filterPath;\n    exports.filterFileList         = filterFileList;\n    exports.getPathsMatchingFilter = getPathsMatchingFilter;\n});\n\n//# sourceURL=/search/FileFilters.js'),eval('/*\n * Copyright (c) 2015 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n *  Utilities functions related to Health Data logging\n */\ndefine(\'utils/HealthLogger\',[\'require\',\'exports\',\'module\',\'preferences/PreferencesManager\',\'language/LanguageManager\',\'file/FileUtils\',\'utils/PerfUtils\',\'search/FindUtils\',\'utils/StringUtils\'],function (require, exports, module) {\n    "use strict";\n\n    var PreferencesManager          = require("preferences/PreferencesManager"),\n        LanguageManager             = require("language/LanguageManager"),\n        FileUtils                   = require("file/FileUtils"),\n        PerfUtils                   = require("utils/PerfUtils"),\n        FindUtils                   = require("search/FindUtils"),\n        StringUtils                 = require("utils/StringUtils"),\n\n        HEALTH_DATA_STATE_KEY       = "HealthData.Logs",\n        logHealthData               = true;\n\n    /**\n     * Init: creates the health log preference keys in the state.json file\n     */\n    function init() {\n        PreferencesManager.stateManager.definePreference(HEALTH_DATA_STATE_KEY, "object", {});\n    }\n\n    /**\n     * All the logging functions should be disabled if this returns false\n     * @return {boolean} true if health data can be logged\n     */\n    function shouldLogHealthData() {\n        return logHealthData;\n    }\n\n    /**\n     * Return all health data logged till now stored in the state prefs\n     * @return {Object} Health Data aggregated till now\n     */\n    function getStoredHealthData() {\n        var storedData = PreferencesManager.getViewState(HEALTH_DATA_STATE_KEY) || {};\n        return storedData;\n    }\n\n    /**\n     * Return the aggregate of all health data logged till now from all sources\n     * @return {Object} Health Data aggregated till now\n     */\n    function getAggregatedHealthData() {\n        var healthData = getStoredHealthData();\n        $.extend(healthData, PerfUtils.getHealthReport());\n        $.extend(healthData, FindUtils.getHealthReport());\n        return healthData;\n    }\n\n    /**\n     * Sets the health data\n     * @param {Object} dataObject The object to be stored as health data\n     */\n    function setHealthData(dataObject) {\n        if (!shouldLogHealthData()) {\n            return;\n        }\n        PreferencesManager.setViewState(HEALTH_DATA_STATE_KEY, dataObject);\n    }\n\n    /**\n     * Returns health data logged for the given key\n     * @return {Object} Health Data object for the key or undefined if no health data stored\n     */\n    function getHealthDataLog(key) {\n        var healthData = getStoredHealthData();\n        return healthData[key];\n    }\n\n    /**\n     * Sets the health data for the given key\n     * @param {Object} dataObject The object to be stored as health data for the key\n     */\n    function setHealthDataLog(key, dataObject) {\n        var healthData = getStoredHealthData();\n        healthData[key] = dataObject;\n        setHealthData(healthData);\n    }\n\n    /**\n     * Clears all the health data recorded till now\n     */\n    function clearHealthData() {\n        PreferencesManager.setViewState(HEALTH_DATA_STATE_KEY, {});\n        //clear the performance related health data also\n        PerfUtils.clear();\n    }\n\n    /**\n     * Enable or disable health data logs\n     * @param {boolean} enabled true to enable health logs\n     */\n    function setHealthLogsEnabled(enabled) {\n        logHealthData = enabled;\n        if (!enabled) {\n            clearHealthData();\n        }\n    }\n\n    /**\n     * Whenever a file is opened call this function. The function will record the number of times\n     * the standard file types have been opened. We only log the standard filetypes\n     * @param {String} filePath          The path of the file to be registered\n     * @param {boolean} addedToWorkingSet set to true if extensions of files added to the\n     *                                    working set needs to be logged\n     */\n    function fileOpened(filePath, addedToWorkingSet) {\n        if (!shouldLogHealthData()) {\n            return;\n        }\n        var fileExtension = FileUtils.getFileExtension(filePath),\n            language = LanguageManager.getLanguageForPath(filePath),\n            healthData = getStoredHealthData(),\n            fileExtCountMap = [];\n        healthData.fileStats = healthData.fileStats || {\n            openedFileExt     : {},\n            workingSetFileExt : {}\n        };\n        if (language.getId() !== "unknown") {\n            fileExtCountMap = addedToWorkingSet ? healthData.fileStats.workingSetFileExt : healthData.fileStats.openedFileExt;\n            if (!fileExtCountMap[fileExtension]) {\n                fileExtCountMap[fileExtension] = 0;\n            }\n            fileExtCountMap[fileExtension]++;\n            setHealthData(healthData);\n        }\n    }\n\n    /**\n     * Sets the project details(a probably unique prjID, number of files in the project and the node cache size) in the health log\n     * The name of the project is never saved into the health data log, only the hash(name) is for privacy requirements.\n     * @param {string} projectName The name of the project\n     * @param {number} numFiles    The number of file in the project\n     * @param {number} cacheSize   The node file cache memory consumed by the project\n     */\n    function setProjectDetail(projectName, numFiles, cacheSize) {\n        var projectNameHash = StringUtils.hashCode(projectName),\n            FIFLog = getHealthDataLog("ProjectDetails");\n        if (!FIFLog) {\n            FIFLog = {};\n        }\n        FIFLog["prj" + projectNameHash] = {\n            numFiles : numFiles,\n            cacheSize : cacheSize\n        };\n        setHealthDataLog("ProjectDetails", FIFLog);\n    }\n\n    /**\n     * Increments health log count for a particular kind of search done\n     * @param {string} searchType The kind of search type that needs to be logged- should be a js var compatible string\n     */\n    function searchDone(searchType) {\n        var searchDetails = getHealthDataLog("searchDetails");\n        if (!searchDetails) {\n            searchDetails = {};\n        }\n        if (!searchDetails[searchType]) {\n            searchDetails[searchType] = 0;\n        }\n        searchDetails[searchType]++;\n        setHealthDataLog("searchDetails", searchDetails);\n    }\n\n    // Define public API\n    exports.getHealthDataLog          = getHealthDataLog;\n    exports.setHealthDataLog          = setHealthDataLog;\n    exports.getAggregatedHealthData   = getAggregatedHealthData;\n    exports.clearHealthData           = clearHealthData;\n    exports.fileOpened                = fileOpened;\n    exports.setProjectDetail          = setProjectDetail;\n    exports.searchDone                = searchDone;\n    exports.setHealthLogsEnabled      = setHealthLogsEnabled;\n    exports.shouldLogHealthData       = shouldLogHealthData;\n    exports.init                      = init;\n\n    // constants\n    // searchType for searchDone()\n    exports.SEARCH_INSTANT            = "searchInstant";\n    exports.SEARCH_ON_RETURN_KEY      = "searchOnReturnKey";\n    exports.SEARCH_REPLACE_ALL        = "searchReplaceAll";\n    exports.SEARCH_NEXT_PAGE          = "searchNextPage";\n    exports.SEARCH_PREV_PAGE          = "searchPrevPage";\n    exports.SEARCH_LAST_PAGE          = "searchLastPage";\n    exports.SEARCH_FIRST_PAGE         = "searchFirstPage";\n    exports.SEARCH_REGEXP             = "searchRegExp";\n    exports.SEARCH_CASE_SENSITIVE     = "searchCaseSensitive";\n    // A new search context on search bar up-Gives an idea of number of times user did a discrete search\n    exports.SEARCH_NEW                = "searchNew";\n});\n\n//# sourceURL=/utils/HealthLogger.js'),
eval('define(\'text!htmlContent/findreplace-bar.html\',[],function () { return \'<div class="find-input-group">\\n    <div id="find-group"><!--\\n        --><div class="search-input-container"><input type="text" id="find-what" placeholder="{{queryPlaceholder}}" value="{{initialQuery}}" /><div class="error"></div><span id="find-counter"></span></div><!--\\n        --><button id="find-case-sensitive" class="btn no-focus" tabindex="-1" title="{{Strings.BUTTON_CASESENSITIVE_HINT}}"><div class="button-icon"></div></button><!--\\n        --><button id="find-regexp" class="btn no-focus" tabindex="-1" title="{{Strings.BUTTON_REGEXP_HINT}}"><div class="button-icon"></div></button><!--\\n        {{^multifile}}\\n        --><div class="navigator"><!--\\n            --><button id="find-prev" class="btn no-focus" tabindex="-1" title="{{Strings.BUTTON_PREV_HINT}}">{{Strings.BUTTON_PREV}}</button><!--\\n            --><button id="find-next" class="btn no-focus" tabindex="-1" title="{{Strings.BUTTON_NEXT_HINT}}">{{Strings.BUTTON_NEXT}}</button><!--\\n        --></div><!--\\n        {{/multifile}}\\n    --></div>\\n\\n    {{#replace}}\\n    <div id="replace-group" {{#scope}}class="has-scope"{{/scope}}><!--\\n        --><input type="text" id="replace-with" placeholder="{{Strings.REPLACE_PLACEHOLDER}}" value="{{initialReplaceText}}" /><!--\\n        {{^multifile}}\\n        --><button id="replace-yes" class="btn no-focus" tabindex="-1">{{Strings.BUTTON_REPLACE}}</button><!--\\n        {{/multifile}}\\n        --><button id="replace-batch" class="btn no-focus {{#multifile}}solo{{/multifile}}" tabindex="-1">{{replaceBatchLabel}}</button><!--\\n        {{^multifile}}\\n        --><button id="replace-all" class="btn no-focus" tabindex="-1">{{replaceAllLabel}}</button><!--\\n        {{/multifile}}\\n        --></div>\\n    {{/replace}}\\n</div>\\n\\n{{#multifile}}\\n<div class="scope-group">\\n    <div class="no-results-message">{{Strings.FIND_NO_RESULTS}}</div>\\n    <div class="message">\\n        <span id="searchlabel">{{{scopeLabel}}}</span>\\n    </div>\\n    <!-- For Find in Files, the filter picker will be added here programmatically. -->\\n</div>\\n<div id="indexing-spinner" class="indexing-group forced-hidden">\\n    <div class="spinner inline spin"></div>\\n    <div class="indexing-message">{{Strings.FIND_IN_FILES_INDEXING}}</div>\\n</div>\\n{{/multifile}}\\n\';});\n\n//# sourceURL=/text!htmlContent/findreplace-bar.html'),eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*\n * UI for the Find/Replace and Find in Files modal bar.\n */\ndefine(\'search/FindBar\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'thirdparty/mustache/mustache\',\'utils/EventDispatcher\',\'command/Commands\',\'command/KeyBindingManager\',\'utils/KeyEvent\',\'widgets/ModalBar\',\'preferences/PreferencesManager\',\'view/MainViewManager\',\'strings\',\'utils/ViewUtils\',\'search/FindUtils\',\'utils/HealthLogger\',\'text!htmlContent/findreplace-bar.html\'],function (require, exports, module) {\n    "use strict";\n\n    var _                  = require("thirdparty/lodash"),\n        Mustache           = require("thirdparty/mustache/mustache"),\n        EventDispatcher    = require("utils/EventDispatcher"),\n        Commands           = require("command/Commands"),\n        KeyBindingManager  = require("command/KeyBindingManager"),\n        KeyEvent           = require("utils/KeyEvent"),\n        ModalBar           = require("widgets/ModalBar").ModalBar,\n        PreferencesManager = require("preferences/PreferencesManager"),\n        MainViewManager    = require("view/MainViewManager"),\n        Strings            = require("strings"),\n        ViewUtils          = require("utils/ViewUtils"),\n        FindUtils          = require("search/FindUtils"),\n        HealthLogger       = require("utils/HealthLogger");\n\n    /**\n     * @private\n     * The template we use for all Find bars.\n     * @type {string}\n     */\n    var _searchBarTemplate = require("text!htmlContent/findreplace-bar.html");\n\n    var lastTypedTime = 0,\n        currentTime = 0,\n        intervalId = 0,\n        lastQueriedText = "",\n        lastTypedText = "",\n        lastKeyCode;\n\n    /**\n     * @constructor\n     * Find Bar UI component, used for both single- and multi-file find/replace. This doesn\'t actually\n     * create and add the FindBar to the DOM - for that, call open().\n     *\n     * Dispatches these events:\n     *\n     * - queryChange - when the user types in the input field or sets a query option. Use getQueryInfo()\n     *      to get the current query state.\n     * - doFind - when the user chooses to do a Find Previous or Find Next.\n     *      Parameters are:\n     *          shiftKey - boolean, false for Find Next, true for Find Previous\n     * - doReplace - when the user chooses to do a single replace. Use getReplaceText() to get the current replacement text.\n     * - doReplaceBatch - when the user chooses to initiate a Replace All. Use getReplaceText() to get the current replacement text.\n     * - doReplaceAll - when the user chooses to perform a Replace All. Use getReplaceText() to get the current replacement text.\n     *-  close - when the find bar is closed\n     *\n     * @param {boolean=} options.multifile - true if this is a Find/Replace in Files (changes the behavior of Enter in\n     *      the fields, hides the navigator controls, shows the scope/filter controls, and if in replace mode, hides the\n     *      Replace button (so there\'s only Replace All)\n     * @param {boolean=} options.replace - true to show the Replace controls - default false\n     * @param {string=}  options.queryPlaceholder - label to show in the Find field - default empty string\n     * @param {string=}  options.initialQuery - query to populate in the Find field on open - default empty string\n     * @param {string=}  scopeLabel - HTML label to show for the scope of the search, expected to be already escaped - default empty string\n     */\n    function FindBar(options) {\n        var defaults = {\n            multifile: false,\n            replace: false,\n            queryPlaceholder: "",\n            initialQuery: "",\n            initialReplaceText: "",\n            scopeLabel: ""\n        };\n        this._options = _.extend(defaults, options);\n        this._closed = false;\n        this._enabled = true;\n        this.lastQueriedText = "";\n        this.lastTypedText = "";\n    }\n    EventDispatcher.makeEventDispatcher(FindBar.prototype);\n\n    /*\n     * Global FindBar functions for making sure only one is open at a time.\n     */\n\n    // TODO: this is temporary - we should do this at the ModalBar level, but can\'t do that until\n    // we land the simplified Quick Open UI (#7227) that eliminates some asynchronicity in closing\n    // its ModalBar.\n\n    /**\n     * @private\n     * Register a find bar so we can close it later if another one tries to open.\n     * Note that this is a global function, not an instance function.\n     * @param {!FindBar} findBar The find bar to register.\n     */\n    FindBar._addFindBar = function (findBar) {\n        FindBar._bars = FindBar._bars || [];\n        FindBar._bars.push(findBar);\n    };\n\n    /**\n     * @private\n     * Remove a find bar from the list.\n     * Note that this is a global function, not an instance function.\n     * @param {FindBar} findBar The bar to remove.\n     */\n    FindBar._removeFindBar = function (findBar) {\n        if (FindBar._bars) {\n            _.pull(FindBar._bars, findBar);\n        }\n    };\n\n    /**\n     * @private\n     * Close all existing find bars. In theory there should be only one, but since there can be\n     * timing issues due to animation we maintain a list.\n     * Note that this is a global function, not an instance function.\n     */\n    FindBar._closeFindBars = function () {\n        var bars = FindBar._bars;\n        if (bars) {\n            bars.forEach(function (bar) {\n                bar.close(true, false);\n            });\n            bars = [];\n        }\n    };\n\n    /*\n     * Instance properties/functions\n     */\n\n    /**\n     * @private\n     * Options passed into the FindBar.\n     * @type {!{multifile: boolean, replace: boolean, queryPlaceholder: string, initialQuery: string, scopeLabel: string}}\n     */\n    FindBar.prototype._options = null;\n\n    /**\n     * @private\n     * Whether the FindBar has been closed.\n     * @type {boolean}\n     */\n    FindBar.prototype._closed = false;\n\n    /**\n     * @private\n     * Whether the FindBar is currently enabled.\n     * @type {boolean}\n     */\n    FindBar.prototype._enabled = true;\n\n    /**\n     * @private\n     * @type {?ModalBar} Modal bar containing this find bar\'s UI\n     */\n    FindBar.prototype._modalBar = null;\n\n    /**\n     * @private\n     * Returns the jQuery object for an element in this Find bar.\n     * @param {string} selector The selector for the element.\n     * @return {jQueryObject} The jQuery object for the element, or an empty object if the Find bar isn\'t yet\n     *      in the DOM or the element doesn\'t exist.\n     */\n    FindBar.prototype.$ = function (selector) {\n        if (this._modalBar) {\n            return $(selector, this._modalBar.getRoot());\n        } else {\n            return $();\n        }\n    };\n\n    // TODO: change IDs to classes\n\n    /**\n     * @private\n     * Set the state of the toggles in the Find bar to the saved prefs state.\n     */\n    FindBar.prototype._updateSearchBarFromPrefs = function () {\n        // Have to make sure we explicitly cast the second parameter to a boolean, because\n        // toggleClass expects literal true/false.\n        this.$("#find-case-sensitive").toggleClass("active", !!PreferencesManager.getViewState("caseSensitive"));\n        this.$("#find-regexp").toggleClass("active", !!PreferencesManager.getViewState("regexp"));\n    };\n\n    /**\n     * @private\n     * Save the prefs state based on the state of the toggles.\n     */\n    FindBar.prototype._updatePrefsFromSearchBar = function () {\n        PreferencesManager.setViewState("caseSensitive", this.$("#find-case-sensitive").is(".active"));\n        PreferencesManager.setViewState("regexp",        this.$("#find-regexp").is(".active"));\n    };\n\n    /**\n     * @private\n     * Shows the keyboard shortcut for the given command in the element\'s tooltip.\n     * @param {jQueryObject} $elem The element to add the shortcut to.\n     * @param {string} commandId The ID for the command whose keyboard shortcut to show.\n     */\n    FindBar.prototype._addShortcutToTooltip = function ($elem, commandId) {\n        var replaceShortcut = KeyBindingManager.getKeyBindings(commandId)[0];\n        if (replaceShortcut) {\n            var oldTitle = $elem.attr("title");\n            oldTitle = (oldTitle ? oldTitle + " " : "");\n            $elem.attr("title", oldTitle + "(" + KeyBindingManager.formatKeyDescriptor(replaceShortcut.displayKey) + ")");\n        }\n    };\n\n    /**\n     * Opens the Find bar, closing any other existing Find bars.\n     */\n    FindBar.prototype.open = function () {\n        var self = this;\n\n        // Normally, creating a new Find bar will simply cause the old one to close\n        // automatically. This can cause timing issues because the focus change might\n        // cause the new one to think it should close, too. So we simply explicitly\n        // close the old Find bar (with no animation) before creating a new one.\n        // TODO: see note above - this will move to ModalBar eventually.\n        FindBar._closeFindBars();\n        if (this._options.multifile) {\n            HealthLogger.searchDone(HealthLogger.SEARCH_NEW);\n        }\n\n        var templateVars = _.clone(this._options);\n        templateVars.Strings = Strings;\n        templateVars.replaceBatchLabel = (templateVars.multifile ? Strings.BUTTON_REPLACE_ALL_IN_FILES : Strings.BUTTON_REPLACE_BATCH);\n        templateVars.replaceAllLabel = Strings.BUTTON_REPLACE_ALL;\n\n        this._modalBar = new ModalBar(Mustache.render(_searchBarTemplate, templateVars), true);  // 2nd arg = auto-close on Esc/blur\n\n        // When the ModalBar closes, clean ourselves up.\n        this._modalBar.on("close", function (event) {\n            // Hide error popup, since it hangs down low enough to make the slide-out look awkward\n            self.showError(null);\n            self._modalBar = null;\n            self._closed = true;\n            window.clearInterval(intervalId);\n            intervalId = 0;\n            lastTypedTime = 0;\n            FindBar._removeFindBar(self);\n            MainViewManager.focusActivePane();\n            self.trigger("close");\n        });\n\n        FindBar._addFindBar(this);\n\n        var $root = this._modalBar.getRoot();\n        $root\n            .on("input", "#find-what", function () {\n                self.trigger("queryChange");\n                lastTypedText = self.getQueryInfo().query;\n            })\n            .on("click", "#find-case-sensitive, #find-regexp", function (e) {\n                $(e.currentTarget).toggleClass("active");\n                self._updatePrefsFromSearchBar();\n                self.trigger("queryChange");\n                if (self._options.multifile) {  //instant search\n                    self.trigger("doFind");\n                }\n            })\n            .on("keydown", "#find-what, #replace-with", function (e) {\n                lastTypedTime = new Date().getTime();\n                lastKeyCode = e.keyCode;\n                var executeSearchIfNeeded = function () {\n                    // We only do instant search via node.\n                    if (FindUtils.isNodeSearchDisabled() || FindUtils.isInstantSearchDisabled()) {\n                        // we still keep the intrval timer up as instant search could get enabled/disabled based on node busy state\n                        return;\n                    }\n                    if (self._closed) {\n                        return;\n                    }\n                    currentTime = new Date().getTime();\n                    if (lastTypedTime && (currentTime - lastTypedTime >= 100) && self.getQueryInfo().query !==  lastQueriedText &&\n                            !FindUtils.isNodeSearchInProgress()) {\n                        // init Search\n                        if (self._options.multifile) {\n                            if ($(e.target).is("#find-what")) {\n                                if (!self._options.replace) {\n                                    HealthLogger.searchDone(HealthLogger.SEARCH_INSTANT);\n                                    self.trigger("doFind");\n                                    lastQueriedText = self.getQueryInfo().query;\n                                }\n                            }\n                        }\n                    }\n                };\n                if (intervalId === 0) {\n                    intervalId = window.setInterval(executeSearchIfNeeded, 50);\n                }\n                if (e.keyCode === KeyEvent.DOM_VK_RETURN) {\n                    e.preventDefault();\n                    e.stopPropagation();\n                    lastQueriedText = self.getQueryInfo().query;\n                    if (self._options.multifile) {\n                        if ($(e.target).is("#find-what")) {\n                            if (self._options.replace) {\n                                // Just set focus to the Replace field.\n                                self.focusReplace();\n                            } else {\n                                HealthLogger.searchDone(HealthLogger.SEARCH_ON_RETURN_KEY);\n                                // Trigger a Find (which really means "Find All" in this context).\n                                self.trigger("doFind");\n                            }\n                        } else {\n                            HealthLogger.searchDone(HealthLogger.SEARCH_REPLACE_ALL);\n                            self.trigger("doReplaceBatch");\n                        }\n                    } else {\n                        // In the single file case, we just want to trigger a Find Next (or Find Previous\n                        // if Shift is held down).\n                        self.trigger("doFind", e.shiftKey);\n                    }\n                }\n            });\n\n        if (!this._options.multifile) {\n            this._addShortcutToTooltip($("#find-next"), Commands.CMD_FIND_NEXT);\n            this._addShortcutToTooltip($("#find-prev"), Commands.CMD_FIND_PREVIOUS);\n            $root\n                .on("click", "#find-next", function (e) {\n                    self.trigger("doFind", false);\n                })\n                .on("click", "#find-prev", function (e) {\n                    self.trigger("doFind", true);\n                });\n        }\n\n        if (this._options.replace) {\n            this._addShortcutToTooltip($("#replace-yes"), Commands.CMD_REPLACE);\n            $root\n                .on("click", "#replace-yes", function (e) {\n                    self.trigger("doReplace");\n                })\n                .on("click", "#replace-batch", function (e) {\n                    self.trigger("doReplaceBatch");\n                })\n                .on("click", "#replace-all", function (e) {\n                    self.trigger("doReplaceAll");\n                })\n                // One-off hack to make Find/Replace fields a self-contained tab cycle\n                // TODO: remove once https://trello.com/c/lTSJgOS2 implemented\n                .on("keydown", function (e) {\n                    if (e.keyCode === KeyEvent.DOM_VK_TAB && !e.ctrlKey && !e.metaKey && !e.altKey) {\n                        if (e.target.id === "replace-with" && !e.shiftKey) {\n                            self.$("#find-what").focus();\n                            e.preventDefault();\n                        } else if (e.target.id === "find-what" && e.shiftKey) {\n                            self.$("#replace-with").focus();\n                            e.preventDefault();\n                        }\n                    }\n                });\n        }\n\n        if (this._options.multifile && FindUtils.isIndexingInProgress()) {\n            this.showIndexingSpinner();\n        }\n\n        // Set up the initial UI state.\n        this._updateSearchBarFromPrefs();\n        this.focusQuery();\n    };\n\n    /**\n     * Closes this Find bar. If already closed, does nothing.\n     * @param {boolean} suppressAnimation If true, don\'t do the standard closing animation. Default false.\n     */\n    FindBar.prototype.close = function (suppressAnimation) {\n        if (this._modalBar) {\n            // 1st arg = restore scroll pos; 2nd arg = no animation, since getting replaced immediately\n            this._modalBar.close(true, !suppressAnimation);\n        }\n    };\n\n    /**\n     * @return {boolean} true if this FindBar has been closed.\n     */\n    FindBar.prototype.isClosed = function () {\n        return this._closed;\n    };\n\n    /**\n     * @return {Object} The options passed into the FindBar.\n     */\n    FindBar.prototype.getOptions = function () {\n        return this._options;\n    };\n\n    /**\n     * Returns the current query and parameters.\n     * @return {{query: string, caseSensitive: boolean, isRegexp: boolean}}\n     */\n    FindBar.prototype.getQueryInfo = function () {\n        return {\n            query:           this.$("#find-what").val() || "",\n            isCaseSensitive: this.$("#find-case-sensitive").is(".active"),\n            isRegexp:        this.$("#find-regexp").is(".active")\n        };\n    };\n\n    /**\n     * Show or clear an error message related to the query.\n     * @param {?string} error The error message to show, or null to hide the error display.\n     * @param {boolean=} isHTML Whether the error message is HTML that should remain unescaped.\n     */\n    FindBar.prototype.showError = function (error, isHTML) {\n        var $error = this.$(".error");\n        if (error) {\n            if (isHTML) {\n                $error.html(error);\n            } else {\n                $error.text(error);\n            }\n            $error.show();\n        } else {\n            $error.hide();\n        }\n    };\n\n    /**\n     * Set the find count.\n     * @param {string} count The find count message to show. Can be the empty string to hide it.\n     */\n    FindBar.prototype.showFindCount = function (count) {\n        this.$("#find-counter").text(count);\n    };\n\n    /**\n     * Show or hide the no-results indicator and optional message. This is also used to\n     * indicate regular expression errors.\n     * @param {boolean} showIndicator\n     * @param {boolean} showMessage\n     */\n    FindBar.prototype.showNoResults = function (showIndicator, showMessage) {\n        ViewUtils.toggleClass(this.$("#find-what"), "no-results", showIndicator);\n\n        var $msg = this.$(".no-results-message");\n        if (showMessage) {\n            $msg.show();\n        } else {\n            $msg.hide();\n        }\n    };\n\n    /**\n     * Returns the current replace text.\n     * @return {string}\n     */\n    FindBar.prototype.getReplaceText = function () {\n        return this.$("#replace-with").val() || "";\n    };\n\n    /**\n     * Enables or disables the controls in the Find bar. Note that if enable is true, *all* controls will be\n     * re-enabled, even if some were previously disabled using enableNavigation() or enableReplace(), so you\n     * will need to refresh their enable state after calling this.\n     * @param {boolean} enable Whether to enable or disable the controls.\n     */\n    FindBar.prototype.enable = function (enable) {\n        this.$("#find-what, #replace-with, #find-prev, #find-next, #find-case-sensitive, #find-regexp").prop("disabled", !enable);\n        this._enabled = enable;\n    };\n\n    FindBar.prototype.focus = function (enable) {\n        this.$("#find-what").focus();\n    };\n\n    /**\n     * @return {boolean} true if the FindBar is enabled.\n     */\n    FindBar.prototype.isEnabled = function () {\n        return this._enabled;\n    };\n\n    /**\n     * @return {boolean} true if the Replace button is enabled.\n     */\n    FindBar.prototype.isReplaceEnabled = function () {\n        return this.$("#replace-yes").is(":enabled");\n    };\n\n    /**\n     * Enable or disable the navigation controls if present. Note that if the Find bar is currently disabled\n     * (i.e. isEnabled() returns false), this will have no effect.\n     * @param {boolean} enable Whether to enable the controls.\n     */\n    FindBar.prototype.enableNavigation = function (enable) {\n        if (this.isEnabled()) {\n            this.$("#find-prev, #find-next").prop("disabled", !enable);\n        }\n    };\n\n    /**\n     * Enable or disable the replace controls if present. Note that if the Find bar is currently disabled\n     * (i.e. isEnabled() returns false), this will have no effect.\n     * @param {boolean} enable Whether to enable the controls.\n     */\n    FindBar.prototype.enableReplace = function (enable) {\n        if (this.isEnabled) {\n            this.$("#replace-yes, #replace-batch, #replace-all").prop("disabled", !enable);\n        }\n    };\n\n    /**\n     * @private\n     * Focus and select the contents of the given field.\n     * @param {string} selector The selector for the field.\n     */\n    FindBar.prototype._focus = function (selector) {\n        this.$(selector)\n            .focus()\n            .get(0).select();\n    };\n\n    /**\n     * Sets focus to the query field and selects its text.\n     */\n    FindBar.prototype.focusQuery = function () {\n        this._focus("#find-what");\n    };\n\n    /**\n     * Sets focus to the replace field and selects its text.\n     */\n    FindBar.prototype.focusReplace = function () {\n        this._focus("#replace-with");\n    };\n\n    /**\n     * The indexing spinner is usually shown when node is indexing files\n     */\n    FindBar.prototype.showIndexingSpinner = function () {\n        this.$("#indexing-spinner").removeClass("forced-hidden");\n    };\n\n    FindBar.prototype.hideIndexingSpinner = function () {\n        this.$("#indexing-spinner").addClass("forced-hidden");\n    };\n\n    /**\n     * Force a search again\n     */\n    FindBar.prototype.redoInstantSearch = function () {\n        this.trigger("doFind");\n    };\n\n    /**\n     * Gets you the right query and replace text to prepopulate the Find Bar.\n     * @static\n     * @param {?FindBar} currentFindBar The currently open Find Bar, if any\n     * @param {?Editor} The active editor, if any\n     * @return {query: string, replaceText: string} Query and Replace text to prepopulate the Find Bar with\n     */\n    FindBar.getInitialQuery = function (currentFindBar, editor) {\n        var query = lastTypedText,\n            replaceText = "";\n\n        /*\n         * Returns the string used to prepopulate the find bar\n         * @param {!Editor} editor\n         * @return {string} first line of primary selection to populate the find bar\n         */\n        function getInitialQueryFromSelection(editor) {\n            var selectionText = editor.getSelectedText();\n            if (selectionText) {\n                return selectionText\n                    .replace(/^\\n*/, "") // Trim possible newlines at the very beginning of the selection\n                    .split("\\n")[0];\n            }\n            return "";\n        }\n\n        if (currentFindBar && !currentFindBar.isClosed()) {\n            // The modalBar was already up. When creating the new modalBar, copy the\n            // current query instead of using the passed-in selected text.\n            query = currentFindBar.getQueryInfo().query;\n            replaceText = currentFindBar.getReplaceText();\n        } else {\n            var openedFindBar = FindBar._bars && _.find(FindBar._bars, function (bar) {\n                    return !bar.isClosed();\n                });\n\n            if (openedFindBar) {\n                query = openedFindBar.getQueryInfo().query;\n                replaceText = openedFindBar.getReplaceText();\n            } else if (editor) {\n                query = getInitialQueryFromSelection(editor) || lastTypedText;\n            }\n        }\n\n        return {query: query, replaceText: replaceText};\n    };\n\n    PreferencesManager.stateManager.definePreference("caseSensitive", "boolean", false);\n    PreferencesManager.stateManager.definePreference("regexp", "boolean", false);\n\n    exports.FindBar = FindBar;\n});\n\n//# sourceURL=/search/FindBar.js'),eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'search/SearchModel\',[\'require\',\'exports\',\'module\',\'file/FileUtils\',\'utils/EventDispatcher\',\'search/FindUtils\',\'view/MainViewManager\'],function (require, exports, module) {\n    "use strict";\n\n    var FileUtils       = require("file/FileUtils"),\n        EventDispatcher = require("utils/EventDispatcher"),\n        FindUtils       = require("search/FindUtils"),\n        MainViewManager = require("view/MainViewManager");\n\n    /**\n     * @constructor\n     * Manages a set of search query and result data.\n     * Dispatches these events:\n     *      "change" - whenever the results have been updated. Note that it\'s up to people who\n     *      edit the model to call fireChange() when necessary - it doesn\'t automatically fire.\n     */\n    function SearchModel() {\n        this.clear();\n    }\n    EventDispatcher.makeEventDispatcher(SearchModel.prototype);\n\n    /** @const Constant used to define the maximum results found.\n     *  Note that this is a soft limit - we\'ll likely go slightly over it since\n     *  we always add all the searches in a given file.\n     */\n    SearchModel.MAX_TOTAL_RESULTS = 100000;\n\n    /**\n     * The current set of results.\n     * @type {Object.<fullPath: string, {matches: Array.<Object>, collapsed: boolean, timestamp: Date}>}\n     */\n    SearchModel.prototype.results = null;\n\n    /**\n     * The query that generated these results.\n     * @type {{query: string, caseSensitive: boolean, isRegexp: boolean}}\n     */\n    SearchModel.prototype.queryInfo = null;\n\n    /**\n     * The compiled query, expressed as a regexp.\n     * @type {RegExp}\n     */\n    SearchModel.prototype.queryExpr = null;\n\n    /**\n     * Whether this is a find/replace query.\n     * @type {boolean}\n     */\n    SearchModel.prototype.isReplace = false;\n\n    /**\n     * The replacement text specified for this query, if any.\n     * @type {string}\n     */\n    SearchModel.prototype.replaceText = null;\n\n    /**\n     * The file/folder path representing the scope that this query was performed in.\n     * @type {FileSystemEntry}\n     */\n    SearchModel.prototype.scope = null;\n\n    /**\n     * A file filter (as returned from FileFilters) to apply within the main scope.\n     * @type {string}\n     */\n    SearchModel.prototype.filter = null;\n\n    /**\n     * The total number of matches in the model.\n     * @type {number}\n     */\n    SearchModel.prototype.numMatches = 0;\n\n    /**\n     * Whether or not we hit the maximum number of results for the type of search we did.\n     * @type {boolean}\n     */\n    SearchModel.prototype.foundMaximum = false;\n\n    /**\n     * Whether or not we exceeded the maximum number of results in the search we did.\n     * @type {boolean}\n     */\n    SearchModel.prototype.exceedsMaximum = false;\n\n    /**\n     * Clears out the model to an empty state.\n     */\n    SearchModel.prototype.clear = function () {\n        var numMatchesBefore = this.numMatches;\n        this.results = {};\n        this.queryInfo = null;\n        this.queryExpr = null;\n        this.isReplace = false;\n        this.replaceText = null;\n        this.scope = null;\n        this.numMatches = 0;\n        this.foundMaximum = false;\n        this.exceedsMaximum = false;\n        if (numMatchesBefore !== 0) {\n            this.fireChanged();\n        }\n    };\n\n    /**\n     * Sets the given query info and stores a compiled RegExp query in this.queryExpr.\n     * @param {{query: string, caseSensitive: boolean, isRegexp: boolean}} queryInfo\n     * @return {boolean} true if the query was valid and properly set, false if it was\n     *      invalid or empty.\n     */\n    SearchModel.prototype.setQueryInfo = function (queryInfo) {\n        var parsedQuery = FindUtils.parseQueryInfo(queryInfo);\n        if (parsedQuery.valid) {\n            this.queryInfo = queryInfo;\n            this.queryExpr = parsedQuery.queryExpr;\n            return true;\n        } else {\n            return false;\n        }\n    };\n\n    /**\n     * Sets the list of matches for the given path, removing the previous match info, if any, and updating\n     * the total match count. Note that for the count to remain accurate, the previous match info must not have\n     * been mutated since it was set.\n     * @param {string} fullpath Full path to the file containing the matches.\n     * @param {!{matches: Object, timestamp: Date, collapsed: boolean=}} resultInfo Info for the matches to set:\n     *      matches - Array of matches, in the format returned by FindInFiles._getSearchMatches()\n     *      timestamp - The timestamp of the document at the time we searched it.\n     *      collapsed - Optional: whether the results should be collapsed in the UI (default false).\n     */\n    SearchModel.prototype.setResults = function (fullpath, resultInfo) {\n        this.removeResults(fullpath);\n\n        if (this.foundMaximum || !resultInfo.matches.length) {\n            return;\n        }\n\n        // Make sure that the optional `collapsed` property is explicitly set to either true or false,\n        // to avoid logic issues later with comparing values.\n        resultInfo.collapsed = !!resultInfo.collapsed;\n\n        this.results[fullpath] = resultInfo;\n        this.numMatches += resultInfo.matches.length;\n        if (this.numMatches >= SearchModel.MAX_TOTAL_RESULTS) {\n            this.foundMaximum = true;\n\n            // Remove final result if there have been over MAX_TOTAL_RESULTS found\n            if (this.numMatches > SearchModel.MAX_TOTAL_RESULTS) {\n                this.results[fullpath].matches.pop();\n                this.numMatches--;\n                this.exceedsMaximum = true;\n            }\n        }\n    };\n\n    /**\n     * Removes the given result\'s matches from the search results and updates the total match count.\n     * @param {string} fullpath Full path to the file containing the matches.\n     */\n    SearchModel.prototype.removeResults = function (fullpath) {\n        if (this.results[fullpath]) {\n            this.numMatches -= this.results[fullpath].matches.length;\n            delete this.results[fullpath];\n        }\n    };\n\n    /**\n     * @return {boolean} true if there are any results in this model.\n     */\n    SearchModel.prototype.hasResults = function () {\n        return Object.keys(this.results).length > 0;\n    };\n\n    /**\n     * Counts the total number of matches and files\n     * @return {{files: number, matches: number}}\n     */\n    SearchModel.prototype.countFilesMatches = function () {\n        return {files: (this.numFiles || Object.keys(this.results).length), matches: this.numMatches};\n    };\n\n    /**\n     * Prioritizes the open file and then the working set files to the starting of the list of files\n     * If node search is disabled, we sort the files too- Sorting is computation intensive, and our\n     * ProjectManager.getAllFiles with the sort flag is not working properly : TODO TOFIX\n     * @param {?string} firstFile If specified, the path to the file that should be sorted to the top.\n     * @return {Array.<string>}\n     */\n    SearchModel.prototype.prioritizeOpenFile = function (firstFile) {\n        var workingSetFiles = MainViewManager.getWorkingSet(MainViewManager.ALL_PANES),\n            workingSetFileFound = {},\n            fileSetWithoutWorkingSet = [],\n            startingWorkingFileSet = [],\n            propertyName = "",\n            i = 0;\n\n        if (FindUtils.isNodeSearchDisabled()) {\n            return Object.keys(this.results).sort(function (key1, key2) {\n                if (firstFile === key1) {\n                    return -1;\n                } else if (firstFile === key2) {\n                    return 1;\n                }\n                return FileUtils.comparePaths(key1, key2);\n            });\n        }\n\n        firstFile = firstFile || "";\n\n        // Create a working set path map which indicates if a file in working set is found in file list\n        for (i = 0; i < workingSetFiles.length; i++) {\n            workingSetFileFound[workingSetFiles[i].fullPath] = false;\n        }\n\n        // Remove all the working set files from the filtration list\n        fileSetWithoutWorkingSet = Object.keys(this.results).filter(function (key) {\n            if (workingSetFileFound[key] !== undefined) {\n                workingSetFileFound[key] = true;\n                return false;\n            }\n            return true;\n        });\n\n        //push in the first file\n        if (workingSetFileFound[firstFile] === true) {\n            startingWorkingFileSet.push(firstFile);\n            workingSetFileFound[firstFile] = false;\n        }\n        //push in the rest of working set files already present in file list\n        for (propertyName in workingSetFileFound) {\n            if (workingSetFileFound.hasOwnProperty(propertyName) && workingSetFileFound[propertyName]) {\n                startingWorkingFileSet.push(propertyName);\n            }\n        }\n        return startingWorkingFileSet.concat(fileSetWithoutWorkingSet);\n    };\n\n    /**\n     * Notifies listeners that the set of results has changed. Must be called after the\n     * model is changed.\n     * @param {boolean} quickChange Whether this type of change is one that might occur\n     *      often, meaning that the view should buffer updates.\n     */\n    SearchModel.prototype.fireChanged = function (quickChange) {\n        this.trigger("change", quickChange);\n    };\n\n    // Public API\n    exports.SearchModel = SearchModel;\n});\n\n//# sourceURL=/search/SearchModel.js'),
eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*\n * The core search functionality used by Find in Files and single-file Replace Batch.\n */\ndefine(\'search/FindInFiles\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'search/FileFilters\',\'utils/Async\',\'utils/StringUtils\',\'project/ProjectManager\',\'preferences/PreferencesManager\',\'document/Document\',\'document/DocumentManager\',\'view/MainViewManager\',\'filesystem/FileSystem\',\'language/LanguageManager\',\'search/SearchModel\',\'utils/PerfUtils\',\'utils/NodeDomain\',\'file/FileUtils\',\'search/FindUtils\',\'utils/HealthLogger\'],function (require, exports, module) {\n    "use strict";\n\n    var _                     = require("thirdparty/lodash"),\n        FileFilters           = require("search/FileFilters"),\n        Async                 = require("utils/Async"),\n        StringUtils           = require("utils/StringUtils"),\n        ProjectManager        = require("project/ProjectManager"),\n        PreferencesManager    = require("preferences/PreferencesManager"),\n        DocumentModule        = require("document/Document"),\n        DocumentManager       = require("document/DocumentManager"),\n        MainViewManager       = require("view/MainViewManager"),\n        FileSystem            = require("filesystem/FileSystem"),\n        LanguageManager       = require("language/LanguageManager"),\n        SearchModel           = require("search/SearchModel").SearchModel,\n        PerfUtils             = require("utils/PerfUtils"),\n        NodeDomain            = require("utils/NodeDomain"),\n        FileUtils             = require("file/FileUtils"),\n        FindUtils             = require("search/FindUtils"),\n        HealthLogger          = require("utils/HealthLogger");\n\n    var _bracketsPath   = FileUtils.getNativeBracketsDirectoryPath(),\n        _modulePath     = FileUtils.getNativeModuleDirectoryPath(module),\n        _nodePath       = "node/FindInFilesDomain",\n        _domainPath     = [_bracketsPath, _modulePath, _nodePath].join("/"),\n        searchDomain     = new NodeDomain("FindInFiles", _domainPath),\n        searchScopeChanged = false,\n        findOrReplaceInProgress = false,\n        changedFileList = {};\n\n    /**\n     * Token used to indicate a specific reason for zero search results\n     * @const @type {!Object}\n     */\n    var ZERO_FILES_TO_SEARCH = {};\n\n    /**\n     * Maximum length of text displayed in search results panel\n     * @const\n     */\n    var MAX_DISPLAY_LENGTH = 200;\n\n    /**\n     * The search query and results model.\n     * @type {SearchModel}\n     */\n    var searchModel = new SearchModel();\n\n    /* Forward declarations */\n    var _documentChangeHandler,\n        _fileSystemChangeHandler,\n        _processCachedFileSystemEvents,\n        _debouncedFileSystemChangeHandler,\n        _fileNameChangeHandler,\n        clearSearch;\n    \n    /**\n     * Waits for FS changes to stack up until processing them\n     * (scripts like npm install can do a lot of movements on the disk)\n     * @const\n     */\n    var FILE_SYSTEM_EVENT_DEBOUNCE_TIME = 100;\n\n    /** Remove the listeners that were tracking potential search result changes */\n    function _removeListeners() {\n        DocumentModule.off("documentChange", _documentChangeHandler);\n        FileSystem.off("change", _debouncedFileSystemChangeHandler);\n        DocumentManager.off("fileNameChange", _fileNameChangeHandler);\n    }\n\n    /** Add listeners to track events that might change the search result set */\n    function _addListeners() {\n        // Avoid adding duplicate listeners - e.g. if a 2nd search is run without closing the old results panel first\n        _removeListeners();\n\n        DocumentModule.on("documentChange", _documentChangeHandler);\n        FileSystem.on("change", _debouncedFileSystemChangeHandler);\n        DocumentManager.on("fileNameChange",  _fileNameChangeHandler);\n    }\n\n    function nodeFileCacheComplete(event, numFiles, cacheSize) {\n        if (/\\/test\\/SpecRunner\\.html$/.test(window.location.pathname)) {\n            // Ignore the event in the SpecRunner window\n            return;\n        }\n\n        var projectRoot = ProjectManager.getProjectRoot(),\n            projectName = projectRoot ? projectRoot.name : null;\n\n        if (!projectName) {\n            console.error("\'File cache complete\' event received, but no project root found");\n            projectName = "noName00";\n        }\n\n        FindUtils.setInstantSearchDisabled(false);\n        // Node search could be disabled if some error has happened in node. But upon\n        // project change, if we get this message, then it means that node search is working,\n        // we re-enable node search. If a search fails, node search will be switched off eventually.\n        FindUtils.setNodeSearchDisabled(false);\n        FindUtils.notifyIndexingFinished();\n        HealthLogger.setProjectDetail(projectName, numFiles, cacheSize);\n    }\n\n    /**\n     * @private\n     * Searches through the contents and returns an array of matches\n     * @param {string} contents\n     * @param {RegExp} queryExpr\n     * @return {!Array.<{start: {line:number,ch:number}, end: {line:number,ch:number}, line: string}>}\n     */\n    function _getSearchMatches(contents, queryExpr) {\n        // Quick exit if not found or if we hit the limit\n        if (searchModel.foundMaximum || contents.search(queryExpr) === -1) {\n            return [];\n        }\n\n        var match, lineNum, line, ch, totalMatchLength, matchedLines, numMatchedLines, lastLineLength, endCh,\n            padding, leftPadding, rightPadding, highlightOffset, highlightEndCh,\n            lines   = StringUtils.getLines(contents),\n            matches = [];\n\n        while ((match = queryExpr.exec(contents)) !== null) {\n            lineNum          = StringUtils.offsetToLineNum(lines, match.index);\n            line             = lines[lineNum];\n            ch               = match.index - contents.lastIndexOf("\\n", match.index) - 1;  // 0-based index\n            matchedLines     = match[0].split("\\n");\n            numMatchedLines  = matchedLines.length;\n            totalMatchLength = match[0].length;\n            lastLineLength   = matchedLines[matchedLines.length - 1].length;\n            endCh            = (numMatchedLines === 1 ? ch + totalMatchLength : lastLineLength);\n            highlightEndCh   = (numMatchedLines === 1 ? endCh : line.length);\n            highlightOffset  = 0;\n\n            if (highlightEndCh <= MAX_DISPLAY_LENGTH) {\n                // Don\'t store more than 200 chars per line\n                line = line.substr(0, MAX_DISPLAY_LENGTH);\n            } else if (totalMatchLength > MAX_DISPLAY_LENGTH) {\n                // impossible to display the whole match\n                line = line.substr(ch, ch + MAX_DISPLAY_LENGTH);\n                highlightOffset = ch;\n            } else {\n                // Try to have both beginning and end of match displayed\n                padding = MAX_DISPLAY_LENGTH - totalMatchLength;\n                rightPadding = Math.floor(Math.min(padding / 2, line.length - highlightEndCh));\n                leftPadding = Math.ceil(padding - rightPadding);\n                highlightOffset = ch - leftPadding;\n                line = line.substring(highlightOffset, highlightEndCh + rightPadding);\n            }\n\n            matches.push({\n                start:       {line: lineNum, ch: ch},\n                end:         {line: lineNum + numMatchedLines - 1, ch: endCh},\n\n                highlightOffset: highlightOffset,\n\n                // Note that the following offsets from the beginning of the file are *not* updated if the search\n                // results change. These are currently only used for multi-file replacement, and we always\n                // abort the replace (by shutting the results panel) if we detect any result changes, so we don\'t\n                // need to keep them up to date. Eventually, we should either get rid of the need for these (by\n                // doing everything in terms of line/ch offsets, though that will require re-splitting files when\n                // doing a replace) or properly update them.\n                startOffset: match.index,\n                endOffset:   match.index + totalMatchLength,\n\n                line:        line,\n                result:      match,\n                isChecked:   true\n            });\n\n            // We have the max hits in just this 1 file. Stop searching this file.\n            // This fixed issue #1829 where code hangs on too many hits.\n            // Adds one over MAX_TOTAL_RESULTS in order to know if the search has exceeded\n            // or is equal to MAX_TOTAL_RESULTS. Additional result removed in SearchModel\n            if (matches.length > SearchModel.MAX_TOTAL_RESULTS) {\n                queryExpr.lastIndex = 0;\n                break;\n            }\n\n            // Pathological regexps like /^/ return 0-length matches. Ensure we make progress anyway\n            if (totalMatchLength === 0) {\n                queryExpr.lastIndex++;\n            }\n        }\n\n        return matches;\n    }\n\n    /**\n     * @private\n     * Update the search results using the given list of changes for the given document\n     * @param {Document} doc  The Document that changed, should be the current one\n     * @param {Array.<{from: {line:number,ch:number}, to: {line:number,ch:number}, text: !Array.<string>}>} changeList\n     *      An array of changes as described in the Document constructor\n     */\n    function _updateResults(doc, changeList) {\n        var i, diff, matches, lines, start, howMany,\n            resultsChanged = false,\n            fullPath       = doc.file.fullPath,\n            resultInfo     = searchModel.results[fullPath];\n\n        // Remove the results before we make any changes, so the SearchModel can accurately update its count.\n        searchModel.removeResults(fullPath);\n\n        changeList.forEach(function (change) {\n            lines = [];\n            start = 0;\n            howMany = 0;\n\n            // There is no from or to positions, so the entire file changed, we must search all over again\n            if (!change.from || !change.to) {\n                // TODO: add unit test exercising timestamp logic in this case\n                // We don\'t just call _updateSearchMatches() here because we want to continue iterating through changes in\n                // the list and update at the end.\n                resultInfo = {matches: _getSearchMatches(doc.getText(), searchModel.queryExpr), timestamp: doc.diskTimestamp};\n                resultsChanged = true;\n\n            } else {\n                // Get only the lines that changed\n                for (i = 0; i < change.text.length; i++) {\n                    lines.push(doc.getLine(change.from.line + i));\n                }\n\n                // We need to know how many newlines were inserted/deleted in order to update the rest of the line indices;\n                // this is the total number of newlines inserted (which is the length of the lines array minus\n                // 1, since the last line in the array is inserted without a newline after it) minus the\n                // number of original newlines being removed.\n                diff = lines.length - 1 - (change.to.line - change.from.line);\n\n                if (resultInfo) {\n                    // Search the last match before a replacement, the amount of matches deleted and update\n                    // the lines values for all the matches after the change\n                    resultInfo.matches.forEach(function (item) {\n                        if (item.end.line < change.from.line) {\n                            start++;\n                        } else if (item.end.line <= change.to.line) {\n                            howMany++;\n                        } else {\n                            item.start.line += diff;\n                            item.end.line   += diff;\n                        }\n                    });\n\n                    // Delete the lines that where deleted or replaced\n                    if (howMany > 0) {\n                        resultInfo.matches.splice(start, howMany);\n                    }\n                    resultsChanged = true;\n                }\n\n                // Searches only over the lines that changed\n                matches = _getSearchMatches(lines.join("\\r\\n"), searchModel.queryExpr);\n                if (matches.length) {\n                    // Updates the line numbers, since we only searched part of the file\n                    matches.forEach(function (value, key) {\n                        matches[key].start.line += change.from.line;\n                        matches[key].end.line   += change.from.line;\n                    });\n\n                    // If the file index exists, add the new matches to the file at the start index found before\n                    if (resultInfo) {\n                        Array.prototype.splice.apply(resultInfo.matches, [start, 0].concat(matches));\n                    // If not, add the matches to a new file index\n                    } else {\n                        // TODO: add unit test exercising timestamp logic in self case\n                        resultInfo = {\n                            matches:   matches,\n                            collapsed: false,\n                            timestamp: doc.diskTimestamp\n                        };\n                    }\n                    resultsChanged = true;\n                }\n            }\n        });\n\n        // Always re-add the results, even if nothing changed.\n        if (resultInfo && resultInfo.matches.length) {\n            searchModel.setResults(fullPath, resultInfo);\n        }\n\n        if (resultsChanged) {\n            // Pass `true` for quickChange here. This will make listeners debounce the change event,\n            // avoiding lots of updates if the user types quickly.\n            searchModel.fireChanged(true);\n        }\n    }\n\n    /**\n     * Checks that the file matches the given subtree scope. To fully check whether the file\n     * should be in the search set, use _inSearchScope() instead - a supserset of this.\n     *\n     * @param {!File} file\n     * @param {?FileSystemEntry} scope Search scope, or null if whole project\n     * @return {boolean}\n     */\n    function _subtreeFilter(file, scope) {\n        if (scope) {\n            if (scope.isDirectory) {\n                // Dirs always have trailing slash, so we don\'t have to worry about being\n                // a substring of another dir name\n                return file.fullPath.indexOf(scope.fullPath) === 0;\n            } else {\n                return file.fullPath === scope.fullPath;\n            }\n        }\n        return true;\n    }\n\n    /**\n     * Filters out files that are known binary types.\n     * @param {string} fullPath\n     * @return {boolean} True if the file\'s contents can be read as text\n     */\n    function _isReadableText(fullPath) {\n        return !LanguageManager.getLanguageForPath(fullPath).isBinary();\n    }\n\n    /**\n     * Finds all candidate files to search in the given scope\'s subtree that are not binary content. Does NOT apply\n     * the current filter yet.\n     * @param {?FileSystemEntry} scope Search scope, or null if whole project\n     * @return {$.Promise} A promise that will be resolved with the list of files in the scope. Never rejected.\n     */\n    function getCandidateFiles(scope) {\n        function filter(file) {\n            return _subtreeFilter(file, scope) && _isReadableText(file.fullPath);\n        }\n\n        // If the scope is a single file, just check if the file passes the filter directly rather than\n        // trying to use ProjectManager.getAllFiles(), both for performance and because an individual\n        // in-memory file might be an untitled document that doesn\'t show up in getAllFiles().\n        if (scope && scope.isFile) {\n            return new $.Deferred().resolve(filter(scope) ? [scope] : []).promise();\n        } else {\n            return ProjectManager.getAllFiles(filter, true, true);\n        }\n    }\n\n    /**\n     * Checks that the file is eligible for inclusion in the search (matches the user\'s subtree scope and\n     * file exclusion filters, and isn\'t binary). Used when updating results incrementally - during the\n     * initial search, these checks are done in bulk via getCandidateFiles() and the filterFileList() call\n     * after it.\n     * @param {!File} file\n     * @return {boolean}\n     */\n    function _inSearchScope(file) {\n        // Replicate the checks getCandidateFiles() does\n        if (searchModel && searchModel.scope) {\n            if (!_subtreeFilter(file, searchModel.scope)) {\n                return false;\n            }\n        } else {\n            // Still need to make sure it\'s within project or working set\n            // In getCandidateFiles(), this is covered by the baseline getAllFiles() itself\n            if (file.fullPath.indexOf(ProjectManager.getProjectRoot().fullPath) !== 0) {\n                if (MainViewManager.findInWorkingSet(MainViewManager.ALL_PANES, file.fullPath) === -1) {\n                    return false;\n                }\n            }\n        }\n\n        if (!_isReadableText(file.fullPath)) {\n            return false;\n        }\n\n        // Replicate the filtering filterFileList() does\n        return FileFilters.filterPath(searchModel.filter, file.fullPath);\n    }\n\n\n    /**\n     * @private\n     * Tries to update the search result on document changes\n     * @param {$.Event} event\n     * @param {Document} document\n     * @param {<{from: {line:number,ch:number}, to: {line:number,ch:number}, text: !Array.<string>}>} change\n     *      A change list as described in the Document constructor\n     */\n    _documentChangeHandler = function (event, document, change) {\n        if (!findOrReplaceInProgress) {\n            changedFileList[document.file.fullPath] = true;\n        } else {\n            if (_inSearchScope(document.file)) {\n                _updateResults(document, change);\n            }\n        }\n    };\n\n    /**\n     * @private\n     * Finds search results in the given file and adds them to \'searchResults.\' Resolves with\n     * true if any matches found, false if none found. Errors reading the file are treated the\n     * same as if no results found.\n     *\n     * Does not perform any filtering - assumes caller has already vetted this file as a search\n     * candidate.\n     *\n     * @param {!File} file\n     * @return {$.Promise}\n     */\n    function _doSearchInOneFile(file) {\n        var result = new $.Deferred();\n\n        DocumentManager.getDocumentText(file)\n            .done(function (text, timestamp) {\n                // Note that we don\'t fire a model change here, since this is always called by some outer batch\n                // operation that will fire it once it\'s done.\n                var matches = _getSearchMatches(text, searchModel.queryExpr);\n                searchModel.setResults(file.fullPath, {matches: matches, timestamp: timestamp});\n                result.resolve(!!matches.length);\n            })\n            .fail(function () {\n                // Always resolve. If there is an error, this file\n                // is skipped and we move on to the next file.\n                result.resolve(false);\n            });\n\n        return result.promise();\n    }\n\n    /**\n     * @private\n     * Inform node that the document has changed [along with its contents]\n     * @param {string} docPath the path of the changed document\n     */\n    function _updateDocumentInNode(docPath) {\n        DocumentManager.getDocumentForPath(docPath).done(function (doc) {\n            if (doc) {\n                var updateObject = {\n                    "filePath": docPath,\n                    "docContents": doc.getText()\n                };\n                searchDomain.exec("documentChanged", updateObject);\n            }\n        });\n    }\n\n     /**\n     * @private\n     * sends all changed documents that we have tracked to node\n     */\n    function _updateChangedDocs() {\n        var key = null;\n        for (key in changedFileList) {\n            if (changedFileList.hasOwnProperty(key)) {\n                _updateDocumentInNode(key);\n            }\n        }\n    }\n\n    /**\n     * @private\n     * Executes the Find in Files search inside the current scope.\n     * @param {{query: string, caseSensitive: boolean, isRegexp: boolean}} queryInfo Query info object\n     * @param {!$.Promise} candidateFilesPromise Promise from getCandidateFiles(), which was called earlier\n     * @param {?string} filter A "compiled" filter as returned by FileFilters.compile(), or null for no filter\n     * @return {?$.Promise} A promise that\'s resolved with the search results (or ZERO_FILES_TO_SEARCH) or rejected when the find competes.\n     *      Will be null if the query is invalid.\n     */\n    function _doSearch(queryInfo, candidateFilesPromise, filter) {\n        searchModel.filter = filter;\n\n        var queryResult = searchModel.setQueryInfo(queryInfo);\n        if (!queryResult) {\n            return null;\n        }\n\n        var scopeName = searchModel.scope ? searchModel.scope.fullPath : ProjectManager.getProjectRoot().fullPath,\n            perfTimer = PerfUtils.markStart("FindIn: " + scopeName + " - " + queryInfo.query);\n\n        findOrReplaceInProgress = true;\n\n        return candidateFilesPromise\n            .then(function (fileListResult) {\n                // Filter out files/folders that match user\'s current exclusion filter\n                fileListResult = FileFilters.filterFileList(filter, fileListResult);\n\n                if (searchModel.isReplace || FindUtils.isNodeSearchDisabled()) {\n                    if (fileListResult.length) {\n                        searchModel.allResultsAvailable = true;\n                        return Async.doInParallel(fileListResult, _doSearchInOneFile);\n                    } else {\n                        return ZERO_FILES_TO_SEARCH;\n                    }\n                }\n\n                var searchDeferred = new $.Deferred();\n\n                if (fileListResult.length) {\n                    var searchObject;\n                    if (searchScopeChanged) {\n                        var files = fileListResult\n                            .filter(function (entry) {\n                                return entry.isFile && _isReadableText(entry.fullPath);\n                            })\n                            .map(function (entry) {\n                                return entry.fullPath;\n                            });\n\n                        /* The following line prioritizes the open Document in editor and\n                         * pushes it to the top of the filelist. */\n                        files = FindUtils.prioritizeOpenFile(files, FindUtils.getOpenFilePath());\n\n                        searchObject = {\n                            "files": files,\n                            "queryInfo": queryInfo,\n                            "queryExpr": searchModel.queryExpr\n                        };\n                        searchScopeChanged = false;\n                    } else {\n                        searchObject = {\n                            "queryInfo": queryInfo,\n                            "queryExpr": searchModel.queryExpr\n                        };\n                    }\n\n                    if (searchModel.isReplace) {\n                        searchObject.getAllResults = true;\n                    }\n                    _updateChangedDocs();\n                    FindUtils.notifyNodeSearchStarted();\n                    searchDomain.exec("doSearch", searchObject)\n                        .done(function (rcvd_object) {\n                            FindUtils.notifyNodeSearchFinished();\n                            if (!rcvd_object || !rcvd_object.results) {\n                                console.log(\'no node falling back to brackets search\');\n                                FindUtils.setNodeSearchDisabled(true);\n                                searchDeferred.fail();\n                                clearSearch();\n                                return;\n                            }\n                            searchModel.results = rcvd_object.results;\n                            searchModel.numMatches = rcvd_object.numMatches;\n                            searchModel.numFiles = rcvd_object.numFiles;\n                            searchModel.exceedsMaximum = rcvd_object.exceedsMaximum;\n                            searchModel.allResultsAvailable = rcvd_object.allResultsAvailable;\n                            searchDeferred.resolve();\n                        })\n                        .fail(function () {\n                            FindUtils.notifyNodeSearchFinished();\n                            console.log(\'node fails\');\n                            FindUtils.setNodeSearchDisabled(true);\n                            clearSearch();\n                            searchDeferred.reject();\n                        });\n                    return searchDeferred.promise();\n                } else {\n                    return ZERO_FILES_TO_SEARCH;\n                }\n            })\n            .then(function (zeroFilesToken) {\n                exports._searchDone = true; // for unit tests\n                PerfUtils.addMeasurement(perfTimer);\n\n                if (zeroFilesToken === ZERO_FILES_TO_SEARCH) {\n                    return zeroFilesToken;\n                } else {\n                    return searchModel.results;\n                }\n            }, function (err) {\n                console.log("find in files failed: ", err);\n                PerfUtils.finalizeMeasurement(perfTimer);\n\n                // In jQuery promises, returning the error here propagates the rejection,\n                // unlike in Promises/A, where we would need to re-throw it to do so.\n                return err;\n            });\n    }\n\n    /**\n     * @private\n     * Clears any previous search information, removing update listeners and clearing the model.\n     * @param {?Entry} scope Project file/subfolder to search within; else searches whole project.\n     */\n    clearSearch = function () {\n        findOrReplaceInProgress = false;\n        searchModel.clear();\n    };\n\n    /**\n     * Does a search in the given scope with the given filter. Used when you want to start a search\n     * programmatically.\n     * @param {{query: string, caseSensitive: boolean, isRegexp: boolean}} queryInfo Query info object\n     * @param {?Entry} scope Project file/subfolder to search within; else searches whole project.\n     * @param {?string} filter A "compiled" filter as returned by FileFilters.compile(), or null for no filter\n     * @param {?string} replaceText If this is a replacement, the text to replace matches with. This is just\n     *      stored in the model for later use - the replacement is not actually performed right now.\n     * @param {?$.Promise} candidateFilesPromise If specified, a promise that should resolve with the same set of files that\n     *      getCandidateFiles(scope) would return.\n     * @return {$.Promise} A promise that\'s resolved with the search results or rejected when the find competes.\n     */\n    function doSearchInScope(queryInfo, scope, filter, replaceText, candidateFilesPromise) {\n        clearSearch();\n        searchModel.scope = scope;\n        if (replaceText !== undefined) {\n            searchModel.isReplace = true;\n            searchModel.replaceText = replaceText;\n        }\n        candidateFilesPromise = candidateFilesPromise || getCandidateFiles(scope);\n        return _doSearch(queryInfo, candidateFilesPromise, filter);\n    }\n\n    /**\n     * Given a set of search results, replaces them with the given replaceText, either on disk or in memory.\n     * @param {Object.<fullPath: string, {matches: Array.<{start: {line:number,ch:number}, end: {line:number,ch:number}, startOffset: number, endOffset: number, line: string}>, collapsed: boolean}>} results\n     *      The list of results to replace, as returned from _doSearch..\n     * @param {string} replaceText The text to replace each result with.\n     * @param {?Object} options An options object:\n     *      forceFilesOpen: boolean - Whether to open all files in editors and do replacements there rather than doing the\n     *          replacements on disk. Note that even if this is false, files that are already open in editors will have replacements\n     *          done in memory.\n     *      isRegexp: boolean - Whether the original query was a regexp. If true, $-substitution is performed on the replaceText.\n     * @return {$.Promise} A promise that\'s resolved when the replacement is finished or rejected with an array of errors\n     *      if there were one or more errors. Each individual item in the array will be a {item: string, error: string} object,\n     *      where item is the full path to the file that could not be updated, and error is either a FileSystem error or one\n     *      of the `FindInFiles.ERROR_*` constants.\n     */\n    function doReplace(results, replaceText, options) {\n        return FindUtils.performReplacements(results, replaceText, options).always(function () {\n            // For UI integration testing only\n            exports._replaceDone = true;\n        });\n    }\n\n    /**\n     * @private\n     * Flags that the search scope has changed, so that the file list for the following search is recomputed\n     */\n    var _searchScopeChanged = function () {\n        searchScopeChanged = true;\n    };\n\n    /**\n     * Notify node that the results should be collapsed\n     */\n    function _searchcollapseResults() {\n        if (FindUtils.isNodeSearchDisabled()) {\n            return;\n        }\n        searchDomain.exec("collapseResults", FindUtils.isCollapsedResults());\n    }\n\n    /**\n     * Inform node that the list of files has changed.\n     * @param {array} fileList The list of files that changed.\n     */\n    function filesChanged(fileList) {\n        if (FindUtils.isNodeSearchDisabled() || !fileList || fileList.length === 0) {\n            return;\n        }\n        var updateObject = {\n            "fileList": fileList\n        };\n        if (searchModel.filter) {\n            updateObject.filesInSearchScope = FileFilters.getPathsMatchingFilter(searchModel.filter, fileList);\n            _searchScopeChanged();\n        }\n        searchDomain.exec("filesChanged", updateObject);\n    }\n\n    /**\n     * Inform node that the list of files have been removed.\n     * @param {array} fileList The list of files that was removed.\n     */\n    function filesRemoved(fileList) {\n        if (FindUtils.isNodeSearchDisabled() || !fileList || fileList.length === 0) {\n            return;\n        }\n        var updateObject = {\n            "fileList": fileList\n        };\n        if (searchModel.filter) {\n            updateObject.filesInSearchScope = FileFilters.getPathsMatchingFilter(searchModel.filter, fileList);\n            _searchScopeChanged();\n        }\n        searchDomain.exec("filesRemoved", updateObject);\n    }\n\n    /**\n     * @private\n     * Moves the search results from the previous path to the new one and updates the results list, if required\n     * @param {$.Event} event\n     * @param {string} oldName\n     * @param {string} newName\n     */\n    _fileNameChangeHandler = function (event, oldName, newName) {\n        var resultsChanged = false;\n\n            // Update the search results\n        _.forEach(searchModel.results, function (item, fullPath) {\n            if (fullPath.indexOf(oldName) === 0) {\n                // node search : inform node about the rename\n                filesRemoved([fullPath]);\n                filesChanged([fullPath.replace(oldName, newName)]);\n\n                if (findOrReplaceInProgress) {\n                    searchModel.removeResults(fullPath);\n                    searchModel.setResults(fullPath.replace(oldName, newName), item);\n                    resultsChanged = true;\n                }\n            }\n        });\n\n        if (resultsChanged) {\n            searchModel.fireChanged();\n        }\n    };\n\n    /**\n     * @private\n     * Updates search results in response to FileSystem "change" event\n     * @param {$.Event} event\n     * @param {FileSystemEntry} entry\n     * @param {Array.<FileSystemEntry>=} added Added children\n     * @param {Array.<FileSystemEntry>=} removed Removed children\n     */\n    _fileSystemChangeHandler = function (event, entry, added, removed) {\n        var resultsChanged = false;\n\n        /*\n         * Remove existing search results that match the given entry\'s path\n         * @param {Array.<(File|Directory)>} entries\n         */\n        function _removeSearchResultsForEntries(entries) {\n            var fullPaths = [];\n            entries.forEach(function (entry) {\n                Object.keys(searchModel.results).forEach(function (fullPath) {\n                    if (fullPath === entry.fullPath ||\n                            (entry.isDirectory && fullPath.indexOf(entry.fullPath) === 0)) {\n                        // node search : inform node that the file is removed\n                        fullPaths.push(fullPath);\n                        if (findOrReplaceInProgress) {\n                            searchModel.removeResults(fullPath);\n                            resultsChanged = true;\n                        }\n                    }\n                });\n            });\n            // this should be called once with a large array instead of numerous calls with single items\n            filesRemoved(fullPaths);\n        }\n\n        /*\n         * Add new search results for these entries and all of its children\n         * @param {Array.<(File|Directory)>} entries\n         * @return {jQuery.Promise} Resolves when the results have been added\n         */\n        function _addSearchResultsForEntries(entries) {\n            var fullPaths = [];\n            return Async.doInParallel(entries, function (entry) {\n                var addedFiles = [],\n                    addedFilePaths = [],\n                    deferred = new $.Deferred();\n\n                // gather up added files\n                var visitor = function (child) {\n                    // Replicate filtering that getAllFiles() does\n                    if (ProjectManager.shouldShow(child)) {\n                        if (child.isFile && _isReadableText(child.name)) {\n                            // Re-check the filtering that the initial search applied\n                            if (_inSearchScope(child)) {\n                                addedFiles.push(child);\n                                addedFilePaths.push(child.fullPath);\n                            }\n                        }\n                        return true;\n                    }\n                    return false;\n                };\n\n                entry.visit(visitor, function (err) {\n                    if (err) {\n                        deferred.reject(err);\n                        return;\n                    }\n\n                    //node Search : inform node about the file changes\n                    //filesChanged(addedFilePaths);\n                    fullPaths = fullPaths.concat(addedFilePaths);\n\n                    if (findOrReplaceInProgress) {\n                        // find additional matches in all added files\n                        Async.doInParallel(addedFiles, function (file) {\n                            return _doSearchInOneFile(file)\n                                .done(function (foundMatches) {\n                                    resultsChanged = resultsChanged || foundMatches;\n                                });\n                        }).always(deferred.resolve);\n                    } else {\n                        deferred.resolve();\n                    }\n                });\n\n                return deferred.promise();\n            }).always(function () {\n                // this should be called once with a large array instead of numerous calls with single items\n                filesChanged(fullPaths);\n            });\n        }\n\n        if (!entry) {\n            // TODO: re-execute the search completely?\n            return;\n        }\n\n        var addPromise;\n        if (entry.isDirectory) {\n            if (added.length === 0 && removed.length === 0) {\n                // If the added or removed sets are null, must redo the search for the entire subtree - we\n                // don\'t know which child files/folders may have been added or removed.\n                _removeSearchResultsForEntries([ entry ]);\n\n                var deferred = $.Deferred();\n                addPromise = deferred.promise();\n                entry.getContents(function (err, entries) {\n                    _addSearchResultsForEntries(entries).always(deferred.resolve);\n                });\n            } else {\n                _removeSearchResultsForEntries(removed);\n                addPromise = _addSearchResultsForEntries(added);\n            }\n        } else { // entry.isFile\n            _removeSearchResultsForEntries([ entry ]);\n            addPromise = _addSearchResultsForEntries([ entry ]);\n        }\n\n        addPromise.always(function () {\n            // Restore the results if needed\n            if (resultsChanged) {\n                searchModel.fireChanged();\n            }\n        });\n    };\n    \n    /**\n     * This stores file system events emitted by watchers that were not yet processed\n     */\n    var _cachedFileSystemEvents = [];\n    \n    /**\n     * Debounced function to process emitted file system events\n     * for cases when there\'s a lot of fs events emitted in a very short period of time\n     */\n    _processCachedFileSystemEvents = _.debounce(function () {\n        // we need to reduce _cachedFileSystemEvents not to contain duplicates!\n        _cachedFileSystemEvents = _cachedFileSystemEvents.reduce(function (result, obj) {\n            var fullPath = obj.entry ? obj.entry.fullPath : null;\n            // merge added & removed\n            if (result[fullPath] && obj.isDirectory) {\n                obj.added = obj.added.concat(result[fullPath].added);\n                obj.removed = obj.removed.concat(result[fullPath].removed);\n            }\n            // use the latest event as base\n            result[fullPath] = obj;\n            return result;\n        }, {});\n        _.forEach(_cachedFileSystemEvents, function (obj) {\n            _fileSystemChangeHandler(obj.event, obj.entry, obj.added, obj.removed);\n        });\n        _cachedFileSystemEvents = [];\n    }, FILE_SYSTEM_EVENT_DEBOUNCE_TIME);\n    \n    /**\n     * Wrapper function for _fileSystemChangeHandler which handles all incoming fs events\n     * putting them to cache and executing a debounced function\n     */\n    _debouncedFileSystemChangeHandler = function (event, entry, added, removed) {\n        // normalize this here so we don\'t need to handle null later\n        var isDirectory = false;\n        if (entry && entry.isDirectory) {\n            isDirectory = true;\n            added = added || [];\n            removed = removed || [];\n        }\n        _cachedFileSystemEvents.push({\n            event: event,\n            entry: entry,\n            isDirectory: isDirectory,\n            added: added,\n            removed: removed\n        });\n        _processCachedFileSystemEvents();\n    };\n\n    /**\n     * On project change, inform node about the new list of files that needs to be crawled.\n     * Instant search is also disabled for the time being till the crawl is complete in node.\n     */\n    var _initCache = function () {\n        function filter(file) {\n            return _subtreeFilter(file, null) && _isReadableText(file.fullPath);\n        }\n        FindUtils.setInstantSearchDisabled(true);\n\n        //we always listen for filesytem changes.\n        _addListeners();\n\n        if (!PreferencesManager.get("findInFiles.nodeSearch")) {\n            return;\n        }\n        ProjectManager.getAllFiles(filter, true, true)\n            .done(function (fileListResult) {\n                var files = fileListResult,\n                    filter = FileFilters.getActiveFilter();\n                if (filter && filter.patterns.length > 0) {\n                    files = FileFilters.filterFileList(FileFilters.compile(filter.patterns), files);\n                }\n                files = files.filter(function (entry) {\n                    return entry.isFile && _isReadableText(entry.fullPath);\n                }).map(function (entry) {\n                    return entry.fullPath;\n                });\n                FindUtils.notifyIndexingStarted();\n                searchDomain.exec("initCache", files);\n            });\n        _searchScopeChanged();\n    };\n\n\n    /**\n     * Gets the next page of search recults to append to the result set.\n     * @return {object} A promise that\'s resolved with the search results or rejected when the find competes.\n     */\n    function getNextPageofSearchResults() {\n        var searchDeferred = $.Deferred();\n        if (searchModel.allResultsAvailable) {\n            return searchDeferred.resolve().promise();\n        }\n        _updateChangedDocs();\n        FindUtils.notifyNodeSearchStarted();\n        searchDomain.exec("nextPage")\n            .done(function (rcvd_object) {\n                FindUtils.notifyNodeSearchFinished();\n                if (searchModel.results) {\n                    var resultEntry;\n                    for (resultEntry in rcvd_object.results ) {\n                        if (rcvd_object.results.hasOwnProperty(resultEntry)) {\n                            searchModel.results[resultEntry.toString()] = rcvd_object.results[resultEntry];\n                        }\n                    }\n                } else {\n                    searchModel.results = rcvd_object.results;\n                }\n                searchModel.fireChanged();\n                searchDeferred.resolve();\n            })\n            .fail(function () {\n                FindUtils.notifyNodeSearchFinished();\n                console.log(\'node fails\');\n                FindUtils.setNodeSearchDisabled(true);\n                searchDeferred.reject();\n            });\n        return searchDeferred.promise();\n    }\n\n    function getAllSearchResults() {\n        var searchDeferred = $.Deferred();\n        if (searchModel.allResultsAvailable) {\n            return searchDeferred.resolve().promise();\n        }\n        _updateChangedDocs();\n        FindUtils.notifyNodeSearchStarted();\n        searchDomain.exec("getAllResults")\n            .done(function (rcvd_object) {\n                FindUtils.notifyNodeSearchFinished();\n                searchModel.results = rcvd_object.results;\n                searchModel.numMatches = rcvd_object.numMatches;\n                searchModel.numFiles = rcvd_object.numFiles;\n                searchModel.allResultsAvailable = true;\n                searchModel.fireChanged();\n                searchDeferred.resolve();\n            })\n            .fail(function () {\n                FindUtils.notifyNodeSearchFinished();\n                console.log(\'node fails\');\n                FindUtils.setNodeSearchDisabled(true);\n                searchDeferred.reject();\n            });\n        return searchDeferred.promise();\n    }\n\n    ProjectManager.on("projectOpen", _initCache);\n    FindUtils.on(FindUtils.SEARCH_FILE_FILTERS_CHANGED, _searchScopeChanged);\n    FindUtils.on(FindUtils.SEARCH_SCOPE_CHANGED, _searchScopeChanged);\n    FindUtils.on(FindUtils.SEARCH_COLLAPSE_RESULTS, _searchcollapseResults);\n    searchDomain.on("crawlComplete", nodeFileCacheComplete);\n\n    // Public exports\n    exports.searchModel            = searchModel;\n    exports.doSearchInScope        = doSearchInScope;\n    exports.doReplace              = doReplace;\n    exports.getCandidateFiles      = getCandidateFiles;\n    exports.clearSearch            = clearSearch;\n    exports.ZERO_FILES_TO_SEARCH   = ZERO_FILES_TO_SEARCH;\n    exports.getNextPageofSearchResults          = getNextPageofSearchResults;\n    exports.getAllSearchResults    = getAllSearchResults;\n\n    // For unit tests only\n    exports._documentChangeHandler = _documentChangeHandler;\n    exports._fileNameChangeHandler = _fileNameChangeHandler;\n    exports._fileSystemChangeHandler = _fileSystemChangeHandler;\n});\n\n//# sourceURL=/search/FindInFiles.js'),
eval('define(\'text!htmlContent/search-panel.html\',[],function () { return \'<div id="{{panelID}}" class="search-results bottom-panel vert-resizable top-resizer no-focus">\\n    <div class="toolbar simple-toolbar-layout">\\n        <div class="title"></div>\\n        <a href="#" class="close">&times;</a>\\n    </div>\\n    <div class="table-container resizable-content"></div>\\n</div>\\n\';});\n\n//# sourceURL=/text!htmlContent/search-panel.html'),eval('define(\'text!htmlContent/search-results.html\',[],function () { return \'<table class="bottom-panel-table table table-striped table-condensed row-highlight">\\n    <tbody>\\n        {{#searchList}}\\n        <tr class="file-section" data-file-index="{{fileIndex}}">\\n            {{#replace}}<td class="checkbox-column"><input type="checkbox" class="check-one-file" {{#isChecked}}checked="true"{{/isChecked}} /></td>{{/replace}}\\n            <td colspan="2">\\n                <span class="disclosure-triangle {{^isCollapsed}}expanded{{/isCollapsed}}" title="{{Strings.FIND_IN_FILES_EXPAND_COLLAPSE}}"></span>\\n                {{{filename}}}\\n            </td>\\n        </tr>\\n        {{#items}}\\n        <tr data-file-index="{{fileIndex}}" data-item-index="{{itemIndex}}" data-match-index="{{matchIndex}}" {{#isCollapsed}}style="display:none;"{{/isCollapsed}}>\\n            {{#replace}}<td class="checkbox-column"><input type="checkbox" class="check-one" {{#isChecked}}checked="true"{{/isChecked}} /></td>{{/replace}}\\n            <td class="line-number">{{line}}</td>\\n            <td class="line-text">{{pre}}<span class="highlight">{{highlight}}</span>{{post}}</td>\\n        </tr>\\n        {{/items}}\\n        {{/searchList}}\\n    </tbody>\\n</table>\\n\';});\n\n//# sourceURL=/text!htmlContent/search-results.html'),eval('define(\'text!htmlContent/search-summary.html\',[],function () { return \'{{#replace}}\\n<div class="fixed-col"><input type="checkbox" class="check-all" {{#allChecked}}checked="checked"{{/allChecked}} /></div>\\n{{/replace}}\\n<div class="fixed-col">{{titleLabel}} &quot;</div>\\n<div class="contracting-col">{{query}}</div>\\n<div class="fixed-col">&quot;</div>\\n{{#replace}}\\n<div class="fixed-col">&nbsp;{{Strings.FIND_REPLACE_TITLE_WITH}} &quot;</div>\\n<div class="contracting-col">{{replaceWith}}</div>\\n<div class="fixed-col">&quot;</div>\\n{{/replace}}\\n{{#scope}}\\n<div class="contracting-col">{{{scope}}}</div>\\n{{/scope}}\\n<div class="fixed-col">&nbsp;{{{summary}}}</div>\\n{{#hasPages}}\\n<div class="pagination-col">\\n    <span class="first-page {{^hasPrev}}disabled{{/hasPrev}}"></span>\\n    <span class="prev-page {{^hasPrev}}disabled{{/hasPrev}}"></span>\\n    {{{results}}}\\n    <span class="next-page {{^hasNext}}disabled{{/hasNext}}"></span>\\n    <span class="last-page {{^hasNext}}disabled{{/hasNext}}"></span>\\n</div>\\n{{/hasPages}}\\n{{#replace}}\\n<div class="replace-col">\\n    <button class="btn small replace-checked">{{Strings.BUTTON_REPLACE}}</button>\\n</div>\\n{{/replace}}\';});\n\n//# sourceURL=/text!htmlContent/search-summary.html'),eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*\n * Panel showing search results for a Find/Replace in Files operation.\n */\ndefine(\'search/SearchResultsView\',[\'require\',\'exports\',\'module\',\'command/CommandManager\',\'utils/EventDispatcher\',\'command/Commands\',\'document/DocumentManager\',\'editor/EditorManager\',\'project/ProjectManager\',\'project/FileViewController\',\'file/FileUtils\',\'search/FindUtils\',\'view/WorkspaceManager\',\'utils/StringUtils\',\'strings\',\'utils/HealthLogger\',\'thirdparty/lodash\',\'thirdparty/mustache/mustache\',\'text!htmlContent/search-panel.html\',\'text!htmlContent/search-results.html\',\'text!htmlContent/search-summary.html\'],function (require, exports, module) {\n    "use strict";\n\n    var CommandManager        = require("command/CommandManager"),\n        EventDispatcher       = require("utils/EventDispatcher"),\n        Commands              = require("command/Commands"),\n        DocumentManager       = require("document/DocumentManager"),\n        EditorManager         = require("editor/EditorManager"),\n        ProjectManager        = require("project/ProjectManager"),\n        FileViewController    = require("project/FileViewController"),\n        FileUtils             = require("file/FileUtils"),\n        FindUtils             = require("search/FindUtils"),\n        WorkspaceManager      = require("view/WorkspaceManager"),\n        StringUtils           = require("utils/StringUtils"),\n        Strings               = require("strings"),\n        HealthLogger          = require("utils/HealthLogger"),\n        _                     = require("thirdparty/lodash"),\n        Mustache              = require("thirdparty/mustache/mustache"),\n\n        searchPanelTemplate   = require("text!htmlContent/search-panel.html"),\n        searchResultsTemplate = require("text!htmlContent/search-results.html"),\n        searchSummaryTemplate = require("text!htmlContent/search-summary.html");\n\n\n    /**\n     * @const\n     * The maximum results to show per page.\n     * @type {number}\n     */\n    var RESULTS_PER_PAGE = 100;\n\n    /**\n     * @const\n     * Debounce time for document changes updating the search results view.\n     * @type {number}\n     */\n    var UPDATE_TIMEOUT   = 400;\n\n    /**\n     * @constructor\n     * Handles the search results panel.\n     * Dispatches the following events:\n     *      replaceBatch - when the "Replace" button is clicked.\n     *      close - when the panel is closed.\n     *\n     * @param {SearchModel} model The model that this view is showing.\n     * @param {string} panelID The CSS ID to use for the panel.\n     * @param {string} panelName The name to use for the panel, as passed to PanelManager.createBottomPanel().\n     */\n    function SearchResultsView(model, panelID, panelName) {\n        var panelHtml  = Mustache.render(searchPanelTemplate, {panelID: panelID});\n\n        this._panel    = WorkspaceManager.createBottomPanel(panelName, $(panelHtml), 100);\n        this._$summary = this._panel.$panel.find(".title");\n        this._$table   = this._panel.$panel.find(".table-container");\n        this._model    = model;\n    }\n    EventDispatcher.makeEventDispatcher(SearchResultsView.prototype);\n\n    /** @type {SearchModel} The search results model we\'re viewing. */\n    SearchResultsView.prototype._model = null;\n\n    /**\n     * Array with content used in the Results Panel\n     * @type {Array.<{fileIndex: number, filename: string, fullPath: string, items: Array.<Object>}>}\n     */\n    SearchResultsView.prototype._searchList = [];\n\n    /** @type {Panel} Bottom panel holding the search results */\n    SearchResultsView.prototype._panel = null;\n\n    /** @type {?string} The full path of the file that was open in the main editor on the initial search */\n    SearchResultsView.prototype._initialFilePath = null;\n\n    /** @type {number} The index of the first result that is displayed */\n    SearchResultsView.prototype._currentStart = 0;\n\n    /** @type {boolean} Used to remake the replace all summary after it is changed */\n    SearchResultsView.prototype._allChecked = false;\n\n    /** @type {$.Element} The currently selected row */\n    SearchResultsView.prototype._$selectedRow = null;\n\n    /** @type {$.Element} The element where the title is placed */\n    SearchResultsView.prototype._$summary = null;\n\n    /** @type {$.Element} The table that holds the results */\n    SearchResultsView.prototype._$table = null;\n\n    /** @type {number} The ID we use for timeouts when handling model changes. */\n    SearchResultsView.prototype._timeoutID = null;\n\n    /**\n     * @private\n     * Handles when model changes. Updates the view, buffering changes if necessary so as not to churn too much.\n     */\n    SearchResultsView.prototype._handleModelChange = function (quickChange) {\n        // If this is a replace, to avoid complications with updating, just close ourselves if we hear about\n        // a results model change after we\'ve already shown the results initially.\n        // TODO: notify user, re-do search in file\n        if (this._model.isReplace) {\n            this.close();\n            return;\n        }\n\n        var self = this;\n        if (this._timeoutID) {\n            window.clearTimeout(this._timeoutID);\n        }\n        if (quickChange) {\n            this._timeoutID = window.setTimeout(function () {\n                self._updateResults();\n                self._timeoutID = null;\n            }, UPDATE_TIMEOUT);\n        } else {\n            this._updateResults();\n        }\n    };\n\n    /**\n     * @private\n     * Adds the listeners for close, prev, next, first, last and check all\n     */\n    SearchResultsView.prototype._addPanelListeners = function () {\n        var self = this;\n        this._panel.$panel\n            .off(".searchResults")  // Remove the old events\n            .on("click.searchResults", ".close", function () {\n                self.close();\n            })\n            // The link to go the first page\n            .on("click.searchResults", ".first-page:not(.disabled)", function () {\n                self._currentStart = 0;\n                self._render();\n                HealthLogger.searchDone(HealthLogger.SEARCH_FIRST_PAGE);\n            })\n            // The link to go the previous page\n            .on("click.searchResults", ".prev-page:not(.disabled)", function () {\n                self._currentStart -= RESULTS_PER_PAGE;\n                self._render();\n                HealthLogger.searchDone(HealthLogger.SEARCH_PREV_PAGE);\n            })\n            // The link to go to the next page\n            .on("click.searchResults", ".next-page:not(.disabled)", function () {\n                self.trigger(\'getNextPage\');\n                HealthLogger.searchDone(HealthLogger.SEARCH_NEXT_PAGE);\n            })\n            // The link to go to the last page\n            .on("click.searchResults", ".last-page:not(.disabled)", function () {\n                self.trigger(\'getLastPage\');\n                HealthLogger.searchDone(HealthLogger.SEARCH_LAST_PAGE);\n            })\n\n            // Add the file to the working set on double click\n            .on("dblclick.searchResults", ".table-container tr:not(.file-section)", function (e) {\n                var item = self._searchList[$(this).data("file-index")];\n                FileViewController.openFileAndAddToWorkingSet(item.fullPath);\n            })\n\n            // Add the click event listener directly on the table parent\n            .on("click.searchResults .table-container", function (e) {\n                var $row = $(e.target).closest("tr");\n\n                if ($row.length) {\n                    if (self._$selectedRow) {\n                        self._$selectedRow.removeClass("selected");\n                    }\n                    $row.addClass("selected");\n                    self._$selectedRow = $row;\n\n                    var searchItem = self._searchList[$row.data("file-index")],\n                        fullPath   = searchItem.fullPath;\n\n                    // This is a file title row, expand/collapse on click\n                    if ($row.hasClass("file-section")) {\n                        var $titleRows,\n                            collapsed = !self._model.results[fullPath].collapsed;\n\n                        if (e.metaKey || e.ctrlKey) { //Expand all / Collapse all\n                            $titleRows = $(e.target).closest("table").find(".file-section");\n                        } else {\n                            // Clicking the file section header collapses/expands result rows for that file\n                            $titleRows = $row;\n                        }\n\n                        $titleRows.each(function () {\n                            fullPath   = self._searchList[$(this).data("file-index")].fullPath;\n                            searchItem = self._model.results[fullPath];\n\n                            if (searchItem.collapsed !== collapsed) {\n                                searchItem.collapsed = collapsed;\n                                $(this).nextUntil(".file-section").toggle();\n                                $(this).find(".disclosure-triangle").toggleClass("expanded");\n                            }\n                        });\n\n                        //In Expand/Collapse all, reset all search results \'collapsed\' flag to same value(true/false).\n                        if (e.metaKey || e.ctrlKey) {\n                            FindUtils.setCollapseResults(collapsed);\n                            _.forEach(self._model.results, function (item) {\n                                item.collapsed = collapsed;\n                            });\n                        }\n\n                    // This is a file row, show the result on click\n                    } else {\n                        // Grab the required item data\n                        var item = searchItem.items[$row.data("item-index")];\n\n                        CommandManager.execute(Commands.FILE_OPEN, {fullPath: fullPath})\n                            .done(function (doc) {\n                                // Opened document is now the current main editor\n                                EditorManager.getCurrentFullEditor().setSelection(item.start, item.end, true);\n                            });\n                    }\n                }\n            });\n\n        function updateHeaderCheckbox($checkAll) {\n            var $allFileRows     = self._panel.$panel.find(".file-section"),\n                $checkedFileRows = $allFileRows.filter(function (index) {\n                    return $(this).find(".check-one-file").is(":checked");\n                });\n            if ($checkedFileRows.length === $allFileRows.length) {\n                $checkAll.prop("checked", true);\n            }\n        }\n\n        function updateFileAndHeaderCheckboxes($clickedRow, isChecked) {\n            var $firstMatch = ($clickedRow.data("item-index") === 0) ? $clickedRow :\n                    $clickedRow.prevUntil(".file-section").last(),\n                $fileRow = $firstMatch.prev(),\n                $siblingRows = $fileRow.nextUntil(".file-section"),\n                $fileCheckbox = $fileRow.find(".check-one-file"),\n                $checkAll = self._panel.$panel.find(".check-all");\n\n            if (isChecked) {\n                if (!$fileCheckbox.is(":checked")) {\n                    var $checkedSibilings = $siblingRows.filter(function (index) {\n                            return $(this).find(".check-one").is(":checked");\n                        });\n                    if ($checkedSibilings.length === $siblingRows.length) {\n                        $fileCheckbox.prop("checked", true);\n                        if (!$checkAll.is(":checked")) {\n                            updateHeaderCheckbox($checkAll);\n                        }\n                    }\n                }\n            } else {\n                if ($checkAll.is(":checked")) {\n                    $checkAll.prop("checked", false);\n                }\n                if ($fileCheckbox.is(":checked")) {\n                    $fileCheckbox.prop("checked", false);\n                }\n            }\n        }\n\n        // Add the Click handlers for replace functionality if required\n        if (this._model.isReplace) {\n            this._panel.$panel\n                .on("click.searchResults", ".check-all", function (e) {\n                    var isChecked = $(this).is(":checked");\n                    _.forEach(self._model.results, function (results) {\n                        results.matches.forEach(function (match) {\n                            match.isChecked = isChecked;\n                        });\n                    });\n                    self._$table.find(".check-one").prop("checked", isChecked);\n                    self._$table.find(".check-one-file").prop("checked", isChecked);\n                    self._allChecked = isChecked;\n                })\n                .on("click.searchResults", ".check-one-file", function (e) {\n                    var isChecked = $(this).is(":checked"),\n                        $row = $(e.target).closest("tr"),\n                        item = self._searchList[$row.data("file-index")],\n                        $matchRows = $row.nextUntil(".file-section"),\n                        $checkAll = self._panel.$panel.find(".check-all");\n\n                    if (item) {\n                        self._model.results[item.fullPath].matches.forEach(function (match) {\n                            match.isChecked = isChecked;\n                        });\n                    }\n                    $matchRows.find(".check-one").prop("checked", isChecked);\n                    if (!isChecked) {\n                        if ($checkAll.is(":checked")) {\n                            $checkAll.prop("checked", false);\n                        }\n                    } else if (!$checkAll.is(":checked")) {\n                        updateHeaderCheckbox($checkAll);\n                    }\n                    e.stopPropagation();\n                })\n                .on("click.searchResults", ".check-one", function (e) {\n                    var $row = $(e.target).closest("tr"),\n                        item = self._searchList[$row.data("file-index")],\n                        match = self._model.results[item.fullPath].matches[$row.data("match-index")];\n\n                    match.isChecked = $(this).is(":checked");\n                    updateFileAndHeaderCheckboxes($row, match.isChecked);\n                    e.stopPropagation();\n                })\n                .on("click.searchResults", ".replace-checked", function (e) {\n                    self.trigger("replaceBatch");\n                });\n        }\n    };\n\n\n    /**\n     * @private\n     * Shows the Results Summary\n     */\n    SearchResultsView.prototype._showSummary = function () {\n        var count     = this._model.countFilesMatches(),\n            lastIndex = this._getLastIndex(count.matches),\n            filesStr,\n            summary;\n\n        filesStr = StringUtils.format(\n            Strings.FIND_NUM_FILES,\n            count.files,\n            (count.files > 1 ? Strings.FIND_IN_FILES_FILES : Strings.FIND_IN_FILES_FILE)\n        );\n\n        // This text contains some formatting, so all the strings are assumed to be already escaped\n        summary = StringUtils.format(\n            Strings.FIND_TITLE_SUMMARY,\n            this._model.exceedsMaximum ? Strings.FIND_IN_FILES_MORE_THAN : "",\n            String(count.matches),\n            (count.matches > 1) ? Strings.FIND_IN_FILES_MATCHES : Strings.FIND_IN_FILES_MATCH,\n            filesStr\n        );\n\n        this._$summary.html(Mustache.render(searchSummaryTemplate, {\n            query:       (this._model.queryInfo && this._model.queryInfo.query && this._model.queryInfo.query.toString()) || "",\n            replaceWith: this._model.replaceText,\n            titleLabel:  this._model.isReplace ? Strings.FIND_REPLACE_TITLE_LABEL : Strings.FIND_TITLE_LABEL,\n            scope:       this._model.scope ? "&nbsp;" + FindUtils.labelForScope(this._model.scope) + "&nbsp;" : "",\n            summary:     summary,\n            allChecked:  this._allChecked,\n            hasPages:    count.matches > RESULTS_PER_PAGE,\n            results:     StringUtils.format(Strings.FIND_IN_FILES_PAGING, this._currentStart + 1, lastIndex),\n            hasPrev:     this._currentStart > 0,\n            hasNext:     lastIndex < count.matches,\n            replace:     this._model.isReplace,\n            Strings:     Strings\n        }));\n    };\n\n    /**\n     * @private\n     * Shows the current set of results.\n     */\n    SearchResultsView.prototype._render = function () {\n        var searchItems, match, i, item, multiLine,\n            count            = this._model.countFilesMatches(),\n            searchFiles      = this._model.prioritizeOpenFile(this._initialFilePath),\n            lastIndex        = this._getLastIndex(count.matches),\n            matchesCounter   = 0,\n            showMatches      = false,\n            allInFileChecked = true,\n            self             = this;\n\n        this._showSummary();\n        this._searchList = [];\n\n        // Iterates throuh the files to display the results sorted by filenamess. The loop ends as soon as\n        // we filled the results for one page\n        searchFiles.some(function (fullPath) {\n            showMatches = true;\n            item = self._model.results[fullPath];\n\n            // Since the amount of matches on this item plus the amount of matches we skipped until\n            // now is still smaller than the first match that we want to display, skip these.\n            if (matchesCounter + item.matches.length < self._currentStart) {\n                matchesCounter += item.matches.length;\n                showMatches = false;\n\n            // If we still haven\'t skipped enough items to get to the first match, but adding the\n            // item matches to the skipped ones is greater the the first match we want to display,\n            // then we can display the matches from this item skipping the first ones\n            } else if (matchesCounter < self._currentStart) {\n                i = self._currentStart - matchesCounter;\n                matchesCounter = self._currentStart;\n\n            // If we already skipped enough matches to get to the first match to display, we can start\n            // displaying from the first match of this item\n            } else if (matchesCounter < lastIndex) {\n                i = 0;\n\n            // We can\'t display more items by now. Break the loop\n            } else {\n                return true;\n            }\n\n            if (showMatches && i < item.matches.length) {\n                // Add a row for each match in the file\n                searchItems = [];\n\n                allInFileChecked = true;\n                // Add matches until we get to the last match of this item, or filling the page\n                while (i < item.matches.length && matchesCounter < lastIndex) {\n                    match     = item.matches[i];\n                    multiLine = match.start.line !== match.end.line;\n\n                    searchItems.push({\n                        fileIndex:   self._searchList.length,\n                        itemIndex:   searchItems.length,\n                        matchIndex:  i,\n                        line:        match.start.line + 1,\n                        pre:         match.line.substr(0, match.start.ch - match.highlightOffset),\n                        highlight:   match.line.substring(match.start.ch - match.highlightOffset, multiLine ? undefined : match.end.ch - match.highlightOffset),\n                        post:        multiLine ? "\\u2026" : match.line.substr(match.end.ch - match.highlightOffset),\n                        start:       match.start,\n                        end:         match.end,\n                        isChecked:   match.isChecked,\n                        isCollapsed: item.collapsed\n                    });\n                    if (!match.isChecked) {\n                        allInFileChecked = false;\n                    }\n                    matchesCounter++;\n                    i++;\n                }\n\n                // Add a row for each file\n                var relativePath    = FileUtils.getDirectoryPath(ProjectManager.makeProjectRelativeIfPossible(fullPath)),\n                    directoryPath   = FileUtils.getDirectoryPath(relativePath),\n                    displayFileName = StringUtils.format(\n                        Strings.FIND_IN_FILES_FILE_PATH,\n                        StringUtils.breakableUrl(FileUtils.getBaseName(fullPath)),\n                        StringUtils.breakableUrl(directoryPath),\n                        directoryPath ? "&mdash;" : ""\n                    );\n\n                self._searchList.push({\n                    fileIndex:   self._searchList.length,\n                    filename:    displayFileName,\n                    fullPath:    fullPath,\n                    isChecked:   allInFileChecked,\n                    items:       searchItems,\n                    isCollapsed: item.collapsed\n                });\n            }\n        });\n\n\n        // Insert the search results\n        this._$table\n            .empty()\n            .append(Mustache.render(searchResultsTemplate, {\n                replace:       this._model.isReplace,\n                searchList:    this._searchList,\n                Strings:       Strings\n            }));\n\n        if (this._$selectedRow) {\n            this._$selectedRow.removeClass("selected");\n            this._$selectedRow = null;\n        }\n\n        this._panel.show();\n        this._$table.scrollTop(0); // Otherwise scroll pos from previous contents is remembered\n    };\n\n    /**\n     * Updates the results view after a model change, preserving scroll position and selection.\n     */\n    SearchResultsView.prototype._updateResults = function () {\n        // In general this shouldn\'t get called if the panel is closed, but in case some\n        // asynchronous process kicks this (e.g. a debounced model change), we double-check.\n        if (this._panel.isVisible()) {\n            var scrollTop  = this._$table.scrollTop(),\n                index      = this._$selectedRow ? this._$selectedRow.index() : null,\n                numMatches = this._model.countFilesMatches().matches;\n\n            if (this._currentStart > numMatches) {\n                this._currentStart = this._getLastCurrentStart(numMatches);\n            }\n\n            this._render();\n\n            this._$table.scrollTop(scrollTop);\n            if (index) {\n                this._$selectedRow = this._$table.find("tr:eq(" + index + ")");\n                this._$selectedRow.addClass("selected");\n            }\n        }\n    };\n\n    /**\n     * @private\n     * Returns one past the last result index displayed for the current page.\n     * @param {number} numMatches\n     * @return {number}\n     */\n    SearchResultsView.prototype._getLastIndex = function (numMatches) {\n        return Math.min(this._currentStart + RESULTS_PER_PAGE, numMatches);\n    };\n\n    /**\n     * Shows the next page of the resultrs view if possible\n     */\n    SearchResultsView.prototype.showNextPage = function () {\n        this._currentStart += RESULTS_PER_PAGE;\n        this._render();\n    };\n\n    /**\n     * Shows the last page of the results view.\n     */\n    SearchResultsView.prototype.showLastPage = function () {\n        this._currentStart = this._getLastCurrentStart();\n        this._render();\n    };\n\n    /**\n     * @private\n     * Returns the last possible current start based on the given number of matches\n     * @param {number=} numMatches\n     * @return {number}\n     */\n    SearchResultsView.prototype._getLastCurrentStart = function (numMatches) {\n        numMatches = numMatches || this._model.countFilesMatches().matches;\n        return Math.floor((numMatches - 1) / RESULTS_PER_PAGE) * RESULTS_PER_PAGE;\n    };\n\n    /**\n     * Opens the results panel and displays the current set of results from the model.\n     */\n    SearchResultsView.prototype.open = function () {\n        // Clear out any paging/selection state.\n        this._currentStart  = 0;\n        this._$selectedRow  = null;\n        this._allChecked    = true;\n\n        // Save the currently open document\'s fullpath, if any, so we can sort it to the top of the result list.\n        var currentDoc = DocumentManager.getCurrentDocument();\n        this._initialFilePath = currentDoc ? currentDoc.file.fullPath : null;\n\n        this._render();\n\n        // Listen for user interaction events with the panel and change events from the model.\n        this._addPanelListeners();\n        this._model.on("change.SearchResultsView", this._handleModelChange.bind(this));\n    };\n\n    /**\n     * Hides the Search Results Panel and unregisters listeners.\n     */\n    SearchResultsView.prototype.close = function () {\n        if (this._panel && this._panel.isVisible()) {\n            this._$table.empty();\n            this._panel.hide();\n            this._panel.$panel.off(".searchResults");\n            this._model.off("change.SearchResultsView");\n            this.trigger("close");\n        }\n    };\n\n    // Public API\n    exports.SearchResultsView = SearchResultsView;\n});\n\n//# sourceURL=/search/SearchResultsView.js'),eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*\n * UI and controller logic for find/replace across multiple files within the project.\n *\n * FUTURE:\n *  - Handle matches that span multiple lines\n */\ndefine(\'search/FindInFilesUI\',[\'require\',\'exports\',\'module\',\'utils/AppInit\',\'command/CommandManager\',\'command/Commands\',\'widgets/Dialogs\',\'widgets/DefaultDialogs\',\'editor/EditorManager\',\'view/WorkspaceManager\',\'search/FileFilters\',\'file/FileUtils\',\'search/FindBar\',\'search/FindInFiles\',\'search/FindUtils\',\'document/InMemoryFile\',\'project/ProjectManager\',\'search/SearchResultsView\',\'widgets/StatusBar\',\'strings\',\'utils/StringUtils\',\'utils/HealthLogger\',\'thirdparty/lodash\'],function (require, exports, module) {\n    "use strict";\n\n    var AppInit           = require("utils/AppInit"),\n        CommandManager    = require("command/CommandManager"),\n        Commands          = require("command/Commands"),\n        Dialogs           = require("widgets/Dialogs"),\n        DefaultDialogs    = require("widgets/DefaultDialogs"),\n        EditorManager     = require("editor/EditorManager"),\n        WorkspaceManager  = require("view/WorkspaceManager"),\n        FileFilters       = require("search/FileFilters"),\n        FileUtils         = require("file/FileUtils"),\n        FindBar           = require("search/FindBar").FindBar,\n        FindInFiles       = require("search/FindInFiles"),\n        FindUtils         = require("search/FindUtils"),\n        InMemoryFile      = require("document/InMemoryFile"),\n        ProjectManager    = require("project/ProjectManager"),\n        SearchResultsView = require("search/SearchResultsView").SearchResultsView,\n        StatusBar         = require("widgets/StatusBar"),\n        Strings           = require("strings"),\n        StringUtils       = require("utils/StringUtils"),\n        HealthLogger      = require("utils/HealthLogger"),\n        _                 = require("thirdparty/lodash");\n\n\n    /** @const Maximum number of files to do replacements in-memory instead of on disk. */\n    var MAX_IN_MEMORY = 20;\n\n    /** @type {SearchResultsView} The results view. Initialized in htmlReady() */\n    var _resultsView = null;\n\n    /** @type {FindBar} Find bar containing the search UI. */\n    var _findBar = null;\n\n    /**\n     * @private\n     * Forward declaration for JSLint.\n     * @type {Function}\n     */\n    var _finishReplaceBatch;\n    \n    /**\n     * Does a search in the given scope with the given filter. Shows the result list once the search is complete.\n     * @param {{query: string, caseSensitive: boolean, isRegexp: boolean}} queryInfo Query info object\n     * @param {?Entry} scope Project file/subfolder to search within; else searches whole project.\n     * @param {?string} filter A "compiled" filter as returned by FileFilters.compile(), or null for no filter\n     * @param {?string} replaceText If this is a replacement, the text to replace matches with.\n     * @param {?$.Promise} candidateFilesPromise If specified, a promise that should resolve with the same set of files that\n     *      getCandidateFiles(scope) would return.\n     * @return {$.Promise} A promise that\'s resolved with the search results or rejected when the find competes.\n     */\n    function searchAndShowResults(queryInfo, scope, filter, replaceText, candidateFilesPromise) {\n        return FindInFiles.doSearchInScope(queryInfo, scope, filter, replaceText, candidateFilesPromise)\n            .done(function (zeroFilesToken) {\n                // Done searching all files: show results\n                if (FindInFiles.searchModel.hasResults()) {\n                    _resultsView.open();\n\n                    if (_findBar) {\n                        _findBar.enable(true);\n                        _findBar.focus();\n                    }\n\n                } else {\n                    _resultsView.close();\n\n                    if (_findBar) {\n                        var showMessage = false;\n                        _findBar.enable(true);\n                        if (zeroFilesToken === FindInFiles.ZERO_FILES_TO_SEARCH) {\n                            _findBar.showError(StringUtils.format(Strings.FIND_IN_FILES_ZERO_FILES, FindUtils.labelForScope(FindInFiles.searchModel.scope)), true);\n                        } else {\n                            showMessage = true;\n                        }\n                        _findBar.showNoResults(true, showMessage);\n                    }\n                }\n\n                StatusBar.hideBusyIndicator();\n            })\n            .fail(function (err) {\n                console.log("find in files failed: ", err);\n                StatusBar.hideBusyIndicator();\n            });\n    }\n\n    /**\n     * Does a search in the given scope with the given filter. Replace the result list once the search is complete.\n     * @param {{query: string, caseSensitive: boolean, isRegexp: boolean}} queryInfo Query info object\n     * @param {?Entry} scope Project file/subfolder to search within; else searches whole project.\n     * @param {?string} filter A "compiled" filter as returned by FileFilters.compile(), or null for no filter\n     * @param {?string} replaceText If this is a replacement, the text to replace matches with.\n     * @param {?$.Promise} candidateFilesPromise If specified, a promise that should resolve with the same set of files that\n     *      getCandidateFiles(scope) would return.\n     * @return {$.Promise} A promise that\'s resolved with the search results or rejected when the find competes.\n     */\n    function searchAndReplaceResults(queryInfo, scope, filter, replaceText, candidateFilesPromise) {\n        return FindInFiles.doSearchInScope(queryInfo, scope, filter, replaceText, candidateFilesPromise)\n            .done(function (zeroFilesToken) {\n                // Done searching all files: replace all\n                if (FindInFiles.searchModel.hasResults()) {\n                    _finishReplaceBatch(FindInFiles.searchModel);\n\n                    if (_findBar) {\n                        _findBar.enable(true);\n                        _findBar.focus();\n                    }\n\n                }\n                StatusBar.hideBusyIndicator();\n            })\n            .fail(function (err) {\n                console.log("replace all failed: ", err);\n                StatusBar.hideBusyIndicator();\n            });\n    }\n\n    /**\n     * @private\n     * Displays a non-modal embedded dialog above the code mirror editor that allows the user to do\n     * a find operation across all files in the project.\n     * @param {?Entry} scope  Project file/subfolder to search within; else searches whole project.\n     * @param {boolean=} showReplace If true, show the Replace controls.\n     */\n    function _showFindBar(scope, showReplace) {\n        FindUtils.notifySearchScopeChanged();\n        // If the scope is a file with a custom viewer, then we\n        // don\'t show find in files dialog.\n        if (scope && !EditorManager.canOpenPath(scope.fullPath)) {\n            return;\n        }\n\n        if (scope instanceof InMemoryFile) {\n            CommandManager.execute(Commands.FILE_OPEN, { fullPath: scope.fullPath }).done(function () {\n                CommandManager.execute(Commands.CMD_FIND);\n            });\n            return;\n        }\n\n        // Get initial query/replace text\n        var currentEditor = EditorManager.getActiveEditor(),\n            initialQuery = FindBar.getInitialQuery(_findBar, currentEditor);\n\n        // Close our previous find bar, if any. (The open() of the new _findBar will\n        // take care of closing any other find bar instances.)\n        if (_findBar) {\n            _findBar.close();\n        }\n\n        _findBar = new FindBar({\n            multifile: true,\n            replace: showReplace,\n            initialQuery: initialQuery.query,\n            initialReplaceText: initialQuery.replaceText,\n            queryPlaceholder: Strings.FIND_QUERY_PLACEHOLDER,\n            scopeLabel: FindUtils.labelForScope(scope)\n        });\n        _findBar.open();\n\n        // TODO Should push this state into ModalBar (via a FindBar API) instead of installing a callback like this.\n        // Custom closing behavior: if in the middle of executing search, blur shouldn\'t close ModalBar yet. And\n        // don\'t close bar when opening Edit Filter dialog either.\n        _findBar._modalBar.isLockedOpen = function () {\n            // TODO: should have state for whether the search is executing instead of looking at find bar state\n            // TODO: should have API on filterPicker to figure out if dialog is open\n            return !_findBar.isEnabled() || $(".modal.instance .exclusions-editor").length > 0;\n        };\n\n        var candidateFilesPromise = FindInFiles.getCandidateFiles(scope),  // used for eventual search, and in exclusions editor UI\n            filterPicker;\n\n        function handleQueryChange() {\n            // Check the query expression on every input event. This way the user is alerted\n            // to any RegEx syntax errors immediately.\n            var queryInfo = _findBar.getQueryInfo(),\n                queryResult = FindUtils.parseQueryInfo(queryInfo);\n\n            // Enable the replace button appropriately.\n            _findBar.enableReplace(queryResult.valid);\n\n            if (queryResult.valid || queryResult.empty) {\n                _findBar.showNoResults(false);\n                _findBar.showError(null);\n            } else {\n                _findBar.showNoResults(true, false);\n                _findBar.showError(queryResult.error);\n            }\n        }\n\n        function startSearch(replaceText) {\n            var queryInfo = _findBar.getQueryInfo(),\n                disableFindBar = FindUtils.isNodeSearchDisabled() || (replaceText ? true : false);\n            if (queryInfo && queryInfo.query) {\n                _findBar.enable(!disableFindBar);\n                StatusBar.showBusyIndicator(disableFindBar);\n                if (queryInfo.isRegexp) {\n                    HealthLogger.searchDone(HealthLogger.SEARCH_REGEXP);\n                }\n                if (queryInfo.isCaseSensitive) {\n                    HealthLogger.searchDone(HealthLogger.SEARCH_CASE_SENSITIVE);\n                }\n\n                var filter;\n                if (filterPicker) {\n                    filter = FileFilters.commitPicker(filterPicker);\n                } else {\n                    // Single-file scope: don\'t use any file filters\n                    filter = null;\n                }\n                searchAndShowResults(queryInfo, scope, filter, replaceText, candidateFilesPromise);\n            }\n            return null;\n        }\n\n        function startReplace() {\n            startSearch(_findBar.getReplaceText());\n        }\n\n        _findBar\n            .on("doFind.FindInFiles", function () {\n                // Subtle issue: we can\'t just pass startSearch directly as the handler, because\n                // we don\'t want it to get the event object as an argument.\n                startSearch();\n            })\n            .on("queryChange.FindInFiles", handleQueryChange)\n            .on("close.FindInFiles", function (e) {\n                _findBar.off(".FindInFiles");\n                _findBar = null;\n            });\n\n        if (showReplace) {\n            // We shouldn\'t get a "doReplace" in this case, since the Replace button\n            // is hidden when we set options.multifile.\n            _findBar.on("doReplaceBatch.FindInFiles", startReplace);\n        }\n\n        var oldModalBarHeight = _findBar._modalBar.height();\n\n        // Show file-exclusion UI *unless* search scope is just a single file\n        if (!scope || scope.isDirectory) {\n            var exclusionsContext = {\n                label: FindUtils.labelForScope(scope),\n                promise: candidateFilesPromise\n            };\n\n            filterPicker = FileFilters.createFilterPicker(exclusionsContext);\n            // TODO: include in FindBar? (and disable it when FindBar is disabled)\n            _findBar._modalBar.getRoot().find(".scope-group").append(filterPicker);\n        }\n\n        handleQueryChange();\n\n        // Appending FilterPicker and query text can change height of modal bar, so resize editor.\n        // Preserve scroll position of the current full editor across the editor refresh, adjusting\n        // for the height of the modal bar so the code doesn\'t appear to shift if possible.\n        var fullEditor = EditorManager.getCurrentFullEditor(),\n            scrollPos;\n        if (fullEditor) {\n            scrollPos = fullEditor.getScrollPos();\n            scrollPos.y -= oldModalBarHeight;   // modalbar already showing, adjust for old height\n        }\n        WorkspaceManager.recomputeLayout();\n        if (fullEditor) {\n            fullEditor._codeMirror.scrollTo(scrollPos.x, scrollPos.y + _findBar._modalBar.height());\n        }\n    }\n\n    /**\n     * @private\n     * Finish a replace across files operation when the user clicks "Replace" on the results panel.\n     * @param {SearchModel} model The model for the search associated with ths replace.\n     */\n    function _finishReplaceBatch(model) {\n        var replaceText = model.replaceText;\n        if (replaceText === null) {\n            return;\n        }\n\n        // Clone the search results so that they don\'t get updated in the middle of the replacement.\n        var resultsClone = _.cloneDeep(model.results),\n            replacedFiles = Object.keys(resultsClone).filter(function (path) {\n                return FindUtils.hasCheckedMatches(resultsClone[path]);\n            }),\n            isRegexp = model.queryInfo.isRegexp;\n\n        function processReplace(forceFilesOpen) {\n            StatusBar.showBusyIndicator(true);\n            FindInFiles.doReplace(resultsClone, replaceText, { forceFilesOpen: forceFilesOpen, isRegexp: isRegexp })\n                .fail(function (errors) {\n                    var message = Strings.REPLACE_IN_FILES_ERRORS + FileUtils.makeDialogFileList(\n                            errors.map(function (errorInfo) {\n                                return ProjectManager.makeProjectRelativeIfPossible(errorInfo.item);\n                            })\n                        );\n\n                    Dialogs.showModalDialog(\n                        DefaultDialogs.DIALOG_ID_ERROR,\n                        Strings.REPLACE_IN_FILES_ERRORS_TITLE,\n                        message,\n                        [\n                            {\n                                className : Dialogs.DIALOG_BTN_CLASS_PRIMARY,\n                                id        : Dialogs.DIALOG_BTN_OK,\n                                text      : Strings.BUTTON_REPLACE_WITHOUT_UNDO\n                            }\n                        ]\n                    );\n                })\n                .always(function () {\n                    StatusBar.hideBusyIndicator();\n                });\n        }\n\n        if (replacedFiles.length <= MAX_IN_MEMORY) {\n            // Just do the replacements in memory.\n            _resultsView.close();\n            processReplace(true);\n        } else {\n            Dialogs.showModalDialog(\n                DefaultDialogs.DIALOG_ID_INFO,\n                Strings.REPLACE_WITHOUT_UNDO_WARNING_TITLE,\n                StringUtils.format(Strings.REPLACE_WITHOUT_UNDO_WARNING, MAX_IN_MEMORY),\n                [\n                    {\n                        className : Dialogs.DIALOG_BTN_CLASS_NORMAL,\n                        id        : Dialogs.DIALOG_BTN_CANCEL,\n                        text      : Strings.CANCEL\n                    },\n                    {\n                        className : Dialogs.DIALOG_BTN_CLASS_PRIMARY,\n                        id        : Dialogs.DIALOG_BTN_OK,\n                        text      : Strings.BUTTON_REPLACE_WITHOUT_UNDO\n                    }\n                ]\n            )\n                .done(function (id) {\n                    if (id === Dialogs.DIALOG_BTN_OK) {\n                        _resultsView.close();\n                        processReplace(false);\n                    }\n                });\n        }\n    }\n\n    // Command handlers\n\n    /**\n     * @private\n     * Bring up the Find in Files UI with the replace options.\n     */\n    function _showReplaceBar() {\n        FindUtils.notifySearchScopeChanged();\n        _showFindBar(null, true);\n    }\n\n    /**\n     * @private\n     * Search within the file/subtree defined by the sidebar selection\n     */\n    function _showFindBarForSubtree() {\n        FindUtils.notifySearchScopeChanged();\n        var selectedEntry = ProjectManager.getSelectedItem();\n        _showFindBar(selectedEntry);\n    }\n\n    /**\n     * @private\n     * Search within the file/subtree defined by the sidebar selection\n     */\n    function _showReplaceBarForSubtree() {\n        FindUtils.notifySearchScopeChanged();\n        var selectedEntry = ProjectManager.getSelectedItem();\n        _showFindBar(selectedEntry, true);\n    }\n\n    /**\n     * @private\n     * Close the open search bar, if any. For unit tests.\n     */\n    function _closeFindBar() {\n        if (_findBar) {\n            _findBar.close();\n        }\n    }\n\n    /**\n     * When the search indexing is started, we need to show the indexing status on the find bar if present.\n     */\n    function _searchIndexingStarted() {\n        if (_findBar && _findBar._options.multifile && FindUtils.isIndexingInProgress()) {\n            _findBar.showIndexingSpinner();\n        }\n    }\n\n    /**\n     * Once the indexing has finished, clear the indexing spinner\n     */\n    function _searchIndexingFinished() {\n        if (_findBar) {\n            _findBar.hideIndexingSpinner();\n        }\n    }\n\n    /**\n     * Issues a search if find bar is visible and is multi file search and not instant search\n     */\n    function _defferedSearch() {\n        if (_findBar && _findBar._options.multifile && !_findBar._options.replace) {\n            _findBar.redoInstantSearch();\n        }\n    }\n\n    /**\n     * Schedules a search on search scope/filter changes. Have to schedule as when we listen to this event, the file filters\n     * might not have been updated yet.\n     */\n    function _searchIfRequired() {\n        if (!FindUtils.isInstantSearchDisabled() && _findBar && _findBar._options.multifile && !_findBar._options.replace) {\n            setTimeout(_defferedSearch, 100);\n        }\n    }\n\n    // Initialize items dependent on HTML DOM\n    AppInit.htmlReady(function () {\n        var model = FindInFiles.searchModel;\n        _resultsView = new SearchResultsView(model, "find-in-files-results", "find-in-files.results");\n        _resultsView\n            .on("replaceBatch", function () {\n                _finishReplaceBatch(model);\n            })\n            .on("close", function () {\n                FindInFiles.clearSearch();\n            })\n            .on("getNextPage", function () {\n                FindInFiles.getNextPageofSearchResults().done(function () {\n                    if (FindInFiles.searchModel.hasResults()) {\n                        _resultsView.showNextPage();\n                    }\n                });\n            })\n            .on("getLastPage", function () {\n                FindInFiles.getAllSearchResults().done(function () {\n                    if (FindInFiles.searchModel.hasResults()) {\n                        _resultsView.showLastPage();\n                    }\n                });\n            });\n    });\n\n    // Initialize: register listeners\n    ProjectManager.on("beforeProjectClose", function () { _resultsView.close(); });\n\n    // Initialize: command handlers\n    CommandManager.register(Strings.CMD_FIND_IN_FILES,       Commands.CMD_FIND_IN_FILES,       _showFindBar);\n    CommandManager.register(Strings.CMD_FIND_IN_SUBTREE,     Commands.CMD_FIND_IN_SUBTREE,     _showFindBarForSubtree);\n\n    CommandManager.register(Strings.CMD_REPLACE_IN_FILES,    Commands.CMD_REPLACE_IN_FILES,    _showReplaceBar);\n    CommandManager.register(Strings.CMD_REPLACE_IN_SUBTREE,  Commands.CMD_REPLACE_IN_SUBTREE,  _showReplaceBarForSubtree);\n\n    FindUtils.on(FindUtils.SEARCH_INDEXING_STARTED, _searchIndexingStarted);\n    FindUtils.on(FindUtils.SEARCH_INDEXING_FINISHED, _searchIndexingFinished);\n    FindUtils.on(FindUtils.SEARCH_FILE_FILTERS_CHANGED, _searchIfRequired);\n    FindUtils.on(FindUtils.SEARCH_SCOPE_CHANGED, _searchIfRequired);\n\n    // Public exports\n    exports.searchAndShowResults = searchAndShowResults;\n    exports.searchAndReplaceResults = searchAndReplaceResults;\n\n    // For unit testing\n    exports._showFindBar  = _showFindBar;\n    exports._closeFindBar = _closeFindBar;\n});\n\n//# sourceURL=/search/FindInFilesUI.js'),
eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Manages tickmarks shown along the scrollbar track.\n * NOT yet intended for use by anyone other than the FindReplace module.\n * It is assumed that markers are always clear()ed when switching editors.\n */\ndefine(\'search/ScrollTrackMarkers\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'view/WorkspaceManager\'],function (require, exports, module) {\n    "use strict";\n\n    var _ = require("thirdparty/lodash");\n\n    var WorkspaceManager = require("view/WorkspaceManager");\n\n\n    /**\n     * Editor the markers are currently shown for, or null if not shown\n     * @type {?Editor}\n     */\n    var editor;\n\n    /**\n     * Top of scrollbar track area, relative to top of scrollbar\n     * @type {number}\n     */\n    var trackOffset;\n\n    /**\n     * Height of scrollbar track area\n     * @type {number}\n     */\n    var trackHt;\n\n    /**\n     * Text positions of markers\n     * @type {!Array.<{line: number, ch: number}>}\n     */\n    var marks = [];\n\n    /**\n     * Tickmark markCurrent() last called on, or null if never called / called with -1.\n     * @type {?jQueryObject}\n     */\n    var $markedTickmark;\n    \n    /**\n     * Vertical space above and below the scrollbar\n     * @type {number}\n     */\n    var scrollbarTrackOffset;\n\n    switch (brackets.platform) {\n    case "win": // Custom scrollbar CSS has no gap around the track\n        scrollbarTrackOffset = 0;\n        break;\n    case "mac": // Native scrollbar has padding around the track\n        scrollbarTrackOffset = 4;\n        break;\n    case "linux": // Custom scrollbar CSS has assymmetrical gap; this approximates it\n        scrollbarTrackOffset = 2;\n        break;\n    }\n\n    /**\n     * Vertical space above and below the scrollbar.\n     * @return {number} amount Value in pixels\n     */\n    function getScrollbarTrackOffset() {\n        return scrollbarTrackOffset;\n    }\n\n    /**\n     * Sets how much vertical space there\'s above and below the scrollbar, which depends\n     * on the OS and may also be affected by extensions\n     * @param {number} offset Value in pixels\n     */\n    function setScrollbarTrackOffset(offset) {\n        scrollbarTrackOffset = offset;\n    }\n    \n    \n    function _getScrollbar(editor) {\n        // Be sure to select only the direct descendant, not also elements within nested inline editors\n        return $(editor.getRootElement()).children(".CodeMirror-vscrollbar");\n    }\n\n    /** Measure scrollbar track */\n    function _calcScaling() {\n        var $sb = _getScrollbar(editor);\n\n        trackHt = $sb[0].offsetHeight;\n\n        if (trackHt > 0) {\n            trackOffset = getScrollbarTrackOffset();\n            trackHt -= trackOffset * 2;\n        } else {\n            // No scrollbar: use the height of the entire code content\n            var codeContainer = $(editor.getRootElement()).find("> .CodeMirror-scroll > .CodeMirror-sizer > div > .CodeMirror-lines > div")[0];\n            trackHt = codeContainer.offsetHeight;\n            trackOffset = codeContainer.offsetTop;\n        }\n    }\n\n    /** Add all the given tickmarks to the DOM in a batch */\n    function _renderMarks(posArray) {\n        var html = "",\n            cm = editor._codeMirror,\n            editorHt = cm.getScrollerElement().scrollHeight;\n\n        // We\'ve pretty much taken these vars and the getY function from CodeMirror\'s annotatescrollbar addon\n        // https://github.com/codemirror/CodeMirror/blob/master/addon/scroll/annotatescrollbar.js\n        var wrapping = cm.getOption("lineWrapping"),\n            singleLineH = wrapping && cm.defaultTextHeight() * 1.5,\n            curLine = null,\n            curLineObj = null;\n\n        function getY(cm, pos) {\n            if (curLine !== pos.line) {\n                curLine = pos.line;\n                curLineObj = cm.getLineHandle(curLine);\n            }\n            if (wrapping && curLineObj.height > singleLineH) {\n                return cm.charCoords(pos, "local").top;\n            }\n            return cm.heightAtLine(curLineObj, "local");\n        }\n\n        posArray.forEach(function (pos) {\n            var cursorTop = getY(cm, pos),\n                top = Math.round(cursorTop / editorHt * trackHt) + trackOffset;\n            top--;  // subtract ~1/2 the ht of a tickmark to center it on ideal pos\n\n            html += "<div class=\'tickmark\' style=\'top:" + top + "px\'></div>";\n        });\n        $(".tickmark-track", editor.getRootElement()).append($(html));\n    }\n\n\n    /**\n     * Clear any markers in the editor\'s tickmark track, but leave it visible. Safe to call when\n     * tickmark track is not visible also.\n     */\n    function clear() {\n        if (editor) {\n            $(".tickmark-track", editor.getRootElement()).empty();\n            marks = [];\n            $markedTickmark = null;\n        }\n    }\n\n    /** Add or remove the tickmark track from the editor\'s UI */\n    function setVisible(curEditor, visible) {\n        // short-circuit no-ops\n        if ((visible && curEditor === editor) || (!visible && !editor)) {\n            return;\n        }\n\n        if (visible) {\n            console.assert(!editor);\n            editor = curEditor;\n\n            // Don\'t support inline editors yet - search inside them is pretty screwy anyway (#2110)\n            if (editor.isTextSubset()) {\n                return;\n            }\n\n            var $sb = _getScrollbar(editor),\n                $overlay = $("<div class=\'tickmark-track\'></div>");\n            $sb.parent().append($overlay);\n\n            _calcScaling();\n\n            // Update tickmarks during editor resize (whenever resizing has paused/stopped for > 1/3 sec)\n            WorkspaceManager.on("workspaceUpdateLayout.ScrollTrackMarkers", _.debounce(function () {\n                if (marks.length) {\n                    _calcScaling();\n                    $(".tickmark-track", editor.getRootElement()).empty();\n                    _renderMarks(marks);\n                }\n            }, 300));\n\n        } else {\n            console.assert(editor === curEditor);\n            $(".tickmark-track", curEditor.getRootElement()).remove();\n            editor = null;\n            marks = [];\n            WorkspaceManager.off("workspaceUpdateLayout.ScrollTrackMarkers");\n        }\n    }\n\n    /**\n     * Add tickmarks to the editor\'s tickmark track, if it\'s visible\n     * @param curEditor {!Editor}\n     * @param posArray {!Array.<{line:Number, ch:Number}>}\n     */\n    function addTickmarks(curEditor, posArray) {\n        console.assert(editor === curEditor);\n\n        marks = marks.concat(posArray);\n        _renderMarks(posArray);\n    }\n\n    /** @param {number} index Either -1, or an index into the array passed to addTickmarks() */\n    function markCurrent(index) {\n        // Remove previous highlight first\n        if ($markedTickmark) {\n            $markedTickmark.removeClass("tickmark-current");\n            $markedTickmark = null;\n        }\n        if (index !== -1) {\n            $markedTickmark = $(".tickmark-track > .tickmark", editor.getRootElement()).eq(index).addClass("tickmark-current");\n        }\n    }\n\n    // Private helper for unit tests\n    function _getTickmarks() {\n        return marks;\n    }\n\n\n    // For unit tests\n    exports._getTickmarks   = _getTickmarks;\n\n    exports.clear           = clear;\n    exports.setVisible      = setVisible;\n    exports.addTickmarks    = addTickmarks;\n    exports.markCurrent     = markCurrent;\n    \n    exports.getScrollbarTrackOffset = getScrollbarTrackOffset;\n    exports.setScrollbarTrackOffset = setScrollbarTrackOffset;\n});\n\n//# sourceURL=/search/ScrollTrackMarkers.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*unittests: FindReplace*/\n\n/**\n * Adds Find and Replace commands\n *\n * Originally based on the code in CodeMirror/lib/util/search.js.\n */\ndefine(\'search/FindReplace\',[\'require\',\'exports\',\'module\',\'command/CommandManager\',\'command/Commands\',\'view/MainViewManager\',\'strings\',\'utils/StringUtils\',\'editor/Editor\',\'editor/EditorManager\',\'search/FindBar\',\'search/FindUtils\',\'search/FindInFilesUI\',\'search/ScrollTrackMarkers\',\'thirdparty/lodash\',\'thirdparty/CodeMirror/lib/codemirror\'],function (require, exports, module) {\n    "use strict";\n\n    var CommandManager      = require("command/CommandManager"),\n        Commands            = require("command/Commands"),\n        MainViewManager     = require("view/MainViewManager"),\n        Strings             = require("strings"),\n        StringUtils         = require("utils/StringUtils"),\n        Editor              = require("editor/Editor"),\n        EditorManager       = require("editor/EditorManager"),\n        FindBar             = require("search/FindBar").FindBar,\n        FindUtils           = require("search/FindUtils"),\n        FindInFilesUI       = require("search/FindInFilesUI"),\n        ScrollTrackMarkers  = require("search/ScrollTrackMarkers"),\n        _                   = require("thirdparty/lodash"),\n        CodeMirror          = require("thirdparty/CodeMirror/lib/codemirror");\n\n    /**\n     * Maximum file size to search within (in chars)\n     * @const {number}\n     */\n    var FIND_MAX_FILE_SIZE  = 500000;\n\n    /**\n     * If the number of matches exceeds this limit, inline text highlighting and scroll-track tickmarks are disabled\n     * @const {number}\n     */\n    var FIND_HIGHLIGHT_MAX  = 2000;\n\n    /**\n     * Currently open Find or Find/Replace bar, if any\n     * @type {?FindBar}\n     */\n    var findBar;\n\n    function SearchState() {\n        this.searchStartPos = null;\n        this.parsedQuery = null;\n        this.queryInfo = null;\n        this.foundAny = false;\n        this.marked = [];\n        this.resultSet = [];\n        this.matchIndex = -1;\n        this.markedCurrent = null;\n    }\n\n    function getSearchState(cm) {\n        if (!cm._searchState) {\n            cm._searchState = new SearchState();\n        }\n        return cm._searchState;\n    }\n\n    function getSearchCursor(cm, state, pos) {\n        // Heuristic: if the query string is all lowercase, do a case insensitive search.\n        return cm.getSearchCursor(state.parsedQuery, pos, !state.queryInfo.isCaseSensitive);\n    }\n\n    function parseQuery(queryInfo) {\n        if (findBar) {\n            findBar.showError(null);\n        }\n\n        var parsed = FindUtils.parseQueryInfo(queryInfo);\n        if (parsed.empty === true) {\n            return "";\n        }\n\n        if (!parsed.valid) {\n            if (findBar) {\n                findBar.showError(parsed.error);\n            }\n            return "";\n        }\n\n        return parsed.queryExpr;\n    }\n\n    /**\n     * @private\n     * Determine the query from the given info and store it in the state.\n     * @param {SearchState} state The state to store the parsed query in\n     * @param {{query: string, caseSensitive: boolean, isRegexp: boolean}} queryInfo\n     *      The query info object as returned by FindBar.getQueryInfo()\n     */\n    function setQueryInfo(state, queryInfo) {\n        state.queryInfo = queryInfo;\n        if (!queryInfo) {\n            state.parsedQuery = null;\n        } else {\n            state.parsedQuery = parseQuery(queryInfo);\n        }\n    }\n\n    /**\n     * @private\n     * Show the current match index by finding matchRange in the resultSet stored\n     * in the search state if this is the first call for a new search query. For\n     * subsequent calls, just compare matchRange with the next match in the resultSet\n     * based on the search direction and show the next match if they are the same.\n     * If not, then find the match index by searching matchRange in the entire resultSet.\n     *\n     * @param {!SearchState} state The search state that has the array of search result\n     * @param {!{from: {line: number, ch: number}, to: {line: number, ch: number}}} matchRange - the range of current match\n     * @param {!boolean} searchBackwards true if searching backwards\n     */\n    function _updateFindBarWithMatchInfo(state, matchRange, searchBackwards) {\n        // Bail if there is no result set.\n        if (!state.foundAny) {\n            return;\n        }\n\n        if (findBar) {\n            if (state.matchIndex === -1) {\n                state.matchIndex = _.findIndex(state.resultSet, matchRange);\n            } else {\n                state.matchIndex = searchBackwards ? state.matchIndex - 1 : state.matchIndex + 1;\n                // Adjust matchIndex for modulo wraparound\n                state.matchIndex = (state.matchIndex + state.resultSet.length) % state.resultSet.length;\n\n                // Confirm that we find the right matchIndex. If not, then search\n                // matchRange in the entire resultSet.\n                if (!_.isEqual(state.resultSet[state.matchIndex], matchRange)) {\n                    state.matchIndex = _.findIndex(state.resultSet, matchRange);\n                }\n            }\n\n            console.assert(state.matchIndex !== -1);\n            if (state.matchIndex !== -1) {\n                // Convert to 1-based by adding one before showing the index.\n                findBar.showFindCount(StringUtils.format(Strings.FIND_MATCH_INDEX,\n                                                        state.matchIndex + 1, state.resultSet.length));\n            }\n        }\n    }\n\n    /**\n     * @private\n     * Returns the next match for the current query (from the search state) before/after the given position. Wraps around\n     * the end of the document if no match is found before the end.\n     *\n     * @param {!Editor} editor The editor to search in\n     * @param {boolean} searchBackwards true to search backwards\n     * @param {{line: number, ch: number}=} pos The position to start from. Defaults to the current primary selection\'s\n     *      head cursor position.\n     * @param {boolean=} wrap Whether to wrap the search around if we hit the end of the document. Default true.\n     * @return {?{start: {line: number, ch: number}, end: {line: number, ch: number}}} The range for the next match, or\n     *      null if there is no match.\n     */\n    function _getNextMatch(editor, searchBackwards, pos, wrap) {\n        var cm = editor._codeMirror;\n        var state = getSearchState(cm);\n        var cursor = getSearchCursor(cm, state, pos || editor.getCursorPos(false, searchBackwards ? "start" : "end"));\n\n        state.lastMatch = cursor.find(searchBackwards);\n        if (!state.lastMatch && wrap !== false) {\n            // If no result found before hitting edge of file, try wrapping around\n            cursor = getSearchCursor(cm, state, searchBackwards ? {line: cm.lineCount() - 1} : {line: 0, ch: 0});\n            state.lastMatch = cursor.find(searchBackwards);\n        }\n        if (!state.lastMatch) {\n            // No result found, period: clear selection & bail\n            cm.setCursor(editor.getCursorPos());  // collapses selection, keeping cursor in place to avoid scrolling\n            return null;\n        }\n\n        return {start: cursor.from(), end: cursor.to()};\n    }\n\n    /**\n     * @private\n     * Sets the given selections in the editor and applies some heuristics to determine whether and how we should\n     * center the primary selection.\n     *\n     * @param {!Editor} editor The editor to search in\n     * @param {!Array<{start:{line:number, ch:number}, end:{line:number, ch:number}, primary:boolean, reversed: boolean}>} selections\n     *      The selections to set. Must not be empty.\n     * @param {boolean} center Whether to try to center the primary selection vertically on the screen. If false, the selection will still be scrolled\n     *      into view if it\'s offscreen, but will not be centered.\n     * @param {boolean=} preferNoScroll If center is true, whether to avoid scrolling if the hit is in the top half of the screen. Default false.\n     */\n    function _selectAndScrollTo(editor, selections, center, preferNoScroll) {\n        var primarySelection = _.find(selections, function (sel) { return sel.primary; }) || _.last(selections),\n            resultVisible = editor.isLineVisible(primarySelection.start.line),\n            centerOptions = Editor.BOUNDARY_CHECK_NORMAL;\n\n        if (preferNoScroll && resultVisible) {\n            // no need to scroll if the line with the match is in view\n            centerOptions = Editor.BOUNDARY_IGNORE_TOP;\n        }\n\n        // Make sure the primary selection is fully visible on screen.\n        var primary = _.find(selections, function (sel) {\n            return sel.primary;\n        });\n        if (!primary) {\n            primary = _.last(selections);\n        }\n        editor._codeMirror.scrollIntoView({from: primary.start, to: primary.end});\n        editor.setSelections(selections, center, centerOptions);\n    }\n\n    /**\n     * Returns the range of the word surrounding the given editor position. Similar to getWordAt() from CodeMirror.\n     *\n     * @param {!Editor} editor The editor to search in\n     * @param {!{line: number, ch: number}} pos The position to find a word at.\n     * @return {{start:{line: number, ch: number}, end:{line:number, ch:number}, text:string}} The range and content of the found word. If\n     *     there is no word, start will equal end and the text will be the empty string.\n     */\n    function _getWordAt(editor, pos) {\n        var cm = editor._codeMirror,\n            start = pos.ch,\n            end = start,\n            line = cm.getLine(pos.line);\n        while (start && CodeMirror.isWordChar(line.charAt(start - 1))) {\n            --start;\n        }\n        while (end < line.length && CodeMirror.isWordChar(line.charAt(end))) {\n            ++end;\n        }\n        return {start: {line: pos.line, ch: start}, end: {line: pos.line, ch: end}, text: line.slice(start, end)};\n    }\n\n    /**\n     * @private\n     * Helper function. Returns true if two selections are equal.\n     * @param {!{start: {line: number, ch: number}, end: {line: number, ch: number}}} sel1 The first selection to compare\n     * @param {!{start: {line: number, ch: number}, end: {line: number, ch: number}}} sel2 The second selection to compare\n     * @return {boolean} true if the selections are equal\n     */\n    function _selEq(sel1, sel2) {\n        return (CodeMirror.cmpPos(sel1.start, sel2.start) === 0 && CodeMirror.cmpPos(sel1.end, sel2.end) === 0);\n    }\n\n    /**\n     * Expands each empty range in the selection to the nearest word boundaries. Then, if the primary selection\n     * was already a range (even a non-word range), adds the next instance of the contents of that range as a selection.\n     *\n     * @param {!Editor} editor The editor to search in\n     * @param {boolean=} removePrimary Whether to remove the current primary selection in addition to adding the\n     * next one. If true, we add the next match even if the current primary selection is a cursor (we expand it\n     * first to determine what to match).\n     */\n    function _expandWordAndAddNextToSelection(editor, removePrimary) {\n        editor = editor || EditorManager.getActiveEditor();\n        if (!editor) {\n            return;\n        }\n\n        var selections = editor.getSelections(),\n            primarySel,\n            primaryIndex,\n            searchText,\n            added = false;\n\n        _.each(selections, function (sel, index) {\n            var isEmpty = (CodeMirror.cmpPos(sel.start, sel.end) === 0);\n            if (sel.primary) {\n                primarySel = sel;\n                primaryIndex = index;\n                if (!isEmpty) {\n                    searchText = editor.document.getRange(primarySel.start, primarySel.end);\n                }\n            }\n            if (isEmpty) {\n                var wordInfo = _getWordAt(editor, sel.start);\n                sel.start = wordInfo.start;\n                sel.end = wordInfo.end;\n                if (sel.primary && removePrimary) {\n                    // Get the expanded text, even though we\'re going to remove this selection,\n                    // since in this case we still want to select the next match.\n                    searchText = wordInfo.text;\n                }\n            }\n        });\n\n        if (searchText && searchText.length) {\n            // We store this as a query in the state so that if the user next does a "Find Next",\n            // it will use the same query (but throw away the existing selection).\n            var state = getSearchState(editor._codeMirror);\n            setQueryInfo(state, { query: searchText, isCaseSensitive: false, isRegexp: false });\n\n            // Skip over matches that are already in the selection.\n            var searchStart = primarySel.end,\n                nextMatch,\n                isInSelection;\n            do {\n                nextMatch = _getNextMatch(editor, false, searchStart);\n                if (nextMatch) {\n                    // This is a little silly, but if we just stick the equivalence test function in here\n                    // JSLint complains about creating a function in a loop, even though it\'s safe in this case.\n                    isInSelection = _.find(selections, _.partial(_selEq, nextMatch));\n                    searchStart = nextMatch.end;\n\n                    // If we\'ve gone all the way around, then all instances must have been selected already.\n                    if (CodeMirror.cmpPos(searchStart, primarySel.end) === 0) {\n                        nextMatch = null;\n                        break;\n                    }\n                }\n            } while (nextMatch && isInSelection);\n\n            if (nextMatch) {\n                nextMatch.primary = true;\n                selections.push(nextMatch);\n                added = true;\n            }\n        }\n\n        if (removePrimary) {\n            selections.splice(primaryIndex, 1);\n        }\n\n        if (added) {\n            // Center the new match, but avoid scrolling to matches that are already on screen.\n            _selectAndScrollTo(editor, selections, true, true);\n        } else {\n            // If all we did was expand some selections, don\'t center anything.\n            _selectAndScrollTo(editor, selections, false);\n        }\n    }\n\n    function _skipCurrentMatch(editor) {\n        return _expandWordAndAddNextToSelection(editor, true);\n    }\n\n    /**\n     * Takes the primary selection, expands it to a word range if necessary, then sets the selection to\n     * include all instances of that range. Removes all other selections. Does nothing if the selection\n     * is not a range after expansion.\n     */\n    function _findAllAndSelect(editor) {\n        editor = editor || EditorManager.getActiveEditor();\n        if (!editor) {\n            return;\n        }\n\n        var sel = editor.getSelection(),\n            newSelections = [];\n        if (CodeMirror.cmpPos(sel.start, sel.end) === 0) {\n            sel = _getWordAt(editor, sel.start);\n        }\n        if (CodeMirror.cmpPos(sel.start, sel.end) !== 0) {\n            var searchStart = {line: 0, ch: 0},\n                state = getSearchState(editor._codeMirror),\n                nextMatch;\n            setQueryInfo(state, { query: editor.document.getRange(sel.start, sel.end), isCaseSensitive: false, isRegexp: false });\n\n            while ((nextMatch = _getNextMatch(editor, false, searchStart, false)) !== null) {\n                if (_selEq(sel, nextMatch)) {\n                    nextMatch.primary = true;\n                }\n                newSelections.push(nextMatch);\n                searchStart = nextMatch.end;\n            }\n\n            // This should find at least the original selection, but just in case...\n            if (newSelections.length) {\n                // Don\'t change the scroll position.\n                editor.setSelections(newSelections, false);\n            }\n        }\n    }\n\n    /** Removes the current-match highlight, leaving all matches marked in the generic highlight style */\n    function clearCurrentMatchHighlight(cm, state) {\n        if (state.markedCurrent) {\n            state.markedCurrent.clear();\n            ScrollTrackMarkers.markCurrent(-1);\n        }\n    }\n\n    /**\n     * Selects the next match (or prev match, if searchBackwards==true) starting from either the current position\n     * (if pos unspecified) or the given position (if pos specified explicitly). The starting position\n     * need not be an existing match. If a new match is found, sets to state.lastMatch either the regex\n     * match result, or simply true for a plain-string match. If no match found, sets state.lastMatch\n     * to false.\n     * @param {!Editor} editor\n     * @param {?boolean} searchBackwards\n     * @param {?boolean} preferNoScroll\n     * @param {?Pos} pos\n     */\n    function findNext(editor, searchBackwards, preferNoScroll, pos) {\n        var cm = editor._codeMirror;\n        cm.operation(function () {\n            var state = getSearchState(cm);\n            clearCurrentMatchHighlight(cm, state);\n\n            var nextMatch = _getNextMatch(editor, searchBackwards, pos);\n            if (nextMatch) {\n                // Update match index indicators - only possible if we have resultSet saved (missing if FIND_MAX_FILE_SIZE threshold hit)\n                if (state.resultSet.length) {\n                    _updateFindBarWithMatchInfo(state,\n                                                {from: nextMatch.start, to: nextMatch.end}, searchBackwards);\n                    // Update current-tickmark indicator - only if highlighting enabled (disabled if FIND_HIGHLIGHT_MAX threshold hit)\n                    if (state.marked.length) {\n                        ScrollTrackMarkers.markCurrent(state.matchIndex);  // _updateFindBarWithMatchInfo() has updated this index\n                    }\n                }\n\n                _selectAndScrollTo(editor, [nextMatch], true, preferNoScroll);\n\n                // Only mark text with "current match" highlight if search bar still open\n                if (findBar && !findBar.isClosed()) {\n                    // If highlighting disabled, apply both match AND current-match styles for correct appearance\n                    var curentMatchClassName = state.marked.length ? "searching-current-match" : "CodeMirror-searching searching-current-match";\n                    state.markedCurrent = cm.markText(nextMatch.start, nextMatch.end,\n                         { className: curentMatchClassName, startStyle: "searching-first", endStyle: "searching-last" });\n                }\n            } else {\n                cm.setCursor(editor.getCursorPos());  // collapses selection, keeping cursor in place to avoid scrolling\n                // (nothing more to do: previous highlights already cleared above)\n            }\n        });\n    }\n\n    /** Clears all match highlights, including the current match */\n    function clearHighlights(cm, state) {\n        cm.operation(function () {\n            state.marked.forEach(function (markedRange) {\n                markedRange.clear();\n            });\n            clearCurrentMatchHighlight(cm, state);\n        });\n        state.marked.length = 0;\n        state.markedCurrent = null;\n\n        ScrollTrackMarkers.clear();\n\n        state.resultSet = [];\n        state.matchIndex = -1;\n    }\n\n    function clearSearch(cm) {\n        cm.operation(function () {\n            var state = getSearchState(cm);\n            if (!state.parsedQuery) {\n                return;\n            }\n            setQueryInfo(state, null);\n\n            clearHighlights(cm, state);\n        });\n    }\n\n    function toggleHighlighting(editor, enabled) {\n        // Temporarily change selection color to improve highlighting - see LESS code for details\n        if (enabled) {\n            $(editor.getRootElement()).addClass("find-highlighting");\n        } else {\n            $(editor.getRootElement()).removeClass("find-highlighting");\n        }\n\n        ScrollTrackMarkers.setVisible(editor, enabled);\n    }\n\n    /**\n     * Called each time the search query changes or document is modified (via Replace). Updates\n     * the match count, match highlights and scrollbar tickmarks. Does not change the cursor pos.\n     */\n    function updateResultSet(editor) {\n        var cm = editor._codeMirror,\n            state = getSearchState(cm);\n\n        function indicateHasMatches(numResults) {\n            // Make the field red if it\'s not blank and it has no matches (which also covers invalid regexes)\n            findBar.showNoResults(!state.foundAny && findBar.getQueryInfo().query);\n\n            // Navigation buttons enabled if we have a query and more than one match\n            findBar.enableNavigation(state.foundAny && numResults > 1);\n            findBar.enableReplace(state.foundAny);\n        }\n\n        cm.operation(function () {\n            // Clear old highlights\n            if (state.marked) {\n                clearHighlights(cm, state);\n            }\n\n            if (!state.parsedQuery) {\n                // Search field is empty - no results\n                findBar.showFindCount("");\n                state.foundAny = false;\n                indicateHasMatches();\n                return;\n            }\n\n            // Find *all* matches, searching from start of document\n            // (Except on huge documents, where this is too expensive)\n            var cursor = getSearchCursor(cm, state);\n            if (cm.getValue().length <= FIND_MAX_FILE_SIZE) {\n                // FUTURE: if last query was prefix of this one, could optimize by filtering last result set\n                state.resultSet = [];\n                while (cursor.findNext()) {\n                    state.resultSet.push(cursor.pos);  // pos is unique obj per search result\n                }\n\n                // Highlight all matches if there aren\'t too many\n                if (state.resultSet.length <= FIND_HIGHLIGHT_MAX) {\n                    toggleHighlighting(editor, true);\n\n                    state.resultSet.forEach(function (result) {\n                        state.marked.push(cm.markText(result.from, result.to,\n                             { className: "CodeMirror-searching", startStyle: "searching-first", endStyle: "searching-last" }));\n                    });\n                    var scrollTrackPositions = state.resultSet.map(function (result) {\n                        return result.from;\n                    });\n\n                    ScrollTrackMarkers.addTickmarks(editor, scrollTrackPositions);\n                }\n\n                // Here we only update find bar with no result. In the case of a match\n                // a findNext() call is guaranteed to be followed by this function call,\n                // and findNext() in turn calls _updateFindBarWithMatchInfo() to show the\n                // match index.\n                if (state.resultSet.length === 0) {\n                    findBar.showFindCount(Strings.FIND_NO_RESULTS);\n                }\n\n                state.foundAny = (state.resultSet.length > 0);\n                indicateHasMatches(state.resultSet.length);\n\n            } else {\n                // On huge documents, just look for first match & then stop\n                findBar.showFindCount("");\n                state.foundAny = cursor.findNext();\n                indicateHasMatches();\n            }\n        });\n    }\n\n    /**\n     * Called each time the search query field changes. Updates state.parsedQuery (parsedQuery will be falsy if the field\n     * was blank OR contained a regexp with invalid syntax). Then calls updateResultSet(), and then jumps to\n     * the first matching result, starting from the original cursor position.\n     * @param {!Editor} editor The editor we\'re searching in.\n     * @param {Object} state The current query state.\n     * @param {boolean} initial Whether this is the initial population of the query when the search bar opens.\n     *     In that case, we don\'t want to change the selection unnecessarily.\n     */\n    function handleQueryChange(editor, state, initial) {\n        setQueryInfo(state, findBar.getQueryInfo());\n        updateResultSet(editor);\n\n        if (state.parsedQuery) {\n            // 3rd arg: prefer to avoid scrolling if result is anywhere within view, since in this case user\n            // is in the middle of typing, not navigating explicitly; viewport jumping would be distracting.\n            findNext(editor, false, true, state.searchStartPos);\n        } else if (!initial) {\n            // Blank or invalid query: just jump back to initial pos\n            editor._codeMirror.setCursor(state.searchStartPos);\n        }\n    }\n\n\n    /**\n     * Creates a Find bar for the current search session.\n     * @param {!Editor} editor\n     * @param {boolean} replace Whether to show the Replace UI; default false\n     */\n    function openSearchBar(editor, replace) {\n        var cm = editor._codeMirror,\n            state = getSearchState(cm);\n\n        // Use the selection start as the searchStartPos. This way if you\n        // start with a pre-populated search and enter an additional character,\n        // it will extend the initial selection instead of jumping to the next\n        // occurrence.\n        state.searchStartPos = editor.getCursorPos(false, "start");\n\n        // Prepopulate the search field\n        var initialQuery = FindBar.getInitialQuery(findBar, editor);\n\n        // Close our previous find bar, if any. (The open() of the new findBar will\n        // take care of closing any other find bar instances.)\n        if (findBar) {\n            findBar.close();\n        }\n\n        // Create the search bar UI (closing any previous find bar in the process)\n        findBar = new FindBar({\n            multifile: false,\n            replace: replace,\n            initialQuery: initialQuery.query,\n            initialReplaceText: initialQuery.replaceText,\n            queryPlaceholder: Strings.FIND_QUERY_PLACEHOLDER\n        });\n        findBar.open();\n\n        findBar\n            .on("queryChange.FindReplace", function (e) {\n                handleQueryChange(editor, state);\n            })\n            .on("doFind.FindReplace", function (e, searchBackwards) {\n                findNext(editor, searchBackwards);\n            })\n            .on("close.FindReplace", function (e) {\n                // Clear highlights but leave search state in place so Find Next/Previous work after closing\n                clearHighlights(cm, state);\n\n                // Dispose highlighting UI (important to restore normal selection color as soon as focus goes back to the editor)\n                toggleHighlighting(editor, false);\n\n                findBar.off(".FindReplace");\n                findBar = null;\n            });\n\n        handleQueryChange(editor, state, true);\n    }\n\n    /**\n     * If no search pending, opens the Find dialog. If search bar already open, moves to\n     * next/prev result (depending on \'searchBackwards\')\n     */\n    function doSearch(editor, searchBackwards) {\n        var state = getSearchState(editor._codeMirror);\n        if (state.parsedQuery) {\n            findNext(editor, searchBackwards);\n            return;\n        }\n\n        openSearchBar(editor, false);\n    }\n\n\n    /**\n     * @private\n     * When the user switches documents (or closes the last document), ensure that the find bar\n     * closes, and also close the Replace All panel.\n     */\n    function _handleFileChanged() {\n        if (findBar) {\n            findBar.close();\n        }\n    }\n\n    function doReplace(editor, all) {\n        var cm = editor._codeMirror,\n            state = getSearchState(cm),\n            replaceText = findBar.getReplaceText();\n\n        if (all === null) {\n            findBar.close();\n            FindInFilesUI.searchAndReplaceResults(state.queryInfo, editor.document.file, null, replaceText);\n        } else if (all) {\n            findBar.close();\n            // Delegate to Replace in Files.\n            FindInFilesUI.searchAndShowResults(state.queryInfo, editor.document.file, null, replaceText);\n        } else {\n            cm.replaceSelection(state.queryInfo.isRegexp ? FindUtils.parseDollars(replaceText, state.lastMatch) : replaceText);\n\n            updateResultSet(editor);  // we updated the text, so result count & tickmarks must be refreshed\n\n            findNext(editor);\n            if (!state.lastMatch) {\n                // No more matches, so destroy find bar\n                findBar.close();\n            }\n        }\n    }\n\n    function replace(editor) {\n        // If Replace bar already open, treat the shortcut as a hotkey for the Replace button\n        if (findBar && findBar.getOptions().replace && findBar.isReplaceEnabled()) {\n            doReplace(editor, false);\n            return;\n        }\n\n        openSearchBar(editor, true);\n\n        findBar\n            .on("doReplace.FindReplace", function (e) {\n                doReplace(editor, false);\n            })\n            .on("doReplaceBatch.FindReplace", function (e) {\n                doReplace(editor, true);\n            })\n            .on("doReplaceAll.FindReplace", function (e) {\n                doReplace(editor, null);\n            });\n    }\n\n    function _launchFind() {\n        var editor = EditorManager.getActiveEditor();\n        if (editor) {\n            // Create a new instance of the search bar UI\n            clearSearch(editor._codeMirror);\n            doSearch(editor, false);\n        }\n    }\n\n    function _findNext() {\n        var editor = EditorManager.getActiveEditor();\n        if (editor) {\n            doSearch(editor);\n        }\n    }\n\n    function _findPrevious() {\n        var editor = EditorManager.getActiveEditor();\n        if (editor) {\n            doSearch(editor, true);\n        }\n    }\n\n    function _replace() {\n        var editor = EditorManager.getActiveEditor();\n        if (editor) {\n            replace(editor);\n        }\n    }\n\n    MainViewManager.on("currentFileChange", _handleFileChanged);\n\n    CommandManager.register(Strings.CMD_FIND,                   Commands.CMD_FIND,                  _launchFind);\n    CommandManager.register(Strings.CMD_FIND_NEXT,              Commands.CMD_FIND_NEXT,             _findNext);\n    CommandManager.register(Strings.CMD_REPLACE,                Commands.CMD_REPLACE,               _replace);\n    CommandManager.register(Strings.CMD_FIND_PREVIOUS,          Commands.CMD_FIND_PREVIOUS,         _findPrevious);\n    CommandManager.register(Strings.CMD_FIND_ALL_AND_SELECT,    Commands.CMD_FIND_ALL_AND_SELECT,   _findAllAndSelect);\n    CommandManager.register(Strings.CMD_ADD_NEXT_MATCH,         Commands.CMD_ADD_NEXT_MATCH,        _expandWordAndAddNextToSelection);\n    CommandManager.register(Strings.CMD_SKIP_CURRENT_MATCH,     Commands.CMD_SKIP_CURRENT_MATCH,    _skipCurrentMatch);\n\n    // For unit testing\n    exports._getWordAt                       = _getWordAt;\n    exports._expandWordAndAddNextToSelection = _expandWordAndAddNextToSelection;\n    exports._findAllAndSelect                = _findAllAndSelect;\n});\n\n//# sourceURL=/search/FindReplace.js'),
eval('/*\n * Copyright (c) 2014 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * @deprecated This module provided for backwards compatibility.  Use WorkspaceManager instead.\n */\ndefine(\'view/PanelManager\',[\'require\',\'exports\',\'module\',\'view/WorkspaceManager\',\'utils/EventDispatcher\',\'utils/DeprecationWarning\'],function (require, exports, module) {\n    "use strict";\n\n    var WorkspaceManager        = require("view/WorkspaceManager"),\n        EventDispatcher         = require("utils/EventDispatcher"),\n        DeprecationWarning      = require("utils/DeprecationWarning");\n\n    /**\n     * Creates a deprecation warning event handler\n     * @param {!string} the event being deprecated\n     * @param {!string} the new event to use\n     */\n    function _deprecateEvent(oldEventName, newEventName) {\n        DeprecationWarning.deprecateEvent(exports,\n                                          WorkspaceManager,\n                                          oldEventName,\n                                          newEventName,\n                                          "PanelManager." + oldEventName,\n                                          "MainViewManager." + newEventName);\n    }\n\n    // Define public API\n    exports.createBottomPanel   = function (id, $panel, minSize) {\n        DeprecationWarning.deprecationWarning("Use WorkspaceManager.createBottomPanel() instead of PanelManager.createBottomPanel().", true);\n        return WorkspaceManager.createBottomPanel(id, $panel, minSize);\n    };\n\n    // Deprecated PanelManager events\n    EventDispatcher.makeEventDispatcher(exports);\n    _deprecateEvent("editorAreaResize", "workspaceUpdateLayout");\n});\n\n//# sourceURL=/view/PanelManager.js'),eval("define('text!htmlContent/code-hint-list.html',[],function () { return '{{#hints}}\\n    <li>\\n        <a href=\"#\">\\n            <span class=\"codehint-item\">{{{formattedHint}}}</span>\\n        </a>\\n    </li>\\n{{/hints}}';});\n\n//# sourceURL=/text!htmlContent/code-hint-list.html"),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\ndefine(\'editor/CodeHintList\',[\'require\',\'exports\',\'module\',\'command/KeyBindingManager\',\'command/Menus\',\'utils/KeyEvent\',\'utils/StringUtils\',\'utils/ValidationUtils\',\'utils/ViewUtils\',\'widgets/PopUpManager\',\'thirdparty/mustache/mustache\',\'text!htmlContent/code-hint-list.html\'],function (require, exports, module) {\n    "use strict";\n\n    // Load dependent modules\n    var KeyBindingManager = require("command/KeyBindingManager"),\n        Menus             = require("command/Menus"),\n        KeyEvent          = require("utils/KeyEvent"),\n        StringUtils       = require("utils/StringUtils"),\n        ValidationUtils   = require("utils/ValidationUtils"),\n        ViewUtils         = require("utils/ViewUtils"),\n        PopUpManager      = require("widgets/PopUpManager"),\n        Mustache          = require("thirdparty/mustache/mustache");\n\n    var CodeHintListHTML  = require("text!htmlContent/code-hint-list.html");\n\n    /**\n     * Displays a popup list of hints for a given editor context.\n     *\n     * @constructor\n     * @param {Editor} editor\n     * @param {boolean} insertHintOnTab Whether pressing tab inserts the selected hint\n     * @param {number} maxResults Maximum hints displayed at once. Defaults to 50\n     */\n    function CodeHintList(editor, insertHintOnTab, maxResults) {\n\n        /**\n         * The list of hints to display\n         *\n         * @type {Array.<string|jQueryObject>}\n         */\n        this.hints = [];\n\n        /**\n         * The selected position in the list; otherwise -1.\n         *\n         * @type {number}\n         */\n        this.selectedIndex = -1;\n\n        /**\n         * The maximum number of hints to display. Can be overriden via maxCodeHints pref\n         *\n         * @type {number}\n         */\n        this.maxResults = ValidationUtils.isIntegerInRange(maxResults, 1, 1000) ? maxResults : 50;\n\n        /**\n         * Is the list currently open?\n         *\n         * @type {boolean}\n         */\n        this.opened = false;\n\n        /**\n         * The editor context\n         *\n         * @type {Editor}\n         */\n        this.editor = editor;\n\n        /**\n         * Whether the currently selected hint should be inserted on a tab key event\n         *\n         * @type {boolean}\n         */\n        this.insertHintOnTab = insertHintOnTab;\n\n        /**\n         * Pending text insertion\n         *\n         * @type {string}\n         */\n        this.pendingText = "";\n\n        /**\n         * The hint selection callback function\n         *\n         * @type {Function}\n         */\n        this.handleSelect = null;\n\n        /**\n         * The hint list closure callback function\n         *\n         * @type {Function}\n         */\n        this.handleClose = null;\n\n        /**\n         * The hint list menu object\n         *\n         * @type {jQuery.Object}\n         */\n        this.$hintMenu =\n            $("<li class=\'dropdown codehint-menu\'></li>")\n                .append($("<a href=\'#\' class=\'dropdown-toggle\' data-toggle=\'dropdown\'></a>")\n                        .hide())\n                .append("<ul class=\'dropdown-menu\'></ul>");\n\n        this._keydownHook = this._keydownHook.bind(this);\n    }\n\n    /**\n     * Select the item in the hint list at the specified index, or remove the\n     * selection if index < 0.\n     *\n     * @private\n     * @param {number} index\n     */\n    CodeHintList.prototype._setSelectedIndex = function (index) {\n        var items = this.$hintMenu.find("li");\n\n        // Range check\n        index = Math.max(-1, Math.min(index, items.length - 1));\n\n        // Clear old highlight\n        if (this.selectedIndex !== -1) {\n            $(items[this.selectedIndex]).find("a").removeClass("highlight");\n        }\n\n        this.selectedIndex = index;\n\n        // Highlight the new selected item, if necessary\n        if (this.selectedIndex !== -1) {\n            var $item = $(items[this.selectedIndex]);\n            var $view = this.$hintMenu.find("ul.dropdown-menu");\n\n            $item.find("a").addClass("highlight");\n            ViewUtils.scrollElementIntoView($view, $item, false);\n        }\n    };\n\n    /**\n     * Appends text to end of pending text.\n     *\n     * @param {string} text\n     */\n    CodeHintList.prototype.addPendingText = function (text) {\n        this.pendingText += text;\n    };\n\n    /**\n     * Removes text from beginning of pending text.\n     *\n     * @param {string} text\n     */\n    CodeHintList.prototype.removePendingText = function (text) {\n        if (this.pendingText.indexOf(text) === 0) {\n            this.pendingText = this.pendingText.slice(text.length);\n        }\n    };\n\n    /**\n     * Rebuilds the list items for the hint list.\n     *\n     * @private\n     */\n    CodeHintList.prototype._buildListView = function (hintObj) {\n        var self            = this,\n            match           = hintObj.match,\n            selectInitial   = hintObj.selectInitial,\n            view            = { hints: [] },\n            _addHint;\n\n        this.hints = hintObj.hints;\n        this.hints.handleWideResults = hintObj.handleWideResults;\n\n        // if there is no match, assume name is already a formatted jQuery\n        // object; otherwise, use match to format name for display.\n        if (match) {\n            _addHint = function (name) {\n                var displayName = name.replace(\n                    new RegExp(StringUtils.regexEscape(match), "i"),\n                    "<strong>$&</strong>"\n                );\n\n                view.hints.push({ formattedHint: "<span>" + displayName + "</span>" });\n            };\n        } else {\n            _addHint = function (hint) {\n                view.hints.push({ formattedHint: (hint.jquery) ? "" : hint });\n            };\n        }\n\n        // clear the list\n        this.$hintMenu.find("li").remove();\n\n        // if there are no hints then close the list; otherwise add them and\n        // set the selection\n        if (this.hints.length === 0) {\n            if (this.handleClose) {\n                this.handleClose();\n            }\n        } else {\n            this.hints.some(function (item, index) {\n                if (index >= self.maxResults) {\n                    return true;\n                }\n\n                _addHint(item);\n            });\n\n            // render code hint list\n            var $ul = this.$hintMenu.find("ul.dropdown-menu"),\n                $parent = $ul.parent();\n\n            // remove list temporarily to save rendering time\n            $ul.remove().append(Mustache.render(CodeHintListHTML, view));\n\n            $ul.children("li").each(function (index, element) {\n                var hint        = self.hints[index],\n                    $element    = $(element);\n\n                // store hint on each list item\n                $element.data("hint", hint);\n\n                // insert jQuery hint objects after the template is rendered\n                if (hint.jquery) {\n                    $element.find(".codehint-item").append(hint);\n                }\n            });\n\n            // delegate list item events to the top-level ul list element\n            $ul.on("click", "li", function (e) {\n                // Don\'t let the click propagate upward (otherwise it will\n                // hit the close handler in bootstrap-dropdown).\n                e.stopPropagation();\n                if (self.handleSelect) {\n                    self.handleSelect($(this).data("hint"));\n                }\n            });\n\n            // Lists with wide results require different formatting\n            if (this.hints.handleWideResults) {\n                $ul.find("li a").addClass("wide-result");\n            }\n\n            // attach to DOM\n            $parent.append($ul);\n\n            this._setSelectedIndex(selectInitial ? 0 : -1);\n        }\n    };\n\n    /**\n     * Computes top left location for hint list so that the list is not clipped by the window.\n     * Also computes the largest available width.\n     *\n     * @private\n     * @return {{left: number, top: number, width: number}}\n     */\n    CodeHintList.prototype._calcHintListLocation = function () {\n        var cursor      = this.editor._codeMirror.cursorCoords(),\n            posTop      = cursor.bottom,\n            posLeft     = cursor.left,\n            textHeight  = this.editor.getTextHeight(),\n            $window     = $(window),\n            $menuWindow = this.$hintMenu.children("ul"),\n            menuHeight  = $menuWindow.outerHeight();\n\n        // TODO Ty: factor out menu repositioning logic so code hints and Context menus share code\n        // adjust positioning so menu is not clipped off bottom or right\n        var bottomOverhang = posTop + menuHeight - $window.height();\n        if (bottomOverhang > 0) {\n            posTop -= (textHeight + 2 + menuHeight);\n        }\n\n        posTop -= 30;   // shift top for hidden parent element\n\n        var menuWidth = $menuWindow.width();\n        var availableWidth = menuWidth;\n        var rightOverhang = posLeft + menuWidth - $window.width();\n        if (rightOverhang > 0) {\n            posLeft = Math.max(0, posLeft - rightOverhang);\n        } else if (this.hints.handleWideResults) {\n            // Right overhang is negative\n            availableWidth = menuWidth + Math.abs(rightOverhang);\n        }\n\n        return {left: posLeft, top: posTop, width: availableWidth};\n    };\n\n    /**\n     * Check whether Event is one of the keys that we handle or not.\n     *\n     * @param {KeyBoardEvent|keyBoardEvent.keyCode} keyEvent\n     */\n    CodeHintList.prototype.isHandlingKeyCode = function (keyCodeOrEvent) {\n        var keyCode = typeof keyCodeOrEvent === "object" ? keyCodeOrEvent.keyCode : keyCodeOrEvent;\n        var ctrlKey = typeof keyCodeOrEvent === "object" ? keyCodeOrEvent.ctrlKey : false;\n\n\n        return (keyCode === KeyEvent.DOM_VK_UP || keyCode === KeyEvent.DOM_VK_DOWN ||\n                keyCode === KeyEvent.DOM_VK_PAGE_UP || keyCode === KeyEvent.DOM_VK_PAGE_DOWN ||\n                keyCode === KeyEvent.DOM_VK_RETURN ||\n                keyCode === KeyEvent.DOM_VK_CONTROL ||\n                keyCode === KeyEvent.DOM_VK_ESCAPE ||\n                (ctrlKey && keyCode === KeyEvent.DOM_VK_SPACE) ||\n                (keyCode === KeyEvent.DOM_VK_TAB && this.insertHintOnTab));\n    };\n\n    /**\n     * Convert keydown events into hint list navigation actions.\n     *\n     * @param {KeyBoardEvent} keyEvent\n     */\n    CodeHintList.prototype._keydownHook = function (event) {\n        var keyCode,\n            self = this;\n\n        // positive distance rotates down; negative distance rotates up\n        function _rotateSelection(distance) {\n            var len = Math.min(self.hints.length, self.maxResults),\n                pos;\n\n            if (self.selectedIndex < 0) {\n                // set the initial selection\n                pos = (distance > 0) ? distance - 1 : len - 1;\n\n            } else {\n                // adjust current selection\n                pos = self.selectedIndex;\n\n                // Don\'t "rotate" until all items have been shown\n                if (distance > 0) {\n                    if (pos === (len - 1)) {\n                        pos = 0;  // wrap\n                    } else {\n                        pos = Math.min(pos + distance, len - 1);\n                    }\n                } else {\n                    if (pos === 0) {\n                        pos = (len - 1);  // wrap\n                    } else {\n                        pos = Math.max(pos + distance, 0);\n                    }\n                }\n            }\n\n            self._setSelectedIndex(pos);\n        }\n\n        // Calculate the number of items per scroll page.\n        function _itemsPerPage() {\n            var itemsPerPage = 1,\n                $items = self.$hintMenu.find("li"),\n                $view = self.$hintMenu.find("ul.dropdown-menu"),\n                itemHeight;\n\n            if ($items.length !== 0) {\n                itemHeight = $($items[0]).height();\n                if (itemHeight) {\n                    // round down to integer value\n                    itemsPerPage = Math.floor($view.height() / itemHeight);\n                    itemsPerPage = Math.max(1, Math.min(itemsPerPage, $items.length));\n                }\n            }\n\n            return itemsPerPage;\n        }\n\n        // If we\'re no longer visible, skip handling the key and end the session.\n        if (!this.isOpen()) {\n            this.handleClose();\n            return false;\n        }\n\n        // (page) up, (page) down, enter and tab key are handled by the list\n        if (event.type === "keydown" && this.isHandlingKeyCode(event)) {\n            keyCode = event.keyCode;\n\n            if (event.keyCode === KeyEvent.DOM_VK_ESCAPE) {\n                event.stopImmediatePropagation();\n                this.handleClose();\n\n                return false;\n            } else if (event.shiftKey &&\n                    (event.keyCode === KeyEvent.DOM_VK_UP ||\n                     event.keyCode === KeyEvent.DOM_VK_DOWN ||\n                     event.keyCode === KeyEvent.DOM_VK_PAGE_UP ||\n                     event.keyCode === KeyEvent.DOM_VK_PAGE_DOWN)) {\n                this.handleClose();\n                // Let the event bubble.\n                return false;\n            } else if (keyCode === KeyEvent.DOM_VK_UP) {\n                _rotateSelection.call(this, -1);\n            } else if (keyCode === KeyEvent.DOM_VK_DOWN ||\n                    (event.ctrlKey && keyCode === KeyEvent.DOM_VK_SPACE)) {\n                _rotateSelection.call(this, 1);\n            } else if (keyCode === KeyEvent.DOM_VK_PAGE_UP) {\n                _rotateSelection.call(this, -_itemsPerPage());\n            } else if (keyCode === KeyEvent.DOM_VK_PAGE_DOWN) {\n                _rotateSelection.call(this, _itemsPerPage());\n            } else if (this.selectedIndex !== -1 &&\n                    (keyCode === KeyEvent.DOM_VK_RETURN ||\n                    (keyCode === KeyEvent.DOM_VK_TAB && this.insertHintOnTab))) {\n\n                if (this.pendingText) {\n                    // Issues #5003: We received a "selection" key while there is "pending\n                    // text". This is rare but can happen because CM uses polling, so we\n                    // can receive key events while CM is waiting for timeout to expire.\n                    // Pending text may dismiss the list, or it may cause a valid selection\n                    // which keeps open hint list. We can compare pending text against\n                    // list to determine whether list is dismissed or not, but to handle\n                    // inserting selection in the page we\'d need to either:\n                    // 1. Synchronously force CodeMirror to poll (but there is not\n                    //    yet a public API for that).\n                    // 2. Pass pending text back to where text gets inserted, which\n                    //    means it would need to be implemented for every HintProvider!\n                    // You have to be typing so fast to hit this case, that\'s it\'s\n                    // highly unlikely that inserting something from list was the intent,\n                    // which makes this pretty rare, so case #2 is not worth implementing.\n                    // If case #1 gets implemented, then we may want to use it here.\n                    // So, assume that pending text dismisses hints and let event bubble.\n                    return false;\n                }\n\n                // Trigger a click handler to commmit the selected item\n                $(this.$hintMenu.find("li")[this.selectedIndex]).trigger("click");\n            } else {\n                // Let the event bubble.\n                return false;\n            }\n\n            event.stopImmediatePropagation();\n            event.preventDefault();\n            return true;\n        }\n\n        // If we didn\'t handle it, let other global keydown hooks handle it.\n        return false;\n    };\n\n    /**\n     * Is the CodeHintList open?\n     *\n     * @return {boolean}\n     */\n    CodeHintList.prototype.isOpen = function () {\n        // We don\'t get a notification when the dropdown closes. The best\n        // we can do is keep an "opened" flag and check to see if we\n        // still have the "open" class applied.\n        if (this.opened && !this.$hintMenu.hasClass("open")) {\n            this.opened = false;\n        }\n\n        return this.opened;\n    };\n\n    /**\n     * Displays the hint list at the current cursor position\n     *\n     * @param {{hints: Array.<string|jQueryObject>, match: string,\n     *          selectInitial: boolean}} hintObj\n     */\n    CodeHintList.prototype.open = function (hintObj) {\n        Menus.closeAll();\n        this._buildListView(hintObj);\n\n        if (this.hints.length) {\n            // Need to add the menu to the DOM before trying to calculate its ideal location.\n            $("#codehint-menu-bar > ul").append(this.$hintMenu);\n\n            var hintPos = this._calcHintListLocation();\n\n            this.$hintMenu.addClass("open")\n                .css({"left": hintPos.left, "top": hintPos.top, "width": hintPos.width + "px"});\n            this.opened = true;\n\n            KeyBindingManager.addGlobalKeydownHook(this._keydownHook);\n        }\n    };\n\n    /**\n     * Updates the (already open) hint list window with new hints\n     *\n     * @param {{hints: Array.<string|jQueryObject>, match: string,\n     *          selectInitial: boolean}} hintObj\n     */\n    CodeHintList.prototype.update = function (hintObj) {\n        this.$hintMenu.addClass("apply-transition");\n        this._buildListView(hintObj);\n\n        // Update the CodeHintList location\n        if (this.hints.length) {\n            var hintPos = this._calcHintListLocation();\n            this.$hintMenu.css({"left": hintPos.left, "top": hintPos.top,\n                                "width": hintPos.width + "px"});\n        }\n    };\n    /**\n     * Calls the move up keybind to move hint suggestion selector\n     *\n     * @param {KeyBoardEvent} keyEvent\n     */\n    CodeHintList.prototype.callMoveUp = function (event) {\n        delete event.type;\n        event.type = "keydown";\n        this._keydownHook(event);\n    };\n    /**\n     * Closes the hint list\n     */\n    CodeHintList.prototype.close = function () {\n        this.opened = false;\n\n        if (this.$hintMenu) {\n            this.$hintMenu.removeClass("open");\n            PopUpManager.removePopUp(this.$hintMenu);\n            this.$hintMenu.remove();\n        }\n\n        KeyBindingManager.removeGlobalKeydownHook(this._keydownHook);\n    };\n\n    /**\n     * Set the hint list selection callback function\n     *\n     * @param {Function} callback\n     */\n    CodeHintList.prototype.onSelect = function (callback) {\n        this.handleSelect = callback;\n    };\n\n    /**\n     * Set the hint list closure callback function\n     *\n     * @param {Function} callback\n     */\n    CodeHintList.prototype.onClose = function (callback) {\n        // TODO: Due to #1381, this won\'t get called if the user clicks out of\n        // the code hint menu. That\'s (sort of) okay right now since it doesn\'t\n        // really matter if a single old invisible code hint list is lying\n        // around (it will ignore keydown events, and it\'ll get closed the next\n        // time the user pops up a code hint). Once #1381 is fixed this issue\n        // should go away.\n        this.handleClose = callback;\n    };\n\n\n    // Define public API\n    exports.CodeHintList = CodeHintList;\n});\n\n//# sourceURL=/editor/CodeHintList.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*\n * __CodeHintManager Overview:__\n *\n * The CodeHintManager mediates the interaction between the editor and a\n * collection of hint providers. If hints are requested explicitly by the\n * user, then the providers registered for the current language are queried\n * for their ability to provide hints in order of descending priority by\n * way their hasHints methods. Character insertions may also constitute an\n * implicit request for hints; consequently, providers for the current\n * language are also queried on character insertion for both their ability to\n * provide hints and also for the suitability of providing implicit hints\n * in the given editor context.\n *\n * Once a provider responds affirmatively to a request for hints, the\n * manager begins a hinting session with that provider, begins to query\n * that provider for hints by way of its getHints method, and opens the\n * hint list window. The hint list is kept open for the duration of the\n * current session. The manager maintains the session until either:\n *\n *  1. the provider gives a null response to a request for hints;\n *  2. a deferred response to getHints fails to resolve;\n *  3. the user explicitly dismisses the hint list window;\n *  4. the editor is closed or becomes inactive; or\n *  5. the editor undergoes a "complex" change, e.g., a multi-character\n *     insertion, deletion or navigation.\n *\n * Single-character insertions, deletions or navigations may not\n * invalidate the current session; in which case, each such change\n * precipitates a successive call to getHints.\n *\n * If the user selects a hint from the rendered hint list then the\n * provider is responsible for inserting the hint into the editor context\n * for the current session by way of its insertHint method. The provider\n * may use the return value of insertHint to request that an additional\n * explicit hint request be triggered, potentially beginning a new\n * session.\n *\n *\n * __CodeHintProvider Overview:__\n *\n * A code hint provider should implement the following three functions:\n *\n * - `CodeHintProvider.hasHints(editor, implicitChar)`\n * - `CodeHintProvider.getHints(implicitChar)`\n * - `CodeHintProvider.insertHint(hint)`\n *\n * The behavior of these three functions is described in detail below.\n *\n * __CodeHintProvider.hasHints(editor, implicitChar)__\n *\n * The method by which a provider indicates intent to provide hints for a\n * given editor. The manager calls this method both when hints are\n * explicitly requested (via, e.g., Ctrl-Space) and when they may be\n * implicitly requested as a result of character insertion in the editor.\n * If the provider responds negatively then the manager may query other\n * providers for hints. Otherwise, a new hinting session begins with this\n * provider, during which the manager may repeatedly query the provider\n * for hints via the getHints method. Note that no other providers will be\n * queried until the hinting session ends.\n *\n * The implicitChar parameter is used to determine whether the hinting\n * request is explicit or implicit. If the string is null then hints were\n * explicitly requested and the provider should reply based on whether it\n * is possible to return hints for the given editor context. Otherwise,\n * the string contains just the last character inserted into the editor\'s\n * document and the request for hints is implicit. In this case, the\n * provider should determine whether it is both possible and appropriate\n * to show hints. Because implicit hints can be triggered by every\n * character insertion, hasHints may be called frequently; consequently,\n * the provider should endeavor to return a value as quickly as possible.\n *\n * Because calls to hasHints imply that a hinting session is about to\n * begin, a provider may wish to clean up cached data from previous\n * sessions in this method. Similarly, if the provider returns true, it\n * may wish to prepare to cache data suitable for the current session. In\n * particular, it should keep a reference to the editor object so that it\n * can access the editor in future calls to getHints and insertHints.\n *\n * param {Editor} editor\n * A non-null editor object for the active window.\n *\n * param {string} implicitChar\n * Either null, if the hinting request was explicit, or a single character\n * that represents the last insertion and that indicates an implicit\n * hinting request.\n *\n * return {boolean}\n * Determines whether the current provider is able to provide hints for\n * the given editor context and, in case implicitChar is non- null,\n * whether it is appropriate to do so.\n *\n *\n * __CodeHintProvider.getHints(implicitChar)__\n *\n * The method by which a provider provides hints for the editor context\n * associated with the current session. The getHints method is called only\n * if the provider asserted its willingness to provide hints in an earlier\n * call to hasHints. The provider may return null or false, which indicates\n * that the manager should end the current hinting session and close the hint\n * list window; or true, which indicates that the manager should end the\n * current hinting session but immediately attempt to begin a new hinting\n * session by querying registered providers. Otherwise, the provider should\n * return a response object that contains the following properties:\n *\n *  1. hints, a sorted array hints that the provider could later insert\n *     into the editor;\n *  2. match, a string that the manager may use to emphasize substrings of\n *     hints in the hint list (case-insensitive); and\n *  3. selectInitial, a boolean that indicates whether or not the the\n *     first hint in the list should be selected by default.\n *  4. handleWideResults, a boolean (or undefined) that indicates whether\n *     to allow result string to stretch width of display.\n *\n * If the array of\n * hints is empty, then the manager will render an empty list, but the\n * hinting session will remain open and the value of the selectInitial\n * property is irrelevant.\n *\n * Alternatively, the provider may return a jQuery.Deferred object\n * that resolves with an object with the structure described above. In\n * this case, the manager will initially render the hint list window with\n * a throbber and will render the actual list once the deferred object\n * resolves to a response object. If a hint list has already been rendered\n * (from an earlier call to getHints), then the old list will continue\n * to be displayed until the new deferred has resolved.\n *\n * Both the manager and the provider can reject the deferred object. The\n * manager will reject the deferred if the editor changes state (e.g., the\n * user types a character) or if the hinting session ends (e.g., the user\n * explicitly closes the hints by pressing escape). The provider can use\n * this event to, e.g., abort an expensive computation. Consequently, the\n * provider may assume that getHints will not be called again until the\n * deferred object from the current call has resolved or been rejected. If\n * the provider rejects the deferred, the manager will end the hinting\n * session.\n *\n * The getHints method may be called by the manager repeatedly during a\n * hinting session. Providers may wish to cache information for efficiency\n * that may be useful throughout these sessions. The same editor context\n * will be used throughout a session, and will only change during the\n * session as a result of single-character insertions, deletions and\n * cursor navigations. The provider may assume that, throughout the\n * lifetime of the session, the getHints method will be called exactly\n * once for each such editor change. Consequently, the provider may also\n * assume that the document will not be changed outside of the editor\n * during a session.\n *\n * param {string} implicitChar\n * Either null, if the request to update the hint list was a result of\n * navigation, or a single character that represents the last insertion.\n *\n *     return {jQuery.Deferred|{\n *          hints: Array.<string|jQueryObject>,\n *          match: string,\n *          selectInitial: boolean,\n *          handleWideResults: boolean}}\n *\n * Null if the provider wishes to end the hinting session. Otherwise, a\n * response object, possibly deferred, that provides 1. a sorted array\n * hints that consists either of strings or jQuery objects; 2. a string\n * match, possibly null, that is used by the manager to emphasize\n * matching substrings when rendering the hint list; and 3. a boolean that\n * indicates whether the first result, if one exists, should be selected\n * by default in the hint list window. If match is non-null, then the\n * hints should be strings.\n *\n * If the match is null, the manager will not\n * attempt to emphasize any parts of the hints when rendering the hint\n * list; instead the provider may return strings or jQuery objects for\n * which emphasis is self-contained. For example, the strings may contain\n * substrings that wrapped in bold tags. In this way, the provider can\n * choose to let the manager handle emphasis for the simple and common case\n * of prefix matching, or can provide its own emphasis if it wishes to use\n * a more sophisticated matching algorithm.\n *\n *\n * __CodeHintProvider.insertHint(hint)__\n *\n * The method by which a provider inserts a hint into the editor context\n * associated with the current session. The provider may assume that the\n * given hint was returned by the provider in some previous call in the\n * current session to getHints, but not necessarily the most recent call.\n * After the insertion has been performed, the current hinting session is\n * closed. The provider should return a boolean value to indicate whether\n * or not the end of the session should be immediately followed by a new\n * explicit hinting request, which may result in a new hinting session\n * being opened with some provider, but not necessarily the current one.\n *\n * param {string} hint\n * The hint to be inserted into the editor context for the current session.\n *\n * return {boolean}\n * Indicates whether the manager should follow hint insertion with an\n * explicit hint request.\n *\n *\n * __CodeHintProvider.insertHintOnTab__\n *\n * type {?boolean} insertHintOnTab\n * Indicates whether the CodeHintManager should request that the provider of\n * the current session insert the currently selected hint on tab key events,\n * or if instead a tab character should be inserted into the editor. If omitted,\n * the fallback behavior is determined by the CodeHintManager. The default\n * behavior is to insert a tab character, but this can be changed with the\n * insertHintOnTab Preference.\n */\ndefine(\'editor/CodeHintManager\',[\'require\',\'exports\',\'module\',\'command/Commands\',\'command/CommandManager\',\'editor/EditorManager\',\'strings\',\'utils/KeyEvent\',\'editor/CodeHintList\',\'preferences/PreferencesManager\'],function (require, exports, module) {\n    "use strict";\n\n    // Load dependent modules\n    var Commands            = require("command/Commands"),\n        CommandManager      = require("command/CommandManager"),\n        EditorManager       = require("editor/EditorManager"),\n        Strings             = require("strings"),\n        KeyEvent            = require("utils/KeyEvent"),\n        CodeHintList        = require("editor/CodeHintList").CodeHintList,\n        PreferencesManager  = require("preferences/PreferencesManager");\n\n    var hintProviders    = { "all" : [] },\n        lastChar         = null,\n        sessionProvider  = null,\n        sessionEditor    = null,\n        hintList         = null,\n        deferredHints    = null,\n        keyDownEditor    = null,\n        codeHintsEnabled = true,\n        codeHintOpened   = false;\n\n\n    PreferencesManager.definePreference("showCodeHints", "boolean", true, {\n        description: Strings.DESCRIPTION_SHOW_CODE_HINTS\n    });\n    PreferencesManager.definePreference("insertHintOnTab", "boolean", false, {\n        description: Strings.DESCRIPTION_INSERT_HINT_ON_TAB\n    });\n    PreferencesManager.definePreference("maxCodeHints", "number", 50, {\n        description: Strings.DESCRIPTION_MAX_CODE_HINTS\n    });\n\n    PreferencesManager.on("change", "showCodeHints", function () {\n        codeHintsEnabled = PreferencesManager.get("showCodeHints");\n    });\n\n    /**\n     * Comparator to sort providers from high to low priority\n     */\n    function _providerSort(a, b) {\n        return b.priority - a.priority;\n    }\n\n    /**\n     * The method by which a CodeHintProvider registers its willingness to\n     * providing hints for editors in a given language.\n     *\n     * @param {!CodeHintProvider} provider\n     * The hint provider to be registered, described below.\n     *\n     * @param {!Array.<string>} languageIds\n     * The set of language ids for which the provider is capable of\n     * providing hints. If the special language id name "all" is included then\n     * the provider may be called for any language.\n     *\n     * @param {?number} priority\n     * Used to break ties among hint providers for a particular language.\n     * Providers with a higher number will be asked for hints before those\n     * with a lower priority value. Defaults to zero.\n     */\n    function registerHintProvider(providerInfo, languageIds, priority) {\n        var providerObj = { provider: providerInfo,\n                            priority: priority || 0 };\n\n        if (languageIds.indexOf("all") !== -1) {\n            // Ignore anything else in languageIds and just register for every language. This includes\n            // the special "all" language since its key is in the hintProviders map from the beginning.\n            var languageId;\n            for (languageId in hintProviders) {\n                if (hintProviders.hasOwnProperty(languageId)) {\n                    hintProviders[languageId].push(providerObj);\n                    hintProviders[languageId].sort(_providerSort);\n                }\n            }\n        } else {\n            languageIds.forEach(function (languageId) {\n                if (!hintProviders[languageId]) {\n                    // Initialize provider list with any existing all-language providers\n                    hintProviders[languageId] = Array.prototype.concat(hintProviders.all);\n                }\n                hintProviders[languageId].push(providerObj);\n                hintProviders[languageId].sort(_providerSort);\n            });\n        }\n    }\n\n    /**\n     * @private\n     * Remove a code hint provider\n     * @param {!CodeHintProvider} provider Code hint provider to remove\n     * @param {(string|Array.<string>)=} targetLanguageId Optional set of\n     *     language IDs for languages to remove the provider for. Defaults\n     *     to all languages.\n     */\n    function _removeHintProvider(provider, targetLanguageId) {\n        var index,\n            providers,\n            targetLanguageIdArr;\n\n        if (Array.isArray(targetLanguageId)) {\n            targetLanguageIdArr = targetLanguageId;\n        } else if (targetLanguageId) {\n            targetLanguageIdArr = [targetLanguageId];\n        } else {\n            targetLanguageIdArr = Object.keys(hintProviders);\n        }\n\n        targetLanguageIdArr.forEach(function (languageId) {\n            providers = hintProviders[languageId];\n\n            for (index = 0; index < providers.length; index++) {\n                if (providers[index].provider === provider) {\n                    providers.splice(index, 1);\n                    break;\n                }\n            }\n        });\n    }\n\n    /**\n     *  Return the array of hint providers for the given language id.\n     *  This gets called (potentially) on every keypress. So, it should be fast.\n     *\n     * @param {!string} languageId\n     * @return {?Array.<{provider: Object, priority: number}>}\n     */\n    function _getProvidersForLanguageId(languageId) {\n        var providers = hintProviders[languageId] || hintProviders.all;\n\n        // Exclude providers that are explicitly disabled in the preferences.\n        // All code hint providers that do not have their constructor\n        // names listed in the preferences are enabled by default.\n        return providers.filter(function (provider) {\n            var prefKey = "codehint." + provider.provider.constructor.name;\n            return PreferencesManager.get(prefKey) !== false;\n        });\n    }\n\n    var _beginSession;\n\n    /**\n     * End the current hinting session\n     */\n    function _endSession() {\n        if (!hintList) {\n            return;\n        }\n        hintList.close();\n        hintList = null;\n        codeHintOpened = false;\n        keyDownEditor = null;\n        sessionProvider = null;\n        sessionEditor = null;\n        if (deferredHints) {\n            deferredHints.reject();\n            deferredHints = null;\n        }\n    }\n\n    /**\n     * Is there a hinting session active for a given editor?\n     *\n     * NOTE: the sessionEditor, sessionProvider and hintList objects are\n     * only guaranteed to be initialized during an active session.\n     *\n     * @param {Editor} editor\n     * @return boolean\n     */\n    function _inSession(editor) {\n        if (sessionEditor) {\n            if (sessionEditor === editor &&\n                    (hintList.isOpen() ||\n                     (deferredHints && deferredHints.state() === "pending"))) {\n                return true;\n            } else {\n                // the editor has changed\n                _endSession();\n            }\n        }\n        return false;\n    }\n    /**\n     * From an active hinting session, get hints from the current provider and\n     * render the hint list window.\n     *\n     * Assumes that it is called when a session is active (i.e. sessionProvider is not null).\n     */\n    function _updateHintList(callMoveUpEvent) {\n\n        callMoveUpEvent = typeof callMoveUpEvent === "undefined" ? false : callMoveUpEvent;\n\n        if (deferredHints) {\n            deferredHints.reject();\n            deferredHints = null;\n        }\n\n        if (callMoveUpEvent) {\n            return hintList.callMoveUp(callMoveUpEvent);\n        }\n\n        var response = sessionProvider.getHints(lastChar);\n        lastChar = null;\n\n        if (!response) {\n            // the provider wishes to close the session\n            _endSession();\n        } else {\n            // if the response is true, end the session and begin another\n            if (response === true) {\n                var previousEditor = sessionEditor;\n\n                _endSession();\n                _beginSession(previousEditor);\n            } else if (response.hasOwnProperty("hints")) { // a synchronous response\n                if (hintList.isOpen()) {\n                    // the session is open\n                    hintList.update(response);\n                } else {\n                    hintList.open(response);\n                }\n            } else { // response is a deferred\n                deferredHints = response;\n                response.done(function (hints) {\n                    // Guard against timing issues where the session ends before the\n                    // response gets a chance to execute the callback.  If the session\n                    // ends first while still waiting on the response, then hintList\n                    // will get cleared up.\n                    if (!hintList) {\n                        return;\n                    }\n\n                    if (hintList.isOpen()) {\n                        // the session is open\n                        hintList.update(hints);\n                    } else {\n                        hintList.open(hints);\n                    }\n                });\n            }\n        }\n    }\n\n    /**\n     * Try to begin a new hinting session.\n     * @param {Editor} editor\n     */\n    _beginSession = function (editor) {\n\n        if (!codeHintsEnabled) {\n            return;\n        }\n\n        // Don\'t start a session if we have a multiple selection.\n        if (editor.getSelections().length > 1) {\n            return;\n        }\n\n        // Find a suitable provider, if any\n        var language = editor.getLanguageForSelection(),\n            enabledProviders = _getProvidersForLanguageId(language.getId());\n\n        enabledProviders.some(function (item, index) {\n            if (item.provider.hasHints(editor, lastChar)) {\n                sessionProvider = item.provider;\n                return true;\n            }\n        });\n\n        // If a provider is found, initialize the hint list and update it\n        if (sessionProvider) {\n            var insertHintOnTab,\n                maxCodeHints = PreferencesManager.get("maxCodeHints");\n            if (sessionProvider.insertHintOnTab !== undefined) {\n                insertHintOnTab = sessionProvider.insertHintOnTab;\n            } else {\n                insertHintOnTab = PreferencesManager.get("insertHintOnTab");\n            }\n\n            sessionEditor = editor;\n            hintList = new CodeHintList(sessionEditor, insertHintOnTab, maxCodeHints);\n            hintList.onSelect(function (hint) {\n                var restart = sessionProvider.insertHint(hint),\n                    previousEditor = sessionEditor;\n                _endSession();\n                if (restart) {\n                    _beginSession(previousEditor);\n                }\n            });\n            hintList.onClose(_endSession);\n\n            _updateHintList();\n        } else {\n            lastChar = null;\n        }\n    };\n\n    /**\n     * Handles keys related to displaying, searching, and navigating the hint list.\n     * This gets called before handleChange.\n     *\n     * TODO: Ideally, we\'d get a more semantic event from the editor that told us\n     * what changed so that we could do all of this logic without looking at\n     * key events. Then, the purposes of handleKeyEvent and handleChange could be\n     * combined. Doing this well requires changing CodeMirror.\n     *\n     * @param {Event} jqEvent\n     * @param {Editor} editor\n     * @param {KeyboardEvent} event\n     */\n    function _handleKeydownEvent(jqEvent, editor, event) {\n        keyDownEditor = editor;\n        if (!(event.ctrlKey || event.altKey || event.metaKey) &&\n                (event.keyCode === KeyEvent.DOM_VK_ENTER ||\n                 event.keyCode === KeyEvent.DOM_VK_RETURN ||\n                 event.keyCode === KeyEvent.DOM_VK_TAB)) {\n            lastChar = String.fromCharCode(event.keyCode);\n        }\n    }\n    function _handleKeypressEvent(jqEvent, editor, event) {\n        keyDownEditor = editor;\n\n        // Last inserted character, used later by handleChange\n        lastChar = String.fromCharCode(event.charCode);\n\n        // Pending Text is used in hintList._keydownHook()\n        if (hintList) {\n            hintList.addPendingText(lastChar);\n        }\n    }\n    function _handleKeyupEvent(jqEvent, editor, event) {\n        keyDownEditor = editor;\n        if (_inSession(editor)) {\n          if (event.keyCode === KeyEvent.DOM_VK_HOME || \n                  event.keyCode === KeyEvent.DOM_VK_END) {\n                _endSession();\n            } else if (event.keyCode === KeyEvent.DOM_VK_LEFT ||\n                       event.keyCode === KeyEvent.DOM_VK_RIGHT ||\n                       event.keyCode === KeyEvent.DOM_VK_BACK_SPACE) {\n                // Update the list after a simple navigation.\n                // We do this in "keyup" because we want the cursor position to be updated before\n                // we redraw the list.\n                _updateHintList();\n            } else if (event.ctrlKey && event.keyCode === KeyEvent.DOM_VK_SPACE) {\n                _updateHintList(event);\n            }\n        }\n    }\n\n    /**\n     * Handle a selection change event in the editor. If the selection becomes a\n     * multiple selection, end our current session.\n     * @param {BracketsEvent} event\n     * @param {Editor} editor\n     */\n    function _handleCursorActivity(event, editor) {\n        if (_inSession(editor)) {\n            if (editor.getSelections().length > 1) {\n                _endSession();\n            }\n        }\n    }\n\n    /**\n     * Start a new implicit hinting session, or update the existing hint list.\n     * Called by the editor after handleKeyEvent, which is responsible for setting\n     * the lastChar.\n     *\n     * @param {Event} event\n     * @param {Editor} editor\n     * @param {{from: Pos, to: Pos, text: Array, origin: string}} changeList\n     */\n    function _handleChange(event, editor, changeList) {\n        if (lastChar && editor === keyDownEditor) {\n            keyDownEditor = null;\n            if (_inSession(editor)) {\n                var charToRetest = lastChar;\n                _updateHintList();\n\n                // _updateHintList() may end a hinting session and clear lastChar, but a\n                // different provider may want to start a new session with the same character.\n                // So check whether current provider terminates the current hinting\n                // session. If so, then restore lastChar and restart a new session.\n                if (!_inSession(editor)) {\n                    lastChar = charToRetest;\n                    _beginSession(editor);\n                }\n            } else {\n                _beginSession(editor);\n            }\n\n            // Pending Text is used in hintList._keydownHook()\n            if (hintList && changeList[0] && changeList[0].text.length && changeList[0].text[0].length) {\n                var expectedLength = editor.getCursorPos().ch - changeList[0].from.ch,\n                    newText = changeList[0].text[0];\n                // We may get extra text in newText since some features like auto\n                // close braces can append some text automatically.\n                // See https://github.com/adobe/brackets/issues/6345#issuecomment-32548064\n                // as an example of this scenario.\n                if (newText.length > expectedLength) {\n                    // Strip off the extra text before calling removePendingText.\n                    newText = newText.substr(0, expectedLength);\n                }\n                hintList.removePendingText(newText);\n            }\n        }\n    }\n\n    /**\n     * Test whether the provider has an exclusion that is still the same as text after the cursor.\n     *\n     * @param {string} exclusion - Text not to be overwritten when the provider inserts the selected hint.\n     * @param {string} textAfterCursor - Text that is immediately after the cursor position.\n     * @return {boolean} true if the exclusion is not null and is exactly the same as textAfterCursor,\n     * false otherwise.\n     */\n    function hasValidExclusion(exclusion, textAfterCursor) {\n        return (exclusion && exclusion === textAfterCursor);\n    }\n\n    /**\n     *  Test if a hint popup is open.\n     *\n     * @return {boolean} - true if the hints are open, false otherwise.\n     */\n    function isOpen() {\n        return (hintList && hintList.isOpen());\n    }\n\n    /**\n     * Explicitly start a new session. If we have an existing session,\n     * then close the current one and restart a new one.\n     * @param {Editor} editor\n     */\n    function _startNewSession(editor) {\n        if (isOpen()) {\n            return;\n        }\n\n        if (!editor) {\n            editor = EditorManager.getFocusedEditor();\n        }\n        if (editor) {\n            lastChar = null;\n            if (_inSession(editor)) {\n                _endSession();\n            }\n\n            // Begin a new explicit session\n            _beginSession(editor);\n        }\n    }\n\n    /**\n     * Expose CodeHintList for unit testing\n     */\n    function _getCodeHintList() {\n        return hintList;\n    }\n\n    function activeEditorChangeHandler(event, current, previous) {\n        if (current) {\n            current.on("editorChange", _handleChange);\n            current.on("keydown",  _handleKeydownEvent);\n            current.on("keypress", _handleKeypressEvent);\n            current.on("keyup",    _handleKeyupEvent);\n            current.on("cursorActivity", _handleCursorActivity);\n        }\n\n        if (previous) {\n            //Removing all old Handlers\n            previous.off("editorChange", _handleChange);\n            previous.off("keydown",  _handleKeydownEvent);\n            previous.off("keypress", _handleKeypressEvent);\n            previous.off("keyup",    _handleKeyupEvent);\n            previous.off("cursorActivity", _handleCursorActivity);\n        }\n    }\n\n    activeEditorChangeHandler(null, EditorManager.getActiveEditor(), null);\n\n    EditorManager.on("activeEditorChange", activeEditorChangeHandler);\n \n    // Dismiss code hints before executing any command other than showing code hints since the command\n    // may make the current hinting session irrevalent after execution.\n    // For example, when the user hits Ctrl+K to open Quick Doc, it is\n    // pointless to keep the hint list since the user wants to view the Quick Doc\n    CommandManager.on("beforeExecuteCommand", function (event, commandId) {\n        if (commandId !== Commands.SHOW_CODE_HINTS) {\n            _endSession();\n        }\n    });\n\n    CommandManager.register(Strings.CMD_SHOW_CODE_HINTS, Commands.SHOW_CODE_HINTS, _startNewSession);\n\n    exports._getCodeHintList        = _getCodeHintList;\n    exports._removeHintProvider     = _removeHintProvider;\n\n    // Define public API\n    exports.isOpen                  = isOpen;\n    exports.registerHintProvider    = registerHintProvider;\n    exports.hasValidExclusion       = hasValidExclusion;\n});\n\n//# sourceURL=/editor/CodeHintManager.js'),
eval('define(\'text!htmlContent/problems-panel.html\',[],function () { return \'<div id="problems-panel" class="bottom-panel vert-resizable top-resizer">\\n    <div class="toolbar simple-toolbar-layout">\\n        <div class="title"><!-- filled in programmatically --></div>\\n        <a href="#" class="close">&times;</a>\\n    </div>\\n    <div class="table-container resizable-content"></div>\\n</div>\';});\n\n//# sourceURL=/text!htmlContent/problems-panel.html'),eval('define(\'text!htmlContent/problems-panel-table.html\',[],function () { return \'<table class="bottom-panel-table table table-striped table-condensed row-highlight">\\n    <tbody>\\n        {{#reportList}}\\n        <tr class="inspector-section">\\n            <td colspan="3">\\n                <span class="disclosure-triangle {{#isExpanded}}expanded{{/isExpanded}}"></span>\\n                <input type="hidden" value="{{providerName}}" />\\n                {{providerName}} ({{results.length}})\\n            </td>\\n        </tr>\\n        {{#results}}\\n        <tr class="{{display}}">\\n            <td class="line-number" data-character="{{pos.ch}}">{{friendlyLine}}</td>\\n            <td class="line-text">{{message}}</td>\\n            <td class="line-snippet">{{codeSnippet}}</td>\\n        </tr>\\n        {{/results}}\\n        {{/reportList}}\\n    </tbody>\\n</table>\\n\';});\n\n//# sourceURL=/text!htmlContent/problems-panel-table.html'),eval('/*\n * Copyright (c) 2013 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/**\n * Manages linters and other code inspections on a per-language basis. Provides a UI and status indicator for\n * the resulting errors/warnings.\n *\n * Currently, inspection providers are only invoked on the current file and only when it is opened, switched to,\n * or saved. But in the future, inspectors may be invoked as part of a global scan, at intervals while typing, etc.\n * Currently, results are only displayed in a bottom panel list and in a status bar icon. But in the future,\n * results may also be displayed inline in the editor (as gutter markers, squiggly underlines, etc.).\n * In the future, support may also be added for error/warning providers that cannot process a single file at a time\n * (e.g. a full-project compiler).\n */\ndefine(\'language/CodeInspection\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'command/Commands\',\'view/WorkspaceManager\',\'command/CommandManager\',\'document/DocumentManager\',\'editor/EditorManager\',\'view/MainViewManager\',\'language/LanguageManager\',\'preferences/PreferencesManager\',\'utils/PerfUtils\',\'strings\',\'utils/StringUtils\',\'utils/AppInit\',\'utils/Resizer\',\'widgets/StatusBar\',\'utils/Async\',\'text!htmlContent/problems-panel.html\',\'text!htmlContent/problems-panel-table.html\',\'thirdparty/mustache/mustache\'],function (require, exports, module) {\n    "use strict";\n\n    var _ = require("thirdparty/lodash");\n\n    // Load dependent modules\n    var Commands                = require("command/Commands"),\n        WorkspaceManager        = require("view/WorkspaceManager"),\n        CommandManager          = require("command/CommandManager"),\n        DocumentManager         = require("document/DocumentManager"),\n        EditorManager           = require("editor/EditorManager"),\n        MainViewManager         = require("view/MainViewManager"),\n        LanguageManager         = require("language/LanguageManager"),\n        PreferencesManager      = require("preferences/PreferencesManager"),\n        PerfUtils               = require("utils/PerfUtils"),\n        Strings                 = require("strings"),\n        StringUtils             = require("utils/StringUtils"),\n        AppInit                 = require("utils/AppInit"),\n        Resizer                 = require("utils/Resizer"),\n        StatusBar               = require("widgets/StatusBar"),\n        Async                   = require("utils/Async"),\n        PanelTemplate           = require("text!htmlContent/problems-panel.html"),\n        ResultsTemplate         = require("text!htmlContent/problems-panel-table.html"),\n        Mustache                = require("thirdparty/mustache/mustache");\n\n    var INDICATOR_ID = "status-inspection";\n\n    /** Values for problem\'s \'type\' property */\n    var Type = {\n        /** Unambiguous error, such as a syntax error */\n        ERROR: "problem_type_error",\n        /** Maintainability issue, probable error / bad smell, etc. */\n        WARNING: "problem_type_warning",\n        /** Inspector unable to continue, code too complex for static analysis, etc. Not counted in error/warning tally. */\n        META: "problem_type_meta"\n    };\n\n    /**\n     * Constants for the preferences defined in this file.\n     */\n    var PREF_ENABLED            = "enabled",\n        PREF_COLLAPSED          = "collapsed",\n        PREF_ASYNC_TIMEOUT      = "asyncTimeout",\n        PREF_PREFER_PROVIDERS   = "prefer",\n        PREF_PREFERRED_ONLY     = "usePreferredOnly";\n\n    var prefs = PreferencesManager.getExtensionPrefs("linting");\n\n    /**\n     * When disabled, the errors panel is closed and the status bar icon is grayed out.\n     * Takes precedence over _collapsed.\n     * @private\n     * @type {boolean}\n     */\n    var _enabled = false;\n\n    /**\n     * When collapsed, the errors panel is closed but the status bar icon is kept up to date.\n     * @private\n     * @type {boolean}\n     */\n    var _collapsed = false;\n\n    /**\n     * @private\n     * @type {$.Element}\n     */\n    var $problemsPanel;\n\n    /**\n     * @private\n     * @type {$.Element}\n     */\n    var $problemsPanelTable;\n\n    /**\n     * @private\n     * @type {boolean}\n     */\n    var _gotoEnabled = false;\n\n    /**\n     * @private\n     * @type {{languageId:string, Array.<{name:string, scanFileAsync:?function(string, string):!{$.Promise}, scanFile:?function(string, string):Object}>}}\n     */\n    var _providers = {};\n\n    /**\n     * @private\n     * @type {boolean}\n     */\n    var _hasErrors;\n\n    /**\n     * Promise of the returned by the last call to inspectFile or null if linting is disabled. Used to prevent any stale promises\n     * to cause updates of the UI.\n     *\n     * @private\n     * @type {$.Promise}\n     */\n    var _currentPromise = null;\n\n    /**\n     * Enable or disable the "Go to First Error" command\n     * @param {boolean} gotoEnabled Whether it is enabled.\n     */\n    function setGotoEnabled(gotoEnabled) {\n        CommandManager.get(Commands.NAVIGATE_GOTO_FIRST_PROBLEM).setEnabled(gotoEnabled);\n        _gotoEnabled = gotoEnabled;\n    }\n\n    function _unregisterAll() {\n        _providers = {};\n    }\n\n    /**\n     * Returns a list of provider for given file path, if available.\n     * Decision is made depending on the file extension.\n     *\n     * @param {!string} filePath\n     * @return {Array.<{name:string, scanFileAsync:?function(string, string):!{$.Promise}, scanFile:?function(string, string):?{errors:!Array, aborted:boolean}}>}\n     */\n    function getProvidersForPath(filePath) {\n        var language            = LanguageManager.getLanguageForPath(filePath).getId(),\n            context             = PreferencesManager._buildContext(filePath, language),\n            installedProviders  = getProvidersForLanguageId(language),\n            preferredProviders,\n\n            prefPreferredProviderNames  = prefs.get(PREF_PREFER_PROVIDERS, context),\n            prefPreferredOnly           = prefs.get(PREF_PREFERRED_ONLY, context),\n\n            providers;\n\n        if (prefPreferredProviderNames && prefPreferredProviderNames.length) {\n            if (typeof prefPreferredProviderNames === "string") {\n                prefPreferredProviderNames = [prefPreferredProviderNames];\n            }\n            preferredProviders = prefPreferredProviderNames.reduce(function (result, key) {\n                var provider = _.find(installedProviders, {name: key});\n                if (provider) {\n                    result.push(provider);\n                }\n                return result;\n            }, []);\n            if (prefPreferredOnly) {\n                providers = preferredProviders;\n            } else {\n                providers = _.union(preferredProviders, installedProviders);\n            }\n        } else {\n            providers = installedProviders;\n        }\n        return providers;\n    }\n\n    /**\n     * Returns an array of the IDs of providers registered for a specific language\n     *\n     * @param {!string} languageId\n     * @return {Array.<string>} Names of registered providers.\n     */\n    function getProviderIDsForLanguage(languageId) {\n        if (!_providers[languageId]) {\n            return [];\n        }\n        return _providers[languageId].map(function (provider) {\n            return provider.name;\n        });\n    }\n\n    /**\n     * Runs a file inspection over passed file. Uses the given list of providers if specified, otherwise uses\n     * the set of providers that are registered for the file\'s language.\n     * This method doesn\'t update the Brackets UI, just provides inspection results.\n     * These results will reflect any unsaved changes present in the file if currently open.\n     *\n     * The Promise yields an array of provider-result pair objects (the result is the return value of the\n     * provider\'s scanFile() - see register() for details). The result object may be null if there were no\n     * errors from that provider.\n     * If there are no providers registered for this file, the Promise yields null instead.\n     *\n     * @param {!File} file File that will be inspected for errors.\n     * @param {?Array.<{name:string, scanFileAsync:?function(string, string):!{$.Promise}, scanFile:?function(string, string):?{errors:!Array, aborted:boolean}}>} providerList\n     * @return {$.Promise} a jQuery promise that will be resolved with ?Array.<{provider:Object, result: ?{errors:!Array, aborted:boolean}}>\n     */\n    function inspectFile(file, providerList) {\n        var response = new $.Deferred(),\n            results = [];\n\n        providerList = providerList || getProvidersForPath(file.fullPath);\n\n        if (!providerList.length) {\n            response.resolve(null);\n            return response.promise();\n        }\n\n        DocumentManager.getDocumentText(file)\n            .done(function (fileText) {\n                var perfTimerInspector = PerfUtils.markStart("CodeInspection:\\t" + file.fullPath),\n                    masterPromise;\n\n                masterPromise = Async.doInParallel(providerList, function (provider) {\n                    var perfTimerProvider = PerfUtils.markStart("CodeInspection \'" + provider.name + "\':\\t" + file.fullPath),\n                        runPromise = new $.Deferred();\n\n                    runPromise.done(function (scanResult) {\n                        results.push({provider: provider, result: scanResult});\n                    });\n\n                    if (provider.scanFileAsync) {\n                        window.setTimeout(function () {\n                            // timeout error\n                            var errTimeout = {\n                                pos: { line: -1, col: 0},\n                                message: StringUtils.format(Strings.LINTER_TIMED_OUT, provider.name, prefs.get(PREF_ASYNC_TIMEOUT)),\n                                type: Type.ERROR\n                            };\n                            runPromise.resolve({errors: [errTimeout]});\n                        }, prefs.get(PREF_ASYNC_TIMEOUT));\n                        provider.scanFileAsync(fileText, file.fullPath)\n                            .done(function (scanResult) {\n                                PerfUtils.addMeasurement(perfTimerProvider);\n                                runPromise.resolve(scanResult);\n                            })\n                            .fail(function (err) {\n                                PerfUtils.finalizeMeasurement(perfTimerProvider);\n                                var errError = {\n                                    pos: {line: -1, col: 0},\n                                    message: StringUtils.format(Strings.LINTER_FAILED, provider.name, err),\n                                    type: Type.ERROR\n                                };\n                                console.error("[CodeInspection] Provider " + provider.name + " (async) failed: " + err);\n                                runPromise.resolve({errors: [errError]});\n                            });\n                    } else {\n                        try {\n                            var scanResult = provider.scanFile(fileText, file.fullPath);\n                            PerfUtils.addMeasurement(perfTimerProvider);\n                            runPromise.resolve(scanResult);\n                        } catch (err) {\n                            PerfUtils.finalizeMeasurement(perfTimerProvider);\n                            var errError = {\n                                pos: {line: -1, col: 0},\n                                message: StringUtils.format(Strings.LINTER_FAILED, provider.name, err),\n                                type: Type.ERROR\n                            };\n                            console.error("[CodeInspection] Provider " + provider.name + " (sync) threw an error: " + err);\n                            runPromise.resolve({errors: [errError]});\n                        }\n                    }\n                    return runPromise.promise();\n\n                }, false);\n\n                masterPromise.then(function () {\n                    // sync async may have pushed results in different order, restore the original order\n                    results.sort(function (a, b) {\n                        return providerList.indexOf(a.provider) - providerList.indexOf(b.provider);\n                    });\n                    PerfUtils.addMeasurement(perfTimerInspector);\n                    response.resolve(results);\n                });\n\n            })\n            .fail(function (err) {\n                console.error("[CodeInspection] Could not read file for inspection: " + file.fullPath);\n                response.reject(err);\n            });\n\n        return response.promise();\n    }\n\n    /**\n     * Update the title of the problem panel and the tooltip of the status bar icon. The title and the tooltip will\n     * change based on the number of problems reported and how many provider reported problems.\n     *\n     * @param {Number} numProblems - total number of problems across all providers\n     * @param {Array.<{name:string, scanFileAsync:?function(string, string):!{$.Promise}, scanFile:?function(string, string):Object}>} providersReportingProblems - providers that reported problems\n     * @param {boolean} aborted - true if any provider returned a result with the \'aborted\' flag set\n     */\n    function updatePanelTitleAndStatusBar(numProblems, providersReportingProblems, aborted) {\n        var message, tooltip;\n\n        if (providersReportingProblems.length === 1) {\n            // don\'t show a header if there is only one provider available for this file type\n            $problemsPanelTable.find(".inspector-section").hide();\n            $problemsPanelTable.find("tr").removeClass("forced-hidden");\n\n            if (numProblems === 1 && !aborted) {\n                message = StringUtils.format(Strings.SINGLE_ERROR, providersReportingProblems[0].name);\n            } else {\n                if (aborted) {\n                    numProblems += "+";\n                }\n\n                message = StringUtils.format(Strings.MULTIPLE_ERRORS, providersReportingProblems[0].name, numProblems);\n            }\n        } else if (providersReportingProblems.length > 1) {\n            $problemsPanelTable.find(".inspector-section").show();\n\n            if (aborted) {\n                numProblems += "+";\n            }\n\n            message = StringUtils.format(Strings.ERRORS_PANEL_TITLE_MULTIPLE, numProblems);\n        } else {\n            return;\n        }\n\n        $problemsPanel.find(".title").text(message);\n        tooltip = StringUtils.format(Strings.STATUSBAR_CODE_INSPECTION_TOOLTIP, message);\n        StatusBar.updateIndicator(INDICATOR_ID, true, "inspection-errors", tooltip);\n    }\n\n    /**\n     * Run inspector applicable to current document. Updates status bar indicator and refreshes error list in\n     * bottom panel. Does not run if inspection is disabled or if a providerName is given and does not\n     * match the current doc\'s provider name.\n     *\n     * @param {?string} providerName name of the provider that is requesting a run\n     */\n    function run() {\n        if (!_enabled) {\n            _hasErrors = false;\n            _currentPromise = null;\n            Resizer.hide($problemsPanel);\n            StatusBar.updateIndicator(INDICATOR_ID, true, "inspection-disabled", Strings.LINT_DISABLED);\n            setGotoEnabled(false);\n            return;\n        }\n\n        var currentDoc = DocumentManager.getCurrentDocument(),\n            providerList = currentDoc && getProvidersForPath(currentDoc.file.fullPath);\n\n        if (providerList && providerList.length) {\n            var numProblems = 0;\n            var aborted = false;\n            var allErrors = [];\n            var html;\n            var providersReportingProblems = [];\n\n            // run all the providers registered for this file type\n            (_currentPromise = inspectFile(currentDoc.file, providerList)).then(function (results) {\n                // check if promise has not changed while inspectFile was running\n                if (this !== _currentPromise) {\n                    return;\n                }\n\n                // how many errors in total?\n                var errors = results.reduce(function (a, item) { return a + (item.result ? item.result.errors.length : 0); }, 0);\n\n                _hasErrors = Boolean(errors);\n\n                if (!errors) {\n                    Resizer.hide($problemsPanel);\n\n                    var message = Strings.NO_ERRORS_MULTIPLE_PROVIDER;\n                    if (providerList.length === 1) {\n                        message = StringUtils.format(Strings.NO_ERRORS, providerList[0].name);\n                    }\n\n                    StatusBar.updateIndicator(INDICATOR_ID, true, "inspection-valid", message);\n\n                    setGotoEnabled(false);\n                    return;\n                }\n\n                var perfTimerDOM = PerfUtils.markStart("ProblemsPanel render:\\t" + currentDoc.file.fullPath);\n\n                // Augment error objects with additional fields needed by Mustache template\n                results.forEach(function (inspectionResult) {\n                    var provider = inspectionResult.provider;\n                    var isExpanded = prefs.get(provider.name + ".collapsed") !== false;\n\n                    if (inspectionResult.result) {\n                        inspectionResult.result.errors.forEach(function (error) {\n                            // some inspectors don\'t always provide a line number or report a negative line number\n                            if (!isNaN(error.pos.line) &&\n                                    (error.pos.line + 1) > 0 &&\n                                    (error.codeSnippet = currentDoc.getLine(error.pos.line)) !== undefined) {\n                                error.friendlyLine = error.pos.line + 1;\n                                error.codeSnippet = error.codeSnippet.substr(0, 175);  // limit snippet width\n                            }\n\n                            if (error.type !== Type.META) {\n                                numProblems++;\n                            }\n\n                            // Hide the errors when the provider is collapsed.\n                            error.display = isExpanded ? "" : "forced-hidden";\n                        });\n\n                        // if the code inspector was unable to process the whole file, we keep track to show a different status\n                        if (inspectionResult.result.aborted) {\n                            aborted = true;\n                        }\n\n                        if (inspectionResult.result.errors.length) {\n                            allErrors.push({\n                                isExpanded:   isExpanded,\n                                providerName: provider.name,\n                                results:      inspectionResult.result.errors\n                            });\n\n                            providersReportingProblems.push(provider);\n                        }\n                    }\n                });\n\n                // Update results table\n                html = Mustache.render(ResultsTemplate, {reportList: allErrors});\n\n                $problemsPanelTable\n                    .empty()\n                    .append(html)\n                    .scrollTop(0);  // otherwise scroll pos from previous contents is remembered\n\n                if (!_collapsed) {\n                    Resizer.show($problemsPanel);\n                }\n\n                updatePanelTitleAndStatusBar(numProblems, providersReportingProblems, aborted);\n                setGotoEnabled(true);\n\n                PerfUtils.addMeasurement(perfTimerDOM);\n            });\n\n        } else {\n            // No provider for current file\n            _hasErrors = false;\n            _currentPromise = null;\n            Resizer.hide($problemsPanel);\n            var language = currentDoc && LanguageManager.getLanguageForPath(currentDoc.file.fullPath);\n            if (language) {\n                StatusBar.updateIndicator(INDICATOR_ID, true, "inspection-disabled", StringUtils.format(Strings.NO_LINT_AVAILABLE, language.getName()));\n            } else {\n                StatusBar.updateIndicator(INDICATOR_ID, true, "inspection-disabled", Strings.NOTHING_TO_LINT);\n            }\n            setGotoEnabled(false);\n        }\n    }\n\n    /**\n     * The provider is passed the text of the file and its fullPath. Providers should not assume\n     * that the file is open (i.e. DocumentManager.getOpenDocumentForPath() may return null) or\n     * that the file on disk matches the text given (file may have unsaved changes).\n     *\n     * Registering any provider for the "javascript" language automatically unregisters the built-in\n     * Brackets JSLint provider. This is a temporary convenience until UI exists for disabling\n     * registered providers.\n     *\n     * Providers implement scanFile() if results are available synchronously, or scanFileAsync() if results\n     * may require an async wait (if both are implemented, scanFile() is ignored). scanFileAsync() returns\n     * a {$.Promise} object resolved with the same type of value as scanFile() is expected to return.\n     * Rejecting the promise is treated as an internal error in the provider.\n     *\n     * @param {string} languageId\n     * @param {{name:string, scanFileAsync:?function(string, string):!{$.Promise},\n     *         scanFile:?function(string, string):?{errors:!Array, aborted:boolean}}} provider\n     *\n     * Each error is: { pos:{line,ch}, endPos:?{line,ch}, message:string, type:?Type }\n     * If type is unspecified, Type.WARNING is assumed.\n     * If no errors found, return either null or an object with a zero-length `errors` array.\n     */\n    function register(languageId, provider) {\n        if (!_providers[languageId]) {\n            _providers[languageId] = [];\n        }\n\n        _providers[languageId].push(provider);\n\n        run();  // in case a file of this type is open currently\n    }\n\n    /**\n     * Returns a list of providers registered for given languageId through register function\n     */\n    function getProvidersForLanguageId(languageId) {\n        var result = [];\n        if (_providers[languageId]) {\n            result = result.concat(_providers[languageId]);\n        }\n        if (_providers[\'*\']) {\n            result = result.concat(_providers[\'*\']);\n        }\n        return result;\n    }\n\n    /**\n     * Update DocumentManager listeners.\n     */\n    function updateListeners() {\n        if (_enabled) {\n            // register our event listeners\n            MainViewManager\n                .on("currentFileChange.codeInspection", function () {\n                    run();\n                });\n            DocumentManager\n                .on("currentDocumentLanguageChanged.codeInspection", function () {\n                    run();\n                })\n                .on("documentSaved.codeInspection documentRefreshed.codeInspection", function (event, document) {\n                    if (document === DocumentManager.getCurrentDocument()) {\n                        run();\n                    }\n                });\n        } else {\n            DocumentManager.off(".codeInspection");\n            MainViewManager.off(".codeInspection");\n        }\n    }\n\n    /**\n     * Enable or disable all inspection.\n     * @param {?boolean} enabled Enabled state. If omitted, the state is toggled.\n     * @param {?boolean} doNotSave true if the preference should not be saved to user settings. This is generally for events triggered by project-level settings.\n     */\n    function toggleEnabled(enabled, doNotSave) {\n        if (enabled === undefined) {\n            enabled = !_enabled;\n        }\n\n        // Take no action when there is no change.\n        if (enabled === _enabled) {\n            return;\n        }\n\n        _enabled = enabled;\n\n        CommandManager.get(Commands.VIEW_TOGGLE_INSPECTION).setChecked(_enabled);\n        updateListeners();\n        if (!doNotSave) {\n            prefs.set(PREF_ENABLED, _enabled);\n            prefs.save();\n        }\n\n        // run immediately\n        run();\n    }\n\n    /**\n     * Toggle the collapsed state for the panel. This explicitly collapses the panel (as opposed to\n     * the auto collapse due to files with no errors & filetypes with no provider). When explicitly\n     * collapsed, the panel will not reopen automatically on switch files or save.\n     *\n     * @param {?boolean} collapsed Collapsed state. If omitted, the state is toggled.\n     * @param {?boolean} doNotSave true if the preference should not be saved to user settings. This is generally for events triggered by project-level settings.\n     */\n    function toggleCollapsed(collapsed, doNotSave) {\n        if (collapsed === undefined) {\n            collapsed = !_collapsed;\n        }\n\n        if (collapsed === _collapsed) {\n            return;\n        }\n\n        _collapsed = collapsed;\n        if (!doNotSave) {\n            prefs.set(PREF_COLLAPSED, _collapsed);\n            prefs.save();\n        }\n\n        if (_collapsed) {\n            Resizer.hide($problemsPanel);\n        } else {\n            if (_hasErrors) {\n                Resizer.show($problemsPanel);\n            }\n        }\n    }\n\n    /** Command to go to the first Problem */\n    function handleGotoFirstProblem() {\n        run();\n        if (_gotoEnabled) {\n            $problemsPanel.find("tr:not(.inspector-section)").first().trigger("click");\n        }\n    }\n\n    // Register command handlers\n    CommandManager.register(Strings.CMD_VIEW_TOGGLE_INSPECTION, Commands.VIEW_TOGGLE_INSPECTION,        toggleEnabled);\n    CommandManager.register(Strings.CMD_GOTO_FIRST_PROBLEM,     Commands.NAVIGATE_GOTO_FIRST_PROBLEM,   handleGotoFirstProblem);\n\n    // Register preferences\n    prefs.definePreference(PREF_ENABLED, "boolean", brackets.config["linting.enabled_by_default"], {\n        description: Strings.DESCRIPTION_LINTING_ENABLED\n    })\n        .on("change", function (e, data) {\n            toggleEnabled(prefs.get(PREF_ENABLED), true);\n        });\n\n    prefs.definePreference(PREF_COLLAPSED, "boolean", false, {\n        description: Strings.DESCRIPTION_LINTING_COLLAPSED\n    })\n        .on("change", function (e, data) {\n            toggleCollapsed(prefs.get(PREF_COLLAPSED), true);\n        });\n\n    prefs.definePreference(PREF_ASYNC_TIMEOUT, "number", 10000, {\n        description: Strings.DESCRIPTION_ASYNC_TIMEOUT\n    });\n\n    prefs.definePreference(PREF_PREFER_PROVIDERS, "array", [], {\n        description: Strings.DESCRIPTION_LINTING_PREFER,\n        valueType: "string"\n    });\n\n    prefs.definePreference(PREF_PREFERRED_ONLY, "boolean", false, {\n        description: Strings.DESCRIPTION_USE_PREFERED_ONLY\n    });\n\n    // Initialize items dependent on HTML DOM\n    AppInit.htmlReady(function () {\n        // Create bottom panel to list error details\n        var panelHtml = Mustache.render(PanelTemplate, Strings);\n        WorkspaceManager.createBottomPanel("errors", $(panelHtml), 100);\n        $problemsPanel = $("#problems-panel");\n\n        var $selectedRow;\n        $problemsPanelTable = $problemsPanel.find(".table-container")\n            .on("click", "tr", function (e) {\n                if ($selectedRow) {\n                    $selectedRow.removeClass("selected");\n                }\n\n                $selectedRow  = $(e.currentTarget);\n                $selectedRow.addClass("selected");\n\n                // This is a inspector title row, expand/collapse on click\n                if ($selectedRow.hasClass("inspector-section")) {\n                    var $triangle = $(".disclosure-triangle", $selectedRow);\n                    var isExpanded = $triangle.hasClass("expanded");\n\n                    // Clicking the inspector title section header collapses/expands result rows\n                    if (isExpanded) {\n                        $selectedRow.nextUntil(".inspector-section").addClass("forced-hidden");\n                    } else {\n                        $selectedRow.nextUntil(".inspector-section").removeClass("forced-hidden");\n                    }\n                    $triangle.toggleClass("expanded");\n\n                    var providerName = $selectedRow.find("input[type=\'hidden\']").val();\n                    prefs.set(providerName + ".collapsed", !isExpanded);\n                    prefs.save();\n                } else {\n                    // This is a problem marker row, show the result on click\n                    // Grab the required position data\n                    var lineTd    = $selectedRow.find(".line-number");\n                    var line      = parseInt(lineTd.text(), 10) - 1;  // convert friendlyLine back to pos.line\n                    // if there is no line number available, don\'t do anything\n                    if (!isNaN(line)) {\n                        var character = lineTd.data("character");\n\n                        var editor = EditorManager.getCurrentFullEditor();\n                        editor.setCursorPos(line, character, true);\n                        MainViewManager.focusActivePane();\n                    }\n                }\n            });\n\n        $("#problems-panel .close").click(function () {\n            toggleCollapsed(true);\n        });\n\n        // Status bar indicator - icon & tooltip updated by run()\n        var statusIconHtml = Mustache.render("<div id=\\"status-inspection\\">&nbsp;</div>", Strings);\n        StatusBar.addIndicator(INDICATOR_ID, $(statusIconHtml), true, "", "", "status-indent");\n\n        $("#status-inspection").click(function () {\n            // Clicking indicator toggles error panel, if any errors in current file\n            if (_hasErrors) {\n                toggleCollapsed();\n            }\n        });\n\n        // Set initial UI state\n        toggleEnabled(prefs.get(PREF_ENABLED), true);\n        toggleCollapsed(prefs.get(PREF_COLLAPSED), true);\n    });\n\n    // Testing\n    exports._unregisterAll          = _unregisterAll;\n    exports._PREF_ASYNC_TIMEOUT     = PREF_ASYNC_TIMEOUT;\n    exports._PREF_PREFER_PROVIDERS  = PREF_PREFER_PROVIDERS;\n    exports._PREF_PREFERRED_ONLY    = PREF_PREFERRED_ONLY;\n\n    // Public API\n    exports.register                    = register;\n    exports.Type                        = Type;\n    exports.toggleEnabled               = toggleEnabled;\n    exports.inspectFile                 = inspectFile;\n    exports.requestRun                  = run;\n    exports.getProvidersForPath         = getProvidersForPath;\n    exports.getProviderIDsForLanguage   = getProviderIDsForLanguage;\n});\n\n//# sourceURL=/language/CodeInspection.js'),
eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*jslint regexp: true */\n\ndefine(\'document/DocumentCommandHandlers\',[\'require\',\'exports\',\'module\',\'utils/AppInit\',\'command/CommandManager\',\'command/Commands\',\'utils/DeprecationWarning\',\'project/ProjectManager\',\'document/DocumentManager\',\'view/MainViewManager\',\'editor/EditorManager\',\'filesystem/FileSystem\',\'filesystem/FileSystemError\',\'file/FileUtils\',\'project/FileViewController\',\'document/InMemoryFile\',\'utils/StringUtils\',\'utils/Async\',\'utils/HealthLogger\',\'widgets/Dialogs\',\'widgets/DefaultDialogs\',\'strings\',\'widgets/PopUpManager\',\'preferences/PreferencesManager\',\'utils/PerfUtils\',\'utils/KeyEvent\',\'LiveDevelopment/Inspector/Inspector\',\'command/Menus\',\'utils/UrlParams\',\'widgets/StatusBar\',\'view/WorkspaceManager\',\'language/LanguageManager\',\'thirdparty/lodash\'],function (require, exports, module) {\n    "use strict";\n\n    // Load dependent modules\n    var AppInit             = require("utils/AppInit"),\n        CommandManager      = require("command/CommandManager"),\n        Commands            = require("command/Commands"),\n        DeprecationWarning  = require("utils/DeprecationWarning"),\n        ProjectManager      = require("project/ProjectManager"),\n        DocumentManager     = require("document/DocumentManager"),\n        MainViewManager     = require("view/MainViewManager"),\n        EditorManager       = require("editor/EditorManager"),\n        FileSystem          = require("filesystem/FileSystem"),\n        FileSystemError     = require("filesystem/FileSystemError"),\n        FileUtils           = require("file/FileUtils"),\n        FileViewController  = require("project/FileViewController"),\n        InMemoryFile        = require("document/InMemoryFile"),\n        StringUtils         = require("utils/StringUtils"),\n        Async               = require("utils/Async"),\n        HealthLogger        = require("utils/HealthLogger"),\n        Dialogs             = require("widgets/Dialogs"),\n        DefaultDialogs      = require("widgets/DefaultDialogs"),\n        Strings             = require("strings"),\n        PopUpManager        = require("widgets/PopUpManager"),\n        PreferencesManager  = require("preferences/PreferencesManager"),\n        PerfUtils           = require("utils/PerfUtils"),\n        KeyEvent            = require("utils/KeyEvent"),\n        Inspector           = require("LiveDevelopment/Inspector/Inspector"),\n        Menus               = require("command/Menus"),\n        UrlParams           = require("utils/UrlParams").UrlParams,\n        StatusBar           = require("widgets/StatusBar"),\n        WorkspaceManager    = require("view/WorkspaceManager"),\n        LanguageManager     = require("language/LanguageManager"),\n        _                   = require("thirdparty/lodash");\n\n    /**\n     * Handlers for commands related to document handling (opening, saving, etc.)\n     */\n\n    /**\n     * Container for label shown above editor; must be an inline element\n     * @type {jQueryObject}\n     */\n    var _$title = null;\n\n    /**\n     * Container for dirty dot; must be an inline element\n     * @type {jQueryObject}\n     */\n    var _$dirtydot = null;\n\n    /**\n     * Container for _$title; need not be an inline element\n     * @type {jQueryObject}\n     */\n    var _$titleWrapper = null;\n\n    /**\n     * Label shown above editor for current document: filename and potentially some of its path\n     * @type {string}\n     */\n    var _currentTitlePath = null;\n\n    /**\n     * Determine the dash character for each platform. Use emdash on Mac\n     * and a standard dash on all other platforms.\n     * @type {string}\n     */\n    var _osDash = brackets.platform === "mac" ? "\\u2014" : "-";\n\n    /**\n     * String template for window title when no file is open.\n     * @type {string}\n     */\n    var WINDOW_TITLE_STRING_NO_DOC = "{0} " + _osDash + " {1}";\n\n    /**\n    * String template for window title when a file is open.\n    * @type {string}\n    */\n    var WINDOW_TITLE_STRING_DOC = "{0} ({1}) " + _osDash + " {2}";\n\n    /**\n     * Container for _$titleWrapper; if changing title changes this element\'s height, must kick editor to resize\n     * @type {jQueryObject}\n     */\n    var _$titleContainerToolbar = null;\n\n    /**\n     * Last known height of _$titleContainerToolbar\n     * @type {number}\n     */\n    var _lastToolbarHeight = null;\n\n    /**\n     * index to use for next, new Untitled document\n     * @type {number}\n     */\n    var _nextUntitledIndexToUse = 1;\n\n    /**\n     * prevents reentrancy of browserReload()\n     * @type {boolean}\n     */\n    var _isReloading = false;\n\n    /** Unique token used to indicate user-driven cancellation of Save As (as opposed to file IO error) */\n    var USER_CANCELED = { userCanceled: true };\n\n    PreferencesManager.definePreference("defaultExtension", "string", "", {\n        excludeFromHints: true\n    });\n\n    /**\n     * JSLint workaround for circular dependency\n     * @type {function}\n     */\n    var handleFileSaveAs;\n\n    /**\n     * Updates the title bar with new file title or dirty indicator\n     * @private\n     */\n    function _updateTitle() {\n        var currentDoc          = DocumentManager.getCurrentDocument(),\n            windowTitle         = brackets.config.app_title,\n            currentlyViewedPath = MainViewManager.getCurrentlyViewedPath(MainViewManager.ACTIVE_PANE);\n\n        if (!brackets.nativeMenus) {\n            if (currentlyViewedPath) {\n                _$title.text(_currentTitlePath);\n                _$title.attr("title", currentlyViewedPath);\n                if (currentDoc) {\n                    // dirty dot is always in DOM so layout doesn\'t change, and visibility is toggled\n                    _$dirtydot.css("visibility", (currentDoc.isDirty) ? "visible" : "hidden");\n                } else {\n                    // hide dirty dot if there is no document\n                    _$dirtydot.css("visibility", "hidden");\n                }\n            } else {\n                _$title.text("");\n                _$title.attr("title", "");\n                _$dirtydot.css("visibility", "hidden");\n            }\n\n            // Set _$titleWrapper to a fixed width just large enough to accommodate _$title. This seems equivalent to what\n            // the browser would do automatically, but the CSS trick we use for layout requires _$titleWrapper to have a\n            // fixed width set on it (see the "#titlebar" CSS rule for details).\n            _$titleWrapper.css("width", "");\n            var newWidth = _$title.width();\n            _$titleWrapper.css("width", newWidth);\n\n            // Changing the width of the title may cause the toolbar layout to change height, which needs to resize the\n            // editor beneath it (toolbar changing height due to window resize is already caught by EditorManager).\n            var newToolbarHeight = _$titleContainerToolbar.height();\n            if (_lastToolbarHeight !== newToolbarHeight) {\n                _lastToolbarHeight = newToolbarHeight;\n                WorkspaceManager.recomputeLayout();\n            }\n        }\n\n        var projectRoot = ProjectManager.getProjectRoot();\n        if (projectRoot) {\n            var projectName = projectRoot.name;\n            // Construct shell/browser window title, e.g. "• index.html (myProject) — Brackets"\n            if (currentlyViewedPath) {\n                windowTitle = StringUtils.format(WINDOW_TITLE_STRING_DOC, _currentTitlePath, projectName, brackets.config.app_title);\n                // Display dirty dot when there are unsaved changes\n                if (currentDoc && currentDoc.isDirty) {\n                    windowTitle = "• " + windowTitle;\n                }\n            } else {\n                // A document is not open\n                windowTitle = StringUtils.format(WINDOW_TITLE_STRING_NO_DOC, projectName, brackets.config.app_title);\n            }\n        }\n        window.document.title = windowTitle;\n    }\n\n    /**\n     * Returns a short title for a given document.\n     *\n     * @param {Document} doc - the document to compute the short title for\n     * @return {string} - a short title for doc.\n     */\n    function _shortTitleForDocument(doc) {\n        var fullPath = doc.file.fullPath;\n\n        // If the document is untitled then return the filename, ("Untitled-n.ext");\n        // otherwise show the project-relative path if the file is inside the\n        // current project or the full absolute path if it\'s not in the project.\n        if (doc.isUntitled()) {\n            return fullPath.substring(fullPath.lastIndexOf("/") + 1);\n        } else {\n            return ProjectManager.makeProjectRelativeIfPossible(fullPath);\n        }\n    }\n\n    /**\n     * Handles currentFileChange and filenameChanged events and updates the titlebar\n     */\n    function handleCurrentFileChange() {\n        var newFile = MainViewManager.getCurrentlyViewedFile(MainViewManager.ACTIVE_PANE);\n\n        if (newFile) {\n            var newDocument = DocumentManager.getOpenDocumentForPath(newFile.fullPath);\n\n            if (newDocument) {\n                _currentTitlePath = _shortTitleForDocument(newDocument);\n            } else {\n                _currentTitlePath = ProjectManager.makeProjectRelativeIfPossible(newFile.fullPath);\n            }\n        } else {\n            _currentTitlePath = null;\n        }\n\n        // Update title text & "dirty dot" display\n        _updateTitle();\n    }\n\n    /**\n     * Handles dirtyFlagChange event and updates the title bar if necessary\n     */\n    function handleDirtyChange(event, changedDoc) {\n        var currentDoc = DocumentManager.getCurrentDocument();\n\n        if (currentDoc && changedDoc.file.fullPath === currentDoc.file.fullPath) {\n            _updateTitle();\n        }\n    }\n\n    /**\n     * Shows an error dialog indicating that the given file could not be opened due to the given error\n     * @param {!FileSystemError} name\n     * @return {!Dialog}\n     */\n    function showFileOpenError(name, path) {\n        return Dialogs.showModalDialog(\n            DefaultDialogs.DIALOG_ID_ERROR,\n            Strings.ERROR_OPENING_FILE_TITLE,\n            StringUtils.format(\n                Strings.ERROR_OPENING_FILE,\n                StringUtils.breakableUrl(path),\n                FileUtils.getFileErrorString(name)\n            )\n        );\n    }\n\n    /**\n     * @private\n     * Creates a document and displays an editor for the specified file path.\n     * @param {!string} fullPath\n     * @param {boolean=} silent If true, don\'t show error message\n     * @param {string=} paneId, the id oi the pane in which to open the file. Can be undefined, a valid pane id or ACTIVE_PANE.\n     * @param {{*}=} options, command options\n     * @return {$.Promise} a jQuery promise that will either\n     * - be resolved with a file for the specified file path or\n     * - be rejected with FileSystemError if the file can not be read.\n     * If paneId is undefined, the ACTIVE_PANE constant\n     */\n    function _doOpen(fullPath, silent, paneId, options) {\n        var result = new $.Deferred();\n\n        // workaround for https://github.com/adobe/brackets/issues/6001\n        // TODO should be removed once bug is closed.\n        // if we are already displaying a file do nothing but resolve immediately.\n        // this fixes timing issues in test cases.\n        if (MainViewManager.getCurrentlyViewedPath(paneId || MainViewManager.ACTIVE_PANE) === fullPath) {\n            result.resolve(MainViewManager.getCurrentlyViewedFile(paneId || MainViewManager.ACTIVE_PANE));\n            return result.promise();\n        }\n\n        function _cleanup(fileError, fullFilePath) {\n            if (fullFilePath) {\n                // For performance, we do lazy checking of file existence, so it may be in workingset\n                MainViewManager._removeView(paneId, FileSystem.getFileForPath(fullFilePath));\n                MainViewManager.focusActivePane();\n            }\n            result.reject(fileError);\n        }\n        function _showErrorAndCleanUp(fileError, fullFilePath) {\n            if (silent) {\n                _cleanup(fileError, fullFilePath);\n            } else {\n                showFileOpenError(fileError, fullFilePath).done(function () {\n                    _cleanup(fileError, fullFilePath);\n                });\n            }\n        }\n\n        if (!fullPath) {\n            throw new Error("_doOpen() called without fullPath");\n        } else {\n            var perfTimerName = PerfUtils.markStart("Open File:\\t" + fullPath);\n            result.always(function () {\n                PerfUtils.addMeasurement(perfTimerName);\n            });\n\n            var file = FileSystem.getFileForPath(fullPath);\n            MainViewManager._open(paneId, file, options)\n                .done(function () {\n                    result.resolve(file);\n                })\n                .fail(function (fileError) {\n                    _showErrorAndCleanUp(fileError, fullPath);\n                    result.reject();\n                });\n        }\n\n        return result.promise();\n    }\n\n    /**\n     * @private\n     * Used to track the default directory for the file open dialog\n     */\n    var _defaultOpenDialogFullPath = null;\n\n    /**\n     * @private\n     * Opens a file and displays its view (editor, image view, etc...) for the specified path.\n     * If no path is specified, a file prompt is provided for input.\n     * @param {?string} fullPath - The path of the file to open; if it\'s null we\'ll prompt for it\n     * @param {boolean=} silent - If true, don\'t show error message\n     * @param {string=}  paneId - the pane in which to open the file. Can be undefined, a valid pane id or ACTIVE_PANE\n     * @param {{*}=} options - options to pass to MainViewManager._open\n     * @return {$.Promise} a jQuery promise resolved with a Document object or\n     *                      rejected with an err\n     */\n    function _doOpenWithOptionalPath(fullPath, silent, paneId, options) {\n        var result;\n        paneId = paneId || MainViewManager.ACTIVE_PANE;\n        if (!fullPath) {\n            // Create placeholder deferred\n            result = new $.Deferred();\n\n            //first time through, default to the current project path\n            if (!_defaultOpenDialogFullPath) {\n                _defaultOpenDialogFullPath = ProjectManager.getProjectRoot().fullPath;\n            }\n            // Prompt the user with a dialog\n            FileSystem.showOpenDialog(true, false, Strings.OPEN_FILE, _defaultOpenDialogFullPath, null, function (err, paths) {\n                if (!err) {\n                    if (paths.length > 0) {\n                        // Add all files to the workingset without verifying that\n                        // they still exist on disk (for faster opening)\n                        var filesToOpen = [];\n\n                        paths.forEach(function (path) {\n                            filesToOpen.push(FileSystem.getFileForPath(path));\n                        });\n                        MainViewManager.addListToWorkingSet(paneId, filesToOpen);\n\n                        _doOpen(paths[paths.length - 1], silent, paneId, options)\n                            .done(function (file) {\n                                _defaultOpenDialogFullPath =\n                                    FileUtils.getDirectoryPath(\n                                        MainViewManager.getCurrentlyViewedPath(paneId)\n                                    );\n                            })\n                            // Send the resulting document that was opened\n                            .then(result.resolve, result.reject);\n                    } else {\n                        // Reject if the user canceled the dialog\n                        result.reject();\n                    }\n                }\n            });\n        } else {\n            result = _doOpen(fullPath, silent, paneId, options);\n        }\n\n        return result.promise();\n    }\n\n    /**\n     * @private\n     * Splits a decorated file path into its parts.\n     * @param {?string} path - a string of the form "fullpath[:lineNumber[:columnNumber]]"\n     * @return {{path: string, line: ?number, column: ?number}}\n     */\n    function _parseDecoratedPath(path) {\n        var result = {path: path, line: null, column: null};\n        if (path) {\n            // If the path has a trailing :lineNumber and :columnNumber, strip\n            // these off and assign to result.line and result.column.\n            var matchResult = /(.+?):([0-9]+)(:([0-9]+))?$/.exec(path);\n            if (matchResult) {\n                result.path = matchResult[1];\n                if (matchResult[2]) {\n                    result.line = parseInt(matchResult[2], 10);\n                }\n                if (matchResult[4]) {\n                    result.column = parseInt(matchResult[4], 10);\n                }\n            }\n        }\n        return result;\n    }\n\n    /**\n     * @typedef {{fullPath:?string=, silent:boolean=, paneId:string=}} FileCommandData\n     * fullPath: is in the form "path[:lineNumber[:columnNumber]]"\n     * lineNumber and columnNumber are 1-origin: lines and columns are 1-based\n     */\n\n    /**\n     * @typedef {{fullPath:?string=, index:number=, silent:boolean=, forceRedraw:boolean=, paneId:string=}} PaneCommandData\n     * fullPath: is in the form "path[:lineNumber[:columnNumber]]"\n     * lineNumber and columnNumber are 1-origin: lines and columns are 1-based\n     */\n\n    /**\n     * Opens the given file and makes it the current file. Does NOT add it to the workingset.\n     * @param {FileCommandData=} commandData - record with the following properties:\n     *   fullPath: File to open;\n     *   silent: optional flag to suppress error messages;\n     *   paneId: optional PaneId (defaults to active pane)\n     * @return {$.Promise} a jQuery promise that will be resolved with a file object\n     */\n    function handleFileOpen(commandData) {\n        var fileInfo = _parseDecoratedPath(commandData ? commandData.fullPath : null),\n            silent = (commandData && commandData.silent) || false,\n            paneId = (commandData && commandData.paneId) || MainViewManager.ACTIVE_PANE,\n            result = new $.Deferred();\n\n        _doOpenWithOptionalPath(fileInfo.path, silent, paneId, commandData && commandData.options)\n            .done(function (file) {\n                HealthLogger.fileOpened(file._path);\n                if (!commandData || !commandData.options || !commandData.options.noPaneActivate) {\n                    MainViewManager.setActivePaneId(paneId);\n                }\n\n                // If a line and column number were given, position the editor accordingly.\n                if (fileInfo.line !== null) {\n                    if (fileInfo.column === null || (fileInfo.column <= 0)) {\n                        fileInfo.column = 1;\n                    }\n\n                    // setCursorPos expects line/column numbers as 0-origin, so we subtract 1\n                    EditorManager.getCurrentFullEditor().setCursorPos(fileInfo.line - 1,\n                                                                      fileInfo.column - 1,\n                                                                      true);\n                }\n\n                result.resolve(file);\n            })\n            .fail(function (err) {\n                result.reject(err);\n            });\n\n        return result;\n        // Testing notes: here are some recommended manual tests for handleFileOpen, on Macintosh.\n        // Do all tests with brackets already running, and also with brackets not already running.\n        //\n        // drag a file onto brackets icon in desktop (this uses undecorated paths)\n        // drag a file onto brackets icon in taskbar (this uses undecorated paths)\n        // open a file from brackets sidebar (this uses undecorated paths)\n        // from command line: ...../Brackets.app/Contents path         - where \'path\' is undecorated\n        // from command line: ...../Brackets.app path                  - where \'path\' has the form "path:line"\n        // from command line: ...../Brackets.app path                  - where \'path\' has the form "path:line:column"\n        // from command line: open -a ...../Brackets.app path          - where \'path\' is undecorated\n        // do "View Source" from Adobe Scout version 1.2 or newer (this will use decorated paths of the form "path:line:column")\n    }\n\n    /**\n     * Opens the given file, makes it the current file, does NOT add it to the workingset\n     * @param {FileCommandData} commandData\n     *   fullPath: File to open;\n     *   silent: optional flag to suppress error messages;\n     *   paneId: optional PaneId (defaults to active pane)\n     * @return {$.Promise} a jQuery promise that will be resolved with @type {Document}\n     */\n    function handleDocumentOpen(commandData) {\n        var result = new $.Deferred();\n        handleFileOpen(commandData)\n            .done(function (file) {\n                // if we succeeded with an open file\n                //  then we need to resolve that to a document.\n                //  getOpenDocumentForPath will return null if there isn\'t a\n                //  supporting document for that file (e.g. an image)\n                var doc = DocumentManager.getOpenDocumentForPath(file.fullPath);\n                result.resolve(doc);\n            })\n            .fail(function (err) {\n                result.reject(err);\n            });\n\n        return result.promise();\n\n    }\n\n    /**\n     * Opens the given file, makes it the current file, AND adds it to the workingset\n     * @param {!PaneCommandData} commandData - record with the following properties:\n     *   fullPath: File to open;\n     *   index: optional index to position in workingset (defaults to last);\n     *   silent: optional flag to suppress error messages;\n     *   forceRedraw: flag to force the working set view redraw;\n     *   paneId: optional PaneId (defaults to active pane)\n     * @return {$.Promise} a jQuery promise that will be resolved with a @type {File}\n     */\n    function handleFileAddToWorkingSetAndOpen(commandData) {\n        return handleFileOpen(commandData).done(function (file) {\n            var paneId = (commandData && commandData.paneId) || MainViewManager.ACTIVE_PANE;\n            MainViewManager.addToWorkingSet(paneId, file, commandData.index, commandData.forceRedraw);\n            HealthLogger.fileOpened(file.fullPath, true);\n        });\n    }\n\n    /**\n     * @deprecated\n     * Opens the given file, makes it the current document, AND adds it to the workingset\n     * @param {!PaneCommandData} commandData - record with the following properties:\n     *   fullPath: File to open;\n     *   index: optional index to position in workingset (defaults to last);\n     *   silent: optional flag to suppress error messages;\n     *   forceRedraw: flag to force the working set view redraw;\n     *   paneId: optional PaneId (defaults to active pane)\n     * @return {$.Promise} a jQuery promise that will be resolved with @type {File}\n     */\n    function handleFileAddToWorkingSet(commandData) {\n        // This is a legacy deprecated command that\n        //  will use the new command and resolve with a document\n        //  as the legacy command would only support.\n        DeprecationWarning.deprecationWarning("Commands.FILE_ADD_TO_WORKING_SET has been deprecated.  Use Commands.CMD_ADD_TO_WORKINGSET_AND_OPEN instead.");\n        var result = new $.Deferred();\n\n        handleFileAddToWorkingSetAndOpen(commandData)\n            .done(function (file) {\n                // if we succeeded with an open file\n                //  then we need to resolve that to a document.\n                //  getOpenDocumentForPath will return null if there isn\'t a\n                //  supporting document for that file (e.g. an image)\n                var doc = DocumentManager.getOpenDocumentForPath(file.fullPath);\n                result.resolve(doc);\n            })\n            .fail(function (err) {\n                result.reject(err);\n            });\n\n        return result.promise();\n    }\n\n    /**\n     * @private\n     * Ensures the suggested file name doesn\'t already exit.\n     * @param {Directory} dir  The directory to use\n     * @param {string} baseFileName  The base to start with, "-n" will get appended to make unique\n     * @param {boolean} isFolder True if the suggestion is for a folder name\n     * @return {$.Promise} a jQuery promise that will be resolved with a unique name starting with\n     *   the given base name\n     */\n    function _getUntitledFileSuggestion(dir, baseFileName, isFolder) {\n        var suggestedName   = baseFileName + "-" + _nextUntitledIndexToUse++,\n            deferred        = $.Deferred();\n\n        if (_nextUntitledIndexToUse > 9999) {\n            //we\'ve tried this enough\n            deferred.reject();\n        } else {\n            var path = dir.fullPath + suggestedName,\n                entry = isFolder ? FileSystem.getDirectoryForPath(path)\n                                 : FileSystem.getFileForPath(path);\n\n            entry.exists(function (err, exists) {\n                if (err || exists) {\n                    _getUntitledFileSuggestion(dir, baseFileName, isFolder)\n                        .then(deferred.resolve, deferred.reject);\n                } else {\n                    deferred.resolve(suggestedName);\n                }\n            });\n        }\n\n        return deferred.promise();\n    }\n\n    /**\n     * Prevents re-entrancy into handleFileNewInProject()\n     *\n     * handleFileNewInProject() first prompts the user to name a file and then asynchronously writes the file when the\n     * filename field loses focus. This boolean prevent additional calls to handleFileNewInProject() when an existing\n     * file creation call is outstanding\n     */\n    var fileNewInProgress = false;\n\n    /**\n     * Bottleneck function for creating new files and folders in the project tree.\n     * @private\n     * @param {boolean} isFolder - true if creating a new folder, false if creating a new file\n     */\n    function _handleNewItemInProject(isFolder) {\n        if (fileNewInProgress) {\n            ProjectManager.forceFinishRename();\n            return;\n        }\n        fileNewInProgress = true;\n\n        // Determine the directory to put the new file\n        // If a file is currently selected in the tree, put it next to it.\n        // If a directory is currently selected in the tree, put it in it.\n        // If an Untitled document is selected or nothing is selected in the tree, put it at the root of the project.\n        // (Note: \'selected\' may be an item that\'s selected in the workingset and not the tree; but in that case\n        // ProjectManager.createNewItem() ignores the baseDir we give it and falls back to the project root on its own)\n        var baseDirEntry,\n            selected = ProjectManager.getSelectedItem();\n        if ((!selected) || (selected instanceof InMemoryFile)) {\n            selected = ProjectManager.getProjectRoot();\n        }\n\n        if (selected.isFile) {\n            baseDirEntry = FileSystem.getDirectoryForPath(selected.parentPath);\n        }\n\n        baseDirEntry = baseDirEntry || selected;\n\n        // Create the new node. The createNewItem function does all the heavy work\n        // of validating file name, creating the new file and selecting.\n        function createWithSuggestedName(suggestedName) {\n            return ProjectManager.createNewItem(baseDirEntry, suggestedName, false, isFolder)\n                .always(function () { fileNewInProgress = false; });\n        }\n\n        return _getUntitledFileSuggestion(baseDirEntry, Strings.UNTITLED, isFolder)\n            .then(createWithSuggestedName, createWithSuggestedName.bind(undefined, Strings.UNTITLED));\n    }\n\n    /**\n     * Create a new untitled document in the workingset, and make it the current document.\n     * Promise is resolved (synchronously) with the newly-created Document.\n     */\n    function handleFileNew() {\n        //var defaultExtension = PreferencesManager.get("defaultExtension");\n        //if (defaultExtension) {\n        //    defaultExtension = "." + defaultExtension;\n        //}\n        var defaultExtension = "";  // disable preference setting for now\n\n        var doc = DocumentManager.createUntitledDocument(_nextUntitledIndexToUse++, defaultExtension);\n        MainViewManager._edit(MainViewManager.ACTIVE_PANE, doc);\n\n        return new $.Deferred().resolve(doc).promise();\n    }\n\n    /**\n     * Create a new file in the project tree.\n     */\n    function handleFileNewInProject() {\n        _handleNewItemInProject(false);\n    }\n\n    /**\n     * Create a new folder in the project tree.\n     */\n    function handleNewFolderInProject() {\n        _handleNewItemInProject(true);\n    }\n\n    /**\n     * @private\n     * Shows an Error modal dialog\n     * @param {string} name\n     * @param {string} path\n     * @return {Dialog}\n     */\n    function _showSaveFileError(name, path) {\n        return Dialogs.showModalDialog(\n            DefaultDialogs.DIALOG_ID_ERROR,\n            Strings.ERROR_SAVING_FILE_TITLE,\n            StringUtils.format(\n                Strings.ERROR_SAVING_FILE,\n                StringUtils.breakableUrl(path),\n                FileUtils.getFileErrorString(name)\n            )\n        );\n    }\n\n    /**\n     * Saves a document to its existing path. Does NOT support untitled documents.\n     * @param {!Document} docToSave\n     * @param {boolean=} force Ignore CONTENTS_MODIFIED errors from the FileSystem\n     * @return {$.Promise} a promise that is resolved with the File of docToSave (to mirror\n     *   the API of _doSaveAs()). Rejected in case of IO error (after error dialog dismissed).\n     */\n    function doSave(docToSave, force) {\n        var result = new $.Deferred(),\n            file = docToSave.file;\n\n        function handleError(error) {\n            _showSaveFileError(error, file.fullPath)\n                .done(function () {\n                    result.reject(error);\n                });\n        }\n\n        function handleContentsModified() {\n            Dialogs.showModalDialog(\n                DefaultDialogs.DIALOG_ID_ERROR,\n                Strings.EXT_MODIFIED_TITLE,\n                StringUtils.format(\n                    Strings.EXT_MODIFIED_WARNING,\n                    StringUtils.breakableUrl(docToSave.file.fullPath)\n                ),\n                [\n                    {\n                        className : Dialogs.DIALOG_BTN_CLASS_LEFT,\n                        id        : Dialogs.DIALOG_BTN_SAVE_AS,\n                        text      : Strings.SAVE_AS\n                    },\n                    {\n                        className : Dialogs.DIALOG_BTN_CLASS_NORMAL,\n                        id        : Dialogs.DIALOG_BTN_CANCEL,\n                        text      : Strings.CANCEL\n                    },\n                    {\n                        className : Dialogs.DIALOG_BTN_CLASS_PRIMARY,\n                        id        : Dialogs.DIALOG_BTN_OK,\n                        text      : Strings.SAVE_AND_OVERWRITE\n                    }\n                ]\n            )\n                .done(function (id) {\n                    if (id === Dialogs.DIALOG_BTN_CANCEL) {\n                        result.reject();\n                    } else if (id === Dialogs.DIALOG_BTN_OK) {\n                        // Re-do the save, ignoring any CONTENTS_MODIFIED errors\n                        doSave(docToSave, true).then(result.resolve, result.reject);\n                    } else if (id === Dialogs.DIALOG_BTN_SAVE_AS) {\n                        // Let the user choose a different path at which to write the file\n                        handleFileSaveAs({doc: docToSave}).then(result.resolve, result.reject);\n                    }\n                });\n        }\n\n        function trySave() {\n            // We don\'t want normalized line endings, so it\'s important to pass true to getText()\n            FileUtils.writeText(file, docToSave.getText(true), force)\n                .done(function () {\n                    docToSave.notifySaved();\n                    result.resolve(file);\n                })\n                .fail(function (err) {\n                    if (err === FileSystemError.CONTENTS_MODIFIED) {\n                        handleContentsModified();\n                    } else {\n                        handleError(err);\n                    }\n                });\n        }\n\n        if (docToSave.isDirty) {\n            if (docToSave.keepChangesTime) {\n                // The user has decided to keep conflicting changes in the editor. Check to make sure\n                // the file hasn\'t changed since they last decided to do that.\n                docToSave.file.stat(function (err, stat) {\n                    // If the file has been deleted on disk, the stat will return an error, but that\'s fine since\n                    // that means there\'s no file to overwrite anyway, so the save will succeed without us having\n                    // to set force = true.\n                    if (!err && docToSave.keepChangesTime === stat.mtime.getTime()) {\n                        // OK, it\'s safe to overwrite the file even though we never reloaded the latest version,\n                        // since the user already said s/he wanted to ignore the disk version.\n                        force = true;\n                    }\n                    trySave();\n                });\n            } else {\n                trySave();\n            }\n        } else {\n            result.resolve(file);\n        }\n        result.always(function () {\n            MainViewManager.focusActivePane();\n        });\n        return result.promise();\n    }\n\n    /**\n     * Reverts the Document to the current contents of its file on disk. Discards any unsaved changes\n     * in the Document.\n     * @private\n     * @param {Document} doc\n     * @param {boolean=} suppressError If true, then a failure to read the file will be ignored and the\n     *      resulting promise will be resolved rather than rejected.\n     * @return {$.Promise} a Promise that\'s resolved when done, or (if suppressError is false)\n     *      rejected with a FileSystemError if the file cannot be read (after showing an error\n     *      dialog to the user).\n     */\n    function _doRevert(doc, suppressError) {\n        var result = new $.Deferred();\n\n        FileUtils.readAsText(doc.file)\n            .done(function (text, readTimestamp) {\n                doc.refreshText(text, readTimestamp);\n                result.resolve();\n            })\n            .fail(function (error) {\n                if (suppressError) {\n                    result.resolve();\n                } else {\n                    showFileOpenError(error, doc.file.fullPath)\n                        .done(function () {\n                            result.reject(error);\n                        });\n                }\n            });\n\n        return result.promise();\n    }\n\n    /**\n     * Opens the native OS save as dialog and saves document.\n     * The original document is reverted in case it was dirty.\n     * Text selection and cursor position from the original document\n     * are preserved in the new document.\n     * When saving to the original document the document is saved as if save was called.\n     * @param {Document} doc\n     * @param {?{cursorPos:!Object, selection:!Object, scrollPos:!Object}} settings - properties of\n     *      the original document\'s editor that need to be carried over to the new document\n     *      i.e. scrollPos, cursorPos and text selection\n     * @return {$.Promise} a promise that is resolved with the saved document\'s File. Rejected in\n     *   case of IO error (after error dialog dismissed), or if the Save dialog was canceled.\n     */\n    function _doSaveAs(doc, settings) {\n        var origPath,\n            saveAsDefaultPath,\n            defaultName,\n            result = new $.Deferred();\n\n        function _doSaveAfterSaveDialog(path) {\n            var newFile;\n\n            // Reconstruct old doc\'s editor\'s view state, & finally resolve overall promise\n            function _configureEditorAndResolve() {\n                var editor = EditorManager.getActiveEditor();\n                if (editor) {\n                    if (settings) {\n                        editor.setSelections(settings.selections);\n                        editor.setScrollPos(settings.scrollPos.x, settings.scrollPos.y);\n                    }\n                }\n                result.resolve(newFile);\n            }\n\n            // Replace old document with new one in open editor & workingset\n            function openNewFile() {\n                var fileOpenPromise;\n\n                if (FileViewController.getFileSelectionFocus() === FileViewController.PROJECT_MANAGER) {\n                    // If selection is in the tree, leave workingset unchanged - even if orig file is in the list\n                    fileOpenPromise = FileViewController\n                        .openAndSelectDocument(path, FileViewController.PROJECT_MANAGER);\n                } else {\n                    // If selection is in workingset, replace orig item in place with the new file\n                    var info = MainViewManager.findInAllWorkingSets(doc.file.fullPath).shift();\n\n                    // Remove old file from workingset; no redraw yet since there\'s a pause before the new file is opened\n                    MainViewManager._removeView(info.paneId, doc.file, true);\n\n                    // Add new file to workingset, and ensure we now redraw (even if index hasn\'t changed)\n                    fileOpenPromise = handleFileAddToWorkingSetAndOpen({fullPath: path, paneId: info.paneId, index: info.index, forceRedraw: true});\n                }\n\n                // always configure editor after file is opened\n                fileOpenPromise.always(function () {\n                    _configureEditorAndResolve();\n                });\n            }\n\n            // Same name as before - just do a regular Save\n            if (path === origPath) {\n                doSave(doc).then(result.resolve, result.reject);\n                return;\n            }\n\n            doc.isSaving = true;    // mark that we\'re saving the document\n\n            // First, write document\'s current text to new file\n            newFile = FileSystem.getFileForPath(path);\n\n            // Save as warns you when you\'re about to overwrite a file, so we\n            // explicitly allow "blind" writes to the filesystem in this case,\n            // ignoring warnings about the contents being modified outside of\n            // the editor.\n            FileUtils.writeText(newFile, doc.getText(true), true)\n                .done(function () {\n                    // If there were unsaved changes before Save As, they don\'t stay with the old\n                    // file anymore - so must revert the old doc to match disk content.\n                    // Only do this if the doc was dirty: _doRevert on a file that is not dirty and\n                    // not in the workingset has the side effect of adding it to the workingset.\n                    if (doc.isDirty && !(doc.isUntitled())) {\n                        // if the file is dirty it must be in the workingset\n                        // _doRevert is side effect free in this case\n                        _doRevert(doc).always(openNewFile);\n                    } else {\n                        openNewFile();\n                    }\n                })\n                .fail(function (error) {\n                    _showSaveFileError(error, path)\n                        .done(function () {\n                            result.reject(error);\n                        });\n                })\n                .always(function () {\n                    // mark that we\'re done saving the document\n                    doc.isSaving = false;\n                });\n        }\n\n        if (doc) {\n            origPath = doc.file.fullPath;\n            // If the document is an untitled document, we should default to project root.\n            if (doc.isUntitled()) {\n                // (Issue #4489) if we\'re saving an untitled document, go ahead and switch to this document\n                //   in the editor, so that if we\'re, for example, saving several files (ie. Save All),\n                //   then the user can visually tell which document we\'re currently prompting them to save.\n                var info = MainViewManager.findInAllWorkingSets(origPath).shift();\n\n                if (info) {\n                    MainViewManager._open(info.paneId, doc.file);\n                }\n\n                // If the document is untitled, default to project root.\n                saveAsDefaultPath = ProjectManager.getProjectRoot().fullPath;\n            } else {\n                saveAsDefaultPath = FileUtils.getDirectoryPath(origPath);\n            }\n            defaultName = FileUtils.getBaseName(origPath);\n            var file = FileSystem.getFileForPath(origPath);\n            if (file instanceof InMemoryFile) {\n                var language = LanguageManager.getLanguageForPath(origPath);\n                if (language) {\n                    var fileExtensions = language.getFileExtensions();\n                    if (fileExtensions && fileExtensions.length > 0) {\n                        defaultName += "." + fileExtensions[0];\n                    }\n                }\n            }\n            FileSystem.showSaveDialog(Strings.SAVE_FILE_AS, saveAsDefaultPath, defaultName, function (err, selectedPath) {\n                if (!err) {\n                    if (selectedPath) {\n                        _doSaveAfterSaveDialog(selectedPath);\n                    } else {\n                        result.reject(USER_CANCELED);\n                    }\n                } else {\n                    result.reject(err);\n                }\n            });\n        } else {\n            result.reject();\n        }\n        return result.promise();\n    }\n\n    /**\n     * Saves the given file. If no file specified, assumes the current document.\n     * @param {?{doc: ?Document}} commandData  Document to close, or null\n     * @return {$.Promise} resolved with the saved document\'s File (which MAY DIFFER from the doc\n     *   passed in, if the doc was untitled). Rejected in case of IO error (after error dialog\n     *   dismissed), or if doc was untitled and the Save dialog was canceled (will be rejected with\n     *   USER_CANCELED object).\n     */\n    function handleFileSave(commandData) {\n        var activeEditor = EditorManager.getActiveEditor(),\n            activeDoc = activeEditor && activeEditor.document,\n            doc = (commandData && commandData.doc) || activeDoc,\n            settings;\n\n        if (doc && !doc.isSaving) {\n            if (doc.isUntitled()) {\n                if (doc === activeDoc) {\n                    settings = {\n                        selections: activeEditor.getSelections(),\n                        scrollPos: activeEditor.getScrollPos()\n                    };\n                }\n\n                return _doSaveAs(doc, settings);\n            } else {\n                return doSave(doc);\n            }\n        }\n\n        return $.Deferred().reject().promise();\n    }\n\n    /**\n     * Saves all unsaved documents corresponding to \'fileList\'. Returns a Promise that will be resolved\n     * once ALL the save operations have been completed. If ANY save operation fails, an error dialog is\n     * immediately shown but after dismissing we continue saving the other files; after all files have\n     * been processed, the Promise is rejected if any ONE save operation failed (the error given is the\n     * first one encountered). If the user cancels any Save As dialog (for untitled files), the\n     * Promise is immediately rejected.\n     *\n     * @param {!Array.<File>} fileList\n     * @return {!$.Promise} Resolved with {!Array.<File>}, which may differ from \'fileList\'\n     *      if any of the files were Unsaved documents. Or rejected with {?FileSystemError}.\n     */\n    function _saveFileList(fileList) {\n        // Do in serial because doSave shows error UI for each file, and we don\'t want to stack\n        // multiple dialogs on top of each other\n        var userCanceled = false,\n            filesAfterSave = [];\n\n        return Async.doSequentially(\n            fileList,\n            function (file) {\n                // Abort remaining saves if user canceled any Save As dialog\n                if (userCanceled) {\n                    return (new $.Deferred()).reject().promise();\n                }\n\n                var doc = DocumentManager.getOpenDocumentForPath(file.fullPath);\n                if (doc) {\n                    var savePromise = handleFileSave({doc: doc});\n                    savePromise\n                        .done(function (newFile) {\n                            filesAfterSave.push(newFile);\n                        })\n                        .fail(function (error) {\n                            if (error === USER_CANCELED) {\n                                userCanceled = true;\n                            }\n                        });\n                    return savePromise;\n                } else {\n                    // workingset entry that was never actually opened - ignore\n                    filesAfterSave.push(file);\n                    return (new $.Deferred()).resolve().promise();\n                }\n            },\n            false  // if any save fails, continue trying to save other files anyway; then reject at end\n        ).then(function () {\n            return filesAfterSave;\n        });\n    }\n\n    /**\n     * Saves all unsaved documents. See _saveFileList() for details on the semantics.\n     * @return {$.Promise}\n     */\n    function saveAll() {\n        return _saveFileList(MainViewManager.getWorkingSet(MainViewManager.ALL_PANES));\n    }\n\n    /**\n     * Prompts user with save as dialog and saves document.\n     * @return {$.Promise} a promise that is resolved once the save has been completed\n     */\n    handleFileSaveAs = function (commandData) {\n        // Default to current document if doc is null\n        var doc = null,\n            settings;\n\n        if (commandData) {\n            doc = commandData.doc;\n        } else {\n            var activeEditor = EditorManager.getActiveEditor();\n            if (activeEditor) {\n                doc = activeEditor.document;\n                settings = {};\n                settings.selections = activeEditor.getSelections();\n                settings.scrollPos = activeEditor.getScrollPos();\n            }\n        }\n\n        // doc may still be null, e.g. if no editors are open, but _doSaveAs() does a null check on\n        // doc.\n        return _doSaveAs(doc, settings);\n    };\n\n    /**\n     * Saves all unsaved documents.\n     * @return {$.Promise} a promise that is resolved once ALL the saves have been completed; or rejected\n     *      after all operations completed if any ONE of them failed.\n     */\n    function handleFileSaveAll() {\n        return saveAll();\n    }\n\n    /**\n     * Closes the specified file: removes it from the workingset, and closes the main editor if one\n     * is open. Prompts user about saving changes first, if document is dirty.\n     *\n     * @param {?{file: File, promptOnly:boolean}} commandData  Optional bag of arguments:\n     *      file - File to close; assumes the current document if not specified.\n     *      promptOnly - If true, only displays the relevant confirmation UI and does NOT actually\n     *          close the document. This is useful when chaining file-close together with other user\n     *          prompts that may be cancelable.\n     *      _forceClose - If true, closes the document without prompting even if there are unsaved\n     *          changes. Only for use in unit tests.\n     * @return {$.Promise} a promise that is resolved when the file is closed, or if no file is open.\n     *      FUTURE: should we reject the promise if no file is open?\n     */\n    function handleFileClose(commandData) {\n        var file,\n            promptOnly,\n            _forceClose,\n            _spawnedRequest,\n            paneId = MainViewManager.ACTIVE_PANE;\n\n        if (commandData) {\n            file        = commandData.file;\n            promptOnly  = commandData.promptOnly;\n            _forceClose = commandData._forceClose;\n            paneId      = commandData.paneId || paneId;\n            _spawnedRequest = commandData.spawnedRequest || false;\n        }\n\n        // utility function for handleFileClose: closes document & removes from workingset\n        function doClose(file) {\n            if (!promptOnly) {\n                MainViewManager._close(paneId, file);\n            }\n        }\n\n        var result = new $.Deferred(), promise = result.promise();\n\n        // Default to current document if doc is null\n        if (!file) {\n            file = MainViewManager.getCurrentlyViewedFile(MainViewManager.ACTIVE_PANE);\n        }\n\n        // No-op if called when nothing is open; TODO: (issue #273) should command be grayed out instead?\n        if (!file) {\n            result.resolve();\n            return promise;\n        }\n\n        var doc = DocumentManager.getOpenDocumentForPath(file.fullPath);\n\n        if (doc && doc.isDirty && !_forceClose && (MainViewManager.isExclusiveToPane(doc.file, paneId) || _spawnedRequest)) {\n            // Document is dirty: prompt to save changes before closing if only the document is exclusively\n            // listed in the requested pane or this is part of a list close request\n            var filename = FileUtils.getBaseName(doc.file.fullPath);\n\n            Dialogs.showModalDialog(\n                DefaultDialogs.DIALOG_ID_SAVE_CLOSE,\n                Strings.SAVE_CLOSE_TITLE,\n                StringUtils.format(\n                    Strings.SAVE_CLOSE_MESSAGE,\n                    StringUtils.breakableUrl(filename)\n                ),\n                [\n                    {\n                        className : Dialogs.DIALOG_BTN_CLASS_LEFT,\n                        id        : Dialogs.DIALOG_BTN_DONTSAVE,\n                        text      : Strings.DONT_SAVE\n                    },\n                    {\n                        className : Dialogs.DIALOG_BTN_CLASS_NORMAL,\n                        id        : Dialogs.DIALOG_BTN_CANCEL,\n                        text      : Strings.CANCEL\n                    },\n                    {\n                        className : Dialogs.DIALOG_BTN_CLASS_PRIMARY,\n                        id        : Dialogs.DIALOG_BTN_OK,\n                        text      : Strings.SAVE\n                    }\n                ]\n            )\n                .done(function (id) {\n                    if (id === Dialogs.DIALOG_BTN_CANCEL) {\n                        result.reject();\n                    } else if (id === Dialogs.DIALOG_BTN_OK) {\n                        // "Save" case: wait until we confirm save has succeeded before closing\n                        handleFileSave({doc: doc})\n                            .done(function (newFile) {\n                                doClose(newFile);\n                                result.resolve();\n                            })\n                            .fail(function () {\n                                result.reject();\n                            });\n                    } else {\n                        // "Don\'t Save" case: even though we\'re closing the main editor, other views of\n                        // the Document may remain in the UI. So we need to revert the Document to a clean\n                        // copy of whatever\'s on disk.\n                        doClose(file);\n\n                        // Only reload from disk if we\'ve executed the Close for real.\n                        if (promptOnly) {\n                            result.resolve();\n                        } else {\n                            // Even if there are no listeners attached to the document at this point, we want\n                            // to do the revert anyway, because clients who are listening to the global documentChange\n                            // event from the Document module (rather than attaching to the document directly),\n                            // such as the Find in Files panel, should get a change event. However, in that case,\n                            // we want to ignore errors during the revert, since we don\'t want a failed revert\n                            // to throw a dialog if the document isn\'t actually open in the UI.\n                            var suppressError = !DocumentManager.getOpenDocumentForPath(file.fullPath);\n                            _doRevert(doc, suppressError)\n                                .then(result.resolve, result.reject);\n                        }\n                    }\n                });\n            result.always(function () {\n                MainViewManager.focusActivePane();\n            });\n        } else {\n            // File is not open, or IS open but Document not dirty: close immediately\n            doClose(file);\n            MainViewManager.focusActivePane();\n            result.resolve();\n        }\n        return promise;\n    }\n\n    /**\n     * @param {!Array.<File>} list - the list of files to close\n     * @param {boolean} promptOnly - true to just prompt for saving documents with actually closing them.\n     * @param {boolean} _forceClose Whether to force all the documents to close even if they have unsaved changes. For unit testing only.\n     * @return {jQuery.Promise} promise that is resolved or rejected when the function finishes.\n     */\n    function _closeList(list, promptOnly, _forceClose) {\n        var result      = new $.Deferred(),\n            unsavedDocs = [];\n\n        list.forEach(function (file) {\n            var doc = DocumentManager.getOpenDocumentForPath(file.fullPath);\n            if (doc && doc.isDirty) {\n                unsavedDocs.push(doc);\n            }\n        });\n\n        if (unsavedDocs.length === 0 || _forceClose) {\n            // No unsaved changes or we want to ignore them, so we can proceed without a prompt\n            result.resolve();\n\n        } else if (unsavedDocs.length === 1) {\n            // Only one unsaved file: show the usual single-file-close confirmation UI\n            var fileCloseArgs = { file: unsavedDocs[0].file, promptOnly: promptOnly, spawnedRequest: true };\n\n            handleFileClose(fileCloseArgs).done(function () {\n                // still need to close any other, non-unsaved documents\n                result.resolve();\n            }).fail(function () {\n                result.reject();\n            });\n\n        } else {\n            // Multiple unsaved files: show a single bulk prompt listing all files\n            var message = Strings.SAVE_CLOSE_MULTI_MESSAGE + FileUtils.makeDialogFileList(_.map(unsavedDocs, _shortTitleForDocument));\n\n            Dialogs.showModalDialog(\n                DefaultDialogs.DIALOG_ID_SAVE_CLOSE,\n                Strings.SAVE_CLOSE_TITLE,\n                message,\n                [\n                    {\n                        className : Dialogs.DIALOG_BTN_CLASS_LEFT,\n                        id        : Dialogs.DIALOG_BTN_DONTSAVE,\n                        text      : Strings.DONT_SAVE\n                    },\n                    {\n                        className : Dialogs.DIALOG_BTN_CLASS_NORMAL,\n                        id        : Dialogs.DIALOG_BTN_CANCEL,\n                        text      : Strings.CANCEL\n                    },\n                    {\n                        className : Dialogs.DIALOG_BTN_CLASS_PRIMARY,\n                        id        : Dialogs.DIALOG_BTN_OK,\n                        text      : Strings.SAVE\n                    }\n                ]\n            )\n                .done(function (id) {\n                    if (id === Dialogs.DIALOG_BTN_CANCEL) {\n                        result.reject();\n                    } else if (id === Dialogs.DIALOG_BTN_OK) {\n                        // Save all unsaved files, then if that succeeds, close all\n                        _saveFileList(list).done(function (listAfterSave) {\n                            // List of files after save may be different, if any were Untitled\n                            result.resolve(listAfterSave);\n                        }).fail(function () {\n                            result.reject();\n                        });\n                    } else {\n                        // "Don\'t Save" case--we can just go ahead and close all files.\n                        result.resolve();\n                    }\n                });\n        }\n\n        // If all the unsaved-changes confirmations pan out above, then go ahead & close all editors\n        // NOTE: this still happens before any done() handlers added by our caller, because jQ\n        // guarantees that handlers run in the order they are added.\n        result.done(function (listAfterSave) {\n            listAfterSave = listAfterSave || list;\n            if (!promptOnly) {\n                MainViewManager._closeList(MainViewManager.ALL_PANES, listAfterSave);\n            }\n        });\n\n        return result.promise();\n    }\n\n    /**\n     * Closes all open files; equivalent to calling handleFileClose() for each document, except\n     * that unsaved changes are confirmed once, in bulk.\n     * @param {?{promptOnly: boolean, _forceClose: boolean}}\n     *          If promptOnly is true, only displays the relevant confirmation UI and does NOT\n     *          actually close any documents. This is useful when chaining close-all together with\n     *          other user prompts that may be cancelable.\n     *          If _forceClose is true, forces the files to close with no confirmation even if dirty.\n     *          Should only be used for unit test cleanup.\n     * @return {$.Promise} a promise that is resolved when all files are closed\n     */\n    function handleFileCloseAll(commandData) {\n        return _closeList(MainViewManager.getAllOpenFiles(),\n                                    (commandData && commandData.promptOnly), (commandData && commandData._forceClose));\n    }\n\n\n    /**\n     * Closes a list of open files; equivalent to calling handleFileClose() for each document, except\n     * that unsaved changes are confirmed once, in bulk.\n     * @param {?{promptOnly: boolean, _forceClose: boolean}}\n     *          If promptOnly is true, only displays the relevant confirmation UI and does NOT\n     *          actually close any documents. This is useful when chaining close-all together with\n     *          other user prompts that may be cancelable.\n     *          If _forceClose is true, forces the files to close with no confirmation even if dirty.\n     *          Should only be used for unit test cleanup.\n     * @return {$.Promise} a promise that is resolved when all files are closed\n     */\n    function handleFileCloseList(commandData) {\n        return _closeList(commandData.fileList);\n    }\n\n    /**\n     * @private - tracks our closing state if we get called again\n     */\n    var _windowGoingAway = false;\n\n    /**\n     * @private\n     * Common implementation for close/quit/reload which all mostly\n     * the same except for the final step\n     * @param {Object} commandData - (not referenced)\n     * @param {!function()} postCloseHandler - called after close\n     * @param {!function()} failHandler - called when the save fails to cancel closing the window\n     */\n    function _handleWindowGoingAway(commandData, postCloseHandler, failHandler) {\n        if (_windowGoingAway) {\n            //if we get called back while we\'re closing, then just return\n            return (new $.Deferred()).reject().promise();\n        }\n\n        return CommandManager.execute(Commands.FILE_CLOSE_ALL, { promptOnly: true })\n            .done(function () {\n                _windowGoingAway = true;\n\n                // Give everyone a chance to save their state - but don\'t let any problems block\n                // us from quitting\n                try {\n                    ProjectManager.trigger("beforeAppClose");\n                } catch (ex) {\n                    console.error(ex);\n                }\n\n                postCloseHandler();\n            })\n            .fail(function () {\n                _windowGoingAway = false;\n                if (failHandler) {\n                    failHandler();\n                }\n            });\n    }\n\n    /**\n     * @private\n     * Implementation for abortQuit callback to reset quit sequence settings\n     */\n    function handleAbortQuit() {\n        _windowGoingAway = false;\n    }\n\n    /**\n     * @private\n     * Implementation for native APP_BEFORE_MENUPOPUP callback to trigger beforeMenuPopup event\n     */\n    function handleBeforeMenuPopup() {\n        PopUpManager.trigger("beforeMenuPopup");\n    }\n\n    /**\n     * Confirms any unsaved changes, then closes the window\n     * @param {Object} command data\n     */\n    function handleFileCloseWindow(commandData) {\n        return _handleWindowGoingAway(\n            commandData,\n            function () {\n                window.close();\n            },\n            function () {\n                // if fail, tell the app to abort any pending quit operation.\n                brackets.app.abortQuit();\n            }\n        );\n    }\n\n    /** Show a textfield to rename whatever is currently selected in the sidebar (or current doc if nothing else selected) */\n    function handleFileRename() {\n        // Prefer selected sidebar item (which could be a folder)\n        var entry = ProjectManager.getContext();\n        if (!entry) {\n            // Else use current file (not selected in ProjectManager if not visible in tree or workingset)\n            entry = MainViewManager.getCurrentlyViewedFile();\n        }\n        if (entry) {\n            ProjectManager.renameItemInline(entry);\n        }\n    }\n\n    /** Closes the window, then quits the app */\n    function handleFileQuit(commandData) {\n        return _handleWindowGoingAway(\n            commandData,\n            function () {\n                brackets.app.quit();\n            },\n            function () {\n                // if fail, don\'t exit: user canceled (or asked us to save changes first, but we failed to do so)\n                brackets.app.abortQuit();\n            }\n        );\n    }\n\n\n    /** Are we already listening for a keyup to call detectDocumentNavEnd()? */\n    var _addedNavKeyHandler = false;\n\n    /**\n     * When the Ctrl key is released, if we were in the middle of a next/prev document navigation\n     * sequence, now is the time to end it and update the MRU order. If we allowed the order to update\n     * on every next/prev increment, the 1st & 2nd entries would just switch places forever and we\'d\n     * never get further down the list.\n     * @param {jQueryEvent} event Key-up event\n     */\n    function detectDocumentNavEnd(event) {\n        if (event.keyCode === KeyEvent.DOM_VK_CONTROL) {  // Ctrl key\n            MainViewManager.endTraversal();\n            _addedNavKeyHandler = false;\n            $(window.document.body).off("keyup", detectDocumentNavEnd);\n        }\n    }\n\n    /**\n     * Navigate to the next/previous (MRU or list order) document. Don\'t update MRU order yet\n     * @param {!number} inc Delta indicating in which direction we\'re going\n     * @param {?boolean} listOrder Whether to navigate using MRU or list order. Defaults to MRU order\n     */\n    function goNextPrevDoc(inc, listOrder) {\n        var result;\n        if (listOrder) {\n            result = MainViewManager.traverseToNextViewInListOrder(inc);\n        } else {\n            result = MainViewManager.traverseToNextViewByMRU(inc);\n        }\n\n        if (result) {\n            var file = result.file,\n                paneId = result.paneId;\n\n            MainViewManager.beginTraversal();\n            CommandManager.execute(Commands.FILE_OPEN, {fullPath: file.fullPath,\n                                                        paneId: paneId });\n\n            // Listen for ending of Ctrl+Tab sequence\n            if (!_addedNavKeyHandler) {\n                _addedNavKeyHandler = true;\n                $(window.document.body).keyup(detectDocumentNavEnd);\n            }\n        }\n    }\n\n    /** Next Doc command handler (MRU order) **/\n    function handleGoNextDoc() {\n        goNextPrevDoc(+1);\n    }\n\n    /** Previous Doc command handler (MRU order) **/\n    function handleGoPrevDoc() {\n        goNextPrevDoc(-1);\n    }\n\n    /** Next Doc command handler (list order) **/\n    function handleGoNextDocListOrder() {\n        goNextPrevDoc(+1, true);\n    }\n\n    /** Previous Doc command handler (list order) **/\n    function handleGoPrevDocListOrder() {\n        goNextPrevDoc(-1, true);\n    }\n\n    /** Show in File Tree command handler **/\n    function handleShowInTree() {\n        ProjectManager.showInTree(MainViewManager.getCurrentlyViewedFile(MainViewManager.ACTIVE_PANE));\n    }\n\n    /** Delete file command handler  **/\n    function handleFileDelete() {\n        var entry = ProjectManager.getSelectedItem();\n        Dialogs.showModalDialog(\n            DefaultDialogs.DIALOG_ID_EXT_DELETED,\n            Strings.CONFIRM_DELETE_TITLE,\n            StringUtils.format(\n                entry.isFile ? Strings.CONFIRM_FILE_DELETE : Strings.CONFIRM_FOLDER_DELETE,\n                StringUtils.breakableUrl(entry.name)\n            ),\n            [\n                {\n                    className : Dialogs.DIALOG_BTN_CLASS_NORMAL,\n                    id        : Dialogs.DIALOG_BTN_CANCEL,\n                    text      : Strings.CANCEL\n                },\n                {\n                    className : Dialogs.DIALOG_BTN_CLASS_PRIMARY,\n                    id        : Dialogs.DIALOG_BTN_OK,\n                    text      : Strings.DELETE\n                }\n            ]\n        )\n            .done(function (id) {\n                if (id === Dialogs.DIALOG_BTN_OK) {\n                    ProjectManager.deleteItem(entry);\n                }\n            });\n    }\n\n    /** Show the selected sidebar (tree or workingset) item in Finder/Explorer */\n    function handleShowInOS() {\n        var entry = ProjectManager.getSelectedItem();\n        if (entry) {\n            brackets.app.showOSFolder(entry.fullPath, function (err) {\n                if (err) {\n                    console.error("Error showing \'" + entry.fullPath + "\' in OS folder:", err);\n                }\n            });\n        }\n    }\n\n    /**\n     * Disables Brackets\' cache via the remote debugging protocol.\n     * @return {$.Promise} A jQuery promise that will be resolved when the cache is disabled and be rejected in any other case\n     */\n    function _disableCache() {\n        var result = new $.Deferred();\n\n        if (brackets.inBrowser) {\n            result.resolve();\n        } else {\n            var port = brackets.app.getRemoteDebuggingPort ? brackets.app.getRemoteDebuggingPort() : 9234;\n            Inspector.getDebuggableWindows("127.0.0.1", port)\n                .fail(result.reject)\n                .done(function (response) {\n                    var page = response[0];\n                    if (!page || !page.webSocketDebuggerUrl) {\n                        result.reject();\n                        return;\n                    }\n                    var _socket = new WebSocket(page.webSocketDebuggerUrl);\n                    // Disable the cache\n                    _socket.onopen = function _onConnect() {\n                        _socket.send(JSON.stringify({ id: 1, method: "Network.setCacheDisabled", params: { "cacheDisabled": true } }));\n                    };\n                    // The first message will be the confirmation => disconnected to allow remote debugging of Brackets\n                    _socket.onmessage = function _onMessage(e) {\n                        _socket.close();\n                        result.resolve();\n                    };\n                    // In case of an error\n                    _socket.onerror = result.reject;\n                });\n        }\n\n        return result.promise();\n    }\n\n    /**\n    * Does a full reload of the browser window\n    * @param {string} href The url to reload into the window\n    */\n    function browserReload(href) {\n        if (_isReloading) {\n            return;\n        }\n\n        _isReloading = true;\n\n        return CommandManager.execute(Commands.FILE_CLOSE_ALL, { promptOnly: true }).done(function () {\n            // Give everyone a chance to save their state - but don\'t let any problems block\n            // us from quitting\n            try {\n                ProjectManager.trigger("beforeAppClose");\n            } catch (ex) {\n                console.error(ex);\n            }\n\n            // Disable the cache to make reloads work\n            _disableCache().always(function () {\n                // Remove all menus to assure every part of Brackets is reloaded\n                _.forEach(Menus.getAllMenus(), function (value, key) {\n                    Menus.removeMenu(key);\n                });\n\n                // If there\'s a fragment in both URLs, setting location.href won\'t actually reload\n                var fragment = href.indexOf("#");\n                if (fragment !== -1) {\n                    href = href.substr(0, fragment);\n                }\n\n                // Defer for a more successful reload - issue #11539\n                setTimeout(function () {\n                    window.location.href = href;\n                }, 1000);\n            });\n        }).fail(function () {\n            _isReloading = false;\n        });\n    }\n\n    /**\n     * Restarts brackets Handler\n     * @param {boolean=} loadWithoutExtensions - true to restart without extensions,\n     *                                           otherwise extensions are loadeed as it is durning a typical boot\n     */\n    function handleReload(loadWithoutExtensions) {\n        var href    = window.location.href,\n            params  = new UrlParams();\n\n        // Make sure the Reload Without User Extensions parameter is removed\n        params.parse();\n\n        if (loadWithoutExtensions) {\n            if (!params.get("reloadWithoutUserExts")) {\n                params.put("reloadWithoutUserExts", true);\n            }\n        } else {\n            if (params.get("reloadWithoutUserExts")) {\n                params.remove("reloadWithoutUserExts");\n            }\n        }\n\n        if (href.indexOf("?") !== -1) {\n            href = href.substring(0, href.indexOf("?"));\n        }\n\n        if (!params.isEmpty()) {\n            href += "?" + params.toString();\n        }\n\n        // Give Mac native menus extra time to update shortcut highlighting.\n        // Prevents the menu highlighting from getting messed up after reload.\n        window.setTimeout(function () {\n            browserReload(href);\n        }, 100);\n    }\n\n    /** Reload Without Extensions commnad handler **/\n    var handleReloadWithoutExts = _.partial(handleReload, true);\n\n    /** Do some initialization when the DOM is ready **/\n    AppInit.htmlReady(function () {\n        // If in Reload Without User Extensions mode, update UI and log console message\n        var params      = new UrlParams(),\n            $icon       = $("#toolbar-extension-manager"),\n            $indicator  = $("<div>" + Strings.STATUSBAR_USER_EXTENSIONS_DISABLED + "</div>");\n\n        params.parse();\n\n        if (params.get("reloadWithoutUserExts") === "true") {\n            CommandManager.get(Commands.FILE_EXTENSION_MANAGER).setEnabled(false);\n            $icon.css({display: "none"});\n            StatusBar.addIndicator("status-user-exts", $indicator, true);\n            console.log("Brackets reloaded with extensions disabled");\n        }\n\n        // Init DOM elements\n        _$titleContainerToolbar = $("#titlebar");\n        _$titleWrapper = $(".title-wrapper", _$titleContainerToolbar);\n        _$title = $(".title", _$titleWrapper);\n        _$dirtydot = $(".dirty-dot", _$titleWrapper);\n    });\n\n    // Exported for unit testing only\n    exports._parseDecoratedPath = _parseDecoratedPath;\n\n    // Set some command strings\n    var quitString  = Strings.CMD_QUIT,\n        showInOS    = Strings.CMD_SHOW_IN_OS;\n    if (brackets.platform === "win") {\n        quitString  = Strings.CMD_EXIT;\n        showInOS    = Strings.CMD_SHOW_IN_EXPLORER;\n    } else if (brackets.platform === "mac") {\n        showInOS    = Strings.CMD_SHOW_IN_FINDER;\n    }\n\n    // Define public API\n    exports.showFileOpenError = showFileOpenError;\n\n    // Deprecated commands\n    CommandManager.register(Strings.CMD_ADD_TO_WORKING_SET,          Commands.FILE_ADD_TO_WORKING_SET,        handleFileAddToWorkingSet);\n    CommandManager.register(Strings.CMD_FILE_OPEN,                   Commands.FILE_OPEN,                      handleDocumentOpen);\n\n    // New commands\n    CommandManager.register(Strings.CMD_ADD_TO_WORKING_SET,          Commands.CMD_ADD_TO_WORKINGSET_AND_OPEN, handleFileAddToWorkingSetAndOpen);\n    CommandManager.register(Strings.CMD_FILE_OPEN,                   Commands.CMD_OPEN,                       handleFileOpen);\n\n    // File Commands\n    CommandManager.register(Strings.CMD_FILE_NEW_UNTITLED,           Commands.FILE_NEW_UNTITLED,              handleFileNew);\n    CommandManager.register(Strings.CMD_FILE_NEW,                    Commands.FILE_NEW,                       handleFileNewInProject);\n    CommandManager.register(Strings.CMD_FILE_NEW_FOLDER,             Commands.FILE_NEW_FOLDER,                handleNewFolderInProject);\n    CommandManager.register(Strings.CMD_FILE_SAVE,                   Commands.FILE_SAVE,                      handleFileSave);\n    CommandManager.register(Strings.CMD_FILE_SAVE_ALL,               Commands.FILE_SAVE_ALL,                  handleFileSaveAll);\n    CommandManager.register(Strings.CMD_FILE_SAVE_AS,                Commands.FILE_SAVE_AS,                   handleFileSaveAs);\n    CommandManager.register(Strings.CMD_FILE_RENAME,                 Commands.FILE_RENAME,                    handleFileRename);\n    CommandManager.register(Strings.CMD_FILE_DELETE,                 Commands.FILE_DELETE,                    handleFileDelete);\n\n    // Close Commands\n    CommandManager.register(Strings.CMD_FILE_CLOSE,                  Commands.FILE_CLOSE,                     handleFileClose);\n    CommandManager.register(Strings.CMD_FILE_CLOSE_ALL,              Commands.FILE_CLOSE_ALL,                 handleFileCloseAll);\n    CommandManager.register(Strings.CMD_FILE_CLOSE_LIST,             Commands.FILE_CLOSE_LIST,                handleFileCloseList);\n\n    // Traversal\n    CommandManager.register(Strings.CMD_NEXT_DOC,                    Commands.NAVIGATE_NEXT_DOC,              handleGoNextDoc);\n    CommandManager.register(Strings.CMD_PREV_DOC,                    Commands.NAVIGATE_PREV_DOC,              handleGoPrevDoc);\n\n    CommandManager.register(Strings.CMD_NEXT_DOC_LIST_ORDER,         Commands.NAVIGATE_NEXT_DOC_LIST_ORDER,   handleGoNextDocListOrder);\n    CommandManager.register(Strings.CMD_PREV_DOC_LIST_ORDER,         Commands.NAVIGATE_PREV_DOC_LIST_ORDER,   handleGoPrevDocListOrder);\n\n    // Special Commands\n    CommandManager.register(showInOS,                                Commands.NAVIGATE_SHOW_IN_OS,            handleShowInOS);\n    CommandManager.register(quitString,                              Commands.FILE_QUIT,                      handleFileQuit);\n    CommandManager.register(Strings.CMD_SHOW_IN_TREE,                Commands.NAVIGATE_SHOW_IN_FILE_TREE,     handleShowInTree);\n\n    // These commands have no UI representation and are only used internally\n    CommandManager.registerInternal(Commands.APP_ABORT_QUIT,            handleAbortQuit);\n    CommandManager.registerInternal(Commands.APP_BEFORE_MENUPOPUP,      handleBeforeMenuPopup);\n    CommandManager.registerInternal(Commands.FILE_CLOSE_WINDOW,         handleFileCloseWindow);\n    CommandManager.registerInternal(Commands.APP_RELOAD,                handleReload);\n    CommandManager.registerInternal(Commands.APP_RELOAD_WITHOUT_EXTS,   handleReloadWithoutExts);\n\n    // Listen for changes that require updating the editor titlebar\n    ProjectManager.on("projectOpen", _updateTitle);\n    DocumentManager.on("dirtyFlagChange", handleDirtyChange);\n    DocumentManager.on("fileNameChange", handleCurrentFileChange);\n    MainViewManager.on("currentFileChange", handleCurrentFileChange);\n\n    // Reset the untitled document counter before changing projects\n    ProjectManager.on("beforeProjectClose", function () { _nextUntitledIndexToUse = 1; });\n});\n\n//# sourceURL=/document/DocumentCommandHandlers.js'),
eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*jslint regexp: true */\n\n/**\n * Set of utilities for simple parsing of JS text.\n */\ndefine(\'language/JSUtils\',[\'require\',\'exports\',\'module\',\'thirdparty/lodash\',\'thirdparty/CodeMirror/lib/codemirror\',\'utils/Async\',\'document/DocumentManager\',\'document/ChangedDocumentTracker\',\'filesystem/FileSystem\',\'file/FileUtils\',\'utils/PerfUtils\',\'utils/StringUtils\'],function (require, exports, module) {\n    "use strict";\n\n    var _ = require("thirdparty/lodash");\n\n    // Load brackets modules\n    var CodeMirror              = require("thirdparty/CodeMirror/lib/codemirror"),\n        Async                   = require("utils/Async"),\n        DocumentManager         = require("document/DocumentManager"),\n        ChangedDocumentTracker  = require("document/ChangedDocumentTracker"),\n        FileSystem              = require("filesystem/FileSystem"),\n        FileUtils               = require("file/FileUtils"),\n        PerfUtils               = require("utils/PerfUtils"),\n        StringUtils             = require("utils/StringUtils");\n\n    /**\n     * Tracks dirty documents between invocations of findMatchingFunctions.\n     * @type {ChangedDocumentTracker}\n     */\n    var _changedDocumentTracker = new ChangedDocumentTracker();\n\n    /**\n     * Function matching regular expression. Recognizes the forms:\n     * "function functionName()", "functionName = function()", and\n     * "functionName: function()".\n     *\n     * Note: JavaScript identifier matching is not strictly to spec. This\n     * RegExp matches any sequence of characters that is not whitespace.\n     * @type {RegExp}\n     */\n    var _functionRegExp = /(function\\s+([$_A-Za-z\\u007F-\\uFFFF][$_A-Za-z0-9\\u007F-\\uFFFF]*)\\s*(\\([^)]*\\)))|(([$_A-Za-z\\u007F-\\uFFFF][$_A-Za-z0-9\\u007F-\\uFFFF]*)\\s*[:=]\\s*function\\s*(\\([^)]*\\)))/g;\n\n    /**\n     * @private\n     * Return an object mapping function name to offset info for all functions in the specified text.\n     * Offset info is an array, since multiple functions of the same name can exist.\n     * @param {!string} text Document text\n     * @return {Object.<string, Array.<{offsetStart: number, offsetEnd: number}>}\n     */\n    function _findAllFunctionsInText(text) {\n        var results = {},\n            functionName,\n            match;\n\n        PerfUtils.markStart(PerfUtils.JSUTILS_REGEXP);\n\n        while ((match = _functionRegExp.exec(text)) !== null) {\n            functionName = (match[2] || match[5]).trim();\n\n            if (!Array.isArray(results[functionName])) {\n                results[functionName] = [];\n            }\n\n            results[functionName].push({offsetStart: match.index});\n        }\n\n        PerfUtils.addMeasurement(PerfUtils.JSUTILS_REGEXP);\n\n        return results;\n    }\n\n    // Given the start offset of a function definition (before the opening brace), find\n    // the end offset for the function (the closing "}"). Returns the position one past the\n    // close brace. Properly ignores braces inside comments, strings, and regexp literals.\n    function _getFunctionEndOffset(text, offsetStart) {\n        var mode = CodeMirror.getMode({}, "javascript");\n        var state = CodeMirror.startState(mode), stream, style, token;\n        var curOffset = offsetStart, length = text.length, blockCount = 0, lineStart;\n        var foundStartBrace = false;\n\n        // Get a stream for the next line, and update curOffset and lineStart to point to the\n        // beginning of that next line. Returns false if we\'re at the end of the text.\n        function nextLine() {\n            if (stream) {\n                curOffset++; // account for \\n\n                if (curOffset >= length) {\n                    return false;\n                }\n            }\n            lineStart = curOffset;\n            var lineEnd = text.indexOf("\\n", lineStart);\n            if (lineEnd === -1) {\n                lineEnd = length;\n            }\n            stream = new CodeMirror.StringStream(text.slice(curOffset, lineEnd));\n            return true;\n        }\n\n        // Get the next token, updating the style and token to refer to the current\n        // token, and updating the curOffset to point to the end of the token (relative\n        // to the start of the original text).\n        function nextToken() {\n            if (curOffset >= length) {\n                return false;\n            }\n            if (stream) {\n                // Set the start of the next token to the current stream position.\n                stream.start = stream.pos;\n            }\n            while (!stream || stream.eol()) {\n                if (!nextLine()) {\n                    return false;\n                }\n            }\n            style = mode.token(stream, state);\n            token = stream.current();\n            curOffset = lineStart + stream.pos;\n            return true;\n        }\n\n        while (nextToken()) {\n            if (style !== "comment" && style !== "regexp" && style !== "string" && style !== "string-2") {\n                if (token === "{") {\n                    foundStartBrace = true;\n                    blockCount++;\n                } else if (token === "}") {\n                    blockCount--;\n                }\n            }\n\n            // blockCount starts at 0, so we don\'t want to check if it hits 0\n            // again until we\'ve actually gone past the start of the function body.\n            if (foundStartBrace && blockCount <= 0) {\n                return curOffset;\n            }\n        }\n\n        // Shouldn\'t get here, but if we do, return the end of the text as the offset.\n        return length;\n    }\n\n    /**\n     * @private\n     * Computes function offsetEnd, lineStart and lineEnd. Appends a result record to rangeResults.\n     * @param {!Document} doc\n     * @param {!string} functionName\n     * @param {!Array.<{offsetStart: number, offsetEnd: number}>} functions\n     * @param {!Array.<{document: Document, name: string, lineStart: number, lineEnd: number}>} rangeResults\n     */\n    function _computeOffsets(doc, functionName, functions, rangeResults) {\n        var text    = doc.getText(),\n            lines   = StringUtils.getLines(text);\n\n        functions.forEach(function (funcEntry) {\n            if (!funcEntry.offsetEnd) {\n                PerfUtils.markStart(PerfUtils.JSUTILS_END_OFFSET);\n\n                funcEntry.offsetEnd = _getFunctionEndOffset(text, funcEntry.offsetStart);\n                funcEntry.lineStart = StringUtils.offsetToLineNum(lines, funcEntry.offsetStart);\n                funcEntry.lineEnd   = StringUtils.offsetToLineNum(lines, funcEntry.offsetEnd);\n\n                PerfUtils.addMeasurement(PerfUtils.JSUTILS_END_OFFSET);\n            }\n\n            rangeResults.push({\n                document:   doc,\n                name:       functionName,\n                lineStart:  funcEntry.lineStart,\n                lineEnd:    funcEntry.lineEnd\n            });\n        });\n    }\n\n    /**\n     * @private\n     * Read a file and build a function list. Result is cached in fileInfo.\n     * @param {!FileInfo} fileInfo File to parse\n     * @param {!$.Deferred} result Deferred to resolve with all functions found and the document\n     */\n    function _readFile(fileInfo, result) {\n        DocumentManager.getDocumentForPath(fileInfo.fullPath)\n            .done(function (doc) {\n                var allFunctions = _findAllFunctionsInText(doc.getText());\n\n                // Cache the result in the fileInfo object\n                fileInfo.JSUtils = {};\n                fileInfo.JSUtils.functions = allFunctions;\n                fileInfo.JSUtils.timestamp = doc.diskTimestamp;\n\n                result.resolve({doc: doc, functions: allFunctions});\n            })\n            .fail(function (error) {\n                result.reject(error);\n            });\n    }\n\n    /**\n     * Determines if the document function cache is up to date.\n     * @param {FileInfo} fileInfo\n     * @return {$.Promise} A promise resolved with true with true when a function cache is available for the document. Resolves\n     *   with false when there is no cache or the cache is stale.\n     */\n    function _shouldGetFromCache(fileInfo) {\n        var result = new $.Deferred(),\n            isChanged = _changedDocumentTracker.isPathChanged(fileInfo.fullPath);\n\n        if (isChanged && fileInfo.JSUtils) {\n            // See if it\'s dirty and in the working set first\n            var doc = DocumentManager.getOpenDocumentForPath(fileInfo.fullPath);\n\n            if (doc && doc.isDirty) {\n                result.resolve(false);\n            } else {\n                // If a cache exists, check the timestamp on disk\n                var file = FileSystem.getFileForPath(fileInfo.fullPath);\n\n                file.stat(function (err, stat) {\n                    if (!err) {\n                        result.resolve(fileInfo.JSUtils.timestamp.getTime() === stat.mtime.getTime());\n                    } else {\n                        result.reject(err);\n                    }\n                });\n            }\n        } else {\n            // Use the cache if the file did not change and the cache exists\n            result.resolve(!isChanged && fileInfo.JSUtils);\n        }\n\n        return result.promise();\n    }\n\n    /**\n     * @private\n     * Compute lineStart and lineEnd for each matched function\n     * @param {!Array.<{doc: Document, fileInfo: FileInfo, functions: Array.<offsetStart: number, offsetEnd: number>}>} docEntries\n     * @param {!string} functionName\n     * @param {!Array.<document: Document, name: string, lineStart: number, lineEnd: number>} rangeResults\n     * @return {$.Promise} A promise resolved with an array of document ranges to populate a MultiRangeInlineEditor.\n     */\n    function _getOffsetsForFunction(docEntries, functionName) {\n        // Filter for documents that contain the named function\n        var result              = new $.Deferred(),\n            matchedDocuments    = [],\n            rangeResults        = [];\n\n        docEntries.forEach(function (docEntry) {\n            // Need to call _.has here since docEntry.functions could have an\n            // entry for "hasOwnProperty", which results in an error if trying\n            // to invoke docEntry.functions.hasOwnProperty().\n            if (_.has(docEntry.functions, functionName)) {\n                var functionsInDocument = docEntry.functions[functionName];\n                matchedDocuments.push({doc: docEntry.doc, fileInfo: docEntry.fileInfo, functions: functionsInDocument});\n            }\n        });\n\n        Async.doInParallel(matchedDocuments, function (docEntry) {\n            var doc         = docEntry.doc,\n                oneResult   = new $.Deferred();\n\n            // doc will be undefined if we hit the cache\n            if (!doc) {\n                DocumentManager.getDocumentForPath(docEntry.fileInfo.fullPath)\n                    .done(function (fetchedDoc) {\n                        _computeOffsets(fetchedDoc, functionName, docEntry.functions, rangeResults);\n                    })\n                    .always(function () {\n                        oneResult.resolve();\n                    });\n            } else {\n                _computeOffsets(doc, functionName, docEntry.functions, rangeResults);\n                oneResult.resolve();\n            }\n\n            return oneResult.promise();\n        }).done(function () {\n            result.resolve(rangeResults);\n        });\n\n        return result.promise();\n    }\n\n    /**\n     * Resolves with a record containing the Document or FileInfo and an Array of all\n     * function names with offsets for the specified file. Results may be cached.\n     * @param {FileInfo} fileInfo\n     * @return {$.Promise} A promise resolved with a document info object that\n     *   contains a map of all function names from the document and each function\'s start offset.\n     */\n    function _getFunctionsForFile(fileInfo) {\n        var result = new $.Deferred();\n\n        _shouldGetFromCache(fileInfo)\n            .done(function (useCache) {\n                if (useCache) {\n                    // Return cached data. doc property is undefined since we hit the cache.\n                    // _getOffsets() will fetch the Document if necessary.\n                    result.resolve({/*doc: undefined,*/fileInfo: fileInfo, functions: fileInfo.JSUtils.functions});\n                } else {\n                    _readFile(fileInfo, result);\n                }\n            }).fail(function (err) {\n                result.reject(err);\n            });\n\n        return result.promise();\n    }\n\n    /**\n     * @private\n     * Get all functions for each FileInfo.\n     * @param {Array.<FileInfo>} fileInfos\n     * @return {$.Promise} A promise resolved with an array of document info objects that each\n     *   contain a map of all function names from the document and each function\'s start offset.\n     */\n    function _getFunctionsInFiles(fileInfos) {\n        var result      = new $.Deferred(),\n            docEntries  = [];\n\n        PerfUtils.markStart(PerfUtils.JSUTILS_GET_ALL_FUNCTIONS);\n\n        Async.doInParallel(fileInfos, function (fileInfo) {\n            var oneResult = new $.Deferred();\n\n            _getFunctionsForFile(fileInfo)\n                .done(function (docInfo) {\n                    docEntries.push(docInfo);\n                })\n                .always(function (error) {\n                    // If one file fails, continue to search\n                    oneResult.resolve();\n                });\n\n            return oneResult.promise();\n        }).always(function () {\n            // Reset ChangedDocumentTracker now that the cache is up to date.\n            _changedDocumentTracker.reset();\n\n            PerfUtils.addMeasurement(PerfUtils.JSUTILS_GET_ALL_FUNCTIONS);\n            result.resolve(docEntries);\n        });\n\n        return result.promise();\n    }\n\n    /**\n     * Return all functions that have the specified name, searching across all the given files.\n     *\n     * @param {!String} functionName The name to match.\n     * @param {!Array.<File>} fileInfos The array of files to search.\n     * @param {boolean=} keepAllFiles If true, don\'t ignore non-javascript files.\n     * @return {$.Promise} that will be resolved with an Array of objects containing the\n     *      source document, start line, and end line (0-based, inclusive range) for each matching function list.\n     *      Does not addRef() the documents returned in the array.\n     */\n    function findMatchingFunctions(functionName, fileInfos, keepAllFiles) {\n        var result  = new $.Deferred(),\n            jsFiles = [];\n\n        if (!keepAllFiles) {\n            // Filter fileInfos for .js files\n            jsFiles = fileInfos.filter(function (fileInfo) {\n                return FileUtils.getFileExtension(fileInfo.fullPath).toLowerCase() === "js";\n            });\n        } else {\n            jsFiles = fileInfos;\n        }\n\n        // RegExp search (or cache lookup) for all functions in the project\n        _getFunctionsInFiles(jsFiles).done(function (docEntries) {\n            // Compute offsets for all matched functions\n            _getOffsetsForFunction(docEntries, functionName).done(function (rangeResults) {\n                result.resolve(rangeResults);\n            });\n        });\n\n        return result.promise();\n    }\n\n    /**\n     * Finds all instances of the specified searchName in "text".\n     * Returns an Array of Objects with start and end properties.\n     *\n     * @param text {!String} JS text to search\n     * @param searchName {!String} function name to search for\n     * @return {Array.<{offset:number, functionName:string}>}\n     *      Array of objects containing the start offset for each matched function name.\n     */\n    function findAllMatchingFunctionsInText(text, searchName) {\n        var allFunctions = _findAllFunctionsInText(text);\n        var result = [];\n        var lines = text.split("\\n");\n\n        _.forEach(allFunctions, function (functions, functionName) {\n            if (functionName === searchName || searchName === "*") {\n                functions.forEach(function (funcEntry) {\n                    var endOffset = _getFunctionEndOffset(text, funcEntry.offsetStart);\n                    result.push({\n                        name: functionName,\n                        lineStart: StringUtils.offsetToLineNum(lines, funcEntry.offsetStart),\n                        lineEnd: StringUtils.offsetToLineNum(lines, endOffset)\n                    });\n                });\n            }\n        });\n\n        return result;\n    }\n\n    PerfUtils.createPerfMeasurement("JSUTILS_GET_ALL_FUNCTIONS", "Parallel file search across project");\n    PerfUtils.createPerfMeasurement("JSUTILS_REGEXP", "RegExp search for all functions");\n    PerfUtils.createPerfMeasurement("JSUTILS_END_OFFSET", "Find end offset for a single matched function");\n\n    exports.findAllMatchingFunctionsInText = findAllMatchingFunctionsInText;\n    exports._getFunctionEndOffset = _getFunctionEndOffset; // For testing only\n    exports.findMatchingFunctions = findMatchingFunctions;\n});\n\n//# sourceURL=/language/JSUtils.js'),eval('/*\n * Copyright (c) 2012 - present Adobe Systems Incorporated. All rights reserved.\n *\n * Permission is hereby granted, free of charge, to any person obtaining a\n * copy of this software and associated documentation files (the "Software"),\n * to deal in the Software without restriction, including without limitation\n * the rights to use, copy, modify, merge, publish, distribute, sublicense,\n * and/or sell copies of the Software, and to permit persons to whom the\n * Software is furnished to do so, subject to the following conditions:\n *\n * The above copyright notice and this permission notice shall be included in\n * all copies or substantial portions of the Software.\n *\n * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR\n * IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,\n * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE\n * AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER\n * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING\n * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER\n * DEALINGS IN THE SOFTWARE.\n *\n */\n\n/*global jQuery */\n\n// TODO: (issue #264) break out the definition of brackets into a separate module from the application controller logic\n\n/**\n * brackets is the root of the Brackets codebase. This file pulls in all other modules as\n * dependencies (or dependencies thereof), initializes the UI, and binds global menus & keyboard\n * shortcuts to their Commands.\n *\n * Unlike other modules, this one can be accessed without an explicit require() because it exposes\n * a global object, window.brackets.\n */\ndefine(\'brackets\',[\'require\',\'exports\',\'module\',\'widgets/bootstrap-dropdown\',\'widgets/bootstrap-modal\',\'widgets/bootstrap-twipsy-mod\',\'thirdparty/CodeMirror/addon/edit/closebrackets\',\'thirdparty/CodeMirror/addon/edit/closetag\',\'thirdparty/CodeMirror/addon/edit/matchbrackets\',\'thirdparty/CodeMirror/addon/edit/matchtags\',\'thirdparty/CodeMirror/addon/fold/xml-fold\',\'thirdparty/CodeMirror/addon/mode/multiplex\',\'thirdparty/CodeMirror/addon/mode/overlay\',\'thirdparty/CodeMirror/addon/mode/simple\',\'thirdparty/CodeMirror/addon/scroll/scrollpastend\',\'thirdparty/CodeMirror/addon/search/match-highlighter\',\'thirdparty/CodeMirror/addon/search/searchcursor\',\'thirdparty/CodeMirror/addon/selection/active-line\',\'thirdparty/CodeMirror/addon/selection/mark-selection\',\'thirdparty/CodeMirror/keymap/sublime\',\'utils/AppInit\',\'language/LanguageManager\',\'project/ProjectManager\',\'project/FileViewController\',\'project/FileSyncManager\',\'command/Commands\',\'command/CommandManager\',\'utils/PerfUtils\',\'filesystem/FileSystem\',\'strings\',\'widgets/Dialogs\',\'widgets/DefaultDialogs\',\'utils/ExtensionLoader\',\'utils/Async\',\'utils/UpdateNotification\',\'utils/UrlParams\',\'preferences/PreferencesManager\',\'utils/DragAndDrop\',\'utils/NativeApp\',\'utils/DeprecationWarning\',\'view/ViewCommandHandlers\',\'view/MainViewManager\',\'text!htmlContent/main-view.html\',\'utils/Global\',\'editor/CSSInlineEditor\',\'project/WorkingSetSort\',\'search/QuickOpen\',\'search/QuickOpenHelper\',\'file/FileUtils\',\'project/SidebarView\',\'utils/Resizer\',\'LiveDevelopment/main\',\'utils/NodeConnection\',\'utils/NodeDomain\',\'utils/ColorUtils\',\'view/ThemeManager\',\'thirdparty/lodash\',\'language/XMLUtils\',\'language/JSONUtils\',\'thirdparty/CodeMirror/lib/codemirror\',\'thirdparty/mustache/mustache\',\'thirdparty/path-utils/path-utils\',\'command/DefaultMenus\',\'document/ChangedDocumentTracker\',\'editor/EditorCommandHandlers\',\'editor/EditorOptionHandlers\',\'editor/EditorStatusBar\',\'editor/ImageViewer\',\'extensibility/InstallExtensionDialog\',\'extensibility/ExtensionManagerDialog\',\'help/HelpCommandHandlers\',\'search/FindInFilesUI\',\'search/FindReplace\',\'view/PanelManager\',\'editor/CodeHintManager\',\'language/CodeInspection\',\'command/CommandManager\',\'command/Commands\',\'language/CSSUtils\',\'widgets/DefaultDialogs\',\'widgets/Dialogs\',\'document/DocumentCommandHandlers\',\'document/DocumentManager\',\'document/Document\',\'LiveDevelopment/Agents/DOMAgent\',\'utils/DragAndDrop\',\'editor/EditorManager\',\'utils/ExtensionLoader\',\'utils/ExtensionUtils\',\'filesystem/File\',\'search/FileFilters\',\'project/FileSyncManager\',\'filesystem/FileSystem\',\'file/FileUtils\',\'project/FileViewController\',\'search/FindInFiles\',\'search/FindInFilesUI\',\'language/HTMLInstrumentation\',\'LiveDevelopment/Inspector/Inspector\',\'extensibility/InstallExtensionDialog\',\'language/JSUtils\',\'command/KeyBindingManager\',\'language/LanguageManager\',\'LiveDevelopment/LiveDevelopment\',\'LiveDevelopment/LiveDevMultiBrowser\',\'LiveDevelopment/LiveDevServerManager\',\'view/MainViewFactory\',\'view/MainViewManager\',\'command/Menus\',\'editor/MultiRangeInlineEditor\',\'utils/NativeApp\',\'utils/PerfUtils\',\'preferences/PreferencesManager\',\'project/ProjectManager\',\'LiveDevelopment/Agents/RemoteAgent\',\'search/ScrollTrackMarkers\',\'utils/UpdateNotification\',\'project/WorkingSetView\'],function (require, exports, module) {\n    "use strict";\n\n    // Load dependent non-module scripts\n    require("widgets/bootstrap-dropdown");\n    require("widgets/bootstrap-modal");\n    require("widgets/bootstrap-twipsy-mod");\n\n    // Load CodeMirror add-ons--these attach themselves to the CodeMirror module\n    require("thirdparty/CodeMirror/addon/edit/closebrackets");\n    require("thirdparty/CodeMirror/addon/edit/closetag");\n    require("thirdparty/CodeMirror/addon/edit/matchbrackets");\n    require("thirdparty/CodeMirror/addon/edit/matchtags");\n    require("thirdparty/CodeMirror/addon/fold/xml-fold");\n    require("thirdparty/CodeMirror/addon/mode/multiplex");\n    require("thirdparty/CodeMirror/addon/mode/overlay");\n    require("thirdparty/CodeMirror/addon/mode/simple");\n    require("thirdparty/CodeMirror/addon/scroll/scrollpastend");\n    require("thirdparty/CodeMirror/addon/search/match-highlighter");\n    require("thirdparty/CodeMirror/addon/search/searchcursor");\n    require("thirdparty/CodeMirror/addon/selection/active-line");\n    require("thirdparty/CodeMirror/addon/selection/mark-selection");\n    require("thirdparty/CodeMirror/keymap/sublime");\n\n    // Load dependent modules\n    var AppInit             = require("utils/AppInit"),\n        LanguageManager     = require("language/LanguageManager"),\n        ProjectManager      = require("project/ProjectManager"),\n        FileViewController  = require("project/FileViewController"),\n        FileSyncManager     = require("project/FileSyncManager"),\n        Commands            = require("command/Commands"),\n        CommandManager      = require("command/CommandManager"),\n        PerfUtils           = require("utils/PerfUtils"),\n        FileSystem          = require("filesystem/FileSystem"),\n        Strings             = require("strings"),\n        Dialogs             = require("widgets/Dialogs"),\n        DefaultDialogs      = require("widgets/DefaultDialogs"),\n        ExtensionLoader     = require("utils/ExtensionLoader"),\n        Async               = require("utils/Async"),\n        UpdateNotification  = require("utils/UpdateNotification"),\n        UrlParams           = require("utils/UrlParams").UrlParams,\n        PreferencesManager  = require("preferences/PreferencesManager"),\n        DragAndDrop         = require("utils/DragAndDrop"),\n        NativeApp           = require("utils/NativeApp"),\n        DeprecationWarning  = require("utils/DeprecationWarning"),\n        ViewCommandHandlers = require("view/ViewCommandHandlers"),\n        MainViewManager     = require("view/MainViewManager");\n\n    var MainViewHTML        = require("text!htmlContent/main-view.html");\n\n    // load modules for later use\n    require("utils/Global");\n    require("editor/CSSInlineEditor");\n    require("project/WorkingSetSort");\n    require("search/QuickOpen");\n    require("search/QuickOpenHelper");\n    require("file/FileUtils");\n    require("project/SidebarView");\n    require("utils/Resizer");\n    require("LiveDevelopment/main");\n    require("utils/NodeConnection");\n    require("utils/NodeDomain");\n    require("utils/ColorUtils");\n    require("view/ThemeManager");\n    require("thirdparty/lodash");\n    require("language/XMLUtils");\n    require("language/JSONUtils");\n\n    // DEPRECATED: In future we want to remove the global CodeMirror, but for now we\n    // expose our required CodeMirror globally so as to avoid breaking extensions in the\n    // interim.\n    var CodeMirror = require("thirdparty/CodeMirror/lib/codemirror");\n\n    Object.defineProperty(window, "CodeMirror", {\n        get: function () {\n            DeprecationWarning.deprecationWarning(\'Use brackets.getModule("thirdparty/CodeMirror/lib/codemirror") instead of global CodeMirror.\', true);\n            return CodeMirror;\n        }\n    });\n\n    // DEPRECATED: In future we want to remove the global Mustache, but for now we\n    // expose our required Mustache globally so as to avoid breaking extensions in the\n    // interim.\n    var Mustache = require("thirdparty/mustache/mustache");\n\n    Object.defineProperty(window, "Mustache", {\n        get: function () {\n            DeprecationWarning.deprecationWarning(\'Use brackets.getModule("thirdparty/mustache/mustache") instead of global Mustache.\', true);\n            return Mustache;\n        }\n    });\n\n    // DEPRECATED: In future we want to remove the global PathUtils, but for now we\n    // expose our required PathUtils globally so as to avoid breaking extensions in the\n    // interim.\n    var PathUtils = require("thirdparty/path-utils/path-utils");\n\n    Object.defineProperty(window, "PathUtils", {\n        get: function () {\n            DeprecationWarning.deprecationWarning(\'Use brackets.getModule("thirdparty/path-utils/path-utils") instead of global PathUtils.\', true);\n            return PathUtils;\n        }\n    });\n\n    // Load modules that self-register and just need to get included in the main project\n    require("command/DefaultMenus");\n    require("document/ChangedDocumentTracker");\n    require("editor/EditorCommandHandlers");\n    require("editor/EditorOptionHandlers");\n    require("editor/EditorStatusBar");\n    require("editor/ImageViewer");\n    require("extensibility/InstallExtensionDialog");\n    require("extensibility/ExtensionManagerDialog");\n    require("help/HelpCommandHandlers");\n    require("search/FindInFilesUI");\n    require("search/FindReplace");\n\n    // Compatibility shim for PanelManager to WorkspaceManager migration\n    require("view/PanelManager");\n\n    PerfUtils.addMeasurement("brackets module dependencies resolved");\n\n    // Local variables\n    var params = new UrlParams();\n\n    // read URL params\n    params.parse();\n\n\n    /**\n     * Setup test object\n     */\n    function _initTest() {\n        // TODO: (issue #265) Make sure the "test" object is not included in final builds\n        // All modules that need to be tested from the context of the application\n        // must to be added to this object. The unit tests cannot just pull\n        // in the modules since they would run in context of the unit test window,\n        // and would not have access to the app html/css.\n        brackets.test = {\n            CodeHintManager         : require("editor/CodeHintManager"),\n            CodeInspection          : require("language/CodeInspection"),\n            CommandManager          : require("command/CommandManager"),\n            Commands                : require("command/Commands"),\n            CSSUtils                : require("language/CSSUtils"),\n            DefaultDialogs          : require("widgets/DefaultDialogs"),\n            Dialogs                 : require("widgets/Dialogs"),\n            DocumentCommandHandlers : require("document/DocumentCommandHandlers"),\n            DocumentManager         : require("document/DocumentManager"),\n            DocumentModule          : require("document/Document"),\n            DOMAgent                : require("LiveDevelopment/Agents/DOMAgent"),\n            DragAndDrop             : require("utils/DragAndDrop"),\n            EditorManager           : require("editor/EditorManager"),\n            ExtensionLoader         : require("utils/ExtensionLoader"),\n            ExtensionUtils          : require("utils/ExtensionUtils"),\n            File                    : require("filesystem/File"),\n            FileFilters             : require("search/FileFilters"),\n            FileSyncManager         : require("project/FileSyncManager"),\n            FileSystem              : require("filesystem/FileSystem"),\n            FileUtils               : require("file/FileUtils"),\n            FileViewController      : require("project/FileViewController"),\n            FindInFiles             : require("search/FindInFiles"),\n            FindInFilesUI           : require("search/FindInFilesUI"),\n            HTMLInstrumentation     : require("language/HTMLInstrumentation"),\n            Inspector               : require("LiveDevelopment/Inspector/Inspector"),\n            InstallExtensionDialog  : require("extensibility/InstallExtensionDialog"),\n            JSUtils                 : require("language/JSUtils"),\n            KeyBindingManager       : require("command/KeyBindingManager"),\n            LanguageManager         : require("language/LanguageManager"),\n            LiveDevelopment         : require("LiveDevelopment/LiveDevelopment"),\n            LiveDevMultiBrowser     : require("LiveDevelopment/LiveDevMultiBrowser"),\n            LiveDevServerManager    : require("LiveDevelopment/LiveDevServerManager"),\n            MainViewFactory         : require("view/MainViewFactory"),\n            MainViewManager         : require("view/MainViewManager"),\n            Menus                   : require("command/Menus"),\n            MultiRangeInlineEditor  : require("editor/MultiRangeInlineEditor").MultiRangeInlineEditor,\n            NativeApp               : require("utils/NativeApp"),\n            PerfUtils               : require("utils/PerfUtils"),\n            PreferencesManager      : require("preferences/PreferencesManager"),\n            ProjectManager          : require("project/ProjectManager"),\n            RemoteAgent             : require("LiveDevelopment/Agents/RemoteAgent"),\n            ScrollTrackMarkers      : require("search/ScrollTrackMarkers"),\n            UpdateNotification      : require("utils/UpdateNotification"),\n            WorkingSetView          : require("project/WorkingSetView"),\n            doneLoading             : false\n        };\n\n        AppInit.appReady(function () {\n            brackets.test.doneLoading = true;\n        });\n    }\n\n    /**\n     * Setup Brackets\n     */\n    function _onReady() {\n        PerfUtils.addMeasurement("window.document Ready");\n\n        // Let the user know Brackets doesn\'t run in a web browser yet\n        if (brackets.inBrowser) {\n            Dialogs.showModalDialog(\n                DefaultDialogs.DIALOG_ID_ERROR,\n                Strings.ERROR_IN_BROWSER_TITLE,\n                Strings.ERROR_IN_BROWSER\n            );\n        }\n\n        // Use quiet scrollbars if we aren\'t on Lion. If we\'re on Lion, only\n        // use native scroll bars when the mouse is not plugged in or when\n        // using the "Always" scroll bar setting.\n        var osxMatch = /Mac OS X 10\\D([\\d+])\\D/.exec(window.navigator.userAgent);\n        if (osxMatch && osxMatch[1] && Number(osxMatch[1]) >= 7) {\n            // test a scrolling div for scrollbars\n            var $testDiv = $("<div style=\'position:fixed;left:-50px;width:50px;height:50px;overflow:auto;\'><div style=\'width:100px;height:100px;\'/></div>").appendTo(window.document.body);\n\n            if ($testDiv.outerWidth() === $testDiv.get(0).clientWidth) {\n                $(".sidebar").removeClass("quiet-scrollbars");\n            }\n\n            $testDiv.remove();\n        }\n\n        // Load default languages and preferences\n        Async.waitForAll([LanguageManager.ready, PreferencesManager.ready]).always(function () {\n            // Load all extensions. This promise will complete even if one or more\n            // extensions fail to load.\n            var extensionPathOverride = params.get("extensions");  // used by unit tests\n            var extensionLoaderPromise = ExtensionLoader.init(extensionPathOverride ? extensionPathOverride.split(",") : null);\n\n            // Load the initial project after extensions have loaded\n            extensionLoaderPromise.always(function () {\n               // Signal that extensions are loaded\n                AppInit._dispatchReady(AppInit.EXTENSIONS_LOADED);\n\n                // Finish UI initialization\n                ViewCommandHandlers.restoreFontSize();\n                var initialProjectPath = ProjectManager.getInitialProjectPath();\n                ProjectManager.openProject(initialProjectPath).always(function () {\n                    _initTest();\n\n                    // If this is the first launch, and we have an index.html file in the project folder (which should be\n                    // the samples folder on first launch), open it automatically. (We explicitly check for the\n                    // samples folder in case this is the first time we\'re launching Brackets after upgrading from\n                    // an old version that might not have set the "afterFirstLaunch" pref.)\n                    var deferred = new $.Deferred();\n\n                    if (!params.get("skipSampleProjectLoad") && !PreferencesManager.getViewState("afterFirstLaunch")) {\n                        PreferencesManager.setViewState("afterFirstLaunch", "true");\n                        if (ProjectManager.isWelcomeProjectPath(initialProjectPath)) {\n                            FileSystem.resolve(initialProjectPath + "index.html", function (err, file) {\n                                if (!err) {\n                                    var promise = CommandManager.execute(Commands.CMD_ADD_TO_WORKINGSET_AND_OPEN, { fullPath: file.fullPath });\n                                    promise.then(deferred.resolve, deferred.reject);\n                                } else {\n                                    deferred.reject();\n                                }\n                            });\n                        } else {\n                            deferred.resolve();\n                        }\n                    } else {\n                        deferred.resolve();\n                    }\n\n                    deferred.always(function () {\n                        // Signal that Brackets is loaded\n                        AppInit._dispatchReady(AppInit.APP_READY);\n\n                        PerfUtils.addMeasurement("Application Startup");\n\n                        if (PreferencesManager._isUserScopeCorrupt()) {\n                            var userPrefFullPath = PreferencesManager.getUserPrefFile();\n                            // user scope can get corrupt only if the file exists, is readable,\n                            // but malformed. no need to check for its existance.\n                            var info = MainViewManager.findInAllWorkingSets(userPrefFullPath);\n                            var paneId;\n                            if (info.length) {\n                                paneId = info[0].paneId;\n                            }\n                            FileViewController.openFileAndAddToWorkingSet(userPrefFullPath, paneId)\n                                .done(function () {\n                                    Dialogs.showModalDialog(\n                                        DefaultDialogs.DIALOG_ID_ERROR,\n                                        Strings.ERROR_PREFS_CORRUPT_TITLE,\n                                        Strings.ERROR_PREFS_CORRUPT\n                                    ).done(function () {\n                                        // give the focus back to the editor with the pref file\n                                        MainViewManager.focusActivePane();\n                                    });\n                                });\n                        }\n\n                    });\n\n                    // See if any startup files were passed to the application\n                    if (brackets.app.getPendingFilesToOpen) {\n                        brackets.app.getPendingFilesToOpen(function (err, paths) {\n                            DragAndDrop.openDroppedFiles(paths);\n                        });\n                    }\n                });\n            });\n        });\n\n        // Check for updates\n        if (!brackets.inBrowser && !params.get("skipUpdateCheck")) {\n            AppInit.appReady(function () {\n                // launches periodic checks for updates cca every 24 hours\n                UpdateNotification.launchAutomaticUpdate();\n            });\n        }\n    }\n\n    /**\n     * Setup event handlers prior to dispatching AppInit.HTML_READY\n     */\n    function _beforeHTMLReady() {\n        // Add the platform (mac, win or linux) to the body tag so we can have platform-specific CSS rules\n        $("body").addClass("platform-" + brackets.platform);\n\n        // Browser-hosted version may also have different CSS (e.g. since \'#titlebar\' is shown)\n        if (brackets.inBrowser) {\n            $("body").addClass("in-browser");\n        } else {\n            $("body").addClass("in-appshell");\n        }\n\n        // Enable/Disable HTML Menus\n        if (brackets.nativeMenus) {\n            $("body").addClass("has-appshell-menus");\n        } else {\n            // (issue #5310) workaround for bootstrap dropdown: prevent the menu item to grab\n            // the focus -- override jquery focus implementation for top-level menu items\n            (function () {\n                var defaultFocus = $.fn.focus;\n                $.fn.focus = function () {\n                    if (!this.hasClass("dropdown-toggle")) {\n                        return defaultFocus.apply(this, arguments);\n                    }\n                };\n            }());\n        }\n\n        // Localize MainViewHTML and inject into <BODY> tag\n        $("body").html(Mustache.render(MainViewHTML, { shouldAddAA: (brackets.platform === "mac"), Strings: Strings }));\n\n        // Update title\n        $("title").text(brackets.config.app_title);\n\n        // Respond to dragging & dropping files/folders onto the window by opening them. If we don\'t respond\n        // to these events, the file would load in place of the Brackets UI\n        DragAndDrop.attachHandlers();\n\n        // TODO: (issue 269) to support IE, need to listen to document instead (and even then it may not work when focus is in an input field?)\n        $(window).focus(function () {\n            // This call to syncOpenDocuments() *should* be a no-op now that we have\n            // file watchers, but is still here as a safety net.\n            FileSyncManager.syncOpenDocuments();\n        });\n\n        // Prevent unhandled middle button clicks from triggering native behavior\n        // Example: activating AutoScroll (see #510)\n        $("html").on("mousedown", ".inline-widget", function (e) {\n            if (e.button === 1) {\n                e.preventDefault();\n            }\n        });\n\n        // The .no-focus style is added to clickable elements that should\n        // not steal focus. Calling preventDefault() on mousedown prevents\n        // focus from going to the click target.\n        $("html").on("mousedown", ".no-focus", function (e) {\n            // Text fields should always be focusable.\n            var $target = $(e.target),\n                isFormElement =\n                    $target.is("input") ||\n                    $target.is("textarea") ||\n                    $target.is("select");\n\n            if (!isFormElement) {\n                e.preventDefault();\n            }\n        });\n\n        // Prevent clicks on any link from navigating to a different page (which could lose unsaved\n        // changes). We can\'t use a simple .on("click", "a") because of http://bugs.jquery.com/ticket/3861:\n        // jQuery hides non-left clicks from such event handlers, yet middle-clicks still cause CEF to\n        // navigate. Also, a capture handler is more reliable than bubble.\n        window.document.body.addEventListener("click", function (e) {\n            // Check parents too, in case link has inline formatting tags\n            var node = e.target, url;\n            while (node) {\n                if (node.tagName === "A") {\n                    url = node.getAttribute("href");\n                    if (url && !url.match(/^#/)) {\n                        NativeApp.openURLInDefaultBrowser(url);\n                    }\n                    e.preventDefault();\n                    break;\n                }\n                node = node.parentElement;\n            }\n        }, true);\n\n        // Prevent extensions from using window.open() to insecurely load untrusted web content\n        var real_windowOpen = window.open;\n        window.open = function (url) {\n            // Allow file:// URLs, relative URLs (implicitly file: also), and about:blank\n            if (!url.match(/^file:\\/\\//) && !url.match(/^about:blank/) && url.indexOf(":") !== -1) {\n                throw new Error("Brackets-shell is not a secure general purpose web browser. Use NativeApp.openURLInDefaultBrowser() to open URLs in the user\'s main browser");\n            }\n            return real_windowOpen.apply(window, arguments);\n        };\n\n        // jQuery patch to shim deprecated usage of $() on EventDispatchers\n        var DefaultCtor = jQuery.fn.init;\n        jQuery.fn.init = function (firstArg, secondArg) {\n            var jQObject = new DefaultCtor(firstArg, secondArg);\n\n            // Is this a Brackets EventDispatcher object? (not a DOM node or other object)\n            if (firstArg && firstArg._EventDispatcher) {\n                // Patch the jQ wrapper object so it calls EventDispatcher\'s APIs instead of jQuery\'s\n                jQObject.on  = firstArg.on.bind(firstArg);\n                jQObject.one = firstArg.one.bind(firstArg);\n                jQObject.off = firstArg.off.bind(firstArg);\n                // Don\'t offer legacy support for trigger()/triggerHandler() on core model objects; extensions\n                // shouldn\'t be doing that anyway since it\'s basically poking at private API\n\n                // Console warning, since $() is deprecated for EventDispatcher objects\n                // (pass true to only print once per caller, and index 4 since the extension caller is deeper in the stack than usual)\n                DeprecationWarning.deprecationWarning("Deprecated: Do not use $().on/off() on Brackets modules and model objects. Call on()/off() directly on the object without a $() wrapper.", true, 4);\n            }\n            return jQObject;\n        };\n    }\n\n    // Wait for view state to load.\n    var viewStateTimer = PerfUtils.markStart("User viewstate loading");\n    PreferencesManager._smUserScopeLoading.always(function () {\n        PerfUtils.addMeasurement(viewStateTimer);\n        // Dispatch htmlReady event\n        _beforeHTMLReady();\n        AppInit._dispatchReady(AppInit.HTML_READY);\n        $(window.document).ready(_onReady);\n    });\n});\n\n//# sourceURL=/brackets.js');
//# sourceMappingURL=main.js.map